/*
 * $Id: //depot/prod/newport_news/main/modules/nn-platform/src/main/java/com/netapp/common/execution/LinuxUserSwitchingShellCommandTransformer.java#2 $
 *
 * Copyright (c) 2008 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.common.execution;

/**
 * @author claird
 * @version $Revision: #2 $ $Date: 2011/06/24 $
 */
class LinuxUserSwitchingShellCommandTransformer extends UnixUserSwitchingShellCommandTransformer {

    LinuxUserSwitchingShellCommandTransformer(String user) {
        super(user);
    }

    LinuxUserSwitchingShellCommandTransformer(ShellCommandTransformer shellCommandTransformer, String user) {
        super(shellCommandTransformer, user);
    }

    /**
     * @see com.netapp.common.execution.ShellCommandTransformer#performTransformation(com.netapp.common.execution.ShellRunnable)
     */
    @Override
    protected ShellRunnable performTransformation(ShellRunnable shellCommand) {
        String commandString = createQuotedCommandString(shellCommand);
        ShellRunnable suCommand = shellCommand.transformInto("su", this.user, "-p", "-c", commandString);

        return new StackedShellCommand(suCommand, shellCommand);
    }
}
