/*
 * $Id: //depot/prod/newport_news/main/modules/nn-core/src/main/java/com/netapp/common/graph/DisplayNode.java#3 $
 *
 * Copyright (c) 2008 Network Appliance, Inc.
 * All rights reserved.
 */
package com.netapp.common.graph;

import org.apache.commons.lang.builder.ToStringBuilder;
import org.apache.commons.lang.builder.ToStringStyle;

public class DisplayNode {

    private final String topContent;
    private final String middleContent;
    private final String bottomContent;
    private final String color;

    public DisplayNode(String topContent, String middleContent, String bottomContent) {
        this(topContent, middleContent, bottomContent, "lightgrey");
    }

    public DisplayNode(String topContent, String middleContent, String bottomContent, String color) {
        this.topContent = topContent;
        this.middleContent = middleContent;
        this.bottomContent = bottomContent;
        this.color = color;
    }

    public String getTopContent() {
        return this.topContent;
    }

    public String getMiddleContent() {
        return this.middleContent;
    }

    public String getBottomContent() {
        return this.bottomContent;
    }

    public String getColor() {
        return this.color;
    }

//    @Override
//    public int hashCode() {
//        return new HashCodeBuilder()
//            .append(this.topContent)
//            .append(this.middleContent)
//            .append(this.bottomContent)
//            .toHashCode();
//    }
//
//    @Override
//    public boolean equals(Object obj) {
//        if (obj instanceof DisplayNode) {
//            if (this == obj) {
//                return true;
//            }
//
//            DisplayNode other = (DisplayNode) obj;
//            return new EqualsBuilder()
//                .append(this.topContent, other.topContent)
//                .append(this.middleContent, other.middleContent)
//                .append(this.bottomContent, other.bottomContent)
//                .isEquals();
//        }
//        else {
//            return false;
//        }
//    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.SHORT_PREFIX_STYLE)
            .append(this.topContent)
            .append(this.middleContent)
            .append(this.bottomContent)
            .toString();
    }
}
