/*
 * $Id: //depot/prod/newport_news/main/modules/nn-core/src/main/java/com/netapp/common/graph/NodeVisitor.java#3 $
 *
 * Copyright (c) 2009 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.common.graph;

public interface NodeVisitor<T> {

    /**
     * Visit the node at the "pre-order" point of the depth-first traversal
     * (i.e. before visiting its successors).
     *
     * @return false to abort the traversal
     */
    boolean preVisit(T node);

    /**
     * Visit the node at the "post-order" point of the depth-first traversal
     * (i.e. after visiting its successors).
     */
    void postVisit(T node);

}
