package com.netapp.common.number;

import org.junit.Assert;
import org.junit.Test;

public class ByteMultipleTest
{
  static final long KILO = 1024L;
  static final long MEGA = 1048576L;
  static final long GIGA = 1073741824L;
  static final long TERA = 1099511627776L;
  static final long PETA = 1125899906842624L;
  static final long EXA = 1152921504606846976L;

  @Test
  public void testConvertToBytes()
  {
    Assert.assertEquals(0L, ByteMultiple.KB.convertToBytes(0L));
    Assert.assertEquals(2048L, ByteMultiple.KB.convertToBytes(2L));

    Assert.assertEquals(0L, ByteMultiple.MB.convertToBytes(0L));
    Assert.assertEquals(2097152L, ByteMultiple.MB.convertToBytes(2L));

    Assert.assertEquals(0L, ByteMultiple.GB.convertToBytes(0L));
    Assert.assertEquals(2147483648L, ByteMultiple.GB.convertToBytes(2L));

    Assert.assertEquals(0L, ByteMultiple.TB.convertToBytes(0L));
    Assert.assertEquals(2199023255552L, ByteMultiple.TB.convertToBytes(2L));

    Assert.assertEquals(0L, ByteMultiple.PB.convertToBytes(0L));
    Assert.assertEquals(2251799813685248L, ByteMultiple.PB.convertToBytes(2L));

    Assert.assertEquals(0L, ByteMultiple.EB.convertToBytes(0L));
    Assert.assertEquals(2305843009213693952L, ByteMultiple.EB.convertToBytes(2L));
  }

  @Test
  public void testGet() {
    Assert.assertEquals(ByteMultiple.KB, ByteMultiple.get("KB"));
    Assert.assertEquals(ByteMultiple.KB, ByteMultiple.get("kb"));

    Assert.assertEquals(ByteMultiple.MB, ByteMultiple.get("MB"));
    Assert.assertEquals(ByteMultiple.MB, ByteMultiple.get("mb"));

    Assert.assertEquals(ByteMultiple.GB, ByteMultiple.get("GB"));
    Assert.assertEquals(ByteMultiple.GB, ByteMultiple.get("gb"));

    Assert.assertEquals(ByteMultiple.TB, ByteMultiple.get("TB"));
    Assert.assertEquals(ByteMultiple.TB, ByteMultiple.get("tb"));

    Assert.assertEquals(ByteMultiple.PB, ByteMultiple.get("PB"));
    Assert.assertEquals(ByteMultiple.PB, ByteMultiple.get("pb"));

    Assert.assertEquals(ByteMultiple.EB, ByteMultiple.get("EB"));
    Assert.assertEquals(ByteMultiple.EB, ByteMultiple.get("eb"));
  }
}