/*
 * $Id: //depot/prod/newport_news/main/modules/nn-platform/src/main/java/com/netapp/common/platform/Authenticator.java#2 $
 *
 * Copyright (c) 2008 Network Appliance, Inc.
 * All rights reserved.
 *
 */
package com.netapp.common.platform;

/**
 * Provides authentication services for a username and password.
 * @author rippy
 * @version $Revision: #2 $ $Date: 2011/06/24 $
 */
public interface Authenticator {
    /**
     * @return null if no errors, otherwise the error message from the authentication mechanism for the OS.
     */
    String getErrorMessage();

    /**
     * Verifies that the supplied password is the correct password for the supplied username.
     * @param username The username to authenticate.
     * @param password The password to authenticate.
     * @return True if the password supplied is correct for the supplied username.
     */
    boolean authenticate(String username, String password);
}
