/*
 * $Id: //depot/prod/newport_news/main/modules/nn-platform/src/main/java/com/netapp/common/platform/PartitionTable.java#2 $
 *
 * Copyright (c) 2007 Network Appliance, Inc.
 * All rights reserved.
 */
package com.netapp.common.platform;

import java.io.File;
import java.util.LinkedList;
import java.util.List;

public class PartitionTable {

    private List<Partition> partitions;

    public PartitionTable() {
        this.partitions = new LinkedList<Partition>();
    }

    public List<Partition> getPartitions() {
        return this.partitions;
    }

    protected void addPartition(Partition partition) {
        this.partitions.add(partition);
    }

    public Partition findPartition(File devicePath) {
        for (Partition partition : this.partitions) {
            if (partition.getPath().equals(devicePath)) {
                return partition;
            }
        }
        return null;
    }

    /**
     * Find the partition with the given partitionNumber.  In this default implementation partition
     * numbers start at 1.  This must be overridden for systems that start at 0 (like Solaris).
     * @param partitionNumber partition number
     */
    public Partition findPartition(int partitionNumber) {
        return this.partitions.get(partitionNumber - 1);
    }

}
