/*
 * $Id: //depot/prod/newport_news/main/modules/nn-platform/src/main/java/com/netapp/common/platform/RawDeviceMapping.java#3 $
 *
 * Copyright (c) 2005 Network Appliance, Inc.
 * All rights reserved.
 */
package com.netapp.common.platform;

import java.io.File;
import java.io.Serializable;

import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;
import org.apache.commons.lang.builder.ToStringBuilder;
import org.apache.commons.lang.builder.ToStringStyle;

/**
 * @author sirianni
 * @version $Revision: #3 $ $Date: 2011/06/24 $
 */
public class RawDeviceMapping implements Serializable {

    private File rawDevice;
    private File disk;

    public RawDeviceMapping(File rawDevice, File disk) {
        this.rawDevice = rawDevice;
        this.disk = disk;
    }

    public File getDisk() {
        return this.disk;
    }

    public void setDisk(File disk) {
        this.disk = disk;
    }

    public File getRawDevice() {
        return this.rawDevice;
    }

    public void setRawDevice(File rawDevice) {
        this.rawDevice = rawDevice;
    }


    @Override
    public int hashCode() {
        return new HashCodeBuilder()
            .append(this.rawDevice)
            .append(this.disk)
            .toHashCode();
    }

    @Override
    public boolean equals(Object obj) {
        if (obj instanceof RawDeviceMapping) {
            if (this == obj) {
                return true;
            }

            RawDeviceMapping other = (RawDeviceMapping) obj;
            return new EqualsBuilder()
                .append(this.rawDevice, other.rawDevice)
                .append(this.disk, other.disk)
                .isEquals();
        } else {
            return false;
        }
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.SHORT_PREFIX_STYLE)
            .append(this.disk)
            .append(this.rawDevice)
            .toString();
    }
}
