/*
 * $Id: //depot/prod/newport_news/main/modules/nn-platform/src/main/java/com/netapp/common/platform/linux/DirectDeviceAnalyzer.java#2 $
 *
 * Copyright (c) 2008 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.common.platform.linux;

import java.io.File;

import com.netapp.common.platform.OperatingSystem;
import com.netapp.common.platform.RawDeviceMapping;

/**
 * Device Mapper for Linux using O_DIRECT mappings.
 *
 * @author sunday
 * @version $Revision: #2 $ $Date: 2011/06/24 $
 */
public class DirectDeviceAnalyzer extends LinuxDeviceAnalyzer {

    public DirectDeviceAnalyzer(OperatingSystem operatingSystem) {
        super(operatingSystem);
    }

    /**
     * @see com.netapp.common.platform.DeviceAnalyzer#lookupMappingByDisk(java.io.File)
     */
    @Override
    public RawDeviceMapping lookupMappingByDisk(File disk) {
        return new RawDeviceMapping(disk, disk);
    }

    /**
     * @see com.netapp.common.platform.DeviceAnalyzer#lookupMappingByRawDevice(java.io.File)
     */
    @Override
    public RawDeviceMapping lookupMappingByRawDevice(File rawDevice) {
        return new RawDeviceMapping(rawDevice, rawDevice);
    }

}
