/*
 * $Id: //depot/prod/newport_news/main/modules/nn-platform/src/main/java/com/netapp/common/platform/windows/ServiceState.java#2 $
 *
 * Copyright (c) 2007 Network Appliance, Inc.
 * All rights reserved.
 */
package com.netapp.common.platform.windows;

/**
 * The state of a Windows Service as defined in the
 * <a href="http://msdn2.microsoft.com/en-us/library/ms685996.aspx">MSDN SERVICE_STATUS definition</a>
 * @author sirianni
 * @version $Revision: #2 $ $Date: 2011/06/24 $
 */
public enum ServiceState {

    STOPPED,
    PAUSED,
    RUNNING,
    STOP_PENDING,
    PAUSE_PENDING,
    START_PENDING,
    CONTINUE_PENDING,

    /**
     * Not technically a valid service state,
     * but returned in the case where the service name is not defined.
     */
    UNDEFINED_SERVICE;
}
