/*
 * $Id: //depot/prod/newport_news/main/modules/nn-platform/src/main/java/com/netapp/common/platform/windows/WindowsMountpointMapper.java#2 $
 *
 * Copyright (c) 2007 Network Appliance, Inc.
 * All rights reserved.
 */
package com.netapp.common.platform.windows;

import java.io.File;
import java.util.HashMap;
import java.util.Map;
import java.util.Set;

import com.netapp.common.platform.MountpointMapper;

/**
 * Map a set of files to their mountpoints (on NetApp storage) on a Windows OS
 *
 * @author sirianni
 * @version $Revision: #2 $ $Date: 2011/06/24 $
 */
public class WindowsMountpointMapper implements MountpointMapper {

    static {
        System.loadLibrary("filesystem");
    }

    @Override
    public Map<File, File> map(Set<File> files) {
        Map<File, File> mountpointMap = new HashMap<File, File>();

        for (File file : files) {
            mountpointMap.put(file, new File(this.getMountpointFor(file.getAbsolutePath())));
        }

        return mountpointMap;
    }

    private native String getMountpointFor(String absolutePath);

}
