/*
 * $Id: //depot/prod/newport_news/main/modules/nn-core/src/main/java/com/netapp/common/serialization/XStreamSerializer.java#2 $
 *
 * Copyright (c) 2007 Network Appliance, Inc.
 * All rights reserved.
 */
package com.netapp.common.serialization;

import java.io.StringWriter;

import com.thoughtworks.xstream.XStream;
import com.thoughtworks.xstream.io.HierarchicalStreamWriter;
import com.thoughtworks.xstream.io.xml.CompactWriter;
import com.thoughtworks.xstream.io.xml.PrettyPrintWriter;

/**
 * Read/write an object from/to an XML String via XStream
 */
public class XStreamSerializer {

    private final XStream xstream = new XStream();

    private boolean prettyPrint;

    public Object read(String string) {
        return this.xstream.fromXML(string);
    }

    public String write(Object object) {
        StringWriter stringWriter = new StringWriter();

        HierarchicalStreamWriter hierarchicalStreamWriter = this.prettyPrint
            ? new PrettyPrintWriter(stringWriter)
            : new CompactWriter(stringWriter);

        stringWriter.append("<?xml version=\"1.0\" encoding=\"UTF-8\"?>");

        this.xstream.marshal(object, hierarchicalStreamWriter);

        return stringWriter.toString();
    }

    public boolean isPrettyPrint() {
        return this.prettyPrint;
    }

    public void setPrettyPrint(boolean prettyPrint) {
        this.prettyPrint = prettyPrint;
    }
}
