/*
 * $Id: //depot/prod/newport_news/main/modules/nn-core/src/main/java/com/netapp/common/util/ComparisonUtils.java#2 $
 *
 * Copyright (c) 2010 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.common.util;

import java.util.Comparator;

/**
 * Utility methods for working with {@link Comparator}s and {@link Comparable}s.
 *
 * @author sirianni
 * @version $Revision: #2 $ $Date: 2011/06/24 $
 */
public class ComparisonUtils {

    private ComparisonUtils() { }

    public static <T extends Comparable<? super T>> T max(T obj1, T obj2) {
        return obj1.compareTo(obj2) > 0 ? obj1 : obj2;
    }

    public static <T extends Comparable<? super T>> T min(T obj1, T obj2) {
        return obj1.compareTo(obj2) < 0 ? obj1 : obj2;
    }

    public static <T> T max(T obj1, T obj2, Comparator<? super T> comparator) {
        return comparator.compare(obj1, obj2) > 0 ? obj1 : obj2;
    }

    public static <T> T min(T obj1, T obj2, Comparator<? super T> comparator) {
        return comparator.compare(obj1, obj2) < 0 ? obj1 : obj2;
    }
}
