/*
 * $Id: //depot/prod/newport_news/main/modules/nn-core/src/main/java/com/netapp/common/util/TransformerChain.java#2 $
 *
 * Copyright (c) 2009 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.common.util;

/**
 * Adapt a chain of transformers to the {@link Transformer} interface.
 *
 * @author sirianni
 * @version $Revision: #2 $ $Date: 2011/06/24 $
 */
@SuppressWarnings("unchecked")
public class TransformerChain<S, T> implements Transformer<S, T> {

    private Transformer[] transformers;

    public TransformerChain(Transformer... transformers) {
        this.transformers = transformers;
    }

    /**
     * Helper method for creating a TransformerChain in a type-safe manner
     */
    public static <A, B, C> TransformerChain<A, C> newInstance(Transformer<A, B> transformer1, Transformer<B, C> transformer2) {
        return new TransformerChain<A, C>(transformer1, transformer2);
    }

    @Override
    public T transform(S a) {
        Object result = a;
        for (Transformer transformer : this.transformers) {
            result = transformer.transform(result);
        }
        return (T) result;
    }

}
