/*
 * $Id: //depot/prod/newport_news/main/modules/nn-core/src/main/java/com/netapp/common/xml/DOMUtils.java#2 $
 *
 * Copyright (c) 2007 Network Appliance, Inc.
 * All rights reserved.
 */
package com.netapp.common.xml;

import org.w3c.dom.NamedNodeMap;
import org.w3c.dom.Node;

/**
 * @author sunday
 * @version $Revision: #2 $ $Date: 2011/06/24 $
 */
public class DOMUtils {
    private DOMUtils() { }

    public static String getAttribute(Node node, String attribute) {
        if (Node.ELEMENT_NODE != node.getNodeType()) {
            return null;
        }
        NamedNodeMap attrs = node.getAttributes();
        if (attrs == null) {
            return null;
        }

        Node attr = attrs.getNamedItem(attribute);
        return (attr != null) ? attr.getNodeValue() : null;
    }

    public static boolean isElement(Node node, String namespace, String element) {
        return ((Node.ELEMENT_NODE == node.getNodeType())
                && namespace.equals(node.getNamespaceURI())
                && element.equals(node.getLocalName()));
    }
}
