package com.netapp.filer.cifs;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("cifs-homedir-paths-get")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR", "EONTAPI_EINVAL", "EONTAPI_ENOMEM", "ESVCNOTAVAIL"})
@Family({"ontap-c", "vfiler"})
public class CifsHomedirPathsGet
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<String> homedirPaths;

  @Output("homedir-paths")
  @Type("homedir-path-info[]")
  @Optional
  public void setHomedirPaths(List<String> paramList)
  {
    this.homedirPaths = paramList;
  }

  public List<String> getHomedirPaths()
  {
    return this.homedirPaths;
  }

  public CifsHomedirPathsGet withHomedirPaths(List<String> paramList)
  {
    this.homedirPaths = paramList;
    return this;
  }

  public CifsHomedirPathsGet withHomedirPaths(String[] paramArrayOfString)
  {
    this.homedirPaths = new ArrayList(Arrays.asList(paramArrayOfString));
    return this;
  }
}