package com.netapp.filer.disk;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("disk-maint-abort")
@Status(StatusEnum.UNSUPPORTED)
@Errno({"EAPIERROR", "EAPIMISSINGARGUMENT", "EINTERNALERROR"})
@Family({"ontap-c", "ontap-d"})
public class DiskMaintAbort
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<String> disks;
  public List<MaintAbortStatusInfo> maintAbortStatus;

  @Input("disks")
  @Type("maint-disk-name[]")
  public void setDisks(List<String> paramList)
  {
    this.disks = paramList;
  }

  public List<String> getDisks()
  {
    return this.disks;
  }

  public DiskMaintAbort withDisks(List<String> paramList)
  {
    this.disks = paramList;
    return this;
  }

  public DiskMaintAbort withDisks(String[] paramArrayOfString)
  {
    this.disks = new ArrayList(Arrays.asList(paramArrayOfString));
    return this;
  }

  @Output("maint-abort-status")
  @Type("maint-abort-status-info[]")
  public void setMaintAbortStatus(List<MaintAbortStatusInfo> paramList)
  {
    this.maintAbortStatus = paramList;
  }

  public List<MaintAbortStatusInfo> getMaintAbortStatus()
  {
    return this.maintAbortStatus;
  }

  public DiskMaintAbort withMaintAbortStatus(List<MaintAbortStatusInfo> paramList)
  {
    this.maintAbortStatus = paramList;
    return this;
  }

  public DiskMaintAbort withMaintAbortStatus(MaintAbortStatusInfo[] paramArrayOfMaintAbortStatusInfo)
  {
    this.maintAbortStatus = new ArrayList(Arrays.asList(paramArrayOfMaintAbortStatusInfo));
    return this;
  }
}