package com.netapp.filer.disk;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("disk-sanown-filer-list-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR", "ESANOWNNOTENABLED"})
@Family({"ontap-c", "ontap-d"})
public class DiskSanownFilerListInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<DiskSanownFilerDetailInfo> diskSanownFilerDetails;

  @Output("disk-sanown-filer-details")
  @Type("disk-sanown-filer-detail-info[]")
  public void setDiskSanownFilerDetails(List<DiskSanownFilerDetailInfo> paramList)
  {
    this.diskSanownFilerDetails = paramList;
  }

  public List<DiskSanownFilerDetailInfo> getDiskSanownFilerDetails()
  {
    return this.diskSanownFilerDetails;
  }

  public DiskSanownFilerListInfo withDiskSanownFilerDetails(List<DiskSanownFilerDetailInfo> paramList)
  {
    this.diskSanownFilerDetails = paramList;
    return this;
  }

  public DiskSanownFilerListInfo withDiskSanownFilerDetails(DiskSanownFilerDetailInfo[] paramArrayOfDiskSanownFilerDetailInfo)
  {
    this.diskSanownFilerDetails = new ArrayList(Arrays.asList(paramArrayOfDiskSanownFilerDetailInfo));
    return this;
  }
}