package com.netapp.filer.disk;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("disk-update-disk-fw")
@Status(StatusEnum.PUBLIC)
@Errno({"EDISKNOTFOUND", "EINTERNALERROR", "EINVALIDINPUTERROR"})
@Family({"ontap-c", "ontap-d"})
public class DiskUpdateDiskFw
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<String> diskList;

  @Input("disk-list")
  @Type("disk-name[]")
  @Optional
  public void setDiskList(List<String> paramList)
  {
    this.diskList = paramList;
  }

  public List<String> getDiskList()
  {
    return this.diskList;
  }

  public DiskUpdateDiskFw withDiskList(List<String> paramList)
  {
    this.diskList = paramList;
    return this;
  }

  public DiskUpdateDiskFw withDiskList(String[] paramArrayOfString)
  {
    this.diskList = new ArrayList(Arrays.asList(paramArrayOfString));
    return this;
  }
}