package com.netapp.filer.dsnapshot;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;

@Typedef("d-snapshot-delta-info")
public class DSnapshotDeltaInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public BigInteger consumedSize;
  public Date elapsedTime;

  @Element("consumed-size")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setConsumedSize(BigInteger paramBigInteger)
  {
    this.consumedSize = paramBigInteger;
  }

  public BigInteger getConsumedSize()
  {
    return this.consumedSize;
  }

  public DSnapshotDeltaInfo withConsumedSize(BigInteger paramBigInteger)
  {
    this.consumedSize = paramBigInteger;
    return this;
  }

  @Element("elapsed-time")
  @Type("integer")
  @Range(min="0", max="2^32-1")
  public void setElapsedTime(Date paramDate)
  {
    this.elapsedTime = paramDate;
  }

  public Date getElapsedTime()
  {
    return this.elapsedTime;
  }

  public DSnapshotDeltaInfo withElapsedTime(Date paramDate)
  {
    this.elapsedTime = paramDate;
    return this;
  }
}