package com.netapp.filer.dvolume;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.math.BigInteger;

@Typedef("d-volume-suggestion-value")
public class DVolumeSuggestionValue
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public BigInteger defaultFilesTotal;
  public BigInteger maxFilesTotal;
  public BigInteger minFilesTotal;

  @Element("default-files-total")
  @Type("integer")
  @Range(min="1", max="2^64-1")
  public void setDefaultFilesTotal(BigInteger paramBigInteger)
  {
    this.defaultFilesTotal = paramBigInteger;
  }

  public BigInteger getDefaultFilesTotal()
  {
    return this.defaultFilesTotal;
  }

  public DVolumeSuggestionValue withDefaultFilesTotal(BigInteger paramBigInteger)
  {
    this.defaultFilesTotal = paramBigInteger;
    return this;
  }

  @Element("max-files-total")
  @Type("integer")
  @Range(min="1", max="2^64-1")
  public void setMaxFilesTotal(BigInteger paramBigInteger)
  {
    this.maxFilesTotal = paramBigInteger;
  }

  public BigInteger getMaxFilesTotal()
  {
    return this.maxFilesTotal;
  }

  public DVolumeSuggestionValue withMaxFilesTotal(BigInteger paramBigInteger)
  {
    this.maxFilesTotal = paramBigInteger;
    return this;
  }

  @Element("min-files-total")
  @Type("integer")
  @Range(min="1", max="2^64-1")
  public void setMinFilesTotal(BigInteger paramBigInteger)
  {
    this.minFilesTotal = paramBigInteger;
  }

  public BigInteger getMinFilesTotal()
  {
    return this.minFilesTotal;
  }

  public DVolumeSuggestionValue withMinFilesTotal(BigInteger paramBigInteger)
  {
    this.minFilesTotal = paramBigInteger;
    return this;
  }
}