package com.netapp.filer.fiji;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("fiji-filter-clear")
@Status(StatusEnum.DEBUG)
@Errno({"EFIJIINVALID", "EFIJINOFILTER"})
@Family({"ontap-d"})
public class FijiFilterClear
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Integer fijiFilterTag;

  @Input("fiji-filter-tag")
  @Type("integer")
  @Optional
  @Range(min="0", max="15")
  public void setFijiFilterTag(Integer paramInteger)
  {
    this.fijiFilterTag = paramInteger;
  }

  public Integer getFijiFilterTag()
  {
    return this.fijiFilterTag;
  }

  public FijiFilterClear withFijiFilterTag(Integer paramInteger)
  {
    this.fijiFilterTag = paramInteger;
    return this;
  }
}