package com.netapp.filer.iscsi;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("iscsi-connection-list-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EAPILICENSE"})
@Family({"ontap-c", "vfiler"})
public class IscsiConnectionListInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<IscsiConnectionListEntryInfo> iscsiConnectionListEntries;

  @Output("iscsi-connection-list-entries")
  @Type("iscsi-connection-list-entry-info[]")
  public void setIscsiConnectionListEntries(List<IscsiConnectionListEntryInfo> paramList)
  {
    this.iscsiConnectionListEntries = paramList;
  }

  public List<IscsiConnectionListEntryInfo> getIscsiConnectionListEntries()
  {
    return this.iscsiConnectionListEntries;
  }

  public IscsiConnectionListInfo withIscsiConnectionListEntries(List<IscsiConnectionListEntryInfo> paramList)
  {
    this.iscsiConnectionListEntries = paramList;
    return this;
  }

  public IscsiConnectionListInfo withIscsiConnectionListEntries(IscsiConnectionListEntryInfo[] paramArrayOfIscsiConnectionListEntryInfo)
  {
    this.iscsiConnectionListEntries = new ArrayList(Arrays.asList(paramArrayOfIscsiConnectionListEntryInfo));
    return this;
  }
}