package com.netapp.filer.iscsi;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("iscsi-initiator-list-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EAPILICENSE"})
@Family({"ontap-c", "vfiler"})
public class IscsiInitiatorListInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<IscsiInitiatorListEntryInfo> iscsiInitiatorListEntries;

  @Output("iscsi-initiator-list-entries")
  @Type("iscsi-initiator-list-entry-info[]")
  public void setIscsiInitiatorListEntries(List<IscsiInitiatorListEntryInfo> paramList)
  {
    this.iscsiInitiatorListEntries = paramList;
  }

  public List<IscsiInitiatorListEntryInfo> getIscsiInitiatorListEntries()
  {
    return this.iscsiInitiatorListEntries;
  }

  public IscsiInitiatorListInfo withIscsiInitiatorListEntries(List<IscsiInitiatorListEntryInfo> paramList)
  {
    this.iscsiInitiatorListEntries = paramList;
    return this;
  }

  public IscsiInitiatorListInfo withIscsiInitiatorListEntries(IscsiInitiatorListEntryInfo[] paramArrayOfIscsiInitiatorListEntryInfo)
  {
    this.iscsiInitiatorListEntries = new ArrayList(Arrays.asList(paramArrayOfIscsiInitiatorListEntryInfo));
    return this;
  }
}