package com.netapp.filer.lock;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;

@Typedef("lock-status-info")
public class LockStatusInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public CifsLock cifsLock;
  public Nfsv4Lock nfsv4Lock;
  public NlmLock nlmLock;
  public PfsLock pfsLock;

  @Element("cifs-lock")
  @Type("cifs-lock")
  @Optional
  public void setCifsLock(CifsLock paramCifsLock)
  {
    this.cifsLock = paramCifsLock;
  }

  public CifsLock getCifsLock()
  {
    return this.cifsLock;
  }

  public LockStatusInfo withCifsLock(CifsLock paramCifsLock)
  {
    this.cifsLock = paramCifsLock;
    return this;
  }

  @Element("nfsv4-lock")
  @Type("nfsv4-lock")
  @Optional
  public void setNfsv4Lock(Nfsv4Lock paramNfsv4Lock)
  {
    this.nfsv4Lock = paramNfsv4Lock;
  }

  public Nfsv4Lock getNfsv4Lock()
  {
    return this.nfsv4Lock;
  }

  public LockStatusInfo withNfsv4Lock(Nfsv4Lock paramNfsv4Lock)
  {
    this.nfsv4Lock = paramNfsv4Lock;
    return this;
  }

  @Element("nlm-lock")
  @Type("nlm-lock")
  @Optional
  public void setNlmLock(NlmLock paramNlmLock)
  {
    this.nlmLock = paramNlmLock;
  }

  public NlmLock getNlmLock()
  {
    return this.nlmLock;
  }

  public LockStatusInfo withNlmLock(NlmLock paramNlmLock)
  {
    this.nlmLock = paramNlmLock;
    return this;
  }

  @Element("pfs-lock")
  @Type("pfs-lock")
  @Optional
  public void setPfsLock(PfsLock paramPfsLock)
  {
    this.pfsLock = paramPfsLock;
  }

  public PfsLock getPfsLock()
  {
    return this.pfsLock;
  }

  public LockStatusInfo withPfsLock(PfsLock paramPfsLock)
  {
    this.pfsLock = paramPfsLock;
    return this;
  }
}