package com.netapp.filer.lun;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.math.BigInteger;

@Typedef("lba-hole-range-info")
public class LbaHoleRangeInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public BigInteger lbaHoleEnd;
  public BigInteger lbaHoleStart;

  @Element("lba-hole-end")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setLbaHoleEnd(BigInteger paramBigInteger)
  {
    this.lbaHoleEnd = paramBigInteger;
  }

  public BigInteger getLbaHoleEnd()
  {
    return this.lbaHoleEnd;
  }

  public LbaHoleRangeInfo withLbaHoleEnd(BigInteger paramBigInteger)
  {
    this.lbaHoleEnd = paramBigInteger;
    return this;
  }

  @Element("lba-hole-start")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setLbaHoleStart(BigInteger paramBigInteger)
  {
    this.lbaHoleStart = paramBigInteger;
  }

  public BigInteger getLbaHoleStart()
  {
    return this.lbaHoleStart;
  }

  public LbaHoleRangeInfo withLbaHoleStart(BigInteger paramBigInteger)
  {
    this.lbaHoleStart = paramBigInteger;
    return this;
  }
}