package com.netapp.filer.lun;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("lun-config-check-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR", "EINVAL"})
public class LunConfigCheckInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<AluaSettingMismatchInitiatorGroup> aluaSettingMismatchInfo;
  public List<AluaSettingMismatchInitiatorInfo> aluaSettingMismatchInitiators;
  public List<FcpDownHbaInfo> fcpDownHbas;
  public List<InvalidVsaSettingInfo> invalidVsaSettings;
  public List<MixedOstypeInitiatorInfo> mixedOstypeInitiators;
  public List<MixedVsaInitiatorInfo> mixedVsaInitiators;

  @Output("alua-setting-mismatch-info")
  @Type("alua-setting-mismatch-initiator-group[]")
  @Optional
  public void setAluaSettingMismatchInfo(List<AluaSettingMismatchInitiatorGroup> paramList)
  {
    this.aluaSettingMismatchInfo = paramList;
  }

  public List<AluaSettingMismatchInitiatorGroup> getAluaSettingMismatchInfo()
  {
    return this.aluaSettingMismatchInfo;
  }

  public LunConfigCheckInfo withAluaSettingMismatchInfo(List<AluaSettingMismatchInitiatorGroup> paramList)
  {
    this.aluaSettingMismatchInfo = paramList;
    return this;
  }

  public LunConfigCheckInfo withAluaSettingMismatchInfo(AluaSettingMismatchInitiatorGroup[] paramArrayOfAluaSettingMismatchInitiatorGroup)
  {
    this.aluaSettingMismatchInfo = new ArrayList(Arrays.asList(paramArrayOfAluaSettingMismatchInitiatorGroup));
    return this;
  }

  @Output("alua-setting-mismatch-initiators")
  @Type("alua-setting-mismatch-initiator-info[]")
  @Optional
  public void setAluaSettingMismatchInitiators(List<AluaSettingMismatchInitiatorInfo> paramList)
  {
    this.aluaSettingMismatchInitiators = paramList;
  }

  public List<AluaSettingMismatchInitiatorInfo> getAluaSettingMismatchInitiators()
  {
    return this.aluaSettingMismatchInitiators;
  }

  public LunConfigCheckInfo withAluaSettingMismatchInitiators(List<AluaSettingMismatchInitiatorInfo> paramList)
  {
    this.aluaSettingMismatchInitiators = paramList;
    return this;
  }

  public LunConfigCheckInfo withAluaSettingMismatchInitiators(AluaSettingMismatchInitiatorInfo[] paramArrayOfAluaSettingMismatchInitiatorInfo)
  {
    this.aluaSettingMismatchInitiators = new ArrayList(Arrays.asList(paramArrayOfAluaSettingMismatchInitiatorInfo));
    return this;
  }

  @Output("fcp-down-hbas")
  @Type("fcp-down-hba-info[]")
  @Optional
  public void setFcpDownHbas(List<FcpDownHbaInfo> paramList)
  {
    this.fcpDownHbas = paramList;
  }

  public List<FcpDownHbaInfo> getFcpDownHbas()
  {
    return this.fcpDownHbas;
  }

  public LunConfigCheckInfo withFcpDownHbas(List<FcpDownHbaInfo> paramList)
  {
    this.fcpDownHbas = paramList;
    return this;
  }

  public LunConfigCheckInfo withFcpDownHbas(FcpDownHbaInfo[] paramArrayOfFcpDownHbaInfo)
  {
    this.fcpDownHbas = new ArrayList(Arrays.asList(paramArrayOfFcpDownHbaInfo));
    return this;
  }

  @Output("invalid-vsa-settings")
  @Type("invalid-vsa-setting-info[]")
  @Optional
  public void setInvalidVsaSettings(List<InvalidVsaSettingInfo> paramList)
  {
    this.invalidVsaSettings = paramList;
  }

  public List<InvalidVsaSettingInfo> getInvalidVsaSettings()
  {
    return this.invalidVsaSettings;
  }

  public LunConfigCheckInfo withInvalidVsaSettings(List<InvalidVsaSettingInfo> paramList)
  {
    this.invalidVsaSettings = paramList;
    return this;
  }

  public LunConfigCheckInfo withInvalidVsaSettings(InvalidVsaSettingInfo[] paramArrayOfInvalidVsaSettingInfo)
  {
    this.invalidVsaSettings = new ArrayList(Arrays.asList(paramArrayOfInvalidVsaSettingInfo));
    return this;
  }

  @Output("mixed-ostype-initiators")
  @Type("mixed-ostype-initiator-info[]")
  @Optional
  public void setMixedOstypeInitiators(List<MixedOstypeInitiatorInfo> paramList)
  {
    this.mixedOstypeInitiators = paramList;
  }

  public List<MixedOstypeInitiatorInfo> getMixedOstypeInitiators()
  {
    return this.mixedOstypeInitiators;
  }

  public LunConfigCheckInfo withMixedOstypeInitiators(List<MixedOstypeInitiatorInfo> paramList)
  {
    this.mixedOstypeInitiators = paramList;
    return this;
  }

  public LunConfigCheckInfo withMixedOstypeInitiators(MixedOstypeInitiatorInfo[] paramArrayOfMixedOstypeInitiatorInfo)
  {
    this.mixedOstypeInitiators = new ArrayList(Arrays.asList(paramArrayOfMixedOstypeInitiatorInfo));
    return this;
  }

  @Output("mixed-vsa-initiators")
  @Type("mixed-vsa-initiator-info[]")
  @Optional
  public void setMixedVsaInitiators(List<MixedVsaInitiatorInfo> paramList)
  {
    this.mixedVsaInitiators = paramList;
  }

  public List<MixedVsaInitiatorInfo> getMixedVsaInitiators()
  {
    return this.mixedVsaInitiators;
  }

  public LunConfigCheckInfo withMixedVsaInitiators(List<MixedVsaInitiatorInfo> paramList)
  {
    this.mixedVsaInitiators = paramList;
    return this;
  }

  public LunConfigCheckInfo withMixedVsaInitiators(MixedVsaInitiatorInfo[] paramArrayOfMixedVsaInitiatorInfo)
  {
    this.mixedVsaInitiators = new ArrayList(Arrays.asList(paramArrayOfMixedVsaInitiatorInfo));
    return this;
  }
}