package com.netapp.filer.lun;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("lun-config-check-single-image-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EVDISK_ERROR_PARTNER_NOT_REACHABLE"})
public class LunConfigCheckSingleImageInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<ConflictingInitiatorInfo> conflictingInitiators;
  public List<ConflictingMapInfo> conflictingMaps;
  public InvalidNodenameSettingInfo invalidNodenameSettings;

  @Output("conflicting-initiators")
  @Type("conflicting-initiator-info[]")
  @Optional
  public void setConflictingInitiators(List<ConflictingInitiatorInfo> paramList)
  {
    this.conflictingInitiators = paramList;
  }

  public List<ConflictingInitiatorInfo> getConflictingInitiators()
  {
    return this.conflictingInitiators;
  }

  public LunConfigCheckSingleImageInfo withConflictingInitiators(List<ConflictingInitiatorInfo> paramList)
  {
    this.conflictingInitiators = paramList;
    return this;
  }

  public LunConfigCheckSingleImageInfo withConflictingInitiators(ConflictingInitiatorInfo[] paramArrayOfConflictingInitiatorInfo)
  {
    this.conflictingInitiators = new ArrayList(Arrays.asList(paramArrayOfConflictingInitiatorInfo));
    return this;
  }

  @Output("conflicting-maps")
  @Type("conflicting-map-info[]")
  @Optional
  public void setConflictingMaps(List<ConflictingMapInfo> paramList)
  {
    this.conflictingMaps = paramList;
  }

  public List<ConflictingMapInfo> getConflictingMaps()
  {
    return this.conflictingMaps;
  }

  public LunConfigCheckSingleImageInfo withConflictingMaps(List<ConflictingMapInfo> paramList)
  {
    this.conflictingMaps = paramList;
    return this;
  }

  public LunConfigCheckSingleImageInfo withConflictingMaps(ConflictingMapInfo[] paramArrayOfConflictingMapInfo)
  {
    this.conflictingMaps = new ArrayList(Arrays.asList(paramArrayOfConflictingMapInfo));
    return this;
  }

  @Output("invalid-nodename-settings")
  @Type("invalid-nodename-setting-info")
  @Optional
  public void setInvalidNodenameSettings(InvalidNodenameSettingInfo paramInvalidNodenameSettingInfo)
  {
    this.invalidNodenameSettings = paramInvalidNodenameSettingInfo;
  }

  public InvalidNodenameSettingInfo getInvalidNodenameSettings()
  {
    return this.invalidNodenameSettings;
  }

  public LunConfigCheckSingleImageInfo withInvalidNodenameSettings(InvalidNodenameSettingInfo paramInvalidNodenameSettingInfo)
  {
    this.invalidNodenameSettings = paramInvalidNodenameSettingInfo;
    return this;
  }
}