package com.netapp.filer.nfs;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("nfs-monitor-remove-locks")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR"})
@Family({"ontap-c", "vfiler"})
public class NfsMonitorRemoveLocks
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<OwnerInfo> owners;

  @Input("owners")
  @Type("owner-info[]")
  public void setOwners(List<OwnerInfo> paramList)
  {
    this.owners = paramList;
  }

  public List<OwnerInfo> getOwners()
  {
    return this.owners;
  }

  public NfsMonitorRemoveLocks withOwners(List<OwnerInfo> paramList)
  {
    this.owners = paramList;
    return this;
  }

  public NfsMonitorRemoveLocks withOwners(OwnerInfo[] paramArrayOfOwnerInfo)
  {
    this.owners = new ArrayList(Arrays.asList(paramArrayOfOwnerInfo));
    return this;
  }
}