package com.netapp.filer.nfs;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.math.BigInteger;

@Typedef("nfsv2-client-stats-info")
public class Nfsv2ClientStatsInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public BigInteger createOps;
  public BigInteger getattrOps;
  public BigInteger linkOps;
  public BigInteger lookupOps;
  public BigInteger mkdirOps;
  public BigInteger nullOps;
  public BigInteger readOps;
  public BigInteger readdirOps;
  public BigInteger readlinkOps;
  public BigInteger removeOps;
  public BigInteger renameOps;
  public BigInteger rmdirOps;
  public BigInteger rootOps;
  public BigInteger setattrOps;
  public BigInteger statfsOps;
  public BigInteger symlinkOps;
  public BigInteger wrcacheOps;
  public BigInteger writeOps;

  @Element("create-ops")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setCreateOps(BigInteger paramBigInteger)
  {
    this.createOps = paramBigInteger;
  }

  public BigInteger getCreateOps()
  {
    return this.createOps;
  }

  public Nfsv2ClientStatsInfo withCreateOps(BigInteger paramBigInteger)
  {
    this.createOps = paramBigInteger;
    return this;
  }

  @Element("getattr-ops")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setGetattrOps(BigInteger paramBigInteger)
  {
    this.getattrOps = paramBigInteger;
  }

  public BigInteger getGetattrOps()
  {
    return this.getattrOps;
  }

  public Nfsv2ClientStatsInfo withGetattrOps(BigInteger paramBigInteger)
  {
    this.getattrOps = paramBigInteger;
    return this;
  }

  @Element("link-ops")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setLinkOps(BigInteger paramBigInteger)
  {
    this.linkOps = paramBigInteger;
  }

  public BigInteger getLinkOps()
  {
    return this.linkOps;
  }

  public Nfsv2ClientStatsInfo withLinkOps(BigInteger paramBigInteger)
  {
    this.linkOps = paramBigInteger;
    return this;
  }

  @Element("lookup-ops")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setLookupOps(BigInteger paramBigInteger)
  {
    this.lookupOps = paramBigInteger;
  }

  public BigInteger getLookupOps()
  {
    return this.lookupOps;
  }

  public Nfsv2ClientStatsInfo withLookupOps(BigInteger paramBigInteger)
  {
    this.lookupOps = paramBigInteger;
    return this;
  }

  @Element("mkdir-ops")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setMkdirOps(BigInteger paramBigInteger)
  {
    this.mkdirOps = paramBigInteger;
  }

  public BigInteger getMkdirOps()
  {
    return this.mkdirOps;
  }

  public Nfsv2ClientStatsInfo withMkdirOps(BigInteger paramBigInteger)
  {
    this.mkdirOps = paramBigInteger;
    return this;
  }

  @Element("null-ops")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setNullOps(BigInteger paramBigInteger)
  {
    this.nullOps = paramBigInteger;
  }

  public BigInteger getNullOps()
  {
    return this.nullOps;
  }

  public Nfsv2ClientStatsInfo withNullOps(BigInteger paramBigInteger)
  {
    this.nullOps = paramBigInteger;
    return this;
  }

  @Element("read-ops")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setReadOps(BigInteger paramBigInteger)
  {
    this.readOps = paramBigInteger;
  }

  public BigInteger getReadOps()
  {
    return this.readOps;
  }

  public Nfsv2ClientStatsInfo withReadOps(BigInteger paramBigInteger)
  {
    this.readOps = paramBigInteger;
    return this;
  }

  @Element("readdir-ops")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setReaddirOps(BigInteger paramBigInteger)
  {
    this.readdirOps = paramBigInteger;
  }

  public BigInteger getReaddirOps()
  {
    return this.readdirOps;
  }

  public Nfsv2ClientStatsInfo withReaddirOps(BigInteger paramBigInteger)
  {
    this.readdirOps = paramBigInteger;
    return this;
  }

  @Element("readlink-ops")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setReadlinkOps(BigInteger paramBigInteger)
  {
    this.readlinkOps = paramBigInteger;
  }

  public BigInteger getReadlinkOps()
  {
    return this.readlinkOps;
  }

  public Nfsv2ClientStatsInfo withReadlinkOps(BigInteger paramBigInteger)
  {
    this.readlinkOps = paramBigInteger;
    return this;
  }

  @Element("remove-ops")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setRemoveOps(BigInteger paramBigInteger)
  {
    this.removeOps = paramBigInteger;
  }

  public BigInteger getRemoveOps()
  {
    return this.removeOps;
  }

  public Nfsv2ClientStatsInfo withRemoveOps(BigInteger paramBigInteger)
  {
    this.removeOps = paramBigInteger;
    return this;
  }

  @Element("rename-ops")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setRenameOps(BigInteger paramBigInteger)
  {
    this.renameOps = paramBigInteger;
  }

  public BigInteger getRenameOps()
  {
    return this.renameOps;
  }

  public Nfsv2ClientStatsInfo withRenameOps(BigInteger paramBigInteger)
  {
    this.renameOps = paramBigInteger;
    return this;
  }

  @Element("rmdir-ops")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setRmdirOps(BigInteger paramBigInteger)
  {
    this.rmdirOps = paramBigInteger;
  }

  public BigInteger getRmdirOps()
  {
    return this.rmdirOps;
  }

  public Nfsv2ClientStatsInfo withRmdirOps(BigInteger paramBigInteger)
  {
    this.rmdirOps = paramBigInteger;
    return this;
  }

  @Element("root-ops")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setRootOps(BigInteger paramBigInteger)
  {
    this.rootOps = paramBigInteger;
  }

  public BigInteger getRootOps()
  {
    return this.rootOps;
  }

  public Nfsv2ClientStatsInfo withRootOps(BigInteger paramBigInteger)
  {
    this.rootOps = paramBigInteger;
    return this;
  }

  @Element("setattr-ops")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setSetattrOps(BigInteger paramBigInteger)
  {
    this.setattrOps = paramBigInteger;
  }

  public BigInteger getSetattrOps()
  {
    return this.setattrOps;
  }

  public Nfsv2ClientStatsInfo withSetattrOps(BigInteger paramBigInteger)
  {
    this.setattrOps = paramBigInteger;
    return this;
  }

  @Element("statfs-ops")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setStatfsOps(BigInteger paramBigInteger)
  {
    this.statfsOps = paramBigInteger;
  }

  public BigInteger getStatfsOps()
  {
    return this.statfsOps;
  }

  public Nfsv2ClientStatsInfo withStatfsOps(BigInteger paramBigInteger)
  {
    this.statfsOps = paramBigInteger;
    return this;
  }

  @Element("symlink-ops")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setSymlinkOps(BigInteger paramBigInteger)
  {
    this.symlinkOps = paramBigInteger;
  }

  public BigInteger getSymlinkOps()
  {
    return this.symlinkOps;
  }

  public Nfsv2ClientStatsInfo withSymlinkOps(BigInteger paramBigInteger)
  {
    this.symlinkOps = paramBigInteger;
    return this;
  }

  @Element("wrcache-ops")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setWrcacheOps(BigInteger paramBigInteger)
  {
    this.wrcacheOps = paramBigInteger;
  }

  public BigInteger getWrcacheOps()
  {
    return this.wrcacheOps;
  }

  public Nfsv2ClientStatsInfo withWrcacheOps(BigInteger paramBigInteger)
  {
    this.wrcacheOps = paramBigInteger;
    return this;
  }

  @Element("write-ops")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setWriteOps(BigInteger paramBigInteger)
  {
    this.writeOps = paramBigInteger;
  }

  public BigInteger getWriteOps()
  {
    return this.writeOps;
  }

  public Nfsv2ClientStatsInfo withWriteOps(BigInteger paramBigInteger)
  {
    this.writeOps = paramBigInteger;
    return this;
  }
}