package com.netapp.filer.options;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("options-list-info")
@Status(StatusEnum.PUBLIC)
@Family({"ontap-c", "ontap-d", "vfiler"})
public class OptionsListInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<OptionInfo> options;

  @Output("options")
  @Type("option-info[]")
  public void setOptions(List<OptionInfo> paramList)
  {
    this.options = paramList;
  }

  public List<OptionInfo> getOptions()
  {
    return this.options;
  }

  public OptionsListInfo withOptions(List<OptionInfo> paramList)
  {
    this.options = paramList;
    return this;
  }

  public OptionsListInfo withOptions(OptionInfo[] paramArrayOfOptionInfo)
  {
    this.options = new ArrayList(Arrays.asList(paramArrayOfOptionInfo));
    return this;
  }
}