package com.netapp.filer.perf;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("perf-object-list-info")
@Status(StatusEnum.PUBLIC)
@Family({"ontap-c", "ontap-d"})
public class PerfObjectListInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<ObjectInfo> objects;

  @Output("objects")
  @Type("object-info[]")
  public void setObjects(List<ObjectInfo> paramList)
  {
    this.objects = paramList;
  }

  public List<ObjectInfo> getObjects()
  {
    return this.objects;
  }

  public PerfObjectListInfo withObjects(List<ObjectInfo> paramList)
  {
    this.objects = paramList;
    return this;
  }

  public PerfObjectListInfo withObjects(ObjectInfo[] paramArrayOfObjectInfo)
  {
    this.objects = new ArrayList(Arrays.asList(paramArrayOfObjectInfo));
    return this;
  }
}