package com.netapp.filer.rsh;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("rsh-kill")
@Status(StatusEnum.PUBLIC)
@Errno({"ERSHKILLERROR", "ERSHSESSIONERROR"})
@Family({"ontap-c"})
public class RshKill
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Integer sessionNumber;

  @Input("session-number")
  @Type("integer")
  @Range(min="0", max="191")
  public void setSessionNumber(Integer paramInteger)
  {
    this.sessionNumber = paramInteger;
  }

  public Integer getSessionNumber()
  {
    return this.sessionNumber;
  }

  public RshKill withSessionNumber(Integer paramInteger)
  {
    this.sessionNumber = paramInteger;
    return this;
  }
}