package com.netapp.filer.ses;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("storage-shelf-get-channel-list")
@Status(StatusEnum.PUBLIC)
@Family({"ontap-d"})
public class StorageShelfGetChannelList
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<ChannelInfo> channelList;

  @Output("channel-list")
  @Type("channel-info[]")
  public void setChannelList(List<ChannelInfo> paramList)
  {
    this.channelList = paramList;
  }

  public List<ChannelInfo> getChannelList()
  {
    return this.channelList;
  }

  public StorageShelfGetChannelList withChannelList(List<ChannelInfo> paramList)
  {
    this.channelList = paramList;
    return this;
  }

  public StorageShelfGetChannelList withChannelList(ChannelInfo[] paramArrayOfChannelInfo)
  {
    this.channelList = new ArrayList(Arrays.asList(paramArrayOfChannelInfo));
    return this;
  }
}