package com.netapp.filer.snapshot;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.math.BigInteger;

@Api("snapshot-partial-restore-file-list-info")
@Status(StatusEnum.PUBLIC)
@Family({"ontap-c", "vfiler"})
public class SnapshotPartialRestoreFileListInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public BigInteger maxByteCount;

  @Output("max-byte-count")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setMaxByteCount(BigInteger paramBigInteger)
  {
    this.maxByteCount = paramBigInteger;
  }

  public BigInteger getMaxByteCount()
  {
    return this.maxByteCount;
  }

  public SnapshotPartialRestoreFileListInfo withMaxByteCount(BigInteger paramBigInteger)
  {
    this.maxByteCount = paramBigInteger;
    return this;
  }
}