package com.netapp.filer.snapvault;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("snapvault-primary-set-snapshot-schedule")
@Status(StatusEnum.PUBLIC)
@Errno({"EAPILICENSE", "ESNAPVAULTBUSY", "ESNAPVAULTERR", "ESNAPVAULTRESOURCE", "ESNAPVAULTSETUP"})
@Family({"ontap-c", "vfiler"})
public class SnapvaultPrimarySetSnapshotSchedule
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public SnapvaultPrimarySnapshotScheduleInfo snapshotSchedule;

  @Input("snapshot-schedule")
  @Type("snapvault-primary-snapshot-schedule-info")
  public void setSnapshotSchedule(SnapvaultPrimarySnapshotScheduleInfo paramSnapvaultPrimarySnapshotScheduleInfo)
  {
    this.snapshotSchedule = paramSnapvaultPrimarySnapshotScheduleInfo;
  }

  public SnapvaultPrimarySnapshotScheduleInfo getSnapshotSchedule()
  {
    return this.snapshotSchedule;
  }

  public SnapvaultPrimarySetSnapshotSchedule withSnapshotSchedule(SnapvaultPrimarySnapshotScheduleInfo paramSnapvaultPrimarySnapshotScheduleInfo)
  {
    this.snapshotSchedule = paramSnapvaultPrimarySnapshotScheduleInfo;
    return this;
  }
}