package com.netapp.filer.snapvault;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("snapvault-secondary-configuration-list-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EAPILICENSE", "ESNAPVAULTERR", "ESNAPVAULTRESOURCE", "ESNAPVAULTSETUP"})
@Family({"ontap-c", "vfiler"})
public class SnapvaultSecondaryConfigurationListInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<SnapvaultConfigurationInfo> configurations;

  @Output("configurations")
  @Type("snapvault-configuration-info[]")
  @Optional
  public void setConfigurations(List<SnapvaultConfigurationInfo> paramList)
  {
    this.configurations = paramList;
  }

  public List<SnapvaultConfigurationInfo> getConfigurations()
  {
    return this.configurations;
  }

  public SnapvaultSecondaryConfigurationListInfo withConfigurations(List<SnapvaultConfigurationInfo> paramList)
  {
    this.configurations = paramList;
    return this;
  }

  public SnapvaultSecondaryConfigurationListInfo withConfigurations(SnapvaultConfigurationInfo[] paramArrayOfSnapvaultConfigurationInfo)
  {
    this.configurations = new ArrayList(Arrays.asList(paramArrayOfSnapvaultConfigurationInfo));
    return this;
  }
}