package com.netapp.filer.snapvault;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("snapvault-secondary-modify-configuration")
@Status(StatusEnum.PUBLIC)
@Errno({"EAPILICENSE", "ESNAPVAULTERR", "ESNAPVAULTRESOURCE", "ESNAPVAULTSETUP"})
@Family({"ontap-c", "vfiler"})
public class SnapvaultSecondaryModifyConfiguration
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public SnapvaultConfigurationInfo configuration;

  @Input("configuration")
  @Type("snapvault-configuration-info")
  public void setConfiguration(SnapvaultConfigurationInfo paramSnapvaultConfigurationInfo)
  {
    this.configuration = paramSnapvaultConfigurationInfo;
  }

  public SnapvaultConfigurationInfo getConfiguration()
  {
    return this.configuration;
  }

  public SnapvaultSecondaryModifyConfiguration withConfiguration(SnapvaultConfigurationInfo paramSnapvaultConfigurationInfo)
  {
    this.configuration = paramSnapvaultConfigurationInfo;
    return this;
  }
}