package com.netapp.filer.snapvault;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("snapvault-secondary-set-snapshot-schedule")
@Status(StatusEnum.PUBLIC)
@Errno({"EAPILICENSE", "ESNAPVAULTBUSY", "ESNAPVAULTERR", "ESNAPVAULTRESOURCE", "ESNAPVAULTSETUP"})
@Family({"ontap-c", "vfiler"})
public class SnapvaultSecondarySetSnapshotSchedule
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public SnapvaultSecondarySnapshotScheduleInfo snapshotSchedule;

  @Input("snapshot-schedule")
  @Type("snapvault-secondary-snapshot-schedule-info")
  public void setSnapshotSchedule(SnapvaultSecondarySnapshotScheduleInfo paramSnapvaultSecondarySnapshotScheduleInfo)
  {
    this.snapshotSchedule = paramSnapvaultSecondarySnapshotScheduleInfo;
  }

  public SnapvaultSecondarySnapshotScheduleInfo getSnapshotSchedule()
  {
    return this.snapshotSchedule;
  }

  public SnapvaultSecondarySetSnapshotSchedule withSnapshotSchedule(SnapvaultSecondarySnapshotScheduleInfo paramSnapvaultSecondarySnapshotScheduleInfo)
  {
    this.snapshotSchedule = paramSnapvaultSecondarySnapshotScheduleInfo;
    return this;
  }
}