package com.netapp.filer.snmp;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("snmp-trap-set")
@Status(StatusEnum.PUBLIC)
@Errno({"EONTAPI_EINVAL", "EONTAPI_ENOENT", "EONTAPI_ENOMEM"})
public class SnmpTrapSet
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public TrapInfo trapDef;

  @Input("trap-def")
  @Type("trap-info")
  public void setTrapDef(TrapInfo paramTrapInfo)
  {
    this.trapDef = paramTrapInfo;
  }

  public TrapInfo getTrapDef()
  {
    return this.trapDef;
  }

  public SnmpTrapSet withTrapDef(TrapInfo paramTrapInfo)
  {
    this.trapDef = paramTrapInfo;
    return this;
  }
}