package com.netapp.filer.storageadapter;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("storage-adapter-get-adapter-list")
@Status(StatusEnum.PUBLIC)
@Family({"ontap-c", "ontap-d"})
public class StorageAdapterGetAdapterList
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<AdapterNameElem> adapterList;

  @Output("adapter-list")
  @Type("adapter-name-elem[]")
  public void setAdapterList(List<AdapterNameElem> paramList)
  {
    this.adapterList = paramList;
  }

  public List<AdapterNameElem> getAdapterList()
  {
    return this.adapterList;
  }

  public StorageAdapterGetAdapterList withAdapterList(List<AdapterNameElem> paramList)
  {
    this.adapterList = paramList;
    return this;
  }

  public StorageAdapterGetAdapterList withAdapterList(AdapterNameElem[] paramArrayOfAdapterNameElem)
  {
    this.adapterList = new ArrayList(Arrays.asList(paramArrayOfAdapterNameElem));
    return this;
  }
}