package com.netapp.filer.system;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("system-available-replication-transfers")
@Status(StatusEnum.PUBLIC)
@Family({"ontap-c", "vfiler"})
public class SystemAvailableReplicationTransfers
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<ReplicationTransferInfo> replicationTransferTable;

  @Output("replication-transfer-table")
  @Type("replication-transfer-info[]")
  public void setReplicationTransferTable(List<ReplicationTransferInfo> paramList)
  {
    this.replicationTransferTable = paramList;
  }

  public List<ReplicationTransferInfo> getReplicationTransferTable()
  {
    return this.replicationTransferTable;
  }

  public SystemAvailableReplicationTransfers withReplicationTransferTable(List<ReplicationTransferInfo> paramList)
  {
    this.replicationTransferTable = paramList;
    return this;
  }

  public SystemAvailableReplicationTransfers withReplicationTransferTable(ReplicationTransferInfo[] paramArrayOfReplicationTransferInfo)
  {
    this.replicationTransferTable = new ArrayList(Arrays.asList(paramArrayOfReplicationTransferInfo));
    return this;
  }
}