package com.netapp.filer.vfiler;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("vfiler-dr-activate")
@Status(StatusEnum.PUBLIC)
@Errno({"EVFILERNOTFOUND"})
public class VfilerDrActivate
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public VfilerLocation remoteVfilerLocation;

  @Input("remote-vfiler-location")
  @Type("vfiler-location")
  public void setRemoteVfilerLocation(VfilerLocation paramVfilerLocation)
  {
    this.remoteVfilerLocation = paramVfilerLocation;
  }

  public VfilerLocation getRemoteVfilerLocation()
  {
    return this.remoteVfilerLocation;
  }

  public VfilerDrActivate withRemoteVfilerLocation(VfilerLocation paramVfilerLocation)
  {
    this.remoteVfilerLocation = paramVfilerLocation;
    return this;
  }
}