package com.vmware.vcloud.api.rest.schema;

import com.vmware.vcloud.api.rest.schema.ovf.SectionType;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="CaptureVAppParamsType", propOrder={"source", "section", "vdcStorageProfile"})
public class CaptureVAppParamsType extends ParamsType
{

  @XmlElement(name="Source", required=true)
  protected ReferenceType source;

  @XmlElementRef(name="Section", namespace="http://schemas.dmtf.org/ovf/envelope/1", type=JAXBElement.class)
  protected List<JAXBElement<? extends SectionType>> section;

  @XmlElement(name="VdcStorageProfile")
  protected ReferenceType vdcStorageProfile;

  public ReferenceType getSource()
  {
    return this.source;
  }

  public void setSource(ReferenceType value)
  {
    this.source = value;
  }

  public List<JAXBElement<? extends SectionType>> getSection()
  {
    if (this.section == null) {
      this.section = new ArrayList();
    }
    return this.section;
  }

  public ReferenceType getVdcStorageProfile()
  {
    return this.vdcStorageProfile;
  }

  public void setVdcStorageProfile(ReferenceType value)
  {
    this.vdcStorageProfile = value;
  }
}