package com.vmware.vcloud.api.rest.schema;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="CatalogItemType", propOrder={"entity", "property", "dateCreated"})
public class CatalogItemType extends EntityType
{

  @XmlElement(name="Entity", required=true)
  protected ReferenceType entity;

  @XmlElement(name="Property")
  protected List<PropertyType> property;

  @XmlElement(name="DateCreated")
  protected XMLGregorianCalendar dateCreated;

  public ReferenceType getEntity()
  {
    return this.entity;
  }

  public void setEntity(ReferenceType value)
  {
    this.entity = value;
  }

  public List<PropertyType> getProperty()
  {
    if (this.property == null) {
      this.property = new ArrayList();
    }
    return this.property;
  }

  public XMLGregorianCalendar getDateCreated()
  {
    return this.dateCreated;
  }

  public void setDateCreated(XMLGregorianCalendar value)
  {
    this.dateCreated = value;
  }
}