package com.vmware.vcloud.api.rest.schema;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="CreateVdcParamsType", propOrder={"allocationModel", "computeCapacity", "nicQuota", "networkQuota", "vmQuota", "isEnabled", "vdcStorageProfile", "resourceGuaranteedMemory", "resourceGuaranteedCpu", "vCpuInMhz", "isThinProvision", "networkPoolReference", "providerVdcReference", "usesFastProvisioning"})
public class CreateVdcParamsType extends ParamsType
{

  @XmlElement(name="AllocationModel", required=true)
  protected String allocationModel;

  @XmlElement(name="ComputeCapacity", required=true)
  protected ComputeCapacityType computeCapacity;

  @XmlElement(name="NicQuota")
  protected Integer nicQuota;

  @XmlElement(name="NetworkQuota")
  protected Integer networkQuota;

  @XmlElement(name="VmQuota")
  protected Integer vmQuota;

  @XmlElement(name="IsEnabled")
  protected Boolean isEnabled;

  @XmlElement(name="VdcStorageProfile", required=true)
  protected List<VdcStorageProfileParamsType> vdcStorageProfile;

  @XmlElement(name="ResourceGuaranteedMemory")
  protected Double resourceGuaranteedMemory;

  @XmlElement(name="ResourceGuaranteedCpu")
  protected Double resourceGuaranteedCpu;

  @XmlElement(name="VCpuInMhz")
  protected Long vCpuInMhz;

  @XmlElement(name="IsThinProvision")
  protected Boolean isThinProvision;

  @XmlElement(name="NetworkPoolReference")
  protected ReferenceType networkPoolReference;

  @XmlElement(name="ProviderVdcReference")
  protected ReferenceType providerVdcReference;

  @XmlElement(name="UsesFastProvisioning")
  protected Boolean usesFastProvisioning;

  public String getAllocationModel()
  {
    return this.allocationModel;
  }

  public void setAllocationModel(String value)
  {
    this.allocationModel = value;
  }

  public ComputeCapacityType getComputeCapacity()
  {
    return this.computeCapacity;
  }

  public void setComputeCapacity(ComputeCapacityType value)
  {
    this.computeCapacity = value;
  }

  public Integer getNicQuota()
  {
    return this.nicQuota;
  }

  public void setNicQuota(Integer value)
  {
    this.nicQuota = value;
  }

  public Integer getNetworkQuota()
  {
    return this.networkQuota;
  }

  public void setNetworkQuota(Integer value)
  {
    this.networkQuota = value;
  }

  public Integer getVmQuota()
  {
    return this.vmQuota;
  }

  public void setVmQuota(Integer value)
  {
    this.vmQuota = value;
  }

  public Boolean isIsEnabled()
  {
    return this.isEnabled;
  }

  public void setIsEnabled(Boolean value)
  {
    this.isEnabled = value;
  }

  public List<VdcStorageProfileParamsType> getVdcStorageProfile()
  {
    if (this.vdcStorageProfile == null) {
      this.vdcStorageProfile = new ArrayList();
    }
    return this.vdcStorageProfile;
  }

  public Double getResourceGuaranteedMemory()
  {
    return this.resourceGuaranteedMemory;
  }

  public void setResourceGuaranteedMemory(Double value)
  {
    this.resourceGuaranteedMemory = value;
  }

  public Double getResourceGuaranteedCpu()
  {
    return this.resourceGuaranteedCpu;
  }

  public void setResourceGuaranteedCpu(Double value)
  {
    this.resourceGuaranteedCpu = value;
  }

  public Long getVCpuInMhz()
  {
    return this.vCpuInMhz;
  }

  public void setVCpuInMhz(Long value)
  {
    this.vCpuInMhz = value;
  }

  public Boolean isIsThinProvision()
  {
    return this.isThinProvision;
  }

  public void setIsThinProvision(Boolean value)
  {
    this.isThinProvision = value;
  }

  public ReferenceType getNetworkPoolReference()
  {
    return this.networkPoolReference;
  }

  public void setNetworkPoolReference(ReferenceType value)
  {
    this.networkPoolReference = value;
  }

  public ReferenceType getProviderVdcReference()
  {
    return this.providerVdcReference;
  }

  public void setProviderVdcReference(ReferenceType value)
  {
    this.providerVdcReference = value;
  }

  public Boolean isUsesFastProvisioning()
  {
    return this.usesFastProvisioning;
  }

  public void setUsesFastProvisioning(Boolean value)
  {
    this.usesFastProvisioning = value;
  }
}