package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="IpScopeType", propOrder={"isInherited", "gateway", "netmask", "dns1", "dns2", "dnsSuffix", "isEnabled", "ipRanges", "allocatedIpAddresses", "subAllocations"})
public class IpScopeType extends VCloudExtensibleType
{

  @XmlElement(name="IsInherited")
  protected boolean isInherited;

  @XmlElement(name="Gateway")
  protected String gateway;

  @XmlElement(name="Netmask")
  protected String netmask;

  @XmlElement(name="Dns1")
  protected String dns1;

  @XmlElement(name="Dns2")
  protected String dns2;

  @XmlElement(name="DnsSuffix")
  protected String dnsSuffix;

  @XmlElement(name="IsEnabled")
  protected Boolean isEnabled;

  @XmlElement(name="IpRanges")
  protected IpRangesType ipRanges;

  @XmlElement(name="AllocatedIpAddresses")
  protected IpAddressesType allocatedIpAddresses;

  @XmlElement(name="SubAllocations")
  protected SubAllocationsType subAllocations;

  public boolean isIsInherited()
  {
    return this.isInherited;
  }

  public void setIsInherited(boolean value)
  {
    this.isInherited = value;
  }

  public String getGateway()
  {
    return this.gateway;
  }

  public void setGateway(String value)
  {
    this.gateway = value;
  }

  public String getNetmask()
  {
    return this.netmask;
  }

  public void setNetmask(String value)
  {
    this.netmask = value;
  }

  public String getDns1()
  {
    return this.dns1;
  }

  public void setDns1(String value)
  {
    this.dns1 = value;
  }

  public String getDns2()
  {
    return this.dns2;
  }

  public void setDns2(String value)
  {
    this.dns2 = value;
  }

  public String getDnsSuffix()
  {
    return this.dnsSuffix;
  }

  public void setDnsSuffix(String value)
  {
    this.dnsSuffix = value;
  }

  public Boolean isIsEnabled()
  {
    return this.isEnabled;
  }

  public void setIsEnabled(Boolean value)
  {
    this.isEnabled = value;
  }

  public IpRangesType getIpRanges()
  {
    return this.ipRanges;
  }

  public void setIpRanges(IpRangesType value)
  {
    this.ipRanges = value;
  }

  public IpAddressesType getAllocatedIpAddresses()
  {
    return this.allocatedIpAddresses;
  }

  public void setAllocatedIpAddresses(IpAddressesType value)
  {
    this.allocatedIpAddresses = value;
  }

  public SubAllocationsType getSubAllocations()
  {
    return this.subAllocations;
  }

  public void setSubAllocations(SubAllocationsType value)
  {
    this.subAllocations = value;
  }
}