package com.vmware.vcloud.api.rest.schema;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="LBPoolServicePortType", propOrder={"isEnabled", "protocol", "algorithm", "port", "healthCheckPort", "healthCheck"})
public class LBPoolServicePortType extends VCloudExtensibleType
{

  @XmlElement(name="IsEnabled")
  protected Boolean isEnabled;

  @XmlElement(name="Protocol")
  protected String protocol;

  @XmlElement(name="Algorithm")
  protected String algorithm;

  @XmlElement(name="Port")
  protected String port;

  @XmlElement(name="HealthCheckPort")
  protected String healthCheckPort;

  @XmlElement(name="HealthCheck")
  protected List<LBPoolHealthCheckType> healthCheck;

  public Boolean isIsEnabled()
  {
    return this.isEnabled;
  }

  public void setIsEnabled(Boolean value)
  {
    this.isEnabled = value;
  }

  public String getProtocol()
  {
    return this.protocol;
  }

  public void setProtocol(String value)
  {
    this.protocol = value;
  }

  public String getAlgorithm()
  {
    return this.algorithm;
  }

  public void setAlgorithm(String value)
  {
    this.algorithm = value;
  }

  public String getPort()
  {
    return this.port;
  }

  public void setPort(String value)
  {
    this.port = value;
  }

  public String getHealthCheckPort()
  {
    return this.healthCheckPort;
  }

  public void setHealthCheckPort(String value)
  {
    this.healthCheckPort = value;
  }

  public List<LBPoolHealthCheckType> getHealthCheck()
  {
    if (this.healthCheck == null) {
      this.healthCheck = new ArrayList();
    }
    return this.healthCheck;
  }
}