package com.vmware.vcloud.api.rest.schema;

import com.vmware.vcloud.api.rest.schema.ovf.SectionType;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAnyElement;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="LeaseSettingsSectionType", propOrder={"link", "deploymentLeaseInSeconds", "storageLeaseInSeconds", "deploymentLeaseExpiration", "storageLeaseExpiration", "any"})
public class LeaseSettingsSectionType extends SectionType
{

  @XmlElement(name="Link")
  protected List<LinkType> link;

  @XmlElement(name="DeploymentLeaseInSeconds")
  protected Integer deploymentLeaseInSeconds;

  @XmlElement(name="StorageLeaseInSeconds")
  protected Integer storageLeaseInSeconds;

  @XmlElement(name="DeploymentLeaseExpiration")
  protected XMLGregorianCalendar deploymentLeaseExpiration;

  @XmlElement(name="StorageLeaseExpiration")
  protected XMLGregorianCalendar storageLeaseExpiration;

  @XmlAnyElement(lax=true)
  protected List<Object> any;

  @XmlAttribute
  protected String href;

  @XmlAttribute
  protected String type;

  public List<LinkType> getLink()
  {
    if (this.link == null) {
      this.link = new ArrayList();
    }
    return this.link;
  }

  public Integer getDeploymentLeaseInSeconds()
  {
    return this.deploymentLeaseInSeconds;
  }

  public void setDeploymentLeaseInSeconds(Integer value)
  {
    this.deploymentLeaseInSeconds = value;
  }

  public Integer getStorageLeaseInSeconds()
  {
    return this.storageLeaseInSeconds;
  }

  public void setStorageLeaseInSeconds(Integer value)
  {
    this.storageLeaseInSeconds = value;
  }

  public XMLGregorianCalendar getDeploymentLeaseExpiration()
  {
    return this.deploymentLeaseExpiration;
  }

  public void setDeploymentLeaseExpiration(XMLGregorianCalendar value)
  {
    this.deploymentLeaseExpiration = value;
  }

  public XMLGregorianCalendar getStorageLeaseExpiration()
  {
    return this.storageLeaseExpiration;
  }

  public void setStorageLeaseExpiration(XMLGregorianCalendar value)
  {
    this.storageLeaseExpiration = value;
  }

  public List<Object> getAny()
  {
    if (this.any == null) {
      this.any = new ArrayList();
    }
    return this.any;
  }

  public String getHref()
  {
    return this.href;
  }

  public void setHref(String value)
  {
    this.href = value;
  }

  public String getType()
  {
    return this.type;
  }

  public void setType(String value)
  {
    this.type = value;
  }
}