package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="OperatingSystemInfoType", propOrder={"operatingSystemId", "defaultHardDiskAdapterType", "minimumHardDiskSizeGigabytes", "minimumMemoryMegabytes", "name", "internalName", "supported", "x64", "maximumCpuCount", "minimumHardwareVersion", "personalizationEnabled", "personalizationAuto", "sysprepPackagingSupported", "supportsMemHotAdd", "cimOsId", "cimVersion", "supportedForCreate"})
public class OperatingSystemInfoType extends VCloudExtensibleType
{

  @XmlElement(name="OperatingSystemId")
  protected Integer operatingSystemId;

  @XmlElement(name="DefaultHardDiskAdapterType")
  protected Integer defaultHardDiskAdapterType;

  @XmlElement(name="MinimumHardDiskSizeGigabytes")
  protected Integer minimumHardDiskSizeGigabytes;

  @XmlElement(name="MinimumMemoryMegabytes")
  protected Integer minimumMemoryMegabytes;

  @XmlElement(name="Name")
  protected String name;

  @XmlElement(name="InternalName")
  protected String internalName;

  @XmlElement(name="Supported")
  protected Boolean supported;
  protected Boolean x64;

  @XmlElement(name="MaximumCpuCount")
  protected Integer maximumCpuCount;

  @XmlElement(name="MinimumHardwareVersion")
  protected Integer minimumHardwareVersion;

  @XmlElement(name="PersonalizationEnabled")
  protected Boolean personalizationEnabled;

  @XmlElement(name="PersonalizationAuto")
  protected Boolean personalizationAuto;

  @XmlElement(name="SysprepPackagingSupported")
  protected Boolean sysprepPackagingSupported;

  @XmlElement(name="SupportsMemHotAdd")
  protected Boolean supportsMemHotAdd;
  protected Integer cimOsId;

  @XmlElement(name="CimVersion")
  protected Integer cimVersion;

  @XmlElement(name="SupportedForCreate")
  protected Boolean supportedForCreate;

  public Integer getOperatingSystemId()
  {
    return this.operatingSystemId;
  }

  public void setOperatingSystemId(Integer value)
  {
    this.operatingSystemId = value;
  }

  public Integer getDefaultHardDiskAdapterType()
  {
    return this.defaultHardDiskAdapterType;
  }

  public void setDefaultHardDiskAdapterType(Integer value)
  {
    this.defaultHardDiskAdapterType = value;
  }

  public Integer getMinimumHardDiskSizeGigabytes()
  {
    return this.minimumHardDiskSizeGigabytes;
  }

  public void setMinimumHardDiskSizeGigabytes(Integer value)
  {
    this.minimumHardDiskSizeGigabytes = value;
  }

  public Integer getMinimumMemoryMegabytes()
  {
    return this.minimumMemoryMegabytes;
  }

  public void setMinimumMemoryMegabytes(Integer value)
  {
    this.minimumMemoryMegabytes = value;
  }

  public String getName()
  {
    return this.name;
  }

  public void setName(String value)
  {
    this.name = value;
  }

  public String getInternalName()
  {
    return this.internalName;
  }

  public void setInternalName(String value)
  {
    this.internalName = value;
  }

  public Boolean isSupported()
  {
    return this.supported;
  }

  public void setSupported(Boolean value)
  {
    this.supported = value;
  }

  public Boolean isX64()
  {
    return this.x64;
  }

  public void setX64(Boolean value)
  {
    this.x64 = value;
  }

  public Integer getMaximumCpuCount()
  {
    return this.maximumCpuCount;
  }

  public void setMaximumCpuCount(Integer value)
  {
    this.maximumCpuCount = value;
  }

  public Integer getMinimumHardwareVersion()
  {
    return this.minimumHardwareVersion;
  }

  public void setMinimumHardwareVersion(Integer value)
  {
    this.minimumHardwareVersion = value;
  }

  public Boolean isPersonalizationEnabled()
  {
    return this.personalizationEnabled;
  }

  public void setPersonalizationEnabled(Boolean value)
  {
    this.personalizationEnabled = value;
  }

  public Boolean isPersonalizationAuto()
  {
    return this.personalizationAuto;
  }

  public void setPersonalizationAuto(Boolean value)
  {
    this.personalizationAuto = value;
  }

  public Boolean isSysprepPackagingSupported()
  {
    return this.sysprepPackagingSupported;
  }

  public void setSysprepPackagingSupported(Boolean value)
  {
    this.sysprepPackagingSupported = value;
  }

  public Boolean isSupportsMemHotAdd()
  {
    return this.supportsMemHotAdd;
  }

  public void setSupportsMemHotAdd(Boolean value)
  {
    this.supportsMemHotAdd = value;
  }

  public Integer getCimOsId()
  {
    return this.cimOsId;
  }

  public void setCimOsId(Integer value)
  {
    this.cimOsId = value;
  }

  public Integer getCimVersion()
  {
    return this.cimVersion;
  }

  public void setCimVersion(Integer value)
  {
    this.cimVersion = value;
  }

  public Boolean isSupportedForCreate()
  {
    return this.supportedForCreate;
  }

  public void setSupportedForCreate(Boolean value)
  {
    this.supportedForCreate = value;
  }
}