package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="TaskRequestBaseType", propOrder={"organization", "user", "taskOwner"})
public class TaskRequestBaseType extends EntityType
{

  @XmlElement(name="Organization", required=true)
  protected ReferenceType organization;

  @XmlElement(name="User")
  protected ReferenceType user;

  @XmlElement(name="TaskOwner")
  protected ReferenceType taskOwner;

  @XmlAttribute(required=true)
  protected XMLGregorianCalendar createdTime;

  @XmlAttribute(required=true)
  protected String timeoutAction;

  @XmlAttribute(required=true)
  protected XMLGregorianCalendar timeoutDate;

  public ReferenceType getOrganization()
  {
    return this.organization;
  }

  public void setOrganization(ReferenceType value)
  {
    this.organization = value;
  }

  public ReferenceType getUser()
  {
    return this.user;
  }

  public void setUser(ReferenceType value)
  {
    this.user = value;
  }

  public ReferenceType getTaskOwner()
  {
    return this.taskOwner;
  }

  public void setTaskOwner(ReferenceType value)
  {
    this.taskOwner = value;
  }

  public XMLGregorianCalendar getCreatedTime()
  {
    return this.createdTime;
  }

  public void setCreatedTime(XMLGregorianCalendar value)
  {
    this.createdTime = value;
  }

  public String getTimeoutAction()
  {
    return this.timeoutAction;
  }

  public void setTimeoutAction(String value)
  {
    this.timeoutAction = value;
  }

  public XMLGregorianCalendar getTimeoutDate()
  {
    return this.timeoutDate;
  }

  public void setTimeoutDate(XMLGregorianCalendar value)
  {
    this.timeoutDate = value;
  }
}