package com.vmware.vcloud.api.rest.schema;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="VdcType", propOrder={"allocationModel", "storageCapacity", "computeCapacity", "resourceEntities", "availableNetworks", "capabilities", "nicQuota", "networkQuota", "usedNetworkCount", "vmQuota", "isEnabled", "vdcStorageProfiles"})
public class VdcType extends EntityType
{

  @XmlElement(name="AllocationModel", required=true)
  protected String allocationModel;

  @XmlElement(name="StorageCapacity")
  protected CapacityWithUsageType storageCapacity;

  @XmlElement(name="ComputeCapacity", required=true)
  protected ComputeCapacityType computeCapacity;

  @XmlElement(name="ResourceEntities")
  protected ResourceEntitiesType resourceEntities;

  @XmlElement(name="AvailableNetworks")
  protected AvailableNetworksType availableNetworks;

  @XmlElement(name="Capabilities")
  protected CapabilitiesType capabilities;

  @XmlElement(name="NicQuota")
  protected int nicQuota;

  @XmlElement(name="NetworkQuota")
  protected int networkQuota;

  @XmlElement(name="UsedNetworkCount")
  protected Integer usedNetworkCount;

  @XmlElement(name="VmQuota")
  protected Integer vmQuota;

  @XmlElement(name="IsEnabled")
  protected Boolean isEnabled;

  @XmlElement(name="VdcStorageProfiles")
  protected VdcStorageProfilesType vdcStorageProfiles;

  @XmlAttribute
  protected Integer status;

  public String getAllocationModel()
  {
    return this.allocationModel;
  }

  public void setAllocationModel(String value)
  {
    this.allocationModel = value;
  }

  public CapacityWithUsageType getStorageCapacity()
  {
    return this.storageCapacity;
  }

  public void setStorageCapacity(CapacityWithUsageType value)
  {
    this.storageCapacity = value;
  }

  public ComputeCapacityType getComputeCapacity()
  {
    return this.computeCapacity;
  }

  public void setComputeCapacity(ComputeCapacityType value)
  {
    this.computeCapacity = value;
  }

  public ResourceEntitiesType getResourceEntities()
  {
    return this.resourceEntities;
  }

  public void setResourceEntities(ResourceEntitiesType value)
  {
    this.resourceEntities = value;
  }

  public AvailableNetworksType getAvailableNetworks()
  {
    return this.availableNetworks;
  }

  public void setAvailableNetworks(AvailableNetworksType value)
  {
    this.availableNetworks = value;
  }

  public CapabilitiesType getCapabilities()
  {
    return this.capabilities;
  }

  public void setCapabilities(CapabilitiesType value)
  {
    this.capabilities = value;
  }

  public int getNicQuota()
  {
    return this.nicQuota;
  }

  public void setNicQuota(int value)
  {
    this.nicQuota = value;
  }

  public int getNetworkQuota()
  {
    return this.networkQuota;
  }

  public void setNetworkQuota(int value)
  {
    this.networkQuota = value;
  }

  public Integer getUsedNetworkCount()
  {
    return this.usedNetworkCount;
  }

  public void setUsedNetworkCount(Integer value)
  {
    this.usedNetworkCount = value;
  }

  public Integer getVmQuota()
  {
    return this.vmQuota;
  }

  public void setVmQuota(Integer value)
  {
    this.vmQuota = value;
  }

  public Boolean isIsEnabled()
  {
    return this.isEnabled;
  }

  public void setIsEnabled(Boolean value)
  {
    this.isEnabled = value;
  }

  public VdcStorageProfilesType getVdcStorageProfiles()
  {
    return this.vdcStorageProfiles;
  }

  public void setVdcStorageProfiles(VdcStorageProfilesType value)
  {
    this.vdcStorageProfiles = value;
  }

  public Integer getStatus()
  {
    return this.status;
  }

  public void setStatus(Integer value)
  {
    this.status = value;
  }
}