package com.vmware.vcloud.api.rest.schema.extension;

import com.vmware.vcloud.api.rest.schema.ResourceType;
import com.vmware.vcloud.api.rest.schema.SyslogServerSettingsType;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.HexBinaryAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import javax.xml.datatype.XMLGregorianCalendar;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="GeneralSettingsType", propOrder={"absoluteSessionTimeoutMinutes", "activityLogDisplayDays", "activityLogKeepDays", "allowOverlappingExtNets", "chargebackEventsKeepDays", "chargebackTablesCleanupJobTimeInSeconds", "consoleProxyExternalAddress", "hostCheckDelayInSeconds", "hostCheckTimeoutSeconds", "installationId", "ipReservationTimeoutSeconds", "syslogServerSettings", "loginNameOnly", "prePopDefaultName", "quarantineEnabled", "quarantineResponseTimeoutSeconds", "restApiBaseUri", "sessionTimeoutMinutes", "showStackTraces", "syncStartDate", "syncIntervalInHours", "systemExternalAddress", "transferSessionTimeoutSeconds", "verifyVcCertificates", "vcTruststorePassword", "vcTruststoreContents", "vcTruststoreType", "vmrcVersion", "verifyVsmCertificates"})
public class GeneralSettingsType extends ResourceType
{

  @XmlElement(name="AbsoluteSessionTimeoutMinutes")
  protected int absoluteSessionTimeoutMinutes;

  @XmlElement(name="ActivityLogDisplayDays")
  protected int activityLogDisplayDays;

  @XmlElement(name="ActivityLogKeepDays")
  protected int activityLogKeepDays;

  @XmlElement(name="AllowOverlappingExtNets")
  protected boolean allowOverlappingExtNets;

  @XmlElement(name="ChargebackEventsKeepDays")
  protected int chargebackEventsKeepDays;

  @XmlElement(name="ChargebackTablesCleanupJobTimeInSeconds")
  protected int chargebackTablesCleanupJobTimeInSeconds;

  @XmlElement(name="ConsoleProxyExternalAddress")
  protected String consoleProxyExternalAddress;

  @XmlElement(name="HostCheckDelayInSeconds")
  protected int hostCheckDelayInSeconds;

  @XmlElement(name="HostCheckTimeoutSeconds")
  protected int hostCheckTimeoutSeconds;

  @XmlElement(name="InstallationId")
  protected Integer installationId;

  @XmlElement(name="IpReservationTimeoutSeconds")
  protected int ipReservationTimeoutSeconds;

  @XmlElement(name="SyslogServerSettings", required=true)
  protected SyslogServerSettingsType syslogServerSettings;

  @XmlElement(name="LoginNameOnly")
  protected boolean loginNameOnly;

  @XmlElement(name="PrePopDefaultName")
  protected boolean prePopDefaultName;

  @XmlElement(name="QuarantineEnabled")
  protected boolean quarantineEnabled;

  @XmlElement(name="QuarantineResponseTimeoutSeconds")
  protected int quarantineResponseTimeoutSeconds;

  @XmlElement(name="RestApiBaseUri")
  protected String restApiBaseUri;

  @XmlElement(name="SessionTimeoutMinutes")
  protected int sessionTimeoutMinutes;

  @XmlElement(name="ShowStackTraces")
  protected boolean showStackTraces;

  @XmlElement(name="SyncStartDate", required=true)
  protected XMLGregorianCalendar syncStartDate;

  @XmlElement(name="SyncIntervalInHours")
  protected long syncIntervalInHours;

  @XmlElement(name="SystemExternalAddress")
  protected String systemExternalAddress;

  @XmlElement(name="TransferSessionTimeoutSeconds")
  protected int transferSessionTimeoutSeconds;

  @XmlElement(name="VerifyVcCertificates")
  protected boolean verifyVcCertificates;

  @XmlElement(name="VcTruststorePassword")
  protected String vcTruststorePassword;

  @XmlElement(name="VcTruststoreContents", type=String.class)
  @XmlJavaTypeAdapter(HexBinaryAdapter.class)
  protected byte[] vcTruststoreContents;

  @XmlElement(name="VcTruststoreType", required=true)
  protected String vcTruststoreType;

  @XmlElement(name="VmrcVersion")
  protected String vmrcVersion;

  @XmlElement(name="VerifyVsmCertificates")
  protected Boolean verifyVsmCertificates;

  public int getAbsoluteSessionTimeoutMinutes()
  {
    return this.absoluteSessionTimeoutMinutes;
  }

  public void setAbsoluteSessionTimeoutMinutes(int value)
  {
    this.absoluteSessionTimeoutMinutes = value;
  }

  public int getActivityLogDisplayDays()
  {
    return this.activityLogDisplayDays;
  }

  public void setActivityLogDisplayDays(int value)
  {
    this.activityLogDisplayDays = value;
  }

  public int getActivityLogKeepDays()
  {
    return this.activityLogKeepDays;
  }

  public void setActivityLogKeepDays(int value)
  {
    this.activityLogKeepDays = value;
  }

  public boolean isAllowOverlappingExtNets()
  {
    return this.allowOverlappingExtNets;
  }

  public void setAllowOverlappingExtNets(boolean value)
  {
    this.allowOverlappingExtNets = value;
  }

  public int getChargebackEventsKeepDays()
  {
    return this.chargebackEventsKeepDays;
  }

  public void setChargebackEventsKeepDays(int value)
  {
    this.chargebackEventsKeepDays = value;
  }

  public int getChargebackTablesCleanupJobTimeInSeconds()
  {
    return this.chargebackTablesCleanupJobTimeInSeconds;
  }

  public void setChargebackTablesCleanupJobTimeInSeconds(int value)
  {
    this.chargebackTablesCleanupJobTimeInSeconds = value;
  }

  public String getConsoleProxyExternalAddress()
  {
    return this.consoleProxyExternalAddress;
  }

  public void setConsoleProxyExternalAddress(String value)
  {
    this.consoleProxyExternalAddress = value;
  }

  public int getHostCheckDelayInSeconds()
  {
    return this.hostCheckDelayInSeconds;
  }

  public void setHostCheckDelayInSeconds(int value)
  {
    this.hostCheckDelayInSeconds = value;
  }

  public int getHostCheckTimeoutSeconds()
  {
    return this.hostCheckTimeoutSeconds;
  }

  public void setHostCheckTimeoutSeconds(int value)
  {
    this.hostCheckTimeoutSeconds = value;
  }

  public Integer getInstallationId()
  {
    return this.installationId;
  }

  public void setInstallationId(Integer value)
  {
    this.installationId = value;
  }

  public int getIpReservationTimeoutSeconds()
  {
    return this.ipReservationTimeoutSeconds;
  }

  public void setIpReservationTimeoutSeconds(int value)
  {
    this.ipReservationTimeoutSeconds = value;
  }

  public SyslogServerSettingsType getSyslogServerSettings()
  {
    return this.syslogServerSettings;
  }

  public void setSyslogServerSettings(SyslogServerSettingsType value)
  {
    this.syslogServerSettings = value;
  }

  public boolean isLoginNameOnly()
  {
    return this.loginNameOnly;
  }

  public void setLoginNameOnly(boolean value)
  {
    this.loginNameOnly = value;
  }

  public boolean isPrePopDefaultName()
  {
    return this.prePopDefaultName;
  }

  public void setPrePopDefaultName(boolean value)
  {
    this.prePopDefaultName = value;
  }

  public boolean isQuarantineEnabled()
  {
    return this.quarantineEnabled;
  }

  public void setQuarantineEnabled(boolean value)
  {
    this.quarantineEnabled = value;
  }

  public int getQuarantineResponseTimeoutSeconds()
  {
    return this.quarantineResponseTimeoutSeconds;
  }

  public void setQuarantineResponseTimeoutSeconds(int value)
  {
    this.quarantineResponseTimeoutSeconds = value;
  }

  public String getRestApiBaseUri()
  {
    return this.restApiBaseUri;
  }

  public void setRestApiBaseUri(String value)
  {
    this.restApiBaseUri = value;
  }

  public int getSessionTimeoutMinutes()
  {
    return this.sessionTimeoutMinutes;
  }

  public void setSessionTimeoutMinutes(int value)
  {
    this.sessionTimeoutMinutes = value;
  }

  public boolean isShowStackTraces()
  {
    return this.showStackTraces;
  }

  public void setShowStackTraces(boolean value)
  {
    this.showStackTraces = value;
  }

  public XMLGregorianCalendar getSyncStartDate()
  {
    return this.syncStartDate;
  }

  public void setSyncStartDate(XMLGregorianCalendar value)
  {
    this.syncStartDate = value;
  }

  public long getSyncIntervalInHours()
  {
    return this.syncIntervalInHours;
  }

  public void setSyncIntervalInHours(long value)
  {
    this.syncIntervalInHours = value;
  }

  public String getSystemExternalAddress()
  {
    return this.systemExternalAddress;
  }

  public void setSystemExternalAddress(String value)
  {
    this.systemExternalAddress = value;
  }

  public int getTransferSessionTimeoutSeconds()
  {
    return this.transferSessionTimeoutSeconds;
  }

  public void setTransferSessionTimeoutSeconds(int value)
  {
    this.transferSessionTimeoutSeconds = value;
  }

  public boolean isVerifyVcCertificates()
  {
    return this.verifyVcCertificates;
  }

  public void setVerifyVcCertificates(boolean value)
  {
    this.verifyVcCertificates = value;
  }

  public String getVcTruststorePassword()
  {
    return this.vcTruststorePassword;
  }

  public void setVcTruststorePassword(String value)
  {
    this.vcTruststorePassword = value;
  }

  public byte[] getVcTruststoreContents()
  {
    return this.vcTruststoreContents;
  }

  public void setVcTruststoreContents(byte[] value)
  {
    this.vcTruststoreContents = ((byte[])value);
  }

  public String getVcTruststoreType()
  {
    return this.vcTruststoreType;
  }

  public void setVcTruststoreType(String value)
  {
    this.vcTruststoreType = value;
  }

  public String getVmrcVersion()
  {
    return this.vmrcVersion;
  }

  public void setVmrcVersion(String value)
  {
    this.vmrcVersion = value;
  }

  public Boolean isVerifyVsmCertificates()
  {
    return this.verifyVsmCertificates;
  }

  public void setVerifyVsmCertificates(Boolean value)
  {
    this.verifyVsmCertificates = value;
  }
}