package com.vmware.vcloud.api.rest.schema.extension;

import com.vmware.vcloud.api.rest.schema.ResourceType;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="LdapUserAttributesType", propOrder={"objectClass", "objectIdentifier", "userName", "email", "fullName", "givenName", "surname", "telephone", "groupMembershipIdentifier", "groupBackLinkIdentifier"})
public class LdapUserAttributesType extends ResourceType
{

  @XmlElement(name="ObjectClass", required=true)
  protected String objectClass;

  @XmlElement(name="ObjectIdentifier", required=true)
  protected String objectIdentifier;

  @XmlElement(name="UserName", required=true)
  protected String userName;

  @XmlElement(name="Email", required=true)
  protected String email;

  @XmlElement(name="FullName", required=true)
  protected String fullName;

  @XmlElement(name="GivenName", required=true)
  protected String givenName;

  @XmlElement(name="Surname", required=true)
  protected String surname;

  @XmlElement(name="Telephone", required=true)
  protected String telephone;

  @XmlElement(name="GroupMembershipIdentifier", required=true)
  protected String groupMembershipIdentifier;

  @XmlElement(name="GroupBackLinkIdentifier")
  protected String groupBackLinkIdentifier;

  public String getObjectClass()
  {
    return this.objectClass;
  }

  public void setObjectClass(String value)
  {
    this.objectClass = value;
  }

  public String getObjectIdentifier()
  {
    return this.objectIdentifier;
  }

  public void setObjectIdentifier(String value)
  {
    this.objectIdentifier = value;
  }

  public String getUserName()
  {
    return this.userName;
  }

  public void setUserName(String value)
  {
    this.userName = value;
  }

  public String getEmail()
  {
    return this.email;
  }

  public void setEmail(String value)
  {
    this.email = value;
  }

  public String getFullName()
  {
    return this.fullName;
  }

  public void setFullName(String value)
  {
    this.fullName = value;
  }

  public String getGivenName()
  {
    return this.givenName;
  }

  public void setGivenName(String value)
  {
    this.givenName = value;
  }

  public String getSurname()
  {
    return this.surname;
  }

  public void setSurname(String value)
  {
    this.surname = value;
  }

  public String getTelephone()
  {
    return this.telephone;
  }

  public void setTelephone(String value)
  {
    this.telephone = value;
  }

  public String getGroupMembershipIdentifier()
  {
    return this.groupMembershipIdentifier;
  }

  public void setGroupMembershipIdentifier(String value)
  {
    this.groupMembershipIdentifier = value;
  }

  public String getGroupBackLinkIdentifier()
  {
    return this.groupBackLinkIdentifier;
  }

  public void setGroupBackLinkIdentifier(String value)
  {
    this.groupBackLinkIdentifier = value;
  }
}