package com.vmware.vcloud.api.rest.schema.extension;

import com.vmware.vcloud.api.rest.schema.ResourceType;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="LicenseType", propOrder={"serialNumber", "licensedVMCount", "expirationDate", "validSerial", "expired", "licenseMetricsInfo"})
public class LicenseType extends ResourceType
{

  @XmlElement(name="SerialNumber", required=true)
  protected String serialNumber;

  @XmlElement(name="LicensedVMCount")
  protected Integer licensedVMCount;

  @XmlElement(name="ExpirationDate")
  protected XMLGregorianCalendar expirationDate;

  @XmlElement(name="ValidSerial")
  protected Boolean validSerial;

  @XmlElement(name="Expired")
  protected Boolean expired;

  @XmlElement(name="LicenseMetricsInfo")
  protected LicenseMetricsInfoType licenseMetricsInfo;

  public String getSerialNumber()
  {
    return this.serialNumber;
  }

  public void setSerialNumber(String value)
  {
    this.serialNumber = value;
  }

  public Integer getLicensedVMCount()
  {
    return this.licensedVMCount;
  }

  public void setLicensedVMCount(Integer value)
  {
    this.licensedVMCount = value;
  }

  public XMLGregorianCalendar getExpirationDate()
  {
    return this.expirationDate;
  }

  public void setExpirationDate(XMLGregorianCalendar value)
  {
    this.expirationDate = value;
  }

  public Boolean isValidSerial()
  {
    return this.validSerial;
  }

  public void setValidSerial(Boolean value)
  {
    this.validSerial = value;
  }

  public Boolean isExpired()
  {
    return this.expired;
  }

  public void setExpired(Boolean value)
  {
    this.expired = value;
  }

  public LicenseMetricsInfoType getLicenseMetricsInfo()
  {
    return this.licenseMetricsInfo;
  }

  public void setLicenseMetricsInfo(LicenseMetricsInfoType value)
  {
    this.licenseMetricsInfo = value;
  }
}