package com.vmware.vcloud.api.rest.schema.ovf;

import java.math.BigInteger;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAnyAttribute;
import javax.xml.bind.annotation.XmlAnyElement;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;
import javax.xml.namespace.QName;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="File_Type", propOrder={"any"})
public class FileType
{

  @XmlAnyElement(lax=true)
  protected List<Object> any;

  @XmlAttribute(namespace="http://schemas.dmtf.org/ovf/envelope/1")
  protected Long chunkSize;

  @XmlAttribute(namespace="http://schemas.dmtf.org/ovf/envelope/1")
  protected String compression;

  @XmlAttribute(namespace="http://schemas.dmtf.org/ovf/envelope/1", required=true)
  protected String href;

  @XmlAttribute(namespace="http://schemas.dmtf.org/ovf/envelope/1", required=true)
  protected String id;

  @XmlAttribute(namespace="http://schemas.dmtf.org/ovf/envelope/1")
  protected BigInteger size;

  @XmlAnyAttribute
  private Map<QName, String> otherAttributes = new HashMap();

  public List<Object> getAny()
  {
    if (this.any == null) {
      this.any = new ArrayList();
    }
    return this.any;
  }

  public Long getChunkSize()
  {
    return this.chunkSize;
  }

  public void setChunkSize(Long value)
  {
    this.chunkSize = value;
  }

  public String getCompression()
  {
    if (this.compression == null) {
      return "";
    }
    return this.compression;
  }

  public void setCompression(String value)
  {
    this.compression = value;
  }

  public String getHref()
  {
    return this.href;
  }

  public void setHref(String value)
  {
    this.href = value;
  }

  public String getId()
  {
    return this.id;
  }

  public void setId(String value)
  {
    this.id = value;
  }

  public BigInteger getSize()
  {
    return this.size;
  }

  public void setSize(BigInteger value)
  {
    this.size = value;
  }

  public Map<QName, String> getOtherAttributes()
  {
    return this.otherAttributes;
  }
}