package com.vmware.vcloud.api.rest.schema.ovf;

import java.util.HashMap;
import java.util.Map;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAnyAttribute;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;
import javax.xml.namespace.QName;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="")
public class Item
{

  @XmlAttribute(namespace="http://schemas.dmtf.org/ovf/envelope/1", required=true)
  protected String id;

  @XmlAttribute(namespace="http://schemas.dmtf.org/ovf/envelope/1", required=true)
  protected int order;

  @XmlAttribute(namespace="http://schemas.dmtf.org/ovf/envelope/1")
  protected String startAction;

  @XmlAttribute(namespace="http://schemas.dmtf.org/ovf/envelope/1")
  protected Integer startDelay;

  @XmlAttribute(namespace="http://schemas.dmtf.org/ovf/envelope/1")
  protected String stopAction;

  @XmlAttribute(namespace="http://schemas.dmtf.org/ovf/envelope/1")
  protected Integer stopDelay;

  @XmlAttribute(namespace="http://schemas.dmtf.org/ovf/envelope/1")
  protected Boolean waitingForGuest;

  @XmlAnyAttribute
  private Map<QName, String> otherAttributes = new HashMap();

  public String getId()
  {
    return this.id;
  }

  public void setId(String value)
  {
    this.id = value;
  }

  public int getOrder()
  {
    return this.order;
  }

  public void setOrder(int value)
  {
    this.order = value;
  }

  public String getStartAction()
  {
    if (this.startAction == null) {
      return "powerOn";
    }
    return this.startAction;
  }

  public void setStartAction(String value)
  {
    this.startAction = value;
  }

  public int getStartDelay()
  {
    if (this.startDelay == null) {
      return 0;
    }
    return this.startDelay.intValue();
  }

  public void setStartDelay(Integer value)
  {
    this.startDelay = value;
  }

  public String getStopAction()
  {
    if (this.stopAction == null) {
      return "powerOff";
    }
    return this.stopAction;
  }

  public void setStopAction(String value)
  {
    this.stopAction = value;
  }

  public int getStopDelay()
  {
    if (this.stopDelay == null) {
      return 0;
    }
    return this.stopDelay.intValue();
  }

  public void setStopDelay(Integer value)
  {
    this.stopDelay = value;
  }

  public boolean isWaitingForGuest()
  {
    if (this.waitingForGuest == null) {
      return false;
    }
    return this.waitingForGuest.booleanValue();
  }

  public void setWaitingForGuest(Boolean value)
  {
    this.waitingForGuest = value;
  }

  public Map<QName, String> getOtherAttributes()
  {
    return this.otherAttributes;
  }
}