package com.vmware.vcloud.api.rest.schema.ovf;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAnyAttribute;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.namespace.QName;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="", propOrder={"label", "description", "valueElement"})
public class Property
{

  @XmlElement(name="Label")
  protected MsgType label;

  @XmlElement(name="Description")
  protected MsgType description;

  @XmlElement(name="Value")
  protected List<PropertyConfigurationValueType> valueElement;

  @XmlAttribute(namespace="http://schemas.dmtf.org/ovf/envelope/1", required=true)
  protected String key;

  @XmlAttribute(namespace="http://schemas.dmtf.org/ovf/envelope/1")
  protected Boolean password;

  @XmlAttribute(namespace="http://schemas.dmtf.org/ovf/envelope/1")
  protected String qualifiers;

  @XmlAttribute(namespace="http://schemas.dmtf.org/ovf/envelope/1", required=true)
  protected String type;

  @XmlAttribute(namespace="http://schemas.dmtf.org/ovf/envelope/1")
  protected Boolean userConfigurable;

  @XmlAttribute(name="value", namespace="http://schemas.dmtf.org/ovf/envelope/1")
  protected String valueAttrib;

  @XmlAnyAttribute
  private Map<QName, String> otherAttributes = new HashMap();

  public MsgType getLabel()
  {
    return this.label;
  }

  public void setLabel(MsgType value)
  {
    this.label = value;
  }

  public MsgType getDescription()
  {
    return this.description;
  }

  public void setDescription(MsgType value)
  {
    this.description = value;
  }

  public List<PropertyConfigurationValueType> getValueElement()
  {
    if (this.valueElement == null) {
      this.valueElement = new ArrayList();
    }
    return this.valueElement;
  }

  public String getKey()
  {
    return this.key;
  }

  public void setKey(String value)
  {
    this.key = value;
  }

  public boolean isPassword()
  {
    if (this.password == null) {
      return false;
    }
    return this.password.booleanValue();
  }

  public void setPassword(Boolean value)
  {
    this.password = value;
  }

  public String getQualifiers()
  {
    return this.qualifiers;
  }

  public void setQualifiers(String value)
  {
    this.qualifiers = value;
  }

  public String getType()
  {
    return this.type;
  }

  public void setType(String value)
  {
    this.type = value;
  }

  public boolean isUserConfigurable()
  {
    if (this.userConfigurable == null) {
      return false;
    }
    return this.userConfigurable.booleanValue();
  }

  public void setUserConfigurable(Boolean value)
  {
    this.userConfigurable = value;
  }

  public String getValueAttrib()
  {
    if (this.valueAttrib == null) {
      return "";
    }
    return this.valueAttrib;
  }

  public void setValueAttrib(String value)
  {
    this.valueAttrib = value;
  }

  public Map<QName, String> getOtherAttributes()
  {
    return this.otherAttributes;
  }
}