package com.vmware.vcloud.api.rest.schema_v1_0;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="OrgEmailSettingsType", propOrder={"isDefaultSmtpServer", "isDefaultOrgEmail", "fromEmailAddress", "defaultSubjectPrefix", "isAlertEmailToAllAdmins", "alertEmailTo", "smtpServerSettings"})
public class OrgEmailSettingsType extends VCloudExtensibleType
{

  @XmlElement(name="IsDefaultSmtpServer")
  protected boolean isDefaultSmtpServer;

  @XmlElement(name="IsDefaultOrgEmail")
  protected boolean isDefaultOrgEmail;

  @XmlElement(name="FromEmailAddress", required=true)
  protected String fromEmailAddress;

  @XmlElement(name="DefaultSubjectPrefix", required=true)
  protected String defaultSubjectPrefix;

  @XmlElement(name="IsAlertEmailToAllAdmins")
  protected boolean isAlertEmailToAllAdmins;

  @XmlElement(name="AlertEmailTo")
  protected List<String> alertEmailTo;

  @XmlElement(name="SmtpServerSettings")
  protected SmtpServerSettingsType smtpServerSettings;

  public boolean isIsDefaultSmtpServer()
  {
    return this.isDefaultSmtpServer;
  }

  public void setIsDefaultSmtpServer(boolean value)
  {
    this.isDefaultSmtpServer = value;
  }

  public boolean isIsDefaultOrgEmail()
  {
    return this.isDefaultOrgEmail;
  }

  public void setIsDefaultOrgEmail(boolean value)
  {
    this.isDefaultOrgEmail = value;
  }

  public String getFromEmailAddress()
  {
    return this.fromEmailAddress;
  }

  public void setFromEmailAddress(String value)
  {
    this.fromEmailAddress = value;
  }

  public String getDefaultSubjectPrefix()
  {
    return this.defaultSubjectPrefix;
  }

  public void setDefaultSubjectPrefix(String value)
  {
    this.defaultSubjectPrefix = value;
  }

  public boolean isIsAlertEmailToAllAdmins()
  {
    return this.isAlertEmailToAllAdmins;
  }

  public void setIsAlertEmailToAllAdmins(boolean value)
  {
    this.isAlertEmailToAllAdmins = value;
  }

  public List<String> getAlertEmailTo()
  {
    if (this.alertEmailTo == null) {
      this.alertEmailTo = new ArrayList();
    }
    return this.alertEmailTo;
  }

  public SmtpServerSettingsType getSmtpServerSettings()
  {
    return this.smtpServerSettings;
  }

  public void setSmtpServerSettings(SmtpServerSettingsType value)
  {
    this.smtpServerSettings = value;
  }
}