package com.vmware.vcloud.api.rest.schema_v1_0;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="TaskType", propOrder={"owner", "error"})
public class TaskType extends ResourceType
{

  @XmlElement(name="Owner")
  protected ReferenceType owner;

  @XmlElement(name="Error")
  protected ErrorType error;

  @XmlAttribute
  protected XMLGregorianCalendar endTime;

  @XmlAttribute
  protected XMLGregorianCalendar expiryTime;

  @XmlAttribute
  protected String operation;

  @XmlAttribute
  protected XMLGregorianCalendar startTime;

  @XmlAttribute(required=true)
  protected TaskStatusType status;

  public ReferenceType getOwner()
  {
    return this.owner;
  }

  public void setOwner(ReferenceType value)
  {
    this.owner = value;
  }

  public ErrorType getError()
  {
    return this.error;
  }

  public void setError(ErrorType value)
  {
    this.error = value;
  }

  public XMLGregorianCalendar getEndTime()
  {
    return this.endTime;
  }

  public void setEndTime(XMLGregorianCalendar value)
  {
    this.endTime = value;
  }

  public XMLGregorianCalendar getExpiryTime()
  {
    return this.expiryTime;
  }

  public void setExpiryTime(XMLGregorianCalendar value)
  {
    this.expiryTime = value;
  }

  public String getOperation()
  {
    return this.operation;
  }

  public void setOperation(String value)
  {
    this.operation = value;
  }

  public XMLGregorianCalendar getStartTime()
  {
    return this.startTime;
  }

  public void setStartTime(XMLGregorianCalendar value)
  {
    this.startTime = value;
  }

  public TaskStatusType getStatus()
  {
    return this.status;
  }

  public void setStatus(TaskStatusType value)
  {
    this.status = value;
  }
}