package com.vmware.vcloud.api.rest.schema_v1_0;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="VdcType", propOrder={"allocationModel", "storageCapacity", "computeCapacity", "resourceEntities", "availableNetworks", "nicQuota", "networkQuota", "vmQuota", "isEnabled"})
public class VdcType extends EntityType
{

  @XmlElement(name="AllocationModel", required=true)
  protected AllocationModelType allocationModel;

  @XmlElement(name="StorageCapacity", required=true)
  protected CapacityWithUsageType storageCapacity;

  @XmlElement(name="ComputeCapacity", required=true)
  protected ComputeCapacityType computeCapacity;

  @XmlElement(name="ResourceEntities")
  protected ResourceEntitiesType resourceEntities;

  @XmlElement(name="AvailableNetworks")
  protected AvailableNetworksType availableNetworks;

  @XmlElement(name="NicQuota")
  protected int nicQuota;

  @XmlElement(name="NetworkQuota")
  protected int networkQuota;

  @XmlElement(name="VmQuota")
  protected Integer vmQuota;

  @XmlElement(name="IsEnabled")
  protected Boolean isEnabled;

  @XmlAttribute
  protected Integer status;

  public AllocationModelType getAllocationModel()
  {
    return this.allocationModel;
  }

  public void setAllocationModel(AllocationModelType value)
  {
    this.allocationModel = value;
  }

  public CapacityWithUsageType getStorageCapacity()
  {
    return this.storageCapacity;
  }

  public void setStorageCapacity(CapacityWithUsageType value)
  {
    this.storageCapacity = value;
  }

  public ComputeCapacityType getComputeCapacity()
  {
    return this.computeCapacity;
  }

  public void setComputeCapacity(ComputeCapacityType value)
  {
    this.computeCapacity = value;
  }

  public ResourceEntitiesType getResourceEntities()
  {
    return this.resourceEntities;
  }

  public void setResourceEntities(ResourceEntitiesType value)
  {
    this.resourceEntities = value;
  }

  public AvailableNetworksType getAvailableNetworks()
  {
    return this.availableNetworks;
  }

  public void setAvailableNetworks(AvailableNetworksType value)
  {
    this.availableNetworks = value;
  }

  public int getNicQuota()
  {
    return this.nicQuota;
  }

  public void setNicQuota(int value)
  {
    this.nicQuota = value;
  }

  public int getNetworkQuota()
  {
    return this.networkQuota;
  }

  public void setNetworkQuota(int value)
  {
    this.networkQuota = value;
  }

  public Integer getVmQuota()
  {
    return this.vmQuota;
  }

  public void setVmQuota(Integer value)
  {
    this.vmQuota = value;
  }

  public Boolean isIsEnabled()
  {
    return this.isEnabled;
  }

  public void setIsEnabled(Boolean value)
  {
    this.isEnabled = value;
  }

  public Integer getStatus()
  {
    return this.status;
  }

  public void setStatus(Integer value)
  {
    this.status = value;
  }
}