package com.vmware.vcloud.sdk;

import com.vmware.vcloud.api.rest.schema.ovf.CimUnsignedLong;
import com.vmware.vcloud.api.rest.schema.ovf.RASDType;
import java.math.BigInteger;

public class VirtualCpu extends HardwareItem
{
  VirtualCpu(RASDType item)
  {
    super(item);
  }

  public int getNoOfCpus()
  {
    return getItemResource().getVirtualQuantity().getValue().intValue();
  }

  public void setNoOfCpus(int cpuCount)
  {
    CimUnsignedLong cpu = new CimUnsignedLong();
    cpu.setValue(BigInteger.valueOf(cpuCount));
    getItemResource().setVirtualQuantity(cpu);
  }
}