package com.vmware.vcloud.sdk.constants.query;

public enum MetadataExpressionType
{
  EQUALS("=="), NOT_EQUALS("!="), LESSER_THAN("=lt="), LESSER_THAN_OR_EQUAL("=le="), 
  GREATER_THAN("=gt="), GREATER_THAN_OR_EQUAL("=ge=");

  private String value;

  private MetadataExpressionType() {
  }

  private MetadataExpressionType(String value) {
    this.value = value;
  }

  public String value() {
    return this.value;
  }

  public static MetadataExpressionType fromValue(String value) {
    for (MetadataExpressionType enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}