package com.vmware.vcloud.sdk.constants.query;

public enum QueryAdminTaskField
  implements QueryField
{
  ID("id"), 

  HREF("href"), 
  CELLNAME("cellName"), 
  ENDDATE("endDate"), 

  HASOWNER("hasOwner"), 
  NAME("name"), 
  OBJECT("object"), 
  OBJECTNAME("objectName"), 
  OBJECTTYPE("objectType"), 
  ORG("org"), 
  ORGNAME("orgName"), 
  OWNER("owner"), 
  OWNERNAME("ownerName"), 

  SERVICENAMESPACE("serviceNamespace"), 
  STARTDATE("startDate"), 
  STATUS("status");

  private String value;

  private QueryAdminTaskField() {
  }
  private QueryAdminTaskField(String value) { this.value = value; }

  public String value() {
    return this.value;
  }
  public static QueryAdminTaskField fromValue(String value) {
    for (QueryAdminTaskField enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}