package com.vmware.vcloud.sdk.constants.query;

public enum QueryConditionField
  implements QueryField
{
  ID("id"), 

  HREF("href"), 
  DETAILS("details"), 
  OBJECT("object"), 
  OBJECTTYPE("objectType"), 
  OCCURENCEDATE("occurenceDate"), 
  SEVERITY("severity"), 
  SUMMARY("summary");

  private String value;

  private QueryConditionField() {
  }
  private QueryConditionField(String value) { this.value = value; }

  public String value() {
    return this.value;
  }
  public static QueryConditionField fromValue(String value) {
    for (QueryConditionField enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}