package com.vmware.vcloud.sdk.constants.query;

public enum QueryDiskField
  implements QueryField
{
  ID("id"), 
  HREF("href"), 
  BUSSUBTYPE("busSubType"), 
  BUSTYPE("busType"), 
  BUSTYPEDESC("busTypeDesc"), 
  DATASTORE("datastore"), 
  DATASTORENAME("datastoreName"), 
  ISATTACHED("isAttached"), 
  NAME("name"), 
  OWNERNAME("ownerName"), 
  SIZEB("sizeB"), 
  STATUS("status"), 
  STORAGEPROFILE("storageProfile"), 
  STORAGEPROFILENAME("storageProfileName"), 
  TASK("task"), 
  VDC("vdc"), 
  VDCNAME("vdcName");

  private String value;

  private QueryDiskField() {
  }
  private QueryDiskField(String value) { this.value = value; }

  public String value() {
    return this.value;
  }
  public static QueryDiskField fromValue(String value) {
    for (QueryDiskField enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}