package com.vmware.vcloud.sdk.constants.query;

public enum QueryEventField
  implements QueryField
{
  ID("id"), 

  HREF("href"), 
  ENTITY("entity"), 
  ENTITYNAME("entityName"), 
  ENTITYTYPE("entityType"), 
  EVENTSTATUS("eventStatus"), 
  EVENTTYPE("eventType"), 
  ORGNAME("orgName"), 

  SERVICENAMESPACE("serviceNamespace"), 
  TIMESTAMP("timeStamp"), 
  USERNAME("userName");

  private String value;

  private QueryEventField() {
  }
  private QueryEventField(String value) { this.value = value; }

  public String value() {
    return this.value;
  }
  public static QueryEventField fromValue(String value) {
    for (QueryEventField enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}