package com.vmware.vcloud.sdk.constants.query;

public enum QueryNetworkField
  implements QueryField
{
  ID("id"), 

  HREF("href"), 
  DNS1("dns1"), 
  DNS2("dns2"), 
  DNSSUFFIX("dnsSuffix"), 
  GATEWAY("gateway"), 
  IPSCOPEID("ipScopeId"), 
  ISBUSY("isBusy"), 
  NAME("name"), 
  NETMASK("netmask");

  private String value;

  private QueryNetworkField() {
  }
  private QueryNetworkField(String value) { this.value = value; }

  public String value() {
    return this.value;
  }
  public static QueryNetworkField fromValue(String value) {
    for (QueryNetworkField enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}