package com.vmware.vcloud.sdk.constants.query;

public enum QueryRecordType
{
  ORGANIZATION("organization"), 

  ORGVDC("orgVdc"), 

  MEDIA("media"), 

  VAPPTEMPLATE("vAppTemplate"), 

  VAPP("vApp"), 

  VM("vm"), 

  ORGNETWORK("orgNetwork"), 

  ADMINORGNETWORK("adminOrgNetwork"), 

  VAPPNETWORK("vAppNetwork"), 

  CATALOG("catalog"), 

  ADMINORGVDC("adminOrgVdc"), 

  PROVIDERVDC("providerVdc"), 

  EXTERNALNETWORK("externalNetwork"), 

  GROUP("group"), 

  USER("user"), 

  STRANDEDUSER("strandedUser"), 

  ROLE("role"), 

  ALLOCATEDEXTERNALADDRESS("allocatedExternalAddress"), 

  EVENT("event"), 

  RESOURCEPOOL("resourcePool"), 

  DATASTORE("datastore"), 

  NETWORKPOOL("networkPool"), 

  PORTGROUP("portgroup"), 

  DVSWITCH("dvSwitch"), 

  CELL("cell"), 

  VIRTUALCENTER("virtualCenter"), 

  HOST("host"), 

  ADMINVAPP("adminVApp"), 

  RIGHT("right"), 

  ADMINVM("adminVM"), 

  ADMINALLOCATEDEXTERNALADDRESS("adminAllocatedExternalAddress"), 

  VAPPORGNETWORKRELATION("vAppOrgNetworkRelation"), 

  PROVIDERVDCRESOURCEPOOLRELATION("providerVdcResourcePoolRelation"), 

  ORGVDCRESOURCEPOOLRELATION("orgVdcResourcePoolRelation"), 

  DATSTOREPROVIDERVDCRELATION("datastoreProviderVdcRelation"), 

  DATASTOREPROVIDERVDCRELATION("datastoreProviderVdcRelation"), 

  ADMINUSER("adminUser"), 

  ADMINGROUP("adminGroup"), 

  ADMINVAPPNETWORK("adminVAppNetwork"), 

  ADMINCATALOG("adminCatalog"), 

  ADMINCATALOGITEM("adminCatalogItem"), 

  CATALOGITEM("catalogItem"), 

  ADMINMEDIA("adminMedia"), 

  ADMINVAPPTEMPLATE("adminVAppTemplate"), 

  ADMINSHADOWVM("adminShadowVM"), 

  TASK("task"), 

  ADMINTASK("adminTask"), 

  BLOCKINGTASK("blockingTask"), 

  DISK("disk"), 

  VMDISKRELATION("vmDiskRelation"), 

  ADMINDISK("adminDisk"), 

  ADMINVMDISKRELATION("adminVMDiskRelation"), 

  CONDITION("condition"), 

  STRANDEDITEM("strandedItem"), 

  ADMINSERVICE("adminService"), 

  SERVICE("service"), 

  SERVICELINK("serviceLink"), 

  ORGVDCSTORAGEPROFILE("orgVdcStorageProfile"), 

  ADMINORGVDCSTORAGEPROFILE("adminOrgVdcStorageProfile"), 

  PROVIDERVDCSTORAGEPROFILE("providerVdcStorageProfile"), 

  APIFILTER("apiFilter"), 

  ADMINAPIDEFINITION("adminApiDefinition"), 

  APIDEFINITION("apiDefinition"), 

  ADMINFILEDESCRIPTOR("adminFileDescriptor"), 

  FILEDESCRIPTOR("fileDescriptor"), 

  RESOURCECLASSACTION("resourceClassAction"), 

  ACLRULE("aclRule"), 

  RESOURCECLASS("resourceClass"), 

  SERVICERESOURCE("serviceResource"), 

  EDGEGATEWAY("edgeGateway"), 

  ORGVDCNETWORK("orgVdcNetwork"), 

  VAPPORGVDCNETWORKRELATION("vAppOrgVdcNetworkRelation"), 

  EXTERNALLOCALIZATION("externalLocalization"), 

  RESOURCEPOOLVMLIST("resourcePoolVmList"), 

  ADMINEVENT("adminEvent");

  private String value;

  private QueryRecordType() {
  }

  private QueryRecordType(String value) {
    this.value = value;
  }

  public String value() {
    return this.value;
  }

  public static QueryRecordType fromValue(String value) {
    for (QueryRecordType enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}