package com.vmware.vcloud.sdk.constants.query;

public enum QueryReferenceField
  implements QueryField
{
  ID("id"), 

  HREF("href"), 
  NAME("name");

  private String value;

  private QueryReferenceField() {
  }

  private QueryReferenceField(String value) {
    this.value = value;
  }

  public String value() {
    return this.value;
  }

  public static QueryReferenceField fromValue(String value) {
    for (QueryReferenceField enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}