package com.vmware.vcloud.sdk.constants.query;

public enum QueryRightField
  implements QueryField
{
  ID("id"), 

  HREF("href"), 
  CATEGORY("category"), 
  NAME("name");

  private String value;

  private QueryRightField() {
  }
  private QueryRightField(String value) { this.value = value; }

  public String value() {
    return this.value;
  }
  public static QueryRightField fromValue(String value) {
    for (QueryRightField enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}