package com.vmware.vcloud.sdk.constants.query;

public enum QueryServiceField
  implements QueryField
{
  ID("id"), 

  HREF("href"), 
  NAME("name"), 
  NAMESPACE("namespace"), 
  VENDOR("vendor");

  private String value;

  private QueryServiceField() {
  }
  private QueryServiceField(String value) { this.value = value; }

  public String value() {
    return this.value;
  }
  public static QueryServiceField fromValue(String value) {
    for (QueryServiceField enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}