package com.vmware.vcloud.sdk.constants.query;

public enum QueryVMField
  implements QueryField
{
  ID("id"), 

  HREF("href"), 
  CATALOGNAME("catalogName"), 
  CONTAINER("container"), 
  CONTAINERNAME("containerName"), 
  GUESTOS("guestOs"), 
  HARDWAREVERSION("hardwareVersion"), 
  ISBUSY("isBusy"), 
  ISDELETED("isDeleted"), 
  ISDEPLOYED("isDeployed"), 
  ISINMAINTENANCEMODE("isInMaintenanceMode"), 
  ISPUBLISHED("isPublished"), 
  ISVAPPTEMPLATE("isVAppTemplate"), 
  MEMORYMB("memoryMB"), 
  NAME("name"), 
  NUMBEROFCPUS("numberOfCpus"), 
  STATUS("status"), 

  STORAGEPROFILENAME("storageProfileName"), 
  VDC("vdc");

  private String value;

  private QueryVMField() {
  }
  private QueryVMField(String value) { this.value = value; }

  public String value() {
    return this.value;
  }
  public static QueryVMField fromValue(String value) {
    for (QueryVMField enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}