package com.vmware.vcloud.sdk.constants.query;

public enum QueryVirtualCenterField
  implements QueryField
{
  ID("id"), 

  HREF("href"), 
  ISBUSY("isBusy"), 
  ISENABLED("isEnabled"), 

  ISSUPPORTED("isSupported"), 
  NAME("name"), 
  STATUS("status"), 
  URL("url"), 
  USERNAME("userName"), 
  UUID("uuid"), 
  VCVERSION("vcVersion"), 
  VSMIP("vsmIP");

  private String value;

  private QueryVirtualCenterField() {
  }
  private QueryVirtualCenterField(String value) { this.value = value; }

  public String value() {
    return this.value;
  }
  public static QueryVirtualCenterField fromValue(String value) {
    for (QueryVirtualCenterField enumVal : values()) {
      if (enumVal.value().equals(value)) {
        return enumVal;
      }
    }
    throw new IllegalArgumentException(value.toString());
  }
}