package com.vmware.vcloud.sdk_v1_0;

import com.vmware.vcloud.api.rest.schema.ovf.CimString;
import com.vmware.vcloud.api.rest.schema.ovf.RASDType;
import java.util.Map;
import java.util.logging.Logger;
import javax.xml.namespace.QName;

public class HardwareItem
{
  private static Logger logger = Logger.getLogger(HardwareItem.class.getSimpleName());
  private RASDType itemResource;
  private VcloudClient client;

  HardwareItem(RASDType virtualCpuItem)
  {
    this.itemResource = virtualCpuItem;
  }

  HardwareItem(VcloudClient client, RASDType itemResource)
  {
    this.client = client;
    this.itemResource = itemResource;
  }

  public RASDType getItemResource()
  {
    return this.itemResource;
  }

  String getCimStringAttributeValue(CimString cimString, String attributeName)
  {
    for (QName name : cimString.getOtherAttributes().keySet()) {
      if (name.getLocalPart().equals(attributeName))
        return (String)cimString.getOtherAttributes().get(name);
    }
    return null;
  }
}