package com.vmware.vcloud.sdk_v1_0;

class VcloudConstants
{
  static final String VCLOUD_NAMESPACE = "http://www.vmware.com/vcloud/v1";
  static final String VMWARE_OVF_EXTENSIONS_NAMESPACE = "http://www.vmware.com/schema/ovf";
  static final String OVF_NAMESPACE = "http://schemas.dmtf.org/ovf/envelope/1";
  static final String API_URI_PREFIX = "/api";
  static final String APIVERSIONS_URI_PREFIX = "api/versions";

  static class ActionUri
  {
    static final String UPLOAD_VAPP_TEMPLATE = "/action/uploadVAppTemplate";
    static final String INSTANTIATE_OVF = "/action/instantiateOvf";
    static final String VDC_MEDIA = "/media";
    static final String CLONE_MEDIA = "/action/cloneMedia";
    static final String MOVE_MEDIA = "/action/moveMedia";
    static final String CLONE_VAPP_TEMPLATE = "/action/cloneVAppTemplate";
    static final String MOVE_VAPP_TEMPLATE = "/action/moveVAppTemplate";
    static final String INSTANTIATE_VAPP_TEMPLATE = "/action/instantiateVAppTemplate";
    static final String CLONE_VAPP = "/action/cloneVApp";
    static final String MOVE_VAPP = "/action/moveVApp";
    static final String CAPTURE_VAPP = "/action/captureVApp";
    static final String COMPOSE_VAPP = "/action/composeVApp";
    static final String VAPP_DISCARD_STATE = "/action/discardSuspendedState";
    static final String ENABLE_DOWNLOAD = "/action/enableDownload";
    static final String DISABLE_DOWNLOAD = "/action/disableDownload";
    static final String VAPP_DEPLOY = "/action/deploy";
    static final String VAPP_UNDEPLOY = "/action/undeploy";
    static final String VAPP_POWER_ON = "/power/action/powerOn";
    static final String VAPP_POWER_OFF = "/power/action/powerOff";
    static final String VAPP_RESET = "/power/action/reset";
    static final String VAPP_SUSPEND = "/power/action/suspend";
    static final String VAPP_SHUTDOWN = "/power/action/shutdown";
    static final String VAPP_REBOOT = "/power/action/reboot";
    static final String VAPP_SCREEN = "/screen";
    static final String VAPP_ACQUIRE_TICKET = "/screen/action/acquireTicket";
    static final String VAPP_INSERT_MEDIA = "/media/action/insertMedia";
    static final String VAPP_EJECT_MEDIA = "/media/action/ejectMedia";
    static final String VAPP_QUESTION_ANSWER = "/question/action/answer";
    static final String RECOMPOSE_VAPP = "/action/recomposeVApp";
    static final String OVF = "/ovf";
    static final String CONTROL_ACCESS = "/action/controlAccess";
    static final String CONTROL_ACCESS_VIEW = "/controlAccess/";
  }

  static class MediaType
  {
    static final String ORGANIZATION = "application/vnd.vmware.vcloud.org+xml";
    static final String ORGANIZATION_LIST = "application/vnd.vmware.vcloud.orgList+xml";
    static final String VDC = "application/vnd.vmware.vcloud.vdc+xml";
    static final String UPLOAD_VAPP_TEMPLATE_PARAMS = "application/vnd.vmware.vcloud.uploadVAppTemplateParams+xml";
    static final String INSTANTIATE_OVF_PARAMS = "application/vnd.vmware.vcloud.instantiateOvfParams+xml";
    static final String INSTANTIATE_VAPP_TEMPLATE_PARAMS = "application/vnd.vmware.vcloud.instantiateVAppTemplateParams+xml";
    static final String CLONE_VAPP_PARAMS = "application/vnd.vmware.vcloud.cloneVAppParams+xml";
    static final String MOVE_VAPP_PARAMS = "application/vnd.vmware.vcloud.moveVAppParams+xml";
    static final String CLONE_VAPP_TEMPLATE_PARAMS = "application/vnd.vmware.vcloud.cloneVAppTemplateParams+xml";
    static final String MOVE_VAPP_TEMPLATE_PARAMS = "application/vnd.vmware.vcloud.moveVAppTemplateParams+xml";
    static final String CLONE_MEDIA_PARAMS = "application/vnd.vmware.vcloud.cloneMediaParams+xml";
    static final String MOVE_MEDIA_PARAMS = "application/vnd.vmware.vcloud.moveMediaParams+xml";
    static final String DEPLOY_VAPP_PARAMS = "application/vnd.vmware.vcloud.deployVAppParams+xml";
    static final String UNDEPLOY_VAPP_PARAMS = "application/vnd.vmware.vcloud.undeployVAppParams+xml";
    static final String CAPTURE_VAPP_PARAMS = "application/vnd.vmware.vcloud.captureVAppParams+xml";
    static final String COMPOSE_VAPP_PARAMS = "application/vnd.vmware.vcloud.composeVAppParams+xml";
    static final String VAPP_TEMPLATE = "application/vnd.vmware.vcloud.vAppTemplate+xml";
    static final String VAPP = "application/vnd.vmware.vcloud.vApp+xml";
    static final String VM = "application/vnd.vmware.vcloud.vm+xml";
    static final String MEDIA = "application/vnd.vmware.vcloud.media+xml";
    static final String NETWORK = "application/vnd.vmware.vcloud.network+xml";
    static final String TASK = "application/vnd.vmware.vcloud.task+xml";
    static final String TASKS_LIST = "application/vnd.vmware.vcloud.tasksList+xml";
    static final String CATALOG = "application/vnd.vmware.vcloud.catalog+xml";
    static final String CATALOG_ITEM = "application/vnd.vmware.vcloud.catalogItem+xml";
    static final String ERROR = "application/vnd.vmware.vcloud.error+xml";
    static final String SCREEN_TICKET = "application/vnd.vmware.vcloud.screenTicket+xml";
    static final String CONTROL_ACCESS = "application/vnd.vmware.vcloud.controlAccess+xml";
    static final String MEDIA_INSERT_EJECT_PARAMS = "application/vnd.vmware.vcloud.mediaInsertOrEjectParams+xml";
    static final String QUESTION = "application/vnd.vmware.vcloud.vmPendingQuestion+xml";
    static final String ANSWER = "application/vnd.vmware.vcloud.vmPendingAnswer+xml";
    static final String RECOMPOSE_VAPP_PARAMS = "application/vnd.vmware.vcloud.recomposeVAppParams+xml";
    static final String LEASE_SETTINGS_SECTION = "application/vnd.vmware.vcloud.leaseSettingsSection+xml";
    static final String STARTUP_SECTION = "application/vnd.vmware.vcloud.startupSection+xml";
    static final String NETWORK_SECTION = "application/vnd.vmware.vcloud.networkSection+xml";
    static final String NETWORK_CONNECTION_SECTION = "application/vnd.vmware.vcloud.networkConnectionSection+xml";
    static final String NETWORK_CONFIG_SECTION = "application/vnd.vmware.vcloud.networkConfigSection+xml";
    static final String VIRTUAL_HARDWARE_SECTION = "application/vnd.vmware.vcloud.virtualHardwareSection+xml";
    static final String OPERATING_SYSTEM_SECTION = "application/vnd.vmware.vcloud.operatingSystemSection+xml";
    static final String GUEST_CUSTOMIZATION_SECTION = "application/vnd.vmware.vcloud.guestCustomizationSection+xml";
    static final String CUSTOMIZATION_SECTION = "application/vnd.vmware.vcloud.customizationSection+xml";
    static final String RASD_ITEM = "application/vnd.vmware.vcloud.rasdItem+xml";
    static final String RASD_ITEMS_LIST = "application/vnd.vmware.vcloud.rasdItemsList+xml";
    static final String OVF = "text/xml";
  }

  static class Uri
  {
    static final String LOGIN = "/login";
    static final String LOGOUT = "/logout";
    static final String SCHEMA = "/schema/";
    static final String ORGANIZATION = "/org/";
    static final String VDC = "/vdc/";
    static final String VAPP_TEMPLATE = "/vAppTemplate/";
    static final String VAPP = "/vApp/";
    static final String TASK = "/task/";
    static final String TASKS_LIST = "/tasksList/";
    static final String MEDIA = "/media/";
    static final String NETWORK = "/network/";
    static final String ADD_CATALOG_ITEMS_PATH = "/catalogItems";
    static final String CATALOG = "/catalog/";
    static final String CATALOG_ITEM = "/catalogItem/";
    static final String ERROR = "/error/";
    static final String CONTROL_ACCESS = "/controlAccess/";
    static final String QUESTION = "/question";
    static final String LEASE_SETTINGS_SECTION = "/leaseSettingsSection/";
    static final String STARTUP_SECTION = "/startupSection/";
    static final String NETWORK_SECTION = "/networkSection/";
    static final String NETWORK_CONNECTION_SECTION = "/networkConnectionSection/";
    static final String NETWORK_CONFIG_SECTION = "/networkConfigSection/";
    static final String VIRTUAL_HARDWARE_SECTION = "/virtualHardwareSection/";
    static final String OPERATING_SYSTEM_SECTION = "/operatingSystemSection/";
    static final String GUEST_CUSTOMIZATION_SECTION = "/guestCustomizationSection/";
    static final String CUSTOMIZATION_SECTION = "/customizationSection/";
    static final String VIRTUAL_HARDWARE_SECTION_CPU = "/virtualHardwareSection/cpu";
    static final String VIRTUAL_HARDWARE_SECTION_MEMORY = "/virtualHardwareSection/memory";
    static final String VIRTUAL_HARDWARE_SECTION_DISKS = "/virtualHardwareSection/disks";
    static final String VIRTUAL_HARDWARE_SECTION_NETWORKCARDS = "/virtualHardwareSection/networkCards";
    static final String VIRTUAL_HARDWARE_SECTION_MEDIA = "/virtualHardwareSection/media";
  }

  static class JaxbContext
  {
    static final String v10vCloudSchema = "com.vmware.vcloud.api.rest.schema_v1_0";
    static final String ovfSchema = "com.vmware.vcloud.api.rest.schema.ovf";
    static final String versioningSchema = "com.vmware.vcloud.api.rest.schema.versioning";
    static final String v10vCloudExtensionsSchema = "com.vmware.vcloud.api.rest.schema_v1_0.extension";
  }

  static class OvfResourceConstants
  {
    static final String RASD_RESOURCE_TYPE_CPU = "3";
    static final String RASD_RESOURCE_TYPE_MEMORY = "4";
    static final String RASD_RESOURCE_TYPE_IDE_CONTROLLER = "5";
    static final String RASD_RESOURCE_TYPE_SCSI_CONTROLLER = "6";
    static final String RASD_RESOURCE_TYPE_DISK = "17";
    static final String RASD_RESOURCE_TYPE_NETWORK_ADAPTER = "10";
    static final String RASD_RESOURCE_TYPE_FLOPPY_DRIVE = "14";
    static final String RASD_RESOURCE_TYPE_CDROM_DRIVE = "15";
    static final String RASD_BUS_SUB_TYPE_BUS_LOGIC = "buslogic";
    static final String RASD_BUS_SUB_TYPE_LSI_LOGIC = "lsilogic";
    static final String RASD_BUS_SUB_TYPE_LSI_LOGIC_SAS = "lsilogicsas";
    static final String RASD_BUS_SUB_TYPE_VIRTUAL_SCSI = "VirtualSCSI";
    static final String RASD_NETWORK_ADAPTER_SUB_TYPE = "PCNet32";
  }
}