package com.vmware.vcloud.sdk_v1_0.admin;

class AdminsConstants
{
  static final String ACTION = "/action";

  static class ActionUri
  {
    static final String ORG_ENABLE = "/action/enable";
    static final String ORG_DISABLE = "/action/disable";
    static final String VDC_ENABLE = "/action/enable";
    static final String VDC_DISABLE = "/action/disable";
  }

  static class MediaType
  {
    static final String ADMIN_MEDIA_TYPE_PREFIX = "application/vnd.vmware.admin.";
    static final String VCLOUD = "application/vnd.vmware.admin.vcloud+xml";
    static final String PROVIDER_VDC = "application/vnd.vmware.admin.providervdc+xml";
    static final String ADMIN_VDC = "application/vnd.vmware.admin.vdc+xml";
    static final String VDC = "application/vnd.vmware.vcloud.vdc+xml";
    static final String VAPP_TEMPLATE = "application/vnd.vmware.vcloud.vAppTemplate+xml";
    static final String VAPP = "application/vnd.vmware.vcloud.vApp+xml";
    static final String VM = "application/vnd.vmware.vcloud.vm+xml";
    static final String MEDIA = "application/vnd.vmware.vcloud.media+xml";
    static final String ADMIN_ORGANIZATION = "application/vnd.vmware.admin.organization+xml";
    static final String ORGANIZATION = "application/vnd.vmware.vcloud.org+xml";
    static final String TASKS_LIST = "application/vnd.vmware.vcloud.tasksList+xml";
    static final String USER = "application/vnd.vmware.admin.user+xml";
    static final String GROUP = "application/vnd.vmware.admin.group+xml";
    static final String ROLE = "application/vnd.vmware.admin.role+xml";
    static final String RIGHT = "application/vnd.vmware.admin.right+xml";
    static final String ADMIN_CATALOG = "application/vnd.vmware.admin.catalog+xml";
    static final String CATALOG = "application/vnd.vmware.vcloud.catalog+xml";
    static final String ADMIN_CATALOG_ITEM = "application/vnd.vmware.admin.catalogItem+xml";
    static final String CATALOG_ITEM = "application/vnd.vmware.vcloud.catalogItem+xml";
    static final String ADMIN_NETWORK = "application/vnd.vmware.admin.network+xml";
    static final String NETWORK = "application/vnd.vmware.vcloud.network+xml";
    static final String NETWORK_POOL = "application/vnd.vmware.admin.networkPool+xml";
    static final String CATALOG_PUBLISH = "application/vnd.vmware.admin.publishCatalogParams+xml";
  }

  static class Uri
  {
    static final String ADMIN_PREFIX = "/admin";
    static final String ADMIN = "/admin/";
    static final String PROVIDER_VDC = "/providervdc/";
    static final String VDC_REFERENCES = "/vdcReferences";
    static final String ADMIN_VDC = "/vdc/";
    static final String ORGANIZATION = "/org/";
    static final String USER = "/user/";
    static final String GROUP = "/group/";
    static final String RIGHT = "/right/";
    static final String ROLE = "/role/";
    static final String CATALOG = "/catalog/";
    static final String NETWORK = "/network/";
    static final String NETWORK_POOL = "/networkPool/";
    static final String CATALOG_ITEM = "/catalogItem/";
    static final String ADD_USERS_PATH = "/users";
    static final String ADD_GROUPS_PATH = "/groups";
    static final String ADD_CATALOGS_PATH = "/catalogs";
    static final String ADD_CATALOG_ITEMS_PATH = "/catalogItems";
    static final String ADD_ORGANIZATIONS_PATH = "orgs";
    static final String ADD_VDCS_PATH = "/vdcs";
    static final String ADD_ORG_NETWORKS_PATH = "/networks";
    static final String ADD_ROLES_PATH = "roles";
    static final String CATALOG_PUBLISH = "/publish";
    static final String EXTENSION = "/extension/";
  }
}