package devmgr.versioned.jrpc;

public class RPCMsgBody
  implements XDRType, RPCMsgConstants
{
  private RPCMsgType msgType = new RPCMsgType();
  private RPCCallMsg callMsg = new RPCCallMsg();
  private RPCReplyMsg replyMsg = new RPCReplyMsg();

  public RPCMsgBody()
  {
  }

  public RPCMsgBody(RPCMsgBody paramRPCMsgBody)
  {
    this.callMsg = paramRPCMsgBody.callMsg;
    this.replyMsg = paramRPCMsgBody.replyMsg;
  }

  public RPCMsgType getMsgType()
  {
    return this.msgType;
  }

  public void setMsgType(RPCMsgType paramRPCMsgType)
  {
    this.msgType = paramRPCMsgType;
  }

  public RPCCallMsg getCallMsg()
  {
    return this.callMsg;
  }

  public void setCallMsg(RPCCallMsg paramRPCCallMsg)
  {
    this.callMsg = paramRPCCallMsg;
  }

  public RPCReplyMsg getReplyMsg()
  {
    return this.replyMsg;
  }

  public void setReplyMsg(RPCReplyMsg paramRPCReplyMsg)
  {
    this.replyMsg = paramRPCReplyMsg;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    this.msgType.xdrEncode(paramXDROutputStream);
    switch (this.msgType.getValue())
    {
    case 0:
      this.callMsg.xdrEncode(paramXDROutputStream);
      break;
    case 1:
      this.replyMsg.xdrEncode(paramXDROutputStream);
      break;
    }
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.msgType.xdrDecode(paramXDRInputStream);
    switch (this.msgType.getValue())
    {
    case 0:
      this.callMsg.xdrDecode(paramXDRInputStream);
      break;
    case 1:
      this.replyMsg.xdrDecode(paramXDRInputStream);
      break;
    }
  }
}