package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class AutoConfigCandidate
  implements XDRType, SYMbolAPIConstants
{
  private AutoConfigTemplate autoConfigTemplate = new AutoConfigTemplate();
  private AutoConfigSummary autoConfigSummary = new AutoConfigSummary();

  public AutoConfigCandidate()
  {
  }

  public AutoConfigCandidate(AutoConfigCandidate paramAutoConfigCandidate)
  {
    this.autoConfigTemplate = paramAutoConfigCandidate.autoConfigTemplate;
    this.autoConfigSummary = paramAutoConfigCandidate.autoConfigSummary;
  }

  public AutoConfigTemplate getAutoConfigTemplate()
  {
    return this.autoConfigTemplate;
  }

  public void setAutoConfigTemplate(AutoConfigTemplate paramAutoConfigTemplate)
  {
    this.autoConfigTemplate = paramAutoConfigTemplate;
  }

  public AutoConfigSummary getAutoConfigSummary()
  {
    return this.autoConfigSummary;
  }

  public void setAutoConfigSummary(AutoConfigSummary paramAutoConfigSummary)
  {
    this.autoConfigSummary = paramAutoConfigSummary;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.autoConfigTemplate.xdrEncode(paramXDROutputStream);
    this.autoConfigSummary.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.autoConfigTemplate.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.autoConfigSummary.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}