package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class BatteryPackICCFailure
  implements XDRType, SYMbolAPIConstants
{
  private ControllerRef controllerARef = new ControllerRef();
  private ControllerRef controllerBRef = new ControllerRef();
  private ComponentRef supportCRUARef = new ComponentRef();
  private ComponentRef supportCRUBRef = new ComponentRef();
  private ComponentRef batteryPackRef = new ComponentRef();

  public BatteryPackICCFailure()
  {
  }

  public BatteryPackICCFailure(BatteryPackICCFailure paramBatteryPackICCFailure)
  {
    this.controllerARef = paramBatteryPackICCFailure.controllerARef;
    this.controllerBRef = paramBatteryPackICCFailure.controllerBRef;
    this.supportCRUARef = paramBatteryPackICCFailure.supportCRUARef;
    this.supportCRUBRef = paramBatteryPackICCFailure.supportCRUBRef;
    this.batteryPackRef = paramBatteryPackICCFailure.batteryPackRef;
  }

  public ControllerRef getControllerARef()
  {
    return this.controllerARef;
  }

  public void setControllerARef(ControllerRef paramControllerRef)
  {
    this.controllerARef = paramControllerRef;
  }

  public ControllerRef getControllerBRef()
  {
    return this.controllerBRef;
  }

  public void setControllerBRef(ControllerRef paramControllerRef)
  {
    this.controllerBRef = paramControllerRef;
  }

  public ComponentRef getSupportCRUARef()
  {
    return this.supportCRUARef;
  }

  public void setSupportCRUARef(ComponentRef paramComponentRef)
  {
    this.supportCRUARef = paramComponentRef;
  }

  public ComponentRef getSupportCRUBRef()
  {
    return this.supportCRUBRef;
  }

  public void setSupportCRUBRef(ComponentRef paramComponentRef)
  {
    this.supportCRUBRef = paramComponentRef;
  }

  public ComponentRef getBatteryPackRef()
  {
    return this.batteryPackRef;
  }

  public void setBatteryPackRef(ComponentRef paramComponentRef)
  {
    this.batteryPackRef = paramComponentRef;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.controllerARef.xdrEncode(paramXDROutputStream);
    this.controllerBRef.xdrEncode(paramXDROutputStream);
    this.supportCRUARef.xdrEncode(paramXDROutputStream);
    this.supportCRUBRef.xdrEncode(paramXDROutputStream);
    this.batteryPackRef.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.controllerARef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.controllerBRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.supportCRUARef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.supportCRUBRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.batteryPackRef.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}