package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class BatteryTypeData
  implements XDRType, SYMbolAPIConstants
{
  private BatteryType batteryType = new BatteryType();
  private ControllerRef parentController = new ControllerRef();
  private ControllerRef cruParentController = new ControllerRef();

  public BatteryTypeData()
  {
  }

  public BatteryTypeData(BatteryTypeData paramBatteryTypeData)
  {
    this.parentController = paramBatteryTypeData.parentController;
    this.cruParentController = paramBatteryTypeData.cruParentController;
  }

  public BatteryType getBatteryType()
  {
    return this.batteryType;
  }

  public void setBatteryType(BatteryType paramBatteryType)
  {
    this.batteryType = paramBatteryType;
  }

  public ControllerRef getParentController()
  {
    return this.parentController;
  }

  public void setParentController(ControllerRef paramControllerRef)
  {
    this.parentController = paramControllerRef;
  }

  public ControllerRef getCruParentController()
  {
    return this.cruParentController;
  }

  public void setCruParentController(ControllerRef paramControllerRef)
  {
    this.cruParentController = paramControllerRef;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.batteryType.xdrEncode(paramXDROutputStream);
    switch (this.batteryType.getValue())
    {
    case 1:
      break;
    case 2:
      this.parentController.xdrEncode(paramXDROutputStream);
      break;
    case 3:
      break;
    case 4:
      this.cruParentController.xdrEncode(paramXDROutputStream);
      break;
    }
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    this.batteryType.xdrDecode(paramXDRInputStream);
    switch (this.batteryType.getValue())
    {
    case 1:
      break;
    case 2:
      this.parentController.xdrDecode(paramXDRInputStream);
      break;
    case 3:
      break;
    case 4:
      this.cruParentController.xdrDecode(paramXDRInputStream);
      break;
    }
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}