package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class ChannelDegradedFailure
  implements XDRType, SYMbolAPIConstants
{
  private int[] degradedChannels;

  public ChannelDegradedFailure()
  {
  }

  public ChannelDegradedFailure(ChannelDegradedFailure paramChannelDegradedFailure)
  {
    this.degradedChannels = paramChannelDegradedFailure.degradedChannels;
  }

  public int[] getDegradedChannels()
  {
    return this.degradedChannels;
  }

  public void setDegradedChannels(int[] paramArrayOfInt)
  {
    this.degradedChannels = paramArrayOfInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    int j = this.degradedChannels == null ? 0 : this.degradedChannels.length;
    paramXDROutputStream.putInt(j);
    for (int k = 0; k < j; k++)
      paramXDROutputStream.putInt(this.degradedChannels[k]);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
    {
      int j = paramXDRInputStream.getInt();
      this.degradedChannels = new int[j];
      for (int k = 0; k < j; k++)
        this.degradedChannels[k] = paramXDRInputStream.getInt();
    }
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}