package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class ComponentBundle
  implements XDRType, SYMbolAPIConstants
{
  private Fan[] fan;
  private Battery[] battery;
  private PowerSupply[] powerSupply;
  private ThermalSensor[] thermalSensor;
  private Esm[] esm;
  private Ups[] ups;
  private Minihub[] minihub;
  private Gbic[] gbic;
  private Sfp[] sfp;
  private InterconnectCRU[] interconnectCRU;
  private SupportCRU[] supportCRU;
  private Alarm[] alarm;
  private HostBoard[] hostBoard;

  public ComponentBundle()
  {
  }

  public ComponentBundle(ComponentBundle paramComponentBundle)
  {
    this.fan = paramComponentBundle.fan;
    this.battery = paramComponentBundle.battery;
    this.powerSupply = paramComponentBundle.powerSupply;
    this.thermalSensor = paramComponentBundle.thermalSensor;
    this.esm = paramComponentBundle.esm;
    this.ups = paramComponentBundle.ups;
    this.minihub = paramComponentBundle.minihub;
    this.gbic = paramComponentBundle.gbic;
    this.sfp = paramComponentBundle.sfp;
    this.interconnectCRU = paramComponentBundle.interconnectCRU;
    this.supportCRU = paramComponentBundle.supportCRU;
    this.alarm = paramComponentBundle.alarm;
    this.hostBoard = paramComponentBundle.hostBoard;
  }

  public Fan[] getFan()
  {
    return this.fan;
  }

  public void setFan(Fan[] paramArrayOfFan)
  {
    this.fan = paramArrayOfFan;
  }

  public Battery[] getBattery()
  {
    return this.battery;
  }

  public void setBattery(Battery[] paramArrayOfBattery)
  {
    this.battery = paramArrayOfBattery;
  }

  public PowerSupply[] getPowerSupply()
  {
    return this.powerSupply;
  }

  public void setPowerSupply(PowerSupply[] paramArrayOfPowerSupply)
  {
    this.powerSupply = paramArrayOfPowerSupply;
  }

  public ThermalSensor[] getThermalSensor()
  {
    return this.thermalSensor;
  }

  public void setThermalSensor(ThermalSensor[] paramArrayOfThermalSensor)
  {
    this.thermalSensor = paramArrayOfThermalSensor;
  }

  public Esm[] getEsm()
  {
    return this.esm;
  }

  public void setEsm(Esm[] paramArrayOfEsm)
  {
    this.esm = paramArrayOfEsm;
  }

  public Ups[] getUps()
  {
    return this.ups;
  }

  public void setUps(Ups[] paramArrayOfUps)
  {
    this.ups = paramArrayOfUps;
  }

  public Minihub[] getMinihub()
  {
    return this.minihub;
  }

  public void setMinihub(Minihub[] paramArrayOfMinihub)
  {
    this.minihub = paramArrayOfMinihub;
  }

  public Gbic[] getGbic()
  {
    return this.gbic;
  }

  public void setGbic(Gbic[] paramArrayOfGbic)
  {
    this.gbic = paramArrayOfGbic;
  }

  public Sfp[] getSfp()
  {
    return this.sfp;
  }

  public void setSfp(Sfp[] paramArrayOfSfp)
  {
    this.sfp = paramArrayOfSfp;
  }

  public InterconnectCRU[] getInterconnectCRU()
  {
    return this.interconnectCRU;
  }

  public void setInterconnectCRU(InterconnectCRU[] paramArrayOfInterconnectCRU)
  {
    this.interconnectCRU = paramArrayOfInterconnectCRU;
  }

  public SupportCRU[] getSupportCRU()
  {
    return this.supportCRU;
  }

  public void setSupportCRU(SupportCRU[] paramArrayOfSupportCRU)
  {
    this.supportCRU = paramArrayOfSupportCRU;
  }

  public Alarm[] getAlarm()
  {
    return this.alarm;
  }

  public void setAlarm(Alarm[] paramArrayOfAlarm)
  {
    this.alarm = paramArrayOfAlarm;
  }

  public HostBoard[] getHostBoard()
  {
    return this.hostBoard;
  }

  public void setHostBoard(HostBoard[] paramArrayOfHostBoard)
  {
    this.hostBoard = paramArrayOfHostBoard;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    int j = this.fan == null ? 0 : this.fan.length;
    paramXDROutputStream.putInt(j);
    for (int k = 0; k < j; k++)
      this.fan[k].xdrEncode(paramXDROutputStream);
    j = this.battery == null ? 0 : this.battery.length;
    paramXDROutputStream.putInt(j);
    for (k = 0; k < j; k++)
      this.battery[k].xdrEncode(paramXDROutputStream);
    j = this.powerSupply == null ? 0 : this.powerSupply.length;
    paramXDROutputStream.putInt(j);
    for (k = 0; k < j; k++)
      this.powerSupply[k].xdrEncode(paramXDROutputStream);
    j = this.thermalSensor == null ? 0 : this.thermalSensor.length;
    paramXDROutputStream.putInt(j);
    for (k = 0; k < j; k++)
      this.thermalSensor[k].xdrEncode(paramXDROutputStream);
    j = this.esm == null ? 0 : this.esm.length;
    paramXDROutputStream.putInt(j);
    for (k = 0; k < j; k++)
      this.esm[k].xdrEncode(paramXDROutputStream);
    j = this.ups == null ? 0 : this.ups.length;
    paramXDROutputStream.putInt(j);
    for (k = 0; k < j; k++)
      this.ups[k].xdrEncode(paramXDROutputStream);
    j = this.minihub == null ? 0 : this.minihub.length;
    paramXDROutputStream.putInt(j);
    for (k = 0; k < j; k++)
      this.minihub[k].xdrEncode(paramXDROutputStream);
    j = this.gbic == null ? 0 : this.gbic.length;
    paramXDROutputStream.putInt(j);
    for (k = 0; k < j; k++)
      this.gbic[k].xdrEncode(paramXDROutputStream);
    j = this.sfp == null ? 0 : this.sfp.length;
    paramXDROutputStream.putInt(j);
    for (k = 0; k < j; k++)
      this.sfp[k].xdrEncode(paramXDROutputStream);
    j = this.interconnectCRU == null ? 0 : this.interconnectCRU.length;
    paramXDROutputStream.putInt(j);
    for (k = 0; k < j; k++)
      this.interconnectCRU[k].xdrEncode(paramXDROutputStream);
    j = this.supportCRU == null ? 0 : this.supportCRU.length;
    paramXDROutputStream.putInt(j);
    for (k = 0; k < j; k++)
      this.supportCRU[k].xdrEncode(paramXDROutputStream);
    j = this.alarm == null ? 0 : this.alarm.length;
    paramXDROutputStream.putInt(j);
    for (k = 0; k < j; k++)
      this.alarm[k].xdrEncode(paramXDROutputStream);
    j = this.hostBoard == null ? 0 : this.hostBoard.length;
    paramXDROutputStream.putInt(j);
    for (k = 0; k < j; k++)
      this.hostBoard[k].xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    int j;
    int k;
    if (paramXDRInputStream.getPosition() < i)
    {
      j = paramXDRInputStream.getInt();
      this.fan = new Fan[j];
      for (k = 0; k < j; k++)
      {
        this.fan[k] = new Fan();
        this.fan[k].xdrDecode(paramXDRInputStream);
      }
    }
    if (paramXDRInputStream.getPosition() < i)
    {
      j = paramXDRInputStream.getInt();
      this.battery = new Battery[j];
      for (k = 0; k < j; k++)
      {
        this.battery[k] = new Battery();
        this.battery[k].xdrDecode(paramXDRInputStream);
      }
    }
    if (paramXDRInputStream.getPosition() < i)
    {
      j = paramXDRInputStream.getInt();
      this.powerSupply = new PowerSupply[j];
      for (k = 0; k < j; k++)
      {
        this.powerSupply[k] = new PowerSupply();
        this.powerSupply[k].xdrDecode(paramXDRInputStream);
      }
    }
    if (paramXDRInputStream.getPosition() < i)
    {
      j = paramXDRInputStream.getInt();
      this.thermalSensor = new ThermalSensor[j];
      for (k = 0; k < j; k++)
      {
        this.thermalSensor[k] = new ThermalSensor();
        this.thermalSensor[k].xdrDecode(paramXDRInputStream);
      }
    }
    if (paramXDRInputStream.getPosition() < i)
    {
      j = paramXDRInputStream.getInt();
      this.esm = new Esm[j];
      for (k = 0; k < j; k++)
      {
        this.esm[k] = new Esm();
        this.esm[k].xdrDecode(paramXDRInputStream);
      }
    }
    if (paramXDRInputStream.getPosition() < i)
    {
      j = paramXDRInputStream.getInt();
      this.ups = new Ups[j];
      for (k = 0; k < j; k++)
      {
        this.ups[k] = new Ups();
        this.ups[k].xdrDecode(paramXDRInputStream);
      }
    }
    if (paramXDRInputStream.getPosition() < i)
    {
      j = paramXDRInputStream.getInt();
      this.minihub = new Minihub[j];
      for (k = 0; k < j; k++)
      {
        this.minihub[k] = new Minihub();
        this.minihub[k].xdrDecode(paramXDRInputStream);
      }
    }
    if (paramXDRInputStream.getPosition() < i)
    {
      j = paramXDRInputStream.getInt();
      this.gbic = new Gbic[j];
      for (k = 0; k < j; k++)
      {
        this.gbic[k] = new Gbic();
        this.gbic[k].xdrDecode(paramXDRInputStream);
      }
    }
    if (paramXDRInputStream.getPosition() < i)
    {
      j = paramXDRInputStream.getInt();
      this.sfp = new Sfp[j];
      for (k = 0; k < j; k++)
      {
        this.sfp[k] = new Sfp();
        this.sfp[k].xdrDecode(paramXDRInputStream);
      }
    }
    if (paramXDRInputStream.getPosition() < i)
    {
      j = paramXDRInputStream.getInt();
      this.interconnectCRU = new InterconnectCRU[j];
      for (k = 0; k < j; k++)
      {
        this.interconnectCRU[k] = new InterconnectCRU();
        this.interconnectCRU[k].xdrDecode(paramXDRInputStream);
      }
    }
    if (paramXDRInputStream.getPosition() < i)
    {
      j = paramXDRInputStream.getInt();
      this.supportCRU = new SupportCRU[j];
      for (k = 0; k < j; k++)
      {
        this.supportCRU[k] = new SupportCRU();
        this.supportCRU[k].xdrDecode(paramXDRInputStream);
      }
    }
    if (paramXDRInputStream.getPosition() < i)
    {
      j = paramXDRInputStream.getInt();
      this.alarm = new Alarm[j];
      for (k = 0; k < j; k++)
      {
        this.alarm[k] = new Alarm();
        this.alarm[k].xdrDecode(paramXDRInputStream);
      }
    }
    if (paramXDRInputStream.getPosition() < i)
    {
      j = paramXDRInputStream.getInt();
      this.hostBoard = new HostBoard[j];
      for (k = 0; k < j; k++)
      {
        this.hostBoard[k] = new HostBoard();
        this.hostBoard[k].xdrDecode(paramXDRInputStream);
      }
    }
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}