package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class ComponentTypeData
  implements XDRType, SYMbolAPIConstants
{
  private ComponentType componentType = new ComponentType();
  private Fan fan = new Fan();
  private Battery battery = new Battery();
  private PowerSupply powerSupply = new PowerSupply();
  private ThermalSensor thermalSensor = new ThermalSensor();
  private Esm esm = new Esm();
  private Ups ups = new Ups();
  private Minihub minihub = new Minihub();
  private Gbic gbic = new Gbic();
  private Sfp sfp = new Sfp();
  private InterconnectCRU interconnectCRU = new InterconnectCRU();
  private SupportCRU supportCRU = new SupportCRU();
  private Alarm alarm = new Alarm();
  private HostBoard hostBoard = new HostBoard();

  public ComponentTypeData()
  {
  }

  public ComponentTypeData(ComponentTypeData paramComponentTypeData)
  {
    this.fan = paramComponentTypeData.fan;
    this.battery = paramComponentTypeData.battery;
    this.powerSupply = paramComponentTypeData.powerSupply;
    this.thermalSensor = paramComponentTypeData.thermalSensor;
    this.esm = paramComponentTypeData.esm;
    this.ups = paramComponentTypeData.ups;
    this.minihub = paramComponentTypeData.minihub;
    this.gbic = paramComponentTypeData.gbic;
    this.sfp = paramComponentTypeData.sfp;
    this.interconnectCRU = paramComponentTypeData.interconnectCRU;
    this.supportCRU = paramComponentTypeData.supportCRU;
    this.alarm = paramComponentTypeData.alarm;
    this.hostBoard = paramComponentTypeData.hostBoard;
  }

  public ComponentType getComponentType()
  {
    return this.componentType;
  }

  public void setComponentType(ComponentType paramComponentType)
  {
    this.componentType = paramComponentType;
  }

  public Fan getFan()
  {
    return this.fan;
  }

  public void setFan(Fan paramFan)
  {
    this.fan = paramFan;
  }

  public Battery getBattery()
  {
    return this.battery;
  }

  public void setBattery(Battery paramBattery)
  {
    this.battery = paramBattery;
  }

  public PowerSupply getPowerSupply()
  {
    return this.powerSupply;
  }

  public void setPowerSupply(PowerSupply paramPowerSupply)
  {
    this.powerSupply = paramPowerSupply;
  }

  public ThermalSensor getThermalSensor()
  {
    return this.thermalSensor;
  }

  public void setThermalSensor(ThermalSensor paramThermalSensor)
  {
    this.thermalSensor = paramThermalSensor;
  }

  public Esm getEsm()
  {
    return this.esm;
  }

  public void setEsm(Esm paramEsm)
  {
    this.esm = paramEsm;
  }

  public Ups getUps()
  {
    return this.ups;
  }

  public void setUps(Ups paramUps)
  {
    this.ups = paramUps;
  }

  public Minihub getMinihub()
  {
    return this.minihub;
  }

  public void setMinihub(Minihub paramMinihub)
  {
    this.minihub = paramMinihub;
  }

  public Gbic getGbic()
  {
    return this.gbic;
  }

  public void setGbic(Gbic paramGbic)
  {
    this.gbic = paramGbic;
  }

  public Sfp getSfp()
  {
    return this.sfp;
  }

  public void setSfp(Sfp paramSfp)
  {
    this.sfp = paramSfp;
  }

  public InterconnectCRU getInterconnectCRU()
  {
    return this.interconnectCRU;
  }

  public void setInterconnectCRU(InterconnectCRU paramInterconnectCRU)
  {
    this.interconnectCRU = paramInterconnectCRU;
  }

  public SupportCRU getSupportCRU()
  {
    return this.supportCRU;
  }

  public void setSupportCRU(SupportCRU paramSupportCRU)
  {
    this.supportCRU = paramSupportCRU;
  }

  public Alarm getAlarm()
  {
    return this.alarm;
  }

  public void setAlarm(Alarm paramAlarm)
  {
    this.alarm = paramAlarm;
  }

  public HostBoard getHostBoard()
  {
    return this.hostBoard;
  }

  public void setHostBoard(HostBoard paramHostBoard)
  {
    this.hostBoard = paramHostBoard;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.componentType.xdrEncode(paramXDROutputStream);
    switch (this.componentType.getValue())
    {
    case 0:
      break;
    case 1:
      this.fan.xdrEncode(paramXDROutputStream);
      break;
    case 2:
      this.battery.xdrEncode(paramXDROutputStream);
      break;
    case 3:
      this.powerSupply.xdrEncode(paramXDROutputStream);
      break;
    case 4:
      this.thermalSensor.xdrEncode(paramXDROutputStream);
      break;
    case 5:
      this.esm.xdrEncode(paramXDROutputStream);
      break;
    case 6:
      this.ups.xdrEncode(paramXDROutputStream);
      break;
    case 7:
      this.minihub.xdrEncode(paramXDROutputStream);
      break;
    case 8:
      this.gbic.xdrEncode(paramXDROutputStream);
      break;
    case 9:
      this.sfp.xdrEncode(paramXDROutputStream);
      break;
    case 10:
      this.interconnectCRU.xdrEncode(paramXDROutputStream);
      break;
    case 11:
      this.supportCRU.xdrEncode(paramXDROutputStream);
      break;
    case 12:
      this.alarm.xdrEncode(paramXDROutputStream);
      break;
    case 13:
      this.hostBoard.xdrEncode(paramXDROutputStream);
      break;
    }
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    this.componentType.xdrDecode(paramXDRInputStream);
    switch (this.componentType.getValue())
    {
    case 0:
      break;
    case 1:
      this.fan.xdrDecode(paramXDRInputStream);
      break;
    case 2:
      this.battery.xdrDecode(paramXDRInputStream);
      break;
    case 3:
      this.powerSupply.xdrDecode(paramXDRInputStream);
      break;
    case 4:
      this.thermalSensor.xdrDecode(paramXDRInputStream);
      break;
    case 5:
      this.esm.xdrDecode(paramXDRInputStream);
      break;
    case 6:
      this.ups.xdrDecode(paramXDRInputStream);
      break;
    case 7:
      this.minihub.xdrDecode(paramXDRInputStream);
      break;
    case 8:
      this.gbic.xdrDecode(paramXDRInputStream);
      break;
    case 9:
      this.sfp.xdrDecode(paramXDRInputStream);
      break;
    case 10:
      this.interconnectCRU.xdrDecode(paramXDRInputStream);
      break;
    case 11:
      this.supportCRU.xdrDecode(paramXDRInputStream);
      break;
    case 12:
      this.alarm.xdrDecode(paramXDRInputStream);
      break;
    case 13:
      this.hostBoard.xdrDecode(paramXDRInputStream);
      break;
    }
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}