package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class ConsistencyGroup
  implements XDRType, SYMbolAPIConstants
{
  private ConsistencyGroupRef groupRef = new ConsistencyGroupRef();

  public ConsistencyGroup()
  {
  }

  public ConsistencyGroup(ConsistencyGroup paramConsistencyGroup)
  {
    this.groupRef = paramConsistencyGroup.groupRef;
  }

  public ConsistencyGroupRef getGroupRef()
  {
    return this.groupRef;
  }

  public void setGroupRef(ConsistencyGroupRef paramConsistencyGroupRef)
  {
    this.groupRef = paramConsistencyGroupRef;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.groupRef.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.groupRef.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}