package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class DdcLogDataReturned
  implements XDRType, SYMbolAPIConstants
{
  private ReturnCode returnCode = new ReturnCode();
  private DdcLogData ddcLogData = new DdcLogData();

  public DdcLogDataReturned()
  {
  }

  public DdcLogDataReturned(DdcLogDataReturned paramDdcLogDataReturned)
  {
    this.ddcLogData = paramDdcLogDataReturned.ddcLogData;
  }

  public ReturnCode getReturnCode()
  {
    return this.returnCode;
  }

  public void setReturnCode(ReturnCode paramReturnCode)
  {
    this.returnCode = paramReturnCode;
  }

  public DdcLogData getDdcLogData()
  {
    return this.ddcLogData;
  }

  public void setDdcLogData(DdcLogData paramDdcLogData)
  {
    this.ddcLogData = paramDdcLogData;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.returnCode.xdrEncode(paramXDROutputStream);
    switch (this.returnCode.getValue())
    {
    case 1:
      this.ddcLogData.xdrEncode(paramXDROutputStream);
      break;
    }
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    this.returnCode.xdrDecode(paramXDRInputStream);
    switch (this.returnCode.getValue())
    {
    case 1:
      this.ddcLogData.xdrDecode(paramXDRInputStream);
      break;
    }
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}