package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class DriveChannelList
  implements XDRType, SYMbolAPIConstants
{
  private ReturnCode returnCode = new ReturnCode();
  private DriveChannel[] driveChannels;

  public DriveChannelList()
  {
  }

  public DriveChannelList(DriveChannelList paramDriveChannelList)
  {
    this.returnCode = paramDriveChannelList.returnCode;
    this.driveChannels = paramDriveChannelList.driveChannels;
  }

  public ReturnCode getReturnCode()
  {
    return this.returnCode;
  }

  public void setReturnCode(ReturnCode paramReturnCode)
  {
    this.returnCode = paramReturnCode;
  }

  public DriveChannel[] getDriveChannels()
  {
    return this.driveChannels;
  }

  public void setDriveChannels(DriveChannel[] paramArrayOfDriveChannel)
  {
    this.driveChannels = paramArrayOfDriveChannel;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.returnCode.xdrEncode(paramXDROutputStream);
    int j = this.driveChannels == null ? 0 : this.driveChannels.length;
    paramXDROutputStream.putInt(j);
    for (int k = 0; k < j; k++)
      this.driveChannels[k].xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.returnCode.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
    {
      int j = paramXDRInputStream.getInt();
      this.driveChannels = new DriveChannel[j];
      for (int k = 0; k < j; k++)
      {
        this.driveChannels[k] = new DriveChannel();
        this.driveChannels[k].xdrDecode(paramXDRInputStream);
      }
    }
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}