package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class DriveDownloadDriveStatus
  implements XDRType, SYMbolAPIConstants
{
  private DriveRef driveRef = new DriveRef();
  private DriveDownloadStatus status = new DriveDownloadStatus();

  public DriveDownloadDriveStatus()
  {
  }

  public DriveDownloadDriveStatus(DriveDownloadDriveStatus paramDriveDownloadDriveStatus)
  {
    this.driveRef = paramDriveDownloadDriveStatus.driveRef;
    this.status = paramDriveDownloadDriveStatus.status;
  }

  public DriveRef getDriveRef()
  {
    return this.driveRef;
  }

  public void setDriveRef(DriveRef paramDriveRef)
  {
    this.driveRef = paramDriveRef;
  }

  public DriveDownloadStatus getStatus()
  {
    return this.status;
  }

  public void setStatus(DriveDownloadStatus paramDriveDownloadStatus)
  {
    this.status = paramDriveDownloadStatus;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.driveRef.xdrEncode(paramXDROutputStream);
    this.status.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.driveRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.status.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}