package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class DriveFirmwareStatus
  implements XDRType, SYMbolAPIConstants
{
  private ReturnCode overallStatus = new ReturnCode();
  private DriveDownloadDriveStatus[] driveStatus;

  public DriveFirmwareStatus()
  {
  }

  public DriveFirmwareStatus(DriveFirmwareStatus paramDriveFirmwareStatus)
  {
    this.overallStatus = paramDriveFirmwareStatus.overallStatus;
    this.driveStatus = paramDriveFirmwareStatus.driveStatus;
  }

  public ReturnCode getOverallStatus()
  {
    return this.overallStatus;
  }

  public void setOverallStatus(ReturnCode paramReturnCode)
  {
    this.overallStatus = paramReturnCode;
  }

  public DriveDownloadDriveStatus[] getDriveStatus()
  {
    return this.driveStatus;
  }

  public void setDriveStatus(DriveDownloadDriveStatus[] paramArrayOfDriveDownloadDriveStatus)
  {
    this.driveStatus = paramArrayOfDriveDownloadDriveStatus;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.overallStatus.xdrEncode(paramXDROutputStream);
    int j = this.driveStatus == null ? 0 : this.driveStatus.length;
    paramXDROutputStream.putInt(j);
    for (int k = 0; k < j; k++)
      this.driveStatus[k].xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.overallStatus.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
    {
      int j = paramXDRInputStream.getInt();
      this.driveStatus = new DriveDownloadDriveStatus[j];
      for (int k = 0; k < j; k++)
      {
        this.driveStatus[k] = new DriveDownloadDriveStatus();
        this.driveStatus[k].xdrDecode(paramXDRInputStream);
      }
    }
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}