package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class DriveRefList
  implements XDRType, SYMbolAPIConstants
{
  private DriveRef[] driveRef;

  public DriveRefList()
  {
  }

  public DriveRefList(DriveRefList paramDriveRefList)
  {
    this.driveRef = paramDriveRefList.driveRef;
  }

  public DriveRef[] getDriveRef()
  {
    return this.driveRef;
  }

  public void setDriveRef(DriveRef[] paramArrayOfDriveRef)
  {
    this.driveRef = paramArrayOfDriveRef;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    int j = this.driveRef == null ? 0 : this.driveRef.length;
    paramXDROutputStream.putInt(j);
    for (int k = 0; k < j; k++)
      this.driveRef[k].xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
    {
      int j = paramXDRInputStream.getInt();
      this.driveRef = new DriveRef[j];
      for (int k = 0; k < j; k++)
      {
        this.driveRef[k] = new DriveRef();
        this.driveRef[k].xdrDecode(paramXDRInputStream);
      }
    }
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}