package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class EncryptedPassword
  implements XDRType, SYMbolAPIConstants
{
  private EncryptionType type = new EncryptionType();
  private PKCS5EncryptionData pkcs5Data = new PKCS5EncryptionData();

  public EncryptedPassword()
  {
  }

  public EncryptedPassword(EncryptedPassword paramEncryptedPassword)
  {
    this.pkcs5Data = paramEncryptedPassword.pkcs5Data;
  }

  public EncryptionType getType()
  {
    return this.type;
  }

  public void setType(EncryptionType paramEncryptionType)
  {
    this.type = paramEncryptionType;
  }

  public PKCS5EncryptionData getPkcs5Data()
  {
    return this.pkcs5Data;
  }

  public void setPkcs5Data(PKCS5EncryptionData paramPKCS5EncryptionData)
  {
    this.pkcs5Data = paramPKCS5EncryptionData;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.type.xdrEncode(paramXDROutputStream);
    switch (this.type.getValue())
    {
    case 1:
      this.pkcs5Data.xdrEncode(paramXDROutputStream);
      break;
    }
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    this.type.xdrDecode(paramXDRInputStream);
    switch (this.type.getValue())
    {
    case 1:
      this.pkcs5Data.xdrDecode(paramXDRInputStream);
      break;
    }
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}