package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class FailureTypeEntry
  implements XDRType, SYMbolAPIConstants
{
  private RecoveryFailureType recFailureType = new RecoveryFailureType();
  private ComponentRef fanFail = new ComponentRef();
  private ComponentRef powerSupplyFail = new ComponentRef();
  private ComponentRef miniHubFail = new ComponentRef();
  private ComponentRef esmFail = new ComponentRef();
  private ComponentRef batteryWarn = new ComponentRef();
  private ComponentRef batteryFail = new ComponentRef();
  private ComponentRef nominalTempWarn = new ComponentRef();
  private ComponentRef maxTempWarn = new ComponentRef();
  private ComponentRef upsOnBattery = new ComponentRef();
  private NotOnPreferredPath nonPreferredPath = new NotOnPreferredPath();
  private ControllerRef memParityError = new ControllerRef();
  private ControllerRef chFail = new ControllerRef();
  private VolumeGroupRef volDegraded = new VolumeGroupRef();
  private VolumeGroupRef volFailInterruptedWrite = new VolumeGroupRef();
  private VolumeGroupRef volFailDuringModify = new VolumeGroupRef();
  private VolumeGroupRef volFail = new VolumeGroupRef();
  private VolumeGroupRef volFailMultiRaid = new VolumeGroupRef();
  private VolumeGroupRef volFailDuringModifyMultiRaid = new VolumeGroupRef();
  private VolumeRef volImpaired = new VolumeRef();
  private VolumeGroupRef volFailAwaitingInit = new VolumeGroupRef();
  private VolumeGroupRef volHotSpareInUse = new VolumeGroupRef();
  private VolumeGroupRef volGroupOffline = new VolumeGroupRef();
  private DriveRef driveFail = new DriveRef();
  private VolumeGroupRef driveFailImpendingHigh = new VolumeGroupRef();
  private VolumeGroupRef driveFailImpendingMed = new VolumeGroupRef();
  private DriveRef driveFailImpendingLow = new DriveRef();
  private DriveRef driveUncertified = new DriveRef();
  private ControllerRef offlineCtl = new ControllerRef();
  private ControllerRef passiveCtl = new ControllerRef();
  private PremiumFeature spmFeature = new PremiumFeature();
  private TrayRef trayCodeMismatch = new TrayRef();
  private TrayRef esmMiswire = new TrayRef();
  private DriveLostRedundancyFailure driveRedundancyFailure = new DriveLostRedundancyFailure();
  private TrayLostRedundancyFailure trayRedundancyFailure = new TrayLostRedundancyFailure();
  private EsmLostRedundancyFailure esmRedundancyFailure = new EsmLostRedundancyFailure();
  private TrayRef trayIDMismatch = new TrayRef();
  private TrayRefList trayIDConflicts = new TrayRefList();
  private ComponentRef transceiverModuleFailed = new ComponentRef();
  private ControllerRef chanMiswire = new ControllerRef();
  private ControllerRef nonFruBatteryWarn = new ControllerRef();
  private ControllerRef nonFruBatteryFail = new ControllerRef();
  private ControllerRef rpaParityError = new ControllerRef();
  private FullRepository repositoryFull = new FullRepository();
  private LegacyVolRef repositoryOverThreshold = new LegacyVolRef();
  private SnapshotFailure snapFail = new SnapshotFailure();
  private GhostVolRef ghostVolume = new GhostVolRef();
  private ComponentRef miniHubUnsupported = new ComponentRef();
  private PremiumFeature snapshotFeature = new PremiumFeature();
  private PremiumFeature rvmFeature = new PremiumFeature();
  private MetadataOffline metadataOffline = new MetadataOffline();
  private DualMirrorPrimary dualMirrorPrimary = new DualMirrorPrimary();
  private DualMirrorSecondary dualMirrorSecondary = new DualMirrorSecondary();
  private MirrorUnsynchronized mirrorUnsynchronized = new MirrorUnsynchronized();
  private RemoteVolNoLUN remoteVolNoLUN = new RemoteVolNoLUN();
  private RemoteVolNoArray remoteVolNoArray = new RemoteVolNoArray();
  private RemoteVolNoFabric remoteVolNoFabric = new RemoteVolNoFabric();
  private RemoteVolWWNChangeFailed remoteVolWWNChangeFailed = new RemoteVolWWNChangeFailed();
  private ComponentRef fanStatUnknown = new ComponentRef();
  private ComponentRef powerSupplyStatUnknown = new ComponentRef();
  private ComponentRef esmStatUnknown = new ComponentRef();
  private ComponentRef tempSensorStatUnknown = new ComponentRef();
  private ComponentRef transceiverModuleStatUnknown = new ComponentRef();
  private DriveRef speedMismatchDrive = new DriveRef();
  private DriveRef drvBypassCauseUnknown = new DriveRef();
  private ComponentRef minihubRef = new ComponentRef();
  private ComponentRef esmRemoved = new ComponentRef();
  private ComponentRef batteryRemoved = new ComponentRef();
  private ControllerRef nonFruBatteryRemoved = new ControllerRef();
  private VolumeCopyRef failedVolumeCopy = new VolumeCopyRef();
  private PremiumFeature volcopyFeature = new PremiumFeature();
  private ChannelDegradedFailure channelDegradedFailure = new ChannelDegradedFailure();
  private TrayRef unsupportedTray = new TrayRef();
  private SpeedNegError speedNegError = new SpeedNegError();
  private UsmError usmDbFullError = new UsmError();
  private UsmError usmExistError = new UsmError();
  private PathDegradedFailure pathDegradedFailure = new PathDegradedFailure();
  private PremiumFeature mixeddrivetypesFeature = new PremiumFeature();
  private PremiumFeature goldkeyFeature = new PremiumFeature();
  private ControllerRef networkSetupError = new ControllerRef();
  private ControllerRef ctlMismatch = new ControllerRef();
  private ControllerRef discreteLineFail = new ControllerRef();
  private ChannelFailedFailure channelFailedFailure = new ChannelFailedFailure();
  private LinkSpeedDetectionError linkSpeedDetectionError = new LinkSpeedDetectionError();
  private ComponentRef esmUncertified = new ComponentRef();
  private ComponentRef fanRemoved = new ComponentRef();
  private ComponentRef powerSupplyRemoved = new ComponentRef();
  private ComponentRef tempSensorRemoved = new ComponentRef();
  private ComponentRef iccCruRemoved = new ComponentRef();
  private ComponentRef supportCruRemoved = new ComponentRef();
  private ComponentRef iccCruFail = new ComponentRef();
  private ComponentRef supportCruFail = new ComponentRef();
  private ComponentRef batteryStatUnknown = new ComponentRef();
  private TrayRefList driveTraysNotGroupedTogether = new TrayRefList();
  private ControllerMiswireError ctlMiswire = new ControllerMiswireError();
  private ControllerRef submodelNotSupported = new ControllerRef();
  private ControllerRef submodelNotSet = new ControllerRef();
  private ControllerRef submodelMismatch = new ControllerRef();
  private ComponentRef supportCruNoInput = new ComponentRef();
  private BatteryPackICCFailure batterySystemFail = new BatteryPackICCFailure();
  private ComponentRef batteryPackRemoved = new ComponentRef();
  private ComponentRef batteryConfigMismatch = new ComponentRef();
  private TrayRef trayHardwareMismatch = new TrayRef();
  private ComponentRef failedHostBoard = new ComponentRef();
  private DriveRef replacedDriveWrongType = new DriveRef();

  public FailureTypeEntry()
  {
  }

  public FailureTypeEntry(FailureTypeEntry paramFailureTypeEntry)
  {
    this.fanFail = paramFailureTypeEntry.fanFail;
    this.powerSupplyFail = paramFailureTypeEntry.powerSupplyFail;
    this.miniHubFail = paramFailureTypeEntry.miniHubFail;
    this.esmFail = paramFailureTypeEntry.esmFail;
    this.batteryWarn = paramFailureTypeEntry.batteryWarn;
    this.batteryFail = paramFailureTypeEntry.batteryFail;
    this.nominalTempWarn = paramFailureTypeEntry.nominalTempWarn;
    this.maxTempWarn = paramFailureTypeEntry.maxTempWarn;
    this.upsOnBattery = paramFailureTypeEntry.upsOnBattery;
    this.nonPreferredPath = paramFailureTypeEntry.nonPreferredPath;
    this.memParityError = paramFailureTypeEntry.memParityError;
    this.chFail = paramFailureTypeEntry.chFail;
    this.volDegraded = paramFailureTypeEntry.volDegraded;
    this.volFailInterruptedWrite = paramFailureTypeEntry.volFailInterruptedWrite;
    this.volFailDuringModify = paramFailureTypeEntry.volFailDuringModify;
    this.volFail = paramFailureTypeEntry.volFail;
    this.volFailMultiRaid = paramFailureTypeEntry.volFailMultiRaid;
    this.volFailDuringModifyMultiRaid = paramFailureTypeEntry.volFailDuringModifyMultiRaid;
    this.volImpaired = paramFailureTypeEntry.volImpaired;
    this.volFailAwaitingInit = paramFailureTypeEntry.volFailAwaitingInit;
    this.volHotSpareInUse = paramFailureTypeEntry.volHotSpareInUse;
    this.volGroupOffline = paramFailureTypeEntry.volGroupOffline;
    this.driveFail = paramFailureTypeEntry.driveFail;
    this.driveFailImpendingHigh = paramFailureTypeEntry.driveFailImpendingHigh;
    this.driveFailImpendingMed = paramFailureTypeEntry.driveFailImpendingMed;
    this.driveFailImpendingLow = paramFailureTypeEntry.driveFailImpendingLow;
    this.driveUncertified = paramFailureTypeEntry.driveUncertified;
    this.offlineCtl = paramFailureTypeEntry.offlineCtl;
    this.passiveCtl = paramFailureTypeEntry.passiveCtl;
    this.spmFeature = paramFailureTypeEntry.spmFeature;
    this.trayCodeMismatch = paramFailureTypeEntry.trayCodeMismatch;
    this.esmMiswire = paramFailureTypeEntry.esmMiswire;
    this.driveRedundancyFailure = paramFailureTypeEntry.driveRedundancyFailure;
    this.trayRedundancyFailure = paramFailureTypeEntry.trayRedundancyFailure;
    this.esmRedundancyFailure = paramFailureTypeEntry.esmRedundancyFailure;
    this.trayIDMismatch = paramFailureTypeEntry.trayIDMismatch;
    this.trayIDConflicts = paramFailureTypeEntry.trayIDConflicts;
    this.transceiverModuleFailed = paramFailureTypeEntry.transceiverModuleFailed;
    this.chanMiswire = paramFailureTypeEntry.chanMiswire;
    this.nonFruBatteryWarn = paramFailureTypeEntry.nonFruBatteryWarn;
    this.nonFruBatteryFail = paramFailureTypeEntry.nonFruBatteryFail;
    this.rpaParityError = paramFailureTypeEntry.rpaParityError;
    this.repositoryFull = paramFailureTypeEntry.repositoryFull;
    this.repositoryOverThreshold = paramFailureTypeEntry.repositoryOverThreshold;
    this.snapFail = paramFailureTypeEntry.snapFail;
    this.ghostVolume = paramFailureTypeEntry.ghostVolume;
    this.miniHubUnsupported = paramFailureTypeEntry.miniHubUnsupported;
    this.snapshotFeature = paramFailureTypeEntry.snapshotFeature;
    this.rvmFeature = paramFailureTypeEntry.rvmFeature;
    this.metadataOffline = paramFailureTypeEntry.metadataOffline;
    this.dualMirrorPrimary = paramFailureTypeEntry.dualMirrorPrimary;
    this.dualMirrorSecondary = paramFailureTypeEntry.dualMirrorSecondary;
    this.mirrorUnsynchronized = paramFailureTypeEntry.mirrorUnsynchronized;
    this.remoteVolNoLUN = paramFailureTypeEntry.remoteVolNoLUN;
    this.remoteVolNoArray = paramFailureTypeEntry.remoteVolNoArray;
    this.remoteVolNoFabric = paramFailureTypeEntry.remoteVolNoFabric;
    this.remoteVolWWNChangeFailed = paramFailureTypeEntry.remoteVolWWNChangeFailed;
    this.fanStatUnknown = paramFailureTypeEntry.fanStatUnknown;
    this.powerSupplyStatUnknown = paramFailureTypeEntry.powerSupplyStatUnknown;
    this.esmStatUnknown = paramFailureTypeEntry.esmStatUnknown;
    this.tempSensorStatUnknown = paramFailureTypeEntry.tempSensorStatUnknown;
    this.transceiverModuleStatUnknown = paramFailureTypeEntry.transceiverModuleStatUnknown;
    this.speedMismatchDrive = paramFailureTypeEntry.speedMismatchDrive;
    this.drvBypassCauseUnknown = paramFailureTypeEntry.drvBypassCauseUnknown;
    this.minihubRef = paramFailureTypeEntry.minihubRef;
    this.esmRemoved = paramFailureTypeEntry.esmRemoved;
    this.batteryRemoved = paramFailureTypeEntry.batteryRemoved;
    this.nonFruBatteryRemoved = paramFailureTypeEntry.nonFruBatteryRemoved;
    this.failedVolumeCopy = paramFailureTypeEntry.failedVolumeCopy;
    this.volcopyFeature = paramFailureTypeEntry.volcopyFeature;
    this.channelDegradedFailure = paramFailureTypeEntry.channelDegradedFailure;
    this.unsupportedTray = paramFailureTypeEntry.unsupportedTray;
    this.speedNegError = paramFailureTypeEntry.speedNegError;
    this.usmDbFullError = paramFailureTypeEntry.usmDbFullError;
    this.usmExistError = paramFailureTypeEntry.usmExistError;
    this.pathDegradedFailure = paramFailureTypeEntry.pathDegradedFailure;
    this.mixeddrivetypesFeature = paramFailureTypeEntry.mixeddrivetypesFeature;
    this.goldkeyFeature = paramFailureTypeEntry.goldkeyFeature;
    this.networkSetupError = paramFailureTypeEntry.networkSetupError;
    this.ctlMismatch = paramFailureTypeEntry.ctlMismatch;
    this.discreteLineFail = paramFailureTypeEntry.discreteLineFail;
    this.channelFailedFailure = paramFailureTypeEntry.channelFailedFailure;
    this.linkSpeedDetectionError = paramFailureTypeEntry.linkSpeedDetectionError;
    this.esmUncertified = paramFailureTypeEntry.esmUncertified;
    this.fanRemoved = paramFailureTypeEntry.fanRemoved;
    this.powerSupplyRemoved = paramFailureTypeEntry.powerSupplyRemoved;
    this.tempSensorRemoved = paramFailureTypeEntry.tempSensorRemoved;
    this.iccCruRemoved = paramFailureTypeEntry.iccCruRemoved;
    this.supportCruRemoved = paramFailureTypeEntry.supportCruRemoved;
    this.iccCruFail = paramFailureTypeEntry.iccCruFail;
    this.supportCruFail = paramFailureTypeEntry.supportCruFail;
    this.batteryStatUnknown = paramFailureTypeEntry.batteryStatUnknown;
    this.driveTraysNotGroupedTogether = paramFailureTypeEntry.driveTraysNotGroupedTogether;
    this.ctlMiswire = paramFailureTypeEntry.ctlMiswire;
    this.submodelNotSupported = paramFailureTypeEntry.submodelNotSupported;
    this.submodelNotSet = paramFailureTypeEntry.submodelNotSet;
    this.submodelMismatch = paramFailureTypeEntry.submodelMismatch;
    this.supportCruNoInput = paramFailureTypeEntry.supportCruNoInput;
    this.batterySystemFail = paramFailureTypeEntry.batterySystemFail;
    this.batteryPackRemoved = paramFailureTypeEntry.batteryPackRemoved;
    this.batteryConfigMismatch = paramFailureTypeEntry.batteryConfigMismatch;
    this.trayHardwareMismatch = paramFailureTypeEntry.trayHardwareMismatch;
    this.failedHostBoard = paramFailureTypeEntry.failedHostBoard;
    this.replacedDriveWrongType = paramFailureTypeEntry.replacedDriveWrongType;
  }

  public RecoveryFailureType getRecFailureType()
  {
    return this.recFailureType;
  }

  public void setRecFailureType(RecoveryFailureType paramRecoveryFailureType)
  {
    this.recFailureType = paramRecoveryFailureType;
  }

  public ComponentRef getFanFail()
  {
    return this.fanFail;
  }

  public void setFanFail(ComponentRef paramComponentRef)
  {
    this.fanFail = paramComponentRef;
  }

  public ComponentRef getPowerSupplyFail()
  {
    return this.powerSupplyFail;
  }

  public void setPowerSupplyFail(ComponentRef paramComponentRef)
  {
    this.powerSupplyFail = paramComponentRef;
  }

  public ComponentRef getMiniHubFail()
  {
    return this.miniHubFail;
  }

  public void setMiniHubFail(ComponentRef paramComponentRef)
  {
    this.miniHubFail = paramComponentRef;
  }

  public ComponentRef getEsmFail()
  {
    return this.esmFail;
  }

  public void setEsmFail(ComponentRef paramComponentRef)
  {
    this.esmFail = paramComponentRef;
  }

  public ComponentRef getBatteryWarn()
  {
    return this.batteryWarn;
  }

  public void setBatteryWarn(ComponentRef paramComponentRef)
  {
    this.batteryWarn = paramComponentRef;
  }

  public ComponentRef getBatteryFail()
  {
    return this.batteryFail;
  }

  public void setBatteryFail(ComponentRef paramComponentRef)
  {
    this.batteryFail = paramComponentRef;
  }

  public ComponentRef getNominalTempWarn()
  {
    return this.nominalTempWarn;
  }

  public void setNominalTempWarn(ComponentRef paramComponentRef)
  {
    this.nominalTempWarn = paramComponentRef;
  }

  public ComponentRef getMaxTempWarn()
  {
    return this.maxTempWarn;
  }

  public void setMaxTempWarn(ComponentRef paramComponentRef)
  {
    this.maxTempWarn = paramComponentRef;
  }

  public ComponentRef getUpsOnBattery()
  {
    return this.upsOnBattery;
  }

  public void setUpsOnBattery(ComponentRef paramComponentRef)
  {
    this.upsOnBattery = paramComponentRef;
  }

  public NotOnPreferredPath getNonPreferredPath()
  {
    return this.nonPreferredPath;
  }

  public void setNonPreferredPath(NotOnPreferredPath paramNotOnPreferredPath)
  {
    this.nonPreferredPath = paramNotOnPreferredPath;
  }

  public ControllerRef getMemParityError()
  {
    return this.memParityError;
  }

  public void setMemParityError(ControllerRef paramControllerRef)
  {
    this.memParityError = paramControllerRef;
  }

  public ControllerRef getChFail()
  {
    return this.chFail;
  }

  public void setChFail(ControllerRef paramControllerRef)
  {
    this.chFail = paramControllerRef;
  }

  public VolumeGroupRef getVolDegraded()
  {
    return this.volDegraded;
  }

  public void setVolDegraded(VolumeGroupRef paramVolumeGroupRef)
  {
    this.volDegraded = paramVolumeGroupRef;
  }

  public VolumeGroupRef getVolFailInterruptedWrite()
  {
    return this.volFailInterruptedWrite;
  }

  public void setVolFailInterruptedWrite(VolumeGroupRef paramVolumeGroupRef)
  {
    this.volFailInterruptedWrite = paramVolumeGroupRef;
  }

  public VolumeGroupRef getVolFailDuringModify()
  {
    return this.volFailDuringModify;
  }

  public void setVolFailDuringModify(VolumeGroupRef paramVolumeGroupRef)
  {
    this.volFailDuringModify = paramVolumeGroupRef;
  }

  public VolumeGroupRef getVolFail()
  {
    return this.volFail;
  }

  public void setVolFail(VolumeGroupRef paramVolumeGroupRef)
  {
    this.volFail = paramVolumeGroupRef;
  }

  public VolumeGroupRef getVolFailMultiRaid()
  {
    return this.volFailMultiRaid;
  }

  public void setVolFailMultiRaid(VolumeGroupRef paramVolumeGroupRef)
  {
    this.volFailMultiRaid = paramVolumeGroupRef;
  }

  public VolumeGroupRef getVolFailDuringModifyMultiRaid()
  {
    return this.volFailDuringModifyMultiRaid;
  }

  public void setVolFailDuringModifyMultiRaid(VolumeGroupRef paramVolumeGroupRef)
  {
    this.volFailDuringModifyMultiRaid = paramVolumeGroupRef;
  }

  public VolumeRef getVolImpaired()
  {
    return this.volImpaired;
  }

  public void setVolImpaired(VolumeRef paramVolumeRef)
  {
    this.volImpaired = paramVolumeRef;
  }

  public VolumeGroupRef getVolFailAwaitingInit()
  {
    return this.volFailAwaitingInit;
  }

  public void setVolFailAwaitingInit(VolumeGroupRef paramVolumeGroupRef)
  {
    this.volFailAwaitingInit = paramVolumeGroupRef;
  }

  public VolumeGroupRef getVolHotSpareInUse()
  {
    return this.volHotSpareInUse;
  }

  public void setVolHotSpareInUse(VolumeGroupRef paramVolumeGroupRef)
  {
    this.volHotSpareInUse = paramVolumeGroupRef;
  }

  public VolumeGroupRef getVolGroupOffline()
  {
    return this.volGroupOffline;
  }

  public void setVolGroupOffline(VolumeGroupRef paramVolumeGroupRef)
  {
    this.volGroupOffline = paramVolumeGroupRef;
  }

  public DriveRef getDriveFail()
  {
    return this.driveFail;
  }

  public void setDriveFail(DriveRef paramDriveRef)
  {
    this.driveFail = paramDriveRef;
  }

  public VolumeGroupRef getDriveFailImpendingHigh()
  {
    return this.driveFailImpendingHigh;
  }

  public void setDriveFailImpendingHigh(VolumeGroupRef paramVolumeGroupRef)
  {
    this.driveFailImpendingHigh = paramVolumeGroupRef;
  }

  public VolumeGroupRef getDriveFailImpendingMed()
  {
    return this.driveFailImpendingMed;
  }

  public void setDriveFailImpendingMed(VolumeGroupRef paramVolumeGroupRef)
  {
    this.driveFailImpendingMed = paramVolumeGroupRef;
  }

  public DriveRef getDriveFailImpendingLow()
  {
    return this.driveFailImpendingLow;
  }

  public void setDriveFailImpendingLow(DriveRef paramDriveRef)
  {
    this.driveFailImpendingLow = paramDriveRef;
  }

  public DriveRef getDriveUncertified()
  {
    return this.driveUncertified;
  }

  public void setDriveUncertified(DriveRef paramDriveRef)
  {
    this.driveUncertified = paramDriveRef;
  }

  public ControllerRef getOfflineCtl()
  {
    return this.offlineCtl;
  }

  public void setOfflineCtl(ControllerRef paramControllerRef)
  {
    this.offlineCtl = paramControllerRef;
  }

  public ControllerRef getPassiveCtl()
  {
    return this.passiveCtl;
  }

  public void setPassiveCtl(ControllerRef paramControllerRef)
  {
    this.passiveCtl = paramControllerRef;
  }

  public PremiumFeature getSpmFeature()
  {
    return this.spmFeature;
  }

  public void setSpmFeature(PremiumFeature paramPremiumFeature)
  {
    this.spmFeature = paramPremiumFeature;
  }

  public TrayRef getTrayCodeMismatch()
  {
    return this.trayCodeMismatch;
  }

  public void setTrayCodeMismatch(TrayRef paramTrayRef)
  {
    this.trayCodeMismatch = paramTrayRef;
  }

  public TrayRef getEsmMiswire()
  {
    return this.esmMiswire;
  }

  public void setEsmMiswire(TrayRef paramTrayRef)
  {
    this.esmMiswire = paramTrayRef;
  }

  public DriveLostRedundancyFailure getDriveRedundancyFailure()
  {
    return this.driveRedundancyFailure;
  }

  public void setDriveRedundancyFailure(DriveLostRedundancyFailure paramDriveLostRedundancyFailure)
  {
    this.driveRedundancyFailure = paramDriveLostRedundancyFailure;
  }

  public TrayLostRedundancyFailure getTrayRedundancyFailure()
  {
    return this.trayRedundancyFailure;
  }

  public void setTrayRedundancyFailure(TrayLostRedundancyFailure paramTrayLostRedundancyFailure)
  {
    this.trayRedundancyFailure = paramTrayLostRedundancyFailure;
  }

  public EsmLostRedundancyFailure getEsmRedundancyFailure()
  {
    return this.esmRedundancyFailure;
  }

  public void setEsmRedundancyFailure(EsmLostRedundancyFailure paramEsmLostRedundancyFailure)
  {
    this.esmRedundancyFailure = paramEsmLostRedundancyFailure;
  }

  public TrayRef getTrayIDMismatch()
  {
    return this.trayIDMismatch;
  }

  public void setTrayIDMismatch(TrayRef paramTrayRef)
  {
    this.trayIDMismatch = paramTrayRef;
  }

  public TrayRefList getTrayIDConflicts()
  {
    return this.trayIDConflicts;
  }

  public void setTrayIDConflicts(TrayRefList paramTrayRefList)
  {
    this.trayIDConflicts = paramTrayRefList;
  }

  public ComponentRef getTransceiverModuleFailed()
  {
    return this.transceiverModuleFailed;
  }

  public void setTransceiverModuleFailed(ComponentRef paramComponentRef)
  {
    this.transceiverModuleFailed = paramComponentRef;
  }

  public ControllerRef getChanMiswire()
  {
    return this.chanMiswire;
  }

  public void setChanMiswire(ControllerRef paramControllerRef)
  {
    this.chanMiswire = paramControllerRef;
  }

  public ControllerRef getNonFruBatteryWarn()
  {
    return this.nonFruBatteryWarn;
  }

  public void setNonFruBatteryWarn(ControllerRef paramControllerRef)
  {
    this.nonFruBatteryWarn = paramControllerRef;
  }

  public ControllerRef getNonFruBatteryFail()
  {
    return this.nonFruBatteryFail;
  }

  public void setNonFruBatteryFail(ControllerRef paramControllerRef)
  {
    this.nonFruBatteryFail = paramControllerRef;
  }

  public ControllerRef getRpaParityError()
  {
    return this.rpaParityError;
  }

  public void setRpaParityError(ControllerRef paramControllerRef)
  {
    this.rpaParityError = paramControllerRef;
  }

  public FullRepository getRepositoryFull()
  {
    return this.repositoryFull;
  }

  public void setRepositoryFull(FullRepository paramFullRepository)
  {
    this.repositoryFull = paramFullRepository;
  }

  public LegacyVolRef getRepositoryOverThreshold()
  {
    return this.repositoryOverThreshold;
  }

  public void setRepositoryOverThreshold(LegacyVolRef paramLegacyVolRef)
  {
    this.repositoryOverThreshold = paramLegacyVolRef;
  }

  public SnapshotFailure getSnapFail()
  {
    return this.snapFail;
  }

  public void setSnapFail(SnapshotFailure paramSnapshotFailure)
  {
    this.snapFail = paramSnapshotFailure;
  }

  public GhostVolRef getGhostVolume()
  {
    return this.ghostVolume;
  }

  public void setGhostVolume(GhostVolRef paramGhostVolRef)
  {
    this.ghostVolume = paramGhostVolRef;
  }

  public ComponentRef getMiniHubUnsupported()
  {
    return this.miniHubUnsupported;
  }

  public void setMiniHubUnsupported(ComponentRef paramComponentRef)
  {
    this.miniHubUnsupported = paramComponentRef;
  }

  public PremiumFeature getSnapshotFeature()
  {
    return this.snapshotFeature;
  }

  public void setSnapshotFeature(PremiumFeature paramPremiumFeature)
  {
    this.snapshotFeature = paramPremiumFeature;
  }

  public PremiumFeature getRvmFeature()
  {
    return this.rvmFeature;
  }

  public void setRvmFeature(PremiumFeature paramPremiumFeature)
  {
    this.rvmFeature = paramPremiumFeature;
  }

  public MetadataOffline getMetadataOffline()
  {
    return this.metadataOffline;
  }

  public void setMetadataOffline(MetadataOffline paramMetadataOffline)
  {
    this.metadataOffline = paramMetadataOffline;
  }

  public DualMirrorPrimary getDualMirrorPrimary()
  {
    return this.dualMirrorPrimary;
  }

  public void setDualMirrorPrimary(DualMirrorPrimary paramDualMirrorPrimary)
  {
    this.dualMirrorPrimary = paramDualMirrorPrimary;
  }

  public DualMirrorSecondary getDualMirrorSecondary()
  {
    return this.dualMirrorSecondary;
  }

  public void setDualMirrorSecondary(DualMirrorSecondary paramDualMirrorSecondary)
  {
    this.dualMirrorSecondary = paramDualMirrorSecondary;
  }

  public MirrorUnsynchronized getMirrorUnsynchronized()
  {
    return this.mirrorUnsynchronized;
  }

  public void setMirrorUnsynchronized(MirrorUnsynchronized paramMirrorUnsynchronized)
  {
    this.mirrorUnsynchronized = paramMirrorUnsynchronized;
  }

  public RemoteVolNoLUN getRemoteVolNoLUN()
  {
    return this.remoteVolNoLUN;
  }

  public void setRemoteVolNoLUN(RemoteVolNoLUN paramRemoteVolNoLUN)
  {
    this.remoteVolNoLUN = paramRemoteVolNoLUN;
  }

  public RemoteVolNoArray getRemoteVolNoArray()
  {
    return this.remoteVolNoArray;
  }

  public void setRemoteVolNoArray(RemoteVolNoArray paramRemoteVolNoArray)
  {
    this.remoteVolNoArray = paramRemoteVolNoArray;
  }

  public RemoteVolNoFabric getRemoteVolNoFabric()
  {
    return this.remoteVolNoFabric;
  }

  public void setRemoteVolNoFabric(RemoteVolNoFabric paramRemoteVolNoFabric)
  {
    this.remoteVolNoFabric = paramRemoteVolNoFabric;
  }

  public RemoteVolWWNChangeFailed getRemoteVolWWNChangeFailed()
  {
    return this.remoteVolWWNChangeFailed;
  }

  public void setRemoteVolWWNChangeFailed(RemoteVolWWNChangeFailed paramRemoteVolWWNChangeFailed)
  {
    this.remoteVolWWNChangeFailed = paramRemoteVolWWNChangeFailed;
  }

  public ComponentRef getFanStatUnknown()
  {
    return this.fanStatUnknown;
  }

  public void setFanStatUnknown(ComponentRef paramComponentRef)
  {
    this.fanStatUnknown = paramComponentRef;
  }

  public ComponentRef getPowerSupplyStatUnknown()
  {
    return this.powerSupplyStatUnknown;
  }

  public void setPowerSupplyStatUnknown(ComponentRef paramComponentRef)
  {
    this.powerSupplyStatUnknown = paramComponentRef;
  }

  public ComponentRef getEsmStatUnknown()
  {
    return this.esmStatUnknown;
  }

  public void setEsmStatUnknown(ComponentRef paramComponentRef)
  {
    this.esmStatUnknown = paramComponentRef;
  }

  public ComponentRef getTempSensorStatUnknown()
  {
    return this.tempSensorStatUnknown;
  }

  public void setTempSensorStatUnknown(ComponentRef paramComponentRef)
  {
    this.tempSensorStatUnknown = paramComponentRef;
  }

  public ComponentRef getTransceiverModuleStatUnknown()
  {
    return this.transceiverModuleStatUnknown;
  }

  public void setTransceiverModuleStatUnknown(ComponentRef paramComponentRef)
  {
    this.transceiverModuleStatUnknown = paramComponentRef;
  }

  public DriveRef getSpeedMismatchDrive()
  {
    return this.speedMismatchDrive;
  }

  public void setSpeedMismatchDrive(DriveRef paramDriveRef)
  {
    this.speedMismatchDrive = paramDriveRef;
  }

  public DriveRef getDrvBypassCauseUnknown()
  {
    return this.drvBypassCauseUnknown;
  }

  public void setDrvBypassCauseUnknown(DriveRef paramDriveRef)
  {
    this.drvBypassCauseUnknown = paramDriveRef;
  }

  public ComponentRef getMinihubRef()
  {
    return this.minihubRef;
  }

  public void setMinihubRef(ComponentRef paramComponentRef)
  {
    this.minihubRef = paramComponentRef;
  }

  public ComponentRef getEsmRemoved()
  {
    return this.esmRemoved;
  }

  public void setEsmRemoved(ComponentRef paramComponentRef)
  {
    this.esmRemoved = paramComponentRef;
  }

  public ComponentRef getBatteryRemoved()
  {
    return this.batteryRemoved;
  }

  public void setBatteryRemoved(ComponentRef paramComponentRef)
  {
    this.batteryRemoved = paramComponentRef;
  }

  public ControllerRef getNonFruBatteryRemoved()
  {
    return this.nonFruBatteryRemoved;
  }

  public void setNonFruBatteryRemoved(ControllerRef paramControllerRef)
  {
    this.nonFruBatteryRemoved = paramControllerRef;
  }

  public VolumeCopyRef getFailedVolumeCopy()
  {
    return this.failedVolumeCopy;
  }

  public void setFailedVolumeCopy(VolumeCopyRef paramVolumeCopyRef)
  {
    this.failedVolumeCopy = paramVolumeCopyRef;
  }

  public PremiumFeature getVolcopyFeature()
  {
    return this.volcopyFeature;
  }

  public void setVolcopyFeature(PremiumFeature paramPremiumFeature)
  {
    this.volcopyFeature = paramPremiumFeature;
  }

  public ChannelDegradedFailure getChannelDegradedFailure()
  {
    return this.channelDegradedFailure;
  }

  public void setChannelDegradedFailure(ChannelDegradedFailure paramChannelDegradedFailure)
  {
    this.channelDegradedFailure = paramChannelDegradedFailure;
  }

  public TrayRef getUnsupportedTray()
  {
    return this.unsupportedTray;
  }

  public void setUnsupportedTray(TrayRef paramTrayRef)
  {
    this.unsupportedTray = paramTrayRef;
  }

  public SpeedNegError getSpeedNegError()
  {
    return this.speedNegError;
  }

  public void setSpeedNegError(SpeedNegError paramSpeedNegError)
  {
    this.speedNegError = paramSpeedNegError;
  }

  public UsmError getUsmDbFullError()
  {
    return this.usmDbFullError;
  }

  public void setUsmDbFullError(UsmError paramUsmError)
  {
    this.usmDbFullError = paramUsmError;
  }

  public UsmError getUsmExistError()
  {
    return this.usmExistError;
  }

  public void setUsmExistError(UsmError paramUsmError)
  {
    this.usmExistError = paramUsmError;
  }

  public PathDegradedFailure getPathDegradedFailure()
  {
    return this.pathDegradedFailure;
  }

  public void setPathDegradedFailure(PathDegradedFailure paramPathDegradedFailure)
  {
    this.pathDegradedFailure = paramPathDegradedFailure;
  }

  public PremiumFeature getMixeddrivetypesFeature()
  {
    return this.mixeddrivetypesFeature;
  }

  public void setMixeddrivetypesFeature(PremiumFeature paramPremiumFeature)
  {
    this.mixeddrivetypesFeature = paramPremiumFeature;
  }

  public PremiumFeature getGoldkeyFeature()
  {
    return this.goldkeyFeature;
  }

  public void setGoldkeyFeature(PremiumFeature paramPremiumFeature)
  {
    this.goldkeyFeature = paramPremiumFeature;
  }

  public ControllerRef getNetworkSetupError()
  {
    return this.networkSetupError;
  }

  public void setNetworkSetupError(ControllerRef paramControllerRef)
  {
    this.networkSetupError = paramControllerRef;
  }

  public ControllerRef getCtlMismatch()
  {
    return this.ctlMismatch;
  }

  public void setCtlMismatch(ControllerRef paramControllerRef)
  {
    this.ctlMismatch = paramControllerRef;
  }

  public ControllerRef getDiscreteLineFail()
  {
    return this.discreteLineFail;
  }

  public void setDiscreteLineFail(ControllerRef paramControllerRef)
  {
    this.discreteLineFail = paramControllerRef;
  }

  public ChannelFailedFailure getChannelFailedFailure()
  {
    return this.channelFailedFailure;
  }

  public void setChannelFailedFailure(ChannelFailedFailure paramChannelFailedFailure)
  {
    this.channelFailedFailure = paramChannelFailedFailure;
  }

  public LinkSpeedDetectionError getLinkSpeedDetectionError()
  {
    return this.linkSpeedDetectionError;
  }

  public void setLinkSpeedDetectionError(LinkSpeedDetectionError paramLinkSpeedDetectionError)
  {
    this.linkSpeedDetectionError = paramLinkSpeedDetectionError;
  }

  public ComponentRef getEsmUncertified()
  {
    return this.esmUncertified;
  }

  public void setEsmUncertified(ComponentRef paramComponentRef)
  {
    this.esmUncertified = paramComponentRef;
  }

  public ComponentRef getFanRemoved()
  {
    return this.fanRemoved;
  }

  public void setFanRemoved(ComponentRef paramComponentRef)
  {
    this.fanRemoved = paramComponentRef;
  }

  public ComponentRef getPowerSupplyRemoved()
  {
    return this.powerSupplyRemoved;
  }

  public void setPowerSupplyRemoved(ComponentRef paramComponentRef)
  {
    this.powerSupplyRemoved = paramComponentRef;
  }

  public ComponentRef getTempSensorRemoved()
  {
    return this.tempSensorRemoved;
  }

  public void setTempSensorRemoved(ComponentRef paramComponentRef)
  {
    this.tempSensorRemoved = paramComponentRef;
  }

  public ComponentRef getIccCruRemoved()
  {
    return this.iccCruRemoved;
  }

  public void setIccCruRemoved(ComponentRef paramComponentRef)
  {
    this.iccCruRemoved = paramComponentRef;
  }

  public ComponentRef getSupportCruRemoved()
  {
    return this.supportCruRemoved;
  }

  public void setSupportCruRemoved(ComponentRef paramComponentRef)
  {
    this.supportCruRemoved = paramComponentRef;
  }

  public ComponentRef getIccCruFail()
  {
    return this.iccCruFail;
  }

  public void setIccCruFail(ComponentRef paramComponentRef)
  {
    this.iccCruFail = paramComponentRef;
  }

  public ComponentRef getSupportCruFail()
  {
    return this.supportCruFail;
  }

  public void setSupportCruFail(ComponentRef paramComponentRef)
  {
    this.supportCruFail = paramComponentRef;
  }

  public ComponentRef getBatteryStatUnknown()
  {
    return this.batteryStatUnknown;
  }

  public void setBatteryStatUnknown(ComponentRef paramComponentRef)
  {
    this.batteryStatUnknown = paramComponentRef;
  }

  public TrayRefList getDriveTraysNotGroupedTogether()
  {
    return this.driveTraysNotGroupedTogether;
  }

  public void setDriveTraysNotGroupedTogether(TrayRefList paramTrayRefList)
  {
    this.driveTraysNotGroupedTogether = paramTrayRefList;
  }

  public ControllerMiswireError getCtlMiswire()
  {
    return this.ctlMiswire;
  }

  public void setCtlMiswire(ControllerMiswireError paramControllerMiswireError)
  {
    this.ctlMiswire = paramControllerMiswireError;
  }

  public ControllerRef getSubmodelNotSupported()
  {
    return this.submodelNotSupported;
  }

  public void setSubmodelNotSupported(ControllerRef paramControllerRef)
  {
    this.submodelNotSupported = paramControllerRef;
  }

  public ControllerRef getSubmodelNotSet()
  {
    return this.submodelNotSet;
  }

  public void setSubmodelNotSet(ControllerRef paramControllerRef)
  {
    this.submodelNotSet = paramControllerRef;
  }

  public ControllerRef getSubmodelMismatch()
  {
    return this.submodelMismatch;
  }

  public void setSubmodelMismatch(ControllerRef paramControllerRef)
  {
    this.submodelMismatch = paramControllerRef;
  }

  public ComponentRef getSupportCruNoInput()
  {
    return this.supportCruNoInput;
  }

  public void setSupportCruNoInput(ComponentRef paramComponentRef)
  {
    this.supportCruNoInput = paramComponentRef;
  }

  public BatteryPackICCFailure getBatterySystemFail()
  {
    return this.batterySystemFail;
  }

  public void setBatterySystemFail(BatteryPackICCFailure paramBatteryPackICCFailure)
  {
    this.batterySystemFail = paramBatteryPackICCFailure;
  }

  public ComponentRef getBatteryPackRemoved()
  {
    return this.batteryPackRemoved;
  }

  public void setBatteryPackRemoved(ComponentRef paramComponentRef)
  {
    this.batteryPackRemoved = paramComponentRef;
  }

  public ComponentRef getBatteryConfigMismatch()
  {
    return this.batteryConfigMismatch;
  }

  public void setBatteryConfigMismatch(ComponentRef paramComponentRef)
  {
    this.batteryConfigMismatch = paramComponentRef;
  }

  public TrayRef getTrayHardwareMismatch()
  {
    return this.trayHardwareMismatch;
  }

  public void setTrayHardwareMismatch(TrayRef paramTrayRef)
  {
    this.trayHardwareMismatch = paramTrayRef;
  }

  public ComponentRef getFailedHostBoard()
  {
    return this.failedHostBoard;
  }

  public void setFailedHostBoard(ComponentRef paramComponentRef)
  {
    this.failedHostBoard = paramComponentRef;
  }

  public DriveRef getReplacedDriveWrongType()
  {
    return this.replacedDriveWrongType;
  }

  public void setReplacedDriveWrongType(DriveRef paramDriveRef)
  {
    this.replacedDriveWrongType = paramDriveRef;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.recFailureType.xdrEncode(paramXDROutputStream);
    switch (this.recFailureType.getValue())
    {
    case 1:
      this.fanFail.xdrEncode(paramXDROutputStream);
      break;
    case 2:
      this.powerSupplyFail.xdrEncode(paramXDROutputStream);
      break;
    case 3:
      this.miniHubFail.xdrEncode(paramXDROutputStream);
      break;
    case 4:
      this.esmFail.xdrEncode(paramXDROutputStream);
      break;
    case 5:
      this.batteryWarn.xdrEncode(paramXDROutputStream);
      break;
    case 6:
      this.batteryFail.xdrEncode(paramXDROutputStream);
      break;
    case 7:
      this.nominalTempWarn.xdrEncode(paramXDROutputStream);
      break;
    case 8:
      this.maxTempWarn.xdrEncode(paramXDROutputStream);
      break;
    case 9:
      this.upsOnBattery.xdrEncode(paramXDROutputStream);
      break;
    case 10:
      this.nonPreferredPath.xdrEncode(paramXDROutputStream);
      break;
    case 11:
      this.memParityError.xdrEncode(paramXDROutputStream);
      break;
    case 12:
      this.chFail.xdrEncode(paramXDROutputStream);
      break;
    case 13:
      this.volDegraded.xdrEncode(paramXDROutputStream);
      break;
    case 14:
      this.volFailInterruptedWrite.xdrEncode(paramXDROutputStream);
      break;
    case 15:
      this.volFailDuringModify.xdrEncode(paramXDROutputStream);
      break;
    case 17:
      this.volFail.xdrEncode(paramXDROutputStream);
      break;
    case 18:
      this.volFailMultiRaid.xdrEncode(paramXDROutputStream);
      break;
    case 16:
      this.volFailDuringModifyMultiRaid.xdrEncode(paramXDROutputStream);
      break;
    case 19:
      this.volImpaired.xdrEncode(paramXDROutputStream);
      break;
    case 20:
      this.volFailAwaitingInit.xdrEncode(paramXDROutputStream);
      break;
    case 21:
      this.volHotSpareInUse.xdrEncode(paramXDROutputStream);
      break;
    case 22:
      this.volGroupOffline.xdrEncode(paramXDROutputStream);
      break;
    case 23:
      this.driveFail.xdrEncode(paramXDROutputStream);
      break;
    case 24:
      this.driveFailImpendingHigh.xdrEncode(paramXDROutputStream);
      break;
    case 25:
      this.driveFailImpendingMed.xdrEncode(paramXDROutputStream);
      break;
    case 26:
      this.driveFailImpendingLow.xdrEncode(paramXDROutputStream);
      break;
    case 27:
      this.driveUncertified.xdrEncode(paramXDROutputStream);
      break;
    case 28:
      this.offlineCtl.xdrEncode(paramXDROutputStream);
      break;
    case 29:
      this.passiveCtl.xdrEncode(paramXDROutputStream);
      break;
    case 30:
      this.spmFeature.xdrEncode(paramXDROutputStream);
      break;
    case 31:
      this.trayCodeMismatch.xdrEncode(paramXDROutputStream);
      break;
    case 46:
      this.esmMiswire.xdrEncode(paramXDROutputStream);
      break;
    case 32:
      this.driveRedundancyFailure.xdrEncode(paramXDROutputStream);
      break;
    case 33:
      this.trayRedundancyFailure.xdrEncode(paramXDROutputStream);
      break;
    case 34:
      this.esmRedundancyFailure.xdrEncode(paramXDROutputStream);
      break;
    case 35:
      this.trayIDMismatch.xdrEncode(paramXDROutputStream);
      break;
    case 36:
      this.trayIDConflicts.xdrEncode(paramXDROutputStream);
      break;
    case 37:
      this.transceiverModuleFailed.xdrEncode(paramXDROutputStream);
      break;
    case 38:
      this.chanMiswire.xdrEncode(paramXDROutputStream);
      break;
    case 39:
      this.nonFruBatteryWarn.xdrEncode(paramXDROutputStream);
      break;
    case 40:
      this.nonFruBatteryFail.xdrEncode(paramXDROutputStream);
      break;
    case 41:
      this.rpaParityError.xdrEncode(paramXDROutputStream);
      break;
    case 43:
      this.repositoryFull.xdrEncode(paramXDROutputStream);
      break;
    case 42:
      this.repositoryOverThreshold.xdrEncode(paramXDROutputStream);
      break;
    case 44:
      this.snapFail.xdrEncode(paramXDROutputStream);
      break;
    case 47:
      this.ghostVolume.xdrEncode(paramXDROutputStream);
      break;
    case 45:
      this.miniHubUnsupported.xdrEncode(paramXDROutputStream);
      break;
    case 48:
      this.snapshotFeature.xdrEncode(paramXDROutputStream);
      break;
    case 49:
      this.rvmFeature.xdrEncode(paramXDROutputStream);
      break;
    case 50:
      this.metadataOffline.xdrEncode(paramXDROutputStream);
      break;
    case 51:
      this.dualMirrorPrimary.xdrEncode(paramXDROutputStream);
      break;
    case 52:
      this.dualMirrorSecondary.xdrEncode(paramXDROutputStream);
      break;
    case 53:
      this.mirrorUnsynchronized.xdrEncode(paramXDROutputStream);
      break;
    case 54:
      this.remoteVolNoLUN.xdrEncode(paramXDROutputStream);
      break;
    case 55:
      this.remoteVolNoArray.xdrEncode(paramXDROutputStream);
      break;
    case 56:
      this.remoteVolNoFabric.xdrEncode(paramXDROutputStream);
      break;
    case 57:
      this.remoteVolWWNChangeFailed.xdrEncode(paramXDROutputStream);
      break;
    case 58:
      this.fanStatUnknown.xdrEncode(paramXDROutputStream);
      break;
    case 59:
      this.powerSupplyStatUnknown.xdrEncode(paramXDROutputStream);
      break;
    case 60:
      this.esmStatUnknown.xdrEncode(paramXDROutputStream);
      break;
    case 61:
      this.tempSensorStatUnknown.xdrEncode(paramXDROutputStream);
      break;
    case 62:
      this.transceiverModuleStatUnknown.xdrEncode(paramXDROutputStream);
      break;
    case 63:
      this.speedMismatchDrive.xdrEncode(paramXDROutputStream);
      break;
    case 64:
      this.drvBypassCauseUnknown.xdrEncode(paramXDROutputStream);
      break;
    case 65:
      this.minihubRef.xdrEncode(paramXDROutputStream);
      break;
    case 66:
      this.esmRemoved.xdrEncode(paramXDROutputStream);
      break;
    case 67:
      this.batteryRemoved.xdrEncode(paramXDROutputStream);
      break;
    case 68:
      this.nonFruBatteryRemoved.xdrEncode(paramXDROutputStream);
      break;
    case 69:
      this.failedVolumeCopy.xdrEncode(paramXDROutputStream);
      break;
    case 70:
      this.volcopyFeature.xdrEncode(paramXDROutputStream);
      break;
    case 71:
      this.channelDegradedFailure.xdrEncode(paramXDROutputStream);
      break;
    case 72:
      this.unsupportedTray.xdrEncode(paramXDROutputStream);
      break;
    case 73:
      this.speedNegError.xdrEncode(paramXDROutputStream);
      break;
    case 74:
      this.usmDbFullError.xdrEncode(paramXDROutputStream);
      break;
    case 75:
      this.usmExistError.xdrEncode(paramXDROutputStream);
      break;
    case 76:
      this.pathDegradedFailure.xdrEncode(paramXDROutputStream);
      break;
    case 78:
      this.mixeddrivetypesFeature.xdrEncode(paramXDROutputStream);
      break;
    case 93:
      this.goldkeyFeature.xdrEncode(paramXDROutputStream);
      break;
    case 94:
      break;
    case 95:
      break;
    case 77:
      this.networkSetupError.xdrEncode(paramXDROutputStream);
      break;
    case 79:
      this.ctlMismatch.xdrEncode(paramXDROutputStream);
      break;
    case 80:
      this.discreteLineFail.xdrEncode(paramXDROutputStream);
      break;
    case 81:
      this.channelFailedFailure.xdrEncode(paramXDROutputStream);
      break;
    case 82:
      this.linkSpeedDetectionError.xdrEncode(paramXDROutputStream);
      break;
    case 83:
      this.esmUncertified.xdrEncode(paramXDROutputStream);
      break;
    case 84:
      this.fanRemoved.xdrEncode(paramXDROutputStream);
      break;
    case 85:
      this.powerSupplyRemoved.xdrEncode(paramXDROutputStream);
      break;
    case 86:
      this.tempSensorRemoved.xdrEncode(paramXDROutputStream);
      break;
    case 87:
      this.iccCruRemoved.xdrEncode(paramXDROutputStream);
      break;
    case 88:
      this.supportCruRemoved.xdrEncode(paramXDROutputStream);
      break;
    case 89:
      this.iccCruFail.xdrEncode(paramXDROutputStream);
      break;
    case 90:
      this.supportCruFail.xdrEncode(paramXDROutputStream);
      break;
    case 91:
      this.batteryStatUnknown.xdrEncode(paramXDROutputStream);
      break;
    case 92:
      this.driveTraysNotGroupedTogether.xdrEncode(paramXDROutputStream);
      break;
    case 96:
      this.ctlMiswire.xdrEncode(paramXDROutputStream);
      break;
    case 98:
      this.submodelNotSupported.xdrEncode(paramXDROutputStream);
      break;
    case 99:
      this.submodelNotSet.xdrEncode(paramXDROutputStream);
      break;
    case 100:
      this.submodelMismatch.xdrEncode(paramXDROutputStream);
      break;
    case 97:
      this.supportCruNoInput.xdrEncode(paramXDROutputStream);
      break;
    case 101:
      this.batterySystemFail.xdrEncode(paramXDROutputStream);
      break;
    case 102:
      this.batteryPackRemoved.xdrEncode(paramXDROutputStream);
      break;
    case 103:
      this.batteryConfigMismatch.xdrEncode(paramXDROutputStream);
      break;
    case 104:
      this.trayHardwareMismatch.xdrEncode(paramXDROutputStream);
      break;
    case 105:
      this.failedHostBoard.xdrEncode(paramXDROutputStream);
      break;
    case 106:
      break;
    case 107:
      this.replacedDriveWrongType.xdrEncode(paramXDROutputStream);
      break;
    }
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    this.recFailureType.xdrDecode(paramXDRInputStream);
    switch (this.recFailureType.getValue())
    {
    case 1:
      this.fanFail.xdrDecode(paramXDRInputStream);
      break;
    case 2:
      this.powerSupplyFail.xdrDecode(paramXDRInputStream);
      break;
    case 3:
      this.miniHubFail.xdrDecode(paramXDRInputStream);
      break;
    case 4:
      this.esmFail.xdrDecode(paramXDRInputStream);
      break;
    case 5:
      this.batteryWarn.xdrDecode(paramXDRInputStream);
      break;
    case 6:
      this.batteryFail.xdrDecode(paramXDRInputStream);
      break;
    case 7:
      this.nominalTempWarn.xdrDecode(paramXDRInputStream);
      break;
    case 8:
      this.maxTempWarn.xdrDecode(paramXDRInputStream);
      break;
    case 9:
      this.upsOnBattery.xdrDecode(paramXDRInputStream);
      break;
    case 10:
      this.nonPreferredPath.xdrDecode(paramXDRInputStream);
      break;
    case 11:
      this.memParityError.xdrDecode(paramXDRInputStream);
      break;
    case 12:
      this.chFail.xdrDecode(paramXDRInputStream);
      break;
    case 13:
      this.volDegraded.xdrDecode(paramXDRInputStream);
      break;
    case 14:
      this.volFailInterruptedWrite.xdrDecode(paramXDRInputStream);
      break;
    case 15:
      this.volFailDuringModify.xdrDecode(paramXDRInputStream);
      break;
    case 17:
      this.volFail.xdrDecode(paramXDRInputStream);
      break;
    case 18:
      this.volFailMultiRaid.xdrDecode(paramXDRInputStream);
      break;
    case 16:
      this.volFailDuringModifyMultiRaid.xdrDecode(paramXDRInputStream);
      break;
    case 19:
      this.volImpaired.xdrDecode(paramXDRInputStream);
      break;
    case 20:
      this.volFailAwaitingInit.xdrDecode(paramXDRInputStream);
      break;
    case 21:
      this.volHotSpareInUse.xdrDecode(paramXDRInputStream);
      break;
    case 22:
      this.volGroupOffline.xdrDecode(paramXDRInputStream);
      break;
    case 23:
      this.driveFail.xdrDecode(paramXDRInputStream);
      break;
    case 24:
      this.driveFailImpendingHigh.xdrDecode(paramXDRInputStream);
      break;
    case 25:
      this.driveFailImpendingMed.xdrDecode(paramXDRInputStream);
      break;
    case 26:
      this.driveFailImpendingLow.xdrDecode(paramXDRInputStream);
      break;
    case 27:
      this.driveUncertified.xdrDecode(paramXDRInputStream);
      break;
    case 28:
      this.offlineCtl.xdrDecode(paramXDRInputStream);
      break;
    case 29:
      this.passiveCtl.xdrDecode(paramXDRInputStream);
      break;
    case 30:
      this.spmFeature.xdrDecode(paramXDRInputStream);
      break;
    case 31:
      this.trayCodeMismatch.xdrDecode(paramXDRInputStream);
      break;
    case 46:
      this.esmMiswire.xdrDecode(paramXDRInputStream);
      break;
    case 32:
      this.driveRedundancyFailure.xdrDecode(paramXDRInputStream);
      break;
    case 33:
      this.trayRedundancyFailure.xdrDecode(paramXDRInputStream);
      break;
    case 34:
      this.esmRedundancyFailure.xdrDecode(paramXDRInputStream);
      break;
    case 35:
      this.trayIDMismatch.xdrDecode(paramXDRInputStream);
      break;
    case 36:
      this.trayIDConflicts.xdrDecode(paramXDRInputStream);
      break;
    case 37:
      this.transceiverModuleFailed.xdrDecode(paramXDRInputStream);
      break;
    case 38:
      this.chanMiswire.xdrDecode(paramXDRInputStream);
      break;
    case 39:
      this.nonFruBatteryWarn.xdrDecode(paramXDRInputStream);
      break;
    case 40:
      this.nonFruBatteryFail.xdrDecode(paramXDRInputStream);
      break;
    case 41:
      this.rpaParityError.xdrDecode(paramXDRInputStream);
      break;
    case 43:
      this.repositoryFull.xdrDecode(paramXDRInputStream);
      break;
    case 42:
      this.repositoryOverThreshold.xdrDecode(paramXDRInputStream);
      break;
    case 44:
      this.snapFail.xdrDecode(paramXDRInputStream);
      break;
    case 47:
      this.ghostVolume.xdrDecode(paramXDRInputStream);
      break;
    case 45:
      this.miniHubUnsupported.xdrDecode(paramXDRInputStream);
      break;
    case 48:
      this.snapshotFeature.xdrDecode(paramXDRInputStream);
      break;
    case 49:
      this.rvmFeature.xdrDecode(paramXDRInputStream);
      break;
    case 50:
      this.metadataOffline.xdrDecode(paramXDRInputStream);
      break;
    case 51:
      this.dualMirrorPrimary.xdrDecode(paramXDRInputStream);
      break;
    case 52:
      this.dualMirrorSecondary.xdrDecode(paramXDRInputStream);
      break;
    case 53:
      this.mirrorUnsynchronized.xdrDecode(paramXDRInputStream);
      break;
    case 54:
      this.remoteVolNoLUN.xdrDecode(paramXDRInputStream);
      break;
    case 55:
      this.remoteVolNoArray.xdrDecode(paramXDRInputStream);
      break;
    case 56:
      this.remoteVolNoFabric.xdrDecode(paramXDRInputStream);
      break;
    case 57:
      this.remoteVolWWNChangeFailed.xdrDecode(paramXDRInputStream);
      break;
    case 58:
      this.fanStatUnknown.xdrDecode(paramXDRInputStream);
      break;
    case 59:
      this.powerSupplyStatUnknown.xdrDecode(paramXDRInputStream);
      break;
    case 60:
      this.esmStatUnknown.xdrDecode(paramXDRInputStream);
      break;
    case 61:
      this.tempSensorStatUnknown.xdrDecode(paramXDRInputStream);
      break;
    case 62:
      this.transceiverModuleStatUnknown.xdrDecode(paramXDRInputStream);
      break;
    case 63:
      this.speedMismatchDrive.xdrDecode(paramXDRInputStream);
      break;
    case 64:
      this.drvBypassCauseUnknown.xdrDecode(paramXDRInputStream);
      break;
    case 65:
      this.minihubRef.xdrDecode(paramXDRInputStream);
      break;
    case 66:
      this.esmRemoved.xdrDecode(paramXDRInputStream);
      break;
    case 67:
      this.batteryRemoved.xdrDecode(paramXDRInputStream);
      break;
    case 68:
      this.nonFruBatteryRemoved.xdrDecode(paramXDRInputStream);
      break;
    case 69:
      this.failedVolumeCopy.xdrDecode(paramXDRInputStream);
      break;
    case 70:
      this.volcopyFeature.xdrDecode(paramXDRInputStream);
      break;
    case 71:
      this.channelDegradedFailure.xdrDecode(paramXDRInputStream);
      break;
    case 72:
      this.unsupportedTray.xdrDecode(paramXDRInputStream);
      break;
    case 73:
      this.speedNegError.xdrDecode(paramXDRInputStream);
      break;
    case 74:
      this.usmDbFullError.xdrDecode(paramXDRInputStream);
      break;
    case 75:
      this.usmExistError.xdrDecode(paramXDRInputStream);
      break;
    case 76:
      this.pathDegradedFailure.xdrDecode(paramXDRInputStream);
      break;
    case 78:
      this.mixeddrivetypesFeature.xdrDecode(paramXDRInputStream);
      break;
    case 93:
      this.goldkeyFeature.xdrDecode(paramXDRInputStream);
      break;
    case 94:
      break;
    case 95:
      break;
    case 77:
      this.networkSetupError.xdrDecode(paramXDRInputStream);
      break;
    case 79:
      this.ctlMismatch.xdrDecode(paramXDRInputStream);
      break;
    case 80:
      this.discreteLineFail.xdrDecode(paramXDRInputStream);
      break;
    case 81:
      this.channelFailedFailure.xdrDecode(paramXDRInputStream);
      break;
    case 82:
      this.linkSpeedDetectionError.xdrDecode(paramXDRInputStream);
      break;
    case 83:
      this.esmUncertified.xdrDecode(paramXDRInputStream);
      break;
    case 84:
      this.fanRemoved.xdrDecode(paramXDRInputStream);
      break;
    case 85:
      this.powerSupplyRemoved.xdrDecode(paramXDRInputStream);
      break;
    case 86:
      this.tempSensorRemoved.xdrDecode(paramXDRInputStream);
      break;
    case 87:
      this.iccCruRemoved.xdrDecode(paramXDRInputStream);
      break;
    case 88:
      this.supportCruRemoved.xdrDecode(paramXDRInputStream);
      break;
    case 89:
      this.iccCruFail.xdrDecode(paramXDRInputStream);
      break;
    case 90:
      this.supportCruFail.xdrDecode(paramXDRInputStream);
      break;
    case 91:
      this.batteryStatUnknown.xdrDecode(paramXDRInputStream);
      break;
    case 92:
      this.driveTraysNotGroupedTogether.xdrDecode(paramXDRInputStream);
      break;
    case 96:
      this.ctlMiswire.xdrDecode(paramXDRInputStream);
      break;
    case 98:
      this.submodelNotSupported.xdrDecode(paramXDRInputStream);
      break;
    case 99:
      this.submodelNotSet.xdrDecode(paramXDRInputStream);
      break;
    case 100:
      this.submodelMismatch.xdrDecode(paramXDRInputStream);
      break;
    case 97:
      this.supportCruNoInput.xdrDecode(paramXDRInputStream);
      break;
    case 101:
      this.batterySystemFail.xdrDecode(paramXDRInputStream);
      break;
    case 102:
      this.batteryPackRemoved.xdrDecode(paramXDRInputStream);
      break;
    case 103:
      this.batteryConfigMismatch.xdrDecode(paramXDRInputStream);
      break;
    case 104:
      this.trayHardwareMismatch.xdrDecode(paramXDRInputStream);
      break;
    case 105:
      this.failedHostBoard.xdrDecode(paramXDRInputStream);
      break;
    case 106:
      break;
    case 107:
      this.replacedDriveWrongType.xdrDecode(paramXDRInputStream);
      break;
    }
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}