package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class FailureTypeList
  implements XDRType, SYMbolAPIConstants
{
  private FailureTypeEntry[] failureList;

  public FailureTypeList()
  {
  }

  public FailureTypeList(FailureTypeList paramFailureTypeList)
  {
    this.failureList = paramFailureTypeList.failureList;
  }

  public FailureTypeEntry[] getFailureList()
  {
    return this.failureList;
  }

  public void setFailureList(FailureTypeEntry[] paramArrayOfFailureTypeEntry)
  {
    this.failureList = paramArrayOfFailureTypeEntry;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    int j = this.failureList == null ? 0 : this.failureList.length;
    paramXDROutputStream.putInt(j);
    for (int k = 0; k < j; k++)
      this.failureList[k].xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
    {
      int j = paramXDRInputStream.getInt();
      this.failureList = new FailureTypeEntry[j];
      for (int k = 0; k < j; k++)
      {
        this.failureList[k] = new FailureTypeEntry();
        this.failureList[k].xdrDecode(paramXDRInputStream);
      }
    }
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}