package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class Fan
  implements XDRType, SYMbolAPIConstants
{
  private ComponentRef fanRef = new ComponentRef();
  private FanStatus status = new FanStatus();
  private Location physicalLocation = new Location();
  private byte[] reserved1;
  private byte[] reserved2;
  private RTRAttributes rtrAttributes = new RTRAttributes();

  public Fan()
  {
  }

  public Fan(Fan paramFan)
  {
    this.fanRef = paramFan.fanRef;
    this.status = paramFan.status;
    this.physicalLocation = paramFan.physicalLocation;
    this.reserved1 = paramFan.reserved1;
    this.reserved2 = paramFan.reserved2;
    this.rtrAttributes = paramFan.rtrAttributes;
  }

  public ComponentRef getFanRef()
  {
    return this.fanRef;
  }

  public void setFanRef(ComponentRef paramComponentRef)
  {
    this.fanRef = paramComponentRef;
  }

  public FanStatus getStatus()
  {
    return this.status;
  }

  public void setStatus(FanStatus paramFanStatus)
  {
    this.status = paramFanStatus;
  }

  public Location getPhysicalLocation()
  {
    return this.physicalLocation;
  }

  public void setPhysicalLocation(Location paramLocation)
  {
    this.physicalLocation = paramLocation;
  }

  public byte[] getReserved1()
  {
    return this.reserved1;
  }

  public void setReserved1(byte[] paramArrayOfByte)
  {
    this.reserved1 = paramArrayOfByte;
  }

  public byte[] getReserved2()
  {
    return this.reserved2;
  }

  public void setReserved2(byte[] paramArrayOfByte)
  {
    this.reserved2 = paramArrayOfByte;
  }

  public RTRAttributes getRtrAttributes()
  {
    return this.rtrAttributes;
  }

  public void setRtrAttributes(RTRAttributes paramRTRAttributes)
  {
    this.rtrAttributes = paramRTRAttributes;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.fanRef.xdrEncode(paramXDROutputStream);
    this.status.xdrEncode(paramXDROutputStream);
    this.physicalLocation.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putFixedOpaque(this.reserved1, 8);
    paramXDROutputStream.putVariableOpaque(this.reserved2);
    this.rtrAttributes.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.fanRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.status.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.physicalLocation.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.reserved1 = paramXDRInputStream.getFixedOpaque(8);
    if (paramXDRInputStream.getPosition() < i)
      this.reserved2 = paramXDRInputStream.getVariableOpaque();
    if (paramXDRInputStream.getPosition() < i)
      this.rtrAttributes.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}