package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class Gbic
  implements XDRType, SYMbolAPIConstants
{
  private ComponentRef gbicRef = new ComponentRef();
  private GBICStatus status = new GBICStatus();
  private Location physicalLocation = new Location();
  private GBICType gbicType = new GBICType();
  private GBICPort gbicPort = new GBICPort();
  private GBICParentTypeData parentData = new GBICParentTypeData();
  private byte[] reserved1;
  private byte[] reserved2;

  public Gbic()
  {
  }

  public Gbic(Gbic paramGbic)
  {
    this.gbicRef = paramGbic.gbicRef;
    this.status = paramGbic.status;
    this.physicalLocation = paramGbic.physicalLocation;
    this.gbicType = paramGbic.gbicType;
    this.gbicPort = paramGbic.gbicPort;
    this.parentData = paramGbic.parentData;
    this.reserved1 = paramGbic.reserved1;
    this.reserved2 = paramGbic.reserved2;
  }

  public ComponentRef getGbicRef()
  {
    return this.gbicRef;
  }

  public void setGbicRef(ComponentRef paramComponentRef)
  {
    this.gbicRef = paramComponentRef;
  }

  public GBICStatus getStatus()
  {
    return this.status;
  }

  public void setStatus(GBICStatus paramGBICStatus)
  {
    this.status = paramGBICStatus;
  }

  public Location getPhysicalLocation()
  {
    return this.physicalLocation;
  }

  public void setPhysicalLocation(Location paramLocation)
  {
    this.physicalLocation = paramLocation;
  }

  public GBICType getGbicType()
  {
    return this.gbicType;
  }

  public void setGbicType(GBICType paramGBICType)
  {
    this.gbicType = paramGBICType;
  }

  public GBICPort getGbicPort()
  {
    return this.gbicPort;
  }

  public void setGbicPort(GBICPort paramGBICPort)
  {
    this.gbicPort = paramGBICPort;
  }

  public GBICParentTypeData getParentData()
  {
    return this.parentData;
  }

  public void setParentData(GBICParentTypeData paramGBICParentTypeData)
  {
    this.parentData = paramGBICParentTypeData;
  }

  public byte[] getReserved1()
  {
    return this.reserved1;
  }

  public void setReserved1(byte[] paramArrayOfByte)
  {
    this.reserved1 = paramArrayOfByte;
  }

  public byte[] getReserved2()
  {
    return this.reserved2;
  }

  public void setReserved2(byte[] paramArrayOfByte)
  {
    this.reserved2 = paramArrayOfByte;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.gbicRef.xdrEncode(paramXDROutputStream);
    this.status.xdrEncode(paramXDROutputStream);
    this.physicalLocation.xdrEncode(paramXDROutputStream);
    this.gbicType.xdrEncode(paramXDROutputStream);
    this.gbicPort.xdrEncode(paramXDROutputStream);
    this.parentData.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putFixedOpaque(this.reserved1, 8);
    paramXDROutputStream.putVariableOpaque(this.reserved2);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.gbicRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.status.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.physicalLocation.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.gbicType.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.gbicPort.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.parentData.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.reserved1 = paramXDRInputStream.getFixedOpaque(8);
    if (paramXDRInputStream.getPosition() < i)
      this.reserved2 = paramXDRInputStream.getVariableOpaque();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}