package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class GhostVolBundle
  implements XDRType, SYMbolAPIConstants
{
  private GhostVolume[] ghostVol;

  public GhostVolBundle()
  {
  }

  public GhostVolBundle(GhostVolBundle paramGhostVolBundle)
  {
    this.ghostVol = paramGhostVolBundle.ghostVol;
  }

  public GhostVolume[] getGhostVol()
  {
    return this.ghostVol;
  }

  public void setGhostVol(GhostVolume[] paramArrayOfGhostVolume)
  {
    this.ghostVol = paramArrayOfGhostVolume;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    int j = this.ghostVol == null ? 0 : this.ghostVol.length;
    paramXDROutputStream.putInt(j);
    for (int k = 0; k < j; k++)
      this.ghostVol[k].xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
    {
      int j = paramXDRInputStream.getInt();
      this.ghostVol = new GhostVolume[j];
      for (int k = 0; k < j; k++)
      {
        this.ghostVol[k] = new GhostVolume();
        this.ghostVol[k].xdrDecode(paramXDRInputStream);
      }
    }
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}