package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class HLVolumeBundle
  implements XDRType, SYMbolAPIConstants
{
  private SnapshotVolume[] snapshotVol;
  private MirrorProxyVolume[] mirrorVol;
  private MetadataVolume[] metadataVol;
  private RemoteVolume[] remoteVol;
  private VolumeCopy[] volumeCopy;

  public HLVolumeBundle()
  {
  }

  public HLVolumeBundle(HLVolumeBundle paramHLVolumeBundle)
  {
    this.snapshotVol = paramHLVolumeBundle.snapshotVol;
    this.mirrorVol = paramHLVolumeBundle.mirrorVol;
    this.metadataVol = paramHLVolumeBundle.metadataVol;
    this.remoteVol = paramHLVolumeBundle.remoteVol;
    this.volumeCopy = paramHLVolumeBundle.volumeCopy;
  }

  public SnapshotVolume[] getSnapshotVol()
  {
    return this.snapshotVol;
  }

  public void setSnapshotVol(SnapshotVolume[] paramArrayOfSnapshotVolume)
  {
    this.snapshotVol = paramArrayOfSnapshotVolume;
  }

  public MirrorProxyVolume[] getMirrorVol()
  {
    return this.mirrorVol;
  }

  public void setMirrorVol(MirrorProxyVolume[] paramArrayOfMirrorProxyVolume)
  {
    this.mirrorVol = paramArrayOfMirrorProxyVolume;
  }

  public MetadataVolume[] getMetadataVol()
  {
    return this.metadataVol;
  }

  public void setMetadataVol(MetadataVolume[] paramArrayOfMetadataVolume)
  {
    this.metadataVol = paramArrayOfMetadataVolume;
  }

  public RemoteVolume[] getRemoteVol()
  {
    return this.remoteVol;
  }

  public void setRemoteVol(RemoteVolume[] paramArrayOfRemoteVolume)
  {
    this.remoteVol = paramArrayOfRemoteVolume;
  }

  public VolumeCopy[] getVolumeCopy()
  {
    return this.volumeCopy;
  }

  public void setVolumeCopy(VolumeCopy[] paramArrayOfVolumeCopy)
  {
    this.volumeCopy = paramArrayOfVolumeCopy;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    int j = this.snapshotVol == null ? 0 : this.snapshotVol.length;
    paramXDROutputStream.putInt(j);
    for (int k = 0; k < j; k++)
      this.snapshotVol[k].xdrEncode(paramXDROutputStream);
    j = this.mirrorVol == null ? 0 : this.mirrorVol.length;
    paramXDROutputStream.putInt(j);
    for (k = 0; k < j; k++)
      this.mirrorVol[k].xdrEncode(paramXDROutputStream);
    j = this.metadataVol == null ? 0 : this.metadataVol.length;
    paramXDROutputStream.putInt(j);
    for (k = 0; k < j; k++)
      this.metadataVol[k].xdrEncode(paramXDROutputStream);
    j = this.remoteVol == null ? 0 : this.remoteVol.length;
    paramXDROutputStream.putInt(j);
    for (k = 0; k < j; k++)
      this.remoteVol[k].xdrEncode(paramXDROutputStream);
    j = this.volumeCopy == null ? 0 : this.volumeCopy.length;
    paramXDROutputStream.putInt(j);
    for (k = 0; k < j; k++)
      this.volumeCopy[k].xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    int j;
    int k;
    if (paramXDRInputStream.getPosition() < i)
    {
      j = paramXDRInputStream.getInt();
      this.snapshotVol = new SnapshotVolume[j];
      for (k = 0; k < j; k++)
      {
        this.snapshotVol[k] = new SnapshotVolume();
        this.snapshotVol[k].xdrDecode(paramXDRInputStream);
      }
    }
    if (paramXDRInputStream.getPosition() < i)
    {
      j = paramXDRInputStream.getInt();
      this.mirrorVol = new MirrorProxyVolume[j];
      for (k = 0; k < j; k++)
      {
        this.mirrorVol[k] = new MirrorProxyVolume();
        this.mirrorVol[k].xdrDecode(paramXDRInputStream);
      }
    }
    if (paramXDRInputStream.getPosition() < i)
    {
      j = paramXDRInputStream.getInt();
      this.metadataVol = new MetadataVolume[j];
      for (k = 0; k < j; k++)
      {
        this.metadataVol[k] = new MetadataVolume();
        this.metadataVol[k].xdrDecode(paramXDRInputStream);
      }
    }
    if (paramXDRInputStream.getPosition() < i)
    {
      j = paramXDRInputStream.getInt();
      this.remoteVol = new RemoteVolume[j];
      for (k = 0; k < j; k++)
      {
        this.remoteVol[k] = new RemoteVolume();
        this.remoteVol[k].xdrDecode(paramXDRInputStream);
      }
    }
    if (paramXDRInputStream.getPosition() < i)
    {
      j = paramXDRInputStream.getInt();
      this.volumeCopy = new VolumeCopy[j];
      for (k = 0; k < j; k++)
      {
        this.volumeCopy[k] = new VolumeCopy();
        this.volumeCopy[k].xdrDecode(paramXDRInputStream);
      }
    }
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}