package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class IOInterfaceTypeDataList
  implements XDRType, SYMbolAPIConstants
{
  private IOInterfaceTypeData[] interfaces;

  public IOInterfaceTypeDataList()
  {
  }

  public IOInterfaceTypeDataList(IOInterfaceTypeDataList paramIOInterfaceTypeDataList)
  {
    this.interfaces = paramIOInterfaceTypeDataList.interfaces;
  }

  public IOInterfaceTypeData[] getInterfaces()
  {
    return this.interfaces;
  }

  public void setInterfaces(IOInterfaceTypeData[] paramArrayOfIOInterfaceTypeData)
  {
    this.interfaces = paramArrayOfIOInterfaceTypeData;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    int j = this.interfaces == null ? 0 : this.interfaces.length;
    paramXDROutputStream.putInt(j);
    for (int k = 0; k < j; k++)
      this.interfaces[k].xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
    {
      int j = paramXDRInputStream.getInt();
      this.interfaces = new IOInterfaceTypeData[j];
      for (int k = 0; k < j; k++)
      {
        this.interfaces[k] = new IOInterfaceTypeData();
        this.interfaces[k].xdrDecode(paramXDRInputStream);
      }
    }
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}