package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class MetadataVolCreationDescriptor
  implements XDRType, SYMbolAPIConstants
{
  private MetadataVolType metadataVolType = new MetadataVolType();
  private UserAssignedLabel ctl0Label = new UserAssignedLabel();
  private UserAssignedLabel ctl1Label = new UserAssignedLabel();
  private VolumeCandidate candidate = new VolumeCandidate();

  public MetadataVolCreationDescriptor()
  {
  }

  public MetadataVolCreationDescriptor(MetadataVolCreationDescriptor paramMetadataVolCreationDescriptor)
  {
    this.metadataVolType = paramMetadataVolCreationDescriptor.metadataVolType;
    this.ctl0Label = paramMetadataVolCreationDescriptor.ctl0Label;
    this.ctl1Label = paramMetadataVolCreationDescriptor.ctl1Label;
    this.candidate = paramMetadataVolCreationDescriptor.candidate;
  }

  public MetadataVolType getMetadataVolType()
  {
    return this.metadataVolType;
  }

  public void setMetadataVolType(MetadataVolType paramMetadataVolType)
  {
    this.metadataVolType = paramMetadataVolType;
  }

  public UserAssignedLabel getCtl0Label()
  {
    return this.ctl0Label;
  }

  public void setCtl0Label(UserAssignedLabel paramUserAssignedLabel)
  {
    this.ctl0Label = paramUserAssignedLabel;
  }

  public UserAssignedLabel getCtl1Label()
  {
    return this.ctl1Label;
  }

  public void setCtl1Label(UserAssignedLabel paramUserAssignedLabel)
  {
    this.ctl1Label = paramUserAssignedLabel;
  }

  public VolumeCandidate getCandidate()
  {
    return this.candidate;
  }

  public void setCandidate(VolumeCandidate paramVolumeCandidate)
  {
    this.candidate = paramVolumeCandidate;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.metadataVolType.xdrEncode(paramXDROutputStream);
    this.ctl0Label.xdrEncode(paramXDROutputStream);
    this.ctl1Label.xdrEncode(paramXDROutputStream);
    this.candidate.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.metadataVolType.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.ctl0Label.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.ctl1Label.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.candidate.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}