package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class MetadataVolRefList
  implements XDRType, SYMbolAPIConstants
{
  private MetadataVolRef[] metadataVolRef;

  public MetadataVolRefList()
  {
  }

  public MetadataVolRefList(MetadataVolRefList paramMetadataVolRefList)
  {
    this.metadataVolRef = paramMetadataVolRefList.metadataVolRef;
  }

  public MetadataVolRef[] getMetadataVolRef()
  {
    return this.metadataVolRef;
  }

  public void setMetadataVolRef(MetadataVolRef[] paramArrayOfMetadataVolRef)
  {
    this.metadataVolRef = paramArrayOfMetadataVolRef;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    int j = this.metadataVolRef == null ? 0 : this.metadataVolRef.length;
    paramXDROutputStream.putInt(j);
    for (int k = 0; k < j; k++)
      this.metadataVolRef[k].xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
    {
      int j = paramXDRInputStream.getInt();
      this.metadataVolRef = new MetadataVolRef[j];
      for (int k = 0; k < j; k++)
      {
        this.metadataVolRef[k] = new MetadataVolRef();
        this.metadataVolRef[k].xdrDecode(paramXDRInputStream);
      }
    }
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}