package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class MgmtClientRecordReadResult
  implements XDRType, SYMbolAPIConstants
{
  private ReturnCode retCode = new ReturnCode();
  private MgmtClientRecord[] records;

  public MgmtClientRecordReadResult()
  {
  }

  public MgmtClientRecordReadResult(MgmtClientRecordReadResult paramMgmtClientRecordReadResult)
  {
    this.retCode = paramMgmtClientRecordReadResult.retCode;
    this.records = paramMgmtClientRecordReadResult.records;
  }

  public ReturnCode getRetCode()
  {
    return this.retCode;
  }

  public void setRetCode(ReturnCode paramReturnCode)
  {
    this.retCode = paramReturnCode;
  }

  public MgmtClientRecord[] getRecords()
  {
    return this.records;
  }

  public void setRecords(MgmtClientRecord[] paramArrayOfMgmtClientRecord)
  {
    this.records = paramArrayOfMgmtClientRecord;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.retCode.xdrEncode(paramXDROutputStream);
    int j = this.records == null ? 0 : this.records.length;
    paramXDROutputStream.putInt(j);
    for (int k = 0; k < j; k++)
      this.records[k].xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.retCode.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
    {
      int j = paramXDRInputStream.getInt();
      this.records = new MgmtClientRecord[j];
      for (int k = 0; k < j; k++)
      {
        this.records[k] = new MgmtClientRecord();
        this.records[k].xdrDecode(paramXDRInputStream);
      }
    }
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}