package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class MinihubTypeData
  implements XDRType, SYMbolAPIConstants
{
  private MinihubType minihubType = new MinihubType();
  private ControllerRef parentController = new ControllerRef();

  public MinihubTypeData()
  {
  }

  public MinihubTypeData(MinihubTypeData paramMinihubTypeData)
  {
    this.parentController = paramMinihubTypeData.parentController;
  }

  public MinihubType getMinihubType()
  {
    return this.minihubType;
  }

  public void setMinihubType(MinihubType paramMinihubType)
  {
    this.minihubType = paramMinihubType;
  }

  public ControllerRef getParentController()
  {
    return this.parentController;
  }

  public void setParentController(ControllerRef paramControllerRef)
  {
    this.parentController = paramControllerRef;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.minihubType.xdrEncode(paramXDROutputStream);
    switch (this.minihubType.getValue())
    {
    case 2:
      break;
    case 1:
      this.parentController.xdrEncode(paramXDROutputStream);
      break;
    }
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    this.minihubType.xdrDecode(paramXDRInputStream);
    switch (this.minihubType.getValue())
    {
    case 2:
      break;
    case 1:
      this.parentController.xdrDecode(paramXDRInputStream);
      break;
    }
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}