package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class MirrorWriteModeDescriptor
  implements XDRType, SYMbolAPIConstants
{
  private MirrorProxyRef mirrorProxy = new MirrorProxyRef();
  private MirrorProxyWriteMode writeMode = new MirrorProxyWriteMode();
  private ConsistencyGroupRef consistencyGroupRef = new ConsistencyGroupRef();

  public MirrorWriteModeDescriptor()
  {
  }

  public MirrorWriteModeDescriptor(MirrorWriteModeDescriptor paramMirrorWriteModeDescriptor)
  {
    this.mirrorProxy = paramMirrorWriteModeDescriptor.mirrorProxy;
    this.writeMode = paramMirrorWriteModeDescriptor.writeMode;
    this.consistencyGroupRef = paramMirrorWriteModeDescriptor.consistencyGroupRef;
  }

  public MirrorProxyRef getMirrorProxy()
  {
    return this.mirrorProxy;
  }

  public void setMirrorProxy(MirrorProxyRef paramMirrorProxyRef)
  {
    this.mirrorProxy = paramMirrorProxyRef;
  }

  public MirrorProxyWriteMode getWriteMode()
  {
    return this.writeMode;
  }

  public void setWriteMode(MirrorProxyWriteMode paramMirrorProxyWriteMode)
  {
    this.writeMode = paramMirrorProxyWriteMode;
  }

  public ConsistencyGroupRef getConsistencyGroupRef()
  {
    return this.consistencyGroupRef;
  }

  public void setConsistencyGroupRef(ConsistencyGroupRef paramConsistencyGroupRef)
  {
    this.consistencyGroupRef = paramConsistencyGroupRef;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    this.mirrorProxy.xdrEncode(paramXDROutputStream);
    this.writeMode.xdrEncode(paramXDROutputStream);
    this.consistencyGroupRef.xdrEncode(paramXDROutputStream);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.mirrorProxy.xdrDecode(paramXDRInputStream);
    this.writeMode.xdrDecode(paramXDRInputStream);
    this.consistencyGroupRef.xdrDecode(paramXDRInputStream);
  }
}