package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class NotOnPreferredPath
  implements XDRType, SYMbolAPIConstants
{
  private ControllerRef preferredOwner = new ControllerRef();
  private AbstractVolRef[] volumes;

  public NotOnPreferredPath()
  {
  }

  public NotOnPreferredPath(NotOnPreferredPath paramNotOnPreferredPath)
  {
    this.preferredOwner = paramNotOnPreferredPath.preferredOwner;
    this.volumes = paramNotOnPreferredPath.volumes;
  }

  public ControllerRef getPreferredOwner()
  {
    return this.preferredOwner;
  }

  public void setPreferredOwner(ControllerRef paramControllerRef)
  {
    this.preferredOwner = paramControllerRef;
  }

  public AbstractVolRef[] getVolumes()
  {
    return this.volumes;
  }

  public void setVolumes(AbstractVolRef[] paramArrayOfAbstractVolRef)
  {
    this.volumes = paramArrayOfAbstractVolRef;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.preferredOwner.xdrEncode(paramXDROutputStream);
    int j = this.volumes == null ? 0 : this.volumes.length;
    paramXDROutputStream.putInt(j);
    for (int k = 0; k < j; k++)
      this.volumes[k].xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.preferredOwner.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
    {
      int j = paramXDRInputStream.getInt();
      this.volumes = new AbstractVolRef[j];
      for (int k = 0; k < j; k++)
      {
        this.volumes[k] = new AbstractVolRef();
        this.volumes[k].xdrDecode(paramXDRInputStream);
      }
    }
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}