package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class PRegistrantList
  implements XDRType, SYMbolAPIConstants
{
  private PRegistrant[] registrant;

  public PRegistrantList()
  {
  }

  public PRegistrantList(PRegistrantList paramPRegistrantList)
  {
    this.registrant = paramPRegistrantList.registrant;
  }

  public PRegistrant[] getRegistrant()
  {
    return this.registrant;
  }

  public void setRegistrant(PRegistrant[] paramArrayOfPRegistrant)
  {
    this.registrant = paramArrayOfPRegistrant;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    int j = this.registrant == null ? 0 : this.registrant.length;
    paramXDROutputStream.putInt(j);
    for (int k = 0; k < j; k++)
      this.registrant[k].xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
    {
      int j = paramXDRInputStream.getInt();
      this.registrant = new PRegistrant[j];
      for (int k = 0; k < j; k++)
      {
        this.registrant[k] = new PRegistrant();
        this.registrant[k].xdrDecode(paramXDRInputStream);
      }
    }
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}