package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class Port
  implements XDRType, SYMbolAPIConstants
{
  private PortStatus portStatus = new PortStatus();
  private PortType portType = new PortType();
  private byte[] reserved1;
  private byte[] reserved2;

  public Port()
  {
  }

  public Port(Port paramPort)
  {
    this.portStatus = paramPort.portStatus;
    this.portType = paramPort.portType;
    this.reserved1 = paramPort.reserved1;
    this.reserved2 = paramPort.reserved2;
  }

  public PortStatus getPortStatus()
  {
    return this.portStatus;
  }

  public void setPortStatus(PortStatus paramPortStatus)
  {
    this.portStatus = paramPortStatus;
  }

  public PortType getPortType()
  {
    return this.portType;
  }

  public void setPortType(PortType paramPortType)
  {
    this.portType = paramPortType;
  }

  public byte[] getReserved1()
  {
    return this.reserved1;
  }

  public void setReserved1(byte[] paramArrayOfByte)
  {
    this.reserved1 = paramArrayOfByte;
  }

  public byte[] getReserved2()
  {
    return this.reserved2;
  }

  public void setReserved2(byte[] paramArrayOfByte)
  {
    this.reserved2 = paramArrayOfByte;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.portStatus.xdrEncode(paramXDROutputStream);
    this.portType.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putFixedOpaque(this.reserved1, 8);
    paramXDROutputStream.putVariableOpaque(this.reserved2);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.portStatus.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.portType.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.reserved1 = paramXDRInputStream.getFixedOpaque(8);
    if (paramXDRInputStream.getPosition() < i)
      this.reserved2 = paramXDRInputStream.getVariableOpaque();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}