package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class RTRAttributes
  implements XDRType, SYMbolAPIConstants
{
  private CruType cruType = new CruType();
  private RTRAttributeData rtrAttributeData = new RTRAttributeData();

  public RTRAttributes()
  {
  }

  public RTRAttributes(RTRAttributes paramRTRAttributes)
  {
    this.rtrAttributeData = paramRTRAttributes.rtrAttributeData;
  }

  public CruType getCruType()
  {
    return this.cruType;
  }

  public void setCruType(CruType paramCruType)
  {
    this.cruType = paramCruType;
  }

  public RTRAttributeData getRtrAttributeData()
  {
    return this.rtrAttributeData;
  }

  public void setRtrAttributeData(RTRAttributeData paramRTRAttributeData)
  {
    this.rtrAttributeData = paramRTRAttributeData;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.cruType.xdrEncode(paramXDROutputStream);
    switch (this.cruType.getValue())
    {
    case 1:
      break;
    case 2:
      this.rtrAttributeData.xdrEncode(paramXDROutputStream);
      break;
    case 3:
      break;
    }
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    this.cruType.xdrDecode(paramXDRInputStream);
    switch (this.cruType.getValue())
    {
    case 1:
      break;
    case 2:
      this.rtrAttributeData.xdrDecode(paramXDRInputStream);
      break;
    case 3:
      break;
    }
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}