package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class RuntimeDiagResults
  implements XDRType, SYMbolAPIConstants
{
  private ReturnCode returnCode = new ReturnCode();
  private ReturnCode statusCode = new ReturnCode();
  private RuntimeDiagTestResults[] testResults;

  public RuntimeDiagResults()
  {
  }

  public RuntimeDiagResults(RuntimeDiagResults paramRuntimeDiagResults)
  {
    this.returnCode = paramRuntimeDiagResults.returnCode;
    this.statusCode = paramRuntimeDiagResults.statusCode;
    this.testResults = paramRuntimeDiagResults.testResults;
  }

  public ReturnCode getReturnCode()
  {
    return this.returnCode;
  }

  public void setReturnCode(ReturnCode paramReturnCode)
  {
    this.returnCode = paramReturnCode;
  }

  public ReturnCode getStatusCode()
  {
    return this.statusCode;
  }

  public void setStatusCode(ReturnCode paramReturnCode)
  {
    this.statusCode = paramReturnCode;
  }

  public RuntimeDiagTestResults[] getTestResults()
  {
    return this.testResults;
  }

  public void setTestResults(RuntimeDiagTestResults[] paramArrayOfRuntimeDiagTestResults)
  {
    this.testResults = paramArrayOfRuntimeDiagTestResults;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.returnCode.xdrEncode(paramXDROutputStream);
    this.statusCode.xdrEncode(paramXDROutputStream);
    for (int j = 0; j < 18; j++)
      this.testResults[j].xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.returnCode.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.statusCode.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
    {
      this.testResults = new RuntimeDiagTestResults[18];
      for (int j = 0; j < 18; j++)
      {
        this.testResults[j] = new RuntimeDiagTestResults();
        this.testResults[j].xdrDecode(paramXDRInputStream);
      }
    }
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}