package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class SYMbolRefPair
  implements XDRType, SYMbolAPIConstants
{
  private SYMbolRef itemRef = new SYMbolRef();
  private SYMbolRef containerRef = new SYMbolRef();

  public SYMbolRefPair()
  {
  }

  public SYMbolRefPair(SYMbolRefPair paramSYMbolRefPair)
  {
    this.itemRef = paramSYMbolRefPair.itemRef;
    this.containerRef = paramSYMbolRefPair.containerRef;
  }

  public SYMbolRef getItemRef()
  {
    return this.itemRef;
  }

  public void setItemRef(SYMbolRef paramSYMbolRef)
  {
    this.itemRef = paramSYMbolRef;
  }

  public SYMbolRef getContainerRef()
  {
    return this.containerRef;
  }

  public void setContainerRef(SYMbolRef paramSYMbolRef)
  {
    this.containerRef = paramSYMbolRef;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.itemRef.xdrEncode(paramXDROutputStream);
    this.containerRef.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.itemRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.containerRef.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}