package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class SocParent
  implements XDRType, SYMbolAPIConstants
{
  private SocParentType socParentType = new SocParentType();
  private ControllerRef parentController = new ControllerRef();
  private ComponentRef parentEsm = new ComponentRef();

  public SocParent()
  {
  }

  public SocParent(SocParent paramSocParent)
  {
    this.parentController = paramSocParent.parentController;
    this.parentEsm = paramSocParent.parentEsm;
  }

  public SocParentType getSocParentType()
  {
    return this.socParentType;
  }

  public void setSocParentType(SocParentType paramSocParentType)
  {
    this.socParentType = paramSocParentType;
  }

  public ControllerRef getParentController()
  {
    return this.parentController;
  }

  public void setParentController(ControllerRef paramControllerRef)
  {
    this.parentController = paramControllerRef;
  }

  public ComponentRef getParentEsm()
  {
    return this.parentEsm;
  }

  public void setParentEsm(ComponentRef paramComponentRef)
  {
    this.parentEsm = paramComponentRef;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.socParentType.xdrEncode(paramXDROutputStream);
    switch (this.socParentType.getValue())
    {
    case 1:
      this.parentController.xdrEncode(paramXDROutputStream);
      break;
    case 2:
      this.parentEsm.xdrEncode(paramXDROutputStream);
      break;
    }
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    this.socParentType.xdrDecode(paramXDRInputStream);
    switch (this.socParentType.getValue())
    {
    case 1:
      this.parentController.xdrDecode(paramXDRInputStream);
      break;
    case 2:
      this.parentEsm.xdrDecode(paramXDRInputStream);
      break;
    }
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}