package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class TrayRefList
  implements XDRType, SYMbolAPIConstants
{
  private TrayRef[] trayRef;

  public TrayRefList()
  {
  }

  public TrayRefList(TrayRefList paramTrayRefList)
  {
    this.trayRef = paramTrayRefList.trayRef;
  }

  public TrayRef[] getTrayRef()
  {
    return this.trayRef;
  }

  public void setTrayRef(TrayRef[] paramArrayOfTrayRef)
  {
    this.trayRef = paramArrayOfTrayRef;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    int j = this.trayRef == null ? 0 : this.trayRef.length;
    paramXDROutputStream.putInt(j);
    for (int k = 0; k < j; k++)
      this.trayRef[k].xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
    {
      int j = paramXDRInputStream.getInt();
      this.trayRef = new TrayRef[j];
      for (int k = 0; k < j; k++)
      {
        this.trayRef[k] = new TrayRef();
        this.trayRef[k].xdrDecode(paramXDRInputStream);
      }
    }
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}