package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class VolumeCandidateList
  implements XDRType, SYMbolAPIConstants
{
  private VolumeCandidate[] volumeCandidate;
  private ReturnCode returnCode = new ReturnCode();

  public VolumeCandidateList()
  {
  }

  public VolumeCandidateList(VolumeCandidateList paramVolumeCandidateList)
  {
    this.volumeCandidate = paramVolumeCandidateList.volumeCandidate;
    this.returnCode = paramVolumeCandidateList.returnCode;
  }

  public VolumeCandidate[] getVolumeCandidate()
  {
    return this.volumeCandidate;
  }

  public void setVolumeCandidate(VolumeCandidate[] paramArrayOfVolumeCandidate)
  {
    this.volumeCandidate = paramArrayOfVolumeCandidate;
  }

  public ReturnCode getReturnCode()
  {
    return this.returnCode;
  }

  public void setReturnCode(ReturnCode paramReturnCode)
  {
    this.returnCode = paramReturnCode;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    int j = this.volumeCandidate == null ? 0 : this.volumeCandidate.length;
    paramXDROutputStream.putInt(j);
    for (int k = 0; k < j; k++)
      this.volumeCandidate[k].xdrEncode(paramXDROutputStream);
    this.returnCode.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
    {
      int j = paramXDRInputStream.getInt();
      this.volumeCandidate = new VolumeCandidate[j];
      for (int k = 0; k < j; k++)
      {
        this.volumeCandidate[k] = new VolumeCandidate();
        this.volumeCandidate[k].xdrDecode(paramXDRInputStream);
      }
    }
    if (paramXDRInputStream.getPosition() < i)
      this.returnCode.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}