package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class VolumeGroupExpansionDescriptor
  implements XDRType, SYMbolAPIConstants
{
  private VolumeGroupRef volumeGroupRef = new VolumeGroupRef();
  private DriveRef[] driveRef;

  public VolumeGroupExpansionDescriptor()
  {
  }

  public VolumeGroupExpansionDescriptor(VolumeGroupExpansionDescriptor paramVolumeGroupExpansionDescriptor)
  {
    this.volumeGroupRef = paramVolumeGroupExpansionDescriptor.volumeGroupRef;
    this.driveRef = paramVolumeGroupExpansionDescriptor.driveRef;
  }

  public VolumeGroupRef getVolumeGroupRef()
  {
    return this.volumeGroupRef;
  }

  public void setVolumeGroupRef(VolumeGroupRef paramVolumeGroupRef)
  {
    this.volumeGroupRef = paramVolumeGroupRef;
  }

  public DriveRef[] getDriveRef()
  {
    return this.driveRef;
  }

  public void setDriveRef(DriveRef[] paramArrayOfDriveRef)
  {
    this.driveRef = paramArrayOfDriveRef;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.volumeGroupRef.xdrEncode(paramXDROutputStream);
    int j = this.driveRef == null ? 0 : this.driveRef.length;
    paramXDROutputStream.putInt(j);
    for (int k = 0; k < j; k++)
      this.driveRef[k].xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.volumeGroupRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
    {
      int j = paramXDRInputStream.getInt();
      this.driveRef = new DriveRef[j];
      for (int k = 0; k < j; k++)
      {
        this.driveRef[k] = new DriveRef();
        this.driveRef[k].xdrDecode(paramXDRInputStream);
      }
    }
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}