package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class VolumeMediaScanParamsUpdateDescriptor
  implements XDRType, SYMbolAPIConstants
{
  private AbstractVolRef volumeRef = new AbstractVolRef();
  private VolumeMediaScanParams newParams = new VolumeMediaScanParams();

  public VolumeMediaScanParamsUpdateDescriptor()
  {
  }

  public VolumeMediaScanParamsUpdateDescriptor(VolumeMediaScanParamsUpdateDescriptor paramVolumeMediaScanParamsUpdateDescriptor)
  {
    this.volumeRef = paramVolumeMediaScanParamsUpdateDescriptor.volumeRef;
    this.newParams = paramVolumeMediaScanParamsUpdateDescriptor.newParams;
  }

  public AbstractVolRef getVolumeRef()
  {
    return this.volumeRef;
  }

  public void setVolumeRef(AbstractVolRef paramAbstractVolRef)
  {
    this.volumeRef = paramAbstractVolRef;
  }

  public VolumeMediaScanParams getNewParams()
  {
    return this.newParams;
  }

  public void setNewParams(VolumeMediaScanParams paramVolumeMediaScanParams)
  {
    this.newParams = paramVolumeMediaScanParams;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.volumeRef.xdrEncode(paramXDROutputStream);
    this.newParams.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.volumeRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.newParams.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}