package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class VolumePerformanceList
  implements XDRType, SYMbolAPIConstants
{
  private VolumePerformance[] volumePerf;

  public VolumePerformanceList()
  {
  }

  public VolumePerformanceList(VolumePerformanceList paramVolumePerformanceList)
  {
    this.volumePerf = paramVolumePerformanceList.volumePerf;
  }

  public VolumePerformance[] getVolumePerf()
  {
    return this.volumePerf;
  }

  public void setVolumePerf(VolumePerformance[] paramArrayOfVolumePerformance)
  {
    this.volumePerf = paramArrayOfVolumePerformance;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    int j = this.volumePerf == null ? 0 : this.volumePerf.length;
    paramXDROutputStream.putInt(j);
    for (int k = 0; k < j; k++)
      this.volumePerf[k].xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
    {
      int j = paramXDRInputStream.getInt();
      this.volumePerf = new VolumePerformance[j];
      for (int k = 0; k < j; k++)
      {
        this.volumePerf[k] = new VolumePerformance();
        this.volumePerf[k].xdrDecode(paramXDRInputStream);
      }
    }
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}