package org.eclipse.jdt.core.compiler;

import org.eclipse.jdt.core.IJavaProject;

public abstract class CompilationParticipant
{
  public static int READY_FOR_BUILD = 1;
  public static int NEEDS_FULL_BUILD = 2;

  public int aboutToBuild(IJavaProject project)
  {
    return READY_FOR_BUILD;
  }

  public void buildStarting(BuildContext[] files, boolean isBatch)
  {
  }

  public void cleanStarting(IJavaProject project)
  {
  }

  public boolean isActive(IJavaProject project)
  {
    return false;
  }

  public boolean isAnnotationProcessor()
  {
    return false;
  }

  public void processAnnotations(BuildContext[] files)
  {
  }

  public void reconcile(ReconcileContext context)
  {
  }
}