package org.eclipse.jdt.internal.compiler.ast;

import org.eclipse.jdt.internal.compiler.ASTVisitor;
import org.eclipse.jdt.internal.compiler.lookup.BlockScope;
import org.eclipse.jdt.internal.compiler.lookup.ClassScope;
import org.eclipse.jdt.internal.compiler.lookup.Scope;
import org.eclipse.jdt.internal.compiler.lookup.TypeBinding;
import org.eclipse.jdt.internal.compiler.problem.ProblemReporter;

public class JavadocArraySingleTypeReference extends ArrayTypeReference
{
  public JavadocArraySingleTypeReference(char[] name, int dim, long pos)
  {
    super(name, dim, pos);
    this.bits |= 32768;
  }

  protected void reportInvalidType(Scope scope) {
    scope.problemReporter().javadocInvalidType(this, this.resolvedType, scope.getDeclarationModifiers());
  }
  protected void reportDeprecatedType(TypeBinding type, Scope scope) {
    scope.problemReporter().javadocDeprecatedType(type, this, scope.getDeclarationModifiers());
  }

  public void traverse(ASTVisitor visitor, BlockScope scope)
  {
    visitor.visit(this, scope);
    visitor.endVisit(this, scope);
  }

  public void traverse(ASTVisitor visitor, ClassScope scope) {
    visitor.visit(this, scope);
    visitor.endVisit(this, scope);
  }
}