package org.eclipse.jdt.internal.compiler.ast;

import org.eclipse.jdt.internal.compiler.ASTVisitor;
import org.eclipse.jdt.internal.compiler.lookup.BlockScope;

public class MarkerAnnotation extends Annotation
{
  public MarkerAnnotation(TypeReference type, int sourceStart)
  {
    this.type = type;
    this.sourceStart = sourceStart;
    this.sourceEnd = type.sourceEnd;
  }

  public MemberValuePair[] memberValuePairs()
  {
    return NoValuePairs;
  }

  public void traverse(ASTVisitor visitor, BlockScope scope) {
    visitor.visit(this, scope);
    visitor.endVisit(this, scope);
  }
}