package org.eclipse.jdt.internal.compiler.classfmt;

import org.eclipse.jdt.internal.compiler.env.IBinaryElementValuePair;

public class ElementValuePairInfo
  implements IBinaryElementValuePair
{
  static final ElementValuePairInfo[] NoMembers = new ElementValuePairInfo[0];
  private char[] name;
  private Object value;

  ElementValuePairInfo(char[] name, Object value)
  {
    this.name = name;
    this.value = value;
  }
  public char[] getName() {
    return this.name;
  }
  public Object getValue() {
    return this.value;
  }
  public String toString() {
    StringBuffer buffer = new StringBuffer();
    buffer.append(this.name);
    buffer.append('=');
    if ((this.value instanceof Object[])) {
      Object[] values = (Object[])this.value;
      buffer.append('{');
      int i = 0; for (int l = values.length; i < l; i++) {
        if (i > 0)
          buffer.append(", ");
        buffer.append(values[i]);
      }
      buffer.append('}');
    } else {
      buffer.append(this.value);
    }
    return buffer.toString();
  }
}