package org.eclipse.jdt.internal.compiler.classfmt;

import org.eclipse.jdt.internal.compiler.env.IBinaryAnnotation;

class MethodInfoWithParameterAnnotations extends MethodInfoWithAnnotations
{
  private AnnotationInfo[][] parameterAnnotations;

  MethodInfoWithParameterAnnotations(MethodInfo methodInfo, AnnotationInfo[] annotations, AnnotationInfo[][] parameterAnnotations)
  {
    super(methodInfo, annotations);
    this.parameterAnnotations = parameterAnnotations;
  }

  public IBinaryAnnotation[] getParameterAnnotations(int index) {
    return this.parameterAnnotations[index];
  }
  protected void initialize() {
    int i = 0; for (int l = this.parameterAnnotations == null ? 0 : this.parameterAnnotations.length; i < l; i++) {
      AnnotationInfo[] infos = this.parameterAnnotations[i];
      int j = 0; for (int k = infos == null ? 0 : infos.length; j < k; j++)
        infos[j].initialize();
    }
    super.initialize();
  }
  protected void reset() {
    int i = 0; for (int l = this.parameterAnnotations == null ? 0 : this.parameterAnnotations.length; i < l; i++) {
      AnnotationInfo[] infos = this.parameterAnnotations[i];
      int j = 0; for (int k = infos == null ? 0 : infos.length; j < k; j++)
        infos[j].reset();
    }
    super.reset();
  }
  protected void toStringContent(StringBuffer buffer) {
    super.toStringContent(buffer);
    int i = 0; for (int l = this.parameterAnnotations == null ? 0 : this.parameterAnnotations.length; i < l; i++) {
      buffer.append("param" + (i - 1));
      buffer.append('\n');
      AnnotationInfo[] infos = this.parameterAnnotations[i];
      int j = 0; for (int k = infos == null ? 0 : infos.length; j < k; j++) {
        buffer.append(infos[j]);
        buffer.append('\n');
      }
    }
  }
}