package org.eclipse.jdt.internal.compiler.env;

import org.eclipse.jdt.core.compiler.CharOperation;

public abstract interface IBinaryType extends IGenericType
{
  public static final char[][] NoInterface = CharOperation.NO_CHAR_CHAR;
  public static final IBinaryNestedType[] NoNestedType = new IBinaryNestedType[0];
  public static final IBinaryField[] NoField = new IBinaryField[0];
  public static final IBinaryMethod[] NoMethod = new IBinaryMethod[0];

  public abstract IBinaryAnnotation[] getAnnotations();

  public abstract char[] getEnclosingTypeName();

  public abstract IBinaryField[] getFields();

  public abstract char[] getGenericSignature();

  public abstract char[][] getInterfaceNames();

  public abstract IBinaryNestedType[] getMemberTypes();

  public abstract IBinaryMethod[] getMethods();

  public abstract char[] getName();

  public abstract char[] getSourceName();

  public abstract char[] getSuperclassName();

  public abstract long getTagBits();

  public abstract boolean isAnonymous();

  public abstract boolean isLocal();

  public abstract boolean isMember();

  public abstract char[] sourceFileName();
}