package org.eclipse.jdt.internal.compiler.impl;

public class DoubleConstant extends Constant
{
  private double value;

  public static Constant fromValue(double value)
  {
    return new DoubleConstant(value);
  }

  private DoubleConstant(double value) {
    this.value = value;
  }

  public byte byteValue() {
    return (byte)(int)this.value;
  }

  public char charValue() {
    return (char)(int)this.value;
  }

  public double doubleValue() {
    return this.value;
  }

  public float floatValue() {
    return (float)this.value;
  }

  public int intValue() {
    return (int)this.value;
  }

  public long longValue() {
    return ()this.value;
  }

  public short shortValue() {
    return (short)(int)this.value;
  }

  public String stringValue() {
    return String.valueOf(this.value);
  }

  public String toString() {
    if (this == NotAConstant)
      return "(Constant) NotAConstant";
    return "(double)" + this.value;
  }

  public int typeID() {
    return 8;
  }
}