package org.eclipse.jdt.internal.compiler.lookup;

import org.eclipse.jdt.core.compiler.CharOperation;

public final class MemberTypeBinding extends NestedTypeBinding
{
  public MemberTypeBinding(char[][] compoundName, ClassScope scope, SourceTypeBinding enclosingType)
  {
    super(compoundName, scope, enclosingType);
    this.tagBits |= 12L;
  }
  void checkSyntheticArgsAndFields() {
    if (isStatic()) return;
    if (isInterface()) return;
    addSyntheticArgumentAndField(this.enclosingType);
  }

  public char[] constantPoolName()
  {
    if (this.constantPoolName != null) {
      return this.constantPoolName;
    }
    return this.constantPoolName = CharOperation.concat(enclosingType().constantPoolName(), this.sourceName, '$');
  }

  public void initializeDeprecatedAnnotationTagBits()
  {
    if ((this.tagBits & 0x0) == 0L) {
      super.initializeDeprecatedAnnotationTagBits();
      if ((this.tagBits & 0x0) == 0L)
      {
        ReferenceBinding enclosing;
        if (((enclosing = enclosingType()).tagBits & 0x0) == 0L) {
          enclosing.initializeDeprecatedAnnotationTagBits();
        }
        if (enclosing.isViewedAsDeprecated())
          this.modifiers |= 2097152;
      }
    }
  }

  public String toString() {
    return "Member type : " + new String(sourceName()) + " " + super.toString();
  }
}