package org.eclipse.jdt.internal.compiler.lookup;

import org.eclipse.jdt.internal.compiler.impl.Constant;

public abstract class VariableBinding extends Binding
{
  public int modifiers;
  public TypeBinding type;
  public char[] name;
  protected Constant constant;
  public int id;
  public long tagBits;

  public VariableBinding(char[] name, TypeBinding type, int modifiers, Constant constant)
  {
    this.name = name;
    this.type = type;
    this.modifiers = modifiers;
    this.constant = constant;
  }

  public Constant constant() {
    return this.constant;
  }

  public abstract AnnotationBinding[] getAnnotations();

  public final boolean isBlankFinal() {
    return (this.modifiers & 0x4000000) != 0;
  }

  public final boolean isFinal()
  {
    return (this.modifiers & 0x10) != 0;
  }
  public char[] readableName() {
    return this.name;
  }
  public void setConstant(Constant constant) {
    this.constant = constant;
  }
  public String toString() {
    String s = this.type != null ? this.type.debugName() : "UNDEFINED TYPE";
    s = s + " ";
    s = s + (this.name != null ? new String(this.name) : "UNNAMED FIELD");
    return s;
  }
}