package org.jvnet.jaxbw.intellij.wizard;

import java.util.LinkedList;
import org.jvnet.flamingo.wizard.WizardSettings;

public class XjcSettings extends WizardSettings
{
  private String mainSchemaName;
  private String packageName;
  private String rootOutputDirectory;
  private boolean doStrictValidation;
  private boolean doAllowVendorExtensions;
  private String userClasspath;
  private String externalEntityCatalogFiles;
  private boolean doCreateReadOnlyFiles;
  private String httpProxy;

  public String getMainSchemaName()
  {
    return this.mainSchemaName;
  }

  public void setMainSchemaName(String mainSchemaName)
  {
    this.mainSchemaName = mainSchemaName;
  }

  public String getPackageName()
  {
    return this.packageName;
  }

  public void setPackageName(String packageName)
  {
    this.packageName = packageName;
  }

  public String getRootOutputDirectory()
  {
    return this.rootOutputDirectory;
  }

  public void setRootOutputDirectory(String rootOutputDirectory)
  {
    this.rootOutputDirectory = rootOutputDirectory;
  }

  public boolean isDoStrictValidation()
  {
    return this.doStrictValidation;
  }

  public void setDoStrictValidation(boolean doStrictValidation)
  {
    this.doStrictValidation = doStrictValidation;
  }

  public boolean isDoAllowVendorExtensions()
  {
    return this.doAllowVendorExtensions;
  }

  public void setDoAllowVendorExtensions(boolean doAllowVendorExtensions)
  {
    this.doAllowVendorExtensions = doAllowVendorExtensions;
  }

  public String getUserClasspath()
  {
    return this.userClasspath;
  }

  public void setUserClasspath(String userClasspath)
  {
    this.userClasspath = userClasspath;
  }

  public String getExternalEntityCatalogFiles()
  {
    return this.externalEntityCatalogFiles;
  }

  public void setExternalEntityCatalogFiles(String externalEntityCatalogFiles)
  {
    this.externalEntityCatalogFiles = externalEntityCatalogFiles;
  }

  public boolean isDoCreateReadOnlyFiles()
  {
    return this.doCreateReadOnlyFiles;
  }

  public void setDoCreateReadOnlyFiles(boolean doCreateReadOnlyFiles)
  {
    this.doCreateReadOnlyFiles = doCreateReadOnlyFiles;
  }

  public String getHttpProxy()
  {
    return this.httpProxy;
  }

  public void setHttpProxy(String httpProxy)
  {
    this.httpProxy = httpProxy;
  }

  public String[] getDriverCommandLineArgs()
  {
    LinkedList params = new LinkedList();
    params.addLast(this.mainSchemaName);
    params.addLast("-d");
    params.addLast(this.rootOutputDirectory);
    params.addLast("-p");
    params.addLast(this.packageName);
    if (!this.doStrictValidation)
      params.addLast("-nv");
    if (this.doAllowVendorExtensions)
      params.addLast("-extension");
    if (this.userClasspath != null) {
      params.addLast("-classpath");
      params.addLast(this.userClasspath);
    }

    if (this.externalEntityCatalogFiles != null) {
      params.addLast("-catalog");
      params.addLast(this.externalEntityCatalogFiles);
    }

    if (this.httpProxy != null) {
      params.addLast("-httpproxy");
      params.addLast(this.httpProxy);
    }
    if (this.doCreateReadOnlyFiles) {
      params.addLast("-readOnly");
    }
    return (String[])params.toArray(new String[0]);
  }
}