package com.netapp.filer.aggr;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("aggr-list-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR", "ELOWMEMORY", "EVOLUMEDOESNOTEXIST"})
@Family({"ontap-c", "ontap-d", "vfiler"})
public class AggrListInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String aggregate;
  public List<AggrInfo> aggregates;
  public Boolean verbose;

  @Input("aggregate")
  @Type("string")
  @Optional
  public void setAggregate(String paramString)
  {
    this.aggregate = paramString;
  }

  public String getAggregate()
  {
    return this.aggregate;
  }

  public AggrListInfo withAggregate(String paramString)
  {
    this.aggregate = paramString;
    return this;
  }

  @Output("aggregates")
  @Type("aggr-info[]")
  public void setAggregates(List<AggrInfo> paramList)
  {
    this.aggregates = paramList;
  }

  public List<AggrInfo> getAggregates()
  {
    return this.aggregates;
  }

  public AggrListInfo withAggregates(List<AggrInfo> paramList)
  {
    this.aggregates = paramList;
    return this;
  }

  public AggrListInfo withAggregates(AggrInfo[] paramArrayOfAggrInfo)
  {
    this.aggregates = new ArrayList(Arrays.asList(paramArrayOfAggrInfo));
    return this;
  }

  @Input("verbose")
  @Type("boolean")
  @Optional
  public void setVerbose(Boolean paramBoolean)
  {
    this.verbose = paramBoolean;
  }

  public Boolean isVerbose()
  {
    return this.verbose;
  }

  public AggrListInfo withVerbose(Boolean paramBoolean)
  {
    this.verbose = paramBoolean;
    return this;
  }
}