package com.netapp.filer.aggr;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.filer.volume.MediascrubDetailInfo;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("aggr-mediascrub-list-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR"})
@Family({"ontap-c", "ontap-d"})
public class AggrMediascrubListInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String aggregate;
  public List<MediascrubDetailInfo> mediascrubDetails;

  @Input("aggregate")
  @Type("string")
  @Optional
  public void setAggregate(String paramString)
  {
    this.aggregate = paramString;
  }

  public String getAggregate()
  {
    return this.aggregate;
  }

  public AggrMediascrubListInfo withAggregate(String paramString)
  {
    this.aggregate = paramString;
    return this;
  }

  @Output("mediascrub-details")
  @Type("mediascrub-detail-info[]")
  public void setMediascrubDetails(List<MediascrubDetailInfo> paramList)
  {
    this.mediascrubDetails = paramList;
  }

  public List<MediascrubDetailInfo> getMediascrubDetails()
  {
    return this.mediascrubDetails;
  }

  public AggrMediascrubListInfo withMediascrubDetails(List<MediascrubDetailInfo> paramList)
  {
    this.mediascrubDetails = paramList;
    return this;
  }

  public AggrMediascrubListInfo withMediascrubDetails(MediascrubDetailInfo[] paramArrayOfMediascrubDetailInfo)
  {
    this.mediascrubDetails = new ArrayList(Arrays.asList(paramArrayOfMediascrubDetailInfo));
    return this;
  }
}