package com.netapp.filer.aggr;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("aggr-online")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR", "EVOLUMEDOESNOTEXIST"})
@Family({"ontap-c", "ontap-d"})
public class AggrOnline
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String aggregate;
  public Boolean keepSameUuid;

  @Input("aggregate")
  @Type("string")
  public void setAggregate(String paramString)
  {
    this.aggregate = paramString;
  }

  public String getAggregate()
  {
    return this.aggregate;
  }

  public AggrOnline withAggregate(String paramString)
  {
    this.aggregate = paramString;
    return this;
  }

  @Input("keep-same-uuid")
  @Type("boolean")
  @Optional
  public void setKeepSameUuid(Boolean paramBoolean)
  {
    this.keepSameUuid = paramBoolean;
  }

  public Boolean isKeepSameUuid()
  {
    return this.keepSameUuid;
  }

  public AggrOnline withKeepSameUuid(Boolean paramBoolean)
  {
    this.keepSameUuid = paramBoolean;
    return this;
  }
}