package com.netapp.filer.aggr;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("aggr-restrict")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR", "EVOLUMEBUSY", "EVOLUMEDOESNOTEXIST"})
@Family({"ontap-c", "ontap-d"})
public class AggrRestrict
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String aggregate;
  public Long cifsDelaySeconds;
  public Boolean unmountVolumes;

  @Input("aggregate")
  @Type("string")
  public void setAggregate(String paramString)
  {
    this.aggregate = paramString;
  }

  public String getAggregate()
  {
    return this.aggregate;
  }

  public AggrRestrict withAggregate(String paramString)
  {
    this.aggregate = paramString;
    return this;
  }

  @Input("cifs-delay-seconds")
  @Type("integer")
  @Optional
  public void setCifsDelaySeconds(Long paramLong)
  {
    this.cifsDelaySeconds = paramLong;
  }

  public Long getCifsDelaySeconds()
  {
    return this.cifsDelaySeconds;
  }

  public AggrRestrict withCifsDelaySeconds(Long paramLong)
  {
    this.cifsDelaySeconds = paramLong;
    return this;
  }

  @Input("unmount-volumes")
  @Type("boolean")
  @Optional
  public void setUnmountVolumes(Boolean paramBoolean)
  {
    this.unmountVolumes = paramBoolean;
  }

  public Boolean isUnmountVolumes()
  {
    return this.unmountVolumes;
  }

  public AggrRestrict withUnmountVolumes(Boolean paramBoolean)
  {
    this.unmountVolumes = paramBoolean;
    return this;
  }
}