package com.netapp.filer.aggr;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("aggr-split")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR", "EVOLUMEDOESNOTEXIST", "EVOLUMENAMEINVALID"})
@Family({"ontap-c", "ontap-d"})
public class AggrSplit
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String aggregate;
  public String newAggrName;

  @Input("aggregate")
  @Type("string")
  public void setAggregate(String paramString)
  {
    this.aggregate = paramString;
  }

  public String getAggregate()
  {
    return this.aggregate;
  }

  public AggrSplit withAggregate(String paramString)
  {
    this.aggregate = paramString;
    return this;
  }

  @Input("new-aggr-name")
  @Type("string")
  public void setNewAggrName(String paramString)
  {
    this.newAggrName = paramString;
  }

  public String getNewAggrName()
  {
    return this.newAggrName;
  }

  public AggrSplit withNewAggrName(String paramString)
  {
    this.newAggrName = paramString;
    return this;
  }
}