package com.netapp.filer.aggr;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("aggr-verify-list-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR", "EVOLUMEDOESNOTEXIST"})
@Family({"ontap-c", "ontap-d"})
public class AggrVerifyListInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String aggregate;
  public List<VerifyDetailInfo> verifyDetails;

  @Input("aggregate")
  @Type("string")
  @Optional
  public void setAggregate(String paramString)
  {
    this.aggregate = paramString;
  }

  public String getAggregate()
  {
    return this.aggregate;
  }

  public AggrVerifyListInfo withAggregate(String paramString)
  {
    this.aggregate = paramString;
    return this;
  }

  @Output("verify-details")
  @Type("verify-detail-info[]")
  public void setVerifyDetails(List<VerifyDetailInfo> paramList)
  {
    this.verifyDetails = paramList;
  }

  public List<VerifyDetailInfo> getVerifyDetails()
  {
    return this.verifyDetails;
  }

  public AggrVerifyListInfo withVerifyDetails(List<VerifyDetailInfo> paramList)
  {
    this.verifyDetails = paramList;
    return this;
  }

  public AggrVerifyListInfo withVerifyDetails(VerifyDetailInfo[] paramArrayOfVerifyDetailInfo)
  {
    this.verifyDetails = new ArrayList(Arrays.asList(paramArrayOfVerifyDetailInfo));
    return this;
  }
}