package com.netapp.filer.aggr;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;

@Typedef("verify-detail-info")
public class VerifyDetailInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Boolean suspended;
  public String name;
  public Integer percentageComplete;

  @Element("is-suspended")
  @Type("boolean")
  public void setSuspended(Boolean paramBoolean)
  {
    this.suspended = paramBoolean;
  }

  public Boolean isSuspended()
  {
    return this.suspended;
  }

  public VerifyDetailInfo withSuspended(Boolean paramBoolean)
  {
    this.suspended = paramBoolean;
    return this;
  }

  @Element("name")
  @Type("string")
  public void setName(String paramString)
  {
    this.name = paramString;
  }

  public String getName()
  {
    return this.name;
  }

  public VerifyDetailInfo withName(String paramString)
  {
    this.name = paramString;
    return this;
  }

  @Element("percentage-complete")
  @Type("integer")
  @Optional
  @Range(min="0", max="100")
  public void setPercentageComplete(Integer paramInteger)
  {
    this.percentageComplete = paramInteger;
  }

  public Integer getPercentageComplete()
  {
    return this.percentageComplete;
  }

  public VerifyDetailInfo withPercentageComplete(Integer paramInteger)
  {
    this.percentageComplete = paramInteger;
    return this;
  }
}