package com.netapp.filer.aggr;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.math.BigInteger;

@Typedef("volume-space-info")
public class VolumeSpaceInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String guarantee;
  public BigInteger volumeAllocated;
  public String volumeName;
  public BigInteger volumeUsed;

  @Element("guarantee")
  @Type("string")
  public void setGuarantee(String paramString)
  {
    this.guarantee = paramString;
  }

  public String getGuarantee()
  {
    return this.guarantee;
  }

  public VolumeSpaceInfo withGuarantee(String paramString)
  {
    this.guarantee = paramString;
    return this;
  }

  @Element("volume-allocated")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setVolumeAllocated(BigInteger paramBigInteger)
  {
    this.volumeAllocated = paramBigInteger;
  }

  public BigInteger getVolumeAllocated()
  {
    return this.volumeAllocated;
  }

  public VolumeSpaceInfo withVolumeAllocated(BigInteger paramBigInteger)
  {
    this.volumeAllocated = paramBigInteger;
    return this;
  }

  @Element("volume-name")
  @Type("string")
  public void setVolumeName(String paramString)
  {
    this.volumeName = paramString;
  }

  public String getVolumeName()
  {
    return this.volumeName;
  }

  public VolumeSpaceInfo withVolumeName(String paramString)
  {
    this.volumeName = paramString;
    return this;
  }

  @Element("volume-used")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setVolumeUsed(BigInteger paramBigInteger)
  {
    this.volumeUsed = paramBigInteger;
  }

  public BigInteger getVolumeUsed()
  {
    return this.volumeUsed;
  }

  public VolumeSpaceInfo withVolumeUsed(BigInteger paramBigInteger)
  {
    this.volumeUsed = paramBigInteger;
    return this;
  }
}