package com.netapp.filer.cf;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("cf-force-takeover")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR"})
@Family({"ontap-c"})
public class CfForceTakeover
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Boolean disaster;

  @Input("disaster")
  @Type("boolean")
  @Optional
  public void setDisaster(Boolean paramBoolean)
  {
    this.disaster = paramBoolean;
  }

  public Boolean isDisaster()
  {
    return this.disaster;
  }

  public CfForceTakeover withDisaster(Boolean paramBoolean)
  {
    this.disaster = paramBoolean;
    return this;
  }
}