package com.netapp.filer.cf;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("cf-hwassist-stats")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR"})
@Family({"ontap-c"})
public class CfHwassistStats
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String hwassistStatsAbnormalReboot;
  public String hwassistStatsBadNvramId;
  public String hwassistStatsKeepAlive;
  public String hwassistStatsLossOfHeartbeat;
  public String hwassistStatsPostError;
  public String hwassistStatsPowerCycleViaRlm;
  public String hwassistStatsPowerLoss;
  public String hwassistStatsPowerOffViaRlm;
  public String hwassistStatsResetViaRlm;
  public String hwassistStatsSsMismatch;
  public String hwassistStatsTest;
  public String hwassistStatsTimesThrottled;
  public String hwassistStatsUnknownAlerts;
  public String hwassistStatsWatchdogReset;
  public String noStats;

  @Output("hwassist-stats-abnormal-reboot")
  @Type("string")
  public void setHwassistStatsAbnormalReboot(String paramString)
  {
    this.hwassistStatsAbnormalReboot = paramString;
  }

  public String getHwassistStatsAbnormalReboot()
  {
    return this.hwassistStatsAbnormalReboot;
  }

  public CfHwassistStats withHwassistStatsAbnormalReboot(String paramString)
  {
    this.hwassistStatsAbnormalReboot = paramString;
    return this;
  }

  @Output("hwassist-stats-bad-nvram-id")
  @Type("string")
  public void setHwassistStatsBadNvramId(String paramString)
  {
    this.hwassistStatsBadNvramId = paramString;
  }

  public String getHwassistStatsBadNvramId()
  {
    return this.hwassistStatsBadNvramId;
  }

  public CfHwassistStats withHwassistStatsBadNvramId(String paramString)
  {
    this.hwassistStatsBadNvramId = paramString;
    return this;
  }

  @Output("hwassist-stats-keep-alive")
  @Type("string")
  public void setHwassistStatsKeepAlive(String paramString)
  {
    this.hwassistStatsKeepAlive = paramString;
  }

  public String getHwassistStatsKeepAlive()
  {
    return this.hwassistStatsKeepAlive;
  }

  public CfHwassistStats withHwassistStatsKeepAlive(String paramString)
  {
    this.hwassistStatsKeepAlive = paramString;
    return this;
  }

  @Output("hwassist-stats-loss-of-heartbeat")
  @Type("string")
  public void setHwassistStatsLossOfHeartbeat(String paramString)
  {
    this.hwassistStatsLossOfHeartbeat = paramString;
  }

  public String getHwassistStatsLossOfHeartbeat()
  {
    return this.hwassistStatsLossOfHeartbeat;
  }

  public CfHwassistStats withHwassistStatsLossOfHeartbeat(String paramString)
  {
    this.hwassistStatsLossOfHeartbeat = paramString;
    return this;
  }

  @Output("hwassist-stats-post-error")
  @Type("string")
  public void setHwassistStatsPostError(String paramString)
  {
    this.hwassistStatsPostError = paramString;
  }

  public String getHwassistStatsPostError()
  {
    return this.hwassistStatsPostError;
  }

  public CfHwassistStats withHwassistStatsPostError(String paramString)
  {
    this.hwassistStatsPostError = paramString;
    return this;
  }

  @Output("hwassist-stats-power-cycle-via-rlm")
  @Type("string")
  public void setHwassistStatsPowerCycleViaRlm(String paramString)
  {
    this.hwassistStatsPowerCycleViaRlm = paramString;
  }

  public String getHwassistStatsPowerCycleViaRlm()
  {
    return this.hwassistStatsPowerCycleViaRlm;
  }

  public CfHwassistStats withHwassistStatsPowerCycleViaRlm(String paramString)
  {
    this.hwassistStatsPowerCycleViaRlm = paramString;
    return this;
  }

  @Output("hwassist-stats-power-loss")
  @Type("string")
  public void setHwassistStatsPowerLoss(String paramString)
  {
    this.hwassistStatsPowerLoss = paramString;
  }

  public String getHwassistStatsPowerLoss()
  {
    return this.hwassistStatsPowerLoss;
  }

  public CfHwassistStats withHwassistStatsPowerLoss(String paramString)
  {
    this.hwassistStatsPowerLoss = paramString;
    return this;
  }

  @Output("hwassist-stats-power-off-via-rlm")
  @Type("string")
  public void setHwassistStatsPowerOffViaRlm(String paramString)
  {
    this.hwassistStatsPowerOffViaRlm = paramString;
  }

  public String getHwassistStatsPowerOffViaRlm()
  {
    return this.hwassistStatsPowerOffViaRlm;
  }

  public CfHwassistStats withHwassistStatsPowerOffViaRlm(String paramString)
  {
    this.hwassistStatsPowerOffViaRlm = paramString;
    return this;
  }

  @Output("hwassist-stats-reset-via-rlm")
  @Type("string")
  public void setHwassistStatsResetViaRlm(String paramString)
  {
    this.hwassistStatsResetViaRlm = paramString;
  }

  public String getHwassistStatsResetViaRlm()
  {
    return this.hwassistStatsResetViaRlm;
  }

  public CfHwassistStats withHwassistStatsResetViaRlm(String paramString)
  {
    this.hwassistStatsResetViaRlm = paramString;
    return this;
  }

  @Output("hwassist-stats-ss-mismatch")
  @Type("string")
  public void setHwassistStatsSsMismatch(String paramString)
  {
    this.hwassistStatsSsMismatch = paramString;
  }

  public String getHwassistStatsSsMismatch()
  {
    return this.hwassistStatsSsMismatch;
  }

  public CfHwassistStats withHwassistStatsSsMismatch(String paramString)
  {
    this.hwassistStatsSsMismatch = paramString;
    return this;
  }

  @Output("hwassist-stats-test")
  @Type("string")
  public void setHwassistStatsTest(String paramString)
  {
    this.hwassistStatsTest = paramString;
  }

  public String getHwassistStatsTest()
  {
    return this.hwassistStatsTest;
  }

  public CfHwassistStats withHwassistStatsTest(String paramString)
  {
    this.hwassistStatsTest = paramString;
    return this;
  }

  @Output("hwassist-stats-times-throttled")
  @Type("string")
  public void setHwassistStatsTimesThrottled(String paramString)
  {
    this.hwassistStatsTimesThrottled = paramString;
  }

  public String getHwassistStatsTimesThrottled()
  {
    return this.hwassistStatsTimesThrottled;
  }

  public CfHwassistStats withHwassistStatsTimesThrottled(String paramString)
  {
    this.hwassistStatsTimesThrottled = paramString;
    return this;
  }

  @Output("hwassist-stats-unknown-alerts")
  @Type("string")
  public void setHwassistStatsUnknownAlerts(String paramString)
  {
    this.hwassistStatsUnknownAlerts = paramString;
  }

  public String getHwassistStatsUnknownAlerts()
  {
    return this.hwassistStatsUnknownAlerts;
  }

  public CfHwassistStats withHwassistStatsUnknownAlerts(String paramString)
  {
    this.hwassistStatsUnknownAlerts = paramString;
    return this;
  }

  @Output("hwassist-stats-watchdog-reset")
  @Type("string")
  public void setHwassistStatsWatchdogReset(String paramString)
  {
    this.hwassistStatsWatchdogReset = paramString;
  }

  public String getHwassistStatsWatchdogReset()
  {
    return this.hwassistStatsWatchdogReset;
  }

  public CfHwassistStats withHwassistStatsWatchdogReset(String paramString)
  {
    this.hwassistStatsWatchdogReset = paramString;
    return this;
  }

  @Output("no-stats")
  @Type("string")
  public void setNoStats(String paramString)
  {
    this.noStats = paramString;
  }

  public String getNoStats()
  {
    return this.noStats;
  }

  public CfHwassistStats withNoStats(String paramString)
  {
    this.noStats = paramString;
    return this;
  }
}