package com.netapp.filer.cf;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("cf-hwassist-status")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR"})
@Family({"ontap-c"})
public class CfHwassistStatus
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String localHwassistInactiveCorrectiveAction;
  public String localHwassistInactiveReason;
  public String localHwassistIpaddr;
  public Long localHwassistPort;
  public String localHwassistStatus;
  public String noStatus;
  public String partnerHwassistInactiveCorrectiveAction;
  public String partnerHwassistInactiveReason;
  public String partnerHwassistIpaddr;
  public Long partnerHwassistPort;
  public String partnerHwassistStatus;

  @Output("local-hwassist-inactive-corrective-action")
  @Type("string")
  public void setLocalHwassistInactiveCorrectiveAction(String paramString)
  {
    this.localHwassistInactiveCorrectiveAction = paramString;
  }

  public String getLocalHwassistInactiveCorrectiveAction()
  {
    return this.localHwassistInactiveCorrectiveAction;
  }

  public CfHwassistStatus withLocalHwassistInactiveCorrectiveAction(String paramString)
  {
    this.localHwassistInactiveCorrectiveAction = paramString;
    return this;
  }

  @Output("local-hwassist-inactive-reason")
  @Type("string")
  public void setLocalHwassistInactiveReason(String paramString)
  {
    this.localHwassistInactiveReason = paramString;
  }

  public String getLocalHwassistInactiveReason()
  {
    return this.localHwassistInactiveReason;
  }

  public CfHwassistStatus withLocalHwassistInactiveReason(String paramString)
  {
    this.localHwassistInactiveReason = paramString;
    return this;
  }

  @Output("local-hwassist-ipaddr")
  @Type("string")
  public void setLocalHwassistIpaddr(String paramString)
  {
    this.localHwassistIpaddr = paramString;
  }

  public String getLocalHwassistIpaddr()
  {
    return this.localHwassistIpaddr;
  }

  public CfHwassistStatus withLocalHwassistIpaddr(String paramString)
  {
    this.localHwassistIpaddr = paramString;
    return this;
  }

  @Output("local-hwassist-port")
  @Type("integer")
  public void setLocalHwassistPort(Long paramLong)
  {
    this.localHwassistPort = paramLong;
  }

  public Long getLocalHwassistPort()
  {
    return this.localHwassistPort;
  }

  public CfHwassistStatus withLocalHwassistPort(Long paramLong)
  {
    this.localHwassistPort = paramLong;
    return this;
  }

  @Output("local-hwassist-status")
  @Type("string")
  public void setLocalHwassistStatus(String paramString)
  {
    this.localHwassistStatus = paramString;
  }

  public String getLocalHwassistStatus()
  {
    return this.localHwassistStatus;
  }

  public CfHwassistStatus withLocalHwassistStatus(String paramString)
  {
    this.localHwassistStatus = paramString;
    return this;
  }

  @Output("no-status")
  @Type("string")
  public void setNoStatus(String paramString)
  {
    this.noStatus = paramString;
  }

  public String getNoStatus()
  {
    return this.noStatus;
  }

  public CfHwassistStatus withNoStatus(String paramString)
  {
    this.noStatus = paramString;
    return this;
  }

  @Output("partner-hwassist-inactive-corrective-action")
  @Type("string")
  public void setPartnerHwassistInactiveCorrectiveAction(String paramString)
  {
    this.partnerHwassistInactiveCorrectiveAction = paramString;
  }

  public String getPartnerHwassistInactiveCorrectiveAction()
  {
    return this.partnerHwassistInactiveCorrectiveAction;
  }

  public CfHwassistStatus withPartnerHwassistInactiveCorrectiveAction(String paramString)
  {
    this.partnerHwassistInactiveCorrectiveAction = paramString;
    return this;
  }

  @Output("partner-hwassist-inactive-reason")
  @Type("string")
  public void setPartnerHwassistInactiveReason(String paramString)
  {
    this.partnerHwassistInactiveReason = paramString;
  }

  public String getPartnerHwassistInactiveReason()
  {
    return this.partnerHwassistInactiveReason;
  }

  public CfHwassistStatus withPartnerHwassistInactiveReason(String paramString)
  {
    this.partnerHwassistInactiveReason = paramString;
    return this;
  }

  @Output("partner-hwassist-ipaddr")
  @Type("string")
  public void setPartnerHwassistIpaddr(String paramString)
  {
    this.partnerHwassistIpaddr = paramString;
  }

  public String getPartnerHwassistIpaddr()
  {
    return this.partnerHwassistIpaddr;
  }

  public CfHwassistStatus withPartnerHwassistIpaddr(String paramString)
  {
    this.partnerHwassistIpaddr = paramString;
    return this;
  }

  @Output("partner-hwassist-port")
  @Type("integer")
  public void setPartnerHwassistPort(Long paramLong)
  {
    this.partnerHwassistPort = paramLong;
  }

  public Long getPartnerHwassistPort()
  {
    return this.partnerHwassistPort;
  }

  public CfHwassistStatus withPartnerHwassistPort(Long paramLong)
  {
    this.partnerHwassistPort = paramLong;
    return this;
  }

  @Output("partner-hwassist-status")
  @Type("string")
  public void setPartnerHwassistStatus(String paramString)
  {
    this.partnerHwassistStatus = paramString;
  }

  public String getPartnerHwassistStatus()
  {
    return this.partnerHwassistStatus;
  }

  public CfHwassistStatus withPartnerHwassistStatus(String paramString)
  {
    this.partnerHwassistStatus = paramString;
    return this;
  }
}