package com.netapp.filer.cifs;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;

@Typedef("address-info")
public class AddressInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Boolean hasNossl;
  public String hostname;
  public String ipAddress;
  public Boolean broken;
  public Boolean multihomed;
  public Boolean primary;

  @Element("has-nossl")
  @Type("boolean")
  @Optional
  public void setHasNossl(Boolean paramBoolean)
  {
    this.hasNossl = paramBoolean;
  }

  public Boolean isHasNossl()
  {
    return this.hasNossl;
  }

  public AddressInfo withHasNossl(Boolean paramBoolean)
  {
    this.hasNossl = paramBoolean;
    return this;
  }

  @Element("hostname")
  @Type("string")
  @Optional
  public void setHostname(String paramString)
  {
    this.hostname = paramString;
  }

  public String getHostname()
  {
    return this.hostname;
  }

  public AddressInfo withHostname(String paramString)
  {
    this.hostname = paramString;
    return this;
  }

  @Element("ip-address")
  @Type("string")
  @Optional
  public void setIpAddress(String paramString)
  {
    this.ipAddress = paramString;
  }

  public String getIpAddress()
  {
    return this.ipAddress;
  }

  public AddressInfo withIpAddress(String paramString)
  {
    this.ipAddress = paramString;
    return this;
  }

  @Element("is-broken")
  @Type("boolean")
  @Optional
  public void setBroken(Boolean paramBoolean)
  {
    this.broken = paramBoolean;
  }

  public Boolean isBroken()
  {
    return this.broken;
  }

  public AddressInfo withBroken(Boolean paramBoolean)
  {
    this.broken = paramBoolean;
    return this;
  }

  @Element("is-multihomed")
  @Type("boolean")
  @Optional
  public void setMultihomed(Boolean paramBoolean)
  {
    this.multihomed = paramBoolean;
  }

  public Boolean isMultihomed()
  {
    return this.multihomed;
  }

  public AddressInfo withMultihomed(Boolean paramBoolean)
  {
    this.multihomed = paramBoolean;
    return this;
  }

  @Element("is-primary")
  @Type("boolean")
  @Optional
  public void setPrimary(Boolean paramBoolean)
  {
    this.primary = paramBoolean;
  }

  public Boolean isPrimary()
  {
    return this.primary;
  }

  public AddressInfo withPrimary(Boolean paramBoolean)
  {
    this.primary = paramBoolean;
    return this;
  }
}