package com.netapp.filer.cifs;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Typedef("cifs-session-info")
public class CifsSessionInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String host;
  public String hostIp;
  public Long shares;
  public String user;
  public List<VolumesListInfo> volumesList;

  @Element("host")
  @Type("string")
  @Optional
  public void setHost(String paramString)
  {
    this.host = paramString;
  }

  public String getHost()
  {
    return this.host;
  }

  public CifsSessionInfo withHost(String paramString)
  {
    this.host = paramString;
    return this;
  }

  @Element("host-ip")
  @Type("ip-address")
  public void setHostIp(String paramString)
  {
    this.hostIp = paramString;
  }

  public String getHostIp()
  {
    return this.hostIp;
  }

  public CifsSessionInfo withHostIp(String paramString)
  {
    this.hostIp = paramString;
    return this;
  }

  @Element("shares")
  @Type("integer")
  public void setShares(Long paramLong)
  {
    this.shares = paramLong;
  }

  public Long getShares()
  {
    return this.shares;
  }

  public CifsSessionInfo withShares(Long paramLong)
  {
    this.shares = paramLong;
    return this;
  }

  @Element("user")
  @Type("string")
  @Optional
  public void setUser(String paramString)
  {
    this.user = paramString;
  }

  public String getUser()
  {
    return this.user;
  }

  public CifsSessionInfo withUser(String paramString)
  {
    this.user = paramString;
    return this;
  }

  @Element("volumes-list")
  @Type("volumes-list-info[]")
  public void setVolumesList(List<VolumesListInfo> paramList)
  {
    this.volumesList = paramList;
  }

  public List<VolumesListInfo> getVolumesList()
  {
    return this.volumesList;
  }

  public CifsSessionInfo withVolumesList(List<VolumesListInfo> paramList)
  {
    this.volumesList = paramList;
    return this;
  }

  public CifsSessionInfo withVolumesList(VolumesListInfo[] paramArrayOfVolumesListInfo)
  {
    this.volumesList = new ArrayList(Arrays.asList(paramArrayOfVolumesListInfo));
    return this;
  }
}