package com.netapp.filer.cifs;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("cifs-session-list-iter-start")
@Status(StatusEnum.PUBLIC)
@Errno({"EAPILICENSE", "ESERVICEDISABLED", "ESVCNOTAVAIL"})
@Family({"ontap-c", "vfiler"})
public class CifsSessionListIterStart
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String host;
  public String protocol;
  public Long records;
  public String tag;
  public String user;

  @Input("host")
  @Type("string")
  @Optional
  public void setHost(String paramString)
  {
    this.host = paramString;
  }

  public String getHost()
  {
    return this.host;
  }

  public CifsSessionListIterStart withHost(String paramString)
  {
    this.host = paramString;
    return this;
  }

  @Input("protocol")
  @Type("string")
  @Optional
  public void setProtocol(String paramString)
  {
    this.protocol = paramString;
  }

  public String getProtocol()
  {
    return this.protocol;
  }

  public CifsSessionListIterStart withProtocol(String paramString)
  {
    this.protocol = paramString;
    return this;
  }

  @Output("records")
  @Type("integer")
  public void setRecords(Long paramLong)
  {
    this.records = paramLong;
  }

  public Long getRecords()
  {
    return this.records;
  }

  public CifsSessionListIterStart withRecords(Long paramLong)
  {
    this.records = paramLong;
    return this;
  }

  @Output("tag")
  @Type("string")
  public void setTag(String paramString)
  {
    this.tag = paramString;
  }

  public String getTag()
  {
    return this.tag;
  }

  public CifsSessionListIterStart withTag(String paramString)
  {
    this.tag = paramString;
    return this;
  }

  @Input("user")
  @Type("string")
  @Optional
  public void setUser(String paramString)
  {
    this.user = paramString;
  }

  public String getUser()
  {
    return this.user;
  }

  public CifsSessionListIterStart withUser(String paramString)
  {
    this.user = paramString;
    return this;
  }
}