package com.netapp.filer.cifs;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("cifs-setup-create-passwd-file")
@Status(StatusEnum.PUBLIC)
@Errno({"EAPILICENSE", "ECIFS_SETUP_CANNOT_WRITE", "EINTERNALERROR", "EINVALIDINPUTERROR"})
@Family({"ontap-c", "vfiler"})
public class CifsSetupCreatePasswdFile
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String defaultRootPassword;

  @Input("default-root-password")
  @Type("string")
  public void setDefaultRootPassword(String paramString)
  {
    this.defaultRootPassword = paramString;
  }

  public String getDefaultRootPassword()
  {
    return this.defaultRootPassword;
  }

  public CifsSetupCreatePasswdFile withDefaultRootPassword(String paramString)
  {
    this.defaultRootPassword = paramString;
    return this;
  }
}