package com.netapp.filer.cifs;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("cifs-setup-ou-list-iter-next")
@Status(StatusEnum.PUBLIC)
@Family({"ontap-c", "vfiler"})
public class CifsSetupOuListIterNext
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<String> cifsSetupOus;
  public Long maximum;
  public Long records;
  public String tag;

  @Output("cifs-setup-ous")
  @Type("cifs-setup-ou[]")
  public void setCifsSetupOus(List<String> paramList)
  {
    this.cifsSetupOus = paramList;
  }

  public List<String> getCifsSetupOus()
  {
    return this.cifsSetupOus;
  }

  public CifsSetupOuListIterNext withCifsSetupOus(List<String> paramList)
  {
    this.cifsSetupOus = paramList;
    return this;
  }

  public CifsSetupOuListIterNext withCifsSetupOus(String[] paramArrayOfString)
  {
    this.cifsSetupOus = new ArrayList(Arrays.asList(paramArrayOfString));
    return this;
  }

  @Input("maximum")
  @Type("integer")
  public void setMaximum(Long paramLong)
  {
    this.maximum = paramLong;
  }

  public Long getMaximum()
  {
    return this.maximum;
  }

  public CifsSetupOuListIterNext withMaximum(Long paramLong)
  {
    this.maximum = paramLong;
    return this;
  }

  @Output("records")
  @Type("integer")
  public void setRecords(Long paramLong)
  {
    this.records = paramLong;
  }

  public Long getRecords()
  {
    return this.records;
  }

  public CifsSetupOuListIterNext withRecords(Long paramLong)
  {
    this.records = paramLong;
    return this;
  }

  @Input("tag")
  @Type("string")
  public void setTag(String paramString)
  {
    this.tag = paramString;
  }

  public String getTag()
  {
    return this.tag;
  }

  public CifsSetupOuListIterNext withTag(String paramString)
  {
    this.tag = paramString;
    return this;
  }
}