package com.netapp.filer.cifs;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("cifs-share-delete")
@Status(StatusEnum.PUBLIC)
@Errno({"EAPILICENSE", "EAPIMISSINGARGUMENT", "EINTERNALERROR", "EONTAPI_EINVAL", "ESHAREACCESSDENIED", "ESVCDISABLED", "ESVCNOTAVAIL"})
@Family({"ontap-c", "vfiler"})
public class CifsShareDelete
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String shareName;

  @Input("share-name")
  @Type("string")
  public void setShareName(String paramString)
  {
    this.shareName = paramString;
  }

  public String getShareName()
  {
    return this.shareName;
  }

  public CifsShareDelete withShareName(String paramString)
  {
    this.shareName = paramString;
    return this;
  }
}