package com.netapp.filer.cifs;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("cifs-share-list-iter-start")
@Status(StatusEnum.PUBLIC)
@Errno({"EAPILICENSE", "EINTERNALERROR", "EONTAPI_EINVAL", "ESERVICEDISABLED", "ESHAREACCESSDENIED", "ESVCNOTAVAIL"})
@Family({"ontap-c", "vfiler"})
public class CifsShareListIterStart
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Long records;
  public String shareName;
  public String tag;

  @Output("records")
  @Type("integer")
  public void setRecords(Long paramLong)
  {
    this.records = paramLong;
  }

  public Long getRecords()
  {
    return this.records;
  }

  public CifsShareListIterStart withRecords(Long paramLong)
  {
    this.records = paramLong;
    return this;
  }

  @Input("share-name")
  @Type("string")
  @Optional
  public void setShareName(String paramString)
  {
    this.shareName = paramString;
  }

  public String getShareName()
  {
    return this.shareName;
  }

  public CifsShareListIterStart withShareName(String paramString)
  {
    this.shareName = paramString;
    return this;
  }

  @Output("tag")
  @Type("string")
  public void setTag(String paramString)
  {
    this.tag = paramString;
  }

  public String getTag()
  {
    return this.tag;
  }

  public CifsShareListIterStart withTag(String paramString)
  {
    this.tag = paramString;
    return this;
  }
}