package com.netapp.filer.cifs;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("cifs-status")
@Status(StatusEnum.PUBLIC)
@Errno({"EAPILICENSE", "EINTERNALERROR"})
@Family({"ontap-c", "vfiler"})
public class CifsStatus
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String status;

  @Output("status")
  @Type("string")
  public void setStatus(String paramString)
  {
    this.status = paramString;
  }

  public String getStatus()
  {
    return this.status;
  }

  public CifsStatus withStatus(String paramString)
  {
    this.status = paramString;
    return this;
  }
}