package com.netapp.filer.cifs;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("cifs-stop")
@Status(StatusEnum.PUBLIC)
@Errno({"EAPILICENSE", "EINTERNALERROR", "EINVALIDINPUTERROR", "ESVCDISABLED", "ESVCNOTAVAIL"})
@Family({"ontap-c", "vfiler"})
public class CifsStop
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String workstation;

  @Input("workstation")
  @Type("string")
  @Optional
  public void setWorkstation(String paramString)
  {
    this.workstation = paramString;
  }

  public String getWorkstation()
  {
    return this.workstation;
  }

  public CifsStop withWorkstation(String paramString)
  {
    this.workstation = paramString;
    return this;
  }
}