package com.netapp.filer.cifs;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;

@Typedef("cifs-top-info")
public class CifsTopInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Long opsPerSec;
  public Long readOps;
  public Long readSize;
  public Long suspiciousPerSec;
  public String userInfo;
  public Long writeOps;
  public Long writeSize;

  @Element("ops-per-sec")
  @Type("integer")
  public void setOpsPerSec(Long paramLong)
  {
    this.opsPerSec = paramLong;
  }

  public Long getOpsPerSec()
  {
    return this.opsPerSec;
  }

  public CifsTopInfo withOpsPerSec(Long paramLong)
  {
    this.opsPerSec = paramLong;
    return this;
  }

  @Element("read-ops")
  @Type("integer")
  public void setReadOps(Long paramLong)
  {
    this.readOps = paramLong;
  }

  public Long getReadOps()
  {
    return this.readOps;
  }

  public CifsTopInfo withReadOps(Long paramLong)
  {
    this.readOps = paramLong;
    return this;
  }

  @Element("read-size")
  @Type("integer")
  public void setReadSize(Long paramLong)
  {
    this.readSize = paramLong;
  }

  public Long getReadSize()
  {
    return this.readSize;
  }

  public CifsTopInfo withReadSize(Long paramLong)
  {
    this.readSize = paramLong;
    return this;
  }

  @Element("suspicious-per-sec")
  @Type("integer")
  public void setSuspiciousPerSec(Long paramLong)
  {
    this.suspiciousPerSec = paramLong;
  }

  public Long getSuspiciousPerSec()
  {
    return this.suspiciousPerSec;
  }

  public CifsTopInfo withSuspiciousPerSec(Long paramLong)
  {
    this.suspiciousPerSec = paramLong;
    return this;
  }

  @Element("user-info")
  @Type("string")
  public void setUserInfo(String paramString)
  {
    this.userInfo = paramString;
  }

  public String getUserInfo()
  {
    return this.userInfo;
  }

  public CifsTopInfo withUserInfo(String paramString)
  {
    this.userInfo = paramString;
    return this;
  }

  @Element("write-ops")
  @Type("integer")
  public void setWriteOps(Long paramLong)
  {
    this.writeOps = paramLong;
  }

  public Long getWriteOps()
  {
    return this.writeOps;
  }

  public CifsTopInfo withWriteOps(Long paramLong)
  {
    this.writeOps = paramLong;
    return this;
  }

  @Element("write-size")
  @Type("integer")
  public void setWriteSize(Long paramLong)
  {
    this.writeSize = paramLong;
  }

  public Long getWriteSize()
  {
    return this.writeSize;
  }

  public CifsTopInfo withWriteSize(Long paramLong)
  {
    this.writeSize = paramLong;
    return this;
  }
}