package com.netapp.filer.cifs;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("cifs-top-iter-next")
@Status(StatusEnum.PUBLIC)
@Family({"ontap-c", "vfiler"})
public class CifsTopIterNext
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<CifsTopInfo> cifsTop;
  public Long maximum;
  public Long records;
  public String tag;

  @Output("cifs-top")
  @Type("cifs-top-info[]")
  public void setCifsTop(List<CifsTopInfo> paramList)
  {
    this.cifsTop = paramList;
  }

  public List<CifsTopInfo> getCifsTop()
  {
    return this.cifsTop;
  }

  public CifsTopIterNext withCifsTop(List<CifsTopInfo> paramList)
  {
    this.cifsTop = paramList;
    return this;
  }

  public CifsTopIterNext withCifsTop(CifsTopInfo[] paramArrayOfCifsTopInfo)
  {
    this.cifsTop = new ArrayList(Arrays.asList(paramArrayOfCifsTopInfo));
    return this;
  }

  @Input("maximum")
  @Type("integer")
  public void setMaximum(Long paramLong)
  {
    this.maximum = paramLong;
  }

  public Long getMaximum()
  {
    return this.maximum;
  }

  public CifsTopIterNext withMaximum(Long paramLong)
  {
    this.maximum = paramLong;
    return this;
  }

  @Output("records")
  @Type("integer")
  public void setRecords(Long paramLong)
  {
    this.records = paramLong;
  }

  public Long getRecords()
  {
    return this.records;
  }

  public CifsTopIterNext withRecords(Long paramLong)
  {
    this.records = paramLong;
    return this;
  }

  @Input("tag")
  @Type("string")
  public void setTag(String paramString)
  {
    this.tag = paramString;
  }

  public String getTag()
  {
    return this.tag;
  }

  public CifsTopIterNext withTag(String paramString)
  {
    this.tag = paramString;
    return this;
  }
}