package com.netapp.filer.cifs;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("cifs-top-iter-start")
@Status(StatusEnum.PUBLIC)
@Errno({"ECLIENTSTATSNOTENABLED", "ECLIENTSTATSVFILER", "ENOACTIVECLIENTS"})
@Family({"ontap-c", "vfiler"})
public class CifsTopIterStart
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String avgtype;
  public Long maxclients;
  public Long records;
  public String sortgroup;
  public String tag;

  @Input("avgtype")
  @Type("string")
  @Optional
  public void setAvgtype(String paramString)
  {
    this.avgtype = paramString;
  }

  public String getAvgtype()
  {
    return this.avgtype;
  }

  public CifsTopIterStart withAvgtype(String paramString)
  {
    this.avgtype = paramString;
    return this;
  }

  @Input("maxclients")
  @Type("integer")
  @Optional
  public void setMaxclients(Long paramLong)
  {
    this.maxclients = paramLong;
  }

  public Long getMaxclients()
  {
    return this.maxclients;
  }

  public CifsTopIterStart withMaxclients(Long paramLong)
  {
    this.maxclients = paramLong;
    return this;
  }

  @Output("records")
  @Type("integer")
  @Range(min="0", max="2^32-1")
  public void setRecords(Long paramLong)
  {
    this.records = paramLong;
  }

  public Long getRecords()
  {
    return this.records;
  }

  public CifsTopIterStart withRecords(Long paramLong)
  {
    this.records = paramLong;
    return this;
  }

  @Input("sortgroup")
  @Type("string")
  @Optional
  public void setSortgroup(String paramString)
  {
    this.sortgroup = paramString;
  }

  public String getSortgroup()
  {
    return this.sortgroup;
  }

  public CifsTopIterStart withSortgroup(String paramString)
  {
    this.sortgroup = paramString;
    return this;
  }

  @Output("tag")
  @Type("string")
  public void setTag(String paramString)
  {
    this.tag = paramString;
  }

  public String getTag()
  {
    return this.tag;
  }

  public CifsTopIterStart withTag(String paramString)
  {
    this.tag = paramString;
    return this;
  }
}