package com.netapp.filer.clock;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.Date;

@Api("clock-get-clock")
@Status(StatusEnum.PUBLIC)
@Errno({"ECOMPLIANCECLOCKNOTSET", "EINTERNALERROR", "ESNAPLOCKNOTLICENSED"})
@Family({"ontap-c"})
public class ClockGetClock
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Boolean complianceClock;
  public Date localTime;
  public Date utcTime;

  @Input("is-compliance-clock")
  @Type("boolean")
  @Optional
  public void setComplianceClock(Boolean paramBoolean)
  {
    this.complianceClock = paramBoolean;
  }

  public Boolean isComplianceClock()
  {
    return this.complianceClock;
  }

  public ClockGetClock withComplianceClock(Boolean paramBoolean)
  {
    this.complianceClock = paramBoolean;
    return this;
  }

  @Output("local-time")
  @Type("integer")
  @Range(min="-43200", max="2^31-1")
  public void setLocalTime(Date paramDate)
  {
    this.localTime = paramDate;
  }

  public Date getLocalTime()
  {
    return this.localTime;
  }

  public ClockGetClock withLocalTime(Date paramDate)
  {
    this.localTime = paramDate;
    return this;
  }

  @Output("utc-time")
  @Type("integer")
  @Range(min="0", max="2^31-1")
  public void setUtcTime(Date paramDate)
  {
    this.utcTime = paramDate;
  }

  public Date getUtcTime()
  {
    return this.utcTime;
  }

  public ClockGetClock withUtcTime(Date paramDate)
  {
    this.utcTime = paramDate;
    return this;
  }
}