package com.netapp.filer.clock;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("clock-set-clock")
@Status(StatusEnum.PUBLIC)
@Errno({"EDATENOTSETONPARTNER", "EINTERNALERROR", "EINVALIDINPUTERROR", "ETAKENOVER"})
@Family({"ontap-c"})
public class ClockSetClock
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Boolean utcClock;
  public Integer time;

  @Input("is-utc-clock")
  @Type("boolean")
  public void setUtcClock(Boolean paramBoolean)
  {
    this.utcClock = paramBoolean;
  }

  public Boolean isUtcClock()
  {
    return this.utcClock;
  }

  public ClockSetClock withUtcClock(Boolean paramBoolean)
  {
    this.utcClock = paramBoolean;
    return this;
  }

  @Input("time")
  @Type("integer")
  @Range(min="-43200", max="2^31-1")
  public void setTime(Integer paramInteger)
  {
    this.time = paramInteger;
  }

  public Integer getTime()
  {
    return this.time;
  }

  public ClockSetClock withTime(Integer paramInteger)
  {
    this.time = paramInteger;
    return this;
  }
}