package com.netapp.filer.clone;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;

@Typedef("block-range")
public class BlockRange
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Long blockCount;
  public Long destinationBlockNumber;
  public Long sourceBlockNumber;

  @Element("block-count")
  @Type("integer")
  @Range(min="0", max="2^32-1")
  public void setBlockCount(Long paramLong)
  {
    this.blockCount = paramLong;
  }

  public Long getBlockCount()
  {
    return this.blockCount;
  }

  public BlockRange withBlockCount(Long paramLong)
  {
    this.blockCount = paramLong;
    return this;
  }

  @Element("destination-block-number")
  @Type("integer")
  @Range(min="0", max="2^32-1")
  public void setDestinationBlockNumber(Long paramLong)
  {
    this.destinationBlockNumber = paramLong;
  }

  public Long getDestinationBlockNumber()
  {
    return this.destinationBlockNumber;
  }

  public BlockRange withDestinationBlockNumber(Long paramLong)
  {
    this.destinationBlockNumber = paramLong;
    return this;
  }

  @Element("source-block-number")
  @Type("integer")
  @Range(min="0", max="2^32-1")
  public void setSourceBlockNumber(Long paramLong)
  {
    this.sourceBlockNumber = paramLong;
  }

  public Long getSourceBlockNumber()
  {
    return this.sourceBlockNumber;
  }

  public BlockRange withSourceBlockNumber(Long paramLong)
  {
    this.sourceBlockNumber = paramLong;
    return this;
  }
}