package com.netapp.filer.consistency;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("cg-start")
@Status(StatusEnum.PUBLIC)
@Errno({"ECGERROR", "EONTAPI_EAGAIN", "EONTAPI_EINVAL", "EONTAPI_ETIMEDOUT"})
@Family({"ontap-c", "vfiler"})
public class CgStart
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Long cgId;
  public String snapshot;
  public String timeout;
  public List<String> volumes;

  @Output("cg-id")
  @Type("integer")
  public void setCgId(Long paramLong)
  {
    this.cgId = paramLong;
  }

  public Long getCgId()
  {
    return this.cgId;
  }

  public CgStart withCgId(Long paramLong)
  {
    this.cgId = paramLong;
    return this;
  }

  @Input("snapshot")
  @Type("string")
  public void setSnapshot(String paramString)
  {
    this.snapshot = paramString;
  }

  public String getSnapshot()
  {
    return this.snapshot;
  }

  public CgStart withSnapshot(String paramString)
  {
    this.snapshot = paramString;
    return this;
  }

  @Input("timeout")
  @Type("string")
  @Optional
  public void setTimeout(String paramString)
  {
    this.timeout = paramString;
  }

  public String getTimeout()
  {
    return this.timeout;
  }

  public CgStart withTimeout(String paramString)
  {
    this.timeout = paramString;
    return this;
  }

  @Input("volumes")
  @Type("volume-name[]")
  public void setVolumes(List<String> paramList)
  {
    this.volumes = paramList;
  }

  public List<String> getVolumes()
  {
    return this.volumes;
  }

  public CgStart withVolumes(List<String> paramList)
  {
    this.volumes = paramList;
    return this;
  }

  public CgStart withVolumes(String[] paramArrayOfString)
  {
    this.volumes = new ArrayList(Arrays.asList(paramArrayOfString));
    return this;
  }
}