package com.netapp.filer.coredump;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.util.Date;

@Typedef("core-detail-info")
public class CoreDetailInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Integer attempts;
  public Long coreid;
  public String corename;
  public Long fsBytesNeeded;
  public Boolean partial;
  public Boolean saved;
  public String osVersion;
  public String panicString;
  public Date panicTime;
  public Integer sysid;

  @Element("attempts")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^31-1")
  public void setAttempts(Integer paramInteger)
  {
    this.attempts = paramInteger;
  }

  public Integer getAttempts()
  {
    return this.attempts;
  }

  public CoreDetailInfo withAttempts(Integer paramInteger)
  {
    this.attempts = paramInteger;
    return this;
  }

  @Element("coreid")
  @Type("integer")
  @Range(min="0", max="2^63-1")
  public void setCoreid(Long paramLong)
  {
    this.coreid = paramLong;
  }

  public Long getCoreid()
  {
    return this.coreid;
  }

  public CoreDetailInfo withCoreid(Long paramLong)
  {
    this.coreid = paramLong;
    return this;
  }

  @Element("corename")
  @Type("string")
  public void setCorename(String paramString)
  {
    this.corename = paramString;
  }

  public String getCorename()
  {
    return this.corename;
  }

  public CoreDetailInfo withCorename(String paramString)
  {
    this.corename = paramString;
    return this;
  }

  @Element("fs-bytes-needed")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^63-1")
  public void setFsBytesNeeded(Long paramLong)
  {
    this.fsBytesNeeded = paramLong;
  }

  public Long getFsBytesNeeded()
  {
    return this.fsBytesNeeded;
  }

  public CoreDetailInfo withFsBytesNeeded(Long paramLong)
  {
    this.fsBytesNeeded = paramLong;
    return this;
  }

  @Element("is-partial")
  @Type("boolean")
  @Optional
  public void setPartial(Boolean paramBoolean)
  {
    this.partial = paramBoolean;
  }

  public Boolean isPartial()
  {
    return this.partial;
  }

  public CoreDetailInfo withPartial(Boolean paramBoolean)
  {
    this.partial = paramBoolean;
    return this;
  }

  @Element("is-saved")
  @Type("boolean")
  public void setSaved(Boolean paramBoolean)
  {
    this.saved = paramBoolean;
  }

  public Boolean isSaved()
  {
    return this.saved;
  }

  public CoreDetailInfo withSaved(Boolean paramBoolean)
  {
    this.saved = paramBoolean;
    return this;
  }

  @Element("os-version")
  @Type("string")
  public void setOsVersion(String paramString)
  {
    this.osVersion = paramString;
  }

  public String getOsVersion()
  {
    return this.osVersion;
  }

  public CoreDetailInfo withOsVersion(String paramString)
  {
    this.osVersion = paramString;
    return this;
  }

  @Element("panic-string")
  @Type("string")
  public void setPanicString(String paramString)
  {
    this.panicString = paramString;
  }

  public String getPanicString()
  {
    return this.panicString;
  }

  public CoreDetailInfo withPanicString(String paramString)
  {
    this.panicString = paramString;
    return this;
  }

  @Element("panic-time")
  @Type("integer")
  @Range(min="0", max="2^31-1")
  public void setPanicTime(Date paramDate)
  {
    this.panicTime = paramDate;
  }

  public Date getPanicTime()
  {
    return this.panicTime;
  }

  public CoreDetailInfo withPanicTime(Date paramDate)
  {
    this.panicTime = paramDate;
    return this;
  }

  @Element("sysid")
  @Type("integer")
  @Range(min="0", max="2^31-1")
  public void setSysid(Integer paramInteger)
  {
    this.sysid = paramInteger;
  }

  public Integer getSysid()
  {
    return this.sysid;
  }

  public CoreDetailInfo withSysid(Integer paramInteger)
  {
    this.sysid = paramInteger;
    return this;
  }
}