package com.netapp.filer.coredump;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("coredump-list-cores-iter-next")
@Status(StatusEnum.PUBLIC)
@Errno({"ECOREDUMPBUSY", "EINTERNALERROR", "ELOWMEMORY"})
@Family({"ontap-d"})
public class CoredumpListCoresIterNext
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<CoreDetailInfo> coreDetails;
  public Long maximum;
  public String nextTag;
  public Long records;
  public String tag;

  @Output("core-details")
  @Type("core-detail-info[]")
  public void setCoreDetails(List<CoreDetailInfo> paramList)
  {
    this.coreDetails = paramList;
  }

  public List<CoreDetailInfo> getCoreDetails()
  {
    return this.coreDetails;
  }

  public CoredumpListCoresIterNext withCoreDetails(List<CoreDetailInfo> paramList)
  {
    this.coreDetails = paramList;
    return this;
  }

  public CoredumpListCoresIterNext withCoreDetails(CoreDetailInfo[] paramArrayOfCoreDetailInfo)
  {
    this.coreDetails = new ArrayList(Arrays.asList(paramArrayOfCoreDetailInfo));
    return this;
  }

  @Input("maximum")
  @Type("integer")
  public void setMaximum(Long paramLong)
  {
    this.maximum = paramLong;
  }

  public Long getMaximum()
  {
    return this.maximum;
  }

  public CoredumpListCoresIterNext withMaximum(Long paramLong)
  {
    this.maximum = paramLong;
    return this;
  }

  @Output("next-tag")
  @Type("string")
  public void setNextTag(String paramString)
  {
    this.nextTag = paramString;
  }

  public String getNextTag()
  {
    return this.nextTag;
  }

  public CoredumpListCoresIterNext withNextTag(String paramString)
  {
    this.nextTag = paramString;
    return this;
  }

  @Output("records")
  @Type("integer")
  public void setRecords(Long paramLong)
  {
    this.records = paramLong;
  }

  public Long getRecords()
  {
    return this.records;
  }

  public CoredumpListCoresIterNext withRecords(Long paramLong)
  {
    this.records = paramLong;
    return this;
  }

  @Input("tag")
  @Type("string")
  public void setTag(String paramString)
  {
    this.tag = paramString;
  }

  public String getTag()
  {
    return this.tag;
  }

  public CoredumpListCoresIterNext withTag(String paramString)
  {
    this.tag = paramString;
    return this;
  }
}