package com.netapp.filer.dfm;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("dfm-set-server-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR", "EONTAPI_EEXIST", "EONTAPI_EINVAL"})
@Family({"ontap-c", "vfiler"})
public class DfmSetServerInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String dfmServer;
  public Boolean force;
  public Boolean dfmCrossLinked;
  public Integer port;
  public String protocol;

  @Input("dfm-server")
  @Type("string")
  @Optional
  public void setDfmServer(String paramString)
  {
    this.dfmServer = paramString;
  }

  public String getDfmServer()
  {
    return this.dfmServer;
  }

  public DfmSetServerInfo withDfmServer(String paramString)
  {
    this.dfmServer = paramString;
    return this;
  }

  @Input("force")
  @Type("boolean")
  @Optional
  public void setForce(Boolean paramBoolean)
  {
    this.force = paramBoolean;
  }

  public Boolean isForce()
  {
    return this.force;
  }

  public DfmSetServerInfo withForce(Boolean paramBoolean)
  {
    this.force = paramBoolean;
    return this;
  }

  @Input("is-dfm-cross-linked")
  @Type("boolean")
  @Optional
  public void setDfmCrossLinked(Boolean paramBoolean)
  {
    this.dfmCrossLinked = paramBoolean;
  }

  public Boolean isDfmCrossLinked()
  {
    return this.dfmCrossLinked;
  }

  public DfmSetServerInfo withDfmCrossLinked(Boolean paramBoolean)
  {
    this.dfmCrossLinked = paramBoolean;
    return this;
  }

  @Input("port")
  @Type("integer")
  @Optional
  @Range(min="1", max="2^16-1")
  public void setPort(Integer paramInteger)
  {
    this.port = paramInteger;
  }

  public Integer getPort()
  {
    return this.port;
  }

  public DfmSetServerInfo withPort(Integer paramInteger)
  {
    this.port = paramInteger;
    return this;
  }

  @Input("protocol")
  @Type("string")
  @Optional
  public void setProtocol(String paramString)
  {
    this.protocol = paramString;
  }

  public String getProtocol()
  {
    return this.protocol;
  }

  public DfmSetServerInfo withProtocol(String paramString)
  {
    this.protocol = paramString;
    return this;
  }
}