package com.netapp.filer.disk;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("disk-fail")
@Status(StatusEnum.PUBLIC)
@Errno({"EDISKINRAIDZEROVOL", "EDISKISSPARE", "EDISKNOTFOUND", "EINTERNALERROR", "ENOTDISKOWNER", "ENOTSTARTED", "EOPNOTSUPPORTED", "ESAVECOREDISK", "ESWAPINPROGRESS"})
@Family({"ontap-c", "ontap-d"})
public class DiskFail
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String disk;
  public Boolean immediate;

  @Input("disk")
  @Type("string")
  public void setDisk(String paramString)
  {
    this.disk = paramString;
  }

  public String getDisk()
  {
    return this.disk;
  }

  public DiskFail withDisk(String paramString)
  {
    this.disk = paramString;
    return this;
  }

  @Input("is-immediate")
  @Type("boolean")
  @Optional
  public void setImmediate(Boolean paramBoolean)
  {
    this.immediate = paramBoolean;
  }

  public Boolean isImmediate()
  {
    return this.immediate;
  }

  public DiskFail withImmediate(Boolean paramBoolean)
  {
    this.immediate = paramBoolean;
    return this;
  }
}