package com.netapp.filer.disk;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;

@Typedef("disk-sanown-filer-detail-info")
public class DiskSanownFilerDetailInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Long filerId;
  public String filerName;

  @Element("filer-id")
  @Type("integer")
  @Range(min="0", max="2^32-1")
  public void setFilerId(Long paramLong)
  {
    this.filerId = paramLong;
  }

  public Long getFilerId()
  {
    return this.filerId;
  }

  public DiskSanownFilerDetailInfo withFilerId(Long paramLong)
  {
    this.filerId = paramLong;
    return this;
  }

  @Element("filer-name")
  @Type("string")
  @Optional
  public void setFilerName(String paramString)
  {
    this.filerName = paramString;
  }

  public String getFilerName()
  {
    return this.filerName;
  }

  public DiskSanownFilerDetailInfo withFilerName(String paramString)
  {
    this.filerName = paramString;
    return this;
  }
}