package com.netapp.filer.disk;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("disk-sanown-list-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EDISKNOTFOUND", "EINTERNALERROR"})
@Family({"ontap-c", "ontap-d"})
public class DiskSanownListInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String disk;
  public List<DiskSanownDetailInfo> diskSanownDetails;
  public String ownershipType;

  @Input("disk")
  @Type("string")
  @Optional
  public void setDisk(String paramString)
  {
    this.disk = paramString;
  }

  public String getDisk()
  {
    return this.disk;
  }

  public DiskSanownListInfo withDisk(String paramString)
  {
    this.disk = paramString;
    return this;
  }

  @Output("disk-sanown-details")
  @Type("disk-sanown-detail-info[]")
  public void setDiskSanownDetails(List<DiskSanownDetailInfo> paramList)
  {
    this.diskSanownDetails = paramList;
  }

  public List<DiskSanownDetailInfo> getDiskSanownDetails()
  {
    return this.diskSanownDetails;
  }

  public DiskSanownListInfo withDiskSanownDetails(List<DiskSanownDetailInfo> paramList)
  {
    this.diskSanownDetails = paramList;
    return this;
  }

  public DiskSanownListInfo withDiskSanownDetails(DiskSanownDetailInfo[] paramArrayOfDiskSanownDetailInfo)
  {
    this.diskSanownDetails = new ArrayList(Arrays.asList(paramArrayOfDiskSanownDetailInfo));
    return this;
  }

  @Input("ownership-type")
  @Type("string")
  @Optional
  public void setOwnershipType(String paramString)
  {
    this.ownershipType = paramString;
  }

  public String getOwnershipType()
  {
    return this.ownershipType;
  }

  public DiskSanownListInfo withOwnershipType(String paramString)
  {
    this.ownershipType = paramString;
    return this;
  }
}