package com.netapp.filer.disk;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;

@Typedef("v-series-detail-info")
public class VSeriesDetailInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String alternateArrayPortWwn;
  public String alternateArraySwitchPortWwn;
  public String alternateControllerPortWwn;
  public Long alternateLunNumber;
  public String alternateSwitchName;
  public Integer alternateSwitchPort;
  public String primaryArrayPortWwn;
  public String primaryArraySwitchPortWwn;
  public String primaryControllerPortWwn;
  public Long primaryLunNumber;
  public String primarySwitchName;
  public Integer primarySwitchPort;
  public String productId;

  @Element("alternate-array-port-wwn")
  @Type("string")
  public void setAlternateArrayPortWwn(String paramString)
  {
    this.alternateArrayPortWwn = paramString;
  }

  public String getAlternateArrayPortWwn()
  {
    return this.alternateArrayPortWwn;
  }

  public VSeriesDetailInfo withAlternateArrayPortWwn(String paramString)
  {
    this.alternateArrayPortWwn = paramString;
    return this;
  }

  @Element("alternate-array-switch-port-wwn")
  @Type("string")
  @Optional
  public void setAlternateArraySwitchPortWwn(String paramString)
  {
    this.alternateArraySwitchPortWwn = paramString;
  }

  public String getAlternateArraySwitchPortWwn()
  {
    return this.alternateArraySwitchPortWwn;
  }

  public VSeriesDetailInfo withAlternateArraySwitchPortWwn(String paramString)
  {
    this.alternateArraySwitchPortWwn = paramString;
    return this;
  }

  @Element("alternate-controller-port-wwn")
  @Type("string")
  public void setAlternateControllerPortWwn(String paramString)
  {
    this.alternateControllerPortWwn = paramString;
  }

  public String getAlternateControllerPortWwn()
  {
    return this.alternateControllerPortWwn;
  }

  public VSeriesDetailInfo withAlternateControllerPortWwn(String paramString)
  {
    this.alternateControllerPortWwn = paramString;
    return this;
  }

  @Element("alternate-lun-number")
  @Type("integer")
  public void setAlternateLunNumber(Long paramLong)
  {
    this.alternateLunNumber = paramLong;
  }

  public Long getAlternateLunNumber()
  {
    return this.alternateLunNumber;
  }

  public VSeriesDetailInfo withAlternateLunNumber(Long paramLong)
  {
    this.alternateLunNumber = paramLong;
    return this;
  }

  @Element("alternate-switch-name")
  @Type("string")
  @Optional
  public void setAlternateSwitchName(String paramString)
  {
    this.alternateSwitchName = paramString;
  }

  public String getAlternateSwitchName()
  {
    return this.alternateSwitchName;
  }

  public VSeriesDetailInfo withAlternateSwitchName(String paramString)
  {
    this.alternateSwitchName = paramString;
    return this;
  }

  @Element("alternate-switch-port")
  @Type("integer")
  @Optional
  @Range(min="0", max="1024")
  public void setAlternateSwitchPort(Integer paramInteger)
  {
    this.alternateSwitchPort = paramInteger;
  }

  public Integer getAlternateSwitchPort()
  {
    return this.alternateSwitchPort;
  }

  public VSeriesDetailInfo withAlternateSwitchPort(Integer paramInteger)
  {
    this.alternateSwitchPort = paramInteger;
    return this;
  }

  @Element("primary-array-port-wwn")
  @Type("string")
  public void setPrimaryArrayPortWwn(String paramString)
  {
    this.primaryArrayPortWwn = paramString;
  }

  public String getPrimaryArrayPortWwn()
  {
    return this.primaryArrayPortWwn;
  }

  public VSeriesDetailInfo withPrimaryArrayPortWwn(String paramString)
  {
    this.primaryArrayPortWwn = paramString;
    return this;
  }

  @Element("primary-array-switch-port-wwn")
  @Type("string")
  @Optional
  public void setPrimaryArraySwitchPortWwn(String paramString)
  {
    this.primaryArraySwitchPortWwn = paramString;
  }

  public String getPrimaryArraySwitchPortWwn()
  {
    return this.primaryArraySwitchPortWwn;
  }

  public VSeriesDetailInfo withPrimaryArraySwitchPortWwn(String paramString)
  {
    this.primaryArraySwitchPortWwn = paramString;
    return this;
  }

  @Element("primary-controller-port-wwn")
  @Type("string")
  public void setPrimaryControllerPortWwn(String paramString)
  {
    this.primaryControllerPortWwn = paramString;
  }

  public String getPrimaryControllerPortWwn()
  {
    return this.primaryControllerPortWwn;
  }

  public VSeriesDetailInfo withPrimaryControllerPortWwn(String paramString)
  {
    this.primaryControllerPortWwn = paramString;
    return this;
  }

  @Element("primary-lun-number")
  @Type("integer")
  public void setPrimaryLunNumber(Long paramLong)
  {
    this.primaryLunNumber = paramLong;
  }

  public Long getPrimaryLunNumber()
  {
    return this.primaryLunNumber;
  }

  public VSeriesDetailInfo withPrimaryLunNumber(Long paramLong)
  {
    this.primaryLunNumber = paramLong;
    return this;
  }

  @Element("primary-switch-name")
  @Type("string")
  @Optional
  public void setPrimarySwitchName(String paramString)
  {
    this.primarySwitchName = paramString;
  }

  public String getPrimarySwitchName()
  {
    return this.primarySwitchName;
  }

  public VSeriesDetailInfo withPrimarySwitchName(String paramString)
  {
    this.primarySwitchName = paramString;
    return this;
  }

  @Element("primary-switch-port")
  @Type("integer")
  @Optional
  @Range(min="0", max="1024")
  public void setPrimarySwitchPort(Integer paramInteger)
  {
    this.primarySwitchPort = paramInteger;
  }

  public Integer getPrimarySwitchPort()
  {
    return this.primarySwitchPort;
  }

  public VSeriesDetailInfo withPrimarySwitchPort(Integer paramInteger)
  {
    this.primarySwitchPort = paramInteger;
    return this;
  }

  @Element("product-id")
  @Type("string")
  public void setProductId(String paramString)
  {
    this.productId = paramString;
  }

  public String getProductId()
  {
    return this.productId;
  }

  public VSeriesDetailInfo withProductId(String paramString)
  {
    this.productId = paramString;
    return this;
  }
}