package com.netapp.filer.dsnapshot;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("d-snapshot-create")
@Status(StatusEnum.PUBLIC)
@Errno({"EAGGRDOESNOTEXIST", "EAGGRFAILINGOVER", "EAGGRMISMATCH", "EAGGRNOTONLINE", "EAMBIGUOUS_DSID", "EINTERNALERROR", "EINVALIDDSID", "EINVALIDINPUTERROR", "EINVALIDMSID", "ELOCALREVERT", "ELOWMEMORY", "ESNAPSHOTEXISTS", "ESNAPSHOTEXISTSPARTIAL", "ESNAPSHOTNOSPACE", "ESNAPSHOTNOTALLOWED", "EVOLUMEDOESNOTEXIST", "EVOLUMEOFFLINE", "EVOLUMEREADONLY"})
@Family({"ontap-d"})
public class DSnapshotCreate
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Boolean async;
  public String containingAggregateUuid;
  public String snapId;
  public String snapMsid;
  public String snapName;
  public String volId;

  @Input("async")
  @Type("boolean")
  @Optional
  public void setAsync(Boolean paramBoolean)
  {
    this.async = paramBoolean;
  }

  public Boolean isAsync()
  {
    return this.async;
  }

  public DSnapshotCreate withAsync(Boolean paramBoolean)
  {
    this.async = paramBoolean;
    return this;
  }

  @Input("containing-aggregate-uuid")
  @Type("string")
  @Optional
  public void setContainingAggregateUuid(String paramString)
  {
    this.containingAggregateUuid = paramString;
  }

  public String getContainingAggregateUuid()
  {
    return this.containingAggregateUuid;
  }

  public DSnapshotCreate withContainingAggregateUuid(String paramString)
  {
    this.containingAggregateUuid = paramString;
    return this;
  }

  @Input("snap-id")
  @Type("string")
  public void setSnapId(String paramString)
  {
    this.snapId = paramString;
  }

  public String getSnapId()
  {
    return this.snapId;
  }

  public DSnapshotCreate withSnapId(String paramString)
  {
    this.snapId = paramString;
    return this;
  }

  @Input("snap-msid")
  @Type("string")
  public void setSnapMsid(String paramString)
  {
    this.snapMsid = paramString;
  }

  public String getSnapMsid()
  {
    return this.snapMsid;
  }

  public DSnapshotCreate withSnapMsid(String paramString)
  {
    this.snapMsid = paramString;
    return this;
  }

  @Input("snap-name")
  @Type("string")
  public void setSnapName(String paramString)
  {
    this.snapName = paramString;
  }

  public String getSnapName()
  {
    return this.snapName;
  }

  public DSnapshotCreate withSnapName(String paramString)
  {
    this.snapName = paramString;
    return this;
  }

  @Input("vol-id")
  @Type("string")
  public void setVolId(String paramString)
  {
    this.volId = paramString;
  }

  public String getVolId()
  {
    return this.volId;
  }

  public DSnapshotCreate withVolId(String paramString)
  {
    this.volId = paramString;
    return this;
  }
}