package com.netapp.filer.dsnapshot;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Date;
import java.util.List;

@Typedef("d-snapshot-info")
public class DSnapshotInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Date accessTime;
  public Boolean busy;
  public Long cpCount;
  public Long cumulativePercentageOfTotalBlocks;
  public Long cumulativePercentageOfUsedBlocks;
  public Long cumulativeTotal;
  public String dependency;
  public Long index;
  public String name;
  public List<DSnapshotOwner> owners;
  public Long percentageOfTotalBlocks;
  public Long percentageOfUsedBlocks;
  public String snapId;
  public String snapMsid;
  public Long total;
  public String uniqVolumeUuid;
  public String volumeDsid;

  @Element("access-time")
  @Type("integer")
  @Optional
  public void setAccessTime(Date paramDate)
  {
    this.accessTime = paramDate;
  }

  public Date getAccessTime()
  {
    return this.accessTime;
  }

  public DSnapshotInfo withAccessTime(Date paramDate)
  {
    this.accessTime = paramDate;
    return this;
  }

  @Element("busy")
  @Type("boolean")
  @Optional
  public void setBusy(Boolean paramBoolean)
  {
    this.busy = paramBoolean;
  }

  public Boolean isBusy()
  {
    return this.busy;
  }

  public DSnapshotInfo withBusy(Boolean paramBoolean)
  {
    this.busy = paramBoolean;
    return this;
  }

  @Element("cp-count")
  @Type("integer")
  @Optional
  public void setCpCount(Long paramLong)
  {
    this.cpCount = paramLong;
  }

  public Long getCpCount()
  {
    return this.cpCount;
  }

  public DSnapshotInfo withCpCount(Long paramLong)
  {
    this.cpCount = paramLong;
    return this;
  }

  @Element("cumulative-percentage-of-total-blocks")
  @Type("integer")
  @Optional
  public void setCumulativePercentageOfTotalBlocks(Long paramLong)
  {
    this.cumulativePercentageOfTotalBlocks = paramLong;
  }

  public Long getCumulativePercentageOfTotalBlocks()
  {
    return this.cumulativePercentageOfTotalBlocks;
  }

  public DSnapshotInfo withCumulativePercentageOfTotalBlocks(Long paramLong)
  {
    this.cumulativePercentageOfTotalBlocks = paramLong;
    return this;
  }

  @Element("cumulative-percentage-of-used-blocks")
  @Type("integer")
  @Optional
  public void setCumulativePercentageOfUsedBlocks(Long paramLong)
  {
    this.cumulativePercentageOfUsedBlocks = paramLong;
  }

  public Long getCumulativePercentageOfUsedBlocks()
  {
    return this.cumulativePercentageOfUsedBlocks;
  }

  public DSnapshotInfo withCumulativePercentageOfUsedBlocks(Long paramLong)
  {
    this.cumulativePercentageOfUsedBlocks = paramLong;
    return this;
  }

  @Element("cumulative-total")
  @Type("integer")
  @Optional
  public void setCumulativeTotal(Long paramLong)
  {
    this.cumulativeTotal = paramLong;
  }

  public Long getCumulativeTotal()
  {
    return this.cumulativeTotal;
  }

  public DSnapshotInfo withCumulativeTotal(Long paramLong)
  {
    this.cumulativeTotal = paramLong;
    return this;
  }

  @Element("dependency")
  @Type("string")
  @Optional
  public void setDependency(String paramString)
  {
    this.dependency = paramString;
  }

  public String getDependency()
  {
    return this.dependency;
  }

  public DSnapshotInfo withDependency(String paramString)
  {
    this.dependency = paramString;
    return this;
  }

  @Element("index")
  @Type("integer")
  @Optional
  public void setIndex(Long paramLong)
  {
    this.index = paramLong;
  }

  public Long getIndex()
  {
    return this.index;
  }

  public DSnapshotInfo withIndex(Long paramLong)
  {
    this.index = paramLong;
    return this;
  }

  @Element("name")
  @Type("string")
  @Optional
  public void setName(String paramString)
  {
    this.name = paramString;
  }

  public String getName()
  {
    return this.name;
  }

  public DSnapshotInfo withName(String paramString)
  {
    this.name = paramString;
    return this;
  }

  @Element("owners")
  @Type("d-snapshot-owner[]")
  @Optional
  public void setOwners(List<DSnapshotOwner> paramList)
  {
    this.owners = paramList;
  }

  public List<DSnapshotOwner> getOwners()
  {
    return this.owners;
  }

  public DSnapshotInfo withOwners(List<DSnapshotOwner> paramList)
  {
    this.owners = paramList;
    return this;
  }

  public DSnapshotInfo withOwners(DSnapshotOwner[] paramArrayOfDSnapshotOwner)
  {
    this.owners = new ArrayList(Arrays.asList(paramArrayOfDSnapshotOwner));
    return this;
  }

  @Element("percentage-of-total-blocks")
  @Type("integer")
  @Optional
  public void setPercentageOfTotalBlocks(Long paramLong)
  {
    this.percentageOfTotalBlocks = paramLong;
  }

  public Long getPercentageOfTotalBlocks()
  {
    return this.percentageOfTotalBlocks;
  }

  public DSnapshotInfo withPercentageOfTotalBlocks(Long paramLong)
  {
    this.percentageOfTotalBlocks = paramLong;
    return this;
  }

  @Element("percentage-of-used-blocks")
  @Type("integer")
  @Optional
  public void setPercentageOfUsedBlocks(Long paramLong)
  {
    this.percentageOfUsedBlocks = paramLong;
  }

  public Long getPercentageOfUsedBlocks()
  {
    return this.percentageOfUsedBlocks;
  }

  public DSnapshotInfo withPercentageOfUsedBlocks(Long paramLong)
  {
    this.percentageOfUsedBlocks = paramLong;
    return this;
  }

  @Element("snap-id")
  @Type("string")
  @Optional
  public void setSnapId(String paramString)
  {
    this.snapId = paramString;
  }

  public String getSnapId()
  {
    return this.snapId;
  }

  public DSnapshotInfo withSnapId(String paramString)
  {
    this.snapId = paramString;
    return this;
  }

  @Element("snap-msid")
  @Type("string")
  @Optional
  public void setSnapMsid(String paramString)
  {
    this.snapMsid = paramString;
  }

  public String getSnapMsid()
  {
    return this.snapMsid;
  }

  public DSnapshotInfo withSnapMsid(String paramString)
  {
    this.snapMsid = paramString;
    return this;
  }

  @Element("total")
  @Type("integer")
  @Optional
  public void setTotal(Long paramLong)
  {
    this.total = paramLong;
  }

  public Long getTotal()
  {
    return this.total;
  }

  public DSnapshotInfo withTotal(Long paramLong)
  {
    this.total = paramLong;
    return this;
  }

  @Element("uniq-volume-uuid")
  @Type("string")
  @Optional
  public void setUniqVolumeUuid(String paramString)
  {
    this.uniqVolumeUuid = paramString;
  }

  public String getUniqVolumeUuid()
  {
    return this.uniqVolumeUuid;
  }

  public DSnapshotInfo withUniqVolumeUuid(String paramString)
  {
    this.uniqVolumeUuid = paramString;
    return this;
  }

  @Element("volume-dsid")
  @Type("string")
  @Optional
  public void setVolumeDsid(String paramString)
  {
    this.volumeDsid = paramString;
  }

  public String getVolumeDsid()
  {
    return this.volumeDsid;
  }

  public DSnapshotInfo withVolumeDsid(String paramString)
  {
    this.volumeDsid = paramString;
    return this;
  }
}