package com.netapp.filer.dsnapshot;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("d-snapshot-list-info-iter-start")
@Status(StatusEnum.PUBLIC)
@Errno({"EAGGRDOESNOTEXIST", "EAGGRFAILINGOVER", "EAGGRMISMATCH", "EAGGRNOTONLINE", "EAMBIGUOUS_DSID", "EINTERNALERROR", "EINVALIDDSID", "EINVALIDINPUTERROR", "ELOWMEMORY", "EVOLUMEBUSY", "EVOLUMEDOESNOTEXIST", "EVOLUMEOFFLINE", "EVOLUMEQUIESCED"})
@Family({"ontap-d"})
public class DSnapshotListInfoIterStart
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String containingAggregateUuid;
  public String desiredAttrs;
  public Boolean endOfList;
  public Long maximumRecords;
  public String nextTag;
  public Long numRecordsRetrieved;
  public List<DSnapshotInfo> snapshotAttrs;
  public String volId;

  @Input("containing-aggregate-uuid")
  @Type("string")
  @Optional
  public void setContainingAggregateUuid(String paramString)
  {
    this.containingAggregateUuid = paramString;
  }

  public String getContainingAggregateUuid()
  {
    return this.containingAggregateUuid;
  }

  public DSnapshotListInfoIterStart withContainingAggregateUuid(String paramString)
  {
    this.containingAggregateUuid = paramString;
    return this;
  }

  @Input("desired-attrs")
  @Type("string")
  @Optional
  public void setDesiredAttrs(String paramString)
  {
    this.desiredAttrs = paramString;
  }

  public String getDesiredAttrs()
  {
    return this.desiredAttrs;
  }

  public DSnapshotListInfoIterStart withDesiredAttrs(String paramString)
  {
    this.desiredAttrs = paramString;
    return this;
  }

  @Output("is-end-of-list")
  @Type("boolean")
  public void setEndOfList(Boolean paramBoolean)
  {
    this.endOfList = paramBoolean;
  }

  public Boolean isEndOfList()
  {
    return this.endOfList;
  }

  public DSnapshotListInfoIterStart withEndOfList(Boolean paramBoolean)
  {
    this.endOfList = paramBoolean;
    return this;
  }

  @Input("maximum-records")
  @Type("integer")
  public void setMaximumRecords(Long paramLong)
  {
    this.maximumRecords = paramLong;
  }

  public Long getMaximumRecords()
  {
    return this.maximumRecords;
  }

  public DSnapshotListInfoIterStart withMaximumRecords(Long paramLong)
  {
    this.maximumRecords = paramLong;
    return this;
  }

  @Output("next-tag")
  @Type("string")
  public void setNextTag(String paramString)
  {
    this.nextTag = paramString;
  }

  public String getNextTag()
  {
    return this.nextTag;
  }

  public DSnapshotListInfoIterStart withNextTag(String paramString)
  {
    this.nextTag = paramString;
    return this;
  }

  @Output("num-records-retrieved")
  @Type("integer")
  public void setNumRecordsRetrieved(Long paramLong)
  {
    this.numRecordsRetrieved = paramLong;
  }

  public Long getNumRecordsRetrieved()
  {
    return this.numRecordsRetrieved;
  }

  public DSnapshotListInfoIterStart withNumRecordsRetrieved(Long paramLong)
  {
    this.numRecordsRetrieved = paramLong;
    return this;
  }

  @Output("snapshot-attrs")
  @Type("d-snapshot-info[]")
  public void setSnapshotAttrs(List<DSnapshotInfo> paramList)
  {
    this.snapshotAttrs = paramList;
  }

  public List<DSnapshotInfo> getSnapshotAttrs()
  {
    return this.snapshotAttrs;
  }

  public DSnapshotListInfoIterStart withSnapshotAttrs(List<DSnapshotInfo> paramList)
  {
    this.snapshotAttrs = paramList;
    return this;
  }

  public DSnapshotListInfoIterStart withSnapshotAttrs(DSnapshotInfo[] paramArrayOfDSnapshotInfo)
  {
    this.snapshotAttrs = new ArrayList(Arrays.asList(paramArrayOfDSnapshotInfo));
    return this;
  }

  @Input("vol-id")
  @Type("string")
  public void setVolId(String paramString)
  {
    this.volId = paramString;
  }

  public String getVolId()
  {
    return this.volId;
  }

  public DSnapshotListInfoIterStart withVolId(String paramString)
  {
    this.volId = paramString;
    return this;
  }
}