package com.netapp.filer.dsnapshot;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("d-snapshot-restore-file")
@Status(StatusEnum.PUBLIC)
@Errno({"EAGGRDOESNOTEXIST", "EAGGRFAILINGOVER", "EAGGRMISMATCH", "EAGGRNOTONLINE", "EAMBIGUOUS_DSID", "EINTERNALERROR", "EINVALIDDSID", "EINVALIDINPUTERROR", "EOPNOTSUPPORTED"})
@Family({"ontap-d"})
public class DSnapshotRestoreFile
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String containingAggregateUuid;
  public String path;
  public String restorePath;
  public String snapId;
  public String uniqVolumeUuid;

  @Input("containing-aggregate-uuid")
  @Type("string")
  @Optional
  public void setContainingAggregateUuid(String paramString)
  {
    this.containingAggregateUuid = paramString;
  }

  public String getContainingAggregateUuid()
  {
    return this.containingAggregateUuid;
  }

  public DSnapshotRestoreFile withContainingAggregateUuid(String paramString)
  {
    this.containingAggregateUuid = paramString;
    return this;
  }

  @Input("path")
  @Type("string")
  public void setPath(String paramString)
  {
    this.path = paramString;
  }

  public String getPath()
  {
    return this.path;
  }

  public DSnapshotRestoreFile withPath(String paramString)
  {
    this.path = paramString;
    return this;
  }

  @Input("restore-path")
  @Type("string")
  @Optional
  public void setRestorePath(String paramString)
  {
    this.restorePath = paramString;
  }

  public String getRestorePath()
  {
    return this.restorePath;
  }

  public DSnapshotRestoreFile withRestorePath(String paramString)
  {
    this.restorePath = paramString;
    return this;
  }

  @Input("snap-id")
  @Type("string")
  public void setSnapId(String paramString)
  {
    this.snapId = paramString;
  }

  public String getSnapId()
  {
    return this.snapId;
  }

  public DSnapshotRestoreFile withSnapId(String paramString)
  {
    this.snapId = paramString;
    return this;
  }

  @Input("uniq-volume-uuid")
  @Type("string")
  @Optional
  public void setUniqVolumeUuid(String paramString)
  {
    this.uniqVolumeUuid = paramString;
  }

  public String getUniqVolumeUuid()
  {
    return this.uniqVolumeUuid;
  }

  public DSnapshotRestoreFile withUniqVolumeUuid(String paramString)
  {
    this.uniqVolumeUuid = paramString;
    return this;
  }
}