package com.netapp.filer.dstriping;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Typedef("d-striping-table-info")
public class DStripingTableInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Long algorithm;
  public Long dvCount;
  public Long dvCountOrig;
  public List<Long> dvList;
  public Integer epoch;
  public Long mdvDsid;
  public String msid;
  public Long stripeWidth;
  public List<String> stripingTable;
  public Long tableSize;

  @Element("algorithm")
  @Type("integer")
  @Range(min="0", max="2^32-1")
  public void setAlgorithm(Long paramLong)
  {
    this.algorithm = paramLong;
  }

  public Long getAlgorithm()
  {
    return this.algorithm;
  }

  public DStripingTableInfo withAlgorithm(Long paramLong)
  {
    this.algorithm = paramLong;
    return this;
  }

  @Element("dv-count")
  @Type("integer")
  @Range(min="0", max="2^32-1")
  public void setDvCount(Long paramLong)
  {
    this.dvCount = paramLong;
  }

  public Long getDvCount()
  {
    return this.dvCount;
  }

  public DStripingTableInfo withDvCount(Long paramLong)
  {
    this.dvCount = paramLong;
    return this;
  }

  @Element("dv-count-orig")
  @Type("integer")
  @Range(min="0", max="2^32-1")
  public void setDvCountOrig(Long paramLong)
  {
    this.dvCountOrig = paramLong;
  }

  public Long getDvCountOrig()
  {
    return this.dvCountOrig;
  }

  public DStripingTableInfo withDvCountOrig(Long paramLong)
  {
    this.dvCountOrig = paramLong;
    return this;
  }

  @Element("dv-list")
  @Type("integer[]")
  @Range(min="0", max="2^32-1")
  public void setDvList(List<Long> paramList)
  {
    this.dvList = paramList;
  }

  public List<Long> getDvList()
  {
    return this.dvList;
  }

  public DStripingTableInfo withDvList(List<Long> paramList)
  {
    this.dvList = paramList;
    return this;
  }

  public DStripingTableInfo withDvList(Long[] paramArrayOfLong)
  {
    this.dvList = new ArrayList(Arrays.asList(paramArrayOfLong));
    return this;
  }

  @Element("epoch")
  @Type("integer")
  @Range(min="0", max="255")
  public void setEpoch(Integer paramInteger)
  {
    this.epoch = paramInteger;
  }

  public Integer getEpoch()
  {
    return this.epoch;
  }

  public DStripingTableInfo withEpoch(Integer paramInteger)
  {
    this.epoch = paramInteger;
    return this;
  }

  @Element("mdv-dsid")
  @Type("integer")
  @Range(min="0", max="2^32-1")
  public void setMdvDsid(Long paramLong)
  {
    this.mdvDsid = paramLong;
  }

  public Long getMdvDsid()
  {
    return this.mdvDsid;
  }

  public DStripingTableInfo withMdvDsid(Long paramLong)
  {
    this.mdvDsid = paramLong;
    return this;
  }

  @Element("msid")
  @Type("string")
  public void setMsid(String paramString)
  {
    this.msid = paramString;
  }

  public String getMsid()
  {
    return this.msid;
  }

  public DStripingTableInfo withMsid(String paramString)
  {
    this.msid = paramString;
    return this;
  }

  @Element("stripe-width")
  @Type("integer")
  @Range(min="0", max="2^32-1")
  public void setStripeWidth(Long paramLong)
  {
    this.stripeWidth = paramLong;
  }

  public Long getStripeWidth()
  {
    return this.stripeWidth;
  }

  public DStripingTableInfo withStripeWidth(Long paramLong)
  {
    this.stripeWidth = paramLong;
    return this;
  }

  @Element("striping-table")
  @Type("string[]")
  @Optional
  public void setStripingTable(List<String> paramList)
  {
    this.stripingTable = paramList;
  }

  public List<String> getStripingTable()
  {
    return this.stripingTable;
  }

  public DStripingTableInfo withStripingTable(List<String> paramList)
  {
    this.stripingTable = paramList;
    return this;
  }

  public DStripingTableInfo withStripingTable(String[] paramArrayOfString)
  {
    this.stripingTable = new ArrayList(Arrays.asList(paramArrayOfString));
    return this;
  }

  @Element("table-size")
  @Type("integer")
  @Range(min="0", max="2^32-1")
  public void setTableSize(Long paramLong)
  {
    this.tableSize = paramLong;
  }

  public Long getTableSize()
  {
    return this.tableSize;
  }

  public DStripingTableInfo withTableSize(Long paramLong)
  {
    this.tableSize = paramLong;
    return this;
  }
}