package com.netapp.filer.dsystem;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("d-system-synchronize-system-name")
@Status(StatusEnum.PUBLIC)
@Errno({"EAPINOTIMPLEMENTED", "EINVALIDINPUTERROR", "ELOWMEMORY", "EREJECTED"})
@Family({"ontap-d"})
public class DSystemSynchronizeSystemName
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String newSystemName;

  @Output("new-system-name")
  @Type("string")
  @Optional
  public void setNewSystemName(String paramString)
  {
    this.newSystemName = paramString;
  }

  public String getNewSystemName()
  {
    return this.newSystemName;
  }

  public DSystemSynchronizeSystemName withNewSystemName(String paramString)
  {
    this.newSystemName = paramString;
    return this;
  }
}