package com.netapp.filer.dvolume;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;

@Typedef("d-security-unix-info")
public class DSecurityUnixInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Long groupid;
  public String permissions;
  public Long userid;

  @Element("groupid")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^32-1")
  public void setGroupid(Long paramLong)
  {
    this.groupid = paramLong;
  }

  public Long getGroupid()
  {
    return this.groupid;
  }

  public DSecurityUnixInfo withGroupid(Long paramLong)
  {
    this.groupid = paramLong;
    return this;
  }

  @Element("permissions")
  @Type("string")
  @Optional
  public void setPermissions(String paramString)
  {
    this.permissions = paramString;
  }

  public String getPermissions()
  {
    return this.permissions;
  }

  public DSecurityUnixInfo withPermissions(String paramString)
  {
    this.permissions = paramString;
    return this;
  }

  @Element("userid")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^32-1")
  public void setUserid(Long paramLong)
  {
    this.userid = paramLong;
  }

  public Long getUserid()
  {
    return this.userid;
  }

  public DSecurityUnixInfo withUserid(Long paramLong)
  {
    this.userid = paramLong;
    return this;
  }
}