package com.netapp.filer.dvolume;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.math.BigInteger;

@Api("d-volume-create")
@Status(StatusEnum.PUBLIC)
@Errno({"EDUPLICATEDSID", "EINTERNALERROR", "EINVALIDDSID", "EINVALIDMSID"})
@Family({"ontap-d"})
public class DVolumeCreate
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public DAutosizeInfo autosize;
  public String containingAggrName;
  public String containingAggrUuid;
  public String dsid;
  public Boolean snaplock;
  public String languageCode;
  public Long maxDirSize;
  public Boolean minRa;
  public String mirrorType;
  public String msid;
  public String name;
  public Boolean noAtimeUpdate;
  public Boolean noSnapDir;
  public String owningVserverUuid;
  public String parentSnapshotId;
  public String parentVolumeId;
  public DSecurityInfo security;
  public String size;
  public Long snapshotReservePercentage;
  public String spaceGuarantee;
  public String stripeType;
  public BigInteger stripedFilesTotal;
  public String uuid;

  @Input("autosize")
  @Type("d-autosize-info")
  @Optional
  public void setAutosize(DAutosizeInfo paramDAutosizeInfo)
  {
    this.autosize = paramDAutosizeInfo;
  }

  public DAutosizeInfo getAutosize()
  {
    return this.autosize;
  }

  public DVolumeCreate withAutosize(DAutosizeInfo paramDAutosizeInfo)
  {
    this.autosize = paramDAutosizeInfo;
    return this;
  }

  @Input("containing-aggr-name")
  @Type("string")
  @Optional
  public void setContainingAggrName(String paramString)
  {
    this.containingAggrName = paramString;
  }

  public String getContainingAggrName()
  {
    return this.containingAggrName;
  }

  public DVolumeCreate withContainingAggrName(String paramString)
  {
    this.containingAggrName = paramString;
    return this;
  }

  @Input("containing-aggr-uuid")
  @Type("string")
  @Optional
  public void setContainingAggrUuid(String paramString)
  {
    this.containingAggrUuid = paramString;
  }

  public String getContainingAggrUuid()
  {
    return this.containingAggrUuid;
  }

  public DVolumeCreate withContainingAggrUuid(String paramString)
  {
    this.containingAggrUuid = paramString;
    return this;
  }

  @Input("dsid")
  @Type("string")
  public void setDsid(String paramString)
  {
    this.dsid = paramString;
  }

  public String getDsid()
  {
    return this.dsid;
  }

  public DVolumeCreate withDsid(String paramString)
  {
    this.dsid = paramString;
    return this;
  }

  @Input("is-snaplock")
  @Type("boolean")
  @Optional
  public void setSnaplock(Boolean paramBoolean)
  {
    this.snaplock = paramBoolean;
  }

  public Boolean isSnaplock()
  {
    return this.snaplock;
  }

  public DVolumeCreate withSnaplock(Boolean paramBoolean)
  {
    this.snaplock = paramBoolean;
    return this;
  }

  @Input("language-code")
  @Type("string")
  public void setLanguageCode(String paramString)
  {
    this.languageCode = paramString;
  }

  public String getLanguageCode()
  {
    return this.languageCode;
  }

  public DVolumeCreate withLanguageCode(String paramString)
  {
    this.languageCode = paramString;
    return this;
  }

  @Input("max-dir-size")
  @Type("integer")
  public void setMaxDirSize(Long paramLong)
  {
    this.maxDirSize = paramLong;
  }

  public Long getMaxDirSize()
  {
    return this.maxDirSize;
  }

  public DVolumeCreate withMaxDirSize(Long paramLong)
  {
    this.maxDirSize = paramLong;
    return this;
  }

  @Input("min-ra")
  @Type("boolean")
  @Optional
  public void setMinRa(Boolean paramBoolean)
  {
    this.minRa = paramBoolean;
  }

  public Boolean isMinRa()
  {
    return this.minRa;
  }

  public DVolumeCreate withMinRa(Boolean paramBoolean)
  {
    this.minRa = paramBoolean;
    return this;
  }

  @Input("mirror-type")
  @Type("string")
  @Optional
  public void setMirrorType(String paramString)
  {
    this.mirrorType = paramString;
  }

  public String getMirrorType()
  {
    return this.mirrorType;
  }

  public DVolumeCreate withMirrorType(String paramString)
  {
    this.mirrorType = paramString;
    return this;
  }

  @Input("msid")
  @Type("string")
  public void setMsid(String paramString)
  {
    this.msid = paramString;
  }

  public String getMsid()
  {
    return this.msid;
  }

  public DVolumeCreate withMsid(String paramString)
  {
    this.msid = paramString;
    return this;
  }

  @Input("name")
  @Type("string")
  public void setName(String paramString)
  {
    this.name = paramString;
  }

  public String getName()
  {
    return this.name;
  }

  public DVolumeCreate withName(String paramString)
  {
    this.name = paramString;
    return this;
  }

  @Input("no-atime-update")
  @Type("boolean")
  @Optional
  public void setNoAtimeUpdate(Boolean paramBoolean)
  {
    this.noAtimeUpdate = paramBoolean;
  }

  public Boolean isNoAtimeUpdate()
  {
    return this.noAtimeUpdate;
  }

  public DVolumeCreate withNoAtimeUpdate(Boolean paramBoolean)
  {
    this.noAtimeUpdate = paramBoolean;
    return this;
  }

  @Input("no-snap-dir")
  @Type("boolean")
  @Optional
  public void setNoSnapDir(Boolean paramBoolean)
  {
    this.noSnapDir = paramBoolean;
  }

  public Boolean isNoSnapDir()
  {
    return this.noSnapDir;
  }

  public DVolumeCreate withNoSnapDir(Boolean paramBoolean)
  {
    this.noSnapDir = paramBoolean;
    return this;
  }

  @Input("owning-vserver-uuid")
  @Type("string")
  public void setOwningVserverUuid(String paramString)
  {
    this.owningVserverUuid = paramString;
  }

  public String getOwningVserverUuid()
  {
    return this.owningVserverUuid;
  }

  public DVolumeCreate withOwningVserverUuid(String paramString)
  {
    this.owningVserverUuid = paramString;
    return this;
  }

  @Input("parent-snapshot-id")
  @Type("string")
  @Optional
  public void setParentSnapshotId(String paramString)
  {
    this.parentSnapshotId = paramString;
  }

  public String getParentSnapshotId()
  {
    return this.parentSnapshotId;
  }

  public DVolumeCreate withParentSnapshotId(String paramString)
  {
    this.parentSnapshotId = paramString;
    return this;
  }

  @Input("parent-volume-id")
  @Type("string")
  @Optional
  public void setParentVolumeId(String paramString)
  {
    this.parentVolumeId = paramString;
  }

  public String getParentVolumeId()
  {
    return this.parentVolumeId;
  }

  public DVolumeCreate withParentVolumeId(String paramString)
  {
    this.parentVolumeId = paramString;
    return this;
  }

  @Input("security")
  @Type("d-security-info")
  @Optional
  public void setSecurity(DSecurityInfo paramDSecurityInfo)
  {
    this.security = paramDSecurityInfo;
  }

  public DSecurityInfo getSecurity()
  {
    return this.security;
  }

  public DVolumeCreate withSecurity(DSecurityInfo paramDSecurityInfo)
  {
    this.security = paramDSecurityInfo;
    return this;
  }

  @Input("size")
  @Type("string")
  public void setSize(String paramString)
  {
    this.size = paramString;
  }

  public String getSize()
  {
    return this.size;
  }

  public DVolumeCreate withSize(String paramString)
  {
    this.size = paramString;
    return this;
  }

  @Input("snapshot-reserve-percentage")
  @Type("integer")
  public void setSnapshotReservePercentage(Long paramLong)
  {
    this.snapshotReservePercentage = paramLong;
  }

  public Long getSnapshotReservePercentage()
  {
    return this.snapshotReservePercentage;
  }

  public DVolumeCreate withSnapshotReservePercentage(Long paramLong)
  {
    this.snapshotReservePercentage = paramLong;
    return this;
  }

  @Input("space-guarantee")
  @Type("string")
  @Optional
  public void setSpaceGuarantee(String paramString)
  {
    this.spaceGuarantee = paramString;
  }

  public String getSpaceGuarantee()
  {
    return this.spaceGuarantee;
  }

  public DVolumeCreate withSpaceGuarantee(String paramString)
  {
    this.spaceGuarantee = paramString;
    return this;
  }

  @Input("stripe-type")
  @Type("string")
  @Optional
  public void setStripeType(String paramString)
  {
    this.stripeType = paramString;
  }

  public String getStripeType()
  {
    return this.stripeType;
  }

  public DVolumeCreate withStripeType(String paramString)
  {
    this.stripeType = paramString;
    return this;
  }

  @Input("striped-files-total")
  @Type("integer")
  @Optional
  @Range(min="1", max="2^64-1")
  public void setStripedFilesTotal(BigInteger paramBigInteger)
  {
    this.stripedFilesTotal = paramBigInteger;
  }

  public BigInteger getStripedFilesTotal()
  {
    return this.stripedFilesTotal;
  }

  public DVolumeCreate withStripedFilesTotal(BigInteger paramBigInteger)
  {
    this.stripedFilesTotal = paramBigInteger;
    return this;
  }

  @Input("uuid")
  @Type("string")
  public void setUuid(String paramString)
  {
    this.uuid = paramString;
  }

  public String getUuid()
  {
    return this.uuid;
  }

  public DVolumeCreate withUuid(String paramString)
  {
    this.uuid = paramString;
    return this;
  }
}