package com.netapp.filer.dvolume;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("d-volume-estimate-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR", "EINVALIDINPUTERROR"})
@Family({"ontap-d"})
public class DVolumeEstimateInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String desiredInfo;
  public DVolumeSuggestionValue suggestedValues;
  public DVolumeInfo volumeAttrs;

  @Input("desired-info")
  @Type("string")
  public void setDesiredInfo(String paramString)
  {
    this.desiredInfo = paramString;
  }

  public String getDesiredInfo()
  {
    return this.desiredInfo;
  }

  public DVolumeEstimateInfo withDesiredInfo(String paramString)
  {
    this.desiredInfo = paramString;
    return this;
  }

  @Output("suggested-values")
  @Type("d-volume-suggestion-value")
  public void setSuggestedValues(DVolumeSuggestionValue paramDVolumeSuggestionValue)
  {
    this.suggestedValues = paramDVolumeSuggestionValue;
  }

  public DVolumeSuggestionValue getSuggestedValues()
  {
    return this.suggestedValues;
  }

  public DVolumeEstimateInfo withSuggestedValues(DVolumeSuggestionValue paramDVolumeSuggestionValue)
  {
    this.suggestedValues = paramDVolumeSuggestionValue;
    return this;
  }

  @Input("volume-attrs")
  @Type("d-volume-info")
  public void setVolumeAttrs(DVolumeInfo paramDVolumeInfo)
  {
    this.volumeAttrs = paramDVolumeInfo;
  }

  public DVolumeInfo getVolumeAttrs()
  {
    return this.volumeAttrs;
  }

  public DVolumeEstimateInfo withVolumeAttrs(DVolumeInfo paramDVolumeInfo)
  {
    this.volumeAttrs = paramDVolumeInfo;
    return this;
  }
}