package com.netapp.filer.dvolume;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("d-volume-list-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EAGGRDOESNOTEXIST", "EAGGRFAILINGOVER", "EAGGRMISMATCH", "EAGGRNOTONLINE", "EAMBIGUOUS_DSID", "EINTERNALERROR", "EINVALIDDSID", "EVOLUMEBUSY"})
@Family({"ontap-d"})
public class DVolumeListInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String containingAggregateUuid;
  public String desiredAttrs;
  public String id;
  public DVolumeInfo volumeAttrs;

  @Input("containing-aggregate-uuid")
  @Type("string")
  @Optional
  public void setContainingAggregateUuid(String paramString)
  {
    this.containingAggregateUuid = paramString;
  }

  public String getContainingAggregateUuid()
  {
    return this.containingAggregateUuid;
  }

  public DVolumeListInfo withContainingAggregateUuid(String paramString)
  {
    this.containingAggregateUuid = paramString;
    return this;
  }

  @Input("desired-attrs")
  @Type("string")
  @Optional
  public void setDesiredAttrs(String paramString)
  {
    this.desiredAttrs = paramString;
  }

  public String getDesiredAttrs()
  {
    return this.desiredAttrs;
  }

  public DVolumeListInfo withDesiredAttrs(String paramString)
  {
    this.desiredAttrs = paramString;
    return this;
  }

  @Input("id")
  @Type("string")
  public void setId(String paramString)
  {
    this.id = paramString;
  }

  public String getId()
  {
    return this.id;
  }

  public DVolumeListInfo withId(String paramString)
  {
    this.id = paramString;
    return this;
  }

  @Output("volume-attrs")
  @Type("d-volume-info")
  public void setVolumeAttrs(DVolumeInfo paramDVolumeInfo)
  {
    this.volumeAttrs = paramDVolumeInfo;
  }

  public DVolumeInfo getVolumeAttrs()
  {
    return this.volumeAttrs;
  }

  public DVolumeListInfo withVolumeAttrs(DVolumeInfo paramDVolumeInfo)
  {
    this.volumeAttrs = paramDVolumeInfo;
    return this;
  }
}