package com.netapp.filer.dvolume;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("d-volume-list-info-iter-start")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR", "EINVALIDDSID"})
@Family({"ontap-d"})
public class DVolumeListInfoIterStart
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String desiredAttrs;
  public String nextTag;

  @Input("desired-attrs")
  @Type("string")
  @Optional
  public void setDesiredAttrs(String paramString)
  {
    this.desiredAttrs = paramString;
  }

  public String getDesiredAttrs()
  {
    return this.desiredAttrs;
  }

  public DVolumeListInfoIterStart withDesiredAttrs(String paramString)
  {
    this.desiredAttrs = paramString;
    return this;
  }

  @Output("next-tag")
  @Type("string")
  public void setNextTag(String paramString)
  {
    this.nextTag = paramString;
  }

  public String getNextTag()
  {
    return this.nextTag;
  }

  public DVolumeListInfoIterStart withNextTag(String paramString)
  {
    this.nextTag = paramString;
    return this;
  }
}