package com.netapp.filer.dvolume;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("d-volume-set-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EAGGRDOESNOTEXIST", "EAGGRFAILINGOVER", "EAGGRMISMATCH", "EAGGRNOTONLINE", "EAMBIGUOUS_DSID", "EDUPLICATEDSID", "EINTERNALERROR", "EINVALIDDSID", "EINVALIDMSID"})
@Family({"ontap-d"})
public class DVolumeSetInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String containingAggregateUuid;
  public String desiredAttrs;
  public String firstUnsetAttr;
  public String firstUnsetAttrReason;
  public String id;
  public DVolumeInfo volumeAttrs;

  @Input("containing-aggregate-uuid")
  @Type("string")
  @Optional
  public void setContainingAggregateUuid(String paramString)
  {
    this.containingAggregateUuid = paramString;
  }

  public String getContainingAggregateUuid()
  {
    return this.containingAggregateUuid;
  }

  public DVolumeSetInfo withContainingAggregateUuid(String paramString)
  {
    this.containingAggregateUuid = paramString;
    return this;
  }

  @Input("desired-attrs")
  @Type("string")
  public void setDesiredAttrs(String paramString)
  {
    this.desiredAttrs = paramString;
  }

  public String getDesiredAttrs()
  {
    return this.desiredAttrs;
  }

  public DVolumeSetInfo withDesiredAttrs(String paramString)
  {
    this.desiredAttrs = paramString;
    return this;
  }

  @Output("first-unset-attr")
  @Type("string")
  @Optional
  public void setFirstUnsetAttr(String paramString)
  {
    this.firstUnsetAttr = paramString;
  }

  public String getFirstUnsetAttr()
  {
    return this.firstUnsetAttr;
  }

  public DVolumeSetInfo withFirstUnsetAttr(String paramString)
  {
    this.firstUnsetAttr = paramString;
    return this;
  }

  @Output("first-unset-attr-reason")
  @Type("string")
  @Optional
  public void setFirstUnsetAttrReason(String paramString)
  {
    this.firstUnsetAttrReason = paramString;
  }

  public String getFirstUnsetAttrReason()
  {
    return this.firstUnsetAttrReason;
  }

  public DVolumeSetInfo withFirstUnsetAttrReason(String paramString)
  {
    this.firstUnsetAttrReason = paramString;
    return this;
  }

  @Input("id")
  @Type("string")
  public void setId(String paramString)
  {
    this.id = paramString;
  }

  public String getId()
  {
    return this.id;
  }

  public DVolumeSetInfo withId(String paramString)
  {
    this.id = paramString;
    return this;
  }

  @Input("volume-attrs")
  @Type("d-volume-info")
  public void setVolumeAttrs(DVolumeInfo paramDVolumeInfo)
  {
    this.volumeAttrs = paramDVolumeInfo;
  }

  public DVolumeInfo getVolumeAttrs()
  {
    return this.volumeAttrs;
  }

  public DVolumeSetInfo withVolumeAttrs(DVolumeInfo paramDVolumeInfo)
  {
    this.volumeAttrs = paramDVolumeInfo;
    return this;
  }
}