package com.netapp.filer.dvolume;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("d-volume-split-estimate")
@Status(StatusEnum.PUBLIC)
@Errno({"EAMBIGUOUS_DSID", "EINTERNALERROR", "EINVALIDDSID"})
@Family({"ontap-d"})
public class DVolumeSplitEstimate
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Long estimateBlocks;
  public String id;

  @Output("estimate-blocks")
  @Type("integer")
  public void setEstimateBlocks(Long paramLong)
  {
    this.estimateBlocks = paramLong;
  }

  public Long getEstimateBlocks()
  {
    return this.estimateBlocks;
  }

  public DVolumeSplitEstimate withEstimateBlocks(Long paramLong)
  {
    this.estimateBlocks = paramLong;
    return this;
  }

  @Input("id")
  @Type("string")
  public void setId(String paramString)
  {
    this.id = paramString;
  }

  public String getId()
  {
    return this.id;
  }

  public DVolumeSplitEstimate withId(String paramString)
  {
    this.id = paramString;
    return this;
  }
}