package com.netapp.filer.ems;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("ems-autosupport-log")
@Status(StatusEnum.PUBLIC)
@Errno({"EONTAPI_ENOENT"})
@Family({"ontap-c", "vfiler"})
public class EmsAutosupportLog
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String appVersion;
  public Boolean autoSupport;
  public String category;
  public String computerName;
  public String eventDescription;
  public Long eventId;
  public String eventSource;
  public Long logLevel;

  @Input("app-version")
  @Type("string")
  public void setAppVersion(String paramString)
  {
    this.appVersion = paramString;
  }

  public String getAppVersion()
  {
    return this.appVersion;
  }

  public EmsAutosupportLog withAppVersion(String paramString)
  {
    this.appVersion = paramString;
    return this;
  }

  @Input("auto-support")
  @Type("boolean")
  public void setAutoSupport(Boolean paramBoolean)
  {
    this.autoSupport = paramBoolean;
  }

  public Boolean isAutoSupport()
  {
    return this.autoSupport;
  }

  public EmsAutosupportLog withAutoSupport(Boolean paramBoolean)
  {
    this.autoSupport = paramBoolean;
    return this;
  }

  @Input("category")
  @Type("string")
  public void setCategory(String paramString)
  {
    this.category = paramString;
  }

  public String getCategory()
  {
    return this.category;
  }

  public EmsAutosupportLog withCategory(String paramString)
  {
    this.category = paramString;
    return this;
  }

  @Input("computer-name")
  @Type("string")
  public void setComputerName(String paramString)
  {
    this.computerName = paramString;
  }

  public String getComputerName()
  {
    return this.computerName;
  }

  public EmsAutosupportLog withComputerName(String paramString)
  {
    this.computerName = paramString;
    return this;
  }

  @Input("event-description")
  @Type("string")
  public void setEventDescription(String paramString)
  {
    this.eventDescription = paramString;
  }

  public String getEventDescription()
  {
    return this.eventDescription;
  }

  public EmsAutosupportLog withEventDescription(String paramString)
  {
    this.eventDescription = paramString;
    return this;
  }

  @Input("event-id")
  @Type("integer")
  public void setEventId(Long paramLong)
  {
    this.eventId = paramLong;
  }

  public Long getEventId()
  {
    return this.eventId;
  }

  public EmsAutosupportLog withEventId(Long paramLong)
  {
    this.eventId = paramLong;
    return this;
  }

  @Input("event-source")
  @Type("string")
  public void setEventSource(String paramString)
  {
    this.eventSource = paramString;
  }

  public String getEventSource()
  {
    return this.eventSource;
  }

  public EmsAutosupportLog withEventSource(String paramString)
  {
    this.eventSource = paramString;
    return this;
  }

  @Input("log-level")
  @Type("integer")
  public void setLogLevel(Long paramLong)
  {
    this.logLevel = paramLong;
  }

  public Long getLogLevel()
  {
    return this.logLevel;
  }

  public EmsAutosupportLog withLogLevel(Long paramLong)
  {
    this.logLevel = paramLong;
    return this;
  }
}