package com.netapp.filer.fc;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("fc-config-list-iter-start")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR", "EOPNOTSUPPORTED"})
@Family({"ontap-c", "ontap-d"})
public class FcConfigListIterStart
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Long records;
  public String tag;

  @Output("records")
  @Type("integer")
  public void setRecords(Long paramLong)
  {
    this.records = paramLong;
  }

  public Long getRecords()
  {
    return this.records;
  }

  public FcConfigListIterStart withRecords(Long paramLong)
  {
    this.records = paramLong;
    return this;
  }

  @Output("tag")
  @Type("string")
  public void setTag(String paramString)
  {
    this.tag = paramString;
  }

  public String getTag()
  {
    return this.tag;
  }

  public FcConfigListIterStart withTag(String paramString)
  {
    this.tag = paramString;
    return this;
  }
}