package com.netapp.filer.fc;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("fc-config-set-adapter-fc-type")
@Status(StatusEnum.PUBLIC)
@Errno({"EADAPTERINVALIDTYPE", "EADAPTERNOTFOUND", "EINTERNALERROR", "EONTAPI_EINVAL", "EOPNOTSUPPORTED"})
@Family({"ontap-c", "ontap-d"})
public class FcConfigSetAdapterFcType
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String adapterName;
  public String fcType;

  @Input("adapter-name")
  @Type("string")
  public void setAdapterName(String paramString)
  {
    this.adapterName = paramString;
  }

  public String getAdapterName()
  {
    return this.adapterName;
  }

  public FcConfigSetAdapterFcType withAdapterName(String paramString)
  {
    this.adapterName = paramString;
    return this;
  }

  @Input("fc-type")
  @Type("string")
  public void setFcType(String paramString)
  {
    this.fcType = paramString;
  }

  public String getFcType()
  {
    return this.fcType;
  }

  public FcConfigSetAdapterFcType withFcType(String paramString)
  {
    this.fcType = paramString;
    return this;
  }
}