package com.netapp.filer.fcp;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("fcp-adapter-list-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EADAPTERNOTFOUND", "EINTERNALERROR", "ENOADAPTERNOTFOUND", "ENOVIRTUALADAPTERS"})
@Family({"ontap-c", "vfiler"})
public class FcpAdapterListInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String fcpAdapter;
  public List<FcpConfigAdapterInfo> fcpConfigAdapters;
  public Boolean partnerOnly;
  public Boolean verbose;

  @Input("fcp-adapter")
  @Type("string")
  @Optional
  public void setFcpAdapter(String paramString)
  {
    this.fcpAdapter = paramString;
  }

  public String getFcpAdapter()
  {
    return this.fcpAdapter;
  }

  public FcpAdapterListInfo withFcpAdapter(String paramString)
  {
    this.fcpAdapter = paramString;
    return this;
  }

  @Output("fcp-config-adapters")
  @Type("fcp-config-adapter-info[]")
  public void setFcpConfigAdapters(List<FcpConfigAdapterInfo> paramList)
  {
    this.fcpConfigAdapters = paramList;
  }

  public List<FcpConfigAdapterInfo> getFcpConfigAdapters()
  {
    return this.fcpConfigAdapters;
  }

  public FcpAdapterListInfo withFcpConfigAdapters(List<FcpConfigAdapterInfo> paramList)
  {
    this.fcpConfigAdapters = paramList;
    return this;
  }

  public FcpAdapterListInfo withFcpConfigAdapters(FcpConfigAdapterInfo[] paramArrayOfFcpConfigAdapterInfo)
  {
    this.fcpConfigAdapters = new ArrayList(Arrays.asList(paramArrayOfFcpConfigAdapterInfo));
    return this;
  }

  @Input("partner-only")
  @Type("boolean")
  @Optional
  public void setPartnerOnly(Boolean paramBoolean)
  {
    this.partnerOnly = paramBoolean;
  }

  public Boolean isPartnerOnly()
  {
    return this.partnerOnly;
  }

  public FcpAdapterListInfo withPartnerOnly(Boolean paramBoolean)
  {
    this.partnerOnly = paramBoolean;
    return this;
  }

  @Input("verbose")
  @Type("boolean")
  @Optional
  public void setVerbose(Boolean paramBoolean)
  {
    this.verbose = paramBoolean;
  }

  public Boolean isVerbose()
  {
    return this.verbose;
  }

  public FcpAdapterListInfo withVerbose(Boolean paramBoolean)
  {
    this.verbose = paramBoolean;
    return this;
  }
}