package com.netapp.filer.fcp;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("fcp-adapter-set-speed")
@Status(StatusEnum.PUBLIC)
@Errno({"EADAPTERINVALIDTYPE", "EADAPTERNOTFOUND", "EADAPTERPARTNER", "EINTERNALERROR", "ENOTSTARTED", "EONTAPI_EINVAL"})
@Family({"ontap-c"})
public class FcpAdapterSetSpeed
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String fcpAdapter;
  public String speed;

  @Input("fcp-adapter")
  @Type("string")
  public void setFcpAdapter(String paramString)
  {
    this.fcpAdapter = paramString;
  }

  public String getFcpAdapter()
  {
    return this.fcpAdapter;
  }

  public FcpAdapterSetSpeed withFcpAdapter(String paramString)
  {
    this.fcpAdapter = paramString;
    return this;
  }

  @Input("speed")
  @Type("string")
  public void setSpeed(String paramString)
  {
    this.speed = paramString;
  }

  public String getSpeed()
  {
    return this.speed;
  }

  public FcpAdapterSetSpeed withSpeed(String paramString)
  {
    this.speed = paramString;
    return this;
  }
}