package com.netapp.filer.fcp;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;

@Typedef("fcp-adapter-stats-info")
public class FcpAdapterStatsInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String adapter;
  public Long adapterResets;
  public Long crcErrors;
  public Long discardedFrames;
  public Long frameOverruns;
  public Long frameUnderruns;
  public Long initiatorsConnected;
  public Long invalidXmitWords;
  public Boolean spfOpticalTransceiverValid;
  public Long linkBreaks;
  public Long lipResets;
  public Long lrReceived;
  public Long lrSent;
  public Long nosReceived;
  public Long olsReceived;
  public Long protocolErrors;
  public Long queueDepth;
  public Long scsiRequestsDropped;
  public String sfpConnector;
  public String sfpDateCode;
  public String sfpEncoding;
  public String sfpFcSpeedCapabilties;
  public String sfpFormfactor;
  public String sfpPartNumber;
  public String sfpRev;
  public String sfpSerialNumber;
  public String sfpVendorName;
  public String sfpVendorOui;
  public Long sfpWavelength;
  public Long spuriousInterrupts;
  public Long totalLogins;
  public Long totalLogouts;

  @Element("adapter")
  @Type("string")
  public void setAdapter(String paramString)
  {
    this.adapter = paramString;
  }

  public String getAdapter()
  {
    return this.adapter;
  }

  public FcpAdapterStatsInfo withAdapter(String paramString)
  {
    this.adapter = paramString;
    return this;
  }

  @Element("adapter-resets")
  @Type("integer")
  public void setAdapterResets(Long paramLong)
  {
    this.adapterResets = paramLong;
  }

  public Long getAdapterResets()
  {
    return this.adapterResets;
  }

  public FcpAdapterStatsInfo withAdapterResets(Long paramLong)
  {
    this.adapterResets = paramLong;
    return this;
  }

  @Element("crc-errors")
  @Type("integer")
  public void setCrcErrors(Long paramLong)
  {
    this.crcErrors = paramLong;
  }

  public Long getCrcErrors()
  {
    return this.crcErrors;
  }

  public FcpAdapterStatsInfo withCrcErrors(Long paramLong)
  {
    this.crcErrors = paramLong;
    return this;
  }

  @Element("discarded-frames")
  @Type("integer")
  public void setDiscardedFrames(Long paramLong)
  {
    this.discardedFrames = paramLong;
  }

  public Long getDiscardedFrames()
  {
    return this.discardedFrames;
  }

  public FcpAdapterStatsInfo withDiscardedFrames(Long paramLong)
  {
    this.discardedFrames = paramLong;
    return this;
  }

  @Element("frame-overruns")
  @Type("integer")
  public void setFrameOverruns(Long paramLong)
  {
    this.frameOverruns = paramLong;
  }

  public Long getFrameOverruns()
  {
    return this.frameOverruns;
  }

  public FcpAdapterStatsInfo withFrameOverruns(Long paramLong)
  {
    this.frameOverruns = paramLong;
    return this;
  }

  @Element("frame-underruns")
  @Type("integer")
  public void setFrameUnderruns(Long paramLong)
  {
    this.frameUnderruns = paramLong;
  }

  public Long getFrameUnderruns()
  {
    return this.frameUnderruns;
  }

  public FcpAdapterStatsInfo withFrameUnderruns(Long paramLong)
  {
    this.frameUnderruns = paramLong;
    return this;
  }

  @Element("initiators-connected")
  @Type("integer")
  public void setInitiatorsConnected(Long paramLong)
  {
    this.initiatorsConnected = paramLong;
  }

  public Long getInitiatorsConnected()
  {
    return this.initiatorsConnected;
  }

  public FcpAdapterStatsInfo withInitiatorsConnected(Long paramLong)
  {
    this.initiatorsConnected = paramLong;
    return this;
  }

  @Element("invalid-xmit-words")
  @Type("integer")
  public void setInvalidXmitWords(Long paramLong)
  {
    this.invalidXmitWords = paramLong;
  }

  public Long getInvalidXmitWords()
  {
    return this.invalidXmitWords;
  }

  public FcpAdapterStatsInfo withInvalidXmitWords(Long paramLong)
  {
    this.invalidXmitWords = paramLong;
    return this;
  }

  @Element("is-spf-optical-transceiver-valid")
  @Type("boolean")
  public void setSpfOpticalTransceiverValid(Boolean paramBoolean)
  {
    this.spfOpticalTransceiverValid = paramBoolean;
  }

  public Boolean isSpfOpticalTransceiverValid()
  {
    return this.spfOpticalTransceiverValid;
  }

  public FcpAdapterStatsInfo withSpfOpticalTransceiverValid(Boolean paramBoolean)
  {
    this.spfOpticalTransceiverValid = paramBoolean;
    return this;
  }

  @Element("link-breaks")
  @Type("integer")
  public void setLinkBreaks(Long paramLong)
  {
    this.linkBreaks = paramLong;
  }

  public Long getLinkBreaks()
  {
    return this.linkBreaks;
  }

  public FcpAdapterStatsInfo withLinkBreaks(Long paramLong)
  {
    this.linkBreaks = paramLong;
    return this;
  }

  @Element("lip-resets")
  @Type("integer")
  public void setLipResets(Long paramLong)
  {
    this.lipResets = paramLong;
  }

  public Long getLipResets()
  {
    return this.lipResets;
  }

  public FcpAdapterStatsInfo withLipResets(Long paramLong)
  {
    this.lipResets = paramLong;
    return this;
  }

  @Element("lr-received")
  @Type("integer")
  public void setLrReceived(Long paramLong)
  {
    this.lrReceived = paramLong;
  }

  public Long getLrReceived()
  {
    return this.lrReceived;
  }

  public FcpAdapterStatsInfo withLrReceived(Long paramLong)
  {
    this.lrReceived = paramLong;
    return this;
  }

  @Element("lr-sent")
  @Type("integer")
  public void setLrSent(Long paramLong)
  {
    this.lrSent = paramLong;
  }

  public Long getLrSent()
  {
    return this.lrSent;
  }

  public FcpAdapterStatsInfo withLrSent(Long paramLong)
  {
    this.lrSent = paramLong;
    return this;
  }

  @Element("nos-received")
  @Type("integer")
  public void setNosReceived(Long paramLong)
  {
    this.nosReceived = paramLong;
  }

  public Long getNosReceived()
  {
    return this.nosReceived;
  }

  public FcpAdapterStatsInfo withNosReceived(Long paramLong)
  {
    this.nosReceived = paramLong;
    return this;
  }

  @Element("ols-received")
  @Type("integer")
  public void setOlsReceived(Long paramLong)
  {
    this.olsReceived = paramLong;
  }

  public Long getOlsReceived()
  {
    return this.olsReceived;
  }

  public FcpAdapterStatsInfo withOlsReceived(Long paramLong)
  {
    this.olsReceived = paramLong;
    return this;
  }

  @Element("protocol-errors")
  @Type("integer")
  public void setProtocolErrors(Long paramLong)
  {
    this.protocolErrors = paramLong;
  }

  public Long getProtocolErrors()
  {
    return this.protocolErrors;
  }

  public FcpAdapterStatsInfo withProtocolErrors(Long paramLong)
  {
    this.protocolErrors = paramLong;
    return this;
  }

  @Element("queue-depth")
  @Type("integer")
  public void setQueueDepth(Long paramLong)
  {
    this.queueDepth = paramLong;
  }

  public Long getQueueDepth()
  {
    return this.queueDepth;
  }

  public FcpAdapterStatsInfo withQueueDepth(Long paramLong)
  {
    this.queueDepth = paramLong;
    return this;
  }

  @Element("scsi-requests-dropped")
  @Type("integer")
  public void setScsiRequestsDropped(Long paramLong)
  {
    this.scsiRequestsDropped = paramLong;
  }

  public Long getScsiRequestsDropped()
  {
    return this.scsiRequestsDropped;
  }

  public FcpAdapterStatsInfo withScsiRequestsDropped(Long paramLong)
  {
    this.scsiRequestsDropped = paramLong;
    return this;
  }

  @Element("sfp-connector")
  @Type("string")
  public void setSfpConnector(String paramString)
  {
    this.sfpConnector = paramString;
  }

  public String getSfpConnector()
  {
    return this.sfpConnector;
  }

  public FcpAdapterStatsInfo withSfpConnector(String paramString)
  {
    this.sfpConnector = paramString;
    return this;
  }

  @Element("sfp-date-code")
  @Type("string")
  public void setSfpDateCode(String paramString)
  {
    this.sfpDateCode = paramString;
  }

  public String getSfpDateCode()
  {
    return this.sfpDateCode;
  }

  public FcpAdapterStatsInfo withSfpDateCode(String paramString)
  {
    this.sfpDateCode = paramString;
    return this;
  }

  @Element("sfp-encoding")
  @Type("string")
  public void setSfpEncoding(String paramString)
  {
    this.sfpEncoding = paramString;
  }

  public String getSfpEncoding()
  {
    return this.sfpEncoding;
  }

  public FcpAdapterStatsInfo withSfpEncoding(String paramString)
  {
    this.sfpEncoding = paramString;
    return this;
  }

  @Element("sfp-fc-speed-capabilties")
  @Type("string")
  public void setSfpFcSpeedCapabilties(String paramString)
  {
    this.sfpFcSpeedCapabilties = paramString;
  }

  public String getSfpFcSpeedCapabilties()
  {
    return this.sfpFcSpeedCapabilties;
  }

  public FcpAdapterStatsInfo withSfpFcSpeedCapabilties(String paramString)
  {
    this.sfpFcSpeedCapabilties = paramString;
    return this;
  }

  @Element("sfp-formfactor")
  @Type("string")
  public void setSfpFormfactor(String paramString)
  {
    this.sfpFormfactor = paramString;
  }

  public String getSfpFormfactor()
  {
    return this.sfpFormfactor;
  }

  public FcpAdapterStatsInfo withSfpFormfactor(String paramString)
  {
    this.sfpFormfactor = paramString;
    return this;
  }

  @Element("sfp-part-number")
  @Type("string")
  public void setSfpPartNumber(String paramString)
  {
    this.sfpPartNumber = paramString;
  }

  public String getSfpPartNumber()
  {
    return this.sfpPartNumber;
  }

  public FcpAdapterStatsInfo withSfpPartNumber(String paramString)
  {
    this.sfpPartNumber = paramString;
    return this;
  }

  @Element("sfp-rev")
  @Type("string")
  public void setSfpRev(String paramString)
  {
    this.sfpRev = paramString;
  }

  public String getSfpRev()
  {
    return this.sfpRev;
  }

  public FcpAdapterStatsInfo withSfpRev(String paramString)
  {
    this.sfpRev = paramString;
    return this;
  }

  @Element("sfp-serial-number")
  @Type("string")
  public void setSfpSerialNumber(String paramString)
  {
    this.sfpSerialNumber = paramString;
  }

  public String getSfpSerialNumber()
  {
    return this.sfpSerialNumber;
  }

  public FcpAdapterStatsInfo withSfpSerialNumber(String paramString)
  {
    this.sfpSerialNumber = paramString;
    return this;
  }

  @Element("sfp-vendor-name")
  @Type("string")
  public void setSfpVendorName(String paramString)
  {
    this.sfpVendorName = paramString;
  }

  public String getSfpVendorName()
  {
    return this.sfpVendorName;
  }

  public FcpAdapterStatsInfo withSfpVendorName(String paramString)
  {
    this.sfpVendorName = paramString;
    return this;
  }

  @Element("sfp-vendor-oui")
  @Type("string")
  public void setSfpVendorOui(String paramString)
  {
    this.sfpVendorOui = paramString;
  }

  public String getSfpVendorOui()
  {
    return this.sfpVendorOui;
  }

  public FcpAdapterStatsInfo withSfpVendorOui(String paramString)
  {
    this.sfpVendorOui = paramString;
    return this;
  }

  @Element("sfp-wavelength")
  @Type("integer")
  public void setSfpWavelength(Long paramLong)
  {
    this.sfpWavelength = paramLong;
  }

  public Long getSfpWavelength()
  {
    return this.sfpWavelength;
  }

  public FcpAdapterStatsInfo withSfpWavelength(Long paramLong)
  {
    this.sfpWavelength = paramLong;
    return this;
  }

  @Element("spurious-interrupts")
  @Type("integer")
  public void setSpuriousInterrupts(Long paramLong)
  {
    this.spuriousInterrupts = paramLong;
  }

  public Long getSpuriousInterrupts()
  {
    return this.spuriousInterrupts;
  }

  public FcpAdapterStatsInfo withSpuriousInterrupts(Long paramLong)
  {
    this.spuriousInterrupts = paramLong;
    return this;
  }

  @Element("total-logins")
  @Type("integer")
  public void setTotalLogins(Long paramLong)
  {
    this.totalLogins = paramLong;
  }

  public Long getTotalLogins()
  {
    return this.totalLogins;
  }

  public FcpAdapterStatsInfo withTotalLogins(Long paramLong)
  {
    this.totalLogins = paramLong;
    return this;
  }

  @Element("total-logouts")
  @Type("integer")
  public void setTotalLogouts(Long paramLong)
  {
    this.totalLogouts = paramLong;
  }

  public Long getTotalLogouts()
  {
    return this.totalLogouts;
  }

  public FcpAdapterStatsInfo withTotalLogouts(Long paramLong)
  {
    this.totalLogouts = paramLong;
    return this;
  }
}