package com.netapp.filer.fcp;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("fcp-port-name-swap")
@Status(StatusEnum.PUBLIC)
@Errno({"EADAPTERINVALIDTYPE", "EADAPTERNOTFOUND", "EALREADYSTARTED", "EINTERNALERROR", "EONTAPI_EINVAL", "EOPNOTSUPPORTED"})
@Family({"ontap-c"})
public class FcpPortNameSwap
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String fcpAdapter1;
  public String fcpAdapter2;

  @Input("fcp-adapter-1")
  @Type("string")
  public void setFcpAdapter1(String paramString)
  {
    this.fcpAdapter1 = paramString;
  }

  public String getFcpAdapter1()
  {
    return this.fcpAdapter1;
  }

  public FcpPortNameSwap withFcpAdapter1(String paramString)
  {
    this.fcpAdapter1 = paramString;
    return this;
  }

  @Input("fcp-adapter-2")
  @Type("string")
  public void setFcpAdapter2(String paramString)
  {
    this.fcpAdapter2 = paramString;
  }

  public String getFcpAdapter2()
  {
    return this.fcpAdapter2;
  }

  public FcpPortNameSwap withFcpAdapter2(String paramString)
  {
    this.fcpAdapter2 = paramString;
    return this;
  }
}