package com.netapp.filer.fcp;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("fcp-wwpnalias-get-alias-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EVDISK_ERROR_NOT_VALID_FC_WWN", "EVDISK_ERROR_WWPN_ALIASES_NOT_SET", "EVDISK_ERROR_WWPN_ALIAS_INVALID", "EVDISK_ERROR_WWPN_ALIAS_NOT_FOUND", "EVDISK_ERROR_WWPN_ALIAS_REMOVE_INVALID_NUM_ARGS"})
@Family({"ontap-c", "vfiler"})
public class FcpWwpnaliasGetAliasInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String alias;
  public List<AliasesInfo> aliases;
  public String wwpn;

  @Input("alias")
  @Type("string")
  @Optional
  public void setAlias(String paramString)
  {
    this.alias = paramString;
  }

  public String getAlias()
  {
    return this.alias;
  }

  public FcpWwpnaliasGetAliasInfo withAlias(String paramString)
  {
    this.alias = paramString;
    return this;
  }

  @Output("aliases")
  @Type("aliases-info[]")
  public void setAliases(List<AliasesInfo> paramList)
  {
    this.aliases = paramList;
  }

  public List<AliasesInfo> getAliases()
  {
    return this.aliases;
  }

  public FcpWwpnaliasGetAliasInfo withAliases(List<AliasesInfo> paramList)
  {
    this.aliases = paramList;
    return this;
  }

  public FcpWwpnaliasGetAliasInfo withAliases(AliasesInfo[] paramArrayOfAliasesInfo)
  {
    this.aliases = new ArrayList(Arrays.asList(paramArrayOfAliasesInfo));
    return this;
  }

  @Input("wwpn")
  @Type("string")
  @Optional
  public void setWwpn(String paramString)
  {
    this.wwpn = paramString;
  }

  public String getWwpn()
  {
    return this.wwpn;
  }

  public FcpWwpnaliasGetAliasInfo withWwpn(String paramString)
  {
    this.wwpn = paramString;
    return this;
  }
}