package com.netapp.filer.fcp;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("fcp-wwpnalias-set")
@Status(StatusEnum.PUBLIC)
@Errno({"EVDISK_ERROR_NOT_VALID_FC_WWN", "EVDISK_ERROR_WWPN_ALIASES_TOO_MANY", "EVDISK_ERROR_WWPN_ALIAS_ALREADY_SET", "EVDISK_ERROR_WWPN_ALIAS_INVALID"})
@Family({"ontap-c"})
public class FcpWwpnaliasSet
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String alias;
  public Boolean force;
  public String wwpn;

  @Input("alias")
  @Type("string")
  public void setAlias(String paramString)
  {
    this.alias = paramString;
  }

  public String getAlias()
  {
    return this.alias;
  }

  public FcpWwpnaliasSet withAlias(String paramString)
  {
    this.alias = paramString;
    return this;
  }

  @Input("force")
  @Type("boolean")
  @Optional
  public void setForce(Boolean paramBoolean)
  {
    this.force = paramBoolean;
  }

  public Boolean isForce()
  {
    return this.force;
  }

  public FcpWwpnaliasSet withForce(Boolean paramBoolean)
  {
    this.force = paramBoolean;
    return this;
  }

  @Input("wwpn")
  @Type("string")
  public void setWwpn(String paramString)
  {
    this.wwpn = paramString;
  }

  public String getWwpn()
  {
    return this.wwpn;
  }

  public FcpWwpnaliasSet withWwpn(String paramString)
  {
    this.wwpn = paramString;
    return this;
  }
}