package com.netapp.filer.fcport;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("fcport-get-link-state")
@Status(StatusEnum.PUBLIC)
@Errno({"EAPIMISSINGARGUMENT", "EINTERNALERROR", "EINVALIDINPUTERROR", "EOPNOTSUPPORTED"})
@Family({"ontap-c", "ontap-d"})
public class FcportGetLinkState
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<LinkStateInfo> adapterLinkState;
  public String adapterNameOutput;
  public String adapterNameInput;

  @Output("adapter-link-state")
  @Type("link-state-info[]")
  public void setAdapterLinkState(List<LinkStateInfo> paramList)
  {
    this.adapterLinkState = paramList;
  }

  public List<LinkStateInfo> getAdapterLinkState()
  {
    return this.adapterLinkState;
  }

  public FcportGetLinkState withAdapterLinkState(List<LinkStateInfo> paramList)
  {
    this.adapterLinkState = paramList;
    return this;
  }

  public FcportGetLinkState withAdapterLinkState(LinkStateInfo[] paramArrayOfLinkStateInfo)
  {
    this.adapterLinkState = new ArrayList(Arrays.asList(paramArrayOfLinkStateInfo));
    return this;
  }

  @Output("adapter-name")
  @Type("string")
  public void setAdapterNameOutput(String paramString)
  {
    this.adapterNameOutput = paramString;
  }

  public String getAdapterNameOutput()
  {
    return this.adapterNameOutput;
  }

  public FcportGetLinkState withAdapterNameOutput(String paramString)
  {
    this.adapterNameOutput = paramString;
    return this;
  }

  @Input("adapter-name")
  @Type("string")
  public void setAdapterNameInput(String paramString)
  {
    this.adapterNameInput = paramString;
  }

  public String getAdapterNameInput()
  {
    return this.adapterNameInput;
  }

  public FcportGetLinkState withAdapterNameInput(String paramString)
  {
    this.adapterNameInput = paramString;
    return this;
  }
}