package com.netapp.filer.fcport;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("fcport-reset-dev")
@Status(StatusEnum.PUBLIC)
@Errno({"EAPIMISSINGARGUMENT", "EINVALIDINPUTERROR", "EOPNOTSUPPORTED"})
@Family({"ontap-c", "ontap-d"})
public class FcportResetDev
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String deviceId;

  @Input("device-id")
  @Type("string")
  public void setDeviceId(String paramString)
  {
    this.deviceId = paramString;
  }

  public String getDeviceId()
  {
    return this.deviceId;
  }

  public FcportResetDev withDeviceId(String paramString)
  {
    this.deviceId = paramString;
    return this;
  }
}