package com.netapp.filer.fcport;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("fcport-send-lip")
@Status(StatusEnum.PUBLIC)
@Errno({"EAPIMISSINGARGUMENT", "EINVALIDINPUTERROR", "ELOOPUNAVAILABLE"})
@Family({"ontap-c", "ontap-d"})
public class FcportSendLip
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String loopId;

  @Input("loop-id")
  @Type("string")
  public void setLoopId(String paramString)
  {
    this.loopId = paramString;
  }

  public String getLoopId()
  {
    return this.loopId;
  }

  public FcportSendLip withLoopId(String paramString)
  {
    this.loopId = paramString;
    return this;
  }
}