package com.netapp.filer.fcport;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("fcport-set-offline")
@Status(StatusEnum.PUBLIC)
@Errno({"EAPIMISSINGARGUMENT", "EINTERNALERROR", "EINVALIDINPUTERROR", "EOPNOTSUPPORTED"})
@Family({"ontap-c", "ontap-d"})
public class FcportSetOffline
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String adapterName;

  @Input("adapter-name")
  @Type("string")
  public void setAdapterName(String paramString)
  {
    this.adapterName = paramString;
  }

  public String getAdapterName()
  {
    return this.adapterName;
  }

  public FcportSetOffline withAdapterName(String paramString)
  {
    this.adapterName = paramString;
    return this;
  }
}