package com.netapp.filer.fiji;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;

@Typedef("fiji-expression-info")
public class FijiExpressionInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Boolean fijiFilterIsPersistent;
  public String fijiFilterString;
  public Integer fijiFilterTag;

  @Element("fiji-filter-is-persistent")
  @Type("boolean")
  public void setFijiFilterIsPersistent(Boolean paramBoolean)
  {
    this.fijiFilterIsPersistent = paramBoolean;
  }

  public Boolean isFijiFilterIsPersistent()
  {
    return this.fijiFilterIsPersistent;
  }

  public FijiExpressionInfo withFijiFilterIsPersistent(Boolean paramBoolean)
  {
    this.fijiFilterIsPersistent = paramBoolean;
    return this;
  }

  @Element("fiji-filter-string")
  @Type("string")
  public void setFijiFilterString(String paramString)
  {
    this.fijiFilterString = paramString;
  }

  public String getFijiFilterString()
  {
    return this.fijiFilterString;
  }

  public FijiExpressionInfo withFijiFilterString(String paramString)
  {
    this.fijiFilterString = paramString;
    return this;
  }

  @Element("fiji-filter-tag")
  @Type("integer")
  @Range(min="0", max="15")
  public void setFijiFilterTag(Integer paramInteger)
  {
    this.fijiFilterTag = paramInteger;
  }

  public Integer getFijiFilterTag()
  {
    return this.fijiFilterTag;
  }

  public FijiExpressionInfo withFijiFilterTag(Integer paramInteger)
  {
    this.fijiFilterTag = paramInteger;
    return this;
  }
}