package com.netapp.filer.file;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.math.BigInteger;
import java.util.Date;

@Typedef("file-fingerprint-info")
public class FileFingerprintInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Date accessTime;
  public Date changedTime;
  public Date creationTime;
  public String dataFingerprint;
  public BigInteger fileSize;
  public String fileType;
  public Integer fileid;
  public String formattedAccessTime;
  public String formattedChangedTime;
  public String formattedCreationTime;
  public String formattedModifiedTime;
  public String formattedRetentionTime;
  public Integer fsid;
  public Integer groupId;
  public Boolean wraparound;
  public String metadataFingerprint;
  public Date modifiedTime;
  public Integer ownerId;
  public String ownerSid;
  public String path;
  public Date retentionTime;

  @Element("access-time")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^64-1")
  public void setAccessTime(Date paramDate)
  {
    this.accessTime = paramDate;
  }

  public Date getAccessTime()
  {
    return this.accessTime;
  }

  public FileFingerprintInfo withAccessTime(Date paramDate)
  {
    this.accessTime = paramDate;
    return this;
  }

  @Element("changed-time")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setChangedTime(Date paramDate)
  {
    this.changedTime = paramDate;
  }

  public Date getChangedTime()
  {
    return this.changedTime;
  }

  public FileFingerprintInfo withChangedTime(Date paramDate)
  {
    this.changedTime = paramDate;
    return this;
  }

  @Element("creation-time")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setCreationTime(Date paramDate)
  {
    this.creationTime = paramDate;
  }

  public Date getCreationTime()
  {
    return this.creationTime;
  }

  public FileFingerprintInfo withCreationTime(Date paramDate)
  {
    this.creationTime = paramDate;
    return this;
  }

  @Element("data-fingerprint")
  @Type("string")
  @Optional
  public void setDataFingerprint(String paramString)
  {
    this.dataFingerprint = paramString;
  }

  public String getDataFingerprint()
  {
    return this.dataFingerprint;
  }

  public FileFingerprintInfo withDataFingerprint(String paramString)
  {
    this.dataFingerprint = paramString;
    return this;
  }

  @Element("file-size")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setFileSize(BigInteger paramBigInteger)
  {
    this.fileSize = paramBigInteger;
  }

  public BigInteger getFileSize()
  {
    return this.fileSize;
  }

  public FileFingerprintInfo withFileSize(BigInteger paramBigInteger)
  {
    this.fileSize = paramBigInteger;
    return this;
  }

  @Element("file-type")
  @Type("string")
  public void setFileType(String paramString)
  {
    this.fileType = paramString;
  }

  public String getFileType()
  {
    return this.fileType;
  }

  public FileFingerprintInfo withFileType(String paramString)
  {
    this.fileType = paramString;
    return this;
  }

  @Element("fileid")
  @Type("integer")
  @Range(min="0", max="2^31-1")
  public void setFileid(Integer paramInteger)
  {
    this.fileid = paramInteger;
  }

  public Integer getFileid()
  {
    return this.fileid;
  }

  public FileFingerprintInfo withFileid(Integer paramInteger)
  {
    this.fileid = paramInteger;
    return this;
  }

  @Element("formatted-access-time")
  @Type("string")
  public void setFormattedAccessTime(String paramString)
  {
    this.formattedAccessTime = paramString;
  }

  public String getFormattedAccessTime()
  {
    return this.formattedAccessTime;
  }

  public FileFingerprintInfo withFormattedAccessTime(String paramString)
  {
    this.formattedAccessTime = paramString;
    return this;
  }

  @Element("formatted-changed-time")
  @Type("string")
  public void setFormattedChangedTime(String paramString)
  {
    this.formattedChangedTime = paramString;
  }

  public String getFormattedChangedTime()
  {
    return this.formattedChangedTime;
  }

  public FileFingerprintInfo withFormattedChangedTime(String paramString)
  {
    this.formattedChangedTime = paramString;
    return this;
  }

  @Element("formatted-creation-time")
  @Type("string")
  public void setFormattedCreationTime(String paramString)
  {
    this.formattedCreationTime = paramString;
  }

  public String getFormattedCreationTime()
  {
    return this.formattedCreationTime;
  }

  public FileFingerprintInfo withFormattedCreationTime(String paramString)
  {
    this.formattedCreationTime = paramString;
    return this;
  }

  @Element("formatted-modified-time")
  @Type("string")
  public void setFormattedModifiedTime(String paramString)
  {
    this.formattedModifiedTime = paramString;
  }

  public String getFormattedModifiedTime()
  {
    return this.formattedModifiedTime;
  }

  public FileFingerprintInfo withFormattedModifiedTime(String paramString)
  {
    this.formattedModifiedTime = paramString;
    return this;
  }

  @Element("formatted-retention-time")
  @Type("string")
  @Optional
  public void setFormattedRetentionTime(String paramString)
  {
    this.formattedRetentionTime = paramString;
  }

  public String getFormattedRetentionTime()
  {
    return this.formattedRetentionTime;
  }

  public FileFingerprintInfo withFormattedRetentionTime(String paramString)
  {
    this.formattedRetentionTime = paramString;
    return this;
  }

  @Element("fsid")
  @Type("integer")
  @Range(min="0", max="2^31-1")
  public void setFsid(Integer paramInteger)
  {
    this.fsid = paramInteger;
  }

  public Integer getFsid()
  {
    return this.fsid;
  }

  public FileFingerprintInfo withFsid(Integer paramInteger)
  {
    this.fsid = paramInteger;
    return this;
  }

  @Element("group-id")
  @Type("integer")
  @Range(min="0", max="2^31-1")
  public void setGroupId(Integer paramInteger)
  {
    this.groupId = paramInteger;
  }

  public Integer getGroupId()
  {
    return this.groupId;
  }

  public FileFingerprintInfo withGroupId(Integer paramInteger)
  {
    this.groupId = paramInteger;
    return this;
  }

  @Element("is-wraparound")
  @Type("boolean")
  @Optional
  public void setWraparound(Boolean paramBoolean)
  {
    this.wraparound = paramBoolean;
  }

  public Boolean isWraparound()
  {
    return this.wraparound;
  }

  public FileFingerprintInfo withWraparound(Boolean paramBoolean)
  {
    this.wraparound = paramBoolean;
    return this;
  }

  @Element("metadata-fingerprint")
  @Type("string")
  @Optional
  public void setMetadataFingerprint(String paramString)
  {
    this.metadataFingerprint = paramString;
  }

  public String getMetadataFingerprint()
  {
    return this.metadataFingerprint;
  }

  public FileFingerprintInfo withMetadataFingerprint(String paramString)
  {
    this.metadataFingerprint = paramString;
    return this;
  }

  @Element("modified-time")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setModifiedTime(Date paramDate)
  {
    this.modifiedTime = paramDate;
  }

  public Date getModifiedTime()
  {
    return this.modifiedTime;
  }

  public FileFingerprintInfo withModifiedTime(Date paramDate)
  {
    this.modifiedTime = paramDate;
    return this;
  }

  @Element("owner-id")
  @Type("integer")
  @Range(min="0", max="2^31-1")
  public void setOwnerId(Integer paramInteger)
  {
    this.ownerId = paramInteger;
  }

  public Integer getOwnerId()
  {
    return this.ownerId;
  }

  public FileFingerprintInfo withOwnerId(Integer paramInteger)
  {
    this.ownerId = paramInteger;
    return this;
  }

  @Element("owner-sid")
  @Type("string")
  public void setOwnerSid(String paramString)
  {
    this.ownerSid = paramString;
  }

  public String getOwnerSid()
  {
    return this.ownerSid;
  }

  public FileFingerprintInfo withOwnerSid(String paramString)
  {
    this.ownerSid = paramString;
    return this;
  }

  @Element("path")
  @Type("string")
  public void setPath(String paramString)
  {
    this.path = paramString;
  }

  public String getPath()
  {
    return this.path;
  }

  public FileFingerprintInfo withPath(String paramString)
  {
    this.path = paramString;
    return this;
  }

  @Element("retention-time")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^64-1")
  public void setRetentionTime(Date paramDate)
  {
    this.retentionTime = paramDate;
  }

  public Date getRetentionTime()
  {
    return this.retentionTime;
  }

  public FileFingerprintInfo withRetentionTime(Date paramDate)
  {
    this.retentionTime = paramDate;
    return this;
  }
}