package com.netapp.filer.file;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("file-get-file-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EONTAPI_ENOENT"})
@Family({"ontap-c", "vfiler"})
public class FileGetFileInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public FileInfo fileInfo;
  public String path;

  @Output("file-info")
  @Type("file-info")
  public void setFileInfo(FileInfo paramFileInfo)
  {
    this.fileInfo = paramFileInfo;
  }

  public FileInfo getFileInfo()
  {
    return this.fileInfo;
  }

  public FileGetFileInfo withFileInfo(FileInfo paramFileInfo)
  {
    this.fileInfo = paramFileInfo;
    return this;
  }

  @Input("path")
  @Type("string")
  public void setPath(String paramString)
  {
    this.path = paramString;
  }

  public String getPath()
  {
    return this.path;
  }

  public FileGetFileInfo withPath(String paramString)
  {
    this.path = paramString;
    return this;
  }
}