package com.netapp.filer.file;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("file-get-fingerprint")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR", "EONTAPI_EINVAL", "EONTAPI_EIO", "EONTAPI_ENOENT", "EONTAPI_EOFFLINE"})
@Family({"ontap-c", "vfiler"})
public class FileGetFingerprint
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public FingerprintInfo fingerprint;
  public String fingerprintAlgorithm;
  public String fingerprintScope;
  public String path;

  @Output("fingerprint")
  @Type("fingerprint-info")
  public void setFingerprint(FingerprintInfo paramFingerprintInfo)
  {
    this.fingerprint = paramFingerprintInfo;
  }

  public FingerprintInfo getFingerprint()
  {
    return this.fingerprint;
  }

  public FileGetFingerprint withFingerprint(FingerprintInfo paramFingerprintInfo)
  {
    this.fingerprint = paramFingerprintInfo;
    return this;
  }

  @Input("fingerprint-algorithm")
  @Type("digest-algorithm")
  public void setFingerprintAlgorithm(String paramString)
  {
    this.fingerprintAlgorithm = paramString;
  }

  public String getFingerprintAlgorithm()
  {
    return this.fingerprintAlgorithm;
  }

  public FileGetFingerprint withFingerprintAlgorithm(String paramString)
  {
    this.fingerprintAlgorithm = paramString;
    return this;
  }

  @Input("fingerprint-scope")
  @Type("file-scope")
  public void setFingerprintScope(String paramString)
  {
    this.fingerprintScope = paramString;
  }

  public String getFingerprintScope()
  {
    return this.fingerprintScope;
  }

  public FileGetFingerprint withFingerprintScope(String paramString)
  {
    this.fingerprintScope = paramString;
    return this;
  }

  @Input("path")
  @Type("string")
  public void setPath(String paramString)
  {
    this.path = paramString;
  }

  public String getPath()
  {
    return this.path;
  }

  public FileGetFingerprint withPath(String paramString)
  {
    this.path = paramString;
    return this;
  }
}