package com.netapp.filer.file;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.util.Date;

@Typedef("file-info")
public class FileInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Date accessedTimestamp;
  public String aclType;
  public Date changedTimestamp;
  public Date creationTimestamp;
  public Long fileSize;
  public String fileType;
  public Integer groupId;
  public Integer hardLinksCount;
  public Integer inodeNumber;
  public Boolean empty;
  public Date modifiedTimestamp;
  public String name;
  public Integer ownerId;
  public Integer perm;

  @Element("accessed-timestamp")
  @Type("integer")
  @Range(min="0", max="2^31-1")
  public void setAccessedTimestamp(Date paramDate)
  {
    this.accessedTimestamp = paramDate;
  }

  public Date getAccessedTimestamp()
  {
    return this.accessedTimestamp;
  }

  public FileInfo withAccessedTimestamp(Date paramDate)
  {
    this.accessedTimestamp = paramDate;
    return this;
  }

  @Element("acl-type")
  @Type("string")
  public void setAclType(String paramString)
  {
    this.aclType = paramString;
  }

  public String getAclType()
  {
    return this.aclType;
  }

  public FileInfo withAclType(String paramString)
  {
    this.aclType = paramString;
    return this;
  }

  @Element("changed-timestamp")
  @Type("integer")
  @Range(min="0", max="2^31-1")
  public void setChangedTimestamp(Date paramDate)
  {
    this.changedTimestamp = paramDate;
  }

  public Date getChangedTimestamp()
  {
    return this.changedTimestamp;
  }

  public FileInfo withChangedTimestamp(Date paramDate)
  {
    this.changedTimestamp = paramDate;
    return this;
  }

  @Element("creation-timestamp")
  @Type("integer")
  @Range(min="0", max="2^31-1")
  public void setCreationTimestamp(Date paramDate)
  {
    this.creationTimestamp = paramDate;
  }

  public Date getCreationTimestamp()
  {
    return this.creationTimestamp;
  }

  public FileInfo withCreationTimestamp(Date paramDate)
  {
    this.creationTimestamp = paramDate;
    return this;
  }

  @Element("file-size")
  @Type("integer")
  @Range(min="0", max="2^63-1")
  public void setFileSize(Long paramLong)
  {
    this.fileSize = paramLong;
  }

  public Long getFileSize()
  {
    return this.fileSize;
  }

  public FileInfo withFileSize(Long paramLong)
  {
    this.fileSize = paramLong;
    return this;
  }

  @Element("file-type")
  @Type("string")
  public void setFileType(String paramString)
  {
    this.fileType = paramString;
  }

  public String getFileType()
  {
    return this.fileType;
  }

  public FileInfo withFileType(String paramString)
  {
    this.fileType = paramString;
    return this;
  }

  @Element("group-id")
  @Type("integer")
  @Range(min="0", max="2^31-1")
  public void setGroupId(Integer paramInteger)
  {
    this.groupId = paramInteger;
  }

  public Integer getGroupId()
  {
    return this.groupId;
  }

  public FileInfo withGroupId(Integer paramInteger)
  {
    this.groupId = paramInteger;
    return this;
  }

  @Element("hard-links-count")
  @Type("integer")
  @Range(min="0", max="2^31-1")
  public void setHardLinksCount(Integer paramInteger)
  {
    this.hardLinksCount = paramInteger;
  }

  public Integer getHardLinksCount()
  {
    return this.hardLinksCount;
  }

  public FileInfo withHardLinksCount(Integer paramInteger)
  {
    this.hardLinksCount = paramInteger;
    return this;
  }

  @Element("inode-number")
  @Type("integer")
  @Range(min="0", max="2^31-1")
  public void setInodeNumber(Integer paramInteger)
  {
    this.inodeNumber = paramInteger;
  }

  public Integer getInodeNumber()
  {
    return this.inodeNumber;
  }

  public FileInfo withInodeNumber(Integer paramInteger)
  {
    this.inodeNumber = paramInteger;
    return this;
  }

  @Element("is-empty")
  @Type("boolean")
  @Optional
  public void setEmpty(Boolean paramBoolean)
  {
    this.empty = paramBoolean;
  }

  public Boolean isEmpty()
  {
    return this.empty;
  }

  public FileInfo withEmpty(Boolean paramBoolean)
  {
    this.empty = paramBoolean;
    return this;
  }

  @Element("modified-timestamp")
  @Type("integer")
  @Range(min="0", max="2^31-1")
  public void setModifiedTimestamp(Date paramDate)
  {
    this.modifiedTimestamp = paramDate;
  }

  public Date getModifiedTimestamp()
  {
    return this.modifiedTimestamp;
  }

  public FileInfo withModifiedTimestamp(Date paramDate)
  {
    this.modifiedTimestamp = paramDate;
    return this;
  }

  @Element("name")
  @Type("string")
  public void setName(String paramString)
  {
    this.name = paramString;
  }

  public String getName()
  {
    return this.name;
  }

  public FileInfo withName(String paramString)
  {
    this.name = paramString;
    return this;
  }

  @Element("owner-id")
  @Type("integer")
  @Range(min="0", max="2^31-1")
  public void setOwnerId(Integer paramInteger)
  {
    this.ownerId = paramInteger;
  }

  public Integer getOwnerId()
  {
    return this.ownerId;
  }

  public FileInfo withOwnerId(Integer paramInteger)
  {
    this.ownerId = paramInteger;
    return this;
  }

  @Element("perm")
  @Type("integer")
  @Range(min="0", max="2^31-1")
  public void setPerm(Integer paramInteger)
  {
    this.perm = paramInteger;
  }

  public Integer getPerm()
  {
    return this.perm;
  }

  public FileInfo withPerm(Integer paramInteger)
  {
    this.perm = paramInteger;
    return this;
  }
}