package com.netapp.filer.file;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("file-rename-directory")
@Status(StatusEnum.PUBLIC)
@Errno({"EONTAPI_EEXIST", "EONTAPI_EINVAL", "EONTAPI_ENOENT", "EONTAPI_ENOTDIR", "EONTAPI_EXDEV"})
@Family({"ontap-c", "vfiler"})
public class FileRenameDirectory
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String fromPath;
  public String toPath;

  @Input("from-path")
  @Type("string")
  public void setFromPath(String paramString)
  {
    this.fromPath = paramString;
  }

  public String getFromPath()
  {
    return this.fromPath;
  }

  public FileRenameDirectory withFromPath(String paramString)
  {
    this.fromPath = paramString;
    return this;
  }

  @Input("to-path")
  @Type("string")
  public void setToPath(String paramString)
  {
    this.toPath = paramString;
  }

  public String getToPath()
  {
    return this.toPath;
  }

  public FileRenameDirectory withToPath(String paramString)
  {
    this.toPath = paramString;
    return this;
  }
}