package com.netapp.filer.file;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("file-write-file")
@Status(StatusEnum.PUBLIC)
@Errno({"EBADFILELENGTH", "EONTAPI_ENOENT"})
@Family({"ontap-c", "vfiler"})
public class FileWriteFile
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String data;
  public Long length;
  public Long offset;
  public Boolean overwrite;
  public String path;

  @Input("data")
  @Type("string")
  public void setData(String paramString)
  {
    this.data = paramString;
  }

  public String getData()
  {
    return this.data;
  }

  public FileWriteFile withData(String paramString)
  {
    this.data = paramString;
    return this;
  }

  @Output("length")
  @Type("integer")
  public void setLength(Long paramLong)
  {
    this.length = paramLong;
  }

  public Long getLength()
  {
    return this.length;
  }

  public FileWriteFile withLength(Long paramLong)
  {
    this.length = paramLong;
    return this;
  }

  @Input("offset")
  @Type("integer")
  public void setOffset(Long paramLong)
  {
    this.offset = paramLong;
  }

  public Long getOffset()
  {
    return this.offset;
  }

  public FileWriteFile withOffset(Long paramLong)
  {
    this.offset = paramLong;
    return this;
  }

  @Input("overwrite")
  @Type("boolean")
  @Optional
  public void setOverwrite(Boolean paramBoolean)
  {
    this.overwrite = paramBoolean;
  }

  public Boolean isOverwrite()
  {
    return this.overwrite;
  }

  public FileWriteFile withOverwrite(Boolean paramBoolean)
  {
    this.overwrite = paramBoolean;
    return this;
  }

  @Input("path")
  @Type("string")
  public void setPath(String paramString)
  {
    this.path = paramString;
  }

  public String getPath()
  {
    return this.path;
  }

  public FileWriteFile withPath(String paramString)
  {
    this.path = paramString;
    return this;
  }
}