package com.netapp.filer.file;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;

@Typedef("inode-parent-info")
public class InodeParentInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String inodeName;
  public Long inodeParentCookie;
  public Long inodeParentInodeNumber;
  public String inodePath;

  @Element("inode-name")
  @Type("string")
  @Optional
  public void setInodeName(String paramString)
  {
    this.inodeName = paramString;
  }

  public String getInodeName()
  {
    return this.inodeName;
  }

  public InodeParentInfo withInodeName(String paramString)
  {
    this.inodeName = paramString;
    return this;
  }

  @Element("inode-parent-cookie")
  @Type("integer")
  @Optional
  public void setInodeParentCookie(Long paramLong)
  {
    this.inodeParentCookie = paramLong;
  }

  public Long getInodeParentCookie()
  {
    return this.inodeParentCookie;
  }

  public InodeParentInfo withInodeParentCookie(Long paramLong)
  {
    this.inodeParentCookie = paramLong;
    return this;
  }

  @Element("inode-parent-inode-number")
  @Type("integer")
  @Optional
  public void setInodeParentInodeNumber(Long paramLong)
  {
    this.inodeParentInodeNumber = paramLong;
  }

  public Long getInodeParentInodeNumber()
  {
    return this.inodeParentInodeNumber;
  }

  public InodeParentInfo withInodeParentInodeNumber(Long paramLong)
  {
    this.inodeParentInodeNumber = paramLong;
    return this;
  }

  @Element("inode-path")
  @Type("string")
  @Optional
  public void setInodePath(String paramString)
  {
    this.inodePath = paramString;
  }

  public String getInodePath()
  {
    return this.inodePath;
  }

  public InodeParentInfo withInodePath(String paramString)
  {
    this.inodePath = paramString;
    return this;
  }
}