package com.netapp.filer.fpolicy;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("fpolicy-get-secondary-servers-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR", "EINVALIDINPUTERROR"})
@Family({"ontap-c", "vfiler"})
public class FpolicyGetSecondaryServersInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String policyName;
  public List<SecondaryServerInfo> secondaryServers;

  @Input("policy-name")
  @Type("string")
  public void setPolicyName(String paramString)
  {
    this.policyName = paramString;
  }

  public String getPolicyName()
  {
    return this.policyName;
  }

  public FpolicyGetSecondaryServersInfo withPolicyName(String paramString)
  {
    this.policyName = paramString;
    return this;
  }

  @Output("secondary-servers")
  @Type("secondary-server-info[]")
  public void setSecondaryServers(List<SecondaryServerInfo> paramList)
  {
    this.secondaryServers = paramList;
  }

  public List<SecondaryServerInfo> getSecondaryServers()
  {
    return this.secondaryServers;
  }

  public FpolicyGetSecondaryServersInfo withSecondaryServers(List<SecondaryServerInfo> paramList)
  {
    this.secondaryServers = paramList;
    return this;
  }

  public FpolicyGetSecondaryServersInfo withSecondaryServers(SecondaryServerInfo[] paramArrayOfSecondaryServerInfo)
  {
    this.secondaryServers = new ArrayList(Arrays.asList(paramArrayOfSecondaryServerInfo));
    return this;
  }
}