package com.netapp.filer.fpolicy;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("fpolicy-operations-list-set")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR", "EINVALIDINPUTERROR"})
@Family({"ontap-c", "vfiler"})
public class FpolicyOperationsListSet
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Boolean force;
  public List<MonitoredOperationInfo> monitoredOperations;
  public List<MonitoredProtocolInfo> monitoredProtocols;
  public Boolean offlineOnly;
  public String policyName;

  @Input("force")
  @Type("boolean")
  @Optional
  public void setForce(Boolean paramBoolean)
  {
    this.force = paramBoolean;
  }

  public Boolean isForce()
  {
    return this.force;
  }

  public FpolicyOperationsListSet withForce(Boolean paramBoolean)
  {
    this.force = paramBoolean;
    return this;
  }

  @Input("monitored-operations")
  @Type("monitored-operation-info[]")
  public void setMonitoredOperations(List<MonitoredOperationInfo> paramList)
  {
    this.monitoredOperations = paramList;
  }

  public List<MonitoredOperationInfo> getMonitoredOperations()
  {
    return this.monitoredOperations;
  }

  public FpolicyOperationsListSet withMonitoredOperations(List<MonitoredOperationInfo> paramList)
  {
    this.monitoredOperations = paramList;
    return this;
  }

  public FpolicyOperationsListSet withMonitoredOperations(MonitoredOperationInfo[] paramArrayOfMonitoredOperationInfo)
  {
    this.monitoredOperations = new ArrayList(Arrays.asList(paramArrayOfMonitoredOperationInfo));
    return this;
  }

  @Input("monitored-protocols")
  @Type("monitored-protocol-info[]")
  public void setMonitoredProtocols(List<MonitoredProtocolInfo> paramList)
  {
    this.monitoredProtocols = paramList;
  }

  public List<MonitoredProtocolInfo> getMonitoredProtocols()
  {
    return this.monitoredProtocols;
  }

  public FpolicyOperationsListSet withMonitoredProtocols(List<MonitoredProtocolInfo> paramList)
  {
    this.monitoredProtocols = paramList;
    return this;
  }

  public FpolicyOperationsListSet withMonitoredProtocols(MonitoredProtocolInfo[] paramArrayOfMonitoredProtocolInfo)
  {
    this.monitoredProtocols = new ArrayList(Arrays.asList(paramArrayOfMonitoredProtocolInfo));
    return this;
  }

  @Input("offline-only")
  @Type("boolean")
  @Optional
  public void setOfflineOnly(Boolean paramBoolean)
  {
    this.offlineOnly = paramBoolean;
  }

  public Boolean isOfflineOnly()
  {
    return this.offlineOnly;
  }

  public FpolicyOperationsListSet withOfflineOnly(Boolean paramBoolean)
  {
    this.offlineOnly = paramBoolean;
    return this;
  }

  @Input("policy-name")
  @Type("string")
  public void setPolicyName(String paramString)
  {
    this.policyName = paramString;
  }

  public String getPolicyName()
  {
    return this.policyName;
  }

  public FpolicyOperationsListSet withPolicyName(String paramString)
  {
    this.policyName = paramString;
    return this;
  }
}