package com.netapp.filer.fpolicy;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;

@Typedef("server-info")
public class ServerInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Long idlVersion;
  public Boolean asynchronous;
  public Boolean sizeAndOwnerRequired;
  public Boolean snapidRequired;
  public Boolean version2;
  public Long numberOfScreenFailures;
  public Long numberOfScreenedFiles;
  public String offlineFilterBit;
  public Long serverId;
  public String serverIp;
  public String smbReqPipeName;

  @Element("idl-version")
  @Type("integer")
  @Range(min="0", max="2^32-1")
  public void setIdlVersion(Long paramLong)
  {
    this.idlVersion = paramLong;
  }

  public Long getIdlVersion()
  {
    return this.idlVersion;
  }

  public ServerInfo withIdlVersion(Long paramLong)
  {
    this.idlVersion = paramLong;
    return this;
  }

  @Element("is-asynchronous")
  @Type("boolean")
  @Optional
  public void setAsynchronous(Boolean paramBoolean)
  {
    this.asynchronous = paramBoolean;
  }

  public Boolean isAsynchronous()
  {
    return this.asynchronous;
  }

  public ServerInfo withAsynchronous(Boolean paramBoolean)
  {
    this.asynchronous = paramBoolean;
    return this;
  }

  @Element("is-size-and-owner-required")
  @Type("boolean")
  @Optional
  public void setSizeAndOwnerRequired(Boolean paramBoolean)
  {
    this.sizeAndOwnerRequired = paramBoolean;
  }

  public Boolean isSizeAndOwnerRequired()
  {
    return this.sizeAndOwnerRequired;
  }

  public ServerInfo withSizeAndOwnerRequired(Boolean paramBoolean)
  {
    this.sizeAndOwnerRequired = paramBoolean;
    return this;
  }

  @Element("is-snapid-required")
  @Type("boolean")
  @Optional
  public void setSnapidRequired(Boolean paramBoolean)
  {
    this.snapidRequired = paramBoolean;
  }

  public Boolean isSnapidRequired()
  {
    return this.snapidRequired;
  }

  public ServerInfo withSnapidRequired(Boolean paramBoolean)
  {
    this.snapidRequired = paramBoolean;
    return this;
  }

  @Element("is-version2")
  @Type("boolean")
  @Optional
  public void setVersion2(Boolean paramBoolean)
  {
    this.version2 = paramBoolean;
  }

  public Boolean isVersion2()
  {
    return this.version2;
  }

  public ServerInfo withVersion2(Boolean paramBoolean)
  {
    this.version2 = paramBoolean;
    return this;
  }

  @Element("number-of-screen-failures")
  @Type("integer")
  @Range(min="0", max="2^32-1")
  public void setNumberOfScreenFailures(Long paramLong)
  {
    this.numberOfScreenFailures = paramLong;
  }

  public Long getNumberOfScreenFailures()
  {
    return this.numberOfScreenFailures;
  }

  public ServerInfo withNumberOfScreenFailures(Long paramLong)
  {
    this.numberOfScreenFailures = paramLong;
    return this;
  }

  @Element("number-of-screened-files")
  @Type("integer")
  @Range(min="0", max="2^32-1")
  public void setNumberOfScreenedFiles(Long paramLong)
  {
    this.numberOfScreenedFiles = paramLong;
  }

  public Long getNumberOfScreenedFiles()
  {
    return this.numberOfScreenedFiles;
  }

  public ServerInfo withNumberOfScreenedFiles(Long paramLong)
  {
    this.numberOfScreenedFiles = paramLong;
    return this;
  }

  @Element("offline-filter-bit")
  @Type("string")
  @Optional
  public void setOfflineFilterBit(String paramString)
  {
    this.offlineFilterBit = paramString;
  }

  public String getOfflineFilterBit()
  {
    return this.offlineFilterBit;
  }

  public ServerInfo withOfflineFilterBit(String paramString)
  {
    this.offlineFilterBit = paramString;
    return this;
  }

  @Element("server-id")
  @Type("integer")
  @Range(min="0", max="2^32-1")
  public void setServerId(Long paramLong)
  {
    this.serverId = paramLong;
  }

  public Long getServerId()
  {
    return this.serverId;
  }

  public ServerInfo withServerId(Long paramLong)
  {
    this.serverId = paramLong;
    return this;
  }

  @Element("server-ip")
  @Type("ip-address")
  public void setServerIp(String paramString)
  {
    this.serverIp = paramString;
  }

  public String getServerIp()
  {
    return this.serverIp;
  }

  public ServerInfo withServerIp(String paramString)
  {
    this.serverIp = paramString;
    return this;
  }

  @Element("smb-req-pipe-name")
  @Type("string")
  public void setSmbReqPipeName(String paramString)
  {
    this.smbReqPipeName = paramString;
  }

  public String getSmbReqPipeName()
  {
    return this.smbReqPipeName;
  }

  public ServerInfo withSmbReqPipeName(String paramString)
  {
    this.smbReqPipeName = paramString;
    return this;
  }
}