package com.netapp.filer.ic;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.math.BigInteger;

@Typedef("ic-counter")
public class IcCounter
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String counterName;
  public BigInteger counterValue;

  @Element("counter-name")
  @Type("string")
  public void setCounterName(String paramString)
  {
    this.counterName = paramString;
  }

  public String getCounterName()
  {
    return this.counterName;
  }

  public IcCounter withCounterName(String paramString)
  {
    this.counterName = paramString;
    return this;
  }

  @Element("counter-value")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setCounterValue(BigInteger paramBigInteger)
  {
    this.counterValue = paramBigInteger;
  }

  public BigInteger getCounterValue()
  {
    return this.counterValue;
  }

  public IcCounter withCounterValue(BigInteger paramBigInteger)
  {
    this.counterValue = paramBigInteger;
    return this;
  }
}