package com.netapp.filer.ic;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("ic-get-queue-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR"})
@Family({"ontap-c", "ontap-d"})
public class IcGetQueueInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public QueueInfo recvQueueInfo;
  public QueueInfo sendQueueInfo;
  public Long virtualInterface;

  @Output("recv-queue-info")
  @Type("queue-info")
  @Optional
  public void setRecvQueueInfo(QueueInfo paramQueueInfo)
  {
    this.recvQueueInfo = paramQueueInfo;
  }

  public QueueInfo getRecvQueueInfo()
  {
    return this.recvQueueInfo;
  }

  public IcGetQueueInfo withRecvQueueInfo(QueueInfo paramQueueInfo)
  {
    this.recvQueueInfo = paramQueueInfo;
    return this;
  }

  @Output("send-queue-info")
  @Type("queue-info")
  @Optional
  public void setSendQueueInfo(QueueInfo paramQueueInfo)
  {
    this.sendQueueInfo = paramQueueInfo;
  }

  public QueueInfo getSendQueueInfo()
  {
    return this.sendQueueInfo;
  }

  public IcGetQueueInfo withSendQueueInfo(QueueInfo paramQueueInfo)
  {
    this.sendQueueInfo = paramQueueInfo;
    return this;
  }

  @Input("virtual-interface")
  @Type("integer")
  @Range(min="0", max="2^32-1")
  public void setVirtualInterface(Long paramLong)
  {
    this.virtualInterface = paramLong;
  }

  public Long getVirtualInterface()
  {
    return this.virtualInterface;
  }

  public IcGetQueueInfo withVirtualInterface(Long paramLong)
  {
    this.virtualInterface = paramLong;
    return this;
  }
}