package com.netapp.filer.ic;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Typedef("nvram-per-port-counters-info")
public class NvramPerPortCountersInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<IcCounter> counterList;
  public Long portNumber;

  @Element("counter-list")
  @Type("ic-counter[]")
  @Optional
  public void setCounterList(List<IcCounter> paramList)
  {
    this.counterList = paramList;
  }

  public List<IcCounter> getCounterList()
  {
    return this.counterList;
  }

  public NvramPerPortCountersInfo withCounterList(List<IcCounter> paramList)
  {
    this.counterList = paramList;
    return this;
  }

  public NvramPerPortCountersInfo withCounterList(IcCounter[] paramArrayOfIcCounter)
  {
    this.counterList = new ArrayList(Arrays.asList(paramArrayOfIcCounter));
    return this;
  }

  @Element("port-number")
  @Type("integer")
  @Range(min="0", max="2^32-1")
  public void setPortNumber(Long paramLong)
  {
    this.portNumber = paramLong;
  }

  public Long getPortNumber()
  {
    return this.portNumber;
  }

  public NvramPerPortCountersInfo withPortNumber(Long paramLong)
  {
    this.portNumber = paramLong;
    return this;
  }
}