package com.netapp.filer.ic;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;

@Typedef("per-link-parameters-info")
public class PerLinkParametersInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Long linkNumber;
  public String linkState;
  public Long numMadReceived;
  public Long numMadSent;
  public Long numRecvDesc;
  public Long portMtu;
  public String portState;

  @Element("link-number")
  @Type("integer")
  @Range(min="0", max="2^32-1")
  public void setLinkNumber(Long paramLong)
  {
    this.linkNumber = paramLong;
  }

  public Long getLinkNumber()
  {
    return this.linkNumber;
  }

  public PerLinkParametersInfo withLinkNumber(Long paramLong)
  {
    this.linkNumber = paramLong;
    return this;
  }

  @Element("link-state")
  @Type("string")
  public void setLinkState(String paramString)
  {
    this.linkState = paramString;
  }

  public String getLinkState()
  {
    return this.linkState;
  }

  public PerLinkParametersInfo withLinkState(String paramString)
  {
    this.linkState = paramString;
    return this;
  }

  @Element("num-mad-received")
  @Type("integer")
  @Range(min="0", max="2^32-1")
  public void setNumMadReceived(Long paramLong)
  {
    this.numMadReceived = paramLong;
  }

  public Long getNumMadReceived()
  {
    return this.numMadReceived;
  }

  public PerLinkParametersInfo withNumMadReceived(Long paramLong)
  {
    this.numMadReceived = paramLong;
    return this;
  }

  @Element("num-mad-sent")
  @Type("integer")
  @Range(min="0", max="2^32-1")
  public void setNumMadSent(Long paramLong)
  {
    this.numMadSent = paramLong;
  }

  public Long getNumMadSent()
  {
    return this.numMadSent;
  }

  public PerLinkParametersInfo withNumMadSent(Long paramLong)
  {
    this.numMadSent = paramLong;
    return this;
  }

  @Element("num-recv-desc")
  @Type("integer")
  @Range(min="0", max="2^32-1")
  public void setNumRecvDesc(Long paramLong)
  {
    this.numRecvDesc = paramLong;
  }

  public Long getNumRecvDesc()
  {
    return this.numRecvDesc;
  }

  public PerLinkParametersInfo withNumRecvDesc(Long paramLong)
  {
    this.numRecvDesc = paramLong;
    return this;
  }

  @Element("port-mtu")
  @Type("integer")
  @Range(min="0", max="2^32-1")
  public void setPortMtu(Long paramLong)
  {
    this.portMtu = paramLong;
  }

  public Long getPortMtu()
  {
    return this.portMtu;
  }

  public PerLinkParametersInfo withPortMtu(Long paramLong)
  {
    this.portMtu = paramLong;
    return this;
  }

  @Element("port-state")
  @Type("string")
  public void setPortState(String paramString)
  {
    this.portState = paramString;
  }

  public String getPortState()
  {
    return this.portState;
  }

  public PerLinkParametersInfo withPortState(String paramString)
  {
    this.portState = paramString;
    return this;
  }
}