package com.netapp.filer.ic;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Typedef("virtual-interface-socket-stat-info")
public class VirtualInterfaceSocketStatInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Long channelNumber;
  public List<IcCounter> perChannelCounters;

  @Element("channel-number")
  @Type("integer")
  @Range(min="0", max="2^32-1")
  public void setChannelNumber(Long paramLong)
  {
    this.channelNumber = paramLong;
  }

  public Long getChannelNumber()
  {
    return this.channelNumber;
  }

  public VirtualInterfaceSocketStatInfo withChannelNumber(Long paramLong)
  {
    this.channelNumber = paramLong;
    return this;
  }

  @Element("per-channel-counters")
  @Type("ic-counter[]")
  public void setPerChannelCounters(List<IcCounter> paramList)
  {
    this.perChannelCounters = paramList;
  }

  public List<IcCounter> getPerChannelCounters()
  {
    return this.perChannelCounters;
  }

  public VirtualInterfaceSocketStatInfo withPerChannelCounters(List<IcCounter> paramList)
  {
    this.perChannelCounters = paramList;
    return this;
  }

  public VirtualInterfaceSocketStatInfo withPerChannelCounters(IcCounter[] paramArrayOfIcCounter)
  {
    this.perChannelCounters = new ArrayList(Arrays.asList(paramArrayOfIcCounter));
    return this;
  }
}