package com.netapp.filer.igroup;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("igroup-add")
@Status(StatusEnum.PUBLIC)
@Errno({"EVDISK_ERROR_INITGROUP_HAS_NODE", "EVDISK_ERROR_INITGROUP_TOO_MANY_NODENAMES", "EVDISK_ERROR_LUN_MAPPING_CONFLICT", "EVDISK_ERROR_NOT_VALID_FC_WWN", "EVDISK_ERROR_NOT_VALID_ISCSI_NAME", "EVDISK_ERROR_NO_SUCH_INITGROUP", "EVDISK_ERROR_PARTNER_HAS_DIFFERENT_OS_TYPE", "EVDISK_ERROR_PARTNER_HAS_LUN", "EVDISK_ERROR_PARTNER_NOT_REACHABLE"})
@Family({"ontap-c", "vfiler"})
public class IgroupAdd
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Boolean force;
  public String initiator;
  public String initiatorGroupName;

  @Input("force")
  @Type("boolean")
  @Optional
  public void setForce(Boolean paramBoolean)
  {
    this.force = paramBoolean;
  }

  public Boolean isForce()
  {
    return this.force;
  }

  public IgroupAdd withForce(Boolean paramBoolean)
  {
    this.force = paramBoolean;
    return this;
  }

  @Input("initiator")
  @Type("string")
  public void setInitiator(String paramString)
  {
    this.initiator = paramString;
  }

  public String getInitiator()
  {
    return this.initiator;
  }

  public IgroupAdd withInitiator(String paramString)
  {
    this.initiator = paramString;
    return this;
  }

  @Input("initiator-group-name")
  @Type("string")
  public void setInitiatorGroupName(String paramString)
  {
    this.initiatorGroupName = paramString;
  }

  public String getInitiatorGroupName()
  {
    return this.initiatorGroupName;
  }

  public IgroupAdd withInitiatorGroupName(String paramString)
  {
    this.initiatorGroupName = paramString;
    return this;
  }
}