package com.netapp.filer.igroup;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("igroup-create")
@Status(StatusEnum.PUBLIC)
@Errno({"EINVALIDINPUTERROR", "EVDISK_ERROR_INITGROUP_BIND_WRONG_TYPE", "EVDISK_ERROR_INITGROUP_EMPTY_PSET_BIND", "EVDISK_ERROR_INITGROUP_EXISTS", "EVDISK_ERROR_INITGROUP_INVALID_ATTR_OS_TYPE_VALUE", "EVDISK_ERROR_INITGROUP_INVALID_ATTR_TYPE", "EVDISK_ERROR_INITGROUP_MISSING_ARGS", "EVDISK_ERROR_PORTSET_NO_SUCH_SET"})
@Family({"ontap-c", "vfiler"})
public class IgroupCreate
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String bindPortset;
  public String initiatorGroupName;
  public String initiatorGroupType;
  public String osType;
  public String ostype;

  @Input("bind-portset")
  @Type("string")
  @Optional
  public void setBindPortset(String paramString)
  {
    this.bindPortset = paramString;
  }

  public String getBindPortset()
  {
    return this.bindPortset;
  }

  public IgroupCreate withBindPortset(String paramString)
  {
    this.bindPortset = paramString;
    return this;
  }

  @Input("initiator-group-name")
  @Type("string")
  public void setInitiatorGroupName(String paramString)
  {
    this.initiatorGroupName = paramString;
  }

  public String getInitiatorGroupName()
  {
    return this.initiatorGroupName;
  }

  public IgroupCreate withInitiatorGroupName(String paramString)
  {
    this.initiatorGroupName = paramString;
    return this;
  }

  @Input("initiator-group-type")
  @Type("string")
  public void setInitiatorGroupType(String paramString)
  {
    this.initiatorGroupType = paramString;
  }

  public String getInitiatorGroupType()
  {
    return this.initiatorGroupType;
  }

  public IgroupCreate withInitiatorGroupType(String paramString)
  {
    this.initiatorGroupType = paramString;
    return this;
  }

  @Input("os-type")
  @Type("string")
  @Optional
  public void setOsType(String paramString)
  {
    this.osType = paramString;
  }

  public String getOsType()
  {
    return this.osType;
  }

  public IgroupCreate withOsType(String paramString)
  {
    this.osType = paramString;
    return this;
  }

  @Input("ostype")
  @Type("string")
  @Optional
  public void setOstype(String paramString)
  {
    this.ostype = paramString;
  }

  public String getOstype()
  {
    return this.ostype;
  }

  public IgroupCreate withOstype(String paramString)
  {
    this.ostype = paramString;
    return this;
  }
}