package com.netapp.filer.igroup;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.filer.lun.InitiatorGroupInfo;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("igroup-list-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EVDISK_ERROR_NO_SUCH_INITGROUP"})
@Family({"ontap-c", "vfiler"})
public class IgroupListInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String initiatorGroupName;
  public List<InitiatorGroupInfo> initiatorGroups;

  @Input("initiator-group-name")
  @Type("string")
  @Optional
  public void setInitiatorGroupName(String paramString)
  {
    this.initiatorGroupName = paramString;
  }

  public String getInitiatorGroupName()
  {
    return this.initiatorGroupName;
  }

  public IgroupListInfo withInitiatorGroupName(String paramString)
  {
    this.initiatorGroupName = paramString;
    return this;
  }

  @Output("initiator-groups")
  @Type("initiator-group-info[]")
  public void setInitiatorGroups(List<InitiatorGroupInfo> paramList)
  {
    this.initiatorGroups = paramList;
  }

  public List<InitiatorGroupInfo> getInitiatorGroups()
  {
    return this.initiatorGroups;
  }

  public IgroupListInfo withInitiatorGroups(List<InitiatorGroupInfo> paramList)
  {
    this.initiatorGroups = paramList;
    return this;
  }

  public IgroupListInfo withInitiatorGroups(InitiatorGroupInfo[] paramArrayOfInitiatorGroupInfo)
  {
    this.initiatorGroups = new ArrayList(Arrays.asList(paramArrayOfInitiatorGroupInfo));
    return this;
  }
}