package com.netapp.filer.igroup;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("igroup-lookup-lun")
@Status(StatusEnum.PUBLIC)
@Errno({"EVDISK_ERROR_NO_SUCH_INITGROUP", "EVDISK_ERROR_NO_SUCH_LUNMAP"})
@Family({"ontap-c", "vfiler"})
public class IgroupLookupLun
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String initiatorGroupName;
  public Long lunId;
  public String path;

  @Input("initiator-group-name")
  @Type("string")
  public void setInitiatorGroupName(String paramString)
  {
    this.initiatorGroupName = paramString;
  }

  public String getInitiatorGroupName()
  {
    return this.initiatorGroupName;
  }

  public IgroupLookupLun withInitiatorGroupName(String paramString)
  {
    this.initiatorGroupName = paramString;
    return this;
  }

  @Input("lun-id")
  @Type("integer")
  public void setLunId(Long paramLong)
  {
    this.lunId = paramLong;
  }

  public Long getLunId()
  {
    return this.lunId;
  }

  public IgroupLookupLun withLunId(Long paramLong)
  {
    this.lunId = paramLong;
    return this;
  }

  @Output("path")
  @Type("string")
  public void setPath(String paramString)
  {
    this.path = paramString;
  }

  public String getPath()
  {
    return this.path;
  }

  public IgroupLookupLun withPath(String paramString)
  {
    this.path = paramString;
    return this;
  }
}