package com.netapp.filer.igroup;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("igroup-set-attribute")
@Status(StatusEnum.PUBLIC)
@Errno({"EVDISK_ERROR_ALUA_FCP_TRANSPORT_TYPE_CONFLICT;", "EVDISK_ERROR_ALUA_ISCSI_TRANSPORT_TYPE_CONFLICT;", "EVDISK_ERROR_ALUA_NOT_SUPPORTED", "EVDISK_ERROR_IGROUP_ALREADY_THROTTLED", "EVDISK_ERROR_IGROUP_NOT_THROTTLED", "EVDISK_ERROR_INITGROUP_INVALID_ATTR_MODE_CONFIG", "EVDISK_ERROR_INITGROUP_INVALID_ATTR_MODE_VALUE", "EVDISK_ERROR_INITGROUP_INVALID_ATTR_TYPE", "EVDISK_ERROR_INITGROUP_MISSING_ARGS", "EVDISK_ERROR_NO_ISCSI_THROTTLES", "EVDISK_ERROR_NO_SUCH_INITGROUP", "EVDISK_ERROR_PARTNER_HAS_DIFFERENT_OS_TYPE", "EVDISK_ERROR_PARTNER_NOT_REACHABLE", "EVDISK_ERROR_THROTTLE_BEING_DELETED", "EVDISK_ERROR_THROTTLE_TOO_MUCH"})
public class IgroupSetAttribute
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String attribute;
  public Boolean force;
  public String initiatorGroupName;
  public String value;

  @Input("attribute")
  @Type("string")
  public void setAttribute(String paramString)
  {
    this.attribute = paramString;
  }

  public String getAttribute()
  {
    return this.attribute;
  }

  public IgroupSetAttribute withAttribute(String paramString)
  {
    this.attribute = paramString;
    return this;
  }

  @Input("force")
  @Type("boolean")
  @Optional
  public void setForce(Boolean paramBoolean)
  {
    this.force = paramBoolean;
  }

  public Boolean isForce()
  {
    return this.force;
  }

  public IgroupSetAttribute withForce(Boolean paramBoolean)
  {
    this.force = paramBoolean;
    return this;
  }

  @Input("initiator-group-name")
  @Type("string")
  public void setInitiatorGroupName(String paramString)
  {
    this.initiatorGroupName = paramString;
  }

  public String getInitiatorGroupName()
  {
    return this.initiatorGroupName;
  }

  public IgroupSetAttribute withInitiatorGroupName(String paramString)
  {
    this.initiatorGroupName = paramString;
    return this;
  }

  @Input("value")
  @Type("string")
  public void setValue(String paramString)
  {
    this.value = paramString;
  }

  public String getValue()
  {
    return this.value;
  }

  public IgroupSetAttribute withValue(String paramString)
  {
    this.value = paramString;
    return this;
  }
}