package com.netapp.filer.igroup;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("igroup-unbind-portset")
@Status(StatusEnum.PUBLIC)
@Errno({"EVDISK_ERROR_INITGROUP_NOT_BOUND", "EVDISK_ERROR_NO_SUCH_INITGROUP", "EVDISK_ERROR_PORTSET_THROTTLE_EXCEEDED"})
public class IgroupUnbindPortset
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String initiatorGroupName;

  @Input("initiator-group-name")
  @Type("string")
  public void setInitiatorGroupName(String paramString)
  {
    this.initiatorGroupName = paramString;
  }

  public String getInitiatorGroupName()
  {
    return this.initiatorGroupName;
  }

  public IgroupUnbindPortset withInitiatorGroupName(String paramString)
  {
    this.initiatorGroupName = paramString;
    return this;
  }
}