package com.netapp.filer.incrementalcopy;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;

@Typedef("incr-source-info")
public class IncrSourceInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String sourceAggrUuid;
  public OdSpinnpDsid sourceSnapshotDsid;
  public OdSpinnpDsid sourceSnapshotMsid;
  public String sourceSnapshotName;
  public OdSpinnpDsid sourceVolumeDsid;

  @Element("source-aggr-uuid")
  @Type("string")
  public void setSourceAggrUuid(String paramString)
  {
    this.sourceAggrUuid = paramString;
  }

  public String getSourceAggrUuid()
  {
    return this.sourceAggrUuid;
  }

  public IncrSourceInfo withSourceAggrUuid(String paramString)
  {
    this.sourceAggrUuid = paramString;
    return this;
  }

  @Element("source-snapshot-dsid")
  @Type("od-spinnp-dsid")
  public void setSourceSnapshotDsid(OdSpinnpDsid paramOdSpinnpDsid)
  {
    this.sourceSnapshotDsid = paramOdSpinnpDsid;
  }

  public OdSpinnpDsid getSourceSnapshotDsid()
  {
    return this.sourceSnapshotDsid;
  }

  public IncrSourceInfo withSourceSnapshotDsid(OdSpinnpDsid paramOdSpinnpDsid)
  {
    this.sourceSnapshotDsid = paramOdSpinnpDsid;
    return this;
  }

  @Element("source-snapshot-msid")
  @Type("od-spinnp-dsid")
  public void setSourceSnapshotMsid(OdSpinnpDsid paramOdSpinnpDsid)
  {
    this.sourceSnapshotMsid = paramOdSpinnpDsid;
  }

  public OdSpinnpDsid getSourceSnapshotMsid()
  {
    return this.sourceSnapshotMsid;
  }

  public IncrSourceInfo withSourceSnapshotMsid(OdSpinnpDsid paramOdSpinnpDsid)
  {
    this.sourceSnapshotMsid = paramOdSpinnpDsid;
    return this;
  }

  @Element("source-snapshot-name")
  @Type("string")
  public void setSourceSnapshotName(String paramString)
  {
    this.sourceSnapshotName = paramString;
  }

  public String getSourceSnapshotName()
  {
    return this.sourceSnapshotName;
  }

  public IncrSourceInfo withSourceSnapshotName(String paramString)
  {
    this.sourceSnapshotName = paramString;
    return this;
  }

  @Element("source-volume-dsid")
  @Type("od-spinnp-dsid")
  public void setSourceVolumeDsid(OdSpinnpDsid paramOdSpinnpDsid)
  {
    this.sourceVolumeDsid = paramOdSpinnpDsid;
  }

  public OdSpinnpDsid getSourceVolumeDsid()
  {
    return this.sourceVolumeDsid;
  }

  public IncrSourceInfo withSourceVolumeDsid(OdSpinnpDsid paramOdSpinnpDsid)
  {
    this.sourceVolumeDsid = paramOdSpinnpDsid;
    return this;
  }
}