package com.netapp.filer.incrementalcopy;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("incremental-copy-cancel")
@Status(StatusEnum.PUBLIC)
@Errno({"EINCRCOPYFAILED"})
@Family({"ontap-d"})
public class IncrementalCopyCancel
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public IncrDestinationInfo incrDestination;
  public String operationId;
  public String operationStatus;
  public Long operationTransferMethod;

  @Input("incr-destination")
  @Type("incr-destination-info")
  @Optional
  public void setIncrDestination(IncrDestinationInfo paramIncrDestinationInfo)
  {
    this.incrDestination = paramIncrDestinationInfo;
  }

  public IncrDestinationInfo getIncrDestination()
  {
    return this.incrDestination;
  }

  public IncrementalCopyCancel withIncrDestination(IncrDestinationInfo paramIncrDestinationInfo)
  {
    this.incrDestination = paramIncrDestinationInfo;
    return this;
  }

  @Input("operation-id")
  @Type("string")
  public void setOperationId(String paramString)
  {
    this.operationId = paramString;
  }

  public String getOperationId()
  {
    return this.operationId;
  }

  public IncrementalCopyCancel withOperationId(String paramString)
  {
    this.operationId = paramString;
    return this;
  }

  @Output("operation-status")
  @Type("string")
  @Optional
  public void setOperationStatus(String paramString)
  {
    this.operationStatus = paramString;
  }

  public String getOperationStatus()
  {
    return this.operationStatus;
  }

  public IncrementalCopyCancel withOperationStatus(String paramString)
  {
    this.operationStatus = paramString;
    return this;
  }

  @Input("operation-transfer-method")
  @Type("integer")
  @Optional
  public void setOperationTransferMethod(Long paramLong)
  {
    this.operationTransferMethod = paramLong;
  }

  public Long getOperationTransferMethod()
  {
    return this.operationTransferMethod;
  }

  public IncrementalCopyCancel withOperationTransferMethod(Long paramLong)
  {
    this.operationTransferMethod = paramLong;
    return this;
  }
}