package com.netapp.filer.incrementalcopy;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("incremental-copy-progress")
@Status(StatusEnum.PUBLIC)
@Errno({"EINCRCOPYFAILED"})
@Family({"ontap-d"})
public class IncrementalCopyProgress
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String operationId;
  public List<IncrProgressInfo> operationProgress;
  public Long operationTransferMethod;

  @Input("operation-id")
  @Type("string")
  public void setOperationId(String paramString)
  {
    this.operationId = paramString;
  }

  public String getOperationId()
  {
    return this.operationId;
  }

  public IncrementalCopyProgress withOperationId(String paramString)
  {
    this.operationId = paramString;
    return this;
  }

  @Output("operation-progress")
  @Type("incr-progress-info[]")
  public void setOperationProgress(List<IncrProgressInfo> paramList)
  {
    this.operationProgress = paramList;
  }

  public List<IncrProgressInfo> getOperationProgress()
  {
    return this.operationProgress;
  }

  public IncrementalCopyProgress withOperationProgress(List<IncrProgressInfo> paramList)
  {
    this.operationProgress = paramList;
    return this;
  }

  public IncrementalCopyProgress withOperationProgress(IncrProgressInfo[] paramArrayOfIncrProgressInfo)
  {
    this.operationProgress = new ArrayList(Arrays.asList(paramArrayOfIncrProgressInfo));
    return this;
  }

  @Input("operation-transfer-method")
  @Type("integer")
  @Optional
  public void setOperationTransferMethod(Long paramLong)
  {
    this.operationTransferMethod = paramLong;
  }

  public Long getOperationTransferMethod()
  {
    return this.operationTransferMethod;
  }

  public IncrementalCopyProgress withOperationTransferMethod(Long paramLong)
  {
    this.operationTransferMethod = paramLong;
    return this;
  }
}