package com.netapp.filer.incrementalcopy;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;

@Typedef("od-spinnp-dsid")
public class OdSpinnpDsid
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Integer odDsidClusterId;
  public Long odDsidLocalDsid;
  public Integer odDsidReserved;

  @Element("od-dsid-cluster-id")
  @Type("integer")
  @Range(min="0", max="65535")
  public void setOdDsidClusterId(Integer paramInteger)
  {
    this.odDsidClusterId = paramInteger;
  }

  public Integer getOdDsidClusterId()
  {
    return this.odDsidClusterId;
  }

  public OdSpinnpDsid withOdDsidClusterId(Integer paramInteger)
  {
    this.odDsidClusterId = paramInteger;
    return this;
  }

  @Element("od-dsid-local-dsid")
  @Type("integer")
  @Range(min="0", max="2^32-1")
  public void setOdDsidLocalDsid(Long paramLong)
  {
    this.odDsidLocalDsid = paramLong;
  }

  public Long getOdDsidLocalDsid()
  {
    return this.odDsidLocalDsid;
  }

  public OdSpinnpDsid withOdDsidLocalDsid(Long paramLong)
  {
    this.odDsidLocalDsid = paramLong;
    return this;
  }

  @Element("od-dsid-reserved")
  @Type("integer")
  @Range(min="0", max="255")
  public void setOdDsidReserved(Integer paramInteger)
  {
    this.odDsidReserved = paramInteger;
  }

  public Integer getOdDsidReserved()
  {
    return this.odDsidReserved;
  }

  public OdSpinnpDsid withOdDsidReserved(Integer paramInteger)
  {
    this.odDsidReserved = paramInteger;
    return this;
  }
}