package com.netapp.filer.iscsi;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Typedef("iscsi-adapter-initiators-info")
public class IscsiAdapterInitiatorsInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<IscsiConnectedInitiatorInfo> iscsiConnectedInitiators;
  public String name;

  @Element("iscsi-connected-initiators")
  @Type("iscsi-connected-initiator-info[]")
  public void setIscsiConnectedInitiators(List<IscsiConnectedInitiatorInfo> paramList)
  {
    this.iscsiConnectedInitiators = paramList;
  }

  public List<IscsiConnectedInitiatorInfo> getIscsiConnectedInitiators()
  {
    return this.iscsiConnectedInitiators;
  }

  public IscsiAdapterInitiatorsInfo withIscsiConnectedInitiators(List<IscsiConnectedInitiatorInfo> paramList)
  {
    this.iscsiConnectedInitiators = paramList;
    return this;
  }

  public IscsiAdapterInitiatorsInfo withIscsiConnectedInitiators(IscsiConnectedInitiatorInfo[] paramArrayOfIscsiConnectedInitiatorInfo)
  {
    this.iscsiConnectedInitiators = new ArrayList(Arrays.asList(paramArrayOfIscsiConnectedInitiatorInfo));
    return this;
  }

  @Element("name")
  @Type("string")
  public void setName(String paramString)
  {
    this.name = paramString;
  }

  public String getName()
  {
    return this.name;
  }

  public IscsiAdapterInitiatorsInfo withName(String paramString)
  {
    this.name = paramString;
    return this;
  }
}