package com.netapp.filer.iscsi;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("iscsi-adapter-initiators-list-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EADAPTERNOTFOUND", "EINTERNALERROR"})
@Family({"ontap-c", "vfiler"})
public class IscsiAdapterInitiatorsListInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String iscsiAdapter;
  public List<IscsiAdapterInitiatorsInfo> iscsiAdapters;

  @Input("iscsi-adapter")
  @Type("string")
  @Optional
  public void setIscsiAdapter(String paramString)
  {
    this.iscsiAdapter = paramString;
  }

  public String getIscsiAdapter()
  {
    return this.iscsiAdapter;
  }

  public IscsiAdapterInitiatorsListInfo withIscsiAdapter(String paramString)
  {
    this.iscsiAdapter = paramString;
    return this;
  }

  @Output("iscsi-adapters")
  @Type("iscsi-adapter-initiators-info[]")
  public void setIscsiAdapters(List<IscsiAdapterInitiatorsInfo> paramList)
  {
    this.iscsiAdapters = paramList;
  }

  public List<IscsiAdapterInitiatorsInfo> getIscsiAdapters()
  {
    return this.iscsiAdapters;
  }

  public IscsiAdapterInitiatorsListInfo withIscsiAdapters(List<IscsiAdapterInitiatorsInfo> paramList)
  {
    this.iscsiAdapters = paramList;
    return this;
  }

  public IscsiAdapterInitiatorsListInfo withIscsiAdapters(IscsiAdapterInitiatorsInfo[] paramArrayOfIscsiAdapterInitiatorsInfo)
  {
    this.iscsiAdapters = new ArrayList(Arrays.asList(paramArrayOfIscsiAdapterInitiatorsInfo));
    return this;
  }
}