package com.netapp.filer.iscsi;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("iscsi-adapter-list-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EADAPTERNOTFOUND"})
@Family({"ontap-c", "vfiler"})
public class IscsiAdapterListInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String iscsiAdapter;
  public List<IscsiConfigAdapterInfo> iscsiConfigAdapters;

  @Input("iscsi-adapter")
  @Type("string")
  @Optional
  public void setIscsiAdapter(String paramString)
  {
    this.iscsiAdapter = paramString;
  }

  public String getIscsiAdapter()
  {
    return this.iscsiAdapter;
  }

  public IscsiAdapterListInfo withIscsiAdapter(String paramString)
  {
    this.iscsiAdapter = paramString;
    return this;
  }

  @Output("iscsi-config-adapters")
  @Type("iscsi-config-adapter-info[]")
  public void setIscsiConfigAdapters(List<IscsiConfigAdapterInfo> paramList)
  {
    this.iscsiConfigAdapters = paramList;
  }

  public List<IscsiConfigAdapterInfo> getIscsiConfigAdapters()
  {
    return this.iscsiConfigAdapters;
  }

  public IscsiAdapterListInfo withIscsiConfigAdapters(List<IscsiConfigAdapterInfo> paramList)
  {
    this.iscsiConfigAdapters = paramList;
    return this;
  }

  public IscsiAdapterListInfo withIscsiConfigAdapters(IscsiConfigAdapterInfo[] paramArrayOfIscsiConfigAdapterInfo)
  {
    this.iscsiConfigAdapters = new ArrayList(Arrays.asList(paramArrayOfIscsiConfigAdapterInfo));
    return this;
  }
}