package com.netapp.filer.iscsi;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("iscsi-auth-generate-chap-password")
@Status(StatusEnum.PUBLIC)
@Errno({"EISCSISECPROCESSINGERROR"})
@Family({"ontap-c", "vfiler"})
public class IscsiAuthGenerateChapPassword
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String secret;

  @Output("secret")
  @Type("string")
  public void setSecret(String paramString)
  {
    this.secret = paramString;
  }

  public String getSecret()
  {
    return this.secret;
  }

  public IscsiAuthGenerateChapPassword withSecret(String paramString)
  {
    this.secret = paramString;
    return this;
  }
}