package com.netapp.filer.iscsi;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Typedef("iscsi-config-adapter-info")
public class IscsiConfigAdapterInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String name;
  public List<IscsiPortalAddressInfo> portalAddresses;
  public String state;
  public String status;

  @Element("name")
  @Type("string")
  public void setName(String paramString)
  {
    this.name = paramString;
  }

  public String getName()
  {
    return this.name;
  }

  public IscsiConfigAdapterInfo withName(String paramString)
  {
    this.name = paramString;
    return this;
  }

  @Element("portal-addresses")
  @Type("iscsi-portal-address-info[]")
  public void setPortalAddresses(List<IscsiPortalAddressInfo> paramList)
  {
    this.portalAddresses = paramList;
  }

  public List<IscsiPortalAddressInfo> getPortalAddresses()
  {
    return this.portalAddresses;
  }

  public IscsiConfigAdapterInfo withPortalAddresses(List<IscsiPortalAddressInfo> paramList)
  {
    this.portalAddresses = paramList;
    return this;
  }

  public IscsiConfigAdapterInfo withPortalAddresses(IscsiPortalAddressInfo[] paramArrayOfIscsiPortalAddressInfo)
  {
    this.portalAddresses = new ArrayList(Arrays.asList(paramArrayOfIscsiPortalAddressInfo));
    return this;
  }

  @Element("state")
  @Type("string")
  public void setState(String paramString)
  {
    this.state = paramString;
  }

  public String getState()
  {
    return this.state;
  }

  public IscsiConfigAdapterInfo withState(String paramString)
  {
    this.state = paramString;
    return this;
  }

  @Element("status")
  @Type("string")
  @Optional
  public void setStatus(String paramString)
  {
    this.status = paramString;
  }

  public String getStatus()
  {
    return this.status;
  }

  public IscsiConfigAdapterInfo withStatus(String paramString)
  {
    this.status = paramString;
    return this;
  }
}