package com.netapp.filer.iscsi;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;

@Typedef("iscsi-connection-list-entry-info")
public class IscsiConnectionListEntryInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Long connectionId;
  public String connectionState;
  public Boolean hasSession;
  public String interfaceName;
  public String localIpAddress;
  public Long localIpPort;
  public String remoteIpAddress;
  public Long remoteIpPort;
  public Long sessionId;

  @Element("connection-id")
  @Type("integer")
  public void setConnectionId(Long paramLong)
  {
    this.connectionId = paramLong;
  }

  public Long getConnectionId()
  {
    return this.connectionId;
  }

  public IscsiConnectionListEntryInfo withConnectionId(Long paramLong)
  {
    this.connectionId = paramLong;
    return this;
  }

  @Element("connection-state")
  @Type("string")
  public void setConnectionState(String paramString)
  {
    this.connectionState = paramString;
  }

  public String getConnectionState()
  {
    return this.connectionState;
  }

  public IscsiConnectionListEntryInfo withConnectionState(String paramString)
  {
    this.connectionState = paramString;
    return this;
  }

  @Element("has-session")
  @Type("boolean")
  public void setHasSession(Boolean paramBoolean)
  {
    this.hasSession = paramBoolean;
  }

  public Boolean isHasSession()
  {
    return this.hasSession;
  }

  public IscsiConnectionListEntryInfo withHasSession(Boolean paramBoolean)
  {
    this.hasSession = paramBoolean;
    return this;
  }

  @Element("interface-name")
  @Type("string")
  public void setInterfaceName(String paramString)
  {
    this.interfaceName = paramString;
  }

  public String getInterfaceName()
  {
    return this.interfaceName;
  }

  public IscsiConnectionListEntryInfo withInterfaceName(String paramString)
  {
    this.interfaceName = paramString;
    return this;
  }

  @Element("local-ip-address")
  @Type("string")
  public void setLocalIpAddress(String paramString)
  {
    this.localIpAddress = paramString;
  }

  public String getLocalIpAddress()
  {
    return this.localIpAddress;
  }

  public IscsiConnectionListEntryInfo withLocalIpAddress(String paramString)
  {
    this.localIpAddress = paramString;
    return this;
  }

  @Element("local-ip-port")
  @Type("integer")
  public void setLocalIpPort(Long paramLong)
  {
    this.localIpPort = paramLong;
  }

  public Long getLocalIpPort()
  {
    return this.localIpPort;
  }

  public IscsiConnectionListEntryInfo withLocalIpPort(Long paramLong)
  {
    this.localIpPort = paramLong;
    return this;
  }

  @Element("remote-ip-address")
  @Type("string")
  public void setRemoteIpAddress(String paramString)
  {
    this.remoteIpAddress = paramString;
  }

  public String getRemoteIpAddress()
  {
    return this.remoteIpAddress;
  }

  public IscsiConnectionListEntryInfo withRemoteIpAddress(String paramString)
  {
    this.remoteIpAddress = paramString;
    return this;
  }

  @Element("remote-ip-port")
  @Type("integer")
  public void setRemoteIpPort(Long paramLong)
  {
    this.remoteIpPort = paramLong;
  }

  public Long getRemoteIpPort()
  {
    return this.remoteIpPort;
  }

  public IscsiConnectionListEntryInfo withRemoteIpPort(Long paramLong)
  {
    this.remoteIpPort = paramLong;
    return this;
  }

  @Element("session-id")
  @Type("integer")
  public void setSessionId(Long paramLong)
  {
    this.sessionId = paramLong;
  }

  public Long getSessionId()
  {
    return this.sessionId;
  }

  public IscsiConnectionListEntryInfo withSessionId(Long paramLong)
  {
    this.sessionId = paramLong;
    return this;
  }
}