package com.netapp.filer.iscsi;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;

@Typedef("iscsi-error-stats-info")
public class IscsiErrorStatsInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Long dataDigest;
  public Long failedLogins;
  public Long failedLogouts;
  public Long failedTaskMgt;
  public Long failedTextCmd;
  public Long hdrDigest;
  public Long invalidHeader;
  public Long outsideCmdSnWindow;
  public Long protocol;
  public Long total;

  @Element("data-digest")
  @Type("integer")
  public void setDataDigest(Long paramLong)
  {
    this.dataDigest = paramLong;
  }

  public Long getDataDigest()
  {
    return this.dataDigest;
  }

  public IscsiErrorStatsInfo withDataDigest(Long paramLong)
  {
    this.dataDigest = paramLong;
    return this;
  }

  @Element("failed-logins")
  @Type("integer")
  public void setFailedLogins(Long paramLong)
  {
    this.failedLogins = paramLong;
  }

  public Long getFailedLogins()
  {
    return this.failedLogins;
  }

  public IscsiErrorStatsInfo withFailedLogins(Long paramLong)
  {
    this.failedLogins = paramLong;
    return this;
  }

  @Element("failed-logouts")
  @Type("integer")
  public void setFailedLogouts(Long paramLong)
  {
    this.failedLogouts = paramLong;
  }

  public Long getFailedLogouts()
  {
    return this.failedLogouts;
  }

  public IscsiErrorStatsInfo withFailedLogouts(Long paramLong)
  {
    this.failedLogouts = paramLong;
    return this;
  }

  @Element("failed-task-mgt")
  @Type("integer")
  public void setFailedTaskMgt(Long paramLong)
  {
    this.failedTaskMgt = paramLong;
  }

  public Long getFailedTaskMgt()
  {
    return this.failedTaskMgt;
  }

  public IscsiErrorStatsInfo withFailedTaskMgt(Long paramLong)
  {
    this.failedTaskMgt = paramLong;
    return this;
  }

  @Element("failed-text-cmd")
  @Type("integer")
  public void setFailedTextCmd(Long paramLong)
  {
    this.failedTextCmd = paramLong;
  }

  public Long getFailedTextCmd()
  {
    return this.failedTextCmd;
  }

  public IscsiErrorStatsInfo withFailedTextCmd(Long paramLong)
  {
    this.failedTextCmd = paramLong;
    return this;
  }

  @Element("hdr-digest")
  @Type("integer")
  public void setHdrDigest(Long paramLong)
  {
    this.hdrDigest = paramLong;
  }

  public Long getHdrDigest()
  {
    return this.hdrDigest;
  }

  public IscsiErrorStatsInfo withHdrDigest(Long paramLong)
  {
    this.hdrDigest = paramLong;
    return this;
  }

  @Element("invalid-header")
  @Type("integer")
  public void setInvalidHeader(Long paramLong)
  {
    this.invalidHeader = paramLong;
  }

  public Long getInvalidHeader()
  {
    return this.invalidHeader;
  }

  public IscsiErrorStatsInfo withInvalidHeader(Long paramLong)
  {
    this.invalidHeader = paramLong;
    return this;
  }

  @Element("outside-cmd-sn-window")
  @Type("integer")
  public void setOutsideCmdSnWindow(Long paramLong)
  {
    this.outsideCmdSnWindow = paramLong;
  }

  public Long getOutsideCmdSnWindow()
  {
    return this.outsideCmdSnWindow;
  }

  public IscsiErrorStatsInfo withOutsideCmdSnWindow(Long paramLong)
  {
    this.outsideCmdSnWindow = paramLong;
    return this;
  }

  @Element("protocol")
  @Type("integer")
  public void setProtocol(Long paramLong)
  {
    this.protocol = paramLong;
  }

  public Long getProtocol()
  {
    return this.protocol;
  }

  public IscsiErrorStatsInfo withProtocol(Long paramLong)
  {
    this.protocol = paramLong;
    return this;
  }

  @Element("total")
  @Type("integer")
  public void setTotal(Long paramLong)
  {
    this.total = paramLong;
  }

  public Long getTotal()
  {
    return this.total;
  }

  public IscsiErrorStatsInfo withTotal(Long paramLong)
  {
    this.total = paramLong;
    return this;
  }
}