package com.netapp.filer.iscsi;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("iscsi-initiator-add-auth")
@Status(StatusEnum.PUBLIC)
@Errno({"EISCSISECINVALIDINPUTERROR", "EISCSISECPROCESSINGERROR"})
@Family({"ontap-c", "vfiler"})
public class IscsiInitiatorAddAuth
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String authType;
  public String initiator;
  public String outboundPassword;
  public String outboundUserName;
  public String password;
  public String userName;

  @Input("auth-type")
  @Type("string")
  public void setAuthType(String paramString)
  {
    this.authType = paramString;
  }

  public String getAuthType()
  {
    return this.authType;
  }

  public IscsiInitiatorAddAuth withAuthType(String paramString)
  {
    this.authType = paramString;
    return this;
  }

  @Input("initiator")
  @Type("string")
  public void setInitiator(String paramString)
  {
    this.initiator = paramString;
  }

  public String getInitiator()
  {
    return this.initiator;
  }

  public IscsiInitiatorAddAuth withInitiator(String paramString)
  {
    this.initiator = paramString;
    return this;
  }

  @Input("outbound-password")
  @Type("string")
  @Optional
  public void setOutboundPassword(String paramString)
  {
    this.outboundPassword = paramString;
  }

  public String getOutboundPassword()
  {
    return this.outboundPassword;
  }

  public IscsiInitiatorAddAuth withOutboundPassword(String paramString)
  {
    this.outboundPassword = paramString;
    return this;
  }

  @Input("outbound-user-name")
  @Type("string")
  @Optional
  public void setOutboundUserName(String paramString)
  {
    this.outboundUserName = paramString;
  }

  public String getOutboundUserName()
  {
    return this.outboundUserName;
  }

  public IscsiInitiatorAddAuth withOutboundUserName(String paramString)
  {
    this.outboundUserName = paramString;
    return this;
  }

  @Input("password")
  @Type("string")
  @Optional
  public void setPassword(String paramString)
  {
    this.password = paramString;
  }

  public String getPassword()
  {
    return this.password;
  }

  public IscsiInitiatorAddAuth withPassword(String paramString)
  {
    this.password = paramString;
    return this;
  }

  @Input("user-name")
  @Type("string")
  @Optional
  public void setUserName(String paramString)
  {
    this.userName = paramString;
  }

  public String getUserName()
  {
    return this.userName;
  }

  public IscsiInitiatorAddAuth withUserName(String paramString)
  {
    this.userName = paramString;
    return this;
  }
}