package com.netapp.filer.iscsi;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("iscsi-initiator-get-auth")
@Status(StatusEnum.PUBLIC)
@Errno({"EISCSISECINVALIDINPUTERROR", "EISCSISECPROCESSINGERROR"})
@Family({"ontap-c", "vfiler"})
public class IscsiInitiatorGetAuth
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String authType;
  public String initiator;
  public String outboundUserName;
  public String userName;

  @Output("auth-type")
  @Type("string")
  public void setAuthType(String paramString)
  {
    this.authType = paramString;
  }

  public String getAuthType()
  {
    return this.authType;
  }

  public IscsiInitiatorGetAuth withAuthType(String paramString)
  {
    this.authType = paramString;
    return this;
  }

  @Input("initiator")
  @Type("string")
  public void setInitiator(String paramString)
  {
    this.initiator = paramString;
  }

  public String getInitiator()
  {
    return this.initiator;
  }

  public IscsiInitiatorGetAuth withInitiator(String paramString)
  {
    this.initiator = paramString;
    return this;
  }

  @Output("outbound-user-name")
  @Type("string")
  @Optional
  public void setOutboundUserName(String paramString)
  {
    this.outboundUserName = paramString;
  }

  public String getOutboundUserName()
  {
    return this.outboundUserName;
  }

  public IscsiInitiatorGetAuth withOutboundUserName(String paramString)
  {
    this.outboundUserName = paramString;
    return this;
  }

  @Output("user-name")
  @Type("string")
  @Optional
  public void setUserName(String paramString)
  {
    this.userName = paramString;
  }

  public String getUserName()
  {
    return this.userName;
  }

  public IscsiInitiatorGetAuth withUserName(String paramString)
  {
    this.userName = paramString;
    return this;
  }
}