package com.netapp.filer.iscsi;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import com.netapp.filer.fcp.InitiatorGroupListInfo;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Typedef("iscsi-initiator-list-entry-info")
public class IscsiInitiatorListEntryInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String initiatorAliasname;
  public List<InitiatorGroupListInfo> initiatorGroupList;
  public String initiatorNodename;
  public String isid;
  public Integer targetSessionId;
  public Long tpgroupTag;

  @Element("initiator-aliasname")
  @Type("string")
  public void setInitiatorAliasname(String paramString)
  {
    this.initiatorAliasname = paramString;
  }

  public String getInitiatorAliasname()
  {
    return this.initiatorAliasname;
  }

  public IscsiInitiatorListEntryInfo withInitiatorAliasname(String paramString)
  {
    this.initiatorAliasname = paramString;
    return this;
  }

  @Element("initiator-group-list")
  @Type("initiator-group-list-info[]")
  public void setInitiatorGroupList(List<InitiatorGroupListInfo> paramList)
  {
    this.initiatorGroupList = paramList;
  }

  public List<InitiatorGroupListInfo> getInitiatorGroupList()
  {
    return this.initiatorGroupList;
  }

  public IscsiInitiatorListEntryInfo withInitiatorGroupList(List<InitiatorGroupListInfo> paramList)
  {
    this.initiatorGroupList = paramList;
    return this;
  }

  public IscsiInitiatorListEntryInfo withInitiatorGroupList(InitiatorGroupListInfo[] paramArrayOfInitiatorGroupListInfo)
  {
    this.initiatorGroupList = new ArrayList(Arrays.asList(paramArrayOfInitiatorGroupListInfo));
    return this;
  }

  @Element("initiator-nodename")
  @Type("string")
  public void setInitiatorNodename(String paramString)
  {
    this.initiatorNodename = paramString;
  }

  public String getInitiatorNodename()
  {
    return this.initiatorNodename;
  }

  public IscsiInitiatorListEntryInfo withInitiatorNodename(String paramString)
  {
    this.initiatorNodename = paramString;
    return this;
  }

  @Element("isid")
  @Type("string")
  public void setIsid(String paramString)
  {
    this.isid = paramString;
  }

  public String getIsid()
  {
    return this.isid;
  }

  public IscsiInitiatorListEntryInfo withIsid(String paramString)
  {
    this.isid = paramString;
    return this;
  }

  @Element("target-session-id")
  @Type("integer")
  @Range(min="0", max="2^16-1")
  public void setTargetSessionId(Integer paramInteger)
  {
    this.targetSessionId = paramInteger;
  }

  public Integer getTargetSessionId()
  {
    return this.targetSessionId;
  }

  public IscsiInitiatorListEntryInfo withTargetSessionId(Integer paramInteger)
  {
    this.targetSessionId = paramInteger;
    return this;
  }

  @Element("tpgroup-tag")
  @Type("integer")
  public void setTpgroupTag(Long paramLong)
  {
    this.tpgroupTag = paramLong;
  }

  public Long getTpgroupTag()
  {
    return this.tpgroupTag;
  }

  public IscsiInitiatorListEntryInfo withTpgroupTag(Long paramLong)
  {
    this.tpgroupTag = paramLong;
    return this;
  }
}