package com.netapp.filer.iscsi;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("iscsi-interface-enable")
@Status(StatusEnum.PUBLIC)
@Errno({"EAPILICENSE", "EINVALIDINPUTERROR", "EINVALIDSTATE"})
@Family({"ontap-c", "vfiler"})
public class IscsiInterfaceEnable
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String interfaceName;

  @Input("interface-name")
  @Type("string")
  public void setInterfaceName(String paramString)
  {
    this.interfaceName = paramString;
  }

  public String getInterfaceName()
  {
    return this.interfaceName;
  }

  public IscsiInterfaceEnable withInterfaceName(String paramString)
  {
    this.interfaceName = paramString;
    return this;
  }
}