package com.netapp.filer.iscsi;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("iscsi-interface-list-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EAPILICENSE", "EINVALIDINPUTERROR"})
@Family({"ontap-c", "vfiler"})
public class IscsiInterfaceListInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String interfaceName;
  public List<IscsiInterfaceListEntryInfo> iscsiInterfaceListEntries;

  @Input("interface-name")
  @Type("string")
  @Optional
  public void setInterfaceName(String paramString)
  {
    this.interfaceName = paramString;
  }

  public String getInterfaceName()
  {
    return this.interfaceName;
  }

  public IscsiInterfaceListInfo withInterfaceName(String paramString)
  {
    this.interfaceName = paramString;
    return this;
  }

  @Output("iscsi-interface-list-entries")
  @Type("iscsi-interface-list-entry-info[]")
  public void setIscsiInterfaceListEntries(List<IscsiInterfaceListEntryInfo> paramList)
  {
    this.iscsiInterfaceListEntries = paramList;
  }

  public List<IscsiInterfaceListEntryInfo> getIscsiInterfaceListEntries()
  {
    return this.iscsiInterfaceListEntries;
  }

  public IscsiInterfaceListInfo withIscsiInterfaceListEntries(List<IscsiInterfaceListEntryInfo> paramList)
  {
    this.iscsiInterfaceListEntries = paramList;
    return this;
  }

  public IscsiInterfaceListInfo withIscsiInterfaceListEntries(IscsiInterfaceListEntryInfo[] paramArrayOfIscsiInterfaceListEntryInfo)
  {
    this.iscsiInterfaceListEntries = new ArrayList(Arrays.asList(paramArrayOfIscsiInterfaceListEntryInfo));
    return this;
  }
}