package com.netapp.filer.iscsi;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("iscsi-node-set-name")
@Status(StatusEnum.PUBLIC)
@Errno({"EAPILICENSE", "EINVALIDINPUTERROR"})
@Family({"ontap-c", "vfiler"})
public class IscsiNodeSetName
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String nodeName;

  @Input("node-name")
  @Type("string")
  public void setNodeName(String paramString)
  {
    this.nodeName = paramString;
  }

  public String getNodeName()
  {
    return this.nodeName;
  }

  public IscsiNodeSetName withNodeName(String paramString)
  {
    this.nodeName = paramString;
    return this;
  }
}