package com.netapp.filer.iscsi;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("iscsi-service-status")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR"})
@Family({"ontap-c", "vfiler"})
public class IscsiServiceStatus
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Boolean available;

  @Output("is-available")
  @Type("boolean")
  public void setAvailable(Boolean paramBoolean)
  {
    this.available = paramBoolean;
  }

  public Boolean isAvailable()
  {
    return this.available;
  }

  public IscsiServiceStatus withAvailable(Boolean paramBoolean)
  {
    this.available = paramBoolean;
    return this;
  }
}