package com.netapp.filer.iscsi;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("iscsi-session-list-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EAPILICENSE", "EINVALIDINPUTERROR"})
@Family({"ontap-c", "vfiler"})
public class IscsiSessionListInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<IscsiSessionListEntryInfo> iscsiSessionListEntries;
  public Long tsih;

  @Output("iscsi-session-list-entries")
  @Type("iscsi-session-list-entry-info[]")
  public void setIscsiSessionListEntries(List<IscsiSessionListEntryInfo> paramList)
  {
    this.iscsiSessionListEntries = paramList;
  }

  public List<IscsiSessionListEntryInfo> getIscsiSessionListEntries()
  {
    return this.iscsiSessionListEntries;
  }

  public IscsiSessionListInfo withIscsiSessionListEntries(List<IscsiSessionListEntryInfo> paramList)
  {
    this.iscsiSessionListEntries = paramList;
    return this;
  }

  public IscsiSessionListInfo withIscsiSessionListEntries(IscsiSessionListEntryInfo[] paramArrayOfIscsiSessionListEntryInfo)
  {
    this.iscsiSessionListEntries = new ArrayList(Arrays.asList(paramArrayOfIscsiSessionListEntryInfo));
    return this;
  }

  @Input("tsih")
  @Type("integer")
  @Optional
  public void setTsih(Long paramLong)
  {
    this.tsih = paramLong;
  }

  public Long getTsih()
  {
    return this.tsih;
  }

  public IscsiSessionListInfo withTsih(Long paramLong)
  {
    this.tsih = paramLong;
    return this;
  }
}