package com.netapp.filer.iscsi;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("iscsi-tpgroup-alua-set")
@Status(StatusEnum.PUBLIC)
@Errno({"EAPILICENSE", "EINTERNALERROR", "EINVALIDINPUTERROR"})
public class IscsiTpgroupAluaSet
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Boolean tpgroupAluaPreferred;
  public String tpgroupAluaState;
  public Long tpgroupTag;

  @Input("tpgroup-alua-preferred")
  @Type("boolean")
  public void setTpgroupAluaPreferred(Boolean paramBoolean)
  {
    this.tpgroupAluaPreferred = paramBoolean;
  }

  public Boolean isTpgroupAluaPreferred()
  {
    return this.tpgroupAluaPreferred;
  }

  public IscsiTpgroupAluaSet withTpgroupAluaPreferred(Boolean paramBoolean)
  {
    this.tpgroupAluaPreferred = paramBoolean;
    return this;
  }

  @Input("tpgroup-alua-state")
  @Type("string")
  public void setTpgroupAluaState(String paramString)
  {
    this.tpgroupAluaState = paramString;
  }

  public String getTpgroupAluaState()
  {
    return this.tpgroupAluaState;
  }

  public IscsiTpgroupAluaSet withTpgroupAluaState(String paramString)
  {
    this.tpgroupAluaState = paramString;
    return this;
  }

  @Input("tpgroup-tag")
  @Type("integer")
  public void setTpgroupTag(Long paramLong)
  {
    this.tpgroupTag = paramLong;
  }

  public Long getTpgroupTag()
  {
    return this.tpgroupTag;
  }

  public IscsiTpgroupAluaSet withTpgroupTag(Long paramLong)
  {
    this.tpgroupTag = paramLong;
    return this;
  }
}