package com.netapp.filer.iscsi;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("iscsi-tpgroup-create")
@Status(StatusEnum.PUBLIC)
@Errno({"EAPILICENSE", "EINTERNALERROR", "EINVALIDINPUTERROR"})
@Family({"ontap-c", "vfiler"})
public class IscsiTpgroupCreate
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String tpgroupName;
  public Long tpgroupTagOutput;
  public Long tpgroupTagInput;

  @Input("tpgroup-name")
  @Type("string")
  public void setTpgroupName(String paramString)
  {
    this.tpgroupName = paramString;
  }

  public String getTpgroupName()
  {
    return this.tpgroupName;
  }

  public IscsiTpgroupCreate withTpgroupName(String paramString)
  {
    this.tpgroupName = paramString;
    return this;
  }

  @Output("tpgroup-tag")
  @Type("integer")
  public void setTpgroupTagOutput(Long paramLong)
  {
    this.tpgroupTagOutput = paramLong;
  }

  public Long getTpgroupTagOutput()
  {
    return this.tpgroupTagOutput;
  }

  public IscsiTpgroupCreate withTpgroupTagOutput(Long paramLong)
  {
    this.tpgroupTagOutput = paramLong;
    return this;
  }

  @Input("tpgroup-tag")
  @Type("integer")
  @Optional
  public void setTpgroupTagInput(Long paramLong)
  {
    this.tpgroupTagInput = paramLong;
  }

  public Long getTpgroupTagInput()
  {
    return this.tpgroupTagInput;
  }

  public IscsiTpgroupCreate withTpgroupTagInput(Long paramLong)
  {
    this.tpgroupTagInput = paramLong;
    return this;
  }
}