package com.netapp.filer.iscsi;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;

@Typedef("iscsi-transmitted-stats-info")
public class IscsiTransmittedStatsInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Long asyncMsg;
  public Long dataIn;
  public Long loginRsp;
  public Long logoutRsp;
  public Long nopIn;
  public Long readyToTransmit;
  public Long reject;
  public Long scsiRsp;
  public Long scsiTaskMgtRsp;
  public Long textRsp;
  public Long total;

  @Element("async-msg")
  @Type("integer")
  public void setAsyncMsg(Long paramLong)
  {
    this.asyncMsg = paramLong;
  }

  public Long getAsyncMsg()
  {
    return this.asyncMsg;
  }

  public IscsiTransmittedStatsInfo withAsyncMsg(Long paramLong)
  {
    this.asyncMsg = paramLong;
    return this;
  }

  @Element("data-in")
  @Type("integer")
  public void setDataIn(Long paramLong)
  {
    this.dataIn = paramLong;
  }

  public Long getDataIn()
  {
    return this.dataIn;
  }

  public IscsiTransmittedStatsInfo withDataIn(Long paramLong)
  {
    this.dataIn = paramLong;
    return this;
  }

  @Element("login-rsp")
  @Type("integer")
  public void setLoginRsp(Long paramLong)
  {
    this.loginRsp = paramLong;
  }

  public Long getLoginRsp()
  {
    return this.loginRsp;
  }

  public IscsiTransmittedStatsInfo withLoginRsp(Long paramLong)
  {
    this.loginRsp = paramLong;
    return this;
  }

  @Element("logout-rsp")
  @Type("integer")
  public void setLogoutRsp(Long paramLong)
  {
    this.logoutRsp = paramLong;
  }

  public Long getLogoutRsp()
  {
    return this.logoutRsp;
  }

  public IscsiTransmittedStatsInfo withLogoutRsp(Long paramLong)
  {
    this.logoutRsp = paramLong;
    return this;
  }

  @Element("nop-in")
  @Type("integer")
  public void setNopIn(Long paramLong)
  {
    this.nopIn = paramLong;
  }

  public Long getNopIn()
  {
    return this.nopIn;
  }

  public IscsiTransmittedStatsInfo withNopIn(Long paramLong)
  {
    this.nopIn = paramLong;
    return this;
  }

  @Element("ready-to-transmit")
  @Type("integer")
  public void setReadyToTransmit(Long paramLong)
  {
    this.readyToTransmit = paramLong;
  }

  public Long getReadyToTransmit()
  {
    return this.readyToTransmit;
  }

  public IscsiTransmittedStatsInfo withReadyToTransmit(Long paramLong)
  {
    this.readyToTransmit = paramLong;
    return this;
  }

  @Element("reject")
  @Type("integer")
  public void setReject(Long paramLong)
  {
    this.reject = paramLong;
  }

  public Long getReject()
  {
    return this.reject;
  }

  public IscsiTransmittedStatsInfo withReject(Long paramLong)
  {
    this.reject = paramLong;
    return this;
  }

  @Element("scsi-rsp")
  @Type("integer")
  public void setScsiRsp(Long paramLong)
  {
    this.scsiRsp = paramLong;
  }

  public Long getScsiRsp()
  {
    return this.scsiRsp;
  }

  public IscsiTransmittedStatsInfo withScsiRsp(Long paramLong)
  {
    this.scsiRsp = paramLong;
    return this;
  }

  @Element("scsi-task-mgt-rsp")
  @Type("integer")
  public void setScsiTaskMgtRsp(Long paramLong)
  {
    this.scsiTaskMgtRsp = paramLong;
  }

  public Long getScsiTaskMgtRsp()
  {
    return this.scsiTaskMgtRsp;
  }

  public IscsiTransmittedStatsInfo withScsiTaskMgtRsp(Long paramLong)
  {
    this.scsiTaskMgtRsp = paramLong;
    return this;
  }

  @Element("text-rsp")
  @Type("integer")
  public void setTextRsp(Long paramLong)
  {
    this.textRsp = paramLong;
  }

  public Long getTextRsp()
  {
    return this.textRsp;
  }

  public IscsiTransmittedStatsInfo withTextRsp(Long paramLong)
  {
    this.textRsp = paramLong;
    return this;
  }

  @Element("total")
  @Type("integer")
  public void setTotal(Long paramLong)
  {
    this.total = paramLong;
  }

  public Long getTotal()
  {
    return this.total;
  }

  public IscsiTransmittedStatsInfo withTotal(Long paramLong)
  {
    this.total = paramLong;
    return this;
  }
}