package com.netapp.filer.license;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.util.Date;

@Typedef("license-info")
public class LicenseInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String code;
  public Long count;
  public Date expirationTimestamp;
  public Date installationTimestamp;
  public Boolean demo;
  public Boolean expired;
  public Boolean licensed;
  public Boolean site;
  public Long length;
  public Long nodeCount;
  public String platform;
  public String service;
  public Long storageCount;

  @Element("code")
  @Type("string")
  @Optional
  public void setCode(String paramString)
  {
    this.code = paramString;
  }

  public String getCode()
  {
    return this.code;
  }

  public LicenseInfo withCode(String paramString)
  {
    this.code = paramString;
    return this;
  }

  @Element("count")
  @Type("integer")
  public void setCount(Long paramLong)
  {
    this.count = paramLong;
  }

  public Long getCount()
  {
    return this.count;
  }

  public LicenseInfo withCount(Long paramLong)
  {
    this.count = paramLong;
    return this;
  }

  @Element("expiration-timestamp")
  @Type("integer")
  @Optional
  public void setExpirationTimestamp(Date paramDate)
  {
    this.expirationTimestamp = paramDate;
  }

  public Date getExpirationTimestamp()
  {
    return this.expirationTimestamp;
  }

  public LicenseInfo withExpirationTimestamp(Date paramDate)
  {
    this.expirationTimestamp = paramDate;
    return this;
  }

  @Element("installation-timestamp")
  @Type("integer")
  @Optional
  public void setInstallationTimestamp(Date paramDate)
  {
    this.installationTimestamp = paramDate;
  }

  public Date getInstallationTimestamp()
  {
    return this.installationTimestamp;
  }

  public LicenseInfo withInstallationTimestamp(Date paramDate)
  {
    this.installationTimestamp = paramDate;
    return this;
  }

  @Element("is-demo")
  @Type("boolean")
  public void setDemo(Boolean paramBoolean)
  {
    this.demo = paramBoolean;
  }

  public Boolean isDemo()
  {
    return this.demo;
  }

  public LicenseInfo withDemo(Boolean paramBoolean)
  {
    this.demo = paramBoolean;
    return this;
  }

  @Element("is-expired")
  @Type("boolean")
  public void setExpired(Boolean paramBoolean)
  {
    this.expired = paramBoolean;
  }

  public Boolean isExpired()
  {
    return this.expired;
  }

  public LicenseInfo withExpired(Boolean paramBoolean)
  {
    this.expired = paramBoolean;
    return this;
  }

  @Element("is-licensed")
  @Type("boolean")
  public void setLicensed(Boolean paramBoolean)
  {
    this.licensed = paramBoolean;
  }

  public Boolean isLicensed()
  {
    return this.licensed;
  }

  public LicenseInfo withLicensed(Boolean paramBoolean)
  {
    this.licensed = paramBoolean;
    return this;
  }

  @Element("is-site")
  @Type("boolean")
  public void setSite(Boolean paramBoolean)
  {
    this.site = paramBoolean;
  }

  public Boolean isSite()
  {
    return this.site;
  }

  public LicenseInfo withSite(Boolean paramBoolean)
  {
    this.site = paramBoolean;
    return this;
  }

  @Element("length")
  @Type("integer")
  @Optional
  public void setLength(Long paramLong)
  {
    this.length = paramLong;
  }

  public Long getLength()
  {
    return this.length;
  }

  public LicenseInfo withLength(Long paramLong)
  {
    this.length = paramLong;
    return this;
  }

  @Element("node-count")
  @Type("integer")
  @Optional
  public void setNodeCount(Long paramLong)
  {
    this.nodeCount = paramLong;
  }

  public Long getNodeCount()
  {
    return this.nodeCount;
  }

  public LicenseInfo withNodeCount(Long paramLong)
  {
    this.nodeCount = paramLong;
    return this;
  }

  @Element("platform")
  @Type("string")
  @Optional
  public void setPlatform(String paramString)
  {
    this.platform = paramString;
  }

  public String getPlatform()
  {
    return this.platform;
  }

  public LicenseInfo withPlatform(String paramString)
  {
    this.platform = paramString;
    return this;
  }

  @Element("service")
  @Type("string")
  public void setService(String paramString)
  {
    this.service = paramString;
  }

  public String getService()
  {
    return this.service;
  }

  public LicenseInfo withService(String paramString)
  {
    this.service = paramString;
    return this;
  }

  @Element("storage-count")
  @Type("integer")
  @Optional
  public void setStorageCount(Long paramLong)
  {
    this.storageCount = paramLong;
  }

  public Long getStorageCount()
  {
    return this.storageCount;
  }

  public LicenseInfo withStorageCount(Long paramLong)
  {
    this.storageCount = paramLong;
    return this;
  }
}