package com.netapp.filer.lock;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;

@Typedef("cifs-lock")
public class CifsLock
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String absolutePath;
  public Long bytelockLength;
  public Long bytelockOffset;
  public Long fileid;
  public Long fsid;
  public String hostIp;
  public String hostName;
  public Boolean bytelockExclusive;
  public String lockError;
  public String mode;
  public String oplockLevel;
  public String owner;
  public String path;
  public Long pid;
  public String state;
  public String type;

  @Element("absolute-path")
  @Type("string")
  @Optional
  public void setAbsolutePath(String paramString)
  {
    this.absolutePath = paramString;
  }

  public String getAbsolutePath()
  {
    return this.absolutePath;
  }

  public CifsLock withAbsolutePath(String paramString)
  {
    this.absolutePath = paramString;
    return this;
  }

  @Element("bytelock-length")
  @Type("integer")
  @Optional
  public void setBytelockLength(Long paramLong)
  {
    this.bytelockLength = paramLong;
  }

  public Long getBytelockLength()
  {
    return this.bytelockLength;
  }

  public CifsLock withBytelockLength(Long paramLong)
  {
    this.bytelockLength = paramLong;
    return this;
  }

  @Element("bytelock-offset")
  @Type("integer")
  @Optional
  public void setBytelockOffset(Long paramLong)
  {
    this.bytelockOffset = paramLong;
  }

  public Long getBytelockOffset()
  {
    return this.bytelockOffset;
  }

  public CifsLock withBytelockOffset(Long paramLong)
  {
    this.bytelockOffset = paramLong;
    return this;
  }

  @Element("fileid")
  @Type("integer")
  @Optional
  public void setFileid(Long paramLong)
  {
    this.fileid = paramLong;
  }

  public Long getFileid()
  {
    return this.fileid;
  }

  public CifsLock withFileid(Long paramLong)
  {
    this.fileid = paramLong;
    return this;
  }

  @Element("fsid")
  @Type("integer")
  @Optional
  public void setFsid(Long paramLong)
  {
    this.fsid = paramLong;
  }

  public Long getFsid()
  {
    return this.fsid;
  }

  public CifsLock withFsid(Long paramLong)
  {
    this.fsid = paramLong;
    return this;
  }

  @Element("host-ip")
  @Type("ip-address")
  public void setHostIp(String paramString)
  {
    this.hostIp = paramString;
  }

  public String getHostIp()
  {
    return this.hostIp;
  }

  public CifsLock withHostIp(String paramString)
  {
    this.hostIp = paramString;
    return this;
  }

  @Element("host-name")
  @Type("string")
  @Optional
  public void setHostName(String paramString)
  {
    this.hostName = paramString;
  }

  public String getHostName()
  {
    return this.hostName;
  }

  public CifsLock withHostName(String paramString)
  {
    this.hostName = paramString;
    return this;
  }

  @Element("is-bytelock-exclusive")
  @Type("boolean")
  @Optional
  public void setBytelockExclusive(Boolean paramBoolean)
  {
    this.bytelockExclusive = paramBoolean;
  }

  public Boolean isBytelockExclusive()
  {
    return this.bytelockExclusive;
  }

  public CifsLock withBytelockExclusive(Boolean paramBoolean)
  {
    this.bytelockExclusive = paramBoolean;
    return this;
  }

  @Element("lock-error")
  @Type("string")
  @Optional
  public void setLockError(String paramString)
  {
    this.lockError = paramString;
  }

  public String getLockError()
  {
    return this.lockError;
  }

  public CifsLock withLockError(String paramString)
  {
    this.lockError = paramString;
    return this;
  }

  @Element("mode")
  @Type("string")
  @Optional
  public void setMode(String paramString)
  {
    this.mode = paramString;
  }

  public String getMode()
  {
    return this.mode;
  }

  public CifsLock withMode(String paramString)
  {
    this.mode = paramString;
    return this;
  }

  @Element("oplock-level")
  @Type("string")
  @Optional
  public void setOplockLevel(String paramString)
  {
    this.oplockLevel = paramString;
  }

  public String getOplockLevel()
  {
    return this.oplockLevel;
  }

  public CifsLock withOplockLevel(String paramString)
  {
    this.oplockLevel = paramString;
    return this;
  }

  @Element("owner")
  @Type("string")
  @Optional
  public void setOwner(String paramString)
  {
    this.owner = paramString;
  }

  public String getOwner()
  {
    return this.owner;
  }

  public CifsLock withOwner(String paramString)
  {
    this.owner = paramString;
    return this;
  }

  @Element("path")
  @Type("string")
  @Optional
  public void setPath(String paramString)
  {
    this.path = paramString;
  }

  public String getPath()
  {
    return this.path;
  }

  public CifsLock withPath(String paramString)
  {
    this.path = paramString;
    return this;
  }

  @Element("pid")
  @Type("integer")
  @Optional
  public void setPid(Long paramLong)
  {
    this.pid = paramLong;
  }

  public Long getPid()
  {
    return this.pid;
  }

  public CifsLock withPid(Long paramLong)
  {
    this.pid = paramLong;
    return this;
  }

  @Element("state")
  @Type("string")
  public void setState(String paramString)
  {
    this.state = paramString;
  }

  public String getState()
  {
    return this.state;
  }

  public CifsLock withState(String paramString)
  {
    this.state = paramString;
    return this;
  }

  @Element("type")
  @Type("string")
  @Optional
  public void setType(String paramString)
  {
    this.type = paramString;
  }

  public String getType()
  {
    return this.type;
  }

  public CifsLock withType(String paramString)
  {
    this.type = paramString;
    return this;
  }
}