package com.netapp.filer.lock;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("lock-break")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR"})
@Family({"ontap-c", "vfiler"})
public class LockBreak
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<BreakError> errors;
  public String fileName;
  public String host;
  public String owner;
  public String protocol;

  @Output("errors")
  @Type("break-error[]")
  @Optional
  public void setErrors(List<BreakError> paramList)
  {
    this.errors = paramList;
  }

  public List<BreakError> getErrors()
  {
    return this.errors;
  }

  public LockBreak withErrors(List<BreakError> paramList)
  {
    this.errors = paramList;
    return this;
  }

  public LockBreak withErrors(BreakError[] paramArrayOfBreakError)
  {
    this.errors = new ArrayList(Arrays.asList(paramArrayOfBreakError));
    return this;
  }

  @Input("file-name")
  @Type("string")
  @Optional
  public void setFileName(String paramString)
  {
    this.fileName = paramString;
  }

  public String getFileName()
  {
    return this.fileName;
  }

  public LockBreak withFileName(String paramString)
  {
    this.fileName = paramString;
    return this;
  }

  @Input("host")
  @Type("string")
  @Optional
  public void setHost(String paramString)
  {
    this.host = paramString;
  }

  public String getHost()
  {
    return this.host;
  }

  public LockBreak withHost(String paramString)
  {
    this.host = paramString;
    return this;
  }

  @Input("owner")
  @Type("string")
  @Optional
  public void setOwner(String paramString)
  {
    this.owner = paramString;
  }

  public String getOwner()
  {
    return this.owner;
  }

  public LockBreak withOwner(String paramString)
  {
    this.owner = paramString;
    return this;
  }

  @Input("protocol")
  @Type("string")
  @Optional
  public void setProtocol(String paramString)
  {
    this.protocol = paramString;
  }

  public String getProtocol()
  {
    return this.protocol;
  }

  public LockBreak withProtocol(String paramString)
  {
    this.protocol = paramString;
    return this;
  }
}