package com.netapp.filer.lock;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;

@Typedef("nfsv4-lock")
public class Nfsv4Lock
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Long bytelockLength;
  public Long bytelockOffset;
  public Long fileid;
  public Long fsid;
  public String hostIp;
  public Boolean bytelockExclusive;
  public String lockError;
  public String mode;
  public String owner;
  public String path;
  public Long pid;
  public String state;
  public Long stateIndexTable;
  public String type;

  @Element("bytelock-length")
  @Type("integer")
  @Optional
  public void setBytelockLength(Long paramLong)
  {
    this.bytelockLength = paramLong;
  }

  public Long getBytelockLength()
  {
    return this.bytelockLength;
  }

  public Nfsv4Lock withBytelockLength(Long paramLong)
  {
    this.bytelockLength = paramLong;
    return this;
  }

  @Element("bytelock-offset")
  @Type("integer")
  @Optional
  public void setBytelockOffset(Long paramLong)
  {
    this.bytelockOffset = paramLong;
  }

  public Long getBytelockOffset()
  {
    return this.bytelockOffset;
  }

  public Nfsv4Lock withBytelockOffset(Long paramLong)
  {
    this.bytelockOffset = paramLong;
    return this;
  }

  @Element("fileid")
  @Type("integer")
  @Optional
  public void setFileid(Long paramLong)
  {
    this.fileid = paramLong;
  }

  public Long getFileid()
  {
    return this.fileid;
  }

  public Nfsv4Lock withFileid(Long paramLong)
  {
    this.fileid = paramLong;
    return this;
  }

  @Element("fsid")
  @Type("integer")
  @Optional
  public void setFsid(Long paramLong)
  {
    this.fsid = paramLong;
  }

  public Long getFsid()
  {
    return this.fsid;
  }

  public Nfsv4Lock withFsid(Long paramLong)
  {
    this.fsid = paramLong;
    return this;
  }

  @Element("host-ip")
  @Type("ip-address")
  @Optional
  public void setHostIp(String paramString)
  {
    this.hostIp = paramString;
  }

  public String getHostIp()
  {
    return this.hostIp;
  }

  public Nfsv4Lock withHostIp(String paramString)
  {
    this.hostIp = paramString;
    return this;
  }

  @Element("is-bytelock-exclusive")
  @Type("boolean")
  @Optional
  public void setBytelockExclusive(Boolean paramBoolean)
  {
    this.bytelockExclusive = paramBoolean;
  }

  public Boolean isBytelockExclusive()
  {
    return this.bytelockExclusive;
  }

  public Nfsv4Lock withBytelockExclusive(Boolean paramBoolean)
  {
    this.bytelockExclusive = paramBoolean;
    return this;
  }

  @Element("lock-error")
  @Type("string")
  @Optional
  public void setLockError(String paramString)
  {
    this.lockError = paramString;
  }

  public String getLockError()
  {
    return this.lockError;
  }

  public Nfsv4Lock withLockError(String paramString)
  {
    this.lockError = paramString;
    return this;
  }

  @Element("mode")
  @Type("string")
  @Optional
  public void setMode(String paramString)
  {
    this.mode = paramString;
  }

  public String getMode()
  {
    return this.mode;
  }

  public Nfsv4Lock withMode(String paramString)
  {
    this.mode = paramString;
    return this;
  }

  @Element("owner")
  @Type("string")
  @Optional
  public void setOwner(String paramString)
  {
    this.owner = paramString;
  }

  public String getOwner()
  {
    return this.owner;
  }

  public Nfsv4Lock withOwner(String paramString)
  {
    this.owner = paramString;
    return this;
  }

  @Element("path")
  @Type("string")
  @Optional
  public void setPath(String paramString)
  {
    this.path = paramString;
  }

  public String getPath()
  {
    return this.path;
  }

  public Nfsv4Lock withPath(String paramString)
  {
    this.path = paramString;
    return this;
  }

  @Element("pid")
  @Type("integer")
  @Optional
  public void setPid(Long paramLong)
  {
    this.pid = paramLong;
  }

  public Long getPid()
  {
    return this.pid;
  }

  public Nfsv4Lock withPid(Long paramLong)
  {
    this.pid = paramLong;
    return this;
  }

  @Element("state")
  @Type("string")
  public void setState(String paramString)
  {
    this.state = paramString;
  }

  public String getState()
  {
    return this.state;
  }

  public Nfsv4Lock withState(String paramString)
  {
    this.state = paramString;
    return this;
  }

  @Element("state-index-table")
  @Type("integer")
  @Optional
  public void setStateIndexTable(Long paramLong)
  {
    this.stateIndexTable = paramLong;
  }

  public Long getStateIndexTable()
  {
    return this.stateIndexTable;
  }

  public Nfsv4Lock withStateIndexTable(Long paramLong)
  {
    this.stateIndexTable = paramLong;
    return this;
  }

  @Element("type")
  @Type("string")
  @Optional
  public void setType(String paramString)
  {
    this.type = paramString;
  }

  public String getType()
  {
    return this.type;
  }

  public Nfsv4Lock withType(String paramString)
  {
    this.type = paramString;
    return this;
  }
}