package com.netapp.filer.lock;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;

@Typedef("nlm-lock")
public class NlmLock
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Long bytelockLength;
  public Long bytelockOffset;
  public Long fileid;
  public Long fsid;
  public String host;
  public Boolean bytelockExclusive;
  public String lastHopCachingFiler;
  public String lockError;
  public String mode;
  public Long owner;
  public String path;
  public String state;
  public String type;

  @Element("bytelock-length")
  @Type("integer")
  @Optional
  public void setBytelockLength(Long paramLong)
  {
    this.bytelockLength = paramLong;
  }

  public Long getBytelockLength()
  {
    return this.bytelockLength;
  }

  public NlmLock withBytelockLength(Long paramLong)
  {
    this.bytelockLength = paramLong;
    return this;
  }

  @Element("bytelock-offset")
  @Type("integer")
  @Optional
  public void setBytelockOffset(Long paramLong)
  {
    this.bytelockOffset = paramLong;
  }

  public Long getBytelockOffset()
  {
    return this.bytelockOffset;
  }

  public NlmLock withBytelockOffset(Long paramLong)
  {
    this.bytelockOffset = paramLong;
    return this;
  }

  @Element("fileid")
  @Type("integer")
  @Optional
  public void setFileid(Long paramLong)
  {
    this.fileid = paramLong;
  }

  public Long getFileid()
  {
    return this.fileid;
  }

  public NlmLock withFileid(Long paramLong)
  {
    this.fileid = paramLong;
    return this;
  }

  @Element("fsid")
  @Type("integer")
  @Optional
  public void setFsid(Long paramLong)
  {
    this.fsid = paramLong;
  }

  public Long getFsid()
  {
    return this.fsid;
  }

  public NlmLock withFsid(Long paramLong)
  {
    this.fsid = paramLong;
    return this;
  }

  @Element("host")
  @Type("string")
  @Optional
  public void setHost(String paramString)
  {
    this.host = paramString;
  }

  public String getHost()
  {
    return this.host;
  }

  public NlmLock withHost(String paramString)
  {
    this.host = paramString;
    return this;
  }

  @Element("is-bytelock-exclusive")
  @Type("boolean")
  @Optional
  public void setBytelockExclusive(Boolean paramBoolean)
  {
    this.bytelockExclusive = paramBoolean;
  }

  public Boolean isBytelockExclusive()
  {
    return this.bytelockExclusive;
  }

  public NlmLock withBytelockExclusive(Boolean paramBoolean)
  {
    this.bytelockExclusive = paramBoolean;
    return this;
  }

  @Element("last-hop-caching-filer")
  @Type("string")
  @Optional
  public void setLastHopCachingFiler(String paramString)
  {
    this.lastHopCachingFiler = paramString;
  }

  public String getLastHopCachingFiler()
  {
    return this.lastHopCachingFiler;
  }

  public NlmLock withLastHopCachingFiler(String paramString)
  {
    this.lastHopCachingFiler = paramString;
    return this;
  }

  @Element("lock-error")
  @Type("string")
  @Optional
  public void setLockError(String paramString)
  {
    this.lockError = paramString;
  }

  public String getLockError()
  {
    return this.lockError;
  }

  public NlmLock withLockError(String paramString)
  {
    this.lockError = paramString;
    return this;
  }

  @Element("mode")
  @Type("string")
  @Optional
  public void setMode(String paramString)
  {
    this.mode = paramString;
  }

  public String getMode()
  {
    return this.mode;
  }

  public NlmLock withMode(String paramString)
  {
    this.mode = paramString;
    return this;
  }

  @Element("owner")
  @Type("integer")
  @Optional
  public void setOwner(Long paramLong)
  {
    this.owner = paramLong;
  }

  public Long getOwner()
  {
    return this.owner;
  }

  public NlmLock withOwner(Long paramLong)
  {
    this.owner = paramLong;
    return this;
  }

  @Element("path")
  @Type("string")
  @Optional
  public void setPath(String paramString)
  {
    this.path = paramString;
  }

  public String getPath()
  {
    return this.path;
  }

  public NlmLock withPath(String paramString)
  {
    this.path = paramString;
    return this;
  }

  @Element("state")
  @Type("string")
  public void setState(String paramString)
  {
    this.state = paramString;
  }

  public String getState()
  {
    return this.state;
  }

  public NlmLock withState(String paramString)
  {
    this.state = paramString;
    return this;
  }

  @Element("type")
  @Type("string")
  @Optional
  public void setType(String paramString)
  {
    this.type = paramString;
  }

  public String getType()
  {
    return this.type;
  }

  public NlmLock withType(String paramString)
  {
    this.type = paramString;
    return this;
  }
}