package com.netapp.filer.lun;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("file-get-space-reservation-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EFILENOTFOUND", "EINTERNALERROR", "EOPNOTSUPPORTED"})
@Family({"ontap-c", "vfiler"})
public class FileGetSpaceReservationInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Boolean fillEnabled;
  public Boolean overwriteEnabled;
  public String path;

  @Output("is-fill-enabled")
  @Type("boolean")
  public void setFillEnabled(Boolean paramBoolean)
  {
    this.fillEnabled = paramBoolean;
  }

  public Boolean isFillEnabled()
  {
    return this.fillEnabled;
  }

  public FileGetSpaceReservationInfo withFillEnabled(Boolean paramBoolean)
  {
    this.fillEnabled = paramBoolean;
    return this;
  }

  @Output("is-overwrite-enabled")
  @Type("boolean")
  public void setOverwriteEnabled(Boolean paramBoolean)
  {
    this.overwriteEnabled = paramBoolean;
  }

  public Boolean isOverwriteEnabled()
  {
    return this.overwriteEnabled;
  }

  public FileGetSpaceReservationInfo withOverwriteEnabled(Boolean paramBoolean)
  {
    this.overwriteEnabled = paramBoolean;
    return this;
  }

  @Input("path")
  @Type("string")
  public void setPath(String paramString)
  {
    this.path = paramString;
  }

  public String getPath()
  {
    return this.path;
  }

  public FileGetSpaceReservationInfo withPath(String paramString)
  {
    this.path = paramString;
    return this;
  }
}