package com.netapp.filer.lun;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("lun-clone-list-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EINVALIDINPUTERROR", "EVDISK_ERROR_NO_SUCH_SNAPSHOT", "EVDISK_ERROR_NO_SUCH_VOLUME", "EVOLUMEMOUNTING", "EVOLUMEOFFLINE"})
@Family({"ontap-c", "vfiler"})
public class LunCloneListInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<LunCloneListsInfo> lunCloneList;
  public String snapshot;
  public String volume;

  @Output("lun-clone-list")
  @Type("lun-clone-lists-info[]")
  public void setLunCloneList(List<LunCloneListsInfo> paramList)
  {
    this.lunCloneList = paramList;
  }

  public List<LunCloneListsInfo> getLunCloneList()
  {
    return this.lunCloneList;
  }

  public LunCloneListInfo withLunCloneList(List<LunCloneListsInfo> paramList)
  {
    this.lunCloneList = paramList;
    return this;
  }

  public LunCloneListInfo withLunCloneList(LunCloneListsInfo[] paramArrayOfLunCloneListsInfo)
  {
    this.lunCloneList = new ArrayList(Arrays.asList(paramArrayOfLunCloneListsInfo));
    return this;
  }

  @Input("snapshot")
  @Type("string")
  public void setSnapshot(String paramString)
  {
    this.snapshot = paramString;
  }

  public String getSnapshot()
  {
    return this.snapshot;
  }

  public LunCloneListInfo withSnapshot(String paramString)
  {
    this.snapshot = paramString;
    return this;
  }

  @Input("volume")
  @Type("string")
  public void setVolume(String paramString)
  {
    this.volume = paramString;
  }

  public String getVolume()
  {
    return this.volume;
  }

  public LunCloneListInfo withVolume(String paramString)
  {
    this.volume = paramString;
    return this;
  }
}