package com.netapp.filer.lun;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("lun-clone-split-start")
@Status(StatusEnum.PUBLIC)
@Errno({"EINVALIDINPUTERROR", "EONTAPI_ENOMEM", "EONTAPI_EROFS", "EVDISK_ERROR_CLONING_STARTED", "EVDISK_ERROR_NO_SUCH_ATTRIBUTE", "EVDISK_ERROR_NO_SUCH_VDISK"})
@Family({"ontap-c", "vfiler"})
public class LunCloneSplitStart
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String path;
  public Boolean spaceEfficientSplitDisabled;

  @Input("path")
  @Type("string")
  public void setPath(String paramString)
  {
    this.path = paramString;
  }

  public String getPath()
  {
    return this.path;
  }

  public LunCloneSplitStart withPath(String paramString)
  {
    this.path = paramString;
    return this;
  }

  @Input("space-efficient-split-disabled")
  @Type("boolean")
  @Optional
  public void setSpaceEfficientSplitDisabled(Boolean paramBoolean)
  {
    this.spaceEfficientSplitDisabled = paramBoolean;
  }

  public Boolean isSpaceEfficientSplitDisabled()
  {
    return this.spaceEfficientSplitDisabled;
  }

  public LunCloneSplitStart withSpaceEfficientSplitDisabled(Boolean paramBoolean)
  {
    this.spaceEfficientSplitDisabled = paramBoolean;
    return this;
  }
}