package com.netapp.filer.lun;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("lun-config-check-cfmode-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR", "EINVAL"})
public class LunConfigCheckCfmodeInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String fcpCfmode;
  public InvalidCfmodeSettingInfo invalidCfmodeSettings;
  public List<InvalidOstypeCfmodeSettingInfo> invalidOstypeCfmodeSettings;
  public List<InvalidUsePartnerCfmodeSettingInfo> invalidUsePartnerCfmodeSettings;
  public List<InvalidUsePartnerOstypeSettingInfo> invalidUsePartnerOstypeSettings;

  @Output("fcp-cfmode")
  @Type("string")
  @Optional
  public void setFcpCfmode(String paramString)
  {
    this.fcpCfmode = paramString;
  }

  public String getFcpCfmode()
  {
    return this.fcpCfmode;
  }

  public LunConfigCheckCfmodeInfo withFcpCfmode(String paramString)
  {
    this.fcpCfmode = paramString;
    return this;
  }

  @Output("invalid-cfmode-settings")
  @Type("invalid-cfmode-setting-info")
  @Optional
  public void setInvalidCfmodeSettings(InvalidCfmodeSettingInfo paramInvalidCfmodeSettingInfo)
  {
    this.invalidCfmodeSettings = paramInvalidCfmodeSettingInfo;
  }

  public InvalidCfmodeSettingInfo getInvalidCfmodeSettings()
  {
    return this.invalidCfmodeSettings;
  }

  public LunConfigCheckCfmodeInfo withInvalidCfmodeSettings(InvalidCfmodeSettingInfo paramInvalidCfmodeSettingInfo)
  {
    this.invalidCfmodeSettings = paramInvalidCfmodeSettingInfo;
    return this;
  }

  @Output("invalid-ostype-cfmode-settings")
  @Type("invalid-ostype-cfmode-setting-info[]")
  @Optional
  public void setInvalidOstypeCfmodeSettings(List<InvalidOstypeCfmodeSettingInfo> paramList)
  {
    this.invalidOstypeCfmodeSettings = paramList;
  }

  public List<InvalidOstypeCfmodeSettingInfo> getInvalidOstypeCfmodeSettings()
  {
    return this.invalidOstypeCfmodeSettings;
  }

  public LunConfigCheckCfmodeInfo withInvalidOstypeCfmodeSettings(List<InvalidOstypeCfmodeSettingInfo> paramList)
  {
    this.invalidOstypeCfmodeSettings = paramList;
    return this;
  }

  public LunConfigCheckCfmodeInfo withInvalidOstypeCfmodeSettings(InvalidOstypeCfmodeSettingInfo[] paramArrayOfInvalidOstypeCfmodeSettingInfo)
  {
    this.invalidOstypeCfmodeSettings = new ArrayList(Arrays.asList(paramArrayOfInvalidOstypeCfmodeSettingInfo));
    return this;
  }

  @Output("invalid-use-partner-cfmode-settings")
  @Type("invalid-use-partner-cfmode-setting-info[]")
  @Optional
  public void setInvalidUsePartnerCfmodeSettings(List<InvalidUsePartnerCfmodeSettingInfo> paramList)
  {
    this.invalidUsePartnerCfmodeSettings = paramList;
  }

  public List<InvalidUsePartnerCfmodeSettingInfo> getInvalidUsePartnerCfmodeSettings()
  {
    return this.invalidUsePartnerCfmodeSettings;
  }

  public LunConfigCheckCfmodeInfo withInvalidUsePartnerCfmodeSettings(List<InvalidUsePartnerCfmodeSettingInfo> paramList)
  {
    this.invalidUsePartnerCfmodeSettings = paramList;
    return this;
  }

  public LunConfigCheckCfmodeInfo withInvalidUsePartnerCfmodeSettings(InvalidUsePartnerCfmodeSettingInfo[] paramArrayOfInvalidUsePartnerCfmodeSettingInfo)
  {
    this.invalidUsePartnerCfmodeSettings = new ArrayList(Arrays.asList(paramArrayOfInvalidUsePartnerCfmodeSettingInfo));
    return this;
  }

  @Output("invalid-use-partner-ostype-settings")
  @Type("invalid-use-partner-ostype-setting-info[]")
  @Optional
  public void setInvalidUsePartnerOstypeSettings(List<InvalidUsePartnerOstypeSettingInfo> paramList)
  {
    this.invalidUsePartnerOstypeSettings = paramList;
  }

  public List<InvalidUsePartnerOstypeSettingInfo> getInvalidUsePartnerOstypeSettings()
  {
    return this.invalidUsePartnerOstypeSettings;
  }

  public LunConfigCheckCfmodeInfo withInvalidUsePartnerOstypeSettings(List<InvalidUsePartnerOstypeSettingInfo> paramList)
  {
    this.invalidUsePartnerOstypeSettings = paramList;
    return this;
  }

  public LunConfigCheckCfmodeInfo withInvalidUsePartnerOstypeSettings(InvalidUsePartnerOstypeSettingInfo[] paramArrayOfInvalidUsePartnerOstypeSettingInfo)
  {
    this.invalidUsePartnerOstypeSettings = new ArrayList(Arrays.asList(paramArrayOfInvalidUsePartnerOstypeSettingInfo));
    return this;
  }
}