package com.netapp.filer.lun;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("lun-create-clone")
@Status(StatusEnum.PUBLIC)
@Errno({"EINVALIDINPUTERROR", "EONTAPI_ENOMEM", "EONTAPI_EROFS", "EVDISK_ERROR_CLONING_STARTED", "EVDISK_ERROR_NO_SUCH_VDISK"})
@Family({"ontap-c", "vfiler"})
public class LunCreateClone
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String parentLunPath;
  public String parentSnap;
  public String path;
  public Boolean spaceReservationEnabled;

  @Input("parent-lun-path")
  @Type("string")
  public void setParentLunPath(String paramString)
  {
    this.parentLunPath = paramString;
  }

  public String getParentLunPath()
  {
    return this.parentLunPath;
  }

  public LunCreateClone withParentLunPath(String paramString)
  {
    this.parentLunPath = paramString;
    return this;
  }

  @Input("parent-snap")
  @Type("string")
  public void setParentSnap(String paramString)
  {
    this.parentSnap = paramString;
  }

  public String getParentSnap()
  {
    return this.parentSnap;
  }

  public LunCreateClone withParentSnap(String paramString)
  {
    this.parentSnap = paramString;
    return this;
  }

  @Input("path")
  @Type("string")
  public void setPath(String paramString)
  {
    this.path = paramString;
  }

  public String getPath()
  {
    return this.path;
  }

  public LunCreateClone withPath(String paramString)
  {
    this.path = paramString;
    return this;
  }

  @Input("space-reservation-enabled")
  @Type("boolean")
  @Optional
  public void setSpaceReservationEnabled(Boolean paramBoolean)
  {
    this.spaceReservationEnabled = paramBoolean;
  }

  public Boolean isSpaceReservationEnabled()
  {
    return this.spaceReservationEnabled;
  }

  public LunCreateClone withSpaceReservationEnabled(Boolean paramBoolean)
  {
    this.spaceReservationEnabled = paramBoolean;
    return this;
  }
}