package com.netapp.filer.lun;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("lun-get-attribute")
@Status(StatusEnum.PUBLIC)
@Errno({"EINVALIDINPUTERROR", "EVDISK_ERROR_NO_SUCH_VDISK"})
@Family({"ontap-c", "vfiler"})
public class LunGetAttribute
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String name;
  public String path;
  public String value;

  @Input("name")
  @Type("string")
  public void setName(String paramString)
  {
    this.name = paramString;
  }

  public String getName()
  {
    return this.name;
  }

  public LunGetAttribute withName(String paramString)
  {
    this.name = paramString;
    return this;
  }

  @Input("path")
  @Type("string")
  public void setPath(String paramString)
  {
    this.path = paramString;
  }

  public String getPath()
  {
    return this.path;
  }

  public LunGetAttribute withPath(String paramString)
  {
    this.path = paramString;
    return this;
  }

  @Output("value")
  @Type("string")
  public void setValue(String paramString)
  {
    this.value = paramString;
  }

  public String getValue()
  {
    return this.value;
  }

  public LunGetAttribute withValue(String paramString)
  {
    this.value = paramString;
    return this;
  }
}