package com.netapp.filer.lun;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("lun-get-inquiry-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EVDISK_ERROR_NO_SUCH_INITGROUP"})
@Family({"ontap-c", "vfiler"})
public class LunGetInquiryInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String firmwareRevision;
  public String initiatorGroupName;
  public String productId;
  public String vendorId;

  @Output("firmware-revision")
  @Type("string")
  public void setFirmwareRevision(String paramString)
  {
    this.firmwareRevision = paramString;
  }

  public String getFirmwareRevision()
  {
    return this.firmwareRevision;
  }

  public LunGetInquiryInfo withFirmwareRevision(String paramString)
  {
    this.firmwareRevision = paramString;
    return this;
  }

  @Input("initiator-group-name")
  @Type("string")
  public void setInitiatorGroupName(String paramString)
  {
    this.initiatorGroupName = paramString;
  }

  public String getInitiatorGroupName()
  {
    return this.initiatorGroupName;
  }

  public LunGetInquiryInfo withInitiatorGroupName(String paramString)
  {
    this.initiatorGroupName = paramString;
    return this;
  }

  @Output("product-id")
  @Type("string")
  public void setProductId(String paramString)
  {
    this.productId = paramString;
  }

  public String getProductId()
  {
    return this.productId;
  }

  public LunGetInquiryInfo withProductId(String paramString)
  {
    this.productId = paramString;
    return this;
  }

  @Output("vendor-id")
  @Type("string")
  public void setVendorId(String paramString)
  {
    this.vendorId = paramString;
  }

  public String getVendorId()
  {
    return this.vendorId;
  }

  public LunGetInquiryInfo withVendorId(String paramString)
  {
    this.vendorId = paramString;
    return this;
  }
}