package com.netapp.filer.lun;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("lun-get-maxsize")
@Status(StatusEnum.PUBLIC)
@Errno({"EINVALIDINPUTERROR", "EONTAPI_EINVAL", "EONTAPI_ENOENT"})
@Family({"ontap-c", "vfiler"})
public class LunGetMaxsize
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String path;
  public String type;
  public Long withCompleteSnapshotReserve;
  public Long withSnapshotReserve;
  public Long withoutSnapshotReserve;

  @Input("path")
  @Type("string")
  public void setPath(String paramString)
  {
    this.path = paramString;
  }

  public String getPath()
  {
    return this.path;
  }

  public LunGetMaxsize withPath(String paramString)
  {
    this.path = paramString;
    return this;
  }

  @Input("type")
  @Type("string")
  public void setType(String paramString)
  {
    this.type = paramString;
  }

  public String getType()
  {
    return this.type;
  }

  public LunGetMaxsize withType(String paramString)
  {
    this.type = paramString;
    return this;
  }

  @Output("with-complete-snapshot-reserve")
  @Type("integer")
  @Range(min="0", max="2^63-1")
  public void setWithCompleteSnapshotReserve(Long paramLong)
  {
    this.withCompleteSnapshotReserve = paramLong;
  }

  public Long getWithCompleteSnapshotReserve()
  {
    return this.withCompleteSnapshotReserve;
  }

  public LunGetMaxsize withWithCompleteSnapshotReserve(Long paramLong)
  {
    this.withCompleteSnapshotReserve = paramLong;
    return this;
  }

  @Output("with-snapshot-reserve")
  @Type("integer")
  @Range(min="0", max="2^63-1")
  public void setWithSnapshotReserve(Long paramLong)
  {
    this.withSnapshotReserve = paramLong;
  }

  public Long getWithSnapshotReserve()
  {
    return this.withSnapshotReserve;
  }

  public LunGetMaxsize withWithSnapshotReserve(Long paramLong)
  {
    this.withSnapshotReserve = paramLong;
    return this;
  }

  @Output("without-snapshot-reserve")
  @Type("integer")
  @Range(min="0", max="2^63-1")
  public void setWithoutSnapshotReserve(Long paramLong)
  {
    this.withoutSnapshotReserve = paramLong;
  }

  public Long getWithoutSnapshotReserve()
  {
    return this.withoutSnapshotReserve;
  }

  public LunGetMaxsize withWithoutSnapshotReserve(Long paramLong)
  {
    this.withoutSnapshotReserve = paramLong;
    return this;
  }
}