package com.netapp.filer.lun;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("lun-get-persistent-reservation-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EINVALIDINPUTERROR", "EONTAPI_ENOMEM", "EVDISK_ERROR_NO_SUCH_VDISK"})
@Family({"ontap-c", "vfiler"})
public class LunGetPersistentReservationInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String path;
  public List<PersistentReservationInfo> persistentReservation;

  @Input("path")
  @Type("string")
  public void setPath(String paramString)
  {
    this.path = paramString;
  }

  public String getPath()
  {
    return this.path;
  }

  public LunGetPersistentReservationInfo withPath(String paramString)
  {
    this.path = paramString;
    return this;
  }

  @Output("persistent-reservation")
  @Type("persistent-reservation-info[]")
  @Optional
  public void setPersistentReservation(List<PersistentReservationInfo> paramList)
  {
    this.persistentReservation = paramList;
  }

  public List<PersistentReservationInfo> getPersistentReservation()
  {
    return this.persistentReservation;
  }

  public LunGetPersistentReservationInfo withPersistentReservation(List<PersistentReservationInfo> paramList)
  {
    this.persistentReservation = paramList;
    return this;
  }

  public LunGetPersistentReservationInfo withPersistentReservation(PersistentReservationInfo[] paramArrayOfPersistentReservationInfo)
  {
    this.persistentReservation = new ArrayList(Arrays.asList(paramArrayOfPersistentReservationInfo));
    return this;
  }
}