package com.netapp.filer.lun;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("lun-get-select-attribute")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR", "EINVALIDINPUTERROR", "EONTAPI_EROFS", "EVDISK_ERROR_NO_SUCH_VDISK"})
@Family({"ontap-c", "vfiler"})
public class LunGetSelectAttribute
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String creationTime;
  public String path;
  public String previousSerial;
  public String selectAttribute;

  @Output("creation-time")
  @Type("string")
  public void setCreationTime(String paramString)
  {
    this.creationTime = paramString;
  }

  public String getCreationTime()
  {
    return this.creationTime;
  }

  public LunGetSelectAttribute withCreationTime(String paramString)
  {
    this.creationTime = paramString;
    return this;
  }

  @Input("path")
  @Type("string")
  public void setPath(String paramString)
  {
    this.path = paramString;
  }

  public String getPath()
  {
    return this.path;
  }

  public LunGetSelectAttribute withPath(String paramString)
  {
    this.path = paramString;
    return this;
  }

  @Output("previous-serial")
  @Type("string")
  @Optional
  public void setPreviousSerial(String paramString)
  {
    this.previousSerial = paramString;
  }

  public String getPreviousSerial()
  {
    return this.previousSerial;
  }

  public LunGetSelectAttribute withPreviousSerial(String paramString)
  {
    this.previousSerial = paramString;
    return this;
  }

  @Output("select-attribute")
  @Type("string")
  public void setSelectAttribute(String paramString)
  {
    this.selectAttribute = paramString;
  }

  public String getSelectAttribute()
  {
    return this.selectAttribute;
  }

  public LunGetSelectAttribute withSelectAttribute(String paramString)
  {
    this.selectAttribute = paramString;
    return this;
  }
}