package com.netapp.filer.lun;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("lun-get-space-reservation-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EFILENOTFOUND", "EINTERNALERROR"})
@Family({"ontap-c", "vfiler"})
public class LunGetSpaceReservationInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Boolean enabled;
  public String path;

  @Output("is-enabled")
  @Type("boolean")
  public void setEnabled(Boolean paramBoolean)
  {
    this.enabled = paramBoolean;
  }

  public Boolean isEnabled()
  {
    return this.enabled;
  }

  public LunGetSpaceReservationInfo withEnabled(Boolean paramBoolean)
  {
    this.enabled = paramBoolean;
    return this;
  }

  @Input("path")
  @Type("string")
  public void setPath(String paramString)
  {
    this.path = paramString;
  }

  public String getPath()
  {
    return this.path;
  }

  public LunGetSpaceReservationInfo withPath(String paramString)
  {
    this.path = paramString;
    return this;
  }
}