package com.netapp.filer.lun;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("lun-get-vdisk-attributes")
@Status(StatusEnum.PUBLIC)
@Errno({"EINVALIDINPUTERROR", "ENOENT", "EONTAPI_EROFS", "EVDISK_ERROR_NO_SUCH_VDISK"})
@Family({"ontap-c", "vfiler"})
public class LunGetVdiskAttributes
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String filerName;
  public String path;
  public String serialNumber;
  public String vdiskSnapshotName;

  @Output("filer-name")
  @Type("string")
  public void setFilerName(String paramString)
  {
    this.filerName = paramString;
  }

  public String getFilerName()
  {
    return this.filerName;
  }

  public LunGetVdiskAttributes withFilerName(String paramString)
  {
    this.filerName = paramString;
    return this;
  }

  @Output("path")
  @Type("string")
  public void setPath(String paramString)
  {
    this.path = paramString;
  }

  public String getPath()
  {
    return this.path;
  }

  public LunGetVdiskAttributes withPath(String paramString)
  {
    this.path = paramString;
    return this;
  }

  @Input("serial-number")
  @Type("string")
  public void setSerialNumber(String paramString)
  {
    this.serialNumber = paramString;
  }

  public String getSerialNumber()
  {
    return this.serialNumber;
  }

  public LunGetVdiskAttributes withSerialNumber(String paramString)
  {
    this.serialNumber = paramString;
    return this;
  }

  @Output("vdisk-snapshot-name")
  @Type("string")
  public void setVdiskSnapshotName(String paramString)
  {
    this.vdiskSnapshotName = paramString;
  }

  public String getVdiskSnapshotName()
  {
    return this.vdiskSnapshotName;
  }

  public LunGetVdiskAttributes withVdiskSnapshotName(String paramString)
  {
    this.vdiskSnapshotName = paramString;
    return this;
  }
}