package com.netapp.filer.lun;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("lun-initiator-list-map-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EAPIERROR", "EINVAL"})
@Family({"ontap-c", "vfiler"})
public class LunInitiatorListMapInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String initiator;
  public List<LunMapInfo> lunMaps;

  @Input("initiator")
  @Type("string")
  public void setInitiator(String paramString)
  {
    this.initiator = paramString;
  }

  public String getInitiator()
  {
    return this.initiator;
  }

  public LunInitiatorListMapInfo withInitiator(String paramString)
  {
    this.initiator = paramString;
    return this;
  }

  @Output("lun-maps")
  @Type("lun-map-info[]")
  public void setLunMaps(List<LunMapInfo> paramList)
  {
    this.lunMaps = paramList;
  }

  public List<LunMapInfo> getLunMaps()
  {
    return this.lunMaps;
  }

  public LunInitiatorListMapInfo withLunMaps(List<LunMapInfo> paramList)
  {
    this.lunMaps = paramList;
    return this;
  }

  public LunInitiatorListMapInfo withLunMaps(LunMapInfo[] paramArrayOfLunMapInfo)
  {
    this.lunMaps = new ArrayList(Arrays.asList(paramArrayOfLunMapInfo));
    return this;
  }
}