package com.netapp.filer.lun;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("lun-map")
@Status(StatusEnum.PUBLIC)
@Errno({"EINVALIDINPUTERROR", "EONTAPI_EROFS", "EVDISK_ERROR_INITGROUP_HAS_VDISK", "EVDISK_ERROR_LUN_HAS_ALUA_CONFLICTS;", "EVDISK_ERROR_LUN_HAS_ALUA_ENABLED_FCP_IGROUP;", "EVDISK_ERROR_LUN_HAS_ALUA_ENABLED_ISCSI_IGROUP;", "EVDISK_ERROR_LUN_HAS_FCP_IGROUP;", "EVDISK_ERROR_LUN_HAS_ISCSI_IGROUP;", "EVDISK_ERROR_NO_EXPORTED_VDISK_SHARE_WRITE", "EVDISK_ERROR_NO_SUCH_VDISK", "EVDISK_ERROR_PARTNER_HAS_LUN", "EVDISK_ERROR_PARTNER_NOT_REACHABLE"})
@Family({"ontap-c", "vfiler"})
public class LunMap
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Boolean force;
  public String initiatorGroup;
  public Long lunId;
  public Long lunIdAssigned;
  public String path;

  @Input("force")
  @Type("boolean")
  @Optional
  public void setForce(Boolean paramBoolean)
  {
    this.force = paramBoolean;
  }

  public Boolean isForce()
  {
    return this.force;
  }

  public LunMap withForce(Boolean paramBoolean)
  {
    this.force = paramBoolean;
    return this;
  }

  @Input("initiator-group")
  @Type("string")
  public void setInitiatorGroup(String paramString)
  {
    this.initiatorGroup = paramString;
  }

  public String getInitiatorGroup()
  {
    return this.initiatorGroup;
  }

  public LunMap withInitiatorGroup(String paramString)
  {
    this.initiatorGroup = paramString;
    return this;
  }

  @Input("lun-id")
  @Type("integer")
  @Optional
  public void setLunId(Long paramLong)
  {
    this.lunId = paramLong;
  }

  public Long getLunId()
  {
    return this.lunId;
  }

  public LunMap withLunId(Long paramLong)
  {
    this.lunId = paramLong;
    return this;
  }

  @Output("lun-id-assigned")
  @Type("integer")
  public void setLunIdAssigned(Long paramLong)
  {
    this.lunIdAssigned = paramLong;
  }

  public Long getLunIdAssigned()
  {
    return this.lunIdAssigned;
  }

  public LunMap withLunIdAssigned(Long paramLong)
  {
    this.lunIdAssigned = paramLong;
    return this;
  }

  @Input("path")
  @Type("string")
  public void setPath(String paramString)
  {
    this.path = paramString;
  }

  public String getPath()
  {
    return this.path;
  }

  public LunMap withPath(String paramString)
  {
    this.path = paramString;
    return this;
  }
}