package com.netapp.filer.lun;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("lun-move")
@Status(StatusEnum.PUBLIC)
@Errno({"EINVALIDINPUTERROR", "EISDIR", "EOFFLINE", "EONTAPI_EEXIST", "EONTAPI_EROFS", "EVDISK_ERROR_NOT_IN_SAME_VOLUME", "EVDISK_ERROR_NOT_QTREE_ROOT", "EVDISK_ERROR_NO_SUCH_VDISK", "EVDISK_ERROR_VDISK_EXISTS"})
@Family({"ontap-c", "vfiler"})
public class LunMove
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String newPath;
  public String path;

  @Input("new-path")
  @Type("string")
  public void setNewPath(String paramString)
  {
    this.newPath = paramString;
  }

  public String getNewPath()
  {
    return this.newPath;
  }

  public LunMove withNewPath(String paramString)
  {
    this.newPath = paramString;
    return this;
  }

  @Input("path")
  @Type("string")
  public void setPath(String paramString)
  {
    this.path = paramString;
  }

  public String getPath()
  {
    return this.path;
  }

  public LunMove withPath(String paramString)
  {
    this.path = paramString;
    return this;
  }
}