package com.netapp.filer.lun;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.math.BigInteger;

@Api("lun-restore-qtree-nondisruptive-restore")
@Status(StatusEnum.UNSUPPORTED)
@Errno({"EINVALIDINPUTERROR", "EVDISK_ERROR_QTREE_RESTORE_FAILED"})
@Family({"ontap-c", "vfiler"})
public class LunRestoreQtreeNondisruptiveRestore
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String qtreePath;
  public BigInteger transactionId;

  @Input("qtree-path")
  @Type("string")
  public void setQtreePath(String paramString)
  {
    this.qtreePath = paramString;
  }

  public String getQtreePath()
  {
    return this.qtreePath;
  }

  public LunRestoreQtreeNondisruptiveRestore withQtreePath(String paramString)
  {
    this.qtreePath = paramString;
    return this;
  }

  @Input("transaction-id")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setTransactionId(BigInteger paramBigInteger)
  {
    this.transactionId = paramBigInteger;
  }

  public BigInteger getTransactionId()
  {
    return this.transactionId;
  }

  public LunRestoreQtreeNondisruptiveRestore withTransactionId(BigInteger paramBigInteger)
  {
    this.transactionId = paramBigInteger;
    return this;
  }
}