package com.netapp.filer.lun;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("lun-restore-status")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR", "EINVALIDINPUTERROR", "EVDISK_ERROR_NO_SUCH_VDISK"})
@Family({"ontap-c", "vfiler"})
public class LunRestoreStatus
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Boolean running;
  public String path;

  @Output("is-running")
  @Type("boolean")
  public void setRunning(Boolean paramBoolean)
  {
    this.running = paramBoolean;
  }

  public Boolean isRunning()
  {
    return this.running;
  }

  public LunRestoreStatus withRunning(Boolean paramBoolean)
  {
    this.running = paramBoolean;
    return this;
  }

  @Input("path")
  @Type("string")
  public void setPath(String paramString)
  {
    this.path = paramString;
  }

  public String getPath()
  {
    return this.path;
  }

  public LunRestoreStatus withPath(String paramString)
  {
    this.path = paramString;
    return this;
  }
}