package com.netapp.filer.lun;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("lun-snap-usage-list-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EINVALIDINPUTERROR", "EVDISK_ERROR_NO_SUCH_SNAPSHOT", "EVDISK_ERROR_NO_SUCH_VOLUME", "EVOLUMEMOUNTING", "EVOLUMEOFFLINE"})
@Family({"ontap-c", "vfiler"})
public class LunSnapUsageListInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<LunSnapUsageLunInfo> lunSnapUsageLuns;
  public String snapshot;
  public String volume;

  @Output("lun-snap-usage-luns")
  @Type("lun-snap-usage-lun-info[]")
  public void setLunSnapUsageLuns(List<LunSnapUsageLunInfo> paramList)
  {
    this.lunSnapUsageLuns = paramList;
  }

  public List<LunSnapUsageLunInfo> getLunSnapUsageLuns()
  {
    return this.lunSnapUsageLuns;
  }

  public LunSnapUsageListInfo withLunSnapUsageLuns(List<LunSnapUsageLunInfo> paramList)
  {
    this.lunSnapUsageLuns = paramList;
    return this;
  }

  public LunSnapUsageListInfo withLunSnapUsageLuns(LunSnapUsageLunInfo[] paramArrayOfLunSnapUsageLunInfo)
  {
    this.lunSnapUsageLuns = new ArrayList(Arrays.asList(paramArrayOfLunSnapUsageLunInfo));
    return this;
  }

  @Input("snapshot")
  @Type("string")
  public void setSnapshot(String paramString)
  {
    this.snapshot = paramString;
  }

  public String getSnapshot()
  {
    return this.snapshot;
  }

  public LunSnapUsageListInfo withSnapshot(String paramString)
  {
    this.snapshot = paramString;
    return this;
  }

  @Input("volume")
  @Type("string")
  public void setVolume(String paramString)
  {
    this.volume = paramString;
  }

  public String getVolume()
  {
    return this.volume;
  }

  public LunSnapUsageListInfo withVolume(String paramString)
  {
    this.volume = paramString;
    return this;
  }
}