package com.netapp.filer.lun;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.math.BigInteger;

@Typedef("lun-stats-info")
public class LunStatsInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Long blockSize;
  public BigInteger lastZeroed;
  public BigInteger otherOps;
  public String path;
  public BigInteger readBlocks;
  public BigInteger readOps;
  public BigInteger writeBlocks;
  public BigInteger writeOps;

  @Element("block-size")
  @Type("integer")
  public void setBlockSize(Long paramLong)
  {
    this.blockSize = paramLong;
  }

  public Long getBlockSize()
  {
    return this.blockSize;
  }

  public LunStatsInfo withBlockSize(Long paramLong)
  {
    this.blockSize = paramLong;
    return this;
  }

  @Element("last-zeroed")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setLastZeroed(BigInteger paramBigInteger)
  {
    this.lastZeroed = paramBigInteger;
  }

  public BigInteger getLastZeroed()
  {
    return this.lastZeroed;
  }

  public LunStatsInfo withLastZeroed(BigInteger paramBigInteger)
  {
    this.lastZeroed = paramBigInteger;
    return this;
  }

  @Element("other-ops")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setOtherOps(BigInteger paramBigInteger)
  {
    this.otherOps = paramBigInteger;
  }

  public BigInteger getOtherOps()
  {
    return this.otherOps;
  }

  public LunStatsInfo withOtherOps(BigInteger paramBigInteger)
  {
    this.otherOps = paramBigInteger;
    return this;
  }

  @Element("path")
  @Type("string")
  public void setPath(String paramString)
  {
    this.path = paramString;
  }

  public String getPath()
  {
    return this.path;
  }

  public LunStatsInfo withPath(String paramString)
  {
    this.path = paramString;
    return this;
  }

  @Element("read-blocks")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setReadBlocks(BigInteger paramBigInteger)
  {
    this.readBlocks = paramBigInteger;
  }

  public BigInteger getReadBlocks()
  {
    return this.readBlocks;
  }

  public LunStatsInfo withReadBlocks(BigInteger paramBigInteger)
  {
    this.readBlocks = paramBigInteger;
    return this;
  }

  @Element("read-ops")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setReadOps(BigInteger paramBigInteger)
  {
    this.readOps = paramBigInteger;
  }

  public BigInteger getReadOps()
  {
    return this.readOps;
  }

  public LunStatsInfo withReadOps(BigInteger paramBigInteger)
  {
    this.readOps = paramBigInteger;
    return this;
  }

  @Element("write-blocks")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setWriteBlocks(BigInteger paramBigInteger)
  {
    this.writeBlocks = paramBigInteger;
  }

  public BigInteger getWriteBlocks()
  {
    return this.writeBlocks;
  }

  public LunStatsInfo withWriteBlocks(BigInteger paramBigInteger)
  {
    this.writeBlocks = paramBigInteger;
    return this;
  }

  @Element("write-ops")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setWriteOps(BigInteger paramBigInteger)
  {
    this.writeOps = paramBigInteger;
  }

  public BigInteger getWriteOps()
  {
    return this.writeOps;
  }

  public LunStatsInfo withWriteOps(BigInteger paramBigInteger)
  {
    this.writeOps = paramBigInteger;
    return this;
  }
}