package com.netapp.filer.lun;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("lun-unset-attribute")
@Status(StatusEnum.PUBLIC)
@Errno({"EINVALIDINPUTERROR", "EONTAPI_EPERM", "EVDISK_ERROR_NO_SUCH_VDISK"})
@Family({"ontap-c", "vfiler"})
public class LunUnsetAttribute
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String name;
  public String path;

  @Input("name")
  @Type("string")
  public void setName(String paramString)
  {
    this.name = paramString;
  }

  public String getName()
  {
    return this.name;
  }

  public LunUnsetAttribute withName(String paramString)
  {
    this.name = paramString;
    return this;
  }

  @Input("path")
  @Type("string")
  public void setPath(String paramString)
  {
    this.path = paramString;
  }

  public String getPath()
  {
    return this.path;
  }

  public LunUnsetAttribute withPath(String paramString)
  {
    this.path = paramString;
    return this;
  }
}