package com.netapp.filer.lun;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;

@Typedef("persistent-reservation-info")
public class PersistentReservationInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public FcpPrNexusInfo fcpPrNexus;
  public IscsiPrNexusInfo iscsiPrNexus;
  public String reservationKey;
  public String reservationType;
  public String reservationTypeCode;

  @Element("fcp-pr-nexus")
  @Type("fcp-pr-nexus-info")
  @Optional
  public void setFcpPrNexus(FcpPrNexusInfo paramFcpPrNexusInfo)
  {
    this.fcpPrNexus = paramFcpPrNexusInfo;
  }

  public FcpPrNexusInfo getFcpPrNexus()
  {
    return this.fcpPrNexus;
  }

  public PersistentReservationInfo withFcpPrNexus(FcpPrNexusInfo paramFcpPrNexusInfo)
  {
    this.fcpPrNexus = paramFcpPrNexusInfo;
    return this;
  }

  @Element("iscsi-pr-nexus")
  @Type("iscsi-pr-nexus-info")
  @Optional
  public void setIscsiPrNexus(IscsiPrNexusInfo paramIscsiPrNexusInfo)
  {
    this.iscsiPrNexus = paramIscsiPrNexusInfo;
  }

  public IscsiPrNexusInfo getIscsiPrNexus()
  {
    return this.iscsiPrNexus;
  }

  public PersistentReservationInfo withIscsiPrNexus(IscsiPrNexusInfo paramIscsiPrNexusInfo)
  {
    this.iscsiPrNexus = paramIscsiPrNexusInfo;
    return this;
  }

  @Element("reservation-key")
  @Type("string")
  public void setReservationKey(String paramString)
  {
    this.reservationKey = paramString;
  }

  public String getReservationKey()
  {
    return this.reservationKey;
  }

  public PersistentReservationInfo withReservationKey(String paramString)
  {
    this.reservationKey = paramString;
    return this;
  }

  @Element("reservation-type")
  @Type("string")
  public void setReservationType(String paramString)
  {
    this.reservationType = paramString;
  }

  public String getReservationType()
  {
    return this.reservationType;
  }

  public PersistentReservationInfo withReservationType(String paramString)
  {
    this.reservationType = paramString;
    return this;
  }

  @Element("reservation-type-code")
  @Type("string")
  @Optional
  public void setReservationTypeCode(String paramString)
  {
    this.reservationTypeCode = paramString;
  }

  public String getReservationTypeCode()
  {
    return this.reservationTypeCode;
  }

  public PersistentReservationInfo withReservationTypeCode(String paramString)
  {
    this.reservationTypeCode = paramString;
    return this;
  }
}