package com.netapp.filer.nameservice;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("invoke-api")
@Status(StatusEnum.UNSUPPORTED)
@Family({"ontap-c", "vfiler"})
public class InvokeApi
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String apiName;
  public String host;
  public String outputData;
  public String password;
  public Boolean useSsl;
  public String username;
  public String vfiler;

  @Input("api-name")
  @Type("string")
  public void setApiName(String paramString)
  {
    this.apiName = paramString;
  }

  public String getApiName()
  {
    return this.apiName;
  }

  public InvokeApi withApiName(String paramString)
  {
    this.apiName = paramString;
    return this;
  }

  @Input("host")
  @Type("string")
  public void setHost(String paramString)
  {
    this.host = paramString;
  }

  public String getHost()
  {
    return this.host;
  }

  public InvokeApi withHost(String paramString)
  {
    this.host = paramString;
    return this;
  }

  @Output("output-data")
  @Type("string")
  public void setOutputData(String paramString)
  {
    this.outputData = paramString;
  }

  public String getOutputData()
  {
    return this.outputData;
  }

  public InvokeApi withOutputData(String paramString)
  {
    this.outputData = paramString;
    return this;
  }

  @Input("password")
  @Type("string")
  public void setPassword(String paramString)
  {
    this.password = paramString;
  }

  public String getPassword()
  {
    return this.password;
  }

  public InvokeApi withPassword(String paramString)
  {
    this.password = paramString;
    return this;
  }

  @Input("use-SSL")
  @Type("boolean")
  @Optional
  public void setUseSsl(Boolean paramBoolean)
  {
    this.useSsl = paramBoolean;
  }

  public Boolean isUseSsl()
  {
    return this.useSsl;
  }

  public InvokeApi withUseSsl(Boolean paramBoolean)
  {
    this.useSsl = paramBoolean;
    return this;
  }

  @Input("username")
  @Type("string")
  public void setUsername(String paramString)
  {
    this.username = paramString;
  }

  public String getUsername()
  {
    return this.username;
  }

  public InvokeApi withUsername(String paramString)
  {
    this.username = paramString;
    return this;
  }

  @Input("vfiler")
  @Type("string")
  @Optional
  public void setVfiler(String paramString)
  {
    this.vfiler = paramString;
  }

  public String getVfiler()
  {
    return this.vfiler;
  }

  public InvokeApi withVfiler(String paramString)
  {
    this.vfiler = paramString;
    return this;
  }
}