package com.netapp.filer.nameservice;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("nameservice-map-unix-to-windows")
@Status(StatusEnum.PUBLIC)
@Errno({"EONTAPI_ENOENT"})
@Family({"ontap-c", "vfiler"})
public class NameserviceMapUnixToWindows
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String domain;
  public String userOutput;
  public String userInput;

  @Output("domain")
  @Type("string")
  public void setDomain(String paramString)
  {
    this.domain = paramString;
  }

  public String getDomain()
  {
    return this.domain;
  }

  public NameserviceMapUnixToWindows withDomain(String paramString)
  {
    this.domain = paramString;
    return this;
  }

  @Output("user")
  @Type("string")
  public void setUserOutput(String paramString)
  {
    this.userOutput = paramString;
  }

  public String getUserOutput()
  {
    return this.userOutput;
  }

  public NameserviceMapUnixToWindows withUserOutput(String paramString)
  {
    this.userOutput = paramString;
    return this;
  }

  @Input("user")
  @Type("string")
  public void setUserInput(String paramString)
  {
    this.userInput = paramString;
  }

  public String getUserInput()
  {
    return this.userInput;
  }

  public NameserviceMapUnixToWindows withUserInput(String paramString)
  {
    this.userInput = paramString;
    return this;
  }
}