package com.netapp.filer.net;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("net-ping")
@Status(StatusEnum.PUBLIC)
@Errno({"EHOSTNOTFOUND"})
@Family({"ontap-c", "vfiler"})
public class NetPing
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String hostNameOrIpAddress;
  public Integer retryCount;

  @Input("host-name-or-ip-address")
  @Type("string")
  public void setHostNameOrIpAddress(String paramString)
  {
    this.hostNameOrIpAddress = paramString;
  }

  public String getHostNameOrIpAddress()
  {
    return this.hostNameOrIpAddress;
  }

  public NetPing withHostNameOrIpAddress(String paramString)
  {
    this.hostNameOrIpAddress = paramString;
    return this;
  }

  @Input("retry-count")
  @Type("integer")
  @Optional
  @Range(min="1", max="5")
  public void setRetryCount(Integer paramInteger)
  {
    this.retryCount = paramInteger;
  }

  public Integer getRetryCount()
  {
    return this.retryCount;
  }

  public NetPing withRetryCount(Integer paramInteger)
  {
    this.retryCount = paramInteger;
    return this;
  }
}