package com.netapp.filer.net;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("net-resolve")
@Status(StatusEnum.PUBLIC)
@Errno({"EHOSTNOTFOUND"})
@Family({"ontap-c", "vfiler"})
public class NetResolve
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String hostName;
  public List<String> ipAddresses;

  @Input("host-name")
  @Type("string")
  public void setHostName(String paramString)
  {
    this.hostName = paramString;
  }

  public String getHostName()
  {
    return this.hostName;
  }

  public NetResolve withHostName(String paramString)
  {
    this.hostName = paramString;
    return this;
  }

  @Output("ip-addresses")
  @Type("ip-address[]")
  public void setIpAddresses(List<String> paramList)
  {
    this.ipAddresses = paramList;
  }

  public List<String> getIpAddresses()
  {
    return this.ipAddresses;
  }

  public NetResolve withIpAddresses(List<String> paramList)
  {
    this.ipAddresses = paramList;
    return this;
  }

  public NetResolve withIpAddresses(String[] paramArrayOfString)
  {
    this.ipAddresses = new ArrayList(Arrays.asList(paramArrayOfString));
    return this;
  }
}