package com.netapp.filer.nfs;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Typedef("exports-rule-info-2")
public class ExportsRuleInfo2
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String actualPathname;
  public String pathname;
  public List<SecurityRuleInfo> securityRules;

  @Element("actual-pathname")
  @Type("string")
  @Optional
  public void setActualPathname(String paramString)
  {
    this.actualPathname = paramString;
  }

  public String getActualPathname()
  {
    return this.actualPathname;
  }

  public ExportsRuleInfo2 withActualPathname(String paramString)
  {
    this.actualPathname = paramString;
    return this;
  }

  @Element("pathname")
  @Type("string")
  public void setPathname(String paramString)
  {
    this.pathname = paramString;
  }

  public String getPathname()
  {
    return this.pathname;
  }

  public ExportsRuleInfo2 withPathname(String paramString)
  {
    this.pathname = paramString;
    return this;
  }

  @Element("security-rules")
  @Type("security-rule-info[]")
  public void setSecurityRules(List<SecurityRuleInfo> paramList)
  {
    this.securityRules = paramList;
  }

  public List<SecurityRuleInfo> getSecurityRules()
  {
    return this.securityRules;
  }

  public ExportsRuleInfo2 withSecurityRules(List<SecurityRuleInfo> paramList)
  {
    this.securityRules = paramList;
    return this;
  }

  public ExportsRuleInfo2 withSecurityRules(SecurityRuleInfo[] paramArrayOfSecurityRuleInfo)
  {
    this.securityRules = new ArrayList(Arrays.asList(paramArrayOfSecurityRuleInfo));
    return this;
  }
}