package com.netapp.filer.nfs;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("nfs-exportfs-fence-enable")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR"})
@Family({"ontap-c", "vfiler"})
public class NfsExportfsFenceEnable
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Boolean allPathnames;
  public List<ExportsHostnameInfo> fencedHosts;
  public List<PathnameInfo> fencedPaths;
  public Boolean persistent;

  @Input("all-pathnames")
  @Type("boolean")
  @Optional
  public void setAllPathnames(Boolean paramBoolean)
  {
    this.allPathnames = paramBoolean;
  }

  public Boolean isAllPathnames()
  {
    return this.allPathnames;
  }

  public NfsExportfsFenceEnable withAllPathnames(Boolean paramBoolean)
  {
    this.allPathnames = paramBoolean;
    return this;
  }

  @Input("fenced-hosts")
  @Type("exports-hostname-info[]")
  public void setFencedHosts(List<ExportsHostnameInfo> paramList)
  {
    this.fencedHosts = paramList;
  }

  public List<ExportsHostnameInfo> getFencedHosts()
  {
    return this.fencedHosts;
  }

  public NfsExportfsFenceEnable withFencedHosts(List<ExportsHostnameInfo> paramList)
  {
    this.fencedHosts = paramList;
    return this;
  }

  public NfsExportfsFenceEnable withFencedHosts(ExportsHostnameInfo[] paramArrayOfExportsHostnameInfo)
  {
    this.fencedHosts = new ArrayList(Arrays.asList(paramArrayOfExportsHostnameInfo));
    return this;
  }

  @Input("fenced-paths")
  @Type("pathname-info[]")
  @Optional
  public void setFencedPaths(List<PathnameInfo> paramList)
  {
    this.fencedPaths = paramList;
  }

  public List<PathnameInfo> getFencedPaths()
  {
    return this.fencedPaths;
  }

  public NfsExportfsFenceEnable withFencedPaths(List<PathnameInfo> paramList)
  {
    this.fencedPaths = paramList;
    return this;
  }

  public NfsExportfsFenceEnable withFencedPaths(PathnameInfo[] paramArrayOfPathnameInfo)
  {
    this.fencedPaths = new ArrayList(Arrays.asList(paramArrayOfPathnameInfo));
    return this;
  }

  @Input("persistent")
  @Type("boolean")
  @Optional
  public void setPersistent(Boolean paramBoolean)
  {
    this.persistent = paramBoolean;
  }

  public Boolean isPersistent()
  {
    return this.persistent;
  }

  public NfsExportfsFenceEnable withPersistent(Boolean paramBoolean)
  {
    this.persistent = paramBoolean;
    return this;
  }
}