package com.netapp.filer.nfs;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("nfs-exportfs-flush-cache")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR"})
@Family({"ontap-c", "vfiler"})
public class NfsExportfsFlushCache
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String pathname;

  @Input("pathname")
  @Type("string")
  @Optional
  public void setPathname(String paramString)
  {
    this.pathname = paramString;
  }

  public String getPathname()
  {
    return this.pathname;
  }

  public NfsExportfsFlushCache withPathname(String paramString)
  {
    this.pathname = paramString;
    return this;
  }
}