package com.netapp.filer.nfs;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("nfs-exportfs-load-exports")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR"})
@Family({"ontap-c", "vfiler"})
public class NfsExportfsLoadExports
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Boolean persistentOnly;

  @Input("persistent-only")
  @Type("boolean")
  @Optional
  public void setPersistentOnly(Boolean paramBoolean)
  {
    this.persistentOnly = paramBoolean;
  }

  public Boolean isPersistentOnly()
  {
    return this.persistentOnly;
  }

  public NfsExportfsLoadExports withPersistentOnly(Boolean paramBoolean)
  {
    this.persistentOnly = paramBoolean;
    return this;
  }
}