package com.netapp.filer.nfs;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("nfs-exportfs-modify-rule-2")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR"})
@Family({"ontap-c", "vfiler"})
public class NfsExportfsModifyRule2
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Boolean persistent;
  public ExportsRuleInfo2 rule;

  @Input("persistent")
  @Type("boolean")
  public void setPersistent(Boolean paramBoolean)
  {
    this.persistent = paramBoolean;
  }

  public Boolean isPersistent()
  {
    return this.persistent;
  }

  public NfsExportfsModifyRule2 withPersistent(Boolean paramBoolean)
  {
    this.persistent = paramBoolean;
    return this;
  }

  @Input("rule")
  @Type("exports-rule-info-2")
  public void setRule(ExportsRuleInfo2 paramExportsRuleInfo2)
  {
    this.rule = paramExportsRuleInfo2;
  }

  public ExportsRuleInfo2 getRule()
  {
    return this.rule;
  }

  public NfsExportfsModifyRule2 withRule(ExportsRuleInfo2 paramExportsRuleInfo2)
  {
    this.rule = paramExportsRuleInfo2;
    return this;
  }
}