package com.netapp.filer.nfs;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("nfs-exportfs-storage-path")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR"})
@Family({"ontap-c", "vfiler"})
public class NfsExportfsStoragePath
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String actualPathname;
  public String pathname;

  @Output("actual-pathname")
  @Type("string")
  public void setActualPathname(String paramString)
  {
    this.actualPathname = paramString;
  }

  public String getActualPathname()
  {
    return this.actualPathname;
  }

  public NfsExportfsStoragePath withActualPathname(String paramString)
  {
    this.actualPathname = paramString;
    return this;
  }

  @Input("pathname")
  @Type("string")
  public void setPathname(String paramString)
  {
    this.pathname = paramString;
  }

  public String getPathname()
  {
    return this.pathname;
  }

  public NfsExportfsStoragePath withPathname(String paramString)
  {
    this.pathname = paramString;
    return this;
  }
}