package com.netapp.filer.nfs;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("nfs-stats-get-client-stats")
@Status(StatusEnum.PUBLIC)
@Errno({"EHOSTNOTFOUND", "ENFS_CLIENT_STATS_NOT_ENABLED", "ENOACTIVECLIENTS"})
@Family({"ontap-c", "vfiler"})
public class NfsStatsGetClientStats
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String clientInfo;
  public String host;
  public NfsStatsInfo nfsStats;
  public RpcStatsInfo rpcStats;
  public TcpFlowcontrolStatsInfo tcpFlowcontrolStats;

  @Output("client-info")
  @Type("string")
  public void setClientInfo(String paramString)
  {
    this.clientInfo = paramString;
  }

  public String getClientInfo()
  {
    return this.clientInfo;
  }

  public NfsStatsGetClientStats withClientInfo(String paramString)
  {
    this.clientInfo = paramString;
    return this;
  }

  @Input("host")
  @Type("string")
  public void setHost(String paramString)
  {
    this.host = paramString;
  }

  public String getHost()
  {
    return this.host;
  }

  public NfsStatsGetClientStats withHost(String paramString)
  {
    this.host = paramString;
    return this;
  }

  @Output("nfs-stats")
  @Type("nfs-stats-info")
  public void setNfsStats(NfsStatsInfo paramNfsStatsInfo)
  {
    this.nfsStats = paramNfsStatsInfo;
  }

  public NfsStatsInfo getNfsStats()
  {
    return this.nfsStats;
  }

  public NfsStatsGetClientStats withNfsStats(NfsStatsInfo paramNfsStatsInfo)
  {
    this.nfsStats = paramNfsStatsInfo;
    return this;
  }

  @Output("rpc-stats")
  @Type("rpc-stats-info")
  public void setRpcStats(RpcStatsInfo paramRpcStatsInfo)
  {
    this.rpcStats = paramRpcStatsInfo;
  }

  public RpcStatsInfo getRpcStats()
  {
    return this.rpcStats;
  }

  public NfsStatsGetClientStats withRpcStats(RpcStatsInfo paramRpcStatsInfo)
  {
    this.rpcStats = paramRpcStatsInfo;
    return this;
  }

  @Output("tcp-flowcontrol-stats")
  @Type("tcp-flowcontrol-stats-info")
  public void setTcpFlowcontrolStats(TcpFlowcontrolStatsInfo paramTcpFlowcontrolStatsInfo)
  {
    this.tcpFlowcontrolStats = paramTcpFlowcontrolStatsInfo;
  }

  public TcpFlowcontrolStatsInfo getTcpFlowcontrolStats()
  {
    return this.tcpFlowcontrolStats;
  }

  public NfsStatsGetClientStats withTcpFlowcontrolStats(TcpFlowcontrolStatsInfo paramTcpFlowcontrolStatsInfo)
  {
    this.tcpFlowcontrolStats = paramTcpFlowcontrolStatsInfo;
    return this;
  }
}