package com.netapp.filer.nfs;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.math.BigInteger;

@Typedef("nfs-stats-info")
public class NfsStatsInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Long badcallsTotal;
  public BigInteger callsTotal;
  public Nfsv2ClientStatsInfo nfsv2ClientStats;
  public Nfsv3ClientStatsInfo nfsv3ClientStats;
  public Nfsv4ClientStatsInfo nfsv4ClientStats;

  @Element("badcalls-total")
  @Type("integer")
  @Range(min="0", max="2^32-1")
  public void setBadcallsTotal(Long paramLong)
  {
    this.badcallsTotal = paramLong;
  }

  public Long getBadcallsTotal()
  {
    return this.badcallsTotal;
  }

  public NfsStatsInfo withBadcallsTotal(Long paramLong)
  {
    this.badcallsTotal = paramLong;
    return this;
  }

  @Element("calls-total")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setCallsTotal(BigInteger paramBigInteger)
  {
    this.callsTotal = paramBigInteger;
  }

  public BigInteger getCallsTotal()
  {
    return this.callsTotal;
  }

  public NfsStatsInfo withCallsTotal(BigInteger paramBigInteger)
  {
    this.callsTotal = paramBigInteger;
    return this;
  }

  @Element("nfsv2-client-stats")
  @Type("nfsv2-client-stats-info")
  public void setNfsv2ClientStats(Nfsv2ClientStatsInfo paramNfsv2ClientStatsInfo)
  {
    this.nfsv2ClientStats = paramNfsv2ClientStatsInfo;
  }

  public Nfsv2ClientStatsInfo getNfsv2ClientStats()
  {
    return this.nfsv2ClientStats;
  }

  public NfsStatsInfo withNfsv2ClientStats(Nfsv2ClientStatsInfo paramNfsv2ClientStatsInfo)
  {
    this.nfsv2ClientStats = paramNfsv2ClientStatsInfo;
    return this;
  }

  @Element("nfsv3-client-stats")
  @Type("nfsv3-client-stats-info")
  public void setNfsv3ClientStats(Nfsv3ClientStatsInfo paramNfsv3ClientStatsInfo)
  {
    this.nfsv3ClientStats = paramNfsv3ClientStatsInfo;
  }

  public Nfsv3ClientStatsInfo getNfsv3ClientStats()
  {
    return this.nfsv3ClientStats;
  }

  public NfsStatsInfo withNfsv3ClientStats(Nfsv3ClientStatsInfo paramNfsv3ClientStatsInfo)
  {
    this.nfsv3ClientStats = paramNfsv3ClientStatsInfo;
    return this;
  }

  @Element("nfsv4-client-stats")
  @Type("nfsv4-client-stats-info")
  @Optional
  public void setNfsv4ClientStats(Nfsv4ClientStatsInfo paramNfsv4ClientStatsInfo)
  {
    this.nfsv4ClientStats = paramNfsv4ClientStatsInfo;
  }

  public Nfsv4ClientStatsInfo getNfsv4ClientStats()
  {
    return this.nfsv4ClientStats;
  }

  public NfsStatsInfo withNfsv4ClientStats(Nfsv4ClientStatsInfo paramNfsv4ClientStatsInfo)
  {
    this.nfsv4ClientStats = paramNfsv4ClientStatsInfo;
    return this;
  }
}