package com.netapp.filer.nfs;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("nfs-status")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR"})
@Family({"ontap-c", "vfiler"})
public class NfsStatus
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Boolean drained;
  public Boolean enabled;

  @Output("is-drained")
  @Type("boolean")
  public void setDrained(Boolean paramBoolean)
  {
    this.drained = paramBoolean;
  }

  public Boolean isDrained()
  {
    return this.drained;
  }

  public NfsStatus withDrained(Boolean paramBoolean)
  {
    this.drained = paramBoolean;
    return this;
  }

  @Output("is-enabled")
  @Type("boolean")
  public void setEnabled(Boolean paramBoolean)
  {
    this.enabled = paramBoolean;
  }

  public Boolean isEnabled()
  {
    return this.enabled;
  }

  public NfsStatus withEnabled(Boolean paramBoolean)
  {
    this.enabled = paramBoolean;
    return this;
  }
}