package com.netapp.filer.perf;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Typedef("counter-info")
public class CounterInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String baseCounter;
  public String desc;
  public List<String> labels;
  public String name;
  public String privilegeLevel;
  public String properties;
  public String type;
  public String unit;

  @Element("base-counter")
  @Type("string")
  @Optional
  public void setBaseCounter(String paramString)
  {
    this.baseCounter = paramString;
  }

  public String getBaseCounter()
  {
    return this.baseCounter;
  }

  public CounterInfo withBaseCounter(String paramString)
  {
    this.baseCounter = paramString;
    return this;
  }

  @Element("desc")
  @Type("string")
  public void setDesc(String paramString)
  {
    this.desc = paramString;
  }

  public String getDesc()
  {
    return this.desc;
  }

  public CounterInfo withDesc(String paramString)
  {
    this.desc = paramString;
    return this;
  }

  @Element("labels")
  @Type("label-info[]")
  @Optional
  public void setLabels(List<String> paramList)
  {
    this.labels = paramList;
  }

  public List<String> getLabels()
  {
    return this.labels;
  }

  public CounterInfo withLabels(List<String> paramList)
  {
    this.labels = paramList;
    return this;
  }

  public CounterInfo withLabels(String[] paramArrayOfString)
  {
    this.labels = new ArrayList(Arrays.asList(paramArrayOfString));
    return this;
  }

  @Element("name")
  @Type("string")
  public void setName(String paramString)
  {
    this.name = paramString;
  }

  public String getName()
  {
    return this.name;
  }

  public CounterInfo withName(String paramString)
  {
    this.name = paramString;
    return this;
  }

  @Element("privilege-level")
  @Type("string")
  public void setPrivilegeLevel(String paramString)
  {
    this.privilegeLevel = paramString;
  }

  public String getPrivilegeLevel()
  {
    return this.privilegeLevel;
  }

  public CounterInfo withPrivilegeLevel(String paramString)
  {
    this.privilegeLevel = paramString;
    return this;
  }

  @Element("properties")
  @Type("string")
  @Optional
  public void setProperties(String paramString)
  {
    this.properties = paramString;
  }

  public String getProperties()
  {
    return this.properties;
  }

  public CounterInfo withProperties(String paramString)
  {
    this.properties = paramString;
    return this;
  }

  @Element("type")
  @Type("string")
  @Optional
  public void setType(String paramString)
  {
    this.type = paramString;
  }

  public String getType()
  {
    return this.type;
  }

  public CounterInfo withType(String paramString)
  {
    this.type = paramString;
    return this;
  }

  @Element("unit")
  @Type("string")
  @Optional
  public void setUnit(String paramString)
  {
    this.unit = paramString;
  }

  public String getUnit()
  {
    return this.unit;
  }

  public CounterInfo withUnit(String paramString)
  {
    this.unit = paramString;
    return this;
  }
}