package com.netapp.filer.perf;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Typedef("instance-data")
public class InstanceData
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<CounterData> counters;
  public String name;

  @Element("counters")
  @Type("counter-data[]")
  public void setCounters(List<CounterData> paramList)
  {
    this.counters = paramList;
  }

  public List<CounterData> getCounters()
  {
    return this.counters;
  }

  public InstanceData withCounters(List<CounterData> paramList)
  {
    this.counters = paramList;
    return this;
  }

  public InstanceData withCounters(CounterData[] paramArrayOfCounterData)
  {
    this.counters = new ArrayList(Arrays.asList(paramArrayOfCounterData));
    return this;
  }

  @Element("name")
  @Type("string")
  public void setName(String paramString)
  {
    this.name = paramString;
  }

  public String getName()
  {
    return this.name;
  }

  public InstanceData withName(String paramString)
  {
    this.name = paramString;
    return this;
  }
}