package com.netapp.filer.perf;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("perf-archive-get-headers")
@Status(StatusEnum.UNSUPPORTED)
@Family({"ontap-c", "ontap-d"})
public class PerfArchiveGetHeaders
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<ArchiveHeader> archiveHeaders;
  public Integer duration;
  public String timestamp;

  @Output("archive-headers")
  @Type("archive-header[]")
  public void setArchiveHeaders(List<ArchiveHeader> paramList)
  {
    this.archiveHeaders = paramList;
  }

  public List<ArchiveHeader> getArchiveHeaders()
  {
    return this.archiveHeaders;
  }

  public PerfArchiveGetHeaders withArchiveHeaders(List<ArchiveHeader> paramList)
  {
    this.archiveHeaders = paramList;
    return this;
  }

  public PerfArchiveGetHeaders withArchiveHeaders(ArchiveHeader[] paramArrayOfArchiveHeader)
  {
    this.archiveHeaders = new ArrayList(Arrays.asList(paramArrayOfArchiveHeader));
    return this;
  }

  @Input("duration")
  @Type("integer")
  @Range(min="0", max="2^31-1")
  public void setDuration(Integer paramInteger)
  {
    this.duration = paramInteger;
  }

  public Integer getDuration()
  {
    return this.duration;
  }

  public PerfArchiveGetHeaders withDuration(Integer paramInteger)
  {
    this.duration = paramInteger;
    return this;
  }

  @Input("timestamp")
  @Type("string")
  @Range(min="0", max="2^31-1")
  public void setTimestamp(String paramString)
  {
    this.timestamp = paramString;
  }

  public String getTimestamp()
  {
    return this.timestamp;
  }

  public PerfArchiveGetHeaders withTimestamp(String paramString)
  {
    this.timestamp = paramString;
    return this;
  }
}