package com.netapp.filer.perf;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("perf-object-instance-list-info-iter-start")
@Status(StatusEnum.PUBLIC)
@Family({"ontap-c", "ontap-d"})
public class PerfObjectInstanceListInfoIterStart
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String objectname;
  public Integer records;
  public String tag;

  @Input("objectname")
  @Type("string")
  public void setObjectname(String paramString)
  {
    this.objectname = paramString;
  }

  public String getObjectname()
  {
    return this.objectname;
  }

  public PerfObjectInstanceListInfoIterStart withObjectname(String paramString)
  {
    this.objectname = paramString;
    return this;
  }

  @Output("records")
  @Type("integer")
  @Range(min="0", max="2^31-1")
  public void setRecords(Integer paramInteger)
  {
    this.records = paramInteger;
  }

  public Integer getRecords()
  {
    return this.records;
  }

  public PerfObjectInstanceListInfoIterStart withRecords(Integer paramInteger)
  {
    this.records = paramInteger;
    return this;
  }

  @Output("tag")
  @Type("string")
  public void setTag(String paramString)
  {
    this.tag = paramString;
  }

  public String getTag()
  {
    return this.tag;
  }

  public PerfObjectInstanceListInfoIterStart withTag(String paramString)
  {
    this.tag = paramString;
    return this;
  }
}