package com.netapp.filer.portset;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("portset-destroy")
@Status(StatusEnum.PUBLIC)
@Errno({"EVDISK_ERROR_INITGROUP_IS_BOUND", "EVDISK_ERROR_PORTSET_NO_SUCH_GROUP", "EVDISK_ERROR_PORTSET_THROTTLE_EXCEEDED", "EVDISK_ERROR_PORTSET_TOO_FEW_PORTS"})
public class PortsetDestroy
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Boolean force;
  public String portsetName;

  @Input("force")
  @Type("boolean")
  @Optional
  public void setForce(Boolean paramBoolean)
  {
    this.force = paramBoolean;
  }

  public Boolean isForce()
  {
    return this.force;
  }

  public PortsetDestroy withForce(Boolean paramBoolean)
  {
    this.force = paramBoolean;
    return this;
  }

  @Input("portset-name")
  @Type("string")
  public void setPortsetName(String paramString)
  {
    this.portsetName = paramString;
  }

  public String getPortsetName()
  {
    return this.portsetName;
  }

  public PortsetDestroy withPortsetName(String paramString)
  {
    this.portsetName = paramString;
    return this;
  }
}