package com.netapp.filer.portset;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Typedef("portset-info")
public class PortsetInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String portsetName;
  public List<PortsetPorts> portsetPortInfo;
  public Long portsetPortTotal;
  public Long portsetType;

  @Element("portset-name")
  @Type("string")
  public void setPortsetName(String paramString)
  {
    this.portsetName = paramString;
  }

  public String getPortsetName()
  {
    return this.portsetName;
  }

  public PortsetInfo withPortsetName(String paramString)
  {
    this.portsetName = paramString;
    return this;
  }

  @Element("portset-port-info")
  @Type("portset-ports[]")
  public void setPortsetPortInfo(List<PortsetPorts> paramList)
  {
    this.portsetPortInfo = paramList;
  }

  public List<PortsetPorts> getPortsetPortInfo()
  {
    return this.portsetPortInfo;
  }

  public PortsetInfo withPortsetPortInfo(List<PortsetPorts> paramList)
  {
    this.portsetPortInfo = paramList;
    return this;
  }

  public PortsetInfo withPortsetPortInfo(PortsetPorts[] paramArrayOfPortsetPorts)
  {
    this.portsetPortInfo = new ArrayList(Arrays.asList(paramArrayOfPortsetPorts));
    return this;
  }

  @Element("portset-port-total")
  @Type("integer")
  public void setPortsetPortTotal(Long paramLong)
  {
    this.portsetPortTotal = paramLong;
  }

  public Long getPortsetPortTotal()
  {
    return this.portsetPortTotal;
  }

  public PortsetInfo withPortsetPortTotal(Long paramLong)
  {
    this.portsetPortTotal = paramLong;
    return this;
  }

  @Element("portset-type")
  @Type("integer")
  public void setPortsetType(Long paramLong)
  {
    this.portsetType = paramLong;
  }

  public Long getPortsetType()
  {
    return this.portsetType;
  }

  public PortsetInfo withPortsetType(Long paramLong)
  {
    this.portsetType = paramLong;
    return this;
  }
}