package com.netapp.filer.portset;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("portset-list-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EVDISK_ERROR_PORTSET_NO_SUCH_GROUP", "EVDISK_ERROR_PORTSET_TOO_FEW_PORTS"})
public class PortsetListInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String portsetName;
  public List<PortsetInfo> portsetSets;

  @Input("portset-name")
  @Type("string")
  @Optional
  public void setPortsetName(String paramString)
  {
    this.portsetName = paramString;
  }

  public String getPortsetName()
  {
    return this.portsetName;
  }

  public PortsetListInfo withPortsetName(String paramString)
  {
    this.portsetName = paramString;
    return this;
  }

  @Output("portset-sets")
  @Type("portset-info[]")
  public void setPortsetSets(List<PortsetInfo> paramList)
  {
    this.portsetSets = paramList;
  }

  public List<PortsetInfo> getPortsetSets()
  {
    return this.portsetSets;
  }

  public PortsetListInfo withPortsetSets(List<PortsetInfo> paramList)
  {
    this.portsetSets = paramList;
    return this;
  }

  public PortsetListInfo withPortsetSets(PortsetInfo[] paramArrayOfPortsetInfo)
  {
    this.portsetSets = new ArrayList(Arrays.asList(paramArrayOfPortsetInfo));
    return this;
  }
}