package com.netapp.filer.priority;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("priority-list-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EONTAPI_ENOENT"})
@Family({"ontap-c", "ontap-d"})
public class PriorityListInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String enabledComponents;
  public Long ioConcurrency;
  public String nvlogCpCompletion;
  public Integer nvlogCpThreshold;
  public String status;

  @Output("enabled-components")
  @Type("string")
  public void setEnabledComponents(String paramString)
  {
    this.enabledComponents = paramString;
  }

  public String getEnabledComponents()
  {
    return this.enabledComponents;
  }

  public PriorityListInfo withEnabledComponents(String paramString)
  {
    this.enabledComponents = paramString;
    return this;
  }

  @Output("io-concurrency")
  @Type("integer")
  public void setIoConcurrency(Long paramLong)
  {
    this.ioConcurrency = paramLong;
  }

  public Long getIoConcurrency()
  {
    return this.ioConcurrency;
  }

  public PriorityListInfo withIoConcurrency(Long paramLong)
  {
    this.ioConcurrency = paramLong;
    return this;
  }

  @Output("nvlog-cp-completion")
  @Type("string")
  public void setNvlogCpCompletion(String paramString)
  {
    this.nvlogCpCompletion = paramString;
  }

  public String getNvlogCpCompletion()
  {
    return this.nvlogCpCompletion;
  }

  public PriorityListInfo withNvlogCpCompletion(String paramString)
  {
    this.nvlogCpCompletion = paramString;
    return this;
  }

  @Output("nvlog-cp-threshold")
  @Type("integer")
  @Range(min="1", max="100")
  public void setNvlogCpThreshold(Integer paramInteger)
  {
    this.nvlogCpThreshold = paramInteger;
  }

  public Integer getNvlogCpThreshold()
  {
    return this.nvlogCpThreshold;
  }

  public PriorityListInfo withNvlogCpThreshold(Integer paramInteger)
  {
    this.nvlogCpThreshold = paramInteger;
    return this;
  }

  @Output("status")
  @Type("string")
  public void setStatus(String paramString)
  {
    this.status = paramString;
  }

  public String getStatus()
  {
    return this.status;
  }

  public PriorityListInfo withStatus(String paramString)
  {
    this.status = paramString;
    return this;
  }
}