package com.netapp.filer.priority;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("priority-list-info-volume")
@Status(StatusEnum.PUBLIC)
@Errno({"EONTAPI_ENOENT"})
@Family({"ontap-c", "ontap-d"})
public class PriorityListInfoVolume
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<PriorityVolumeInfo> priorityVolume;
  public String volume;

  @Output("priority-volume")
  @Type("priority-volume-info[]")
  public void setPriorityVolume(List<PriorityVolumeInfo> paramList)
  {
    this.priorityVolume = paramList;
  }

  public List<PriorityVolumeInfo> getPriorityVolume()
  {
    return this.priorityVolume;
  }

  public PriorityListInfoVolume withPriorityVolume(List<PriorityVolumeInfo> paramList)
  {
    this.priorityVolume = paramList;
    return this;
  }

  public PriorityListInfoVolume withPriorityVolume(PriorityVolumeInfo[] paramArrayOfPriorityVolumeInfo)
  {
    this.priorityVolume = new ArrayList(Arrays.asList(paramArrayOfPriorityVolumeInfo));
    return this;
  }

  @Input("volume")
  @Type("string")
  @Optional
  public void setVolume(String paramString)
  {
    this.volume = paramString;
  }

  public String getVolume()
  {
    return this.volume;
  }

  public PriorityListInfoVolume withVolume(String paramString)
  {
    this.volume = paramString;
    return this;
  }
}