package com.netapp.filer.priority;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("priority-set-volume")
@Status(StatusEnum.PUBLIC)
@Errno({"EONTAPI_EINVAL"})
@Family({"ontap-c", "ontap-d"})
public class PrioritySetVolume
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String cachePolicy;
  public Long level;
  public Long nvlogLimit;
  public String service;
  public Long system;
  public Long systemReadLimit;
  public Long userReadLimit;
  public String volume;

  @Input("cache-policy")
  @Type("string")
  @Optional
  public void setCachePolicy(String paramString)
  {
    this.cachePolicy = paramString;
  }

  public String getCachePolicy()
  {
    return this.cachePolicy;
  }

  public PrioritySetVolume withCachePolicy(String paramString)
  {
    this.cachePolicy = paramString;
    return this;
  }

  @Input("level")
  @Type("integer")
  @Optional
  public void setLevel(Long paramLong)
  {
    this.level = paramLong;
  }

  public Long getLevel()
  {
    return this.level;
  }

  public PrioritySetVolume withLevel(Long paramLong)
  {
    this.level = paramLong;
    return this;
  }

  @Input("nvlog-limit")
  @Type("integer")
  @Optional
  public void setNvlogLimit(Long paramLong)
  {
    this.nvlogLimit = paramLong;
  }

  public Long getNvlogLimit()
  {
    return this.nvlogLimit;
  }

  public PrioritySetVolume withNvlogLimit(Long paramLong)
  {
    this.nvlogLimit = paramLong;
    return this;
  }

  @Input("service")
  @Type("string")
  @Optional
  public void setService(String paramString)
  {
    this.service = paramString;
  }

  public String getService()
  {
    return this.service;
  }

  public PrioritySetVolume withService(String paramString)
  {
    this.service = paramString;
    return this;
  }

  @Input("system")
  @Type("integer")
  @Optional
  public void setSystem(Long paramLong)
  {
    this.system = paramLong;
  }

  public Long getSystem()
  {
    return this.system;
  }

  public PrioritySetVolume withSystem(Long paramLong)
  {
    this.system = paramLong;
    return this;
  }

  @Input("system-read-limit")
  @Type("integer")
  @Optional
  public void setSystemReadLimit(Long paramLong)
  {
    this.systemReadLimit = paramLong;
  }

  public Long getSystemReadLimit()
  {
    return this.systemReadLimit;
  }

  public PrioritySetVolume withSystemReadLimit(Long paramLong)
  {
    this.systemReadLimit = paramLong;
    return this;
  }

  @Input("user-read-limit")
  @Type("integer")
  @Optional
  public void setUserReadLimit(Long paramLong)
  {
    this.userReadLimit = paramLong;
  }

  public Long getUserReadLimit()
  {
    return this.userReadLimit;
  }

  public PrioritySetVolume withUserReadLimit(Long paramLong)
  {
    this.userReadLimit = paramLong;
    return this;
  }

  @Input("volume")
  @Type("string")
  public void setVolume(String paramString)
  {
    this.volume = paramString;
  }

  public String getVolume()
  {
    return this.volume;
  }

  public PrioritySetVolume withVolume(String paramString)
  {
    this.volume = paramString;
    return this;
  }
}