package com.netapp.filer.qtree;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("qtree-create")
@Status(StatusEnum.PUBLIC)
@Errno({"EINVAL", "EQTREEEXISTS", "EQTREENOTOWNER", "EVOLUMEDOESNOTEXIST", "EVOLUMEOFFLINE", "EVOLUMEREADONLY"})
@Family({"ontap-c", "vfiler"})
public class QtreeCreate
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String mode;
  public String qtree;
  public String volume;

  @Input("mode")
  @Type("string")
  @Optional
  public void setMode(String paramString)
  {
    this.mode = paramString;
  }

  public String getMode()
  {
    return this.mode;
  }

  public QtreeCreate withMode(String paramString)
  {
    this.mode = paramString;
    return this;
  }

  @Input("qtree")
  @Type("string")
  public void setQtree(String paramString)
  {
    this.qtree = paramString;
  }

  public String getQtree()
  {
    return this.qtree;
  }

  public QtreeCreate withQtree(String paramString)
  {
    this.qtree = paramString;
    return this;
  }

  @Input("volume")
  @Type("string")
  public void setVolume(String paramString)
  {
    this.volume = paramString;
  }

  public String getVolume()
  {
    return this.volume;
  }

  public QtreeCreate withVolume(String paramString)
  {
    this.volume = paramString;
    return this;
  }
}