package com.netapp.filer.qtree;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("qtree-delete")
@Status(StatusEnum.PUBLIC)
@Errno({"EONTAPI_EALREADY", "EONTAPI_EINVAL", "EONTAPI_ENOENT", "EONTAPI_EROFS", "EQTREENOTOWNER", "EVOLUMEDOESNOTEXIST", "EVOLUMEOFFLINE"})
@Family({"ontap-c", "vfiler"})
public class QtreeDelete
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Boolean force;
  public String qtree;

  @Input("force")
  @Type("boolean")
  @Optional
  public void setForce(Boolean paramBoolean)
  {
    this.force = paramBoolean;
  }

  public Boolean isForce()
  {
    return this.force;
  }

  public QtreeDelete withForce(Boolean paramBoolean)
  {
    this.force = paramBoolean;
    return this;
  }

  @Input("qtree")
  @Type("string")
  public void setQtree(String paramString)
  {
    this.qtree = paramString;
  }

  public String getQtree()
  {
    return this.qtree;
  }

  public QtreeDelete withQtree(String paramString)
  {
    this.qtree = paramString;
    return this;
  }
}