package com.netapp.filer.qtree;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("qtree-list-iter-next")
@Status(StatusEnum.PUBLIC)
@Errno({"EVOLUMEDOESNOTEXIST"})
@Family({"ontap-c", "vfiler"})
public class QtreeListIterNext
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Long maximum;
  public List<QtreeInfo> qtrees;
  public Long records;
  public String tag;

  @Input("maximum")
  @Type("integer")
  public void setMaximum(Long paramLong)
  {
    this.maximum = paramLong;
  }

  public Long getMaximum()
  {
    return this.maximum;
  }

  public QtreeListIterNext withMaximum(Long paramLong)
  {
    this.maximum = paramLong;
    return this;
  }

  @Output("qtrees")
  @Type("qtree-info[]")
  public void setQtrees(List<QtreeInfo> paramList)
  {
    this.qtrees = paramList;
  }

  public List<QtreeInfo> getQtrees()
  {
    return this.qtrees;
  }

  public QtreeListIterNext withQtrees(List<QtreeInfo> paramList)
  {
    this.qtrees = paramList;
    return this;
  }

  public QtreeListIterNext withQtrees(QtreeInfo[] paramArrayOfQtreeInfo)
  {
    this.qtrees = new ArrayList(Arrays.asList(paramArrayOfQtreeInfo));
    return this;
  }

  @Output("records")
  @Type("integer")
  public void setRecords(Long paramLong)
  {
    this.records = paramLong;
  }

  public Long getRecords()
  {
    return this.records;
  }

  public QtreeListIterNext withRecords(Long paramLong)
  {
    this.records = paramLong;
    return this;
  }

  @Input("tag")
  @Type("string")
  public void setTag(String paramString)
  {
    this.tag = paramString;
  }

  public String getTag()
  {
    return this.tag;
  }

  public QtreeListIterNext withTag(String paramString)
  {
    this.tag = paramString;
    return this;
  }
}