package com.netapp.filer.qtree;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("qtree-rename")
@Status(StatusEnum.PUBLIC)
@Errno({"EONTAPI_EEXIST", "EONTAPI_EINVAL", "EONTAPI_ENOENT", "EONTAPI_EROFS", "EQTREENOTOWNER", "EVOLUMEDOESNOTEXIST", "EVOLUMEOFFLINE"})
@Family({"ontap-c", "vfiler"})
public class QtreeRename
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String newQtreeName;
  public String qtree;

  @Input("new-qtree-name")
  @Type("string")
  public void setNewQtreeName(String paramString)
  {
    this.newQtreeName = paramString;
  }

  public String getNewQtreeName()
  {
    return this.newQtreeName;
  }

  public QtreeRename withNewQtreeName(String paramString)
  {
    this.newQtreeName = paramString;
    return this;
  }

  @Input("qtree")
  @Type("string")
  public void setQtree(String paramString)
  {
    this.qtree = paramString;
  }

  public String getQtree()
  {
    return this.qtree;
  }

  public QtreeRename withQtree(String paramString)
  {
    this.qtree = paramString;
    return this;
  }
}