package com.netapp.filer.quota;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("quota-get-entry")
@Status(StatusEnum.PUBLIC)
@Errno({"EQUOTADIRECTIVE", "EQUOTADOESNOTEXIST", "EQUOTAINVALID", "EQUOTAPARSEERROR"})
@Family({"ontap-c", "vfiler"})
public class QuotaGetEntry
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String diskLimit;
  public String fileLimit;
  public Boolean performUserMapping;
  public String qtree;
  public QuotaError quotaError;
  public String quotaTarget;
  public String quotaType;
  public String softDiskLimit;
  public String softFileLimit;
  public String threshold;
  public String volume;

  @Output("disk-limit")
  @Type("string")
  public void setDiskLimit(String paramString)
  {
    this.diskLimit = paramString;
  }

  public String getDiskLimit()
  {
    return this.diskLimit;
  }

  public QuotaGetEntry withDiskLimit(String paramString)
  {
    this.diskLimit = paramString;
    return this;
  }

  @Output("file-limit")
  @Type("string")
  public void setFileLimit(String paramString)
  {
    this.fileLimit = paramString;
  }

  public String getFileLimit()
  {
    return this.fileLimit;
  }

  public QuotaGetEntry withFileLimit(String paramString)
  {
    this.fileLimit = paramString;
    return this;
  }

  @Output("perform-user-mapping")
  @Type("boolean")
  public void setPerformUserMapping(Boolean paramBoolean)
  {
    this.performUserMapping = paramBoolean;
  }

  public Boolean isPerformUserMapping()
  {
    return this.performUserMapping;
  }

  public QuotaGetEntry withPerformUserMapping(Boolean paramBoolean)
  {
    this.performUserMapping = paramBoolean;
    return this;
  }

  @Input("qtree")
  @Type("string")
  public void setQtree(String paramString)
  {
    this.qtree = paramString;
  }

  public String getQtree()
  {
    return this.qtree;
  }

  public QuotaGetEntry withQtree(String paramString)
  {
    this.qtree = paramString;
    return this;
  }

  @Output("quota-error")
  @Type("quota-error")
  @Optional
  public void setQuotaError(QuotaError paramQuotaError)
  {
    this.quotaError = paramQuotaError;
  }

  public QuotaError getQuotaError()
  {
    return this.quotaError;
  }

  public QuotaGetEntry withQuotaError(QuotaError paramQuotaError)
  {
    this.quotaError = paramQuotaError;
    return this;
  }

  @Input("quota-target")
  @Type("string")
  public void setQuotaTarget(String paramString)
  {
    this.quotaTarget = paramString;
  }

  public String getQuotaTarget()
  {
    return this.quotaTarget;
  }

  public QuotaGetEntry withQuotaTarget(String paramString)
  {
    this.quotaTarget = paramString;
    return this;
  }

  @Input("quota-type")
  @Type("string")
  public void setQuotaType(String paramString)
  {
    this.quotaType = paramString;
  }

  public String getQuotaType()
  {
    return this.quotaType;
  }

  public QuotaGetEntry withQuotaType(String paramString)
  {
    this.quotaType = paramString;
    return this;
  }

  @Output("soft-disk-limit")
  @Type("string")
  public void setSoftDiskLimit(String paramString)
  {
    this.softDiskLimit = paramString;
  }

  public String getSoftDiskLimit()
  {
    return this.softDiskLimit;
  }

  public QuotaGetEntry withSoftDiskLimit(String paramString)
  {
    this.softDiskLimit = paramString;
    return this;
  }

  @Output("soft-file-limit")
  @Type("string")
  public void setSoftFileLimit(String paramString)
  {
    this.softFileLimit = paramString;
  }

  public String getSoftFileLimit()
  {
    return this.softFileLimit;
  }

  public QuotaGetEntry withSoftFileLimit(String paramString)
  {
    this.softFileLimit = paramString;
    return this;
  }

  @Output("threshold")
  @Type("string")
  public void setThreshold(String paramString)
  {
    this.threshold = paramString;
  }

  public String getThreshold()
  {
    return this.threshold;
  }

  public QuotaGetEntry withThreshold(String paramString)
  {
    this.threshold = paramString;
    return this;
  }

  @Input("volume")
  @Type("string")
  public void setVolume(String paramString)
  {
    this.volume = paramString;
  }

  public String getVolume()
  {
    return this.volume;
  }

  public QuotaGetEntry withVolume(String paramString)
  {
    this.volume = paramString;
    return this;
  }
}