package com.netapp.filer.quota;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Typedef("quota-info")
public class QuotaInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String diskLimit;
  public String diskUsed;
  public String fileLimit;
  public String filesUsed;
  public String qtree;
  public String quotaTarget;
  public String quotaType;
  public List<QuotaUser> quotaUsers;
  public String softDiskLimit;
  public String softFileLimit;
  public String threshold;
  public String vfiler;
  public String volume;

  @Element("disk-limit")
  @Type("string")
  public void setDiskLimit(String paramString)
  {
    this.diskLimit = paramString;
  }

  public String getDiskLimit()
  {
    return this.diskLimit;
  }

  public QuotaInfo withDiskLimit(String paramString)
  {
    this.diskLimit = paramString;
    return this;
  }

  @Element("disk-used")
  @Type("string")
  public void setDiskUsed(String paramString)
  {
    this.diskUsed = paramString;
  }

  public String getDiskUsed()
  {
    return this.diskUsed;
  }

  public QuotaInfo withDiskUsed(String paramString)
  {
    this.diskUsed = paramString;
    return this;
  }

  @Element("file-limit")
  @Type("string")
  public void setFileLimit(String paramString)
  {
    this.fileLimit = paramString;
  }

  public String getFileLimit()
  {
    return this.fileLimit;
  }

  public QuotaInfo withFileLimit(String paramString)
  {
    this.fileLimit = paramString;
    return this;
  }

  @Element("files-used")
  @Type("string")
  public void setFilesUsed(String paramString)
  {
    this.filesUsed = paramString;
  }

  public String getFilesUsed()
  {
    return this.filesUsed;
  }

  public QuotaInfo withFilesUsed(String paramString)
  {
    this.filesUsed = paramString;
    return this;
  }

  @Element("qtree")
  @Type("string")
  public void setQtree(String paramString)
  {
    this.qtree = paramString;
  }

  public String getQtree()
  {
    return this.qtree;
  }

  public QuotaInfo withQtree(String paramString)
  {
    this.qtree = paramString;
    return this;
  }

  @Element("quota-target")
  @Type("string")
  public void setQuotaTarget(String paramString)
  {
    this.quotaTarget = paramString;
  }

  public String getQuotaTarget()
  {
    return this.quotaTarget;
  }

  public QuotaInfo withQuotaTarget(String paramString)
  {
    this.quotaTarget = paramString;
    return this;
  }

  @Element("quota-type")
  @Type("string")
  public void setQuotaType(String paramString)
  {
    this.quotaType = paramString;
  }

  public String getQuotaType()
  {
    return this.quotaType;
  }

  public QuotaInfo withQuotaType(String paramString)
  {
    this.quotaType = paramString;
    return this;
  }

  @Element("quota-users")
  @Type("quota-user[]")
  public void setQuotaUsers(List<QuotaUser> paramList)
  {
    this.quotaUsers = paramList;
  }

  public List<QuotaUser> getQuotaUsers()
  {
    return this.quotaUsers;
  }

  public QuotaInfo withQuotaUsers(List<QuotaUser> paramList)
  {
    this.quotaUsers = paramList;
    return this;
  }

  public QuotaInfo withQuotaUsers(QuotaUser[] paramArrayOfQuotaUser)
  {
    this.quotaUsers = new ArrayList(Arrays.asList(paramArrayOfQuotaUser));
    return this;
  }

  @Element("soft-disk-limit")
  @Type("string")
  public void setSoftDiskLimit(String paramString)
  {
    this.softDiskLimit = paramString;
  }

  public String getSoftDiskLimit()
  {
    return this.softDiskLimit;
  }

  public QuotaInfo withSoftDiskLimit(String paramString)
  {
    this.softDiskLimit = paramString;
    return this;
  }

  @Element("soft-file-limit")
  @Type("string")
  public void setSoftFileLimit(String paramString)
  {
    this.softFileLimit = paramString;
  }

  public String getSoftFileLimit()
  {
    return this.softFileLimit;
  }

  public QuotaInfo withSoftFileLimit(String paramString)
  {
    this.softFileLimit = paramString;
    return this;
  }

  @Element("threshold")
  @Type("string")
  public void setThreshold(String paramString)
  {
    this.threshold = paramString;
  }

  public String getThreshold()
  {
    return this.threshold;
  }

  public QuotaInfo withThreshold(String paramString)
  {
    this.threshold = paramString;
    return this;
  }

  @Element("vfiler")
  @Type("string")
  @Optional
  public void setVfiler(String paramString)
  {
    this.vfiler = paramString;
  }

  public String getVfiler()
  {
    return this.vfiler;
  }

  public QuotaInfo withVfiler(String paramString)
  {
    this.vfiler = paramString;
    return this;
  }

  @Element("volume")
  @Type("string")
  public void setVolume(String paramString)
  {
    this.volume = paramString;
  }

  public String getVolume()
  {
    return this.volume;
  }

  public QuotaInfo withVolume(String paramString)
  {
    this.volume = paramString;
    return this;
  }
}