package com.netapp.filer.quota;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("quota-list-entries")
@Status(StatusEnum.PUBLIC)
@Family({"ontap-c", "vfiler"})
public class QuotaListEntries
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Boolean includeOutputEntry;
  public List<QuotaEntry> quotaEntries;

  @Input("include-output-entry")
  @Type("boolean")
  @Optional
  public void setIncludeOutputEntry(Boolean paramBoolean)
  {
    this.includeOutputEntry = paramBoolean;
  }

  public Boolean isIncludeOutputEntry()
  {
    return this.includeOutputEntry;
  }

  public QuotaListEntries withIncludeOutputEntry(Boolean paramBoolean)
  {
    this.includeOutputEntry = paramBoolean;
    return this;
  }

  @Output("quota-entries")
  @Type("quota-entry[]")
  public void setQuotaEntries(List<QuotaEntry> paramList)
  {
    this.quotaEntries = paramList;
  }

  public List<QuotaEntry> getQuotaEntries()
  {
    return this.quotaEntries;
  }

  public QuotaListEntries withQuotaEntries(List<QuotaEntry> paramList)
  {
    this.quotaEntries = paramList;
    return this;
  }

  public QuotaListEntries withQuotaEntries(QuotaEntry[] paramArrayOfQuotaEntry)
  {
    this.quotaEntries = new ArrayList(Arrays.asList(paramArrayOfQuotaEntry));
    return this;
  }
}