package com.netapp.filer.quota;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("quota-list-entries-iter-start")
@Status(StatusEnum.PUBLIC)
@Family({"ontap-c", "vfiler"})
public class QuotaListEntriesIterStart
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Boolean includeOutputEntry;
  public Long records;
  public String tag;

  @Input("include-output-entry")
  @Type("boolean")
  @Optional
  public void setIncludeOutputEntry(Boolean paramBoolean)
  {
    this.includeOutputEntry = paramBoolean;
  }

  public Boolean isIncludeOutputEntry()
  {
    return this.includeOutputEntry;
  }

  public QuotaListEntriesIterStart withIncludeOutputEntry(Boolean paramBoolean)
  {
    this.includeOutputEntry = paramBoolean;
    return this;
  }

  @Output("records")
  @Type("integer")
  public void setRecords(Long paramLong)
  {
    this.records = paramLong;
  }

  public Long getRecords()
  {
    return this.records;
  }

  public QuotaListEntriesIterStart withRecords(Long paramLong)
  {
    this.records = paramLong;
    return this;
  }

  @Output("tag")
  @Type("string")
  public void setTag(String paramString)
  {
    this.tag = paramString;
  }

  public String getTag()
  {
    return this.tag;
  }

  public QuotaListEntriesIterStart withTag(String paramString)
  {
    this.tag = paramString;
    return this;
  }
}