package com.netapp.filer.quota;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("quota-report")
@Status(StatusEnum.PUBLIC)
@Family({"ontap-c", "vfiler"})
public class QuotaReport
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Error error;
  public String path;
  public List<Quota> quotas;
  public String volume;

  @Output("error")
  @Type("error")
  @Optional
  public void setError(Error paramError)
  {
    this.error = paramError;
  }

  public Error getError()
  {
    return this.error;
  }

  public QuotaReport withError(Error paramError)
  {
    this.error = paramError;
    return this;
  }

  @Input("path")
  @Type("string")
  @Optional
  public void setPath(String paramString)
  {
    this.path = paramString;
  }

  public String getPath()
  {
    return this.path;
  }

  public QuotaReport withPath(String paramString)
  {
    this.path = paramString;
    return this;
  }

  @Output("quotas")
  @Type("quota[]")
  public void setQuotas(List<Quota> paramList)
  {
    this.quotas = paramList;
  }

  public List<Quota> getQuotas()
  {
    return this.quotas;
  }

  public QuotaReport withQuotas(List<Quota> paramList)
  {
    this.quotas = paramList;
    return this;
  }

  public QuotaReport withQuotas(Quota[] paramArrayOfQuota)
  {
    this.quotas = new ArrayList(Arrays.asList(paramArrayOfQuota));
    return this;
  }

  @Input("volume")
  @Type("string")
  @Optional
  public void setVolume(String paramString)
  {
    this.volume = paramString;
  }

  public String getVolume()
  {
    return this.volume;
  }

  public QuotaReport withVolume(String paramString)
  {
    this.volume = paramString;
    return this;
  }
}