package com.netapp.filer.quota;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("quota-report-iter-next")
@Status(StatusEnum.PUBLIC)
@Family({"ontap-c", "vfiler"})
public class QuotaReportIterNext
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Long maximum;
  public List<QuotaInfo> quotas;
  public Long records;
  public String tag;

  @Input("maximum")
  @Type("integer")
  public void setMaximum(Long paramLong)
  {
    this.maximum = paramLong;
  }

  public Long getMaximum()
  {
    return this.maximum;
  }

  public QuotaReportIterNext withMaximum(Long paramLong)
  {
    this.maximum = paramLong;
    return this;
  }

  @Output("quotas")
  @Type("quota-info[]")
  @Optional
  public void setQuotas(List<QuotaInfo> paramList)
  {
    this.quotas = paramList;
  }

  public List<QuotaInfo> getQuotas()
  {
    return this.quotas;
  }

  public QuotaReportIterNext withQuotas(List<QuotaInfo> paramList)
  {
    this.quotas = paramList;
    return this;
  }

  public QuotaReportIterNext withQuotas(QuotaInfo[] paramArrayOfQuotaInfo)
  {
    this.quotas = new ArrayList(Arrays.asList(paramArrayOfQuotaInfo));
    return this;
  }

  @Output("records")
  @Type("integer")
  public void setRecords(Long paramLong)
  {
    this.records = paramLong;
  }

  public Long getRecords()
  {
    return this.records;
  }

  public QuotaReportIterNext withRecords(Long paramLong)
  {
    this.records = paramLong;
    return this;
  }

  @Input("tag")
  @Type("string")
  public void setTag(String paramString)
  {
    this.tag = paramString;
  }

  public String getTag()
  {
    return this.tag;
  }

  public QuotaReportIterNext withTag(String paramString)
  {
    this.tag = paramString;
    return this;
  }
}