package com.netapp.filer.quota;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("quota-report-iter-start")
@Status(StatusEnum.PUBLIC)
@Family({"ontap-c", "vfiler"})
public class QuotaReportIterStart
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Error error;
  public String path;
  public Long records;
  public String tag;
  public String volume;

  @Output("error")
  @Type("error")
  @Optional
  public void setError(Error paramError)
  {
    this.error = paramError;
  }

  public Error getError()
  {
    return this.error;
  }

  public QuotaReportIterStart withError(Error paramError)
  {
    this.error = paramError;
    return this;
  }

  @Input("path")
  @Type("string")
  @Optional
  public void setPath(String paramString)
  {
    this.path = paramString;
  }

  public String getPath()
  {
    return this.path;
  }

  public QuotaReportIterStart withPath(String paramString)
  {
    this.path = paramString;
    return this;
  }

  @Output("records")
  @Type("integer")
  public void setRecords(Long paramLong)
  {
    this.records = paramLong;
  }

  public Long getRecords()
  {
    return this.records;
  }

  public QuotaReportIterStart withRecords(Long paramLong)
  {
    this.records = paramLong;
    return this;
  }

  @Output("tag")
  @Type("string")
  public void setTag(String paramString)
  {
    this.tag = paramString;
  }

  public String getTag()
  {
    return this.tag;
  }

  public QuotaReportIterStart withTag(String paramString)
  {
    this.tag = paramString;
    return this;
  }

  @Input("volume")
  @Type("string")
  @Optional
  public void setVolume(String paramString)
  {
    this.volume = paramString;
  }

  public String getVolume()
  {
    return this.volume;
  }

  public QuotaReportIterStart withVolume(String paramString)
  {
    this.volume = paramString;
    return this;
  }
}