package com.netapp.filer.rdbha;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("rdb-ha-get-sf-info")
@Status(StatusEnum.INTERNAL)
@Errno({"ERDB_HA_SF_NOT_INITIALIZED"})
@Family({"ontap-d"})
public class RdbHaGetSfInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Long localId;
  public Long partnerId;

  @Output("local-id")
  @Type("integer")
  @Range(min="0", max="2^32-1")
  public void setLocalId(Long paramLong)
  {
    this.localId = paramLong;
  }

  public Long getLocalId()
  {
    return this.localId;
  }

  public RdbHaGetSfInfo withLocalId(Long paramLong)
  {
    this.localId = paramLong;
    return this;
  }

  @Output("partner-id")
  @Type("integer")
  @Range(min="0", max="2^32-1")
  public void setPartnerId(Long paramLong)
  {
    this.partnerId = paramLong;
  }

  public Long getPartnerId()
  {
    return this.partnerId;
  }

  public RdbHaGetSfInfo withPartnerId(Long paramLong)
  {
    this.partnerId = paramLong;
    return this;
  }
}