package com.netapp.filer.rdbha;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.math.BigInteger;

@Api("rdb-ha-get-state")
@Status(StatusEnum.INTERNAL)
@Errno({"ERDB_HA_CONFIG_UUID_MISMATCH", "ERDB_HA_NOT_CONFIGURED"})
@Family({"ontap-d"})
public class RdbHaGetState
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public BigInteger currentCookie;
  public Long localState;

  @Output("current-cookie")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setCurrentCookie(BigInteger paramBigInteger)
  {
    this.currentCookie = paramBigInteger;
  }

  public BigInteger getCurrentCookie()
  {
    return this.currentCookie;
  }

  public RdbHaGetState withCurrentCookie(BigInteger paramBigInteger)
  {
    this.currentCookie = paramBigInteger;
    return this;
  }

  @Output("local-state")
  @Type("integer")
  public void setLocalState(Long paramLong)
  {
    this.localState = paramLong;
  }

  public Long getLocalState()
  {
    return this.localState;
  }

  public RdbHaGetState withLocalState(Long paramLong)
  {
    this.localState = paramLong;
    return this;
  }
}