package com.netapp.filer.reallocate;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("reallocate-on")
@Status(StatusEnum.PUBLIC)
@Errno({"EONTAPI_EINVAL"})
public class ReallocateOn
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String detailStatus;

  @Output("detail-status")
  @Type("string")
  public void setDetailStatus(String paramString)
  {
    this.detailStatus = paramString;
  }

  public String getDetailStatus()
  {
    return this.detailStatus;
  }

  public ReallocateOn withDetailStatus(String paramString)
  {
    this.detailStatus = paramString;
    return this;
  }
}