package com.netapp.filer.reallocate;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("reallocate-restart")
@Status(StatusEnum.PUBLIC)
@Errno({"EONTAPI_EINVAL", "EREALLOCATE_BADPATH", "EREALLOCATE_NOMEM", "EREALLOCATE_NOSCAN", "EREALLOCATE_OFF"})
public class ReallocateRestart
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Boolean ignoreCheckpoint;
  public String path;

  @Input("ignore-checkpoint")
  @Type("boolean")
  @Optional
  public void setIgnoreCheckpoint(Boolean paramBoolean)
  {
    this.ignoreCheckpoint = paramBoolean;
  }

  public Boolean isIgnoreCheckpoint()
  {
    return this.ignoreCheckpoint;
  }

  public ReallocateRestart withIgnoreCheckpoint(Boolean paramBoolean)
  {
    this.ignoreCheckpoint = paramBoolean;
    return this;
  }

  @Input("path")
  @Type("string")
  public void setPath(String paramString)
  {
    this.path = paramString;
  }

  public String getPath()
  {
    return this.path;
  }

  public ReallocateRestart withPath(String paramString)
  {
    this.path = paramString;
    return this;
  }
}