package com.netapp.filer.registry;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("registry-delete")
@Status(StatusEnum.UNSUPPORTED)
@Errno({"EINTERNALERROR", "EINVALIDINPUTERROR", "EONTAPI_ENOREGKEY"})
@Family({"ontap-c", "ontap-d", "vfiler"})
public class RegistryDelete
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String registryKey;

  @Input("registry-key")
  @Type("registry-key-string")
  public void setRegistryKey(String paramString)
  {
    this.registryKey = paramString;
  }

  public String getRegistryKey()
  {
    return this.registryKey;
  }

  public RegistryDelete withRegistryKey(String paramString)
  {
    this.registryKey = paramString;
    return this;
  }
}