package com.netapp.filer.registry;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("registry-list-info-iter-next")
@Status(StatusEnum.UNSUPPORTED)
@Errno({"EINTERNALERROR", "EINVALIDINPUTERROR"})
@Family({"ontap-c", "ontap-d", "vfiler"})
public class RegistryListInfoIterNext
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Long maximum;
  public Long records;
  public List<RegistryPair> registryPairs;
  public String tag;

  @Input("maximum")
  @Type("integer")
  public void setMaximum(Long paramLong)
  {
    this.maximum = paramLong;
  }

  public Long getMaximum()
  {
    return this.maximum;
  }

  public RegistryListInfoIterNext withMaximum(Long paramLong)
  {
    this.maximum = paramLong;
    return this;
  }

  @Output("records")
  @Type("integer")
  public void setRecords(Long paramLong)
  {
    this.records = paramLong;
  }

  public Long getRecords()
  {
    return this.records;
  }

  public RegistryListInfoIterNext withRecords(Long paramLong)
  {
    this.records = paramLong;
    return this;
  }

  @Output("registry-pairs")
  @Type("registry-pair[]")
  public void setRegistryPairs(List<RegistryPair> paramList)
  {
    this.registryPairs = paramList;
  }

  public List<RegistryPair> getRegistryPairs()
  {
    return this.registryPairs;
  }

  public RegistryListInfoIterNext withRegistryPairs(List<RegistryPair> paramList)
  {
    this.registryPairs = paramList;
    return this;
  }

  public RegistryListInfoIterNext withRegistryPairs(RegistryPair[] paramArrayOfRegistryPair)
  {
    this.registryPairs = new ArrayList(Arrays.asList(paramArrayOfRegistryPair));
    return this;
  }

  @Input("tag")
  @Type("string")
  public void setTag(String paramString)
  {
    this.tag = paramString;
  }

  public String getTag()
  {
    return this.tag;
  }

  public RegistryListInfoIterNext withTag(String paramString)
  {
    this.tag = paramString;
    return this;
  }
}