package com.netapp.filer.registry;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("registry-list-info-iter-start")
@Status(StatusEnum.UNSUPPORTED)
@Errno({"EINTERNALERROR", "EINVALIDINPUTERROR"})
@Family({"ontap-c", "ontap-d", "vfiler"})
public class RegistryListInfoIterStart
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Boolean shallow;
  public Long records;
  public String registryKey;
  public String tag;

  @Input("is-shallow")
  @Type("boolean")
  @Optional
  public void setShallow(Boolean paramBoolean)
  {
    this.shallow = paramBoolean;
  }

  public Boolean isShallow()
  {
    return this.shallow;
  }

  public RegistryListInfoIterStart withShallow(Boolean paramBoolean)
  {
    this.shallow = paramBoolean;
    return this;
  }

  @Output("records")
  @Type("integer")
  public void setRecords(Long paramLong)
  {
    this.records = paramLong;
  }

  public Long getRecords()
  {
    return this.records;
  }

  public RegistryListInfoIterStart withRecords(Long paramLong)
  {
    this.records = paramLong;
    return this;
  }

  @Input("registry-key")
  @Type("registry-key-string")
  @Optional
  public void setRegistryKey(String paramString)
  {
    this.registryKey = paramString;
  }

  public String getRegistryKey()
  {
    return this.registryKey;
  }

  public RegistryListInfoIterStart withRegistryKey(String paramString)
  {
    this.registryKey = paramString;
    return this;
  }

  @Output("tag")
  @Type("string")
  public void setTag(String paramString)
  {
    this.tag = paramString;
  }

  public String getTag()
  {
    return this.tag;
  }

  public RegistryListInfoIterStart withTag(String paramString)
  {
    this.tag = paramString;
    return this;
  }
}