package com.netapp.filer.registry;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("registry-set")
@Status(StatusEnum.UNSUPPORTED)
@Errno({"EINTERNALERROR", "EINVALIDINPUTERROR"})
@Family({"ontap-c", "ontap-d", "vfiler"})
public class RegistrySet
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String registryKey;
  public String registryValue;

  @Input("registry-key")
  @Type("registry-key-string")
  public void setRegistryKey(String paramString)
  {
    this.registryKey = paramString;
  }

  public String getRegistryKey()
  {
    return this.registryKey;
  }

  public RegistrySet withRegistryKey(String paramString)
  {
    this.registryKey = paramString;
    return this;
  }

  @Input("registry-value")
  @Type("registry-value-string")
  public void setRegistryValue(String paramString)
  {
    this.registryValue = paramString;
  }

  public String getRegistryValue()
  {
    return this.registryValue;
  }

  public RegistrySet withRegistryValue(String paramString)
  {
    this.registryValue = paramString;
    return this;
  }
}