package com.netapp.filer.ses;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Typedef("es-electronics-info")
public class EsElectronicsInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Long esElectronicsElementNo;
  public Boolean esElectronicsIsError;
  public String esElectronicsIsNotInstalled;
  public Boolean esElectronicsIsReportingElement;
  public String esElectronicsSerialNo;
  public List<EshInfo> eshList;

  @Element("es-electronics-element-no")
  @Type("integer")
  public void setEsElectronicsElementNo(Long paramLong)
  {
    this.esElectronicsElementNo = paramLong;
  }

  public Long getEsElectronicsElementNo()
  {
    return this.esElectronicsElementNo;
  }

  public EsElectronicsInfo withEsElectronicsElementNo(Long paramLong)
  {
    this.esElectronicsElementNo = paramLong;
    return this;
  }

  @Element("es-electronics-is-error")
  @Type("boolean")
  @Optional
  public void setEsElectronicsIsError(Boolean paramBoolean)
  {
    this.esElectronicsIsError = paramBoolean;
  }

  public Boolean isEsElectronicsIsError()
  {
    return this.esElectronicsIsError;
  }

  public EsElectronicsInfo withEsElectronicsIsError(Boolean paramBoolean)
  {
    this.esElectronicsIsError = paramBoolean;
    return this;
  }

  @Element("es-electronics-is-not-installed")
  @Type("string")
  @Optional
  public void setEsElectronicsIsNotInstalled(String paramString)
  {
    this.esElectronicsIsNotInstalled = paramString;
  }

  public String getEsElectronicsIsNotInstalled()
  {
    return this.esElectronicsIsNotInstalled;
  }

  public EsElectronicsInfo withEsElectronicsIsNotInstalled(String paramString)
  {
    this.esElectronicsIsNotInstalled = paramString;
    return this;
  }

  @Element("es-electronics-is-reporting-element")
  @Type("boolean")
  @Optional
  public void setEsElectronicsIsReportingElement(Boolean paramBoolean)
  {
    this.esElectronicsIsReportingElement = paramBoolean;
  }

  public Boolean isEsElectronicsIsReportingElement()
  {
    return this.esElectronicsIsReportingElement;
  }

  public EsElectronicsInfo withEsElectronicsIsReportingElement(Boolean paramBoolean)
  {
    this.esElectronicsIsReportingElement = paramBoolean;
    return this;
  }

  @Element("es-electronics-serial-no")
  @Type("string")
  @Optional
  public void setEsElectronicsSerialNo(String paramString)
  {
    this.esElectronicsSerialNo = paramString;
  }

  public String getEsElectronicsSerialNo()
  {
    return this.esElectronicsSerialNo;
  }

  public EsElectronicsInfo withEsElectronicsSerialNo(String paramString)
  {
    this.esElectronicsSerialNo = paramString;
    return this;
  }

  @Element("esh-list")
  @Type("esh-info[]")
  @Optional
  public void setEshList(List<EshInfo> paramList)
  {
    this.eshList = paramList;
  }

  public List<EshInfo> getEshList()
  {
    return this.eshList;
  }

  public EsElectronicsInfo withEshList(List<EshInfo> paramList)
  {
    this.eshList = paramList;
    return this;
  }

  public EsElectronicsInfo withEshList(EshInfo[] paramArrayOfEshInfo)
  {
    this.eshList = new ArrayList(Arrays.asList(paramArrayOfEshInfo));
    return this;
  }
}