package com.netapp.filer.ses;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;

@Typedef("power-supply-info")
public class PowerSupplyInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Long powerSupplyElementNumber;
  public Boolean powerSupplyIsError;
  public Boolean powerSupplyIsNotInstalled;
  public String powerSupplySerialNo;

  @Element("power-supply-element-number")
  @Type("integer")
  public void setPowerSupplyElementNumber(Long paramLong)
  {
    this.powerSupplyElementNumber = paramLong;
  }

  public Long getPowerSupplyElementNumber()
  {
    return this.powerSupplyElementNumber;
  }

  public PowerSupplyInfo withPowerSupplyElementNumber(Long paramLong)
  {
    this.powerSupplyElementNumber = paramLong;
    return this;
  }

  @Element("power-supply-is-error")
  @Type("boolean")
  @Optional
  public void setPowerSupplyIsError(Boolean paramBoolean)
  {
    this.powerSupplyIsError = paramBoolean;
  }

  public Boolean isPowerSupplyIsError()
  {
    return this.powerSupplyIsError;
  }

  public PowerSupplyInfo withPowerSupplyIsError(Boolean paramBoolean)
  {
    this.powerSupplyIsError = paramBoolean;
    return this;
  }

  @Element("power-supply-is-not-installed")
  @Type("boolean")
  @Optional
  public void setPowerSupplyIsNotInstalled(Boolean paramBoolean)
  {
    this.powerSupplyIsNotInstalled = paramBoolean;
  }

  public Boolean isPowerSupplyIsNotInstalled()
  {
    return this.powerSupplyIsNotInstalled;
  }

  public PowerSupplyInfo withPowerSupplyIsNotInstalled(Boolean paramBoolean)
  {
    this.powerSupplyIsNotInstalled = paramBoolean;
    return this;
  }

  @Element("power-supply-serial-no")
  @Type("string")
  @Optional
  public void setPowerSupplySerialNo(String paramString)
  {
    this.powerSupplySerialNo = paramString;
  }

  public String getPowerSupplySerialNo()
  {
    return this.powerSupplySerialNo;
  }

  public PowerSupplyInfo withPowerSupplySerialNo(String paramString)
  {
    this.powerSupplySerialNo = paramString;
    return this;
  }
}