package com.netapp.filer.ses;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;

@Typedef("ses-generic-info")
public class SesGenericInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String sesConfigAccess;
  public String sesConfigAccessShelfId;
  public Long sesConfigAccessSourceId;
  public String sesLogicalId;
  public String sesProductId;
  public String sesProductRevision;
  public String sesVendorId;

  @Element("ses-config-access")
  @Type("string")
  @Optional
  public void setSesConfigAccess(String paramString)
  {
    this.sesConfigAccess = paramString;
  }

  public String getSesConfigAccess()
  {
    return this.sesConfigAccess;
  }

  public SesGenericInfo withSesConfigAccess(String paramString)
  {
    this.sesConfigAccess = paramString;
    return this;
  }

  @Element("ses-config-access-shelf-id")
  @Type("string")
  @Optional
  public void setSesConfigAccessShelfId(String paramString)
  {
    this.sesConfigAccessShelfId = paramString;
  }

  public String getSesConfigAccessShelfId()
  {
    return this.sesConfigAccessShelfId;
  }

  public SesGenericInfo withSesConfigAccessShelfId(String paramString)
  {
    this.sesConfigAccessShelfId = paramString;
    return this;
  }

  @Element("ses-config-access-source-id")
  @Type("integer")
  @Optional
  public void setSesConfigAccessSourceId(Long paramLong)
  {
    this.sesConfigAccessSourceId = paramLong;
  }

  public Long getSesConfigAccessSourceId()
  {
    return this.sesConfigAccessSourceId;
  }

  public SesGenericInfo withSesConfigAccessSourceId(Long paramLong)
  {
    this.sesConfigAccessSourceId = paramLong;
    return this;
  }

  @Element("ses-logical-id")
  @Type("string")
  public void setSesLogicalId(String paramString)
  {
    this.sesLogicalId = paramString;
  }

  public String getSesLogicalId()
  {
    return this.sesLogicalId;
  }

  public SesGenericInfo withSesLogicalId(String paramString)
  {
    this.sesLogicalId = paramString;
    return this;
  }

  @Element("ses-product-id")
  @Type("string")
  @Optional
  public void setSesProductId(String paramString)
  {
    this.sesProductId = paramString;
  }

  public String getSesProductId()
  {
    return this.sesProductId;
  }

  public SesGenericInfo withSesProductId(String paramString)
  {
    this.sesProductId = paramString;
    return this;
  }

  @Element("ses-product-revision")
  @Type("string")
  public void setSesProductRevision(String paramString)
  {
    this.sesProductRevision = paramString;
  }

  public String getSesProductRevision()
  {
    return this.sesProductRevision;
  }

  public SesGenericInfo withSesProductRevision(String paramString)
  {
    this.sesProductRevision = paramString;
    return this;
  }

  @Element("ses-vendor-id")
  @Type("string")
  public void setSesVendorId(String paramString)
  {
    this.sesVendorId = paramString;
  }

  public String getSesVendorId()
  {
    return this.sesVendorId;
  }

  public SesGenericInfo withSesVendorId(String paramString)
  {
    this.sesVendorId = paramString;
    return this;
  }
}