package com.netapp.filer.ses;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Typedef("shelf-environ-channel-info")
public class ShelfEnvironChannelInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String channelName;
  public Boolean channelMonitorEnabled;
  public Boolean shelfChannelFailure;
  public List<ShelfEnvironChannelAddressMap> shelfEnvironChannelAddress;
  public List<ShelfEnvironShelfInfo> shelfEnvironShelfList;
  public Long shelvesPresent;

  @Element("channel-name")
  @Type("string")
  public void setChannelName(String paramString)
  {
    this.channelName = paramString;
  }

  public String getChannelName()
  {
    return this.channelName;
  }

  public ShelfEnvironChannelInfo withChannelName(String paramString)
  {
    this.channelName = paramString;
    return this;
  }

  @Element("is-channel-monitor-enabled")
  @Type("boolean")
  public void setChannelMonitorEnabled(Boolean paramBoolean)
  {
    this.channelMonitorEnabled = paramBoolean;
  }

  public Boolean isChannelMonitorEnabled()
  {
    return this.channelMonitorEnabled;
  }

  public ShelfEnvironChannelInfo withChannelMonitorEnabled(Boolean paramBoolean)
  {
    this.channelMonitorEnabled = paramBoolean;
    return this;
  }

  @Element("is-shelf-channel-failure")
  @Type("boolean")
  public void setShelfChannelFailure(Boolean paramBoolean)
  {
    this.shelfChannelFailure = paramBoolean;
  }

  public Boolean isShelfChannelFailure()
  {
    return this.shelfChannelFailure;
  }

  public ShelfEnvironChannelInfo withShelfChannelFailure(Boolean paramBoolean)
  {
    this.shelfChannelFailure = paramBoolean;
    return this;
  }

  @Element("shelf-environ-channel-address")
  @Type("shelf-environ-channel-address-map[]")
  @Optional
  public void setShelfEnvironChannelAddress(List<ShelfEnvironChannelAddressMap> paramList)
  {
    this.shelfEnvironChannelAddress = paramList;
  }

  public List<ShelfEnvironChannelAddressMap> getShelfEnvironChannelAddress()
  {
    return this.shelfEnvironChannelAddress;
  }

  public ShelfEnvironChannelInfo withShelfEnvironChannelAddress(List<ShelfEnvironChannelAddressMap> paramList)
  {
    this.shelfEnvironChannelAddress = paramList;
    return this;
  }

  public ShelfEnvironChannelInfo withShelfEnvironChannelAddress(ShelfEnvironChannelAddressMap[] paramArrayOfShelfEnvironChannelAddressMap)
  {
    this.shelfEnvironChannelAddress = new ArrayList(Arrays.asList(paramArrayOfShelfEnvironChannelAddressMap));
    return this;
  }

  @Element("shelf-environ-shelf-list")
  @Type("shelf-environ-shelf-info[]")
  public void setShelfEnvironShelfList(List<ShelfEnvironShelfInfo> paramList)
  {
    this.shelfEnvironShelfList = paramList;
  }

  public List<ShelfEnvironShelfInfo> getShelfEnvironShelfList()
  {
    return this.shelfEnvironShelfList;
  }

  public ShelfEnvironChannelInfo withShelfEnvironShelfList(List<ShelfEnvironShelfInfo> paramList)
  {
    this.shelfEnvironShelfList = paramList;
    return this;
  }

  public ShelfEnvironChannelInfo withShelfEnvironShelfList(ShelfEnvironShelfInfo[] paramArrayOfShelfEnvironShelfInfo)
  {
    this.shelfEnvironShelfList = new ArrayList(Arrays.asList(paramArrayOfShelfEnvironShelfInfo));
    return this;
  }

  @Element("shelves-present")
  @Type("integer")
  public void setShelvesPresent(Long paramLong)
  {
    this.shelvesPresent = paramLong;
  }

  public Long getShelvesPresent()
  {
    return this.shelvesPresent;
  }

  public ShelfEnvironChannelInfo withShelvesPresent(Long paramLong)
  {
    this.shelvesPresent = paramLong;
    return this;
  }
}