package com.netapp.filer.ses;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("storage-shelf-get-disk-info-by-name")
@Status(StatusEnum.PUBLIC)
@Errno({"EAPIMISSINGARGUMENT", "EDISKNOTFOUND", "EINTERNALERROR"})
@Family({"ontap-d"})
public class StorageShelfGetDiskInfoByName
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String channelName;
  public String diskName;
  public Integer lun;
  public Integer shelfBay;
  public Integer shelfId;

  @Output("channel-name")
  @Type("string")
  public void setChannelName(String paramString)
  {
    this.channelName = paramString;
  }

  public String getChannelName()
  {
    return this.channelName;
  }

  public StorageShelfGetDiskInfoByName withChannelName(String paramString)
  {
    this.channelName = paramString;
    return this;
  }

  @Input("disk-name")
  @Type("string")
  public void setDiskName(String paramString)
  {
    this.diskName = paramString;
  }

  public String getDiskName()
  {
    return this.diskName;
  }

  public StorageShelfGetDiskInfoByName withDiskName(String paramString)
  {
    this.diskName = paramString;
    return this;
  }

  @Output("lun")
  @Type("integer")
  @Optional
  @Range(min="0", max="999")
  public void setLun(Integer paramInteger)
  {
    this.lun = paramInteger;
  }

  public Integer getLun()
  {
    return this.lun;
  }

  public StorageShelfGetDiskInfoByName withLun(Integer paramInteger)
  {
    this.lun = paramInteger;
    return this;
  }

  @Output("shelf-bay")
  @Type("integer")
  @Range(min="0", max="255")
  public void setShelfBay(Integer paramInteger)
  {
    this.shelfBay = paramInteger;
  }

  public Integer getShelfBay()
  {
    return this.shelfBay;
  }

  public StorageShelfGetDiskInfoByName withShelfBay(Integer paramInteger)
  {
    this.shelfBay = paramInteger;
    return this;
  }

  @Output("shelf-id")
  @Type("integer")
  @Range(min="0", max="2^24-1")
  public void setShelfId(Integer paramInteger)
  {
    this.shelfId = paramInteger;
  }

  public Integer getShelfId()
  {
    return this.shelfId;
  }

  public StorageShelfGetDiskInfoByName withShelfId(Integer paramInteger)
  {
    this.shelfId = paramInteger;
    return this;
  }
}