package com.netapp.filer.ses;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("storage-shelf-get-shelf-list")
@Status(StatusEnum.PUBLIC)
@Errno({"EAPIMISSINGARGUMENT", "EINTERNALERROR", "EINVALIDINPUTERROR"})
@Family({"ontap-d"})
public class StorageShelfGetShelfList
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String channelName;
  public List<ShelfInfo> shelfList;

  @Input("channel-name")
  @Type("string")
  public void setChannelName(String paramString)
  {
    this.channelName = paramString;
  }

  public String getChannelName()
  {
    return this.channelName;
  }

  public StorageShelfGetShelfList withChannelName(String paramString)
  {
    this.channelName = paramString;
    return this;
  }

  @Output("shelf-list")
  @Type("shelf-info[]")
  public void setShelfList(List<ShelfInfo> paramList)
  {
    this.shelfList = paramList;
  }

  public List<ShelfInfo> getShelfList()
  {
    return this.shelfList;
  }

  public StorageShelfGetShelfList withShelfList(List<ShelfInfo> paramList)
  {
    this.shelfList = paramList;
    return this;
  }

  public StorageShelfGetShelfList withShelfList(ShelfInfo[] paramArrayOfShelfInfo)
  {
    this.shelfList = new ArrayList(Arrays.asList(paramArrayOfShelfInfo));
    return this;
  }
}