package com.netapp.filer.ses;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("storage-shelf-list-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EAPIMISSINGARGUMENT", "EINTERNALERROR", "EINVALIDINPUTERROR"})
@Family({"ontap-c", "ontap-d"})
public class StorageShelfListInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String channelName;
  public Integer shelfId;
  public List<ShelfInfo> shelfList;

  @Input("channel-name")
  @Type("string")
  @Optional
  public void setChannelName(String paramString)
  {
    this.channelName = paramString;
  }

  public String getChannelName()
  {
    return this.channelName;
  }

  public StorageShelfListInfo withChannelName(String paramString)
  {
    this.channelName = paramString;
    return this;
  }

  @Input("shelf-id")
  @Type("integer")
  @Optional
  @Range(min="0", max="8")
  public void setShelfId(Integer paramInteger)
  {
    this.shelfId = paramInteger;
  }

  public Integer getShelfId()
  {
    return this.shelfId;
  }

  public StorageShelfListInfo withShelfId(Integer paramInteger)
  {
    this.shelfId = paramInteger;
    return this;
  }

  @Output("shelf-list")
  @Type("shelf-info[]")
  public void setShelfList(List<ShelfInfo> paramList)
  {
    this.shelfList = paramList;
  }

  public List<ShelfInfo> getShelfList()
  {
    return this.shelfList;
  }

  public StorageShelfListInfo withShelfList(List<ShelfInfo> paramList)
  {
    this.shelfList = paramList;
    return this;
  }

  public StorageShelfListInfo withShelfList(ShelfInfo[] paramArrayOfShelfInfo)
  {
    this.shelfList = new ArrayList(Arrays.asList(paramArrayOfShelfInfo));
    return this;
  }
}