package com.netapp.filer.ses;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;

@Typedef("temp-sensor-info")
public class TempSensorInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String tempSensorCurrentCondition;
  public Long tempSensorCurrentTemperature;
  public Long tempSensorElementNo;
  public Long tempSensorHiCritical;
  public Long tempSensorHiWarning;
  public Boolean tempSensorIsAmbient;
  public Boolean tempSensorIsError;
  public String tempSensorIsNotInstalled;
  public Long tempSensorLowCritical;
  public Long tempSensorLowWarning;

  @Element("temp-sensor-current-condition")
  @Type("string")
  @Optional
  public void setTempSensorCurrentCondition(String paramString)
  {
    this.tempSensorCurrentCondition = paramString;
  }

  public String getTempSensorCurrentCondition()
  {
    return this.tempSensorCurrentCondition;
  }

  public TempSensorInfo withTempSensorCurrentCondition(String paramString)
  {
    this.tempSensorCurrentCondition = paramString;
    return this;
  }

  @Element("temp-sensor-current-temperature")
  @Type("integer")
  @Optional
  public void setTempSensorCurrentTemperature(Long paramLong)
  {
    this.tempSensorCurrentTemperature = paramLong;
  }

  public Long getTempSensorCurrentTemperature()
  {
    return this.tempSensorCurrentTemperature;
  }

  public TempSensorInfo withTempSensorCurrentTemperature(Long paramLong)
  {
    this.tempSensorCurrentTemperature = paramLong;
    return this;
  }

  @Element("temp-sensor-element-no")
  @Type("integer")
  public void setTempSensorElementNo(Long paramLong)
  {
    this.tempSensorElementNo = paramLong;
  }

  public Long getTempSensorElementNo()
  {
    return this.tempSensorElementNo;
  }

  public TempSensorInfo withTempSensorElementNo(Long paramLong)
  {
    this.tempSensorElementNo = paramLong;
    return this;
  }

  @Element("temp-sensor-hi-critical")
  @Type("integer")
  public void setTempSensorHiCritical(Long paramLong)
  {
    this.tempSensorHiCritical = paramLong;
  }

  public Long getTempSensorHiCritical()
  {
    return this.tempSensorHiCritical;
  }

  public TempSensorInfo withTempSensorHiCritical(Long paramLong)
  {
    this.tempSensorHiCritical = paramLong;
    return this;
  }

  @Element("temp-sensor-hi-warning")
  @Type("integer")
  public void setTempSensorHiWarning(Long paramLong)
  {
    this.tempSensorHiWarning = paramLong;
  }

  public Long getTempSensorHiWarning()
  {
    return this.tempSensorHiWarning;
  }

  public TempSensorInfo withTempSensorHiWarning(Long paramLong)
  {
    this.tempSensorHiWarning = paramLong;
    return this;
  }

  @Element("temp-sensor-is-ambient")
  @Type("boolean")
  @Optional
  public void setTempSensorIsAmbient(Boolean paramBoolean)
  {
    this.tempSensorIsAmbient = paramBoolean;
  }

  public Boolean isTempSensorIsAmbient()
  {
    return this.tempSensorIsAmbient;
  }

  public TempSensorInfo withTempSensorIsAmbient(Boolean paramBoolean)
  {
    this.tempSensorIsAmbient = paramBoolean;
    return this;
  }

  @Element("temp-sensor-is-error")
  @Type("boolean")
  @Optional
  public void setTempSensorIsError(Boolean paramBoolean)
  {
    this.tempSensorIsError = paramBoolean;
  }

  public Boolean isTempSensorIsError()
  {
    return this.tempSensorIsError;
  }

  public TempSensorInfo withTempSensorIsError(Boolean paramBoolean)
  {
    this.tempSensorIsError = paramBoolean;
    return this;
  }

  @Element("temp-sensor-is-not-installed")
  @Type("string")
  @Optional
  public void setTempSensorIsNotInstalled(String paramString)
  {
    this.tempSensorIsNotInstalled = paramString;
  }

  public String getTempSensorIsNotInstalled()
  {
    return this.tempSensorIsNotInstalled;
  }

  public TempSensorInfo withTempSensorIsNotInstalled(String paramString)
  {
    this.tempSensorIsNotInstalled = paramString;
    return this;
  }

  @Element("temp-sensor-low-critical")
  @Type("integer")
  public void setTempSensorLowCritical(Long paramLong)
  {
    this.tempSensorLowCritical = paramLong;
  }

  public Long getTempSensorLowCritical()
  {
    return this.tempSensorLowCritical;
  }

  public TempSensorInfo withTempSensorLowCritical(Long paramLong)
  {
    this.tempSensorLowCritical = paramLong;
    return this;
  }

  @Element("temp-sensor-low-warning")
  @Type("integer")
  public void setTempSensorLowWarning(Long paramLong)
  {
    this.tempSensorLowWarning = paramLong;
  }

  public Long getTempSensorLowWarning()
  {
    return this.tempSensorLowWarning;
  }

  public TempSensorInfo withTempSensorLowWarning(Long paramLong)
  {
    this.tempSensorLowWarning = paramLong;
    return this;
  }
}