package com.netapp.filer.sf;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.util.Date;

@Typedef("sf-options-info")
public class SfOptionsInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Boolean nodeStatusInMailboxDisks;
  public Long nodeStatusInMailboxDisksReadInterval;
  public Long nodeStatusInMailboxDisksWriteInterval;
  public Boolean sendHomeAuto;
  public Long sendHomeAutoAttempts;
  public Long sendHomeAutoAttemptsMinutes;
  public Boolean sendHomeCheckPartnerWaiting;
  public Date takeoverDetectionTime;
  public Boolean takeoverOnFailure;
  public Boolean takeoverOnPanic;
  public Boolean takeoverOnShortUptime;

  @Element("node-status-in-mailbox-disks")
  @Type("boolean")
  public void setNodeStatusInMailboxDisks(Boolean paramBoolean)
  {
    this.nodeStatusInMailboxDisks = paramBoolean;
  }

  public Boolean isNodeStatusInMailboxDisks()
  {
    return this.nodeStatusInMailboxDisks;
  }

  public SfOptionsInfo withNodeStatusInMailboxDisks(Boolean paramBoolean)
  {
    this.nodeStatusInMailboxDisks = paramBoolean;
    return this;
  }

  @Element("node-status-in-mailbox-disks-read-interval")
  @Type("integer")
  public void setNodeStatusInMailboxDisksReadInterval(Long paramLong)
  {
    this.nodeStatusInMailboxDisksReadInterval = paramLong;
  }

  public Long getNodeStatusInMailboxDisksReadInterval()
  {
    return this.nodeStatusInMailboxDisksReadInterval;
  }

  public SfOptionsInfo withNodeStatusInMailboxDisksReadInterval(Long paramLong)
  {
    this.nodeStatusInMailboxDisksReadInterval = paramLong;
    return this;
  }

  @Element("node-status-in-mailbox-disks-write-interval")
  @Type("integer")
  public void setNodeStatusInMailboxDisksWriteInterval(Long paramLong)
  {
    this.nodeStatusInMailboxDisksWriteInterval = paramLong;
  }

  public Long getNodeStatusInMailboxDisksWriteInterval()
  {
    return this.nodeStatusInMailboxDisksWriteInterval;
  }

  public SfOptionsInfo withNodeStatusInMailboxDisksWriteInterval(Long paramLong)
  {
    this.nodeStatusInMailboxDisksWriteInterval = paramLong;
    return this;
  }

  @Element("send-home-auto")
  @Type("boolean")
  public void setSendHomeAuto(Boolean paramBoolean)
  {
    this.sendHomeAuto = paramBoolean;
  }

  public Boolean isSendHomeAuto()
  {
    return this.sendHomeAuto;
  }

  public SfOptionsInfo withSendHomeAuto(Boolean paramBoolean)
  {
    this.sendHomeAuto = paramBoolean;
    return this;
  }

  @Element("send-home-auto-attempts")
  @Type("integer")
  public void setSendHomeAutoAttempts(Long paramLong)
  {
    this.sendHomeAutoAttempts = paramLong;
  }

  public Long getSendHomeAutoAttempts()
  {
    return this.sendHomeAutoAttempts;
  }

  public SfOptionsInfo withSendHomeAutoAttempts(Long paramLong)
  {
    this.sendHomeAutoAttempts = paramLong;
    return this;
  }

  @Element("send-home-auto-attempts-minutes")
  @Type("integer")
  public void setSendHomeAutoAttemptsMinutes(Long paramLong)
  {
    this.sendHomeAutoAttemptsMinutes = paramLong;
  }

  public Long getSendHomeAutoAttemptsMinutes()
  {
    return this.sendHomeAutoAttemptsMinutes;
  }

  public SfOptionsInfo withSendHomeAutoAttemptsMinutes(Long paramLong)
  {
    this.sendHomeAutoAttemptsMinutes = paramLong;
    return this;
  }

  @Element("send-home-check-partner-waiting")
  @Type("boolean")
  public void setSendHomeCheckPartnerWaiting(Boolean paramBoolean)
  {
    this.sendHomeCheckPartnerWaiting = paramBoolean;
  }

  public Boolean isSendHomeCheckPartnerWaiting()
  {
    return this.sendHomeCheckPartnerWaiting;
  }

  public SfOptionsInfo withSendHomeCheckPartnerWaiting(Boolean paramBoolean)
  {
    this.sendHomeCheckPartnerWaiting = paramBoolean;
    return this;
  }

  @Element("takeover-detection-time")
  @Type("integer")
  public void setTakeoverDetectionTime(Date paramDate)
  {
    this.takeoverDetectionTime = paramDate;
  }

  public Date getTakeoverDetectionTime()
  {
    return this.takeoverDetectionTime;
  }

  public SfOptionsInfo withTakeoverDetectionTime(Date paramDate)
  {
    this.takeoverDetectionTime = paramDate;
    return this;
  }

  @Element("takeover-on-failure")
  @Type("boolean")
  public void setTakeoverOnFailure(Boolean paramBoolean)
  {
    this.takeoverOnFailure = paramBoolean;
  }

  public Boolean isTakeoverOnFailure()
  {
    return this.takeoverOnFailure;
  }

  public SfOptionsInfo withTakeoverOnFailure(Boolean paramBoolean)
  {
    this.takeoverOnFailure = paramBoolean;
    return this;
  }

  @Element("takeover-on-panic")
  @Type("boolean")
  public void setTakeoverOnPanic(Boolean paramBoolean)
  {
    this.takeoverOnPanic = paramBoolean;
  }

  public Boolean isTakeoverOnPanic()
  {
    return this.takeoverOnPanic;
  }

  public SfOptionsInfo withTakeoverOnPanic(Boolean paramBoolean)
  {
    this.takeoverOnPanic = paramBoolean;
    return this;
  }

  @Element("takeover-on-short-uptime")
  @Type("boolean")
  public void setTakeoverOnShortUptime(Boolean paramBoolean)
  {
    this.takeoverOnShortUptime = paramBoolean;
  }

  public Boolean isTakeoverOnShortUptime()
  {
    return this.takeoverOnShortUptime;
  }

  public SfOptionsInfo withTakeoverOnShortUptime(Boolean paramBoolean)
  {
    this.takeoverOnShortUptime = paramBoolean;
    return this;
  }
}