package com.netapp.filer.sf;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("sf-send-home-initiate")
@Status(StatusEnum.PUBLIC)
@Errno({"EHALTING", "EINTERNALERROR", "ENOAGGRS", "ENOPARTNERINVENTORY", "EPARTNERMISSINGDISKS", "EPARTNERNOTWAITING", "ESENDHOMEINPROGRESS", "ESNAPMIRROR", "ETAKEOVERINPROGRESS", "EUPREVFS", "EVETOEDRAID"})
@Family({"ontap-d"})
public class SfSendHomeInitiate
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Boolean overridePartnerNotWaiting;
  public Boolean overrideVetoes;

  @Input("override-partner-not-waiting")
  @Type("boolean")
  @Optional
  public void setOverridePartnerNotWaiting(Boolean paramBoolean)
  {
    this.overridePartnerNotWaiting = paramBoolean;
  }

  public Boolean isOverridePartnerNotWaiting()
  {
    return this.overridePartnerNotWaiting;
  }

  public SfSendHomeInitiate withOverridePartnerNotWaiting(Boolean paramBoolean)
  {
    this.overridePartnerNotWaiting = paramBoolean;
    return this;
  }

  @Input("override-vetoes")
  @Type("boolean")
  @Optional
  public void setOverrideVetoes(Boolean paramBoolean)
  {
    this.overrideVetoes = paramBoolean;
  }

  public Boolean isOverrideVetoes()
  {
    return this.overrideVetoes;
  }

  public SfSendHomeInitiate withOverrideVetoes(Boolean paramBoolean)
  {
    this.overrideVetoes = paramBoolean;
    return this;
  }
}