package com.netapp.filer.sf;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("sf-takeover-initiate")
@Status(StatusEnum.PUBLIC)
@Errno({"EBADOPTIONS", "EHALTING", "EHALTNOTAKEOVER", "EINTERCONNECTRESET", "EINTERNALERROR", "ELOCALREVERT", "ELOWMEMORY", "EMBOXDEGRADED", "EMBOXUNCERTAIN", "EMBOXUNKNOWN", "EMBOXVERSIONMISMATCH", "ENOTHALTED", "ENOTHINGTOTAKEOVER", "ENVRAMDOWN", "ENVRAMSIZEMISMATCH", "EOPERATORDENY", "EPARTNERREVERT", "EPARTNERTRYINGTAKEOVER", "ESENDHOMEINPROGRESS", "ESERVICENOTENABLED", "ESERVICENOTINITIALIZED", "ESERVICENOTLICENSED", "ETAKEOVERINPROGRESS", "EUNKNOWNTAKEOVERERROR", "EUNSYNCNVRAM", "EVERSIONMISMATCH", "EWAITINGFORPARTNER"})
@Family({"ontap-d"})
public class SfTakeoverInitiate
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String takeoverOptions;

  @Input("takeover-options")
  @Type("string")
  @Optional
  public void setTakeoverOptions(String paramString)
  {
    this.takeoverOptions = paramString;
  }

  public String getTakeoverOptions()
  {
    return this.takeoverOptions;
  }

  public SfTakeoverInitiate withTakeoverOptions(String paramString)
  {
    this.takeoverOptions = paramString;
    return this;
  }
}