package com.netapp.filer.sf;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;

@Typedef("timeout-info")
public class TimeoutInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Long booting;
  public Long connect;
  public Long dumpcore;
  public Long fast;
  public Long firmware;
  public Long mailbox;
  public Long operator;
  public Long slow;
  public Long transit;
  public Boolean transitTimerEnabled;

  @Element("booting")
  @Type("integer")
  public void setBooting(Long paramLong)
  {
    this.booting = paramLong;
  }

  public Long getBooting()
  {
    return this.booting;
  }

  public TimeoutInfo withBooting(Long paramLong)
  {
    this.booting = paramLong;
    return this;
  }

  @Element("connect")
  @Type("integer")
  public void setConnect(Long paramLong)
  {
    this.connect = paramLong;
  }

  public Long getConnect()
  {
    return this.connect;
  }

  public TimeoutInfo withConnect(Long paramLong)
  {
    this.connect = paramLong;
    return this;
  }

  @Element("dumpcore")
  @Type("integer")
  public void setDumpcore(Long paramLong)
  {
    this.dumpcore = paramLong;
  }

  public Long getDumpcore()
  {
    return this.dumpcore;
  }

  public TimeoutInfo withDumpcore(Long paramLong)
  {
    this.dumpcore = paramLong;
    return this;
  }

  @Element("fast")
  @Type("integer")
  public void setFast(Long paramLong)
  {
    this.fast = paramLong;
  }

  public Long getFast()
  {
    return this.fast;
  }

  public TimeoutInfo withFast(Long paramLong)
  {
    this.fast = paramLong;
    return this;
  }

  @Element("firmware")
  @Type("integer")
  public void setFirmware(Long paramLong)
  {
    this.firmware = paramLong;
  }

  public Long getFirmware()
  {
    return this.firmware;
  }

  public TimeoutInfo withFirmware(Long paramLong)
  {
    this.firmware = paramLong;
    return this;
  }

  @Element("mailbox")
  @Type("integer")
  public void setMailbox(Long paramLong)
  {
    this.mailbox = paramLong;
  }

  public Long getMailbox()
  {
    return this.mailbox;
  }

  public TimeoutInfo withMailbox(Long paramLong)
  {
    this.mailbox = paramLong;
    return this;
  }

  @Element("operator")
  @Type("integer")
  public void setOperator(Long paramLong)
  {
    this.operator = paramLong;
  }

  public Long getOperator()
  {
    return this.operator;
  }

  public TimeoutInfo withOperator(Long paramLong)
  {
    this.operator = paramLong;
    return this;
  }

  @Element("slow")
  @Type("integer")
  public void setSlow(Long paramLong)
  {
    this.slow = paramLong;
  }

  public Long getSlow()
  {
    return this.slow;
  }

  public TimeoutInfo withSlow(Long paramLong)
  {
    this.slow = paramLong;
    return this;
  }

  @Element("transit")
  @Type("integer")
  public void setTransit(Long paramLong)
  {
    this.transit = paramLong;
  }

  public Long getTransit()
  {
    return this.transit;
  }

  public TimeoutInfo withTransit(Long paramLong)
  {
    this.transit = paramLong;
    return this;
  }

  @Element("transit-timer-enabled")
  @Type("boolean")
  public void setTransitTimerEnabled(Boolean paramBoolean)
  {
    this.transitTimerEnabled = paramBoolean;
  }

  public Boolean isTransitTimerEnabled()
  {
    return this.transitTimerEnabled;
  }

  public TimeoutInfo withTransitTimerEnabled(Boolean paramBoolean)
  {
    this.transitTimerEnabled = paramBoolean;
    return this;
  }
}