package com.netapp.filer.sis;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("sis-set-config")
@Status(StatusEnum.PUBLIC)
@Errno({"EAPIERROR", "EAPIMISSINGARGUMENT", "EONTAPI_EINVAL"})
@Family({"ontap-c", "vfiler"})
public class SisSetConfig
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String path;
  public String schedule;

  @Input("path")
  @Type("string")
  public void setPath(String paramString)
  {
    this.path = paramString;
  }

  public String getPath()
  {
    return this.path;
  }

  public SisSetConfig withPath(String paramString)
  {
    this.path = paramString;
    return this;
  }

  @Input("schedule")
  @Type("string")
  public void setSchedule(String paramString)
  {
    this.schedule = paramString;
  }

  public String getSchedule()
  {
    return this.schedule;
  }

  public SisSetConfig withSchedule(String paramString)
  {
    this.schedule = paramString;
    return this;
  }
}