package com.netapp.filer.sis;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("sis-start")
@Status(StatusEnum.PUBLIC)
@Errno({"EAPIERROR", "EAPIMISSINGARGUMENT", "EONTAPI_EINVAL"})
@Family({"ontap-c", "vfiler"})
public class SisStart
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Boolean deleteCheckpoint;
  public String path;
  public Boolean restartCheckpoint;
  public Boolean scan;

  @Input("delete-checkpoint")
  @Type("boolean")
  @Optional
  public void setDeleteCheckpoint(Boolean paramBoolean)
  {
    this.deleteCheckpoint = paramBoolean;
  }

  public Boolean isDeleteCheckpoint()
  {
    return this.deleteCheckpoint;
  }

  public SisStart withDeleteCheckpoint(Boolean paramBoolean)
  {
    this.deleteCheckpoint = paramBoolean;
    return this;
  }

  @Input("path")
  @Type("string")
  public void setPath(String paramString)
  {
    this.path = paramString;
  }

  public String getPath()
  {
    return this.path;
  }

  public SisStart withPath(String paramString)
  {
    this.path = paramString;
    return this;
  }

  @Input("restart-checkpoint")
  @Type("boolean")
  @Optional
  public void setRestartCheckpoint(Boolean paramBoolean)
  {
    this.restartCheckpoint = paramBoolean;
  }

  public Boolean isRestartCheckpoint()
  {
    return this.restartCheckpoint;
  }

  public SisStart withRestartCheckpoint(Boolean paramBoolean)
  {
    this.restartCheckpoint = paramBoolean;
    return this;
  }

  @Input("scan")
  @Type("boolean")
  @Optional
  public void setScan(Boolean paramBoolean)
  {
    this.scan = paramBoolean;
  }

  public Boolean isScan()
  {
    return this.scan;
  }

  public SisStart withScan(Boolean paramBoolean)
  {
    this.scan = paramBoolean;
    return this;
  }
}