package com.netapp.filer.sis;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("sis-status")
@Status(StatusEnum.PUBLIC)
@Errno({"EAPIERROR", "EAPIMISSINGARGUMENT", "EONTAPI_EINVAL"})
@Family({"ontap-c", "vfiler"})
public class SisStatus
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String path;
  public List<DenseStatus> sisObject;
  public Boolean verbose;

  @Input("path")
  @Type("string")
  @Optional
  public void setPath(String paramString)
  {
    this.path = paramString;
  }

  public String getPath()
  {
    return this.path;
  }

  public SisStatus withPath(String paramString)
  {
    this.path = paramString;
    return this;
  }

  @Output("sis-object")
  @Type("dense-status[]")
  public void setSisObject(List<DenseStatus> paramList)
  {
    this.sisObject = paramList;
  }

  public List<DenseStatus> getSisObject()
  {
    return this.sisObject;
  }

  public SisStatus withSisObject(List<DenseStatus> paramList)
  {
    this.sisObject = paramList;
    return this;
  }

  public SisStatus withSisObject(DenseStatus[] paramArrayOfDenseStatus)
  {
    this.sisObject = new ArrayList(Arrays.asList(paramArrayOfDenseStatus));
    return this;
  }

  @Input("verbose")
  @Type("boolean")
  @Optional
  public void setVerbose(Boolean paramBoolean)
  {
    this.verbose = paramBoolean;
  }

  public Boolean isVerbose()
  {
    return this.verbose;
  }

  public SisStatus withVerbose(Boolean paramBoolean)
  {
    this.verbose = paramBoolean;
    return this;
  }
}