package com.netapp.filer.snapdiff;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("snapdiff-iter-end")
@Status(StatusEnum.UNSUPPORTED)
@Errno({"ESNAPDIFFINVALIDSESSION", "ESNAPDIFFINVINPUT"})
public class SnapdiffIterEnd
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String sessionId;

  @Input("session-id")
  @Type("string")
  public void setSessionId(String paramString)
  {
    this.sessionId = paramString;
  }

  public String getSessionId()
  {
    return this.sessionId;
  }

  public SnapdiffIterEnd withSessionId(String paramString)
  {
    this.sessionId = paramString;
    return this;
  }
}