package com.netapp.filer.snapdiff;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("snapdiff-iter-next")
@Status(StatusEnum.UNSUPPORTED)
@Errno({"ESNAPDIFFINTERROR", "ESNAPDIFFINVALIDSESSION", "ESNAPDIFFSNAPSHOTCHANGED", "ESNAPDIFFVOLOFFLINE"})
public class SnapdiffIterNext
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Long numChanges;
  public Long progress;
  public String sessionId;
  public List<ChangeRec> snapshotChanges;

  @Output("num-changes")
  @Type("integer")
  @Optional
  public void setNumChanges(Long paramLong)
  {
    this.numChanges = paramLong;
  }

  public Long getNumChanges()
  {
    return this.numChanges;
  }

  public SnapdiffIterNext withNumChanges(Long paramLong)
  {
    this.numChanges = paramLong;
    return this;
  }

  @Output("progress")
  @Type("integer")
  @Optional
  public void setProgress(Long paramLong)
  {
    this.progress = paramLong;
  }

  public Long getProgress()
  {
    return this.progress;
  }

  public SnapdiffIterNext withProgress(Long paramLong)
  {
    this.progress = paramLong;
    return this;
  }

  @Input("session-id")
  @Type("string")
  public void setSessionId(String paramString)
  {
    this.sessionId = paramString;
  }

  public String getSessionId()
  {
    return this.sessionId;
  }

  public SnapdiffIterNext withSessionId(String paramString)
  {
    this.sessionId = paramString;
    return this;
  }

  @Output("snapshot-changes")
  @Type("change-rec[]")
  @Optional
  public void setSnapshotChanges(List<ChangeRec> paramList)
  {
    this.snapshotChanges = paramList;
  }

  public List<ChangeRec> getSnapshotChanges()
  {
    return this.snapshotChanges;
  }

  public SnapdiffIterNext withSnapshotChanges(List<ChangeRec> paramList)
  {
    this.snapshotChanges = paramList;
    return this;
  }

  public SnapdiffIterNext withSnapshotChanges(ChangeRec[] paramArrayOfChangeRec)
  {
    this.snapshotChanges = new ArrayList(Arrays.asList(paramArrayOfChangeRec));
    return this;
  }
}