package com.netapp.filer.snaplock;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.util.Date;

@Typedef("file-retention-info")
public class FileRetentionInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String formattedRetentionTime;
  public Boolean wraparound;
  public String pathname;
  public Date retentionTime;
  public SnaplockError snaplockError;
  public String snaplockType;

  @Element("formatted-retention-time")
  @Type("string")
  @Optional
  public void setFormattedRetentionTime(String paramString)
  {
    this.formattedRetentionTime = paramString;
  }

  public String getFormattedRetentionTime()
  {
    return this.formattedRetentionTime;
  }

  public FileRetentionInfo withFormattedRetentionTime(String paramString)
  {
    this.formattedRetentionTime = paramString;
    return this;
  }

  @Element("is-wraparound")
  @Type("boolean")
  @Optional
  public void setWraparound(Boolean paramBoolean)
  {
    this.wraparound = paramBoolean;
  }

  public Boolean isWraparound()
  {
    return this.wraparound;
  }

  public FileRetentionInfo withWraparound(Boolean paramBoolean)
  {
    this.wraparound = paramBoolean;
    return this;
  }

  @Element("pathname")
  @Type("string")
  public void setPathname(String paramString)
  {
    this.pathname = paramString;
  }

  public String getPathname()
  {
    return this.pathname;
  }

  public FileRetentionInfo withPathname(String paramString)
  {
    this.pathname = paramString;
    return this;
  }

  @Element("retention-time")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^64-1")
  public void setRetentionTime(Date paramDate)
  {
    this.retentionTime = paramDate;
  }

  public Date getRetentionTime()
  {
    return this.retentionTime;
  }

  public FileRetentionInfo withRetentionTime(Date paramDate)
  {
    this.retentionTime = paramDate;
    return this;
  }

  @Element("snaplock-error")
  @Type("snaplock-error")
  @Optional
  public void setSnaplockError(SnaplockError paramSnaplockError)
  {
    this.snaplockError = paramSnaplockError;
  }

  public SnaplockError getSnaplockError()
  {
    return this.snaplockError;
  }

  public FileRetentionInfo withSnaplockError(SnaplockError paramSnaplockError)
  {
    this.snaplockError = paramSnaplockError;
    return this;
  }

  @Element("snaplock-type")
  @Type("string")
  @Optional
  public void setSnaplockType(String paramString)
  {
    this.snaplockType = paramString;
  }

  public String getSnaplockType()
  {
    return this.snaplockType;
  }

  public FileRetentionInfo withSnaplockType(String paramString)
  {
    this.snaplockType = paramString;
    return this;
  }
}