package com.netapp.filer.snaplock;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;

@Typedef("log-file-info")
public class LogFileInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String fileSize;
  public String formattedRetentionDate;
  public String logBasename;
  public String logCompletePath;
  public SnaplockError snaplockError;

  @Element("file-size")
  @Type("string")
  @Optional
  public void setFileSize(String paramString)
  {
    this.fileSize = paramString;
  }

  public String getFileSize()
  {
    return this.fileSize;
  }

  public LogFileInfo withFileSize(String paramString)
  {
    this.fileSize = paramString;
    return this;
  }

  @Element("formatted-retention-date")
  @Type("string")
  @Optional
  public void setFormattedRetentionDate(String paramString)
  {
    this.formattedRetentionDate = paramString;
  }

  public String getFormattedRetentionDate()
  {
    return this.formattedRetentionDate;
  }

  public LogFileInfo withFormattedRetentionDate(String paramString)
  {
    this.formattedRetentionDate = paramString;
    return this;
  }

  @Element("log-basename")
  @Type("string")
  public void setLogBasename(String paramString)
  {
    this.logBasename = paramString;
  }

  public String getLogBasename()
  {
    return this.logBasename;
  }

  public LogFileInfo withLogBasename(String paramString)
  {
    this.logBasename = paramString;
    return this;
  }

  @Element("log-complete-path")
  @Type("string")
  @Optional
  public void setLogCompletePath(String paramString)
  {
    this.logCompletePath = paramString;
  }

  public String getLogCompletePath()
  {
    return this.logCompletePath;
  }

  public LogFileInfo withLogCompletePath(String paramString)
  {
    this.logCompletePath = paramString;
    return this;
  }

  @Element("snaplock-error")
  @Type("snaplock-error")
  @Optional
  public void setSnaplockError(SnaplockError paramSnaplockError)
  {
    this.snaplockError = paramSnaplockError;
  }

  public SnaplockError getSnaplockError()
  {
    return this.snaplockError;
  }

  public LogFileInfo withSnaplockError(SnaplockError paramSnaplockError)
  {
    this.snaplockError = paramSnaplockError;
    return this;
  }
}