package com.netapp.filer.snaplock;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.math.BigInteger;

@Typedef("snaplock-error")
public class SnaplockError
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public BigInteger errno;
  public String reason;

  @Element("errno")
  @Type("integer")
  @Range(min="0", max="2^64-1")
  public void setErrno(BigInteger paramBigInteger)
  {
    this.errno = paramBigInteger;
  }

  public BigInteger getErrno()
  {
    return this.errno;
  }

  public SnaplockError withErrno(BigInteger paramBigInteger)
  {
    this.errno = paramBigInteger;
    return this;
  }

  @Element("reason")
  @Type("string")
  public void setReason(String paramString)
  {
    this.reason = paramString;
  }

  public String getReason()
  {
    return this.reason;
  }

  public SnaplockError withReason(String paramString)
  {
    this.reason = paramString;
    return this;
  }
}