package com.netapp.filer.snaplock;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("snaplock-get-options")
@Status(StatusEnum.PUBLIC)
@Errno({"EAPIERROR", "EINTERNALERROR", "EONTAPI_EACCES", "EONTAPI_EINVAL", "EONTAPI_EIO", "EONTAPI_ENOENT", "EONTAPI_ENXIO", "EONTAPI_EOFFLINE", "EONTAPI_EPERM", "EONTAPI_EWORMNOCLOCK", "EOPNOTSUPPORTED"})
public class SnaplockGetOptions
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String option;
  public String optionValue;
  public String volume;

  @Input("option")
  @Type("string")
  public void setOption(String paramString)
  {
    this.option = paramString;
  }

  public String getOption()
  {
    return this.option;
  }

  public SnaplockGetOptions withOption(String paramString)
  {
    this.option = paramString;
    return this;
  }

  @Output("option-value")
  @Type("string")
  public void setOptionValue(String paramString)
  {
    this.optionValue = paramString;
  }

  public String getOptionValue()
  {
    return this.optionValue;
  }

  public SnaplockGetOptions withOptionValue(String paramString)
  {
    this.optionValue = paramString;
    return this;
  }

  @Input("volume")
  @Type("string")
  public void setVolume(String paramString)
  {
    this.volume = paramString;
  }

  public String getVolume()
  {
    return this.volume;
  }

  public SnaplockGetOptions withVolume(String paramString)
  {
    this.volume = paramString;
    return this;
  }
}