package com.netapp.filer.snaplock;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("snaplock-log-archive")
@Status(StatusEnum.PUBLIC)
@Errno({"EFILENOTFOUND", "EINTERNALERROR", "ENOENT", "EONTAPI_EWORMNOCLOCK", "EONTAPI_EWORMVOLNOTWORM", "EVOLUMEOFFLINE"})
public class SnaplockLogArchive
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String logBasename;
  public String logVolume;

  @Input("log-basename")
  @Type("string")
  @Optional
  public void setLogBasename(String paramString)
  {
    this.logBasename = paramString;
  }

  public String getLogBasename()
  {
    return this.logBasename;
  }

  public SnaplockLogArchive withLogBasename(String paramString)
  {
    this.logBasename = paramString;
    return this;
  }

  @Input("log-volume")
  @Type("string")
  @Optional
  public void setLogVolume(String paramString)
  {
    this.logVolume = paramString;
  }

  public String getLogVolume()
  {
    return this.logVolume;
  }

  public SnaplockLogArchive withLogVolume(String paramString)
  {
    this.logVolume = paramString;
    return this;
  }
}