package com.netapp.filer.snaplock;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("snaplock-privileged-delete-file")
@Status(StatusEnum.PUBLIC)
@Errno({"EAPIERROR", "EINTERNALERROR", "EONTAPI_EACCES", "EONTAPI_EINVAL", "EONTAPI_EIO", "EONTAPI_ENOENT", "EONTAPI_ENOMEM", "EONTAPI_ENXIO", "EONTAPI_EOFFLINE", "EONTAPI_EPERM", "EONTAPI_EROFS", "EONTAPI_EWORMNOCLOCK", "EOPNOTSUPPORTED"})
public class SnaplockPrivilegedDeleteFile
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Boolean doIt;
  public String path;

  @Input("do-it")
  @Type("boolean")
  @Optional
  public void setDoIt(Boolean paramBoolean)
  {
    this.doIt = paramBoolean;
  }

  public Boolean isDoIt()
  {
    return this.doIt;
  }

  public SnaplockPrivilegedDeleteFile withDoIt(Boolean paramBoolean)
  {
    this.doIt = paramBoolean;
    return this;
  }

  @Input("path")
  @Type("string")
  public void setPath(String paramString)
  {
    this.path = paramString;
  }

  public String getPath()
  {
    return this.path;
  }

  public SnaplockPrivilegedDeleteFile withPath(String paramString)
  {
    this.path = paramString;
    return this;
  }
}