package com.netapp.filer.snaplock;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("snaplock-set-options")
@Status(StatusEnum.PUBLIC)
@Errno({"EAPIERROR", "EINTERNALERROR", "EONTAPI_EACCES", "EONTAPI_EINVAL", "EONTAPI_EIO", "EONTAPI_ENOENT", "EONTAPI_ENOMEM", "EONTAPI_ENXIO", "EONTAPI_EOFFLINE", "EONTAPI_EPERM", "EONTAPI_EROFS", "EONTAPI_EWORMNOCLOCK", "EOPNOTSUPPORTED"})
public class SnaplockSetOptions
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Boolean doIt;
  public String option;
  public String optionValue;
  public String volume;

  @Input("do-it")
  @Type("boolean")
  @Optional
  public void setDoIt(Boolean paramBoolean)
  {
    this.doIt = paramBoolean;
  }

  public Boolean isDoIt()
  {
    return this.doIt;
  }

  public SnaplockSetOptions withDoIt(Boolean paramBoolean)
  {
    this.doIt = paramBoolean;
    return this;
  }

  @Input("option")
  @Type("string")
  public void setOption(String paramString)
  {
    this.option = paramString;
  }

  public String getOption()
  {
    return this.option;
  }

  public SnaplockSetOptions withOption(String paramString)
  {
    this.option = paramString;
    return this;
  }

  @Input("option-value")
  @Type("string")
  public void setOptionValue(String paramString)
  {
    this.optionValue = paramString;
  }

  public String getOptionValue()
  {
    return this.optionValue;
  }

  public SnaplockSetOptions withOptionValue(String paramString)
  {
    this.optionValue = paramString;
    return this;
  }

  @Input("volume")
  @Type("string")
  public void setVolume(String paramString)
  {
    this.volume = paramString;
  }

  public String getVolume()
  {
    return this.volume;
  }

  public SnaplockSetOptions withVolume(String paramString)
  {
    this.volume = paramString;
    return this;
  }
}