package com.netapp.filer.snapmirror;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("snapmirror-abort")
@Status(StatusEnum.PUBLIC)
@Errno({"ESNAPMIRRORERR"})
@Family({"ontap-c", "vfiler"})
public class SnapmirrorAbort
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Boolean clearCheckpoint;
  public String destinationLocation;

  @Input("clear-checkpoint")
  @Type("boolean")
  @Optional
  public void setClearCheckpoint(Boolean paramBoolean)
  {
    this.clearCheckpoint = paramBoolean;
  }

  public Boolean isClearCheckpoint()
  {
    return this.clearCheckpoint;
  }

  public SnapmirrorAbort withClearCheckpoint(Boolean paramBoolean)
  {
    this.clearCheckpoint = paramBoolean;
    return this;
  }

  @Input("destination-location")
  @Type("string")
  public void setDestinationLocation(String paramString)
  {
    this.destinationLocation = paramString;
  }

  public String getDestinationLocation()
  {
    return this.destinationLocation;
  }

  public SnapmirrorAbort withDestinationLocation(String paramString)
  {
    this.destinationLocation = paramString;
    return this;
  }
}