package com.netapp.filer.snapmirror;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("snapmirror-get-status")
@Status(StatusEnum.PUBLIC)
@Family({"ontap-c", "vfiler"})
public class SnapmirrorGetStatus
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Boolean available;
  public String location;
  public List<SnapmirrorStatusInfo> snapmirrorStatus;

  @Output("is-available")
  @Type("boolean")
  public void setAvailable(Boolean paramBoolean)
  {
    this.available = paramBoolean;
  }

  public Boolean isAvailable()
  {
    return this.available;
  }

  public SnapmirrorGetStatus withAvailable(Boolean paramBoolean)
  {
    this.available = paramBoolean;
    return this;
  }

  @Input("location")
  @Type("string")
  @Optional
  public void setLocation(String paramString)
  {
    this.location = paramString;
  }

  public String getLocation()
  {
    return this.location;
  }

  public SnapmirrorGetStatus withLocation(String paramString)
  {
    this.location = paramString;
    return this;
  }

  @Output("snapmirror-status")
  @Type("snapmirror-status-info[]")
  @Optional
  public void setSnapmirrorStatus(List<SnapmirrorStatusInfo> paramList)
  {
    this.snapmirrorStatus = paramList;
  }

  public List<SnapmirrorStatusInfo> getSnapmirrorStatus()
  {
    return this.snapmirrorStatus;
  }

  public SnapmirrorGetStatus withSnapmirrorStatus(List<SnapmirrorStatusInfo> paramList)
  {
    this.snapmirrorStatus = paramList;
    return this;
  }

  public SnapmirrorGetStatus withSnapmirrorStatus(SnapmirrorStatusInfo[] paramArrayOfSnapmirrorStatusInfo)
  {
    this.snapmirrorStatus = new ArrayList(Arrays.asList(paramArrayOfSnapmirrorStatusInfo));
    return this;
  }
}