package com.netapp.filer.snapmirror;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("snapmirror-get-volume-status")
@Status(StatusEnum.PUBLIC)
@Errno({"EVOLUMEDOESNOTEXIST", "EVOLUMEOFFLINE", "EVOL_RESTRICTED"})
@Family({"ontap-c", "vfiler"})
public class SnapmirrorGetVolumeStatus
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Boolean destination;
  public Boolean source;
  public Boolean transferBroken;
  public Boolean transferInProgress;
  public String volume;

  @Output("is-destination")
  @Type("boolean")
  public void setDestination(Boolean paramBoolean)
  {
    this.destination = paramBoolean;
  }

  public Boolean isDestination()
  {
    return this.destination;
  }

  public SnapmirrorGetVolumeStatus withDestination(Boolean paramBoolean)
  {
    this.destination = paramBoolean;
    return this;
  }

  @Output("is-source")
  @Type("boolean")
  public void setSource(Boolean paramBoolean)
  {
    this.source = paramBoolean;
  }

  public Boolean isSource()
  {
    return this.source;
  }

  public SnapmirrorGetVolumeStatus withSource(Boolean paramBoolean)
  {
    this.source = paramBoolean;
    return this;
  }

  @Output("is-transfer-broken")
  @Type("boolean")
  public void setTransferBroken(Boolean paramBoolean)
  {
    this.transferBroken = paramBoolean;
  }

  public Boolean isTransferBroken()
  {
    return this.transferBroken;
  }

  public SnapmirrorGetVolumeStatus withTransferBroken(Boolean paramBoolean)
  {
    this.transferBroken = paramBoolean;
    return this;
  }

  @Output("is-transfer-in-progress")
  @Type("boolean")
  public void setTransferInProgress(Boolean paramBoolean)
  {
    this.transferInProgress = paramBoolean;
  }

  public Boolean isTransferInProgress()
  {
    return this.transferInProgress;
  }

  public SnapmirrorGetVolumeStatus withTransferInProgress(Boolean paramBoolean)
  {
    this.transferInProgress = paramBoolean;
    return this;
  }

  @Input("volume")
  @Type("string")
  public void setVolume(String paramString)
  {
    this.volume = paramString;
  }

  public String getVolume()
  {
    return this.volume;
  }

  public SnapmirrorGetVolumeStatus withVolume(String paramString)
  {
    this.volume = paramString;
    return this;
  }
}