package com.netapp.filer.snapmirror;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.filer.cifs.ConnectionInfo;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("snapmirror-list-connections")
@Status(StatusEnum.PUBLIC)
@Family({"ontap-c", "vfiler"})
public class SnapmirrorListConnections
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String connection;
  public List<ConnectionInfo> snapmirrorConnections;

  @Input("connection")
  @Type("string")
  @Optional
  public void setConnection(String paramString)
  {
    this.connection = paramString;
  }

  public String getConnection()
  {
    return this.connection;
  }

  public SnapmirrorListConnections withConnection(String paramString)
  {
    this.connection = paramString;
    return this;
  }

  @Output("snapmirror-connections")
  @Type("connection-info[]")
  public void setSnapmirrorConnections(List<ConnectionInfo> paramList)
  {
    this.snapmirrorConnections = paramList;
  }

  public List<ConnectionInfo> getSnapmirrorConnections()
  {
    return this.snapmirrorConnections;
  }

  public SnapmirrorListConnections withSnapmirrorConnections(List<ConnectionInfo> paramList)
  {
    this.snapmirrorConnections = paramList;
    return this;
  }

  public SnapmirrorListConnections withSnapmirrorConnections(ConnectionInfo[] paramArrayOfConnectionInfo)
  {
    this.snapmirrorConnections = new ArrayList(Arrays.asList(paramArrayOfConnectionInfo));
    return this;
  }
}