package com.netapp.filer.snapmirror;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("snapmirror-list-schedule")
@Status(StatusEnum.PUBLIC)
@Family({"ontap-c", "vfiler"})
public class SnapmirrorListSchedule
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String destinationLocation;
  public List<SnapmirrorScheduleInfo> snapmirrorSchedules;

  @Input("destination-location")
  @Type("string")
  @Optional
  public void setDestinationLocation(String paramString)
  {
    this.destinationLocation = paramString;
  }

  public String getDestinationLocation()
  {
    return this.destinationLocation;
  }

  public SnapmirrorListSchedule withDestinationLocation(String paramString)
  {
    this.destinationLocation = paramString;
    return this;
  }

  @Output("snapmirror-schedules")
  @Type("snapmirror-schedule-info[]")
  public void setSnapmirrorSchedules(List<SnapmirrorScheduleInfo> paramList)
  {
    this.snapmirrorSchedules = paramList;
  }

  public List<SnapmirrorScheduleInfo> getSnapmirrorSchedules()
  {
    return this.snapmirrorSchedules;
  }

  public SnapmirrorListSchedule withSnapmirrorSchedules(List<SnapmirrorScheduleInfo> paramList)
  {
    this.snapmirrorSchedules = paramList;
    return this;
  }

  public SnapmirrorListSchedule withSnapmirrorSchedules(SnapmirrorScheduleInfo[] paramArrayOfSnapmirrorScheduleInfo)
  {
    this.snapmirrorSchedules = new ArrayList(Arrays.asList(paramArrayOfSnapmirrorScheduleInfo));
    return this;
  }
}