package com.netapp.filer.snapmirror;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("snapmirror-list-sync-schedule")
@Status(StatusEnum.PUBLIC)
@Family({"ontap-c", "vfiler"})
public class SnapmirrorListSyncSchedule
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String destinationLocation;
  public List<SnapmirrorSyncScheduleInfo> snapmirrorSyncSchedules;

  @Input("destination-location")
  @Type("string")
  @Optional
  public void setDestinationLocation(String paramString)
  {
    this.destinationLocation = paramString;
  }

  public String getDestinationLocation()
  {
    return this.destinationLocation;
  }

  public SnapmirrorListSyncSchedule withDestinationLocation(String paramString)
  {
    this.destinationLocation = paramString;
    return this;
  }

  @Output("snapmirror-sync-schedules")
  @Type("snapmirror-sync-schedule-info[]")
  public void setSnapmirrorSyncSchedules(List<SnapmirrorSyncScheduleInfo> paramList)
  {
    this.snapmirrorSyncSchedules = paramList;
  }

  public List<SnapmirrorSyncScheduleInfo> getSnapmirrorSyncSchedules()
  {
    return this.snapmirrorSyncSchedules;
  }

  public SnapmirrorListSyncSchedule withSnapmirrorSyncSchedules(List<SnapmirrorSyncScheduleInfo> paramList)
  {
    this.snapmirrorSyncSchedules = paramList;
    return this;
  }

  public SnapmirrorListSyncSchedule withSnapmirrorSyncSchedules(SnapmirrorSyncScheduleInfo[] paramArrayOfSnapmirrorSyncScheduleInfo)
  {
    this.snapmirrorSyncSchedules = new ArrayList(Arrays.asList(paramArrayOfSnapmirrorSyncScheduleInfo));
    return this;
  }
}