package com.netapp.filer.snapmirror;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("snapmirror-release")
@Status(StatusEnum.PUBLIC)
@Errno({"ESNAPMIRRORERR"})
@Family({"ontap-c", "vfiler"})
public class SnapmirrorRelease
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String destinationLocation;
  public String sourceLocation;

  @Input("destination-location")
  @Type("string")
  public void setDestinationLocation(String paramString)
  {
    this.destinationLocation = paramString;
  }

  public String getDestinationLocation()
  {
    return this.destinationLocation;
  }

  public SnapmirrorRelease withDestinationLocation(String paramString)
  {
    this.destinationLocation = paramString;
    return this;
  }

  @Input("source-location")
  @Type("string")
  public void setSourceLocation(String paramString)
  {
    this.sourceLocation = paramString;
  }

  public String getSourceLocation()
  {
    return this.sourceLocation;
  }

  public SnapmirrorRelease withSourceLocation(String paramString)
  {
    this.sourceLocation = paramString;
    return this;
  }
}