package com.netapp.filer.snapmirror;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("snapmirror-set-connection")
@Status(StatusEnum.PUBLIC)
@Family({"ontap-c", "vfiler"})
public class SnapmirrorSetConnection
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public AddressPair addressPair1;
  public AddressPair addressPair2;
  public String connection;
  public String mode;

  @Input("address-pair1")
  @Type("address-pair")
  public void setAddressPair1(AddressPair paramAddressPair)
  {
    this.addressPair1 = paramAddressPair;
  }

  public AddressPair getAddressPair1()
  {
    return this.addressPair1;
  }

  public SnapmirrorSetConnection withAddressPair1(AddressPair paramAddressPair)
  {
    this.addressPair1 = paramAddressPair;
    return this;
  }

  @Input("address-pair2")
  @Type("address-pair")
  @Optional
  public void setAddressPair2(AddressPair paramAddressPair)
  {
    this.addressPair2 = paramAddressPair;
  }

  public AddressPair getAddressPair2()
  {
    return this.addressPair2;
  }

  public SnapmirrorSetConnection withAddressPair2(AddressPair paramAddressPair)
  {
    this.addressPair2 = paramAddressPair;
    return this;
  }

  @Input("connection")
  @Type("string")
  public void setConnection(String paramString)
  {
    this.connection = paramString;
  }

  public String getConnection()
  {
    return this.connection;
  }

  public SnapmirrorSetConnection withConnection(String paramString)
  {
    this.connection = paramString;
    return this;
  }

  @Input("mode")
  @Type("string")
  @Optional
  public void setMode(String paramString)
  {
    this.mode = paramString;
  }

  public String getMode()
  {
    return this.mode;
  }

  public SnapmirrorSetConnection withMode(String paramString)
  {
    this.mode = paramString;
    return this;
  }
}