package com.netapp.filer.snapmirror;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("snapmirror-set-sync-schedule")
@Status(StatusEnum.PUBLIC)
@Family({"ontap-c"})
public class SnapmirrorSetSyncSchedule
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String destinationLocation;
  public String opsThrottle;
  public String sourceLocation;
  public String syncMode;
  public Long visibilityFrequency;

  @Input("destination-location")
  @Type("string")
  public void setDestinationLocation(String paramString)
  {
    this.destinationLocation = paramString;
  }

  public String getDestinationLocation()
  {
    return this.destinationLocation;
  }

  public SnapmirrorSetSyncSchedule withDestinationLocation(String paramString)
  {
    this.destinationLocation = paramString;
    return this;
  }

  @Input("ops-throttle")
  @Type("string")
  @Optional
  public void setOpsThrottle(String paramString)
  {
    this.opsThrottle = paramString;
  }

  public String getOpsThrottle()
  {
    return this.opsThrottle;
  }

  public SnapmirrorSetSyncSchedule withOpsThrottle(String paramString)
  {
    this.opsThrottle = paramString;
    return this;
  }

  @Input("source-location")
  @Type("string")
  public void setSourceLocation(String paramString)
  {
    this.sourceLocation = paramString;
  }

  public String getSourceLocation()
  {
    return this.sourceLocation;
  }

  public SnapmirrorSetSyncSchedule withSourceLocation(String paramString)
  {
    this.sourceLocation = paramString;
    return this;
  }

  @Input("sync-mode")
  @Type("string")
  @Optional
  public void setSyncMode(String paramString)
  {
    this.syncMode = paramString;
  }

  public String getSyncMode()
  {
    return this.syncMode;
  }

  public SnapmirrorSetSyncSchedule withSyncMode(String paramString)
  {
    this.syncMode = paramString;
    return this;
  }

  @Input("visibility-frequency")
  @Type("integer")
  public void setVisibilityFrequency(Long paramLong)
  {
    this.visibilityFrequency = paramLong;
  }

  public Long getVisibilityFrequency()
  {
    return this.visibilityFrequency;
  }

  public SnapmirrorSetSyncSchedule withVisibilityFrequency(Long paramLong)
  {
    this.visibilityFrequency = paramLong;
    return this;
  }
}