package com.netapp.filer.snapmirror;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.util.Date;

@Typedef("snapmirror-status-info")
public class SnapmirrorStatusInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String baseSnapshot;
  public String contents;
  public String currentTransferError;
  public String currentTransferType;
  public String destinationLocation;
  public Date lagTime;
  public Long lastTransferDuration;
  public String lastTransferFrom;
  public Long lastTransferSize;
  public String lastTransferType;
  public Date mirrorTimestamp;
  public String sourceLocation;
  public String state;
  public String status;
  public Long transferProgress;

  @Element("base-snapshot")
  @Type("string")
  @Optional
  public void setBaseSnapshot(String paramString)
  {
    this.baseSnapshot = paramString;
  }

  public String getBaseSnapshot()
  {
    return this.baseSnapshot;
  }

  public SnapmirrorStatusInfo withBaseSnapshot(String paramString)
  {
    this.baseSnapshot = paramString;
    return this;
  }

  @Element("contents")
  @Type("string")
  public void setContents(String paramString)
  {
    this.contents = paramString;
  }

  public String getContents()
  {
    return this.contents;
  }

  public SnapmirrorStatusInfo withContents(String paramString)
  {
    this.contents = paramString;
    return this;
  }

  @Element("current-transfer-error")
  @Type("string")
  @Optional
  public void setCurrentTransferError(String paramString)
  {
    this.currentTransferError = paramString;
  }

  public String getCurrentTransferError()
  {
    return this.currentTransferError;
  }

  public SnapmirrorStatusInfo withCurrentTransferError(String paramString)
  {
    this.currentTransferError = paramString;
    return this;
  }

  @Element("current-transfer-type")
  @Type("string")
  @Optional
  public void setCurrentTransferType(String paramString)
  {
    this.currentTransferType = paramString;
  }

  public String getCurrentTransferType()
  {
    return this.currentTransferType;
  }

  public SnapmirrorStatusInfo withCurrentTransferType(String paramString)
  {
    this.currentTransferType = paramString;
    return this;
  }

  @Element("destination-location")
  @Type("string")
  public void setDestinationLocation(String paramString)
  {
    this.destinationLocation = paramString;
  }

  public String getDestinationLocation()
  {
    return this.destinationLocation;
  }

  public SnapmirrorStatusInfo withDestinationLocation(String paramString)
  {
    this.destinationLocation = paramString;
    return this;
  }

  @Element("lag-time")
  @Type("integer")
  public void setLagTime(Date paramDate)
  {
    this.lagTime = paramDate;
  }

  public Date getLagTime()
  {
    return this.lagTime;
  }

  public SnapmirrorStatusInfo withLagTime(Date paramDate)
  {
    this.lagTime = paramDate;
    return this;
  }

  @Element("last-transfer-duration")
  @Type("integer")
  public void setLastTransferDuration(Long paramLong)
  {
    this.lastTransferDuration = paramLong;
  }

  public Long getLastTransferDuration()
  {
    return this.lastTransferDuration;
  }

  public SnapmirrorStatusInfo withLastTransferDuration(Long paramLong)
  {
    this.lastTransferDuration = paramLong;
    return this;
  }

  @Element("last-transfer-from")
  @Type("string")
  public void setLastTransferFrom(String paramString)
  {
    this.lastTransferFrom = paramString;
  }

  public String getLastTransferFrom()
  {
    return this.lastTransferFrom;
  }

  public SnapmirrorStatusInfo withLastTransferFrom(String paramString)
  {
    this.lastTransferFrom = paramString;
    return this;
  }

  @Element("last-transfer-size")
  @Type("integer")
  public void setLastTransferSize(Long paramLong)
  {
    this.lastTransferSize = paramLong;
  }

  public Long getLastTransferSize()
  {
    return this.lastTransferSize;
  }

  public SnapmirrorStatusInfo withLastTransferSize(Long paramLong)
  {
    this.lastTransferSize = paramLong;
    return this;
  }

  @Element("last-transfer-type")
  @Type("string")
  @Optional
  public void setLastTransferType(String paramString)
  {
    this.lastTransferType = paramString;
  }

  public String getLastTransferType()
  {
    return this.lastTransferType;
  }

  public SnapmirrorStatusInfo withLastTransferType(String paramString)
  {
    this.lastTransferType = paramString;
    return this;
  }

  @Element("mirror-timestamp")
  @Type("integer")
  public void setMirrorTimestamp(Date paramDate)
  {
    this.mirrorTimestamp = paramDate;
  }

  public Date getMirrorTimestamp()
  {
    return this.mirrorTimestamp;
  }

  public SnapmirrorStatusInfo withMirrorTimestamp(Date paramDate)
  {
    this.mirrorTimestamp = paramDate;
    return this;
  }

  @Element("source-location")
  @Type("string")
  public void setSourceLocation(String paramString)
  {
    this.sourceLocation = paramString;
  }

  public String getSourceLocation()
  {
    return this.sourceLocation;
  }

  public SnapmirrorStatusInfo withSourceLocation(String paramString)
  {
    this.sourceLocation = paramString;
    return this;
  }

  @Element("state")
  @Type("string")
  public void setState(String paramString)
  {
    this.state = paramString;
  }

  public String getState()
  {
    return this.state;
  }

  public SnapmirrorStatusInfo withState(String paramString)
  {
    this.state = paramString;
    return this;
  }

  @Element("status")
  @Type("string")
  public void setStatus(String paramString)
  {
    this.status = paramString;
  }

  public String getStatus()
  {
    return this.status;
  }

  public SnapmirrorStatusInfo withStatus(String paramString)
  {
    this.status = paramString;
    return this;
  }

  @Element("transfer-progress")
  @Type("integer")
  public void setTransferProgress(Long paramLong)
  {
    this.transferProgress = paramLong;
  }

  public Long getTransferProgress()
  {
    return this.transferProgress;
  }

  public SnapmirrorStatusInfo withTransferProgress(Long paramLong)
  {
    this.transferProgress = paramLong;
    return this;
  }
}