package com.netapp.filer.snapmirror;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;

@Typedef("snapmirror-sync-schedule-info")
public class SnapmirrorSyncScheduleInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String destinationLocation;
  public String opsThrottle;
  public SnapmirrorError snapmirrorError;
  public String sourceLocation;
  public String syncMode;
  public Long visibilityFrequency;

  @Element("destination-location")
  @Type("string")
  public void setDestinationLocation(String paramString)
  {
    this.destinationLocation = paramString;
  }

  public String getDestinationLocation()
  {
    return this.destinationLocation;
  }

  public SnapmirrorSyncScheduleInfo withDestinationLocation(String paramString)
  {
    this.destinationLocation = paramString;
    return this;
  }

  @Element("ops-throttle")
  @Type("string")
  @Optional
  public void setOpsThrottle(String paramString)
  {
    this.opsThrottle = paramString;
  }

  public String getOpsThrottle()
  {
    return this.opsThrottle;
  }

  public SnapmirrorSyncScheduleInfo withOpsThrottle(String paramString)
  {
    this.opsThrottle = paramString;
    return this;
  }

  @Element("snapmirror-error")
  @Type("snapmirror-error")
  @Optional
  public void setSnapmirrorError(SnapmirrorError paramSnapmirrorError)
  {
    this.snapmirrorError = paramSnapmirrorError;
  }

  public SnapmirrorError getSnapmirrorError()
  {
    return this.snapmirrorError;
  }

  public SnapmirrorSyncScheduleInfo withSnapmirrorError(SnapmirrorError paramSnapmirrorError)
  {
    this.snapmirrorError = paramSnapmirrorError;
    return this;
  }

  @Element("source-location")
  @Type("string")
  @Optional
  public void setSourceLocation(String paramString)
  {
    this.sourceLocation = paramString;
  }

  public String getSourceLocation()
  {
    return this.sourceLocation;
  }

  public SnapmirrorSyncScheduleInfo withSourceLocation(String paramString)
  {
    this.sourceLocation = paramString;
    return this;
  }

  @Element("sync-mode")
  @Type("string")
  public void setSyncMode(String paramString)
  {
    this.syncMode = paramString;
  }

  public String getSyncMode()
  {
    return this.syncMode;
  }

  public SnapmirrorSyncScheduleInfo withSyncMode(String paramString)
  {
    this.syncMode = paramString;
    return this;
  }

  @Element("visibility-frequency")
  @Type("integer")
  @Optional
  public void setVisibilityFrequency(Long paramLong)
  {
    this.visibilityFrequency = paramLong;
  }

  public Long getVisibilityFrequency()
  {
    return this.visibilityFrequency;
  }

  public SnapmirrorSyncScheduleInfo withVisibilityFrequency(Long paramLong)
  {
    this.visibilityFrequency = paramLong;
    return this;
  }
}