package com.netapp.filer.snapmirror;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("snapmirror-throttle")
@Status(StatusEnum.PUBLIC)
@Errno({"ESNAPMIRRORERR"})
@Family({"ontap-c", "vfiler"})
public class SnapmirrorThrottle
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String destinationLocation;
  public Long maxTransferRate;

  @Input("destination-location")
  @Type("string")
  public void setDestinationLocation(String paramString)
  {
    this.destinationLocation = paramString;
  }

  public String getDestinationLocation()
  {
    return this.destinationLocation;
  }

  public SnapmirrorThrottle withDestinationLocation(String paramString)
  {
    this.destinationLocation = paramString;
    return this;
  }

  @Input("max-transfer-rate")
  @Type("integer")
  public void setMaxTransferRate(Long paramLong)
  {
    this.maxTransferRate = paramLong;
  }

  public Long getMaxTransferRate()
  {
    return this.maxTransferRate;
  }

  public SnapmirrorThrottle withMaxTransferRate(Long paramLong)
  {
    this.maxTransferRate = paramLong;
    return this;
  }
}