package com.netapp.filer.snapshot;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("snapshot-delete")
@Status(StatusEnum.PUBLIC)
@Errno({"EAPIERROR", "EONTAPI_EAGAIN", "EONTAPI_EBUSY", "EONTAPI_EROFS", "ESNAPSHOTDOESNOTEXIST", "ESNAPSHOTNOTALLOWED", "EVOLUMEDOESNOTEXIST", "EVOLUMEMOUNTING", "EVOLUMEOFFLINE"})
@Family({"ontap-c", "vfiler"})
public class SnapshotDelete
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String snapshot;
  public String volume;

  @Input("snapshot")
  @Type("string")
  public void setSnapshot(String paramString)
  {
    this.snapshot = paramString;
  }

  public String getSnapshot()
  {
    return this.snapshot;
  }

  public SnapshotDelete withSnapshot(String paramString)
  {
    this.snapshot = paramString;
    return this;
  }

  @Input("volume")
  @Type("string")
  public void setVolume(String paramString)
  {
    this.volume = paramString;
  }

  public String getVolume()
  {
    return this.volume;
  }

  public SnapshotDelete withVolume(String paramString)
  {
    this.volume = paramString;
    return this;
  }
}