package com.netapp.filer.snapshot;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("snapshot-get-schedule")
@Status(StatusEnum.PUBLIC)
@Errno({"ESNAPSHOTDOESNOTEXIST", "EVOLUMEDOESNOTEXIST", "EVOLUMEMOUNTING", "EVOLUMEOFFLINE"})
@Family({"ontap-c", "vfiler"})
public class SnapshotGetSchedule
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Long days;
  public Long hours;
  public Long minutes;
  public String volume;
  public Long weeks;
  public String whichHours;
  public String whichMinutes;

  @Output("days")
  @Type("integer")
  public void setDays(Long paramLong)
  {
    this.days = paramLong;
  }

  public Long getDays()
  {
    return this.days;
  }

  public SnapshotGetSchedule withDays(Long paramLong)
  {
    this.days = paramLong;
    return this;
  }

  @Output("hours")
  @Type("integer")
  public void setHours(Long paramLong)
  {
    this.hours = paramLong;
  }

  public Long getHours()
  {
    return this.hours;
  }

  public SnapshotGetSchedule withHours(Long paramLong)
  {
    this.hours = paramLong;
    return this;
  }

  @Output("minutes")
  @Type("integer")
  public void setMinutes(Long paramLong)
  {
    this.minutes = paramLong;
  }

  public Long getMinutes()
  {
    return this.minutes;
  }

  public SnapshotGetSchedule withMinutes(Long paramLong)
  {
    this.minutes = paramLong;
    return this;
  }

  @Input("volume")
  @Type("string")
  public void setVolume(String paramString)
  {
    this.volume = paramString;
  }

  public String getVolume()
  {
    return this.volume;
  }

  public SnapshotGetSchedule withVolume(String paramString)
  {
    this.volume = paramString;
    return this;
  }

  @Output("weeks")
  @Type("integer")
  public void setWeeks(Long paramLong)
  {
    this.weeks = paramLong;
  }

  public Long getWeeks()
  {
    return this.weeks;
  }

  public SnapshotGetSchedule withWeeks(Long paramLong)
  {
    this.weeks = paramLong;
    return this;
  }

  @Output("which-hours")
  @Type("string")
  public void setWhichHours(String paramString)
  {
    this.whichHours = paramString;
  }

  public String getWhichHours()
  {
    return this.whichHours;
  }

  public SnapshotGetSchedule withWhichHours(String paramString)
  {
    this.whichHours = paramString;
    return this;
  }

  @Output("which-minutes")
  @Type("string")
  public void setWhichMinutes(String paramString)
  {
    this.whichMinutes = paramString;
  }

  public String getWhichMinutes()
  {
    return this.whichMinutes;
  }

  public SnapshotGetSchedule withWhichMinutes(String paramString)
  {
    this.whichMinutes = paramString;
    return this;
  }
}