package com.netapp.filer.snapshot;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Date;
import java.util.List;

@Typedef("snapshot-info")
public class SnapshotInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Date accessTime;
  public Boolean busy;
  public Boolean containsLunClones;
  public Long cumulativePercentageOfTotalBlocks;
  public Long cumulativePercentageOfUsedBlocks;
  public Long cumulativeTotal;
  public String dependency;
  public String name;
  public Long percentageOfTotalBlocks;
  public Long percentageOfUsedBlocks;
  public List<SnapshotOwner> snapshotOwnersList;
  public Long total;

  @Element("access-time")
  @Type("integer")
  public void setAccessTime(Date paramDate)
  {
    this.accessTime = paramDate;
  }

  public Date getAccessTime()
  {
    return this.accessTime;
  }

  public SnapshotInfo withAccessTime(Date paramDate)
  {
    this.accessTime = paramDate;
    return this;
  }

  @Element("busy")
  @Type("boolean")
  public void setBusy(Boolean paramBoolean)
  {
    this.busy = paramBoolean;
  }

  public Boolean isBusy()
  {
    return this.busy;
  }

  public SnapshotInfo withBusy(Boolean paramBoolean)
  {
    this.busy = paramBoolean;
    return this;
  }

  @Element("contains-lun-clones")
  @Type("boolean")
  @Optional
  public void setContainsLunClones(Boolean paramBoolean)
  {
    this.containsLunClones = paramBoolean;
  }

  public Boolean isContainsLunClones()
  {
    return this.containsLunClones;
  }

  public SnapshotInfo withContainsLunClones(Boolean paramBoolean)
  {
    this.containsLunClones = paramBoolean;
    return this;
  }

  @Element("cumulative-percentage-of-total-blocks")
  @Type("integer")
  public void setCumulativePercentageOfTotalBlocks(Long paramLong)
  {
    this.cumulativePercentageOfTotalBlocks = paramLong;
  }

  public Long getCumulativePercentageOfTotalBlocks()
  {
    return this.cumulativePercentageOfTotalBlocks;
  }

  public SnapshotInfo withCumulativePercentageOfTotalBlocks(Long paramLong)
  {
    this.cumulativePercentageOfTotalBlocks = paramLong;
    return this;
  }

  @Element("cumulative-percentage-of-used-blocks")
  @Type("integer")
  public void setCumulativePercentageOfUsedBlocks(Long paramLong)
  {
    this.cumulativePercentageOfUsedBlocks = paramLong;
  }

  public Long getCumulativePercentageOfUsedBlocks()
  {
    return this.cumulativePercentageOfUsedBlocks;
  }

  public SnapshotInfo withCumulativePercentageOfUsedBlocks(Long paramLong)
  {
    this.cumulativePercentageOfUsedBlocks = paramLong;
    return this;
  }

  @Element("cumulative-total")
  @Type("integer")
  public void setCumulativeTotal(Long paramLong)
  {
    this.cumulativeTotal = paramLong;
  }

  public Long getCumulativeTotal()
  {
    return this.cumulativeTotal;
  }

  public SnapshotInfo withCumulativeTotal(Long paramLong)
  {
    this.cumulativeTotal = paramLong;
    return this;
  }

  @Element("dependency")
  @Type("string")
  public void setDependency(String paramString)
  {
    this.dependency = paramString;
  }

  public String getDependency()
  {
    return this.dependency;
  }

  public SnapshotInfo withDependency(String paramString)
  {
    this.dependency = paramString;
    return this;
  }

  @Element("name")
  @Type("string")
  public void setName(String paramString)
  {
    this.name = paramString;
  }

  public String getName()
  {
    return this.name;
  }

  public SnapshotInfo withName(String paramString)
  {
    this.name = paramString;
    return this;
  }

  @Element("percentage-of-total-blocks")
  @Type("integer")
  public void setPercentageOfTotalBlocks(Long paramLong)
  {
    this.percentageOfTotalBlocks = paramLong;
  }

  public Long getPercentageOfTotalBlocks()
  {
    return this.percentageOfTotalBlocks;
  }

  public SnapshotInfo withPercentageOfTotalBlocks(Long paramLong)
  {
    this.percentageOfTotalBlocks = paramLong;
    return this;
  }

  @Element("percentage-of-used-blocks")
  @Type("integer")
  public void setPercentageOfUsedBlocks(Long paramLong)
  {
    this.percentageOfUsedBlocks = paramLong;
  }

  public Long getPercentageOfUsedBlocks()
  {
    return this.percentageOfUsedBlocks;
  }

  public SnapshotInfo withPercentageOfUsedBlocks(Long paramLong)
  {
    this.percentageOfUsedBlocks = paramLong;
    return this;
  }

  @Element("snapshot-owners-list")
  @Type("snapshot-owner[]")
  @Optional
  public void setSnapshotOwnersList(List<SnapshotOwner> paramList)
  {
    this.snapshotOwnersList = paramList;
  }

  public List<SnapshotOwner> getSnapshotOwnersList()
  {
    return this.snapshotOwnersList;
  }

  public SnapshotInfo withSnapshotOwnersList(List<SnapshotOwner> paramList)
  {
    this.snapshotOwnersList = paramList;
    return this;
  }

  public SnapshotInfo withSnapshotOwnersList(SnapshotOwner[] paramArrayOfSnapshotOwner)
  {
    this.snapshotOwnersList = new ArrayList(Arrays.asList(paramArrayOfSnapshotOwner));
    return this;
  }

  @Element("total")
  @Type("integer")
  public void setTotal(Long paramLong)
  {
    this.total = paramLong;
  }

  public Long getTotal()
  {
    return this.total;
  }

  public SnapshotInfo withTotal(Long paramLong)
  {
    this.total = paramLong;
    return this;
  }
}