package com.netapp.filer.snapshot;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("snapshot-list-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EVOLUMEDOESNOTEXIST", "EVOLUMEMOUNTING", "EVOLUMEOFFLINE"})
@Family({"ontap-c", "vfiler"})
public class SnapshotListInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Boolean lunCloneSnapshot;
  public Boolean snapowners;
  public List<SnapshotInfo> snapshots;
  public String targetName;
  public String targetType;
  public Boolean terse;
  public String volume;

  @Input("lun-clone-snapshot")
  @Type("boolean")
  @Optional
  public void setLunCloneSnapshot(Boolean paramBoolean)
  {
    this.lunCloneSnapshot = paramBoolean;
  }

  public Boolean isLunCloneSnapshot()
  {
    return this.lunCloneSnapshot;
  }

  public SnapshotListInfo withLunCloneSnapshot(Boolean paramBoolean)
  {
    this.lunCloneSnapshot = paramBoolean;
    return this;
  }

  @Input("snapowners")
  @Type("boolean")
  @Optional
  public void setSnapowners(Boolean paramBoolean)
  {
    this.snapowners = paramBoolean;
  }

  public Boolean isSnapowners()
  {
    return this.snapowners;
  }

  public SnapshotListInfo withSnapowners(Boolean paramBoolean)
  {
    this.snapowners = paramBoolean;
    return this;
  }

  @Output("snapshots")
  @Type("snapshot-info[]")
  public void setSnapshots(List<SnapshotInfo> paramList)
  {
    this.snapshots = paramList;
  }

  public List<SnapshotInfo> getSnapshots()
  {
    return this.snapshots;
  }

  public SnapshotListInfo withSnapshots(List<SnapshotInfo> paramList)
  {
    this.snapshots = paramList;
    return this;
  }

  public SnapshotListInfo withSnapshots(SnapshotInfo[] paramArrayOfSnapshotInfo)
  {
    this.snapshots = new ArrayList(Arrays.asList(paramArrayOfSnapshotInfo));
    return this;
  }

  @Input("target-name")
  @Type("string")
  @Optional
  public void setTargetName(String paramString)
  {
    this.targetName = paramString;
  }

  public String getTargetName()
  {
    return this.targetName;
  }

  public SnapshotListInfo withTargetName(String paramString)
  {
    this.targetName = paramString;
    return this;
  }

  @Input("target-type")
  @Type("string")
  @Optional
  public void setTargetType(String paramString)
  {
    this.targetType = paramString;
  }

  public String getTargetType()
  {
    return this.targetType;
  }

  public SnapshotListInfo withTargetType(String paramString)
  {
    this.targetType = paramString;
    return this;
  }

  @Input("terse")
  @Type("boolean")
  @Optional
  public void setTerse(Boolean paramBoolean)
  {
    this.terse = paramBoolean;
  }

  public Boolean isTerse()
  {
    return this.terse;
  }

  public SnapshotListInfo withTerse(Boolean paramBoolean)
  {
    this.terse = paramBoolean;
    return this;
  }

  @Input("volume")
  @Type("string")
  @Optional
  public void setVolume(String paramString)
  {
    this.volume = paramString;
  }

  public String getVolume()
  {
    return this.volume;
  }

  public SnapshotListInfo withVolume(String paramString)
  {
    this.volume = paramString;
    return this;
  }
}