package com.netapp.filer.snapshot;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("snapshot-multicreate-validate")
@Status(StatusEnum.PUBLIC)
@Errno({"EONTAPI_EINVAL", "EOPNOTSUPPORTED", "EVOLUMEDOESNOTEXIST", "EVOLUMEMOUNTING", "EVOLUMEOFFLINE"})
@Family({"ontap-c", "vfiler"})
public class SnapshotMulticreateValidate
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String snapshot;
  public List<VolumeError> volumeErrors;
  public List<String> volumeNames;

  @Input("snapshot")
  @Type("string")
  public void setSnapshot(String paramString)
  {
    this.snapshot = paramString;
  }

  public String getSnapshot()
  {
    return this.snapshot;
  }

  public SnapshotMulticreateValidate withSnapshot(String paramString)
  {
    this.snapshot = paramString;
    return this;
  }

  @Output("volume-errors")
  @Type("volume-error[]")
  public void setVolumeErrors(List<VolumeError> paramList)
  {
    this.volumeErrors = paramList;
  }

  public List<VolumeError> getVolumeErrors()
  {
    return this.volumeErrors;
  }

  public SnapshotMulticreateValidate withVolumeErrors(List<VolumeError> paramList)
  {
    this.volumeErrors = paramList;
    return this;
  }

  public SnapshotMulticreateValidate withVolumeErrors(VolumeError[] paramArrayOfVolumeError)
  {
    this.volumeErrors = new ArrayList(Arrays.asList(paramArrayOfVolumeError));
    return this;
  }

  @Input("volume-names")
  @Type("volume-name[]")
  public void setVolumeNames(List<String> paramList)
  {
    this.volumeNames = paramList;
  }

  public List<String> getVolumeNames()
  {
    return this.volumeNames;
  }

  public SnapshotMulticreateValidate withVolumeNames(List<String> paramList)
  {
    this.volumeNames = paramList;
    return this;
  }

  public SnapshotMulticreateValidate withVolumeNames(String[] paramArrayOfString)
  {
    this.volumeNames = new ArrayList(Arrays.asList(paramArrayOfString));
    return this;
  }
}