package com.netapp.filer.snapshot;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("snapshot-restore-file")
@Status(StatusEnum.PUBLIC)
@Errno({"EINVALIDINPUTERROR", "EONTAPI_EBUSY", "EVOLUMEDOESNOTEXIST"})
@Family({"ontap-c", "vfiler"})
public class SnapshotRestoreFile
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String path;
  public String restorePath;
  public String snapshot;
  public Boolean spaceEfficientSplitDisabled;

  @Input("path")
  @Type("string")
  public void setPath(String paramString)
  {
    this.path = paramString;
  }

  public String getPath()
  {
    return this.path;
  }

  public SnapshotRestoreFile withPath(String paramString)
  {
    this.path = paramString;
    return this;
  }

  @Input("restore-path")
  @Type("string")
  @Optional
  public void setRestorePath(String paramString)
  {
    this.restorePath = paramString;
  }

  public String getRestorePath()
  {
    return this.restorePath;
  }

  public SnapshotRestoreFile withRestorePath(String paramString)
  {
    this.restorePath = paramString;
    return this;
  }

  @Input("snapshot")
  @Type("string")
  public void setSnapshot(String paramString)
  {
    this.snapshot = paramString;
  }

  public String getSnapshot()
  {
    return this.snapshot;
  }

  public SnapshotRestoreFile withSnapshot(String paramString)
  {
    this.snapshot = paramString;
    return this;
  }

  @Input("space-efficient-split-disabled")
  @Type("boolean")
  @Optional
  public void setSpaceEfficientSplitDisabled(Boolean paramBoolean)
  {
    this.spaceEfficientSplitDisabled = paramBoolean;
  }

  public Boolean isSpaceEfficientSplitDisabled()
  {
    return this.spaceEfficientSplitDisabled;
  }

  public SnapshotRestoreFile withSpaceEfficientSplitDisabled(Boolean paramBoolean)
  {
    this.spaceEfficientSplitDisabled = paramBoolean;
    return this;
  }
}