package com.netapp.filer.snapshot;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("snapshot-restore-file-info")
@Status(StatusEnum.PUBLIC)
@Family({"ontap-c", "vfiler"})
public class SnapshotRestoreFileInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Long maxSfsrLimit;
  public Long sfsrInProgress;

  @Output("max-sfsr-limit")
  @Type("integer")
  public void setMaxSfsrLimit(Long paramLong)
  {
    this.maxSfsrLimit = paramLong;
  }

  public Long getMaxSfsrLimit()
  {
    return this.maxSfsrLimit;
  }

  public SnapshotRestoreFileInfo withMaxSfsrLimit(Long paramLong)
  {
    this.maxSfsrLimit = paramLong;
    return this;
  }

  @Output("sfsr-in-progress")
  @Type("integer")
  public void setSfsrInProgress(Long paramLong)
  {
    this.sfsrInProgress = paramLong;
  }

  public Long getSfsrInProgress()
  {
    return this.sfsrInProgress;
  }

  public SnapshotRestoreFileInfo withSfsrInProgress(Long paramLong)
  {
    this.sfsrInProgress = paramLong;
    return this;
  }
}