package com.netapp.filer.snapshot;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("snapshot-set-reserve")
@Status(StatusEnum.PUBLIC)
@Errno({"EINVALIDINPUTERROR", "EONTAPI_ENOSPC", "EVOLUMECREATING", "EVOLUMEDOESNOTEXIST", "EVOLUMENOTONLINE"})
@Family({"ontap-c", "vfiler"})
public class SnapshotSetReserve
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Long percentage;
  public String volume;

  @Input("percentage")
  @Type("integer")
  public void setPercentage(Long paramLong)
  {
    this.percentage = paramLong;
  }

  public Long getPercentage()
  {
    return this.percentage;
  }

  public SnapshotSetReserve withPercentage(Long paramLong)
  {
    this.percentage = paramLong;
    return this;
  }

  @Input("volume")
  @Type("string")
  public void setVolume(String paramString)
  {
    this.volume = paramString;
  }

  public String getVolume()
  {
    return this.volume;
  }

  public SnapshotSetReserve withVolume(String paramString)
  {
    this.volume = paramString;
    return this;
  }
}