package com.netapp.filer.snapshot;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("snapshot-set-schedule")
@Status(StatusEnum.PUBLIC)
@Errno({"EINVAL", "ESNAPSHOTDOESNOTEXIST", "ESNAPSHOTTOOMANY", "EVOLUMEDOESNOTEXIST", "EVOLUMEMOUNTING", "EVOLUMEOFFLINE"})
@Family({"ontap-c", "vfiler"})
public class SnapshotSetSchedule
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Long days;
  public Long hours;
  public Long minutes;
  public String volume;
  public Long weeks;
  public String whichHours;
  public String whichMinutes;

  @Input("days")
  @Type("integer")
  @Optional
  public void setDays(Long paramLong)
  {
    this.days = paramLong;
  }

  public Long getDays()
  {
    return this.days;
  }

  public SnapshotSetSchedule withDays(Long paramLong)
  {
    this.days = paramLong;
    return this;
  }

  @Input("hours")
  @Type("integer")
  @Optional
  public void setHours(Long paramLong)
  {
    this.hours = paramLong;
  }

  public Long getHours()
  {
    return this.hours;
  }

  public SnapshotSetSchedule withHours(Long paramLong)
  {
    this.hours = paramLong;
    return this;
  }

  @Input("minutes")
  @Type("integer")
  @Optional
  public void setMinutes(Long paramLong)
  {
    this.minutes = paramLong;
  }

  public Long getMinutes()
  {
    return this.minutes;
  }

  public SnapshotSetSchedule withMinutes(Long paramLong)
  {
    this.minutes = paramLong;
    return this;
  }

  @Input("volume")
  @Type("string")
  public void setVolume(String paramString)
  {
    this.volume = paramString;
  }

  public String getVolume()
  {
    return this.volume;
  }

  public SnapshotSetSchedule withVolume(String paramString)
  {
    this.volume = paramString;
    return this;
  }

  @Input("weeks")
  @Type("integer")
  @Optional
  public void setWeeks(Long paramLong)
  {
    this.weeks = paramLong;
  }

  public Long getWeeks()
  {
    return this.weeks;
  }

  public SnapshotSetSchedule withWeeks(Long paramLong)
  {
    this.weeks = paramLong;
    return this;
  }

  @Input("which-hours")
  @Type("string")
  @Optional
  public void setWhichHours(String paramString)
  {
    this.whichHours = paramString;
  }

  public String getWhichHours()
  {
    return this.whichHours;
  }

  public SnapshotSetSchedule withWhichHours(String paramString)
  {
    this.whichHours = paramString;
    return this;
  }

  @Input("which-minutes")
  @Type("string")
  @Optional
  public void setWhichMinutes(String paramString)
  {
    this.whichMinutes = paramString;
  }

  public String getWhichMinutes()
  {
    return this.whichMinutes;
  }

  public SnapshotSetSchedule withWhichMinutes(String paramString)
  {
    this.whichMinutes = paramString;
    return this;
  }
}