package com.netapp.filer.snapshot;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;

@Typedef("volume-error")
public class VolumeError
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Long errno;
  public String name;
  public String reason;

  @Element("errno")
  @Type("integer")
  @Optional
  public void setErrno(Long paramLong)
  {
    this.errno = paramLong;
  }

  public Long getErrno()
  {
    return this.errno;
  }

  public VolumeError withErrno(Long paramLong)
  {
    this.errno = paramLong;
    return this;
  }

  @Element("name")
  @Type("volume-name")
  public void setName(String paramString)
  {
    this.name = paramString;
  }

  public String getName()
  {
    return this.name;
  }

  public VolumeError withName(String paramString)
  {
    this.name = paramString;
    return this;
  }

  @Element("reason")
  @Type("string")
  @Optional
  public void setReason(String paramString)
  {
    this.reason = paramString;
  }

  public String getReason()
  {
    return this.reason;
  }

  public VolumeError withReason(String paramString)
  {
    this.reason = paramString;
    return this;
  }
}