package com.netapp.filer.snapvault;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;

@Typedef("snapvault-configuration-info")
public class SnapvaultConfigurationInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Boolean accessTimeChangeIgnored;
  public Boolean openFileBackupAllowed;
  public Boolean primaryPathUtf8Encoded;
  public Long maxTransferRate;
  public String primaryPath;
  public String primarySystem;
  public String secondaryPath;
  public Integer triesCount;
  public String useCompression;

  @Element("is-access-time-change-ignored")
  @Type("boolean")
  @Optional
  public void setAccessTimeChangeIgnored(Boolean paramBoolean)
  {
    this.accessTimeChangeIgnored = paramBoolean;
  }

  public Boolean isAccessTimeChangeIgnored()
  {
    return this.accessTimeChangeIgnored;
  }

  public SnapvaultConfigurationInfo withAccessTimeChangeIgnored(Boolean paramBoolean)
  {
    this.accessTimeChangeIgnored = paramBoolean;
    return this;
  }

  @Element("is-open-file-backup-allowed")
  @Type("boolean")
  @Optional
  public void setOpenFileBackupAllowed(Boolean paramBoolean)
  {
    this.openFileBackupAllowed = paramBoolean;
  }

  public Boolean isOpenFileBackupAllowed()
  {
    return this.openFileBackupAllowed;
  }

  public SnapvaultConfigurationInfo withOpenFileBackupAllowed(Boolean paramBoolean)
  {
    this.openFileBackupAllowed = paramBoolean;
    return this;
  }

  @Element("is-primary-path-utf8-encoded")
  @Type("boolean")
  @Optional
  public void setPrimaryPathUtf8Encoded(Boolean paramBoolean)
  {
    this.primaryPathUtf8Encoded = paramBoolean;
  }

  public Boolean isPrimaryPathUtf8Encoded()
  {
    return this.primaryPathUtf8Encoded;
  }

  public SnapvaultConfigurationInfo withPrimaryPathUtf8Encoded(Boolean paramBoolean)
  {
    this.primaryPathUtf8Encoded = paramBoolean;
    return this;
  }

  @Element("max-transfer-rate")
  @Type("integer")
  @Optional
  @Range(min="1", max="2^32-1")
  public void setMaxTransferRate(Long paramLong)
  {
    this.maxTransferRate = paramLong;
  }

  public Long getMaxTransferRate()
  {
    return this.maxTransferRate;
  }

  public SnapvaultConfigurationInfo withMaxTransferRate(Long paramLong)
  {
    this.maxTransferRate = paramLong;
    return this;
  }

  @Element("primary-path")
  @Type("string")
  public void setPrimaryPath(String paramString)
  {
    this.primaryPath = paramString;
  }

  public String getPrimaryPath()
  {
    return this.primaryPath;
  }

  public SnapvaultConfigurationInfo withPrimaryPath(String paramString)
  {
    this.primaryPath = paramString;
    return this;
  }

  @Element("primary-system")
  @Type("string")
  public void setPrimarySystem(String paramString)
  {
    this.primarySystem = paramString;
  }

  public String getPrimarySystem()
  {
    return this.primarySystem;
  }

  public SnapvaultConfigurationInfo withPrimarySystem(String paramString)
  {
    this.primarySystem = paramString;
    return this;
  }

  @Element("secondary-path")
  @Type("string")
  public void setSecondaryPath(String paramString)
  {
    this.secondaryPath = paramString;
  }

  public String getSecondaryPath()
  {
    return this.secondaryPath;
  }

  public SnapvaultConfigurationInfo withSecondaryPath(String paramString)
  {
    this.secondaryPath = paramString;
    return this;
  }

  @Element("tries-count")
  @Type("integer")
  @Optional
  @Range(min="0", max="120")
  public void setTriesCount(Integer paramInteger)
  {
    this.triesCount = paramInteger;
  }

  public Integer getTriesCount()
  {
    return this.triesCount;
  }

  public SnapvaultConfigurationInfo withTriesCount(Integer paramInteger)
  {
    this.triesCount = paramInteger;
    return this;
  }

  @Element("use-compression")
  @Type("string")
  @Optional
  public void setUseCompression(String paramString)
  {
    this.useCompression = paramString;
  }

  public String getUseCompression()
  {
    return this.useCompression;
  }

  public SnapvaultConfigurationInfo withUseCompression(String paramString)
  {
    this.useCompression = paramString;
    return this;
  }
}