package com.netapp.filer.snapvault;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("snapvault-get-all-softlocked-snapshots")
@Status(StatusEnum.PUBLIC)
@Errno({"ESNAPVAULTERR"})
@Family({"ontap-c"})
public class SnapvaultGetAllSoftlockedSnapshots
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<String> snapshotList;
  public String volume;

  @Output("snapshot-list")
  @Type("snapshot-name[]")
  @Optional
  public void setSnapshotList(List<String> paramList)
  {
    this.snapshotList = paramList;
  }

  public List<String> getSnapshotList()
  {
    return this.snapshotList;
  }

  public SnapvaultGetAllSoftlockedSnapshots withSnapshotList(List<String> paramList)
  {
    this.snapshotList = paramList;
    return this;
  }

  public SnapvaultGetAllSoftlockedSnapshots withSnapshotList(String[] paramArrayOfString)
  {
    this.snapshotList = new ArrayList(Arrays.asList(paramArrayOfString));
    return this;
  }

  @Input("volume")
  @Type("string")
  public void setVolume(String paramString)
  {
    this.volume = paramString;
  }

  public String getVolume()
  {
    return this.volume;
  }

  public SnapvaultGetAllSoftlockedSnapshots withVolume(String paramString)
  {
    this.volume = paramString;
    return this;
  }
}