package com.netapp.filer.snapvault;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("snapvault-primary-destinations-list-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EAPILICENSE", "ESNAPVAULTERR", "ESNAPVAULTRESOURCE", "ESNAPVAULTSETUP"})
@Family({"ontap-c", "vfiler"})
public class SnapvaultPrimaryDestinationsListInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<SnapvaultDestinationInfo> destinations;
  public String sourcePath;

  @Output("destinations")
  @Type("snapvault-destination-info[]")
  public void setDestinations(List<SnapvaultDestinationInfo> paramList)
  {
    this.destinations = paramList;
  }

  public List<SnapvaultDestinationInfo> getDestinations()
  {
    return this.destinations;
  }

  public SnapvaultPrimaryDestinationsListInfo withDestinations(List<SnapvaultDestinationInfo> paramList)
  {
    this.destinations = paramList;
    return this;
  }

  public SnapvaultPrimaryDestinationsListInfo withDestinations(SnapvaultDestinationInfo[] paramArrayOfSnapvaultDestinationInfo)
  {
    this.destinations = new ArrayList(Arrays.asList(paramArrayOfSnapvaultDestinationInfo));
    return this;
  }

  @Input("source-path")
  @Type("string")
  @Optional
  public void setSourcePath(String paramString)
  {
    this.sourcePath = paramString;
  }

  public String getSourcePath()
  {
    return this.sourcePath;
  }

  public SnapvaultPrimaryDestinationsListInfo withSourcePath(String paramString)
  {
    this.sourcePath = paramString;
    return this;
  }
}