package com.netapp.filer.snapvault;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("snapvault-primary-relationship-status-list-iter-next")
@Status(StatusEnum.PUBLIC)
@Errno({"EAPILICENSE", "ESNAPVAULTERR", "ESNAPVAULTRESOURCE", "ESNAPVAULTSETUP"})
@Family({"ontap-c", "vfiler"})
public class SnapvaultPrimaryRelationshipStatusListIterNext
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Long maximum;
  public Long records;
  public List<SnapvaultStatusInfo> statusList;
  public String tag;

  @Input("maximum")
  @Type("integer")
  @Range(min="0", max="2^32-1")
  public void setMaximum(Long paramLong)
  {
    this.maximum = paramLong;
  }

  public Long getMaximum()
  {
    return this.maximum;
  }

  public SnapvaultPrimaryRelationshipStatusListIterNext withMaximum(Long paramLong)
  {
    this.maximum = paramLong;
    return this;
  }

  @Output("records")
  @Type("integer")
  @Range(min="0", max="2^32-1")
  public void setRecords(Long paramLong)
  {
    this.records = paramLong;
  }

  public Long getRecords()
  {
    return this.records;
  }

  public SnapvaultPrimaryRelationshipStatusListIterNext withRecords(Long paramLong)
  {
    this.records = paramLong;
    return this;
  }

  @Output("status-list")
  @Type("snapvault-status-info[]")
  @Optional
  public void setStatusList(List<SnapvaultStatusInfo> paramList)
  {
    this.statusList = paramList;
  }

  public List<SnapvaultStatusInfo> getStatusList()
  {
    return this.statusList;
  }

  public SnapvaultPrimaryRelationshipStatusListIterNext withStatusList(List<SnapvaultStatusInfo> paramList)
  {
    this.statusList = paramList;
    return this;
  }

  public SnapvaultPrimaryRelationshipStatusListIterNext withStatusList(SnapvaultStatusInfo[] paramArrayOfSnapvaultStatusInfo)
  {
    this.statusList = new ArrayList(Arrays.asList(paramArrayOfSnapvaultStatusInfo));
    return this;
  }

  @Input("tag")
  @Type("string")
  public void setTag(String paramString)
  {
    this.tag = paramString;
  }

  public String getTag()
  {
    return this.tag;
  }

  public SnapvaultPrimaryRelationshipStatusListIterNext withTag(String paramString)
  {
    this.tag = paramString;
    return this;
  }
}