package com.netapp.filer.snapvault;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("snapvault-primary-release-relationship")
@Status(StatusEnum.PUBLIC)
@Errno({"EAPILICENSE", "ESNAPVAULTBUSY", "ESNAPVAULTERR", "ESNAPVAULTRESOURCE", "ESNAPVAULTSETUP"})
@Family({"ontap-c", "vfiler"})
public class SnapvaultPrimaryReleaseRelationship
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String primaryPath;
  public String secondaryPath;
  public String secondarySystem;

  @Input("primary-path")
  @Type("string")
  public void setPrimaryPath(String paramString)
  {
    this.primaryPath = paramString;
  }

  public String getPrimaryPath()
  {
    return this.primaryPath;
  }

  public SnapvaultPrimaryReleaseRelationship withPrimaryPath(String paramString)
  {
    this.primaryPath = paramString;
    return this;
  }

  @Input("secondary-path")
  @Type("string")
  public void setSecondaryPath(String paramString)
  {
    this.secondaryPath = paramString;
  }

  public String getSecondaryPath()
  {
    return this.secondaryPath;
  }

  public SnapvaultPrimaryReleaseRelationship withSecondaryPath(String paramString)
  {
    this.secondaryPath = paramString;
    return this;
  }

  @Input("secondary-system")
  @Type("string")
  public void setSecondarySystem(String paramString)
  {
    this.secondarySystem = paramString;
  }

  public String getSecondarySystem()
  {
    return this.secondarySystem;
  }

  public SnapvaultPrimaryReleaseRelationship withSecondarySystem(String paramString)
  {
    this.secondarySystem = paramString;
    return this;
  }
}