package com.netapp.filer.snapvault;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;

@Typedef("snapvault-primary-snapshot-schedule-info")
public class SnapvaultPrimarySnapshotScheduleInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public SnapvaultScheduleOptions options;
  public Integer retentionCount;
  public SnapvaultScheduleInfo schedule;
  public String scheduleName;
  public String volumeName;

  @Element("options")
  @Type("snapvault-schedule-options")
  @Optional
  public void setOptions(SnapvaultScheduleOptions paramSnapvaultScheduleOptions)
  {
    this.options = paramSnapvaultScheduleOptions;
  }

  public SnapvaultScheduleOptions getOptions()
  {
    return this.options;
  }

  public SnapvaultPrimarySnapshotScheduleInfo withOptions(SnapvaultScheduleOptions paramSnapvaultScheduleOptions)
  {
    this.options = paramSnapvaultScheduleOptions;
    return this;
  }

  @Element("retention-count")
  @Type("integer")
  @Range(min="0", max="254")
  public void setRetentionCount(Integer paramInteger)
  {
    this.retentionCount = paramInteger;
  }

  public Integer getRetentionCount()
  {
    return this.retentionCount;
  }

  public SnapvaultPrimarySnapshotScheduleInfo withRetentionCount(Integer paramInteger)
  {
    this.retentionCount = paramInteger;
    return this;
  }

  @Element("schedule")
  @Type("snapvault-schedule-info")
  @Optional
  public void setSchedule(SnapvaultScheduleInfo paramSnapvaultScheduleInfo)
  {
    this.schedule = paramSnapvaultScheduleInfo;
  }

  public SnapvaultScheduleInfo getSchedule()
  {
    return this.schedule;
  }

  public SnapvaultPrimarySnapshotScheduleInfo withSchedule(SnapvaultScheduleInfo paramSnapvaultScheduleInfo)
  {
    this.schedule = paramSnapvaultScheduleInfo;
    return this;
  }

  @Element("schedule-name")
  @Type("string")
  public void setScheduleName(String paramString)
  {
    this.scheduleName = paramString;
  }

  public String getScheduleName()
  {
    return this.scheduleName;
  }

  public SnapvaultPrimarySnapshotScheduleInfo withScheduleName(String paramString)
  {
    this.scheduleName = paramString;
    return this;
  }

  @Element("volume-name")
  @Type("string")
  public void setVolumeName(String paramString)
  {
    this.volumeName = paramString;
  }

  public String getVolumeName()
  {
    return this.volumeName;
  }

  public SnapvaultPrimarySnapshotScheduleInfo withVolumeName(String paramString)
  {
    this.volumeName = paramString;
    return this;
  }
}