package com.netapp.filer.snapvault;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("snapvault-primary-snapshot-schedule-status-list-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EAPILICENSE", "ESNAPVAULTERR", "ESNAPVAULTRESOURCE", "ESNAPVAULTSETUP"})
@Family({"ontap-c", "vfiler"})
public class SnapvaultPrimarySnapshotScheduleStatusListInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<SnapvaultSnapshotScheduleStatusInfo> snapshotScheduleStatus;
  public String volumeName;

  @Output("snapshot-schedule-status")
  @Type("snapvault-snapshot-schedule-status-info[]")
  public void setSnapshotScheduleStatus(List<SnapvaultSnapshotScheduleStatusInfo> paramList)
  {
    this.snapshotScheduleStatus = paramList;
  }

  public List<SnapvaultSnapshotScheduleStatusInfo> getSnapshotScheduleStatus()
  {
    return this.snapshotScheduleStatus;
  }

  public SnapvaultPrimarySnapshotScheduleStatusListInfo withSnapshotScheduleStatus(List<SnapvaultSnapshotScheduleStatusInfo> paramList)
  {
    this.snapshotScheduleStatus = paramList;
    return this;
  }

  public SnapvaultPrimarySnapshotScheduleStatusListInfo withSnapshotScheduleStatus(SnapvaultSnapshotScheduleStatusInfo[] paramArrayOfSnapvaultSnapshotScheduleStatusInfo)
  {
    this.snapshotScheduleStatus = new ArrayList(Arrays.asList(paramArrayOfSnapvaultSnapshotScheduleStatusInfo));
    return this;
  }

  @Input("volume-name")
  @Type("string")
  @Optional
  public void setVolumeName(String paramString)
  {
    this.volumeName = paramString;
  }

  public String getVolumeName()
  {
    return this.volumeName;
  }

  public SnapvaultPrimarySnapshotScheduleStatusListInfo withVolumeName(String paramString)
  {
    this.volumeName = paramString;
    return this;
  }
}