package com.netapp.filer.snapvault;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;

@Typedef("snapvault-schedule-options")
public class SnapvaultScheduleOptions
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String retentionPeriod;
  public Integer triesCount;

  @Element("retention-period")
  @Type("string")
  @Optional
  public void setRetentionPeriod(String paramString)
  {
    this.retentionPeriod = paramString;
  }

  public String getRetentionPeriod()
  {
    return this.retentionPeriod;
  }

  public SnapvaultScheduleOptions withRetentionPeriod(String paramString)
  {
    this.retentionPeriod = paramString;
    return this;
  }

  @Element("tries-count")
  @Type("integer")
  @Optional
  @Range(min="-1", max="120")
  public void setTriesCount(Integer paramInteger)
  {
    this.triesCount = paramInteger;
  }

  public Integer getTriesCount()
  {
    return this.triesCount;
  }

  public SnapvaultScheduleOptions withTriesCount(Integer paramInteger)
  {
    this.triesCount = paramInteger;
    return this;
  }
}