package com.netapp.filer.snapvault;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("snapvault-secondary-initiate-incremental-transfer")
@Status(StatusEnum.PUBLIC)
@Errno({"EAPILICENSE", "ESNAPVAULTBUSY", "ESNAPVAULTERR", "ESNAPVAULTRESOURCE", "ESNAPVAULTSETUP"})
@Family({"ontap-c", "vfiler"})
public class SnapvaultSecondaryInitiateIncrementalTransfer
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Long maxTransferRate;
  public Boolean noLunCloneExpansion;
  public String primarySnapshot;
  public String secondaryPath;

  @Input("max-transfer-rate")
  @Type("integer")
  @Optional
  @Range(min="1", max="2^32-1")
  public void setMaxTransferRate(Long paramLong)
  {
    this.maxTransferRate = paramLong;
  }

  public Long getMaxTransferRate()
  {
    return this.maxTransferRate;
  }

  public SnapvaultSecondaryInitiateIncrementalTransfer withMaxTransferRate(Long paramLong)
  {
    this.maxTransferRate = paramLong;
    return this;
  }

  @Input("no-lun-clone-expansion")
  @Type("boolean")
  @Optional
  public void setNoLunCloneExpansion(Boolean paramBoolean)
  {
    this.noLunCloneExpansion = paramBoolean;
  }

  public Boolean isNoLunCloneExpansion()
  {
    return this.noLunCloneExpansion;
  }

  public SnapvaultSecondaryInitiateIncrementalTransfer withNoLunCloneExpansion(Boolean paramBoolean)
  {
    this.noLunCloneExpansion = paramBoolean;
    return this;
  }

  @Input("primary-snapshot")
  @Type("string")
  @Optional
  public void setPrimarySnapshot(String paramString)
  {
    this.primarySnapshot = paramString;
  }

  public String getPrimarySnapshot()
  {
    return this.primarySnapshot;
  }

  public SnapvaultSecondaryInitiateIncrementalTransfer withPrimarySnapshot(String paramString)
  {
    this.primarySnapshot = paramString;
    return this;
  }

  @Input("secondary-path")
  @Type("string")
  public void setSecondaryPath(String paramString)
  {
    this.secondaryPath = paramString;
  }

  public String getSecondaryPath()
  {
    return this.secondaryPath;
  }

  public SnapvaultSecondaryInitiateIncrementalTransfer withSecondaryPath(String paramString)
  {
    this.secondaryPath = paramString;
    return this;
  }
}