package com.netapp.filer.snmp;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("snmp-community-add")
@Status(StatusEnum.PUBLIC)
@Errno({"EONTAPI_EINVAL"})
public class SnmpCommunityAdd
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String accessControl;
  public String community;

  @Input("access-control")
  @Type("string")
  public void setAccessControl(String paramString)
  {
    this.accessControl = paramString;
  }

  public String getAccessControl()
  {
    return this.accessControl;
  }

  public SnmpCommunityAdd withAccessControl(String paramString)
  {
    this.accessControl = paramString;
    return this;
  }

  @Input("community")
  @Type("string")
  public void setCommunity(String paramString)
  {
    this.community = paramString;
  }

  public String getCommunity()
  {
    return this.community;
  }

  public SnmpCommunityAdd withCommunity(String paramString)
  {
    this.community = paramString;
    return this;
  }
}