package com.netapp.filer.snmp;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("snmp-trap-delete")
@Status(StatusEnum.PUBLIC)
@Errno({"EONTAPI_EINVAL"})
public class SnmpTrapDelete
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String trapName;

  @Input("trap-name")
  @Type("string")
  public void setTrapName(String paramString)
  {
    this.trapName = paramString;
  }

  public String getTrapName()
  {
    return this.trapName;
  }

  public SnmpTrapDelete withTrapName(String paramString)
  {
    this.trapName = paramString;
    return this;
  }
}