package com.netapp.filer.snmp;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("snmp-trap-load")
@Status(StatusEnum.PUBLIC)
@Errno({"EONTAPI_EINVAL", "EONTAPI_ENOENT", "EONTAPI_ENOMEM"})
public class SnmpTrapLoad
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String filename;

  @Input("filename")
  @Type("string")
  public void setFilename(String paramString)
  {
    this.filename = paramString;
  }

  public String getFilename()
  {
    return this.filename;
  }

  public SnmpTrapLoad withFilename(String paramString)
  {
    this.filename = paramString;
    return this;
  }
}