package com.netapp.filer.storageadapter;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;

@Typedef("adapter-bar-info")
public class AdapterBarInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Long barBase;
  public Long barSize;
  public String barType;

  @Element("bar-base")
  @Type("integer")
  @Range(min="0", max="2^32-1")
  public void setBarBase(Long paramLong)
  {
    this.barBase = paramLong;
  }

  public Long getBarBase()
  {
    return this.barBase;
  }

  public AdapterBarInfo withBarBase(Long paramLong)
  {
    this.barBase = paramLong;
    return this;
  }

  @Element("bar-size")
  @Type("integer")
  @Range(min="0", max="2^32-1")
  public void setBarSize(Long paramLong)
  {
    this.barSize = paramLong;
  }

  public Long getBarSize()
  {
    return this.barSize;
  }

  public AdapterBarInfo withBarSize(Long paramLong)
  {
    this.barSize = paramLong;
    return this;
  }

  @Element("bar-type")
  @Type("string")
  public void setBarType(String paramString)
  {
    this.barType = paramString;
  }

  public String getBarType()
  {
    return this.barType;
  }

  public AdapterBarInfo withBarType(String paramString)
  {
    this.barType = paramString;
    return this;
  }
}