package com.netapp.filer.storageadapter;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Typedef("adapter-fc-info")
public class AdapterFcInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<AdapterBarInfo> adapterBar;
  public String adapterModel;
  public AdapterSffInfo adapterSffInfo;
  public AdapterSfpInfo adapterSfpInfo;
  public Integer cacheLineSz;
  public Integer fcLinkRate;
  public String fcNodeName;
  public Long fcPacketSize;
  public String firmwareRev;
  public String hardwareRev;
  public Integer hostLoopId;
  public Integer hostPortId;
  public Boolean enabled;
  public Boolean extGbic;
  public Boolean inUse;
  public Boolean pci64Capable;
  public Boolean redundant;
  public Boolean sramParity;

  @Element("adapter-bar")
  @Type("adapter-bar-info[]")
  @Optional
  public void setAdapterBar(List<AdapterBarInfo> paramList)
  {
    this.adapterBar = paramList;
  }

  public List<AdapterBarInfo> getAdapterBar()
  {
    return this.adapterBar;
  }

  public AdapterFcInfo withAdapterBar(List<AdapterBarInfo> paramList)
  {
    this.adapterBar = paramList;
    return this;
  }

  public AdapterFcInfo withAdapterBar(AdapterBarInfo[] paramArrayOfAdapterBarInfo)
  {
    this.adapterBar = new ArrayList(Arrays.asList(paramArrayOfAdapterBarInfo));
    return this;
  }

  @Element("adapter-model")
  @Type("string")
  public void setAdapterModel(String paramString)
  {
    this.adapterModel = paramString;
  }

  public String getAdapterModel()
  {
    return this.adapterModel;
  }

  public AdapterFcInfo withAdapterModel(String paramString)
  {
    this.adapterModel = paramString;
    return this;
  }

  @Element("adapter-sff-info")
  @Type("adapter-sff-info")
  @Optional
  public void setAdapterSffInfo(AdapterSffInfo paramAdapterSffInfo)
  {
    this.adapterSffInfo = paramAdapterSffInfo;
  }

  public AdapterSffInfo getAdapterSffInfo()
  {
    return this.adapterSffInfo;
  }

  public AdapterFcInfo withAdapterSffInfo(AdapterSffInfo paramAdapterSffInfo)
  {
    this.adapterSffInfo = paramAdapterSffInfo;
    return this;
  }

  @Element("adapter-sfp-info")
  @Type("adapter-sfp-info")
  @Optional
  public void setAdapterSfpInfo(AdapterSfpInfo paramAdapterSfpInfo)
  {
    this.adapterSfpInfo = paramAdapterSfpInfo;
  }

  public AdapterSfpInfo getAdapterSfpInfo()
  {
    return this.adapterSfpInfo;
  }

  public AdapterFcInfo withAdapterSfpInfo(AdapterSfpInfo paramAdapterSfpInfo)
  {
    this.adapterSfpInfo = paramAdapterSfpInfo;
    return this;
  }

  @Element("cache-line-sz")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^8-1")
  public void setCacheLineSz(Integer paramInteger)
  {
    this.cacheLineSz = paramInteger;
  }

  public Integer getCacheLineSz()
  {
    return this.cacheLineSz;
  }

  public AdapterFcInfo withCacheLineSz(Integer paramInteger)
  {
    this.cacheLineSz = paramInteger;
    return this;
  }

  @Element("fc-link-rate")
  @Type("integer")
  @Range(min="0", max="2^16-1")
  public void setFcLinkRate(Integer paramInteger)
  {
    this.fcLinkRate = paramInteger;
  }

  public Integer getFcLinkRate()
  {
    return this.fcLinkRate;
  }

  public AdapterFcInfo withFcLinkRate(Integer paramInteger)
  {
    this.fcLinkRate = paramInteger;
    return this;
  }

  @Element("fc-node-name")
  @Type("string")
  public void setFcNodeName(String paramString)
  {
    this.fcNodeName = paramString;
  }

  public String getFcNodeName()
  {
    return this.fcNodeName;
  }

  public AdapterFcInfo withFcNodeName(String paramString)
  {
    this.fcNodeName = paramString;
    return this;
  }

  @Element("fc-packet-size")
  @Type("integer")
  @Range(min="0", max="2^32-1")
  public void setFcPacketSize(Long paramLong)
  {
    this.fcPacketSize = paramLong;
  }

  public Long getFcPacketSize()
  {
    return this.fcPacketSize;
  }

  public AdapterFcInfo withFcPacketSize(Long paramLong)
  {
    this.fcPacketSize = paramLong;
    return this;
  }

  @Element("firmware-rev")
  @Type("string")
  public void setFirmwareRev(String paramString)
  {
    this.firmwareRev = paramString;
  }

  public String getFirmwareRev()
  {
    return this.firmwareRev;
  }

  public AdapterFcInfo withFirmwareRev(String paramString)
  {
    this.firmwareRev = paramString;
    return this;
  }

  @Element("hardware-rev")
  @Type("string")
  public void setHardwareRev(String paramString)
  {
    this.hardwareRev = paramString;
  }

  public String getHardwareRev()
  {
    return this.hardwareRev;
  }

  public AdapterFcInfo withHardwareRev(String paramString)
  {
    this.hardwareRev = paramString;
    return this;
  }

  @Element("host-loop-id")
  @Type("integer")
  @Optional
  @Range(min="0", max="125")
  public void setHostLoopId(Integer paramInteger)
  {
    this.hostLoopId = paramInteger;
  }

  public Integer getHostLoopId()
  {
    return this.hostLoopId;
  }

  public AdapterFcInfo withHostLoopId(Integer paramInteger)
  {
    this.hostLoopId = paramInteger;
    return this;
  }

  @Element("host-port-id")
  @Type("integer")
  @Optional
  @Range(min="0", max="125")
  public void setHostPortId(Integer paramInteger)
  {
    this.hostPortId = paramInteger;
  }

  public Integer getHostPortId()
  {
    return this.hostPortId;
  }

  public AdapterFcInfo withHostPortId(Integer paramInteger)
  {
    this.hostPortId = paramInteger;
    return this;
  }

  @Element("is-enabled")
  @Type("boolean")
  public void setEnabled(Boolean paramBoolean)
  {
    this.enabled = paramBoolean;
  }

  public Boolean isEnabled()
  {
    return this.enabled;
  }

  public AdapterFcInfo withEnabled(Boolean paramBoolean)
  {
    this.enabled = paramBoolean;
    return this;
  }

  @Element("is-ext-gbic")
  @Type("boolean")
  public void setExtGbic(Boolean paramBoolean)
  {
    this.extGbic = paramBoolean;
  }

  public Boolean isExtGbic()
  {
    return this.extGbic;
  }

  public AdapterFcInfo withExtGbic(Boolean paramBoolean)
  {
    this.extGbic = paramBoolean;
    return this;
  }

  @Element("is-in-use")
  @Type("boolean")
  public void setInUse(Boolean paramBoolean)
  {
    this.inUse = paramBoolean;
  }

  public Boolean isInUse()
  {
    return this.inUse;
  }

  public AdapterFcInfo withInUse(Boolean paramBoolean)
  {
    this.inUse = paramBoolean;
    return this;
  }

  @Element("is-pci-64-capable")
  @Type("boolean")
  @Optional
  public void setPci64Capable(Boolean paramBoolean)
  {
    this.pci64Capable = paramBoolean;
  }

  public Boolean isPci64Capable()
  {
    return this.pci64Capable;
  }

  public AdapterFcInfo withPci64Capable(Boolean paramBoolean)
  {
    this.pci64Capable = paramBoolean;
    return this;
  }

  @Element("is-redundant")
  @Type("boolean")
  public void setRedundant(Boolean paramBoolean)
  {
    this.redundant = paramBoolean;
  }

  public Boolean isRedundant()
  {
    return this.redundant;
  }

  public AdapterFcInfo withRedundant(Boolean paramBoolean)
  {
    this.redundant = paramBoolean;
    return this;
  }

  @Element("is-sram-parity")
  @Type("boolean")
  @Optional
  public void setSramParity(Boolean paramBoolean)
  {
    this.sramParity = paramBoolean;
  }

  public Boolean isSramParity()
  {
    return this.sramParity;
  }

  public AdapterFcInfo withSramParity(Boolean paramBoolean)
  {
    this.sramParity = paramBoolean;
    return this;
  }
}