package com.netapp.filer.system;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;

@Typedef("system-api-element-info")
public class SystemApiElementInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String encrypted;
  public Boolean nonempty;
  public Boolean optional;
  public Boolean output;
  public Boolean validated;
  public String name;
  public String type;

  @Element("encrypted")
  @Type("string")
  @Optional
  public void setEncrypted(String paramString)
  {
    this.encrypted = paramString;
  }

  public String getEncrypted()
  {
    return this.encrypted;
  }

  public SystemApiElementInfo withEncrypted(String paramString)
  {
    this.encrypted = paramString;
    return this;
  }

  @Element("is-nonempty")
  @Type("boolean")
  @Optional
  public void setNonempty(Boolean paramBoolean)
  {
    this.nonempty = paramBoolean;
  }

  public Boolean isNonempty()
  {
    return this.nonempty;
  }

  public SystemApiElementInfo withNonempty(Boolean paramBoolean)
  {
    this.nonempty = paramBoolean;
    return this;
  }

  @Element("is-optional")
  @Type("boolean")
  @Optional
  public void setOptional(Boolean paramBoolean)
  {
    this.optional = paramBoolean;
  }

  public Boolean isOptional()
  {
    return this.optional;
  }

  public SystemApiElementInfo withOptional(Boolean paramBoolean)
  {
    this.optional = paramBoolean;
    return this;
  }

  @Element("is-output")
  @Type("boolean")
  @Optional
  public void setOutput(Boolean paramBoolean)
  {
    this.output = paramBoolean;
  }

  public Boolean isOutput()
  {
    return this.output;
  }

  public SystemApiElementInfo withOutput(Boolean paramBoolean)
  {
    this.output = paramBoolean;
    return this;
  }

  @Element("is-validated")
  @Type("boolean")
  @Optional
  public void setValidated(Boolean paramBoolean)
  {
    this.validated = paramBoolean;
  }

  public Boolean isValidated()
  {
    return this.validated;
  }

  public SystemApiElementInfo withValidated(Boolean paramBoolean)
  {
    this.validated = paramBoolean;
    return this;
  }

  @Element("name")
  @Type("string")
  public void setName(String paramString)
  {
    this.name = paramString;
  }

  public String getName()
  {
    return this.name;
  }

  public SystemApiElementInfo withName(String paramString)
  {
    this.name = paramString;
    return this;
  }

  @Element("type")
  @Type("string")
  public void setType(String paramString)
  {
    this.type = paramString;
  }

  public String getType()
  {
    return this.type;
  }

  public SystemApiElementInfo withType(String paramString)
  {
    this.type = paramString;
    return this;
  }
}