package com.netapp.filer.system;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Typedef("system-api-entry-info")
public class SystemApiEntryInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<SystemApiElementInfo> apiElements;
  public String name;

  @Element("api-elements")
  @Type("system-api-element-info[]")
  public void setApiElements(List<SystemApiElementInfo> paramList)
  {
    this.apiElements = paramList;
  }

  public List<SystemApiElementInfo> getApiElements()
  {
    return this.apiElements;
  }

  public SystemApiEntryInfo withApiElements(List<SystemApiElementInfo> paramList)
  {
    this.apiElements = paramList;
    return this;
  }

  public SystemApiEntryInfo withApiElements(SystemApiElementInfo[] paramArrayOfSystemApiElementInfo)
  {
    this.apiElements = new ArrayList(Arrays.asList(paramArrayOfSystemApiElementInfo));
    return this;
  }

  @Element("name")
  @Type("string")
  public void setName(String paramString)
  {
    this.name = paramString;
  }

  public String getName()
  {
    return this.name;
  }

  public SystemApiEntryInfo withName(String paramString)
  {
    this.name = paramString;
    return this;
  }
}