package com.netapp.filer.system;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Typedef("system-api-type-entry-info")
public class SystemApiTypeEntryInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String name;
  public List<SystemApiElementInfo> typeElements;

  @Element("name")
  @Type("string")
  public void setName(String paramString)
  {
    this.name = paramString;
  }

  public String getName()
  {
    return this.name;
  }

  public SystemApiTypeEntryInfo withName(String paramString)
  {
    this.name = paramString;
    return this;
  }

  @Element("type-elements")
  @Type("system-api-element-info[]")
  public void setTypeElements(List<SystemApiElementInfo> paramList)
  {
    this.typeElements = paramList;
  }

  public List<SystemApiElementInfo> getTypeElements()
  {
    return this.typeElements;
  }

  public SystemApiTypeEntryInfo withTypeElements(List<SystemApiElementInfo> paramList)
  {
    this.typeElements = paramList;
    return this;
  }

  public SystemApiTypeEntryInfo withTypeElements(SystemApiElementInfo[] paramArrayOfSystemApiElementInfo)
  {
    this.typeElements = new ArrayList(Arrays.asList(paramArrayOfSystemApiElementInfo));
    return this;
  }
}