package com.netapp.filer.system;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("system-cli")
@Status(StatusEnum.UNSUPPORTED)
public class SystemCli
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<String> args;
  public String cliOutput;
  public Long cliResultValue;
  public String priv;

  @Input("args")
  @Type("arg[]")
  public void setArgs(List<String> paramList)
  {
    this.args = paramList;
  }

  public List<String> getArgs()
  {
    return this.args;
  }

  public SystemCli withArgs(List<String> paramList)
  {
    this.args = paramList;
    return this;
  }

  public SystemCli withArgs(String[] paramArrayOfString)
  {
    this.args = new ArrayList(Arrays.asList(paramArrayOfString));
    return this;
  }

  @Output("cli-output")
  @Type("string")
  public void setCliOutput(String paramString)
  {
    this.cliOutput = paramString;
  }

  public String getCliOutput()
  {
    return this.cliOutput;
  }

  public SystemCli withCliOutput(String paramString)
  {
    this.cliOutput = paramString;
    return this;
  }

  @Output("cli-result-value")
  @Type("integer")
  public void setCliResultValue(Long paramLong)
  {
    this.cliResultValue = paramLong;
  }

  public Long getCliResultValue()
  {
    return this.cliResultValue;
  }

  public SystemCli withCliResultValue(Long paramLong)
  {
    this.cliResultValue = paramLong;
    return this;
  }

  @Input("priv")
  @Type("string")
  @Optional
  public void setPriv(String paramString)
  {
    this.priv = paramString;
  }

  public String getPriv()
  {
    return this.priv;
  }

  public SystemCli withPriv(String paramString)
  {
    this.priv = paramString;
    return this;
  }
}