package com.netapp.filer.system;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("system-get-ontapi-version")
@Status(StatusEnum.PUBLIC)
@Family({"ontap-c", "ontap-d", "vfiler"})
public class SystemGetOntapiVersion
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Long majorVersion;
  public Long minorVersion;

  @Output("major-version")
  @Type("integer")
  public void setMajorVersion(Long paramLong)
  {
    this.majorVersion = paramLong;
  }

  public Long getMajorVersion()
  {
    return this.majorVersion;
  }

  public SystemGetOntapiVersion withMajorVersion(Long paramLong)
  {
    this.majorVersion = paramLong;
    return this;
  }

  @Output("minor-version")
  @Type("integer")
  public void setMinorVersion(Long paramLong)
  {
    this.minorVersion = paramLong;
  }

  public Long getMinorVersion()
  {
    return this.minorVersion;
  }

  public SystemGetOntapiVersion withMinorVersion(Long paramLong)
  {
    this.minorVersion = paramLong;
    return this;
  }
}