package com.netapp.filer.system;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("system-get-vendor-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EAPIERROR"})
@Family({"ontap-c", "vfiler"})
public class SystemGetVendorInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String autosupportEmail;
  public String autosupportUrl;
  public String completeName;
  public String customerSupportContact;
  public String customerSupportName;
  public String informationUrl;
  public String ontapOidPrefix;
  public String productUrl;
  public String shortName;

  @Output("autosupport-email")
  @Type("string")
  public void setAutosupportEmail(String paramString)
  {
    this.autosupportEmail = paramString;
  }

  public String getAutosupportEmail()
  {
    return this.autosupportEmail;
  }

  public SystemGetVendorInfo withAutosupportEmail(String paramString)
  {
    this.autosupportEmail = paramString;
    return this;
  }

  @Output("autosupport-url")
  @Type("string")
  public void setAutosupportUrl(String paramString)
  {
    this.autosupportUrl = paramString;
  }

  public String getAutosupportUrl()
  {
    return this.autosupportUrl;
  }

  public SystemGetVendorInfo withAutosupportUrl(String paramString)
  {
    this.autosupportUrl = paramString;
    return this;
  }

  @Output("complete-name")
  @Type("string")
  public void setCompleteName(String paramString)
  {
    this.completeName = paramString;
  }

  public String getCompleteName()
  {
    return this.completeName;
  }

  public SystemGetVendorInfo withCompleteName(String paramString)
  {
    this.completeName = paramString;
    return this;
  }

  @Output("customer-support-contact")
  @Type("string")
  public void setCustomerSupportContact(String paramString)
  {
    this.customerSupportContact = paramString;
  }

  public String getCustomerSupportContact()
  {
    return this.customerSupportContact;
  }

  public SystemGetVendorInfo withCustomerSupportContact(String paramString)
  {
    this.customerSupportContact = paramString;
    return this;
  }

  @Output("customer-support-name")
  @Type("string")
  public void setCustomerSupportName(String paramString)
  {
    this.customerSupportName = paramString;
  }

  public String getCustomerSupportName()
  {
    return this.customerSupportName;
  }

  public SystemGetVendorInfo withCustomerSupportName(String paramString)
  {
    this.customerSupportName = paramString;
    return this;
  }

  @Output("information-url")
  @Type("string")
  public void setInformationUrl(String paramString)
  {
    this.informationUrl = paramString;
  }

  public String getInformationUrl()
  {
    return this.informationUrl;
  }

  public SystemGetVendorInfo withInformationUrl(String paramString)
  {
    this.informationUrl = paramString;
    return this;
  }

  @Output("ontap-oid-prefix")
  @Type("string")
  public void setOntapOidPrefix(String paramString)
  {
    this.ontapOidPrefix = paramString;
  }

  public String getOntapOidPrefix()
  {
    return this.ontapOidPrefix;
  }

  public SystemGetVendorInfo withOntapOidPrefix(String paramString)
  {
    this.ontapOidPrefix = paramString;
    return this;
  }

  @Output("product-url")
  @Type("string")
  public void setProductUrl(String paramString)
  {
    this.productUrl = paramString;
  }

  public String getProductUrl()
  {
    return this.productUrl;
  }

  public SystemGetVendorInfo withProductUrl(String paramString)
  {
    this.productUrl = paramString;
    return this;
  }

  @Output("short-name")
  @Type("string")
  public void setShortName(String paramString)
  {
    this.shortName = paramString;
  }

  public String getShortName()
  {
    return this.shortName;
  }

  public SystemGetVendorInfo withShortName(String paramString)
  {
    this.shortName = paramString;
    return this;
  }
}