package com.netapp.filer.test;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("test-2-iter-next")
@Status(StatusEnum.UNSUPPORTED)
public class Test2IterNext
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Long maximum;
  public String nextTag;
  public Long records;
  public String tag;
  public List<Test2Info> testinfos;

  @Input("maximum")
  @Type("integer")
  public void setMaximum(Long paramLong)
  {
    this.maximum = paramLong;
  }

  public Long getMaximum()
  {
    return this.maximum;
  }

  public Test2IterNext withMaximum(Long paramLong)
  {
    this.maximum = paramLong;
    return this;
  }

  @Output("next-tag")
  @Type("string")
  public void setNextTag(String paramString)
  {
    this.nextTag = paramString;
  }

  public String getNextTag()
  {
    return this.nextTag;
  }

  public Test2IterNext withNextTag(String paramString)
  {
    this.nextTag = paramString;
    return this;
  }

  @Output("records")
  @Type("integer")
  public void setRecords(Long paramLong)
  {
    this.records = paramLong;
  }

  public Long getRecords()
  {
    return this.records;
  }

  public Test2IterNext withRecords(Long paramLong)
  {
    this.records = paramLong;
    return this;
  }

  @Input("tag")
  @Type("string")
  public void setTag(String paramString)
  {
    this.tag = paramString;
  }

  public String getTag()
  {
    return this.tag;
  }

  public Test2IterNext withTag(String paramString)
  {
    this.tag = paramString;
    return this;
  }

  @Output("testinfos")
  @Type("test-2-info[]")
  public void setTestinfos(List<Test2Info> paramList)
  {
    this.testinfos = paramList;
  }

  public List<Test2Info> getTestinfos()
  {
    return this.testinfos;
  }

  public Test2IterNext withTestinfos(List<Test2Info> paramList)
  {
    this.testinfos = paramList;
    return this;
  }

  public Test2IterNext withTestinfos(Test2Info[] paramArrayOfTest2Info)
  {
    this.testinfos = new ArrayList(Arrays.asList(paramArrayOfTest2Info));
    return this;
  }
}