package com.netapp.filer.test;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("test-schema-validator")
@Status(StatusEnum.UNSUPPORTED)
@Errno({"EAPIERROR"})
public class TestSchemaValidator
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<SchemaValidatorInfo> array1;
  public List<String> array2;
  public String outputType;
  public SchemaValidatorInfo output1;
  public SchemaValidatorInfo schemaValidatorInfo;

  @Output("array1")
  @Type("schema-validator-info[]")
  public void setArray1(List<SchemaValidatorInfo> paramList)
  {
    this.array1 = paramList;
  }

  public List<SchemaValidatorInfo> getArray1()
  {
    return this.array1;
  }

  public TestSchemaValidator withArray1(List<SchemaValidatorInfo> paramList)
  {
    this.array1 = paramList;
    return this;
  }

  public TestSchemaValidator withArray1(SchemaValidatorInfo[] paramArrayOfSchemaValidatorInfo)
  {
    this.array1 = new ArrayList(Arrays.asList(paramArrayOfSchemaValidatorInfo));
    return this;
  }

  @Output("array2")
  @Type("stringalias[]")
  public void setArray2(List<String> paramList)
  {
    this.array2 = paramList;
  }

  public List<String> getArray2()
  {
    return this.array2;
  }

  public TestSchemaValidator withArray2(List<String> paramList)
  {
    this.array2 = paramList;
    return this;
  }

  public TestSchemaValidator withArray2(String[] paramArrayOfString)
  {
    this.array2 = new ArrayList(Arrays.asList(paramArrayOfString));
    return this;
  }

  @Input("output-type")
  @Type("string")
  public void setOutputType(String paramString)
  {
    this.outputType = paramString;
  }

  public String getOutputType()
  {
    return this.outputType;
  }

  public TestSchemaValidator withOutputType(String paramString)
  {
    this.outputType = paramString;
    return this;
  }

  @Output("output1")
  @Type("schema-validator-info")
  public void setOutput1(SchemaValidatorInfo paramSchemaValidatorInfo)
  {
    this.output1 = paramSchemaValidatorInfo;
  }

  public SchemaValidatorInfo getOutput1()
  {
    return this.output1;
  }

  public TestSchemaValidator withOutput1(SchemaValidatorInfo paramSchemaValidatorInfo)
  {
    this.output1 = paramSchemaValidatorInfo;
    return this;
  }

  @Output("schema-validator-info")
  @Type("schema-validator-info")
  public void setSchemaValidatorInfo(SchemaValidatorInfo paramSchemaValidatorInfo)
  {
    this.schemaValidatorInfo = paramSchemaValidatorInfo;
  }

  public SchemaValidatorInfo getSchemaValidatorInfo()
  {
    return this.schemaValidatorInfo;
  }

  public TestSchemaValidator withSchemaValidatorInfo(SchemaValidatorInfo paramSchemaValidatorInfo)
  {
    this.schemaValidatorInfo = paramSchemaValidatorInfo;
    return this;
  }
}