package com.netapp.filer.useradmin;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("useradmin-domainuser-list")
@Status(StatusEnum.PUBLIC)
@Errno({"ECIFSNOTCONFIGURED", "EINTERNALERROR", "EONTAPI_EPERM"})
@Family({"ontap-c", "vfiler"})
public class UseradminDomainuserList
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String groupName;
  public List<String> userIdentifiers;

  @Input("group-name")
  @Type("string")
  public void setGroupName(String paramString)
  {
    this.groupName = paramString;
  }

  public String getGroupName()
  {
    return this.groupName;
  }

  public UseradminDomainuserList withGroupName(String paramString)
  {
    this.groupName = paramString;
    return this;
  }

  @Output("user-identifiers")
  @Type("sid[]")
  public void setUserIdentifiers(List<String> paramList)
  {
    this.userIdentifiers = paramList;
  }

  public List<String> getUserIdentifiers()
  {
    return this.userIdentifiers;
  }

  public UseradminDomainuserList withUserIdentifiers(List<String> paramList)
  {
    this.userIdentifiers = paramList;
    return this;
  }

  public UseradminDomainuserList withUserIdentifiers(String[] paramArrayOfString)
  {
    this.userIdentifiers = new ArrayList(Arrays.asList(paramArrayOfString));
    return this;
  }
}