package com.netapp.filer.useradmin;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("useradmin-group-list")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR"})
@Family({"ontap-c", "vfiler"})
public class UseradminGroupList
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String groupName;
  public List<UseradminGroupInfo> useradminGroups;
  public Boolean verbose;

  @Input("group-name")
  @Type("string")
  @Optional
  public void setGroupName(String paramString)
  {
    this.groupName = paramString;
  }

  public String getGroupName()
  {
    return this.groupName;
  }

  public UseradminGroupList withGroupName(String paramString)
  {
    this.groupName = paramString;
    return this;
  }

  @Output("useradmin-groups")
  @Type("useradmin-group-info[]")
  public void setUseradminGroups(List<UseradminGroupInfo> paramList)
  {
    this.useradminGroups = paramList;
  }

  public List<UseradminGroupInfo> getUseradminGroups()
  {
    return this.useradminGroups;
  }

  public UseradminGroupList withUseradminGroups(List<UseradminGroupInfo> paramList)
  {
    this.useradminGroups = paramList;
    return this;
  }

  public UseradminGroupList withUseradminGroups(UseradminGroupInfo[] paramArrayOfUseradminGroupInfo)
  {
    this.useradminGroups = new ArrayList(Arrays.asList(paramArrayOfUseradminGroupInfo));
    return this;
  }

  @Input("verbose")
  @Type("boolean")
  @Optional
  public void setVerbose(Boolean paramBoolean)
  {
    this.verbose = paramBoolean;
  }

  public Boolean isVerbose()
  {
    return this.verbose;
  }

  public UseradminGroupList withVerbose(Boolean paramBoolean)
  {
    this.verbose = paramBoolean;
    return this;
  }
}