package com.netapp.filer.useradmin;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("useradmin-group-modify")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR"})
@Family({"ontap-c", "vfiler"})
public class UseradminGroupModify
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String newGroupName;
  public UseradminGroupInfo useradminGroup;

  @Input("new-group-name")
  @Type("string")
  @Optional
  public void setNewGroupName(String paramString)
  {
    this.newGroupName = paramString;
  }

  public String getNewGroupName()
  {
    return this.newGroupName;
  }

  public UseradminGroupModify withNewGroupName(String paramString)
  {
    this.newGroupName = paramString;
    return this;
  }

  @Input("useradmin-group")
  @Type("useradmin-group-info")
  public void setUseradminGroup(UseradminGroupInfo paramUseradminGroupInfo)
  {
    this.useradminGroup = paramUseradminGroupInfo;
  }

  public UseradminGroupInfo getUseradminGroup()
  {
    return this.useradminGroup;
  }

  public UseradminGroupModify withUseradminGroup(UseradminGroupInfo paramUseradminGroupInfo)
  {
    this.useradminGroup = paramUseradminGroupInfo;
    return this;
  }
}