package com.netapp.filer.useradmin;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("useradmin-role-list")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR"})
@Family({"ontap-c", "vfiler"})
public class UseradminRoleList
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String roleName;
  public List<UseradminRoleInfo> useradminRoles;

  @Input("role-name")
  @Type("string")
  @Optional
  public void setRoleName(String paramString)
  {
    this.roleName = paramString;
  }

  public String getRoleName()
  {
    return this.roleName;
  }

  public UseradminRoleList withRoleName(String paramString)
  {
    this.roleName = paramString;
    return this;
  }

  @Output("useradmin-roles")
  @Type("useradmin-role-info[]")
  public void setUseradminRoles(List<UseradminRoleInfo> paramList)
  {
    this.useradminRoles = paramList;
  }

  public List<UseradminRoleInfo> getUseradminRoles()
  {
    return this.useradminRoles;
  }

  public UseradminRoleList withUseradminRoles(List<UseradminRoleInfo> paramList)
  {
    this.useradminRoles = paramList;
    return this;
  }

  public UseradminRoleList withUseradminRoles(UseradminRoleInfo[] paramArrayOfUseradminRoleInfo)
  {
    this.useradminRoles = new ArrayList(Arrays.asList(paramArrayOfUseradminRoleInfo));
    return this;
  }
}