package com.netapp.filer.useradmin;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("useradmin-user-has-capability")
@Status(StatusEnum.UNSUPPORTED)
@Errno({"EINTERNALERROR"})
@Family({"ontap-c", "vfiler"})
public class UseradminUserHasCapability
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String capability;
  public Boolean userCapable;
  public String userName;

  @Input("capability")
  @Type("string")
  public void setCapability(String paramString)
  {
    this.capability = paramString;
  }

  public String getCapability()
  {
    return this.capability;
  }

  public UseradminUserHasCapability withCapability(String paramString)
  {
    this.capability = paramString;
    return this;
  }

  @Output("is-user-capable")
  @Type("boolean")
  public void setUserCapable(Boolean paramBoolean)
  {
    this.userCapable = paramBoolean;
  }

  public Boolean isUserCapable()
  {
    return this.userCapable;
  }

  public UseradminUserHasCapability withUserCapable(Boolean paramBoolean)
  {
    this.userCapable = paramBoolean;
    return this;
  }

  @Input("user-name")
  @Type("string")
  public void setUserName(String paramString)
  {
    this.userName = paramString;
  }

  public String getUserName()
  {
    return this.userName;
  }

  public UseradminUserHasCapability withUserName(String paramString)
  {
    this.userName = paramString;
    return this;
  }
}