package com.netapp.filer.vfiler;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Typedef("dns-info")
public class DnsInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String dnsDomainName;
  public List<ServerAddress> dnsServers;

  @Element("dns-domain-name")
  @Type("string")
  @Optional
  public void setDnsDomainName(String paramString)
  {
    this.dnsDomainName = paramString;
  }

  public String getDnsDomainName()
  {
    return this.dnsDomainName;
  }

  public DnsInfo withDnsDomainName(String paramString)
  {
    this.dnsDomainName = paramString;
    return this;
  }

  @Element("dns-servers")
  @Type("server-address[]")
  @Optional
  public void setDnsServers(List<ServerAddress> paramList)
  {
    this.dnsServers = paramList;
  }

  public List<ServerAddress> getDnsServers()
  {
    return this.dnsServers;
  }

  public DnsInfo withDnsServers(List<ServerAddress> paramList)
  {
    this.dnsServers = paramList;
    return this;
  }

  public DnsInfo withDnsServers(ServerAddress[] paramArrayOfServerAddress)
  {
    this.dnsServers = new ArrayList(Arrays.asList(paramArrayOfServerAddress));
    return this;
  }
}