package com.netapp.filer.vfiler;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("vfiler-add-storage")
@Status(StatusEnum.PUBLIC)
@Errno({"EVFILERNOTFOUND", "EVFILEROPNOTALLOWED"})
public class VfilerAddStorage
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String storagePath;
  public String vfiler;

  @Input("storage-path")
  @Type("string")
  public void setStoragePath(String paramString)
  {
    this.storagePath = paramString;
  }

  public String getStoragePath()
  {
    return this.storagePath;
  }

  public VfilerAddStorage withStoragePath(String paramString)
  {
    this.storagePath = paramString;
    return this;
  }

  @Input("vfiler")
  @Type("string")
  public void setVfiler(String paramString)
  {
    this.vfiler = paramString;
  }

  public String getVfiler()
  {
    return this.vfiler;
  }

  public VfilerAddStorage withVfiler(String paramString)
  {
    this.vfiler = paramString;
    return this;
  }
}