package com.netapp.filer.vfiler;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("vfiler-create")
@Status(StatusEnum.PUBLIC)
@Errno({"EVFILERNOTFOUND", "EVFILEROPNOTALLOWED"})
public class VfilerCreate
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<String> ipAddresses;
  public String ipspace;
  public List<String> storageUnits;
  public String vfiler;

  @Input("ip-addresses")
  @Type("ip-address[]")
  public void setIpAddresses(List<String> paramList)
  {
    this.ipAddresses = paramList;
  }

  public List<String> getIpAddresses()
  {
    return this.ipAddresses;
  }

  public VfilerCreate withIpAddresses(List<String> paramList)
  {
    this.ipAddresses = paramList;
    return this;
  }

  public VfilerCreate withIpAddresses(String[] paramArrayOfString)
  {
    this.ipAddresses = new ArrayList(Arrays.asList(paramArrayOfString));
    return this;
  }

  @Input("ipspace")
  @Type("string")
  @Optional
  public void setIpspace(String paramString)
  {
    this.ipspace = paramString;
  }

  public String getIpspace()
  {
    return this.ipspace;
  }

  public VfilerCreate withIpspace(String paramString)
  {
    this.ipspace = paramString;
    return this;
  }

  @Input("storage-units")
  @Type("storage-unit[]")
  public void setStorageUnits(List<String> paramList)
  {
    this.storageUnits = paramList;
  }

  public List<String> getStorageUnits()
  {
    return this.storageUnits;
  }

  public VfilerCreate withStorageUnits(List<String> paramList)
  {
    this.storageUnits = paramList;
    return this;
  }

  public VfilerCreate withStorageUnits(String[] paramArrayOfString)
  {
    this.storageUnits = new ArrayList(Arrays.asList(paramArrayOfString));
    return this;
  }

  @Input("vfiler")
  @Type("string")
  public void setVfiler(String paramString)
  {
    this.vfiler = paramString;
  }

  public String getVfiler()
  {
    return this.vfiler;
  }

  public VfilerCreate withVfiler(String paramString)
  {
    this.vfiler = paramString;
    return this;
  }
}