package com.netapp.filer.vfiler;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("vfiler-dr-delete")
@Status(StatusEnum.PUBLIC)
@Errno({"EVFILERNOTFOUND"})
public class VfilerDrDelete
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Boolean forced;
  public VfilerLocation remoteVfilerLocation;
  public Boolean useSecureCommandChannel;

  @Input("is-forced")
  @Type("boolean")
  public void setForced(Boolean paramBoolean)
  {
    this.forced = paramBoolean;
  }

  public Boolean isForced()
  {
    return this.forced;
  }

  public VfilerDrDelete withForced(Boolean paramBoolean)
  {
    this.forced = paramBoolean;
    return this;
  }

  @Input("remote-vfiler-location")
  @Type("vfiler-location")
  public void setRemoteVfilerLocation(VfilerLocation paramVfilerLocation)
  {
    this.remoteVfilerLocation = paramVfilerLocation;
  }

  public VfilerLocation getRemoteVfilerLocation()
  {
    return this.remoteVfilerLocation;
  }

  public VfilerDrDelete withRemoteVfilerLocation(VfilerLocation paramVfilerLocation)
  {
    this.remoteVfilerLocation = paramVfilerLocation;
    return this;
  }

  @Input("use-secure-command-channel")
  @Type("boolean")
  @Optional
  public void setUseSecureCommandChannel(Boolean paramBoolean)
  {
    this.useSecureCommandChannel = paramBoolean;
  }

  public Boolean isUseSecureCommandChannel()
  {
    return this.useSecureCommandChannel;
  }

  public VfilerDrDelete withUseSecureCommandChannel(Boolean paramBoolean)
  {
    this.useSecureCommandChannel = paramBoolean;
    return this;
  }
}