package com.netapp.filer.vfiler;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("vfiler-get-allowed-protocols")
@Status(StatusEnum.PUBLIC)
@Errno({"EVFILERNOTFOUND", "EVFILEROPNOTALLOWED"})
public class VfilerGetAllowedProtocols
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<ProtocolInfo> allowedProtocols;
  public String vfiler;

  @Output("allowed-protocols")
  @Type("protocol-info[]")
  public void setAllowedProtocols(List<ProtocolInfo> paramList)
  {
    this.allowedProtocols = paramList;
  }

  public List<ProtocolInfo> getAllowedProtocols()
  {
    return this.allowedProtocols;
  }

  public VfilerGetAllowedProtocols withAllowedProtocols(List<ProtocolInfo> paramList)
  {
    this.allowedProtocols = paramList;
    return this;
  }

  public VfilerGetAllowedProtocols withAllowedProtocols(ProtocolInfo[] paramArrayOfProtocolInfo)
  {
    this.allowedProtocols = new ArrayList(Arrays.asList(paramArrayOfProtocolInfo));
    return this;
  }

  @Input("vfiler")
  @Type("string")
  public void setVfiler(String paramString)
  {
    this.vfiler = paramString;
  }

  public String getVfiler()
  {
    return this.vfiler;
  }

  public VfilerGetAllowedProtocols withVfiler(String paramString)
  {
    this.vfiler = paramString;
    return this;
  }
}