package com.netapp.filer.vfiler;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("vfiler-get-status")
@Status(StatusEnum.PUBLIC)
@Errno({"EVFILERNOTFOUND", "EVFILEROPNOTALLOWED"})
public class VfilerGetStatus
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String status;
  public String vfiler;

  @Output("status")
  @Type("string")
  public void setStatus(String paramString)
  {
    this.status = paramString;
  }

  public String getStatus()
  {
    return this.status;
  }

  public VfilerGetStatus withStatus(String paramString)
  {
    this.status = paramString;
    return this;
  }

  @Input("vfiler")
  @Type("string")
  public void setVfiler(String paramString)
  {
    this.vfiler = paramString;
  }

  public String getVfiler()
  {
    return this.vfiler;
  }

  public VfilerGetStatus withVfiler(String paramString)
  {
    this.vfiler = paramString;
    return this;
  }
}