package com.netapp.filer.vfiler;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Typedef("vfiler-info")
public class VfilerInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Adminhost adminHost;
  public List<DnsInfo> dnsInfo;
  public String ipspace;
  public String name;
  public List<NisInfo> nisInfo;
  public String uuid;
  public List<VfnetInfo> vfnets;
  public List<VfstoreInfo> vfstores;

  @Element("admin-host")
  @Type("adminhost")
  @Optional
  public void setAdminHost(Adminhost paramAdminhost)
  {
    this.adminHost = paramAdminhost;
  }

  public Adminhost getAdminHost()
  {
    return this.adminHost;
  }

  public VfilerInfo withAdminHost(Adminhost paramAdminhost)
  {
    this.adminHost = paramAdminhost;
    return this;
  }

  @Element("dns-info")
  @Type("dns-info[]")
  public void setDnsInfo(List<DnsInfo> paramList)
  {
    this.dnsInfo = paramList;
  }

  public List<DnsInfo> getDnsInfo()
  {
    return this.dnsInfo;
  }

  public VfilerInfo withDnsInfo(List<DnsInfo> paramList)
  {
    this.dnsInfo = paramList;
    return this;
  }

  public VfilerInfo withDnsInfo(DnsInfo[] paramArrayOfDnsInfo)
  {
    this.dnsInfo = new ArrayList(Arrays.asList(paramArrayOfDnsInfo));
    return this;
  }

  @Element("ipspace")
  @Type("string")
  public void setIpspace(String paramString)
  {
    this.ipspace = paramString;
  }

  public String getIpspace()
  {
    return this.ipspace;
  }

  public VfilerInfo withIpspace(String paramString)
  {
    this.ipspace = paramString;
    return this;
  }

  @Element("name")
  @Type("string")
  public void setName(String paramString)
  {
    this.name = paramString;
  }

  public String getName()
  {
    return this.name;
  }

  public VfilerInfo withName(String paramString)
  {
    this.name = paramString;
    return this;
  }

  @Element("nis-info")
  @Type("nis-info[]")
  public void setNisInfo(List<NisInfo> paramList)
  {
    this.nisInfo = paramList;
  }

  public List<NisInfo> getNisInfo()
  {
    return this.nisInfo;
  }

  public VfilerInfo withNisInfo(List<NisInfo> paramList)
  {
    this.nisInfo = paramList;
    return this;
  }

  public VfilerInfo withNisInfo(NisInfo[] paramArrayOfNisInfo)
  {
    this.nisInfo = new ArrayList(Arrays.asList(paramArrayOfNisInfo));
    return this;
  }

  @Element("uuid")
  @Type("string")
  public void setUuid(String paramString)
  {
    this.uuid = paramString;
  }

  public String getUuid()
  {
    return this.uuid;
  }

  public VfilerInfo withUuid(String paramString)
  {
    this.uuid = paramString;
    return this;
  }

  @Element("vfnets")
  @Type("vfnet-info[]")
  public void setVfnets(List<VfnetInfo> paramList)
  {
    this.vfnets = paramList;
  }

  public List<VfnetInfo> getVfnets()
  {
    return this.vfnets;
  }

  public VfilerInfo withVfnets(List<VfnetInfo> paramList)
  {
    this.vfnets = paramList;
    return this;
  }

  public VfilerInfo withVfnets(VfnetInfo[] paramArrayOfVfnetInfo)
  {
    this.vfnets = new ArrayList(Arrays.asList(paramArrayOfVfnetInfo));
    return this;
  }

  @Element("vfstores")
  @Type("vfstore-info[]")
  public void setVfstores(List<VfstoreInfo> paramList)
  {
    this.vfstores = paramList;
  }

  public List<VfstoreInfo> getVfstores()
  {
    return this.vfstores;
  }

  public VfilerInfo withVfstores(List<VfstoreInfo> paramList)
  {
    this.vfstores = paramList;
    return this;
  }

  public VfilerInfo withVfstores(VfstoreInfo[] paramArrayOfVfstoreInfo)
  {
    this.vfstores = new ArrayList(Arrays.asList(paramArrayOfVfstoreInfo));
    return this;
  }
}