package com.netapp.filer.vfiler;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("vfiler-migrate-add-destination")
@Status(StatusEnum.UNSUPPORTED)
@Errno({"EAPIMISSINGARGUMENT", "EONTAPI_EREGX", "ESNAPMIRRORERROR", "EVFILEROPNOTALLOWED"})
@Family({"ontap-c", "ontap-d"})
public class VfilerMigrateAddDestination
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String host;
  public Boolean destinationAdded;
  public Boolean snapmirrorOn;
  public Boolean sync;

  @Input("host")
  @Type("string")
  public void setHost(String paramString)
  {
    this.host = paramString;
  }

  public String getHost()
  {
    return this.host;
  }

  public VfilerMigrateAddDestination withHost(String paramString)
  {
    this.host = paramString;
    return this;
  }

  @Output("is-destination-added")
  @Type("boolean")
  public void setDestinationAdded(Boolean paramBoolean)
  {
    this.destinationAdded = paramBoolean;
  }

  public Boolean isDestinationAdded()
  {
    return this.destinationAdded;
  }

  public VfilerMigrateAddDestination withDestinationAdded(Boolean paramBoolean)
  {
    this.destinationAdded = paramBoolean;
    return this;
  }

  @Output("is-snapmirror-on")
  @Type("boolean")
  public void setSnapmirrorOn(Boolean paramBoolean)
  {
    this.snapmirrorOn = paramBoolean;
  }

  public Boolean isSnapmirrorOn()
  {
    return this.snapmirrorOn;
  }

  public VfilerMigrateAddDestination withSnapmirrorOn(Boolean paramBoolean)
  {
    this.snapmirrorOn = paramBoolean;
    return this;
  }

  @Input("is-sync")
  @Type("boolean")
  @Optional
  public void setSync(Boolean paramBoolean)
  {
    this.sync = paramBoolean;
  }

  public Boolean isSync()
  {
    return this.sync;
  }

  public VfilerMigrateAddDestination withSync(Boolean paramBoolean)
  {
    this.sync = paramBoolean;
    return this;
  }
}