package com.netapp.filer.vfiler;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("vfiler-migrate-check")
@Status(StatusEnum.UNSUPPORTED)
@Errno({"EAPIMISSINGARGUMENT", "EVFILERNOTFOUND"})
@Family({"ontap-c", "ontap-d"})
public class VfilerMigrateCheck
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Boolean aggregateMigrateAllowed;
  public Boolean cifsAvailable;
  public Boolean failoverAllowed;
  public Boolean flexibleVolume;
  public Boolean ftpAvailable;
  public Boolean httpAvailable;
  public Boolean iscsiAvailable;
  public Boolean nfsAvailable;
  public Boolean sanown;
  public Boolean snapmirrorRelationship;
  public Boolean snapmoverLicensed;
  public String vfiler;
  public String waflVersion;

  @Output("is-aggregate-migrate-allowed")
  @Type("boolean")
  public void setAggregateMigrateAllowed(Boolean paramBoolean)
  {
    this.aggregateMigrateAllowed = paramBoolean;
  }

  public Boolean isAggregateMigrateAllowed()
  {
    return this.aggregateMigrateAllowed;
  }

  public VfilerMigrateCheck withAggregateMigrateAllowed(Boolean paramBoolean)
  {
    this.aggregateMigrateAllowed = paramBoolean;
    return this;
  }

  @Output("is-cifs-available")
  @Type("boolean")
  public void setCifsAvailable(Boolean paramBoolean)
  {
    this.cifsAvailable = paramBoolean;
  }

  public Boolean isCifsAvailable()
  {
    return this.cifsAvailable;
  }

  public VfilerMigrateCheck withCifsAvailable(Boolean paramBoolean)
  {
    this.cifsAvailable = paramBoolean;
    return this;
  }

  @Output("is-failover-allowed")
  @Type("boolean")
  public void setFailoverAllowed(Boolean paramBoolean)
  {
    this.failoverAllowed = paramBoolean;
  }

  public Boolean isFailoverAllowed()
  {
    return this.failoverAllowed;
  }

  public VfilerMigrateCheck withFailoverAllowed(Boolean paramBoolean)
  {
    this.failoverAllowed = paramBoolean;
    return this;
  }

  @Output("is-flexible-volume")
  @Type("boolean")
  public void setFlexibleVolume(Boolean paramBoolean)
  {
    this.flexibleVolume = paramBoolean;
  }

  public Boolean isFlexibleVolume()
  {
    return this.flexibleVolume;
  }

  public VfilerMigrateCheck withFlexibleVolume(Boolean paramBoolean)
  {
    this.flexibleVolume = paramBoolean;
    return this;
  }

  @Output("is-ftp-available")
  @Type("boolean")
  public void setFtpAvailable(Boolean paramBoolean)
  {
    this.ftpAvailable = paramBoolean;
  }

  public Boolean isFtpAvailable()
  {
    return this.ftpAvailable;
  }

  public VfilerMigrateCheck withFtpAvailable(Boolean paramBoolean)
  {
    this.ftpAvailable = paramBoolean;
    return this;
  }

  @Output("is-http-available")
  @Type("boolean")
  public void setHttpAvailable(Boolean paramBoolean)
  {
    this.httpAvailable = paramBoolean;
  }

  public Boolean isHttpAvailable()
  {
    return this.httpAvailable;
  }

  public VfilerMigrateCheck withHttpAvailable(Boolean paramBoolean)
  {
    this.httpAvailable = paramBoolean;
    return this;
  }

  @Output("is-iscsi-available")
  @Type("boolean")
  public void setIscsiAvailable(Boolean paramBoolean)
  {
    this.iscsiAvailable = paramBoolean;
  }

  public Boolean isIscsiAvailable()
  {
    return this.iscsiAvailable;
  }

  public VfilerMigrateCheck withIscsiAvailable(Boolean paramBoolean)
  {
    this.iscsiAvailable = paramBoolean;
    return this;
  }

  @Output("is-nfs-available")
  @Type("boolean")
  public void setNfsAvailable(Boolean paramBoolean)
  {
    this.nfsAvailable = paramBoolean;
  }

  public Boolean isNfsAvailable()
  {
    return this.nfsAvailable;
  }

  public VfilerMigrateCheck withNfsAvailable(Boolean paramBoolean)
  {
    this.nfsAvailable = paramBoolean;
    return this;
  }

  @Output("is-sanown")
  @Type("boolean")
  public void setSanown(Boolean paramBoolean)
  {
    this.sanown = paramBoolean;
  }

  public Boolean isSanown()
  {
    return this.sanown;
  }

  public VfilerMigrateCheck withSanown(Boolean paramBoolean)
  {
    this.sanown = paramBoolean;
    return this;
  }

  @Output("is-snapmirror-relationship")
  @Type("boolean")
  public void setSnapmirrorRelationship(Boolean paramBoolean)
  {
    this.snapmirrorRelationship = paramBoolean;
  }

  public Boolean isSnapmirrorRelationship()
  {
    return this.snapmirrorRelationship;
  }

  public VfilerMigrateCheck withSnapmirrorRelationship(Boolean paramBoolean)
  {
    this.snapmirrorRelationship = paramBoolean;
    return this;
  }

  @Output("is-snapmover-licensed")
  @Type("boolean")
  public void setSnapmoverLicensed(Boolean paramBoolean)
  {
    this.snapmoverLicensed = paramBoolean;
  }

  public Boolean isSnapmoverLicensed()
  {
    return this.snapmoverLicensed;
  }

  public VfilerMigrateCheck withSnapmoverLicensed(Boolean paramBoolean)
  {
    this.snapmoverLicensed = paramBoolean;
    return this;
  }

  @Input("vfiler")
  @Type("string")
  public void setVfiler(String paramString)
  {
    this.vfiler = paramString;
  }

  public String getVfiler()
  {
    return this.vfiler;
  }

  public VfilerMigrateCheck withVfiler(String paramString)
  {
    this.vfiler = paramString;
    return this;
  }

  @Output("wafl-version")
  @Type("string")
  public void setWaflVersion(String paramString)
  {
    this.waflVersion = paramString;
  }

  public String getWaflVersion()
  {
    return this.waflVersion;
  }

  public VfilerMigrateCheck withWaflVersion(String paramString)
  {
    this.waflVersion = paramString;
    return this;
  }
}