package com.netapp.filer.vfiler;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("vfiler-migrate-complete")
@Status(StatusEnum.PUBLIC)
@Errno({"EVFILERNOTFOUND", "EVFILEROPNOTALLOWED"})
public class VfilerMigrateComplete
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Boolean force;
  public AuthenticationInfo remoteAuthenticationInfo;
  public VfilerLocation remoteVfilerLocation;
  public Boolean useSecureCommandChannel;

  @Input("force")
  @Type("boolean")
  @Optional
  public void setForce(Boolean paramBoolean)
  {
    this.force = paramBoolean;
  }

  public Boolean isForce()
  {
    return this.force;
  }

  public VfilerMigrateComplete withForce(Boolean paramBoolean)
  {
    this.force = paramBoolean;
    return this;
  }

  @Input("remote-authentication-info")
  @Type("authentication-info")
  @Optional
  public void setRemoteAuthenticationInfo(AuthenticationInfo paramAuthenticationInfo)
  {
    this.remoteAuthenticationInfo = paramAuthenticationInfo;
  }

  public AuthenticationInfo getRemoteAuthenticationInfo()
  {
    return this.remoteAuthenticationInfo;
  }

  public VfilerMigrateComplete withRemoteAuthenticationInfo(AuthenticationInfo paramAuthenticationInfo)
  {
    this.remoteAuthenticationInfo = paramAuthenticationInfo;
    return this;
  }

  @Input("remote-vfiler-location")
  @Type("vfiler-location")
  public void setRemoteVfilerLocation(VfilerLocation paramVfilerLocation)
  {
    this.remoteVfilerLocation = paramVfilerLocation;
  }

  public VfilerLocation getRemoteVfilerLocation()
  {
    return this.remoteVfilerLocation;
  }

  public VfilerMigrateComplete withRemoteVfilerLocation(VfilerLocation paramVfilerLocation)
  {
    this.remoteVfilerLocation = paramVfilerLocation;
    return this;
  }

  @Input("use-secure-command-channel")
  @Type("boolean")
  @Optional
  public void setUseSecureCommandChannel(Boolean paramBoolean)
  {
    this.useSecureCommandChannel = paramBoolean;
  }

  public Boolean isUseSecureCommandChannel()
  {
    return this.useSecureCommandChannel;
  }

  public VfilerMigrateComplete withUseSecureCommandChannel(Boolean paramBoolean)
  {
    this.useSecureCommandChannel = paramBoolean;
    return this;
  }
}