package com.netapp.filer.vfiler;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("vfiler-remove-ipaddress")
@Status(StatusEnum.PUBLIC)
@Errno({"EVFILERNOTFOUND", "EVFILEROPNOTALLOWED"})
public class VfilerRemoveIpaddress
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String ipaddress;
  public String vfiler;

  @Input("ipaddress")
  @Type("string")
  public void setIpaddress(String paramString)
  {
    this.ipaddress = paramString;
  }

  public String getIpaddress()
  {
    return this.ipaddress;
  }

  public VfilerRemoveIpaddress withIpaddress(String paramString)
  {
    this.ipaddress = paramString;
    return this;
  }

  @Input("vfiler")
  @Type("string")
  public void setVfiler(String paramString)
  {
    this.vfiler = paramString;
  }

  public String getVfiler()
  {
    return this.vfiler;
  }

  public VfilerRemoveIpaddress withVfiler(String paramString)
  {
    this.vfiler = paramString;
    return this;
  }
}