package com.netapp.filer.volume;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;

@Typedef("clone-split-detail-info")
public class CloneSplitDetailInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Long blocksScanned;
  public Long blocksUpdated;
  public Long inodePercentageComplete;
  public Long inodesProcessed;
  public Long inodesTotal;
  public String name;

  @Element("blocks-scanned")
  @Type("integer")
  public void setBlocksScanned(Long paramLong)
  {
    this.blocksScanned = paramLong;
  }

  public Long getBlocksScanned()
  {
    return this.blocksScanned;
  }

  public CloneSplitDetailInfo withBlocksScanned(Long paramLong)
  {
    this.blocksScanned = paramLong;
    return this;
  }

  @Element("blocks-updated")
  @Type("integer")
  public void setBlocksUpdated(Long paramLong)
  {
    this.blocksUpdated = paramLong;
  }

  public Long getBlocksUpdated()
  {
    return this.blocksUpdated;
  }

  public CloneSplitDetailInfo withBlocksUpdated(Long paramLong)
  {
    this.blocksUpdated = paramLong;
    return this;
  }

  @Element("inode-percentage-complete")
  @Type("integer")
  public void setInodePercentageComplete(Long paramLong)
  {
    this.inodePercentageComplete = paramLong;
  }

  public Long getInodePercentageComplete()
  {
    return this.inodePercentageComplete;
  }

  public CloneSplitDetailInfo withInodePercentageComplete(Long paramLong)
  {
    this.inodePercentageComplete = paramLong;
    return this;
  }

  @Element("inodes-processed")
  @Type("integer")
  public void setInodesProcessed(Long paramLong)
  {
    this.inodesProcessed = paramLong;
  }

  public Long getInodesProcessed()
  {
    return this.inodesProcessed;
  }

  public CloneSplitDetailInfo withInodesProcessed(Long paramLong)
  {
    this.inodesProcessed = paramLong;
    return this;
  }

  @Element("inodes-total")
  @Type("integer")
  public void setInodesTotal(Long paramLong)
  {
    this.inodesTotal = paramLong;
  }

  public Long getInodesTotal()
  {
    return this.inodesTotal;
  }

  public CloneSplitDetailInfo withInodesTotal(Long paramLong)
  {
    this.inodesTotal = paramLong;
    return this;
  }

  @Element("name")
  @Type("string")
  public void setName(String paramString)
  {
    this.name = paramString;
  }

  public String getName()
  {
    return this.name;
  }

  public CloneSplitDetailInfo withName(String paramString)
  {
    this.name = paramString;
    return this;
  }
}