package com.netapp.filer.volume;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.math.BigInteger;

@Typedef("compression-info")
public class CompressionInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public BigInteger compressedData;
  public BigInteger dataDecompressed;
  public Integer decompCompeletePercentage;
  public String compressionEnabled;
  public Integer savedPercentage;

  @Element("compressed-data")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^64-1")
  public void setCompressedData(BigInteger paramBigInteger)
  {
    this.compressedData = paramBigInteger;
  }

  public BigInteger getCompressedData()
  {
    return this.compressedData;
  }

  public CompressionInfo withCompressedData(BigInteger paramBigInteger)
  {
    this.compressedData = paramBigInteger;
    return this;
  }

  @Element("data-decompressed")
  @Type("integer")
  @Optional
  @Range(min="0", max="2^64-1")
  public void setDataDecompressed(BigInteger paramBigInteger)
  {
    this.dataDecompressed = paramBigInteger;
  }

  public BigInteger getDataDecompressed()
  {
    return this.dataDecompressed;
  }

  public CompressionInfo withDataDecompressed(BigInteger paramBigInteger)
  {
    this.dataDecompressed = paramBigInteger;
    return this;
  }

  @Element("decomp-compelete-percentage")
  @Type("integer")
  @Optional
  @Range(min="0", max="100")
  public void setDecompCompeletePercentage(Integer paramInteger)
  {
    this.decompCompeletePercentage = paramInteger;
  }

  public Integer getDecompCompeletePercentage()
  {
    return this.decompCompeletePercentage;
  }

  public CompressionInfo withDecompCompeletePercentage(Integer paramInteger)
  {
    this.decompCompeletePercentage = paramInteger;
    return this;
  }

  @Element("is-compression-enabled")
  @Type("string")
  public void setCompressionEnabled(String paramString)
  {
    this.compressionEnabled = paramString;
  }

  public String getCompressionEnabled()
  {
    return this.compressionEnabled;
  }

  public CompressionInfo withCompressionEnabled(String paramString)
  {
    this.compressionEnabled = paramString;
    return this;
  }

  @Element("saved-percentage")
  @Type("integer")
  @Optional
  @Range(min="0", max="100")
  public void setSavedPercentage(Integer paramInteger)
  {
    this.savedPercentage = paramInteger;
  }

  public Integer getSavedPercentage()
  {
    return this.savedPercentage;
  }

  public CompressionInfo withSavedPercentage(Integer paramInteger)
  {
    this.savedPercentage = paramInteger;
    return this;
  }
}