package com.netapp.filer.volume;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Typedef("plex-info")
public class PlexInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Boolean online;
  public Boolean resyncing;
  public String name;
  public List<RaidGroupInfo> raidGroups;
  public Integer resyncingPercentage;

  @Element("is-online")
  @Type("boolean")
  public void setOnline(Boolean paramBoolean)
  {
    this.online = paramBoolean;
  }

  public Boolean isOnline()
  {
    return this.online;
  }

  public PlexInfo withOnline(Boolean paramBoolean)
  {
    this.online = paramBoolean;
    return this;
  }

  @Element("is-resyncing")
  @Type("boolean")
  public void setResyncing(Boolean paramBoolean)
  {
    this.resyncing = paramBoolean;
  }

  public Boolean isResyncing()
  {
    return this.resyncing;
  }

  public PlexInfo withResyncing(Boolean paramBoolean)
  {
    this.resyncing = paramBoolean;
    return this;
  }

  @Element("name")
  @Type("string")
  public void setName(String paramString)
  {
    this.name = paramString;
  }

  public String getName()
  {
    return this.name;
  }

  public PlexInfo withName(String paramString)
  {
    this.name = paramString;
    return this;
  }

  @Element("raid-groups")
  @Type("raid-group-info[]")
  @Optional
  public void setRaidGroups(List<RaidGroupInfo> paramList)
  {
    this.raidGroups = paramList;
  }

  public List<RaidGroupInfo> getRaidGroups()
  {
    return this.raidGroups;
  }

  public PlexInfo withRaidGroups(List<RaidGroupInfo> paramList)
  {
    this.raidGroups = paramList;
    return this;
  }

  public PlexInfo withRaidGroups(RaidGroupInfo[] paramArrayOfRaidGroupInfo)
  {
    this.raidGroups = new ArrayList(Arrays.asList(paramArrayOfRaidGroupInfo));
    return this;
  }

  @Element("resyncing-percentage")
  @Type("integer")
  @Optional
  @Range(min="0", max="100")
  public void setResyncingPercentage(Integer paramInteger)
  {
    this.resyncingPercentage = paramInteger;
  }

  public Integer getResyncingPercentage()
  {
    return this.resyncingPercentage;
  }

  public PlexInfo withResyncingPercentage(Integer paramInteger)
  {
    this.resyncingPercentage = paramInteger;
    return this;
  }
}