package com.netapp.filer.volume;

import com.netapp.common.zapi.annotation.Element;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Type;
import com.netapp.common.zapi.annotation.Typedef;
import java.io.Serializable;

@Typedef("snap-autodelete-info")
public class SnapAutodeleteInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String commitment;
  public String deferDelete;
  public String deleteOrder;
  public String destroyList;
  public String prefix;
  public String state;
  public Integer targetFreeSpace;
  public String trigger;

  @Element("commitment")
  @Type("string")
  public void setCommitment(String paramString)
  {
    this.commitment = paramString;
  }

  public String getCommitment()
  {
    return this.commitment;
  }

  public SnapAutodeleteInfo withCommitment(String paramString)
  {
    this.commitment = paramString;
    return this;
  }

  @Element("defer-delete")
  @Type("string")
  public void setDeferDelete(String paramString)
  {
    this.deferDelete = paramString;
  }

  public String getDeferDelete()
  {
    return this.deferDelete;
  }

  public SnapAutodeleteInfo withDeferDelete(String paramString)
  {
    this.deferDelete = paramString;
    return this;
  }

  @Element("delete-order")
  @Type("string")
  public void setDeleteOrder(String paramString)
  {
    this.deleteOrder = paramString;
  }

  public String getDeleteOrder()
  {
    return this.deleteOrder;
  }

  public SnapAutodeleteInfo withDeleteOrder(String paramString)
  {
    this.deleteOrder = paramString;
    return this;
  }

  @Element("destroy-list")
  @Type("string")
  public void setDestroyList(String paramString)
  {
    this.destroyList = paramString;
  }

  public String getDestroyList()
  {
    return this.destroyList;
  }

  public SnapAutodeleteInfo withDestroyList(String paramString)
  {
    this.destroyList = paramString;
    return this;
  }

  @Element("prefix")
  @Type("string")
  public void setPrefix(String paramString)
  {
    this.prefix = paramString;
  }

  public String getPrefix()
  {
    return this.prefix;
  }

  public SnapAutodeleteInfo withPrefix(String paramString)
  {
    this.prefix = paramString;
    return this;
  }

  @Element("state")
  @Type("string")
  public void setState(String paramString)
  {
    this.state = paramString;
  }

  public String getState()
  {
    return this.state;
  }

  public SnapAutodeleteInfo withState(String paramString)
  {
    this.state = paramString;
    return this;
  }

  @Element("target-free-space")
  @Type("integer")
  @Range(min="1", max="100")
  public void setTargetFreeSpace(Integer paramInteger)
  {
    this.targetFreeSpace = paramInteger;
  }

  public Integer getTargetFreeSpace()
  {
    return this.targetFreeSpace;
  }

  public SnapAutodeleteInfo withTargetFreeSpace(Integer paramInteger)
  {
    this.targetFreeSpace = paramInteger;
    return this;
  }

  @Element("trigger")
  @Type("string")
  public void setTrigger(String paramString)
  {
    this.trigger = paramString;
  }

  public String getTrigger()
  {
    return this.trigger;
  }

  public SnapAutodeleteInfo withTrigger(String paramString)
  {
    this.trigger = paramString;
    return this;
  }
}