package com.netapp.filer.volume;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("volume-charmap-get")
@Status(StatusEnum.PUBLIC)
@Errno({"EOPNOTSUPPORTED", "EVOLUMEDOESNOTEXIST"})
@Family({"ontap-c", "vfiler"})
public class VolumeCharmapGet
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String charmap;
  public String volume;

  @Output("charmap")
  @Type("string")
  @Optional
  public void setCharmap(String paramString)
  {
    this.charmap = paramString;
  }

  public String getCharmap()
  {
    return this.charmap;
  }

  public VolumeCharmapGet withCharmap(String paramString)
  {
    this.charmap = paramString;
    return this;
  }

  @Input("volume")
  @Type("string")
  public void setVolume(String paramString)
  {
    this.volume = paramString;
  }

  public String getVolume()
  {
    return this.volume;
  }

  public VolumeCharmapGet withVolume(String paramString)
  {
    this.volume = paramString;
    return this;
  }
}