package com.netapp.filer.volume;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("volume-clone-split-estimate")
@Status(StatusEnum.PUBLIC)
@Errno({"EONTAPI_ENOENT"})
@Family({"ontap-c", "vfiler"})
public class VolumeCloneSplitEstimate
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<CloneSplitEstimateInfo> cloneSplitEstimate;
  public String volume;

  @Output("clone-split-estimate")
  @Type("clone-split-estimate-info[]")
  public void setCloneSplitEstimate(List<CloneSplitEstimateInfo> paramList)
  {
    this.cloneSplitEstimate = paramList;
  }

  public List<CloneSplitEstimateInfo> getCloneSplitEstimate()
  {
    return this.cloneSplitEstimate;
  }

  public VolumeCloneSplitEstimate withCloneSplitEstimate(List<CloneSplitEstimateInfo> paramList)
  {
    this.cloneSplitEstimate = paramList;
    return this;
  }

  public VolumeCloneSplitEstimate withCloneSplitEstimate(CloneSplitEstimateInfo[] paramArrayOfCloneSplitEstimateInfo)
  {
    this.cloneSplitEstimate = new ArrayList(Arrays.asList(paramArrayOfCloneSplitEstimateInfo));
    return this;
  }

  @Input("volume")
  @Type("string")
  public void setVolume(String paramString)
  {
    this.volume = paramString;
  }

  public String getVolume()
  {
    return this.volume;
  }

  public VolumeCloneSplitEstimate withVolume(String paramString)
  {
    this.volume = paramString;
    return this;
  }
}