package com.netapp.filer.volume;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("volume-clone-split-status")
@Status(StatusEnum.PUBLIC)
@Errno({"EONTAPI_ENOENT", "EONTAPI_EVOLNOTFLEX", "EVOLNOTCLONE", "EVOLOPNOTUNDERWAY"})
@Family({"ontap-c", "vfiler"})
public class VolumeCloneSplitStatus
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<CloneSplitDetailInfo> cloneSplitDetails;
  public String volume;

  @Output("clone-split-details")
  @Type("clone-split-detail-info[]")
  @Optional
  public void setCloneSplitDetails(List<CloneSplitDetailInfo> paramList)
  {
    this.cloneSplitDetails = paramList;
  }

  public List<CloneSplitDetailInfo> getCloneSplitDetails()
  {
    return this.cloneSplitDetails;
  }

  public VolumeCloneSplitStatus withCloneSplitDetails(List<CloneSplitDetailInfo> paramList)
  {
    this.cloneSplitDetails = paramList;
    return this;
  }

  public VolumeCloneSplitStatus withCloneSplitDetails(CloneSplitDetailInfo[] paramArrayOfCloneSplitDetailInfo)
  {
    this.cloneSplitDetails = new ArrayList(Arrays.asList(paramArrayOfCloneSplitDetailInfo));
    return this;
  }

  @Input("volume")
  @Type("string")
  @Optional
  public void setVolume(String paramString)
  {
    this.volume = paramString;
  }

  public String getVolume()
  {
    return this.volume;
  }

  public VolumeCloneSplitStatus withVolume(String paramString)
  {
    this.volume = paramString;
    return this;
  }
}