package com.netapp.filer.volume;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("volume-container")
@Status(StatusEnum.PUBLIC)
@Errno({"EONTAPI_ENOENT"})
@Family({"ontap-c", "vfiler"})
public class VolumeContainer
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String containingAggregate;
  public String volume;

  @Output("containing-aggregate")
  @Type("string")
  public void setContainingAggregate(String paramString)
  {
    this.containingAggregate = paramString;
  }

  public String getContainingAggregate()
  {
    return this.containingAggregate;
  }

  public VolumeContainer withContainingAggregate(String paramString)
  {
    this.containingAggregate = paramString;
    return this;
  }

  @Input("volume")
  @Type("string")
  public void setVolume(String paramString)
  {
    this.volume = paramString;
  }

  public String getVolume()
  {
    return this.volume;
  }

  public VolumeContainer withVolume(String paramString)
  {
    this.volume = paramString;
    return this;
  }
}