package com.netapp.filer.volume;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("volume-decompress-start")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR", "EVOLAGGRISIRONING", "EVOLUMEDOESNOTEXIST", "EVOLUMENOTCOMPRESSED", "EVOLUMENOTONLINE"})
@Family({"ontap-c", "vfiler"})
public class VolumeDecompressStart
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String volume;

  @Input("volume")
  @Type("string")
  public void setVolume(String paramString)
  {
    this.volume = paramString;
  }

  public String getVolume()
  {
    return this.volume;
  }

  public VolumeDecompressStart withVolume(String paramString)
  {
    this.volume = paramString;
    return this;
  }
}