package com.netapp.filer.volume;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("volume-destroy")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR", "EVOLUMEPLEXINVALID", "EVOLUME_HAS_VFILER_STORAGE"})
@Family({"ontap-c", "vfiler"})
public class VolumeDestroy
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Boolean force;
  public String name;

  @Input("force")
  @Type("boolean")
  @Optional
  public void setForce(Boolean paramBoolean)
  {
    this.force = paramBoolean;
  }

  public Boolean isForce()
  {
    return this.force;
  }

  public VolumeDestroy withForce(Boolean paramBoolean)
  {
    this.force = paramBoolean;
    return this;
  }

  @Input("name")
  @Type("string")
  public void setName(String paramString)
  {
    this.name = paramString;
  }

  public String getName()
  {
    return this.name;
  }

  public VolumeDestroy withName(String paramString)
  {
    this.name = paramString;
    return this;
  }
}