package com.netapp.filer.volume;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("volume-list-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR", "EVOLUMEDOESNOTEXIST"})
@Family({"ontap-c", "vfiler"})
public class VolumeListInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Boolean verbose;
  public String volume;
  public List<VolumeInfo> volumes;

  @Input("verbose")
  @Type("boolean")
  @Optional
  public void setVerbose(Boolean paramBoolean)
  {
    this.verbose = paramBoolean;
  }

  public Boolean isVerbose()
  {
    return this.verbose;
  }

  public VolumeListInfo withVerbose(Boolean paramBoolean)
  {
    this.verbose = paramBoolean;
    return this;
  }

  @Input("volume")
  @Type("string")
  @Optional
  public void setVolume(String paramString)
  {
    this.volume = paramString;
  }

  public String getVolume()
  {
    return this.volume;
  }

  public VolumeListInfo withVolume(String paramString)
  {
    this.volume = paramString;
    return this;
  }

  @Output("volumes")
  @Type("volume-info[]")
  public void setVolumes(List<VolumeInfo> paramList)
  {
    this.volumes = paramList;
  }

  public List<VolumeInfo> getVolumes()
  {
    return this.volumes;
  }

  public VolumeListInfo withVolumes(List<VolumeInfo> paramList)
  {
    this.volumes = paramList;
    return this;
  }

  public VolumeListInfo withVolumes(VolumeInfo[] paramArrayOfVolumeInfo)
  {
    this.volumes = new ArrayList(Arrays.asList(paramArrayOfVolumeInfo));
    return this;
  }
}