package com.netapp.filer.volume;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Api("volume-mediascrub-list-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR"})
public class VolumeMediascrubListInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public List<MediascrubDetailInfo> mediascrubDetails;
  public String volume;

  @Output("mediascrub-details")
  @Type("mediascrub-detail-info[]")
  public void setMediascrubDetails(List<MediascrubDetailInfo> paramList)
  {
    this.mediascrubDetails = paramList;
  }

  public List<MediascrubDetailInfo> getMediascrubDetails()
  {
    return this.mediascrubDetails;
  }

  public VolumeMediascrubListInfo withMediascrubDetails(List<MediascrubDetailInfo> paramList)
  {
    this.mediascrubDetails = paramList;
    return this;
  }

  public VolumeMediascrubListInfo withMediascrubDetails(MediascrubDetailInfo[] paramArrayOfMediascrubDetailInfo)
  {
    this.mediascrubDetails = new ArrayList(Arrays.asList(paramArrayOfMediascrubDetailInfo));
    return this;
  }

  @Input("volume")
  @Type("string")
  @Optional
  public void setVolume(String paramString)
  {
    this.volume = paramString;
  }

  public String getVolume()
  {
    return this.volume;
  }

  public VolumeMediascrubListInfo withVolume(String paramString)
  {
    this.volume = paramString;
    return this;
  }
}