package com.netapp.filer.volume;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("volume-online")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR", "EVOLUMEPLEXINVALID"})
@Family({"ontap-c", "vfiler"})
public class VolumeOnline
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String name;

  @Input("name")
  @Type("string")
  public void setName(String paramString)
  {
    this.name = paramString;
  }

  public String getName()
  {
    return this.name;
  }

  public VolumeOnline withName(String paramString)
  {
    this.name = paramString;
    return this;
  }
}