package com.netapp.filer.volume;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("volume-rename")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR", "EVOLUMENAMEINVALID"})
@Family({"ontap-c", "vfiler"})
public class VolumeRename
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String newVolumeName;
  public String volume;

  @Input("new-volume-name")
  @Type("string")
  public void setNewVolumeName(String paramString)
  {
    this.newVolumeName = paramString;
  }

  public String getNewVolumeName()
  {
    return this.newVolumeName;
  }

  public VolumeRename withNewVolumeName(String paramString)
  {
    this.newVolumeName = paramString;
    return this;
  }

  @Input("volume")
  @Type("string")
  public void setVolume(String paramString)
  {
    this.volume = paramString;
  }

  public String getVolume()
  {
    return this.volume;
  }

  public VolumeRename withVolume(String paramString)
  {
    this.volume = paramString;
    return this;
  }
}