package com.netapp.filer.volume;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("volume-set-language")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR", "EVOLUMEBUSY", "EVOLUMEDOESNOTEXIST", "EVOLUMENOTONLINE"})
@Family({"ontap-c", "vfiler"})
public class VolumeSetLanguage
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String languageCode;
  public String volume;

  @Input("language-code")
  @Type("string")
  public void setLanguageCode(String paramString)
  {
    this.languageCode = paramString;
  }

  public String getLanguageCode()
  {
    return this.languageCode;
  }

  public VolumeSetLanguage withLanguageCode(String paramString)
  {
    this.languageCode = paramString;
    return this;
  }

  @Input("volume")
  @Type("string")
  public void setVolume(String paramString)
  {
    this.volume = paramString;
  }

  public String getVolume()
  {
    return this.volume;
  }

  public VolumeSetLanguage withVolume(String paramString)
  {
    this.volume = paramString;
    return this;
  }
}