package com.netapp.filer.volume;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("volume-set-total-files")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR"})
@Family({"ontap-c", "vfiler"})
public class VolumeSetTotalFiles
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Boolean force;
  public Integer requestedTotalFiles;
  public Integer resultingTotalFiles;
  public String volume;

  @Input("force")
  @Type("boolean")
  @Optional
  public void setForce(Boolean paramBoolean)
  {
    this.force = paramBoolean;
  }

  public Boolean isForce()
  {
    return this.force;
  }

  public VolumeSetTotalFiles withForce(Boolean paramBoolean)
  {
    this.force = paramBoolean;
    return this;
  }

  @Input("requested-total-files")
  @Type("integer")
  @Range(min="0", max="2^31-1")
  public void setRequestedTotalFiles(Integer paramInteger)
  {
    this.requestedTotalFiles = paramInteger;
  }

  public Integer getRequestedTotalFiles()
  {
    return this.requestedTotalFiles;
  }

  public VolumeSetTotalFiles withRequestedTotalFiles(Integer paramInteger)
  {
    this.requestedTotalFiles = paramInteger;
    return this;
  }

  @Output("resulting-total-files")
  @Type("integer")
  @Range(min="0", max="2^31-1")
  public void setResultingTotalFiles(Integer paramInteger)
  {
    this.resultingTotalFiles = paramInteger;
  }

  public Integer getResultingTotalFiles()
  {
    return this.resultingTotalFiles;
  }

  public VolumeSetTotalFiles withResultingTotalFiles(Integer paramInteger)
  {
    this.resultingTotalFiles = paramInteger;
    return this;
  }

  @Input("volume")
  @Type("string")
  public void setVolume(String paramString)
  {
    this.volume = paramString;
  }

  public String getVolume()
  {
    return this.volume;
  }

  public VolumeSetTotalFiles withVolume(String paramString)
  {
    this.volume = paramString;
    return this;
  }
}