package com.netapp.filer.volume;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Family;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("volume-size")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR", "EONTAPI_ENOSPC"})
@Family({"ontap-c", "vfiler"})
public class VolumeSize
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public Boolean fixedSizeFlexVolume;
  public Boolean readonlyFlexVolume;
  public Boolean replicaFlexVolume;
  public String newSize;
  public String volume;
  public String volumeSize;

  @Output("is-fixed-size-flex-volume")
  @Type("boolean")
  @Optional
  public void setFixedSizeFlexVolume(Boolean paramBoolean)
  {
    this.fixedSizeFlexVolume = paramBoolean;
  }

  public Boolean isFixedSizeFlexVolume()
  {
    return this.fixedSizeFlexVolume;
  }

  public VolumeSize withFixedSizeFlexVolume(Boolean paramBoolean)
  {
    this.fixedSizeFlexVolume = paramBoolean;
    return this;
  }

  @Output("is-readonly-flex-volume")
  @Type("boolean")
  @Optional
  public void setReadonlyFlexVolume(Boolean paramBoolean)
  {
    this.readonlyFlexVolume = paramBoolean;
  }

  public Boolean isReadonlyFlexVolume()
  {
    return this.readonlyFlexVolume;
  }

  public VolumeSize withReadonlyFlexVolume(Boolean paramBoolean)
  {
    this.readonlyFlexVolume = paramBoolean;
    return this;
  }

  @Output("is-replica-flex-volume")
  @Type("boolean")
  @Optional
  public void setReplicaFlexVolume(Boolean paramBoolean)
  {
    this.replicaFlexVolume = paramBoolean;
  }

  public Boolean isReplicaFlexVolume()
  {
    return this.replicaFlexVolume;
  }

  public VolumeSize withReplicaFlexVolume(Boolean paramBoolean)
  {
    this.replicaFlexVolume = paramBoolean;
    return this;
  }

  @Input("new-size")
  @Type("string")
  @Optional
  public void setNewSize(String paramString)
  {
    this.newSize = paramString;
  }

  public String getNewSize()
  {
    return this.newSize;
  }

  public VolumeSize withNewSize(String paramString)
  {
    this.newSize = paramString;
    return this;
  }

  @Input("volume")
  @Type("string")
  public void setVolume(String paramString)
  {
    this.volume = paramString;
  }

  public String getVolume()
  {
    return this.volume;
  }

  public VolumeSize withVolume(String paramString)
  {
    this.volume = paramString;
    return this;
  }

  @Output("volume-size")
  @Type("string")
  public void setVolumeSize(String paramString)
  {
    this.volumeSize = paramString;
  }

  public String getVolumeSize()
  {
    return this.volumeSize;
  }

  public VolumeSize withVolumeSize(String paramString)
  {
    this.volumeSize = paramString;
    return this;
  }
}