package com.netapp.filer.volume;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Input;
import com.netapp.common.zapi.annotation.Optional;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("volume-verify-suspend")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR"})
public class VolumeVerifySuspend
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String volume;

  @Input("volume")
  @Type("string")
  @Optional
  public void setVolume(String paramString)
  {
    this.volume = paramString;
  }

  public String getVolume()
  {
    return this.volume;
  }

  public VolumeVerifySuspend withVolume(String paramString)
  {
    this.volume = paramString;
    return this;
  }
}