package com.netapp.filer.volume;

import com.netapp.common.zapi.annotation.Api;
import com.netapp.common.zapi.annotation.Errno;
import com.netapp.common.zapi.annotation.Output;
import com.netapp.common.zapi.annotation.Range;
import com.netapp.common.zapi.annotation.Status;
import com.netapp.common.zapi.annotation.StatusEnum;
import com.netapp.common.zapi.annotation.Type;
import java.io.Serializable;

@Api("volume-wafl-info")
@Status(StatusEnum.PUBLIC)
@Errno({"EINTERNALERROR"})
public class VolumeWaflInfo
  implements Serializable
{
  private static final long serialVersionUID = 1L;
  public String checksumTypes;
  public String diskTypes;
  public String rootVolume;
  public Integer snapshotsMax;

  @Output("checksum-types")
  @Type("string")
  public void setChecksumTypes(String paramString)
  {
    this.checksumTypes = paramString;
  }

  public String getChecksumTypes()
  {
    return this.checksumTypes;
  }

  public VolumeWaflInfo withChecksumTypes(String paramString)
  {
    this.checksumTypes = paramString;
    return this;
  }

  @Output("disk-types")
  @Type("string")
  public void setDiskTypes(String paramString)
  {
    this.diskTypes = paramString;
  }

  public String getDiskTypes()
  {
    return this.diskTypes;
  }

  public VolumeWaflInfo withDiskTypes(String paramString)
  {
    this.diskTypes = paramString;
    return this;
  }

  @Output("root-volume")
  @Type("string")
  public void setRootVolume(String paramString)
  {
    this.rootVolume = paramString;
  }

  public String getRootVolume()
  {
    return this.rootVolume;
  }

  public VolumeWaflInfo withRootVolume(String paramString)
  {
    this.rootVolume = paramString;
    return this;
  }

  @Output("snapshots-max")
  @Type("integer")
  @Range(min="0", max="2^31-1")
  public void setSnapshotsMax(Integer paramInteger)
  {
    this.snapshotsMax = paramInteger;
  }

  public Integer getSnapshotsMax()
  {
    return this.snapshotsMax;
  }

  public VolumeWaflInfo withSnapshotsMax(Integer paramInteger)
  {
    this.snapshotsMax = paramInteger;
    return this;
  }
}