package devmgr.trace;

import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Component;
import java.awt.Container;
import java.awt.Dialog;
import java.awt.Dimension;
import java.awt.FlowLayout;
import java.awt.Font;
import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;
import java.awt.Insets;
import java.awt.Point;
import java.awt.Rectangle;
import java.awt.Window;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import javax.swing.AbstractButton;
import javax.swing.JButton;
import javax.swing.JComponent;
import javax.swing.JDialog;
import javax.swing.JPanel;
import javax.swing.JRootPane;
import javax.swing.JTextArea;
import javax.swing.KeyStroke;
import javax.swing.text.JTextComponent;

public class TraceMessageBox extends JDialog
{
  GridBagLayout m_TextPanelLayout = new GridBagLayout();
  Insets m_TextAreaInsets = new Insets(15, 15, 0, 15);
  JPanel m_TextPanel;
  JTextArea m_Text;
  JPanel m_ButtonPanel;
  JButton m_OkButton;
  boolean m_ComponentsAdjusted = false;

  public TraceMessageBox(Window paramWindow, String paramString1, String paramString2)
  {
    setupMessageBox(paramString1, paramString2);
    setLocationRelativeTo(paramWindow);
    super.setModal(true);
    addWindowListener(new SymWindow());
    getRootPane().registerKeyboardAction(new EscapeListener(), KeyStroke.getKeyStroke(27, 0, false), 2);
  }

  public void dispose()
  {
    JRootPane localJRootPane = getRootPane();
    if (localJRootPane != null)
      localJRootPane.unregisterKeyboardAction(KeyStroke.getKeyStroke(27, 0, false));
    super.dispose();
  }

  private void setupMessageBox(String paramString1, String paramString2)
  {
    BorderLayout localBorderLayout = new BorderLayout(0, 0);
    Dimension localDimension = getSize();
    int i = 0;
    getContentPane().setLayout(localBorderLayout);
    setResizable(false);
    setVisible(false);
    setSize(200, 150);
    this.m_TextPanel = new JPanel();
    this.m_TextPanel.setLayout(this.m_TextPanelLayout);
    this.m_TextPanel.setBounds(0, 0, 200, 100);
    getContentPane().add("Center", this.m_TextPanel);
    this.m_Text = new JTextArea();
    this.m_Text.setText("");
    this.m_Text.setMargin(new Insets(0, 0, 0, 0));
    this.m_Text.setLineWrap(true);
    this.m_Text.setWrapStyleWord(true);
    this.m_Text.setSelectionColor(new Color(0));
    this.m_Text.setDisabledTextColor(new Color(0));
    this.m_Text.setFont(new Font("SansSerif", 0, 12));
    this.m_Text.setEditable(false);
    this.m_Text.setEnabled(false);
    this.m_Text.setBorder(null);
    GridBagConstraints localGridBagConstraints = new GridBagConstraints();
    localGridBagConstraints.gridx = -1;
    localGridBagConstraints.weightx = 1.0D;
    localGridBagConstraints.weighty = 1.0D;
    localGridBagConstraints.fill = 1;
    localGridBagConstraints.anchor = 17;
    localGridBagConstraints.gridwidth = 0;
    localGridBagConstraints.insets = this.m_TextAreaInsets;
    this.m_TextPanelLayout.setConstraints(this.m_Text, localGridBagConstraints);
    this.m_TextPanel.add(this.m_Text);
    this.m_ButtonPanel = new JPanel();
    this.m_ButtonPanel.setLayout(new FlowLayout(1, 20, 12));
    getContentPane().add("South", this.m_ButtonPanel);
    this.m_OkButton = new JButton();
    this.m_OkButton.setText("OK");
    this.m_ButtonPanel.add(this.m_OkButton);
    this.m_OkButton.addActionListener(new ButtonListener(null));
    i = this.m_ButtonPanel.getPreferredSize().height + this.m_TextAreaInsets.top + this.m_TextAreaInsets.bottom;
    Rectangle localRectangle = this.m_Text.getBounds();
    localRectangle.height = (localDimension.height - i);
    localRectangle.width = (localDimension.width - this.m_TextAreaInsets.left - this.m_TextAreaInsets.right);
    this.m_Text.setBounds(localRectangle);
    this.m_Text.setText(paramString2);
    setTitle(paramString1);
    addWindowListener(new DialogWindowListener());
  }

  public void addNotify()
  {
    Dimension localDimension = getSize();
    super.addNotify();
    if (this.m_ComponentsAdjusted)
      return;
    setSize(getInsets().left + getInsets().right + localDimension.width, getInsets().top + getInsets().bottom + localDimension.height);
    Component[] arrayOfComponent = getContentPane().getComponents();
    for (int i = 0; i < arrayOfComponent.length; i++)
    {
      Point localPoint = arrayOfComponent[i].getLocation();
      localPoint.translate(getInsets().left, getInsets().top);
      arrayOfComponent[i].setLocation(localPoint);
    }
    this.m_ComponentsAdjusted = true;
  }

  class DialogWindowListener extends WindowAdapter
  {
    DialogWindowListener()
    {
    }

    public void windowOpened(WindowEvent paramWindowEvent)
    {
      TraceMessageBox.this.setBackground(TraceMessageBox.this.m_TextPanel.getBackground());
      TraceMessageBox.this.m_Text.setBackground(TraceMessageBox.this.m_TextPanel.getBackground());
      TraceMessageBox.this.m_OkButton.requestFocus();
    }
  }

  class EscapeListener
    implements ActionListener
  {
    EscapeListener()
    {
    }

    public void actionPerformed(ActionEvent paramActionEvent)
    {
      TraceMessageBox.this.dispatchEvent(new WindowEvent(TraceMessageBox.this, 201));
    }
  }

  private class ButtonListener
    implements ActionListener
  {
    private ButtonListener()
    {
    }

    public void actionPerformed(ActionEvent paramActionEvent)
    {
      TraceMessageBox.this.dispatchEvent(new WindowEvent(TraceMessageBox.this, 201));
    }

    ButtonListener(TraceMessageBox.1 arg2)
    {
      this();
    }
  }

  class SymWindow extends WindowAdapter
  {
    SymWindow()
    {
    }

    public void windowClosing(WindowEvent paramWindowEvent)
    {
      TraceMessageBox.this.setVisible(false);
      TraceMessageBox.this.dispose();
    }
  }
}