package devmgr.versioned.sam.security;

import java.security.InvalidParameterException;
import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;

public class PBE
{
  private static final int BLOCK_SIZE = 8;
  private DESWithCBC m_DesEngine = null;
  private boolean m_Encrypting;

  public void init(boolean paramBoolean, byte[] paramArrayOfByte1, byte[] paramArrayOfByte2, int paramInt)
    throws NoSuchAlgorithmException
  {
    MessageDigest localMessageDigest = MessageDigest.getInstance("SHA");
    this.m_Encrypting = paramBoolean;
    localMessageDigest.update(paramArrayOfByte1);
    localMessageDigest.update(paramArrayOfByte2, 0, 8);
    for (int i = 1; i < paramInt; i++)
    {
      arrayOfByte1 = localMessageDigest.digest();
      localMessageDigest.update(arrayOfByte1);
    }
    byte[] arrayOfByte1 = localMessageDigest.digest();
    byte[] arrayOfByte2 = new byte[8];
    byte[] arrayOfByte3 = new byte[8];
    System.arraycopy(arrayOfByte1, 0, arrayOfByte2, 0, 8);
    System.arraycopy(arrayOfByte1, arrayOfByte1.length - 8, arrayOfByte3, 0, 8);
    this.m_DesEngine = new DESWithCBC(arrayOfByte2, paramBoolean, arrayOfByte3);
  }

  public byte[] crypt(byte[] paramArrayOfByte)
    throws InvalidParameterException
  {
    int i = 0;
    int j = 0;
    byte[] arrayOfByte1 = new byte[8];
    byte[] arrayOfByte2 = new byte[8];
    if ((!this.m_Encrypting) && (paramArrayOfByte.length % 8 != 0))
      throw new InvalidParameterException("Invalid input buffer size");
    int m;
    if (this.m_Encrypting)
      m = paramArrayOfByte.length + (8 - paramArrayOfByte.length % 8);
    else
      m = paramArrayOfByte.length;
    Object localObject = new byte[m];
    while (paramArrayOfByte.length - i >= 8)
    {
      System.arraycopy(paramArrayOfByte, i, arrayOfByte1, 0, 8);
      this.m_DesEngine.crypt(arrayOfByte1, arrayOfByte2);
      System.arraycopy(arrayOfByte2, 0, localObject, j, 8);
      i += 8;
      j += 8;
    }
    int k;
    int n;
    if (this.m_Encrypting)
    {
      k = (byte)(8 - (paramArrayOfByte.length - i));
      System.arraycopy(paramArrayOfByte, i, arrayOfByte1, 0, paramArrayOfByte.length - i);
      for (n = paramArrayOfByte.length - i; n < 8; n++)
        arrayOfByte1[n] = k;
      this.m_DesEngine.crypt(arrayOfByte1, arrayOfByte2);
      System.arraycopy(arrayOfByte2, 0, localObject, j, 8);
    }
    else
    {
      k = localObject[(localObject.length - 1)];
      if ((k < 1) || (k > 8))
        throw new InvalidParameterException("Invalid pad value in input");
      for (n = 1; n < k; n++)
        if (localObject[(localObject.length - 1 - n)] != k)
          throw new InvalidParameterException("Mismatched pad bytes in input");
      byte[] arrayOfByte3 = new byte[localObject.length - k];
      System.arraycopy(localObject, 0, arrayOfByte3, 0, arrayOfByte3.length);
      localObject = arrayOfByte3;
    }
    return localObject;
  }
}