package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class AutoConfigTemplate
  implements XDRType, SYMbolAPIConstants
{
  private PhysicalDriveType phyDriveType = new PhysicalDriveType();
  private RAIDLevel raidLevel = new RAIDLevel();
  private int volumeGroupWidth;
  private int volumesPerGroup;
  private int numberHotSpares;
  private int numberUnassignedDrives;
  private int segmentSize;
  private int readAhead;

  public AutoConfigTemplate()
  {
  }

  public AutoConfigTemplate(AutoConfigTemplate paramAutoConfigTemplate)
  {
    this.phyDriveType = paramAutoConfigTemplate.phyDriveType;
    this.raidLevel = paramAutoConfigTemplate.raidLevel;
    this.volumeGroupWidth = paramAutoConfigTemplate.volumeGroupWidth;
    this.volumesPerGroup = paramAutoConfigTemplate.volumesPerGroup;
    this.numberHotSpares = paramAutoConfigTemplate.numberHotSpares;
    this.numberUnassignedDrives = paramAutoConfigTemplate.numberUnassignedDrives;
    this.segmentSize = paramAutoConfigTemplate.segmentSize;
    this.readAhead = paramAutoConfigTemplate.readAhead;
  }

  public PhysicalDriveType getPhyDriveType()
  {
    return this.phyDriveType;
  }

  public void setPhyDriveType(PhysicalDriveType paramPhysicalDriveType)
  {
    this.phyDriveType = paramPhysicalDriveType;
  }

  public RAIDLevel getRaidLevel()
  {
    return this.raidLevel;
  }

  public void setRaidLevel(RAIDLevel paramRAIDLevel)
  {
    this.raidLevel = paramRAIDLevel;
  }

  public int getVolumeGroupWidth()
  {
    return this.volumeGroupWidth;
  }

  public void setVolumeGroupWidth(int paramInt)
  {
    this.volumeGroupWidth = paramInt;
  }

  public int getVolumesPerGroup()
  {
    return this.volumesPerGroup;
  }

  public void setVolumesPerGroup(int paramInt)
  {
    this.volumesPerGroup = paramInt;
  }

  public int getNumberHotSpares()
  {
    return this.numberHotSpares;
  }

  public void setNumberHotSpares(int paramInt)
  {
    this.numberHotSpares = paramInt;
  }

  public int getNumberUnassignedDrives()
  {
    return this.numberUnassignedDrives;
  }

  public void setNumberUnassignedDrives(int paramInt)
  {
    this.numberUnassignedDrives = paramInt;
  }

  public int getSegmentSize()
  {
    return this.segmentSize;
  }

  public void setSegmentSize(int paramInt)
  {
    this.segmentSize = paramInt;
  }

  public int getReadAhead()
  {
    return this.readAhead;
  }

  public void setReadAhead(int paramInt)
  {
    this.readAhead = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.phyDriveType.xdrEncode(paramXDROutputStream);
    this.raidLevel.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putInt(this.volumeGroupWidth);
    paramXDROutputStream.putInt(this.volumesPerGroup);
    paramXDROutputStream.putInt(this.numberHotSpares);
    paramXDROutputStream.putInt(this.numberUnassignedDrives);
    paramXDROutputStream.putInt(this.segmentSize);
    paramXDROutputStream.putInt(this.readAhead);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.phyDriveType.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.raidLevel.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.volumeGroupWidth = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.volumesPerGroup = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.numberHotSpares = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.numberUnassignedDrives = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.segmentSize = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.readAhead = paramXDRInputStream.getInt();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}