package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class BatteryParamsUpdateDescriptor
  implements XDRType, SYMbolAPIConstants
{
  private boolean resetBatteryAge;
  private ComponentRef component = new ComponentRef();

  public BatteryParamsUpdateDescriptor()
  {
  }

  public BatteryParamsUpdateDescriptor(BatteryParamsUpdateDescriptor paramBatteryParamsUpdateDescriptor)
  {
    this.resetBatteryAge = paramBatteryParamsUpdateDescriptor.resetBatteryAge;
    this.component = paramBatteryParamsUpdateDescriptor.component;
  }

  public boolean getResetBatteryAge()
  {
    return this.resetBatteryAge;
  }

  public void setResetBatteryAge(boolean paramBoolean)
  {
    this.resetBatteryAge = paramBoolean;
  }

  public ComponentRef getComponent()
  {
    return this.component;
  }

  public void setComponent(ComponentRef paramComponentRef)
  {
    this.component = paramComponentRef;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    paramXDROutputStream.putBoolean(this.resetBatteryAge);
    this.component.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.resetBatteryAge = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.component.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}