package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class BatteryType
  implements XDRType, SYMbolAPIConstants
{
  public static final int BATTERY_TYPE_CONTROLLER_TRAY = 1;
  public static final int BATTERY_TYPE_CONTROLLER = 2;
  public static final int BATTERY_TYPE_PACK_ICC = 3;
  public static final int BATTERY_TYPE_SINGLE_SHARED_CRU = 1;
  public static final int BATTERY_TYPE_DUAL_INDIVIDUAL_FRUS = 2;
  public static final int BATTERY_TYPE_DUAL_SHARED_CRUS = 3;
  public static final int BATTERY_TYPE_DUAL_INDIVIDUAL_CRUS = 4;
  private int value;

  public BatteryType()
  {
  }

  public BatteryType(BatteryType paramBatteryType)
  {
    this.value = paramBatteryType.value;
  }

  public BatteryType(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}