package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class ComponentType
  implements XDRType, SYMbolAPIConstants
{
  public static final int COMP_TYPE_UNKNOWN = 0;
  public static final int COMP_TYPE_FAN = 1;
  public static final int COMP_TYPE_BATTERY = 2;
  public static final int COMP_TYPE_POWER_SUPPLY = 3;
  public static final int COMP_TYPE_THERMAL_SENSOR = 4;
  public static final int COMP_TYPE_ESM = 5;
  public static final int COMP_TYPE_UPS = 6;
  public static final int COMP_TYPE_MINIHUB = 7;
  public static final int COMP_TYPE_GBIC = 8;
  public static final int COMP_TYPE_SFP = 9;
  public static final int COMP_TYPE_INTERCONNECT_CRU = 10;
  public static final int COMP_TYPE_SUPPORT_CRU = 11;
  public static final int COMP_TYPE_ALARM = 12;
  public static final int COMP_TYPE_HOSTBOARD = 13;
  public static final int COMP_TYPE_MAXIMUM = 14;
  private int value;

  public ComponentType()
  {
  }

  public ComponentType(ComponentType paramComponentType)
  {
    this.value = paramComponentType.value;
  }

  public ComponentType(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}