package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class ControllerSFPType
  implements XDRType, SYMbolAPIConstants
{
  public static final int CONTROLLER_SFP_TYPE_HOSTSIDE = 1;
  public static final int CONTROLLER_SFP_TYPE_DRIVESIDE = 2;
  private int value;

  public ControllerSFPType()
  {
  }

  public ControllerSFPType(ControllerSFPType paramControllerSFPType)
  {
    this.value = paramControllerSFPType.value;
  }

  public ControllerSFPType(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}