package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class ControllerStatus
  implements XDRType, SYMbolAPIConstants
{
  public static final int CONT_STAT_OPTIMAL = 1;
  public static final int CONT_STAT_FAILED = 2;
  public static final int CONT_STAT_REMOVED = 3;
  public static final int CONT_STAT_RPA_PAR_ERR = 4;
  public static final int CONT_STAT_SERVICE_MODE = 5;
  public static final int CONT_STAT_SUSPENDED = 6;
  public static final int CONT_STAT_NEEDS_ATTENTION = 7;
  private int value;

  public ControllerStatus()
  {
  }

  public ControllerStatus(ControllerStatus paramControllerStatus)
  {
    this.value = paramControllerStatus.value;
  }

  public ControllerStatus(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}