package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class DriveChannelDegradeReason
  implements XDRType, SYMbolAPIConstants
{
  public static final int DEGRADE_REASON_NONE = 0;
  public static final int DEGRADE_REASON_THRESHOLD_EXCEEDED = 1;
  public static final int DEGRADE_REASON_ADMIN_REQUEST = 2;
  public static final int DEGRADE_REASON_SOC_NOT_OPERATIONAL = 3;
  public static final int DEGRADE_REASON_SOC_EEPROM_FAILURE = 4;
  public static final int DEGRADE_REASON_CLEAR_HW_FAILURE = 5;
  private int value;

  public DriveChannelDegradeReason()
  {
  }

  public DriveChannelDegradeReason(DriveChannelDegradeReason paramDriveChannelDegradeReason)
  {
    this.value = paramDriveChannelDegradeReason.value;
  }

  public DriveChannelDegradeReason(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}