package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class DriveChannelPort
  implements XDRType, SYMbolAPIConstants
{
  private DriveChannelPortRef portRef = new DriveChannelPortRef();
  private int channel;
  private DriveChannelPortType portType = new DriveChannelPortType();
  private DriveChannelParent parentType = new DriveChannelParent();

  public DriveChannelPort()
  {
  }

  public DriveChannelPort(DriveChannelPort paramDriveChannelPort)
  {
    this.portRef = paramDriveChannelPort.portRef;
    this.channel = paramDriveChannelPort.channel;
    this.portType = paramDriveChannelPort.portType;
    this.parentType = paramDriveChannelPort.parentType;
  }

  public DriveChannelPortRef getPortRef()
  {
    return this.portRef;
  }

  public void setPortRef(DriveChannelPortRef paramDriveChannelPortRef)
  {
    this.portRef = paramDriveChannelPortRef;
  }

  public int getChannel()
  {
    return this.channel;
  }

  public void setChannel(int paramInt)
  {
    this.channel = paramInt;
  }

  public DriveChannelPortType getPortType()
  {
    return this.portType;
  }

  public void setPortType(DriveChannelPortType paramDriveChannelPortType)
  {
    this.portType = paramDriveChannelPortType;
  }

  public DriveChannelParent getParentType()
  {
    return this.parentType;
  }

  public void setParentType(DriveChannelParent paramDriveChannelParent)
  {
    this.parentType = paramDriveChannelParent;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.portRef.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putInt(this.channel);
    this.portType.xdrEncode(paramXDROutputStream);
    this.parentType.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.portRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.channel = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.portType.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.parentType.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}