package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class DriveChannelPortType
  implements XDRType, SYMbolAPIConstants
{
  public static final int PORT_UNKNOWN = 0;
  public static final int PORT_1 = 1;
  public static final int PORT_2 = 2;
  public static final int PORT_3 = 3;
  public static final int PORT_4 = 4;
  public static final int PORT_1_2 = 5;
  public static final int PORT_3_4 = 6;
  public static final int INTERNAL = 7;
  public static final int MINIHUB_INOUT = 8;
  public static final int EXPANSION_ONLY = 9;
  public static final int EXPANSION_AND_INTERNAL = 10;
  private int value;

  public DriveChannelPortType()
  {
  }

  public DriveChannelPortType(DriveChannelPortType paramDriveChannelPortType)
  {
    this.value = paramDriveChannelPortType.value;
  }

  public DriveChannelPortType(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}