package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class DriveFirmwareChunkDescriptor
  implements XDRType, SYMbolAPIConstants
{
  private int setId;
  private int offset;
  private byte[] firmwareChunkImage;

  public DriveFirmwareChunkDescriptor()
  {
  }

  public DriveFirmwareChunkDescriptor(DriveFirmwareChunkDescriptor paramDriveFirmwareChunkDescriptor)
  {
    this.setId = paramDriveFirmwareChunkDescriptor.setId;
    this.offset = paramDriveFirmwareChunkDescriptor.offset;
    this.firmwareChunkImage = paramDriveFirmwareChunkDescriptor.firmwareChunkImage;
  }

  public int getSetId()
  {
    return this.setId;
  }

  public void setSetId(int paramInt)
  {
    this.setId = paramInt;
  }

  public int getOffset()
  {
    return this.offset;
  }

  public void setOffset(int paramInt)
  {
    this.offset = paramInt;
  }

  public byte[] getFirmwareChunkImage()
  {
    return this.firmwareChunkImage;
  }

  public void setFirmwareChunkImage(byte[] paramArrayOfByte)
  {
    this.firmwareChunkImage = paramArrayOfByte;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    paramXDROutputStream.putInt(this.setId);
    paramXDROutputStream.putInt(this.offset);
    paramXDROutputStream.putVariableOpaque(this.firmwareChunkImage, 32768);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.setId = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.offset = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.firmwareChunkImage = paramXDRInputStream.getVariableOpaque(32768);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}