package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class DriveFirmwareDownload
  implements XDRType, SYMbolAPIConstants
{
  private DriveDownloadSet[] downloadSet;
  private boolean online;

  public DriveFirmwareDownload()
  {
  }

  public DriveFirmwareDownload(DriveFirmwareDownload paramDriveFirmwareDownload)
  {
    this.downloadSet = paramDriveFirmwareDownload.downloadSet;
    this.online = paramDriveFirmwareDownload.online;
  }

  public DriveDownloadSet[] getDownloadSet()
  {
    return this.downloadSet;
  }

  public void setDownloadSet(DriveDownloadSet[] paramArrayOfDriveDownloadSet)
  {
    this.downloadSet = paramArrayOfDriveDownloadSet;
  }

  public boolean getOnline()
  {
    return this.online;
  }

  public void setOnline(boolean paramBoolean)
  {
    this.online = paramBoolean;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    int j = this.downloadSet == null ? 0 : this.downloadSet.length;
    paramXDROutputStream.putInt(j);
    for (int k = 0; k < j; k++)
      this.downloadSet[k].xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putBoolean(this.online);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
    {
      int j = paramXDRInputStream.getInt();
      this.downloadSet = new DriveDownloadSet[j];
      for (int k = 0; k < j; k++)
      {
        this.downloadSet[k] = new DriveDownloadSet();
        this.downloadSet[k].xdrDecode(paramXDRInputStream);
      }
    }
    if (paramXDRInputStream.getPosition() < i)
      this.online = paramXDRInputStream.getBoolean();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}