package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class DriveFirmwareUpdateDescriptor
  implements XDRType, SYMbolAPIConstants
{
  private DriveRef driveRef = new DriveRef();
  private boolean modeSelectFile;
  private FirmwareUpdateDescriptor firmwareUpdateDescriptor = new FirmwareUpdateDescriptor();

  public DriveFirmwareUpdateDescriptor()
  {
  }

  public DriveFirmwareUpdateDescriptor(DriveFirmwareUpdateDescriptor paramDriveFirmwareUpdateDescriptor)
  {
    this.driveRef = paramDriveFirmwareUpdateDescriptor.driveRef;
    this.modeSelectFile = paramDriveFirmwareUpdateDescriptor.modeSelectFile;
    this.firmwareUpdateDescriptor = paramDriveFirmwareUpdateDescriptor.firmwareUpdateDescriptor;
  }

  public DriveRef getDriveRef()
  {
    return this.driveRef;
  }

  public void setDriveRef(DriveRef paramDriveRef)
  {
    this.driveRef = paramDriveRef;
  }

  public boolean getModeSelectFile()
  {
    return this.modeSelectFile;
  }

  public void setModeSelectFile(boolean paramBoolean)
  {
    this.modeSelectFile = paramBoolean;
  }

  public FirmwareUpdateDescriptor getFirmwareUpdateDescriptor()
  {
    return this.firmwareUpdateDescriptor;
  }

  public void setFirmwareUpdateDescriptor(FirmwareUpdateDescriptor paramFirmwareUpdateDescriptor)
  {
    this.firmwareUpdateDescriptor = paramFirmwareUpdateDescriptor;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.driveRef.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putBoolean(this.modeSelectFile);
    this.firmwareUpdateDescriptor.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.driveRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.modeSelectFile = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.firmwareUpdateDescriptor.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}