package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class DriveStatusCause
  implements XDRType, SYMbolAPIConstants
{
  public static final int DRIVE_CAUSE_NONE = 1;
  public static final int DRIVE_CAUSE_USER_OP = 2;
  public static final int DRIVE_CAUSE_WRITE_OP = 3;
  public static final int DRIVE_CAUSE_UNCERTIFIED = 4;
  public static final int DRIVE_CAUSE_SPEED_MISMATCH = 5;
  public static final int DRIVE_CAUSE_BYPASS_UNKNOWN = 6;
  public static final int DRIVE_CAUSE_WRONG_DRIVE_TYPE = 7;
  private int value;

  public DriveStatusCause()
  {
  }

  public DriveStatusCause(DriveStatusCause paramDriveStatusCause)
  {
    this.value = paramDriveStatusCause.value;
  }

  public DriveStatusCause(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}