package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class EthernetParamsUpdateDescriptor
  implements XDRType, SYMbolAPIConstants
{
  private ControllerRef controllerRef = new ControllerRef();
  private String interfaceName;
  private int channel;
  private int ip;
  private int gatewayIp;
  private int subnetMask;

  public EthernetParamsUpdateDescriptor()
  {
  }

  public EthernetParamsUpdateDescriptor(EthernetParamsUpdateDescriptor paramEthernetParamsUpdateDescriptor)
  {
    this.controllerRef = paramEthernetParamsUpdateDescriptor.controllerRef;
    this.interfaceName = paramEthernetParamsUpdateDescriptor.interfaceName;
    this.channel = paramEthernetParamsUpdateDescriptor.channel;
    this.ip = paramEthernetParamsUpdateDescriptor.ip;
    this.gatewayIp = paramEthernetParamsUpdateDescriptor.gatewayIp;
    this.subnetMask = paramEthernetParamsUpdateDescriptor.subnetMask;
  }

  public ControllerRef getControllerRef()
  {
    return this.controllerRef;
  }

  public void setControllerRef(ControllerRef paramControllerRef)
  {
    this.controllerRef = paramControllerRef;
  }

  public String getInterfaceName()
  {
    return this.interfaceName;
  }

  public void setInterfaceName(String paramString)
  {
    this.interfaceName = paramString;
  }

  public int getChannel()
  {
    return this.channel;
  }

  public void setChannel(int paramInt)
  {
    this.channel = paramInt;
  }

  public int getIp()
  {
    return this.ip;
  }

  public void setIp(int paramInt)
  {
    this.ip = paramInt;
  }

  public int getGatewayIp()
  {
    return this.gatewayIp;
  }

  public void setGatewayIp(int paramInt)
  {
    this.gatewayIp = paramInt;
  }

  public int getSubnetMask()
  {
    return this.subnetMask;
  }

  public void setSubnetMask(int paramInt)
  {
    this.subnetMask = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.controllerRef.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putString(this.interfaceName);
    paramXDROutputStream.putInt(this.channel);
    paramXDROutputStream.putInt(this.ip);
    paramXDROutputStream.putInt(this.gatewayIp);
    paramXDROutputStream.putInt(this.subnetMask);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.controllerRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.interfaceName = paramXDRInputStream.getString();
    if (paramXDRInputStream.getPosition() < i)
      this.channel = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.ip = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.gatewayIp = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.subnetMask = paramXDRInputStream.getInt();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}