package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class ExtendedComponentLocation
  implements XDRType, SYMbolAPIConstants
{
  private ExtendedComponentLocationType extLocType = new ExtendedComponentLocationType();
  private int compTray;
  private TraySlot compTraySlot = new TraySlot();
  private MinihubLocation compMinihubLoc = new MinihubLocation();
  private ChannelLocation compChannelLoc = new ChannelLocation();
  private UserAssignedLabel compLabel = new UserAssignedLabel();

  public ExtendedComponentLocation()
  {
  }

  public ExtendedComponentLocation(ExtendedComponentLocation paramExtendedComponentLocation)
  {
    this.compTray = paramExtendedComponentLocation.compTray;
    this.compTraySlot = paramExtendedComponentLocation.compTraySlot;
    this.compMinihubLoc = paramExtendedComponentLocation.compMinihubLoc;
    this.compChannelLoc = paramExtendedComponentLocation.compChannelLoc;
    this.compLabel = paramExtendedComponentLocation.compLabel;
  }

  public ExtendedComponentLocationType getExtLocType()
  {
    return this.extLocType;
  }

  public void setExtLocType(ExtendedComponentLocationType paramExtendedComponentLocationType)
  {
    this.extLocType = paramExtendedComponentLocationType;
  }

  public int getCompTray()
  {
    return this.compTray;
  }

  public void setCompTray(int paramInt)
  {
    this.compTray = paramInt;
  }

  public TraySlot getCompTraySlot()
  {
    return this.compTraySlot;
  }

  public void setCompTraySlot(TraySlot paramTraySlot)
  {
    this.compTraySlot = paramTraySlot;
  }

  public MinihubLocation getCompMinihubLoc()
  {
    return this.compMinihubLoc;
  }

  public void setCompMinihubLoc(MinihubLocation paramMinihubLocation)
  {
    this.compMinihubLoc = paramMinihubLocation;
  }

  public ChannelLocation getCompChannelLoc()
  {
    return this.compChannelLoc;
  }

  public void setCompChannelLoc(ChannelLocation paramChannelLocation)
  {
    this.compChannelLoc = paramChannelLocation;
  }

  public UserAssignedLabel getCompLabel()
  {
    return this.compLabel;
  }

  public void setCompLabel(UserAssignedLabel paramUserAssignedLabel)
  {
    this.compLabel = paramUserAssignedLabel;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.extLocType.xdrEncode(paramXDROutputStream);
    switch (this.extLocType.getValue())
    {
    case 0:
      break;
    case 1:
      paramXDROutputStream.putInt(this.compTray);
      break;
    case 2:
      this.compTraySlot.xdrEncode(paramXDROutputStream);
      break;
    case 3:
      this.compMinihubLoc.xdrEncode(paramXDROutputStream);
      break;
    case 4:
      this.compChannelLoc.xdrEncode(paramXDROutputStream);
      break;
    case 5:
      this.compLabel.xdrEncode(paramXDROutputStream);
      break;
    }
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    this.extLocType.xdrDecode(paramXDRInputStream);
    switch (this.extLocType.getValue())
    {
    case 0:
      break;
    case 1:
      this.compTray = paramXDRInputStream.getInt();
      break;
    case 2:
      this.compTraySlot.xdrDecode(paramXDRInputStream);
      break;
    case 3:
      this.compMinihubLoc.xdrDecode(paramXDRInputStream);
      break;
    case 4:
      this.compChannelLoc.xdrDecode(paramXDRInputStream);
      break;
    case 5:
      this.compLabel.xdrDecode(paramXDRInputStream);
      break;
    }
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}