package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class ExtendedComponentLocationType
  implements XDRType, SYMbolAPIConstants
{
  public static final int EXT_COMP_LOCTYPE_UNKNOWN = 0;
  public static final int EXT_COMP_LOCTYPE_TRAY = 1;
  public static final int EXT_COMP_LOCTYPE_TRAYSLOT = 2;
  public static final int EXT_COMP_LOCTYPE_MINIHUB = 3;
  public static final int EXT_COMP_LOCTYPE_CHANNEL = 4;
  public static final int EXT_COMP_LOCTYPE_VOLUME = 5;
  private int value;

  public ExtendedComponentLocationType()
  {
  }

  public ExtendedComponentLocationType(ExtendedComponentLocationType paramExtendedComponentLocationType)
  {
    this.value = paramExtendedComponentLocationType.value;
  }

  public ExtendedComponentLocationType(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}