package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class FeatureKey
  implements XDRType, SYMbolAPIConstants
{
  private int keyVersion;
  private Capability capability = new Capability();
  private SAIdentifier saId = new SAIdentifier();
  private byte[] digest;

  public FeatureKey()
  {
  }

  public FeatureKey(FeatureKey paramFeatureKey)
  {
    this.keyVersion = paramFeatureKey.keyVersion;
    this.capability = paramFeatureKey.capability;
    this.saId = paramFeatureKey.saId;
    this.digest = paramFeatureKey.digest;
  }

  public int getKeyVersion()
  {
    return this.keyVersion;
  }

  public void setKeyVersion(int paramInt)
  {
    this.keyVersion = paramInt;
  }

  public Capability getCapability()
  {
    return this.capability;
  }

  public void setCapability(Capability paramCapability)
  {
    this.capability = paramCapability;
  }

  public SAIdentifier getSaId()
  {
    return this.saId;
  }

  public void setSaId(SAIdentifier paramSAIdentifier)
  {
    this.saId = paramSAIdentifier;
  }

  public byte[] getDigest()
  {
    return this.digest;
  }

  public void setDigest(byte[] paramArrayOfByte)
  {
    this.digest = paramArrayOfByte;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    paramXDROutputStream.putInt(this.keyVersion);
    this.capability.xdrEncode(paramXDROutputStream);
    this.saId.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putVariableOpaque(this.digest);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.keyVersion = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.capability.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.saId.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.digest = paramXDRInputStream.getVariableOpaque();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}