package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class FibreDriveAddress
  implements XDRType, SYMbolAPIConstants
{
  private int channel;
  private int loopID;

  public FibreDriveAddress()
  {
  }

  public FibreDriveAddress(FibreDriveAddress paramFibreDriveAddress)
  {
    this.channel = paramFibreDriveAddress.channel;
    this.loopID = paramFibreDriveAddress.loopID;
  }

  public int getChannel()
  {
    return this.channel;
  }

  public void setChannel(int paramInt)
  {
    this.channel = paramInt;
  }

  public int getLoopID()
  {
    return this.loopID;
  }

  public void setLoopID(int paramInt)
  {
    this.loopID = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    paramXDROutputStream.putInt(this.channel);
    paramXDROutputStream.putInt(this.loopID);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.channel = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.loopID = paramXDRInputStream.getInt();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}