package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class FibreTopologyType
  implements XDRType, SYMbolAPIConstants
{
  public static final int FIBRE_TOPOLOGY_UNKNOWN = 0;
  public static final int FIBRE_TOPOLOGY_PTP = 1;
  public static final int FIBRE_TOPOLOGY_FABRIC = 2;
  public static final int FIBRE_TOPOLOGY_ARB_LOOP = 3;
  public static final int FIBRE_TOPOLOGY_FAB_LOOP = 4;
  private int value;

  public FibreTopologyType()
  {
  }

  public FibreTopologyType(FibreTopologyType paramFibreTopologyType)
  {
    this.value = paramFibreTopologyType.value;
  }

  public FibreTopologyType(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}