package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class FirmwareUpdateDescriptor
  implements XDRType, SYMbolAPIConstants
{
  private byte[] firmwareChunkImage;
  private byte[] firmwareVersion;
  private int offset;
  private int totalSize;
  private boolean stagedDownload;
  private int numberOfFiles;
  private int sizeOfStream;

  public FirmwareUpdateDescriptor()
  {
  }

  public FirmwareUpdateDescriptor(FirmwareUpdateDescriptor paramFirmwareUpdateDescriptor)
  {
    this.firmwareChunkImage = paramFirmwareUpdateDescriptor.firmwareChunkImage;
    this.firmwareVersion = paramFirmwareUpdateDescriptor.firmwareVersion;
    this.offset = paramFirmwareUpdateDescriptor.offset;
    this.totalSize = paramFirmwareUpdateDescriptor.totalSize;
    this.stagedDownload = paramFirmwareUpdateDescriptor.stagedDownload;
    this.numberOfFiles = paramFirmwareUpdateDescriptor.numberOfFiles;
    this.sizeOfStream = paramFirmwareUpdateDescriptor.sizeOfStream;
  }

  public byte[] getFirmwareChunkImage()
  {
    return this.firmwareChunkImage;
  }

  public void setFirmwareChunkImage(byte[] paramArrayOfByte)
  {
    this.firmwareChunkImage = paramArrayOfByte;
  }

  public byte[] getFirmwareVersion()
  {
    return this.firmwareVersion;
  }

  public void setFirmwareVersion(byte[] paramArrayOfByte)
  {
    this.firmwareVersion = paramArrayOfByte;
  }

  public int getOffset()
  {
    return this.offset;
  }

  public void setOffset(int paramInt)
  {
    this.offset = paramInt;
  }

  public int getTotalSize()
  {
    return this.totalSize;
  }

  public void setTotalSize(int paramInt)
  {
    this.totalSize = paramInt;
  }

  public boolean getStagedDownload()
  {
    return this.stagedDownload;
  }

  public void setStagedDownload(boolean paramBoolean)
  {
    this.stagedDownload = paramBoolean;
  }

  public int getNumberOfFiles()
  {
    return this.numberOfFiles;
  }

  public void setNumberOfFiles(int paramInt)
  {
    this.numberOfFiles = paramInt;
  }

  public int getSizeOfStream()
  {
    return this.sizeOfStream;
  }

  public void setSizeOfStream(int paramInt)
  {
    this.sizeOfStream = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    paramXDROutputStream.putVariableOpaque(this.firmwareChunkImage, 32768);
    paramXDROutputStream.putVariableOpaque(this.firmwareVersion);
    paramXDROutputStream.putInt(this.offset);
    paramXDROutputStream.putInt(this.totalSize);
    paramXDROutputStream.putBoolean(this.stagedDownload);
    paramXDROutputStream.putInt(this.numberOfFiles);
    paramXDROutputStream.putInt(this.sizeOfStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.firmwareChunkImage = paramXDRInputStream.getVariableOpaque(32768);
    if (paramXDRInputStream.getPosition() < i)
      this.firmwareVersion = paramXDRInputStream.getVariableOpaque();
    if (paramXDRInputStream.getPosition() < i)
      this.offset = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.totalSize = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.stagedDownload = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.numberOfFiles = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.sizeOfStream = paramXDRInputStream.getInt();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}