package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class GBICType
  implements XDRType, SYMbolAPIConstants
{
  public static final int GBIC_TYPE_NOT_PRESENT = 0;
  public static final int GBIC_TYPE_CS12_ACTIVE = 1;
  public static final int GBIC_TYPE_CS12_PASSIVE = 2;
  public static final int GBIC_TYPE_OPTICAL_LW = 3;
  public static final int GBIC_TYPE_SERIAL_MODULE = 4;
  public static final int GBIC_TYPE_OPTICAL_SW = 5;
  public static final int GBIC_TYPE_OPTICAL_LW_LX_SINGLE_MODE = 6;
  public static final int GBIC_TYPE_OPTICAL_SW_SX = 7;
  private int value;

  public GBICType()
  {
  }

  public GBICType(GBICType paramGBICType)
  {
    this.value = paramGBICType.value;
  }

  public GBICType(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}