package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class HostSpecificValues
  implements XDRType, SYMbolAPIConstants
{
  private boolean waitForDownload;
  private boolean notReadySenseForQuiescenceInProgress;
  private boolean notReadySenseForQuiescenceInProgress2;
  private boolean checkConditionForVendorUniqueUAConditions;
  private boolean reportDeferredErrors;
  private boolean ignoreForceUnitAccess;
  private boolean ignoreWriteCacheDisable;
  private boolean allowReservationOnUnownedLUNs;
  private boolean worldWideNameInStandardInquiry;
  private boolean propagateHostBusResets;
  private boolean reportSCCDeviceEnable;
  private boolean conditionalFCLogout;
  private boolean forceSCSI2;
  private boolean reportUnconfiguredLUNs;
  private boolean ignoreSyncCache;
  private boolean ignoreUTMLunOwnership;
  private boolean reportLUNPreferredPathInStandardInquiry;
  private boolean autoLUNTransfer;
  private char inquiryUnconfiguredDeviceType;
  private char inquiryUnownedDeviceType;
  private char unownedBlock0Read;
  private boolean retainLogins;
  private UserAssignedLabel hostPortType = new UserAssignedLabel();
  private int maxRestrictedLUNs;
  private byte[] reserved1;
  private boolean avtExclusionExtentsEnabled;

  public HostSpecificValues()
  {
  }

  public HostSpecificValues(HostSpecificValues paramHostSpecificValues)
  {
    this.waitForDownload = paramHostSpecificValues.waitForDownload;
    this.notReadySenseForQuiescenceInProgress = paramHostSpecificValues.notReadySenseForQuiescenceInProgress;
    this.notReadySenseForQuiescenceInProgress2 = paramHostSpecificValues.notReadySenseForQuiescenceInProgress2;
    this.checkConditionForVendorUniqueUAConditions = paramHostSpecificValues.checkConditionForVendorUniqueUAConditions;
    this.reportDeferredErrors = paramHostSpecificValues.reportDeferredErrors;
    this.ignoreForceUnitAccess = paramHostSpecificValues.ignoreForceUnitAccess;
    this.ignoreWriteCacheDisable = paramHostSpecificValues.ignoreWriteCacheDisable;
    this.allowReservationOnUnownedLUNs = paramHostSpecificValues.allowReservationOnUnownedLUNs;
    this.worldWideNameInStandardInquiry = paramHostSpecificValues.worldWideNameInStandardInquiry;
    this.propagateHostBusResets = paramHostSpecificValues.propagateHostBusResets;
    this.reportSCCDeviceEnable = paramHostSpecificValues.reportSCCDeviceEnable;
    this.conditionalFCLogout = paramHostSpecificValues.conditionalFCLogout;
    this.forceSCSI2 = paramHostSpecificValues.forceSCSI2;
    this.reportUnconfiguredLUNs = paramHostSpecificValues.reportUnconfiguredLUNs;
    this.ignoreSyncCache = paramHostSpecificValues.ignoreSyncCache;
    this.ignoreUTMLunOwnership = paramHostSpecificValues.ignoreUTMLunOwnership;
    this.reportLUNPreferredPathInStandardInquiry = paramHostSpecificValues.reportLUNPreferredPathInStandardInquiry;
    this.autoLUNTransfer = paramHostSpecificValues.autoLUNTransfer;
    this.inquiryUnconfiguredDeviceType = paramHostSpecificValues.inquiryUnconfiguredDeviceType;
    this.inquiryUnownedDeviceType = paramHostSpecificValues.inquiryUnownedDeviceType;
    this.unownedBlock0Read = paramHostSpecificValues.unownedBlock0Read;
    this.retainLogins = paramHostSpecificValues.retainLogins;
    this.hostPortType = paramHostSpecificValues.hostPortType;
    this.maxRestrictedLUNs = paramHostSpecificValues.maxRestrictedLUNs;
    this.reserved1 = paramHostSpecificValues.reserved1;
    this.avtExclusionExtentsEnabled = paramHostSpecificValues.avtExclusionExtentsEnabled;
  }

  public boolean getWaitForDownload()
  {
    return this.waitForDownload;
  }

  public void setWaitForDownload(boolean paramBoolean)
  {
    this.waitForDownload = paramBoolean;
  }

  public boolean getNotReadySenseForQuiescenceInProgress()
  {
    return this.notReadySenseForQuiescenceInProgress;
  }

  public void setNotReadySenseForQuiescenceInProgress(boolean paramBoolean)
  {
    this.notReadySenseForQuiescenceInProgress = paramBoolean;
  }

  public boolean getNotReadySenseForQuiescenceInProgress2()
  {
    return this.notReadySenseForQuiescenceInProgress2;
  }

  public void setNotReadySenseForQuiescenceInProgress2(boolean paramBoolean)
  {
    this.notReadySenseForQuiescenceInProgress2 = paramBoolean;
  }

  public boolean getCheckConditionForVendorUniqueUAConditions()
  {
    return this.checkConditionForVendorUniqueUAConditions;
  }

  public void setCheckConditionForVendorUniqueUAConditions(boolean paramBoolean)
  {
    this.checkConditionForVendorUniqueUAConditions = paramBoolean;
  }

  public boolean getReportDeferredErrors()
  {
    return this.reportDeferredErrors;
  }

  public void setReportDeferredErrors(boolean paramBoolean)
  {
    this.reportDeferredErrors = paramBoolean;
  }

  public boolean getIgnoreForceUnitAccess()
  {
    return this.ignoreForceUnitAccess;
  }

  public void setIgnoreForceUnitAccess(boolean paramBoolean)
  {
    this.ignoreForceUnitAccess = paramBoolean;
  }

  public boolean getIgnoreWriteCacheDisable()
  {
    return this.ignoreWriteCacheDisable;
  }

  public void setIgnoreWriteCacheDisable(boolean paramBoolean)
  {
    this.ignoreWriteCacheDisable = paramBoolean;
  }

  public boolean getAllowReservationOnUnownedLUNs()
  {
    return this.allowReservationOnUnownedLUNs;
  }

  public void setAllowReservationOnUnownedLUNs(boolean paramBoolean)
  {
    this.allowReservationOnUnownedLUNs = paramBoolean;
  }

  public boolean getWorldWideNameInStandardInquiry()
  {
    return this.worldWideNameInStandardInquiry;
  }

  public void setWorldWideNameInStandardInquiry(boolean paramBoolean)
  {
    this.worldWideNameInStandardInquiry = paramBoolean;
  }

  public boolean getPropagateHostBusResets()
  {
    return this.propagateHostBusResets;
  }

  public void setPropagateHostBusResets(boolean paramBoolean)
  {
    this.propagateHostBusResets = paramBoolean;
  }

  public boolean getReportSCCDeviceEnable()
  {
    return this.reportSCCDeviceEnable;
  }

  public void setReportSCCDeviceEnable(boolean paramBoolean)
  {
    this.reportSCCDeviceEnable = paramBoolean;
  }

  public boolean getConditionalFCLogout()
  {
    return this.conditionalFCLogout;
  }

  public void setConditionalFCLogout(boolean paramBoolean)
  {
    this.conditionalFCLogout = paramBoolean;
  }

  public boolean getForceSCSI2()
  {
    return this.forceSCSI2;
  }

  public void setForceSCSI2(boolean paramBoolean)
  {
    this.forceSCSI2 = paramBoolean;
  }

  public boolean getReportUnconfiguredLUNs()
  {
    return this.reportUnconfiguredLUNs;
  }

  public void setReportUnconfiguredLUNs(boolean paramBoolean)
  {
    this.reportUnconfiguredLUNs = paramBoolean;
  }

  public boolean getIgnoreSyncCache()
  {
    return this.ignoreSyncCache;
  }

  public void setIgnoreSyncCache(boolean paramBoolean)
  {
    this.ignoreSyncCache = paramBoolean;
  }

  public boolean getIgnoreUTMLunOwnership()
  {
    return this.ignoreUTMLunOwnership;
  }

  public void setIgnoreUTMLunOwnership(boolean paramBoolean)
  {
    this.ignoreUTMLunOwnership = paramBoolean;
  }

  public boolean getReportLUNPreferredPathInStandardInquiry()
  {
    return this.reportLUNPreferredPathInStandardInquiry;
  }

  public void setReportLUNPreferredPathInStandardInquiry(boolean paramBoolean)
  {
    this.reportLUNPreferredPathInStandardInquiry = paramBoolean;
  }

  public boolean getAutoLUNTransfer()
  {
    return this.autoLUNTransfer;
  }

  public void setAutoLUNTransfer(boolean paramBoolean)
  {
    this.autoLUNTransfer = paramBoolean;
  }

  public char getInquiryUnconfiguredDeviceType()
  {
    return this.inquiryUnconfiguredDeviceType;
  }

  public void setInquiryUnconfiguredDeviceType(char paramChar)
  {
    this.inquiryUnconfiguredDeviceType = paramChar;
  }

  public char getInquiryUnownedDeviceType()
  {
    return this.inquiryUnownedDeviceType;
  }

  public void setInquiryUnownedDeviceType(char paramChar)
  {
    this.inquiryUnownedDeviceType = paramChar;
  }

  public char getUnownedBlock0Read()
  {
    return this.unownedBlock0Read;
  }

  public void setUnownedBlock0Read(char paramChar)
  {
    this.unownedBlock0Read = paramChar;
  }

  public boolean getRetainLogins()
  {
    return this.retainLogins;
  }

  public void setRetainLogins(boolean paramBoolean)
  {
    this.retainLogins = paramBoolean;
  }

  public UserAssignedLabel getHostPortType()
  {
    return this.hostPortType;
  }

  public void setHostPortType(UserAssignedLabel paramUserAssignedLabel)
  {
    this.hostPortType = paramUserAssignedLabel;
  }

  public int getMaxRestrictedLUNs()
  {
    return this.maxRestrictedLUNs;
  }

  public void setMaxRestrictedLUNs(int paramInt)
  {
    this.maxRestrictedLUNs = paramInt;
  }

  public byte[] getReserved1()
  {
    return this.reserved1;
  }

  public void setReserved1(byte[] paramArrayOfByte)
  {
    this.reserved1 = paramArrayOfByte;
  }

  public boolean getAvtExclusionExtentsEnabled()
  {
    return this.avtExclusionExtentsEnabled;
  }

  public void setAvtExclusionExtentsEnabled(boolean paramBoolean)
  {
    this.avtExclusionExtentsEnabled = paramBoolean;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    paramXDROutputStream.putBoolean(this.waitForDownload);
    paramXDROutputStream.putBoolean(this.notReadySenseForQuiescenceInProgress);
    paramXDROutputStream.putBoolean(this.notReadySenseForQuiescenceInProgress2);
    paramXDROutputStream.putBoolean(this.checkConditionForVendorUniqueUAConditions);
    paramXDROutputStream.putBoolean(this.reportDeferredErrors);
    paramXDROutputStream.putBoolean(this.ignoreForceUnitAccess);
    paramXDROutputStream.putBoolean(this.ignoreWriteCacheDisable);
    paramXDROutputStream.putBoolean(this.allowReservationOnUnownedLUNs);
    paramXDROutputStream.putBoolean(this.worldWideNameInStandardInquiry);
    paramXDROutputStream.putBoolean(this.propagateHostBusResets);
    paramXDROutputStream.putBoolean(this.reportSCCDeviceEnable);
    paramXDROutputStream.putBoolean(this.conditionalFCLogout);
    paramXDROutputStream.putBoolean(this.forceSCSI2);
    paramXDROutputStream.putBoolean(this.reportUnconfiguredLUNs);
    paramXDROutputStream.putBoolean(this.ignoreSyncCache);
    paramXDROutputStream.putBoolean(this.ignoreUTMLunOwnership);
    paramXDROutputStream.putBoolean(this.reportLUNPreferredPathInStandardInquiry);
    paramXDROutputStream.putBoolean(this.autoLUNTransfer);
    paramXDROutputStream.putChar(this.inquiryUnconfiguredDeviceType);
    paramXDROutputStream.putChar(this.inquiryUnownedDeviceType);
    paramXDROutputStream.putChar(this.unownedBlock0Read);
    paramXDROutputStream.putBoolean(this.retainLogins);
    this.hostPortType.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putInt(this.maxRestrictedLUNs);
    paramXDROutputStream.putFixedOpaque(this.reserved1, 4);
    paramXDROutputStream.putBoolean(this.avtExclusionExtentsEnabled);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.waitForDownload = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.notReadySenseForQuiescenceInProgress = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.notReadySenseForQuiescenceInProgress2 = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.checkConditionForVendorUniqueUAConditions = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.reportDeferredErrors = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.ignoreForceUnitAccess = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.ignoreWriteCacheDisable = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.allowReservationOnUnownedLUNs = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.worldWideNameInStandardInquiry = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.propagateHostBusResets = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.reportSCCDeviceEnable = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.conditionalFCLogout = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.forceSCSI2 = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.reportUnconfiguredLUNs = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.ignoreSyncCache = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.ignoreUTMLunOwnership = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.reportLUNPreferredPathInStandardInquiry = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.autoLUNTransfer = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.inquiryUnconfiguredDeviceType = paramXDRInputStream.getChar();
    if (paramXDRInputStream.getPosition() < i)
      this.inquiryUnownedDeviceType = paramXDRInputStream.getChar();
    if (paramXDRInputStream.getPosition() < i)
      this.unownedBlock0Read = paramXDRInputStream.getChar();
    if (paramXDRInputStream.getPosition() < i)
      this.retainLogins = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.hostPortType.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.maxRestrictedLUNs = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.reserved1 = paramXDRInputStream.getFixedOpaque(4);
    if (paramXDRInputStream.getPosition() < i)
      this.avtExclusionExtentsEnabled = paramXDRInputStream.getBoolean();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}