package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class InterfaceUpdateDescriptor
  implements XDRType, SYMbolAPIConstants
{
  private ControllerRef controllerRef = new ControllerRef();
  private int preferredID;
  private byte[] portName;

  public InterfaceUpdateDescriptor()
  {
  }

  public InterfaceUpdateDescriptor(InterfaceUpdateDescriptor paramInterfaceUpdateDescriptor)
  {
    this.controllerRef = paramInterfaceUpdateDescriptor.controllerRef;
    this.preferredID = paramInterfaceUpdateDescriptor.preferredID;
    this.portName = paramInterfaceUpdateDescriptor.portName;
  }

  public ControllerRef getControllerRef()
  {
    return this.controllerRef;
  }

  public void setControllerRef(ControllerRef paramControllerRef)
  {
    this.controllerRef = paramControllerRef;
  }

  public int getPreferredID()
  {
    return this.preferredID;
  }

  public void setPreferredID(int paramInt)
  {
    this.preferredID = paramInt;
  }

  public byte[] getPortName()
  {
    return this.portName;
  }

  public void setPortName(byte[] paramArrayOfByte)
  {
    this.portName = paramArrayOfByte;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.controllerRef.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putInt(this.preferredID);
    paramXDROutputStream.putFixedOpaque(this.portName, 8);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.controllerRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.preferredID = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.portName = paramXDRInputStream.getFixedOpaque(8);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}