package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class InterposerData
  implements XDRType, SYMbolAPIConstants
{
  private boolean isPresent;
  private String vendorId;
  private String boardId;
  private String interposerSoftwareVersion;

  public InterposerData()
  {
  }

  public InterposerData(InterposerData paramInterposerData)
  {
    this.isPresent = paramInterposerData.isPresent;
    this.vendorId = paramInterposerData.vendorId;
    this.boardId = paramInterposerData.boardId;
    this.interposerSoftwareVersion = paramInterposerData.interposerSoftwareVersion;
  }

  public boolean getIsPresent()
  {
    return this.isPresent;
  }

  public void setIsPresent(boolean paramBoolean)
  {
    this.isPresent = paramBoolean;
  }

  public String getVendorId()
  {
    return this.vendorId;
  }

  public void setVendorId(String paramString)
  {
    this.vendorId = paramString;
  }

  public String getBoardId()
  {
    return this.boardId;
  }

  public void setBoardId(String paramString)
  {
    this.boardId = paramString;
  }

  public String getInterposerSoftwareVersion()
  {
    return this.interposerSoftwareVersion;
  }

  public void setInterposerSoftwareVersion(String paramString)
  {
    this.interposerSoftwareVersion = paramString;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    paramXDROutputStream.putBoolean(this.isPresent);
    paramXDROutputStream.putString(this.vendorId);
    paramXDROutputStream.putString(this.boardId);
    paramXDROutputStream.putString(this.interposerSoftwareVersion);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.isPresent = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.vendorId = paramXDRInputStream.getString();
    if (paramXDRInputStream.getPosition() < i)
      this.boardId = paramXDRInputStream.getString();
    if (paramXDRInputStream.getPosition() < i)
      this.interposerSoftwareVersion = paramXDRInputStream.getString();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}