package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class LUNMapping
  implements XDRType, SYMbolAPIConstants
{
  private LUNMappingRef lunMappingRef = new LUNMappingRef();
  private int lun;
  private int ssid;
  private int perms;
  private AbstractVolRef volumeRef = new AbstractVolRef();
  private LUNMappingType type = new LUNMappingType();
  private SYMbolRef mapRef = new SYMbolRef();

  public LUNMapping()
  {
  }

  public LUNMapping(LUNMapping paramLUNMapping)
  {
    this.lunMappingRef = paramLUNMapping.lunMappingRef;
    this.lun = paramLUNMapping.lun;
    this.ssid = paramLUNMapping.ssid;
    this.perms = paramLUNMapping.perms;
    this.volumeRef = paramLUNMapping.volumeRef;
    this.type = paramLUNMapping.type;
    this.mapRef = paramLUNMapping.mapRef;
  }

  public LUNMappingRef getLunMappingRef()
  {
    return this.lunMappingRef;
  }

  public void setLunMappingRef(LUNMappingRef paramLUNMappingRef)
  {
    this.lunMappingRef = paramLUNMappingRef;
  }

  public int getLun()
  {
    return this.lun;
  }

  public void setLun(int paramInt)
  {
    this.lun = paramInt;
  }

  public int getSsid()
  {
    return this.ssid;
  }

  public void setSsid(int paramInt)
  {
    this.ssid = paramInt;
  }

  public int getPerms()
  {
    return this.perms;
  }

  public void setPerms(int paramInt)
  {
    this.perms = paramInt;
  }

  public AbstractVolRef getVolumeRef()
  {
    return this.volumeRef;
  }

  public void setVolumeRef(AbstractVolRef paramAbstractVolRef)
  {
    this.volumeRef = paramAbstractVolRef;
  }

  public LUNMappingType getType()
  {
    return this.type;
  }

  public void setType(LUNMappingType paramLUNMappingType)
  {
    this.type = paramLUNMappingType;
  }

  public SYMbolRef getMapRef()
  {
    return this.mapRef;
  }

  public void setMapRef(SYMbolRef paramSYMbolRef)
  {
    this.mapRef = paramSYMbolRef;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.lunMappingRef.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putInt(this.lun);
    paramXDROutputStream.putInt(this.ssid);
    paramXDROutputStream.putInt(this.perms);
    this.volumeRef.xdrEncode(paramXDROutputStream);
    this.type.xdrEncode(paramXDROutputStream);
    this.mapRef.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.lunMappingRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.lun = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.ssid = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.perms = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.volumeRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.type.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.mapRef.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}