package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class MelEntry
  implements XDRType, SYMbolAPIConstants
{
  private long sequenceNumber;
  private int eventType;
  private long timeStamp;
  private EventCategory category = new EventCategory();
  private EventComponentType componentType = new EventComponentType();
  private ComponentLocation componentLocation = new ComponentLocation();
  private boolean locationValid;
  private EventPriority priority = new EventPriority();
  private int eventSourceController;
  private int ASC;
  private int ASCQ;
  private int senseKey;
  private byte[] rawData;
  private ExtendedComponentLocation extComponentLocation = new ExtendedComponentLocation();

  public MelEntry()
  {
  }

  public MelEntry(MelEntry paramMelEntry)
  {
    this.sequenceNumber = paramMelEntry.sequenceNumber;
    this.eventType = paramMelEntry.eventType;
    this.timeStamp = paramMelEntry.timeStamp;
    this.category = paramMelEntry.category;
    this.componentType = paramMelEntry.componentType;
    this.componentLocation = paramMelEntry.componentLocation;
    this.locationValid = paramMelEntry.locationValid;
    this.priority = paramMelEntry.priority;
    this.eventSourceController = paramMelEntry.eventSourceController;
    this.ASC = paramMelEntry.ASC;
    this.ASCQ = paramMelEntry.ASCQ;
    this.senseKey = paramMelEntry.senseKey;
    this.rawData = paramMelEntry.rawData;
    this.extComponentLocation = paramMelEntry.extComponentLocation;
  }

  public long getSequenceNumber()
  {
    return this.sequenceNumber;
  }

  public void setSequenceNumber(long paramLong)
  {
    this.sequenceNumber = paramLong;
  }

  public int getEventType()
  {
    return this.eventType;
  }

  public void setEventType(int paramInt)
  {
    this.eventType = paramInt;
  }

  public long getTimeStamp()
  {
    return this.timeStamp;
  }

  public void setTimeStamp(long paramLong)
  {
    this.timeStamp = paramLong;
  }

  public EventCategory getCategory()
  {
    return this.category;
  }

  public void setCategory(EventCategory paramEventCategory)
  {
    this.category = paramEventCategory;
  }

  public EventComponentType getComponentType()
  {
    return this.componentType;
  }

  public void setComponentType(EventComponentType paramEventComponentType)
  {
    this.componentType = paramEventComponentType;
  }

  public ComponentLocation getComponentLocation()
  {
    return this.componentLocation;
  }

  public void setComponentLocation(ComponentLocation paramComponentLocation)
  {
    this.componentLocation = paramComponentLocation;
  }

  public boolean getLocationValid()
  {
    return this.locationValid;
  }

  public void setLocationValid(boolean paramBoolean)
  {
    this.locationValid = paramBoolean;
  }

  public EventPriority getPriority()
  {
    return this.priority;
  }

  public void setPriority(EventPriority paramEventPriority)
  {
    this.priority = paramEventPriority;
  }

  public int getEventSourceController()
  {
    return this.eventSourceController;
  }

  public void setEventSourceController(int paramInt)
  {
    this.eventSourceController = paramInt;
  }

  public int getASC()
  {
    return this.ASC;
  }

  public void setASC(int paramInt)
  {
    this.ASC = paramInt;
  }

  public int getASCQ()
  {
    return this.ASCQ;
  }

  public void setASCQ(int paramInt)
  {
    this.ASCQ = paramInt;
  }

  public int getSenseKey()
  {
    return this.senseKey;
  }

  public void setSenseKey(int paramInt)
  {
    this.senseKey = paramInt;
  }

  public byte[] getRawData()
  {
    return this.rawData;
  }

  public void setRawData(byte[] paramArrayOfByte)
  {
    this.rawData = paramArrayOfByte;
  }

  public ExtendedComponentLocation getExtComponentLocation()
  {
    return this.extComponentLocation;
  }

  public void setExtComponentLocation(ExtendedComponentLocation paramExtendedComponentLocation)
  {
    this.extComponentLocation = paramExtendedComponentLocation;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    paramXDROutputStream.putLong(this.sequenceNumber);
    paramXDROutputStream.putInt(this.eventType);
    paramXDROutputStream.putLong(this.timeStamp);
    this.category.xdrEncode(paramXDROutputStream);
    this.componentType.xdrEncode(paramXDROutputStream);
    this.componentLocation.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putBoolean(this.locationValid);
    this.priority.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putInt(this.eventSourceController);
    paramXDROutputStream.putInt(this.ASC);
    paramXDROutputStream.putInt(this.ASCQ);
    paramXDROutputStream.putInt(this.senseKey);
    paramXDROutputStream.putVariableOpaque(this.rawData);
    this.extComponentLocation.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.sequenceNumber = paramXDRInputStream.getLong();
    if (paramXDRInputStream.getPosition() < i)
      this.eventType = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.timeStamp = paramXDRInputStream.getLong();
    if (paramXDRInputStream.getPosition() < i)
      this.category.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.componentType.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.componentLocation.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.locationValid = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.priority.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.eventSourceController = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.ASC = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.ASCQ = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.senseKey = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.rawData = paramXDRInputStream.getVariableOpaque();
    if (paramXDRInputStream.getPosition() < i)
      this.extComponentLocation.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}