package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class MetadataVolume
  implements XDRType, SYMbolAPIConstants
{
  private MetadataVolRef metadataVolRef = new MetadataVolRef();
  private MetadataVolType metadataVolType = new MetadataVolType();
  private AbstractVolRef associatedVolume = new AbstractVolRef();
  private ControllerRef preferredManager = new ControllerRef();
  private VolumePerms perms = new VolumePerms();
  private boolean offline;
  private byte[] reserved1;

  public MetadataVolume()
  {
  }

  public MetadataVolume(MetadataVolume paramMetadataVolume)
  {
    this.metadataVolRef = paramMetadataVolume.metadataVolRef;
    this.metadataVolType = paramMetadataVolume.metadataVolType;
    this.associatedVolume = paramMetadataVolume.associatedVolume;
    this.preferredManager = paramMetadataVolume.preferredManager;
    this.perms = paramMetadataVolume.perms;
    this.offline = paramMetadataVolume.offline;
    this.reserved1 = paramMetadataVolume.reserved1;
  }

  public MetadataVolRef getMetadataVolRef()
  {
    return this.metadataVolRef;
  }

  public void setMetadataVolRef(MetadataVolRef paramMetadataVolRef)
  {
    this.metadataVolRef = paramMetadataVolRef;
  }

  public MetadataVolType getMetadataVolType()
  {
    return this.metadataVolType;
  }

  public void setMetadataVolType(MetadataVolType paramMetadataVolType)
  {
    this.metadataVolType = paramMetadataVolType;
  }

  public AbstractVolRef getAssociatedVolume()
  {
    return this.associatedVolume;
  }

  public void setAssociatedVolume(AbstractVolRef paramAbstractVolRef)
  {
    this.associatedVolume = paramAbstractVolRef;
  }

  public ControllerRef getPreferredManager()
  {
    return this.preferredManager;
  }

  public void setPreferredManager(ControllerRef paramControllerRef)
  {
    this.preferredManager = paramControllerRef;
  }

  public VolumePerms getPerms()
  {
    return this.perms;
  }

  public void setPerms(VolumePerms paramVolumePerms)
  {
    this.perms = paramVolumePerms;
  }

  public boolean getOffline()
  {
    return this.offline;
  }

  public void setOffline(boolean paramBoolean)
  {
    this.offline = paramBoolean;
  }

  public byte[] getReserved1()
  {
    return this.reserved1;
  }

  public void setReserved1(byte[] paramArrayOfByte)
  {
    this.reserved1 = paramArrayOfByte;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.metadataVolRef.xdrEncode(paramXDROutputStream);
    this.metadataVolType.xdrEncode(paramXDROutputStream);
    this.associatedVolume.xdrEncode(paramXDROutputStream);
    this.preferredManager.xdrEncode(paramXDROutputStream);
    this.perms.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putBoolean(this.offline);
    paramXDROutputStream.putFixedOpaque(this.reserved1, 4);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.metadataVolRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.metadataVolType.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.associatedVolume.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.preferredManager.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.perms.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.offline = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.reserved1 = paramXDRInputStream.getFixedOpaque(4);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}