package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class MirrorAutoResyncDescriptor
  implements XDRType, SYMbolAPIConstants
{
  private MirrorProxyRef mirrorProxy = new MirrorProxyRef();
  private boolean allowFlag;

  public MirrorAutoResyncDescriptor()
  {
  }

  public MirrorAutoResyncDescriptor(MirrorAutoResyncDescriptor paramMirrorAutoResyncDescriptor)
  {
    this.mirrorProxy = paramMirrorAutoResyncDescriptor.mirrorProxy;
    this.allowFlag = paramMirrorAutoResyncDescriptor.allowFlag;
  }

  public MirrorProxyRef getMirrorProxy()
  {
    return this.mirrorProxy;
  }

  public void setMirrorProxy(MirrorProxyRef paramMirrorProxyRef)
  {
    this.mirrorProxy = paramMirrorProxyRef;
  }

  public boolean getAllowFlag()
  {
    return this.allowFlag;
  }

  public void setAllowFlag(boolean paramBoolean)
  {
    this.allowFlag = paramBoolean;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    this.mirrorProxy.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putBoolean(this.allowFlag);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.mirrorProxy.xdrDecode(paramXDRInputStream);
    this.allowFlag = paramXDRInputStream.getBoolean();
  }
}