package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class MirrorCreationDescriptor
  implements XDRType, SYMbolAPIConstants
{
  private AbstractVolRef baseVolume = new AbstractVolRef();
  private byte[] remoteNodeWWN;
  private byte[] remoteVolWWN;
  private MirrorSyncPriority syncPriority = new MirrorSyncPriority();
  private RemoteMirrorAuthenticator remotePassword = new RemoteMirrorAuthenticator();
  private MirrorProxyWriteMode writeMode = new MirrorProxyWriteMode();
  private boolean autoResyncFlag;
  private ConsistencyGroupRef consistencyGroupRef = new ConsistencyGroupRef();

  public MirrorCreationDescriptor()
  {
  }

  public MirrorCreationDescriptor(MirrorCreationDescriptor paramMirrorCreationDescriptor)
  {
    this.baseVolume = paramMirrorCreationDescriptor.baseVolume;
    this.remoteNodeWWN = paramMirrorCreationDescriptor.remoteNodeWWN;
    this.remoteVolWWN = paramMirrorCreationDescriptor.remoteVolWWN;
    this.syncPriority = paramMirrorCreationDescriptor.syncPriority;
    this.remotePassword = paramMirrorCreationDescriptor.remotePassword;
    this.writeMode = paramMirrorCreationDescriptor.writeMode;
    this.autoResyncFlag = paramMirrorCreationDescriptor.autoResyncFlag;
    this.consistencyGroupRef = paramMirrorCreationDescriptor.consistencyGroupRef;
  }

  public AbstractVolRef getBaseVolume()
  {
    return this.baseVolume;
  }

  public void setBaseVolume(AbstractVolRef paramAbstractVolRef)
  {
    this.baseVolume = paramAbstractVolRef;
  }

  public byte[] getRemoteNodeWWN()
  {
    return this.remoteNodeWWN;
  }

  public void setRemoteNodeWWN(byte[] paramArrayOfByte)
  {
    this.remoteNodeWWN = paramArrayOfByte;
  }

  public byte[] getRemoteVolWWN()
  {
    return this.remoteVolWWN;
  }

  public void setRemoteVolWWN(byte[] paramArrayOfByte)
  {
    this.remoteVolWWN = paramArrayOfByte;
  }

  public MirrorSyncPriority getSyncPriority()
  {
    return this.syncPriority;
  }

  public void setSyncPriority(MirrorSyncPriority paramMirrorSyncPriority)
  {
    this.syncPriority = paramMirrorSyncPriority;
  }

  public RemoteMirrorAuthenticator getRemotePassword()
  {
    return this.remotePassword;
  }

  public void setRemotePassword(RemoteMirrorAuthenticator paramRemoteMirrorAuthenticator)
  {
    this.remotePassword = paramRemoteMirrorAuthenticator;
  }

  public MirrorProxyWriteMode getWriteMode()
  {
    return this.writeMode;
  }

  public void setWriteMode(MirrorProxyWriteMode paramMirrorProxyWriteMode)
  {
    this.writeMode = paramMirrorProxyWriteMode;
  }

  public boolean getAutoResyncFlag()
  {
    return this.autoResyncFlag;
  }

  public void setAutoResyncFlag(boolean paramBoolean)
  {
    this.autoResyncFlag = paramBoolean;
  }

  public ConsistencyGroupRef getConsistencyGroupRef()
  {
    return this.consistencyGroupRef;
  }

  public void setConsistencyGroupRef(ConsistencyGroupRef paramConsistencyGroupRef)
  {
    this.consistencyGroupRef = paramConsistencyGroupRef;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.baseVolume.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putVariableOpaque(this.remoteNodeWWN);
    paramXDROutputStream.putVariableOpaque(this.remoteVolWWN);
    this.syncPriority.xdrEncode(paramXDROutputStream);
    this.remotePassword.xdrEncode(paramXDROutputStream);
    this.writeMode.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putBoolean(this.autoResyncFlag);
    this.consistencyGroupRef.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.baseVolume.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.remoteNodeWWN = paramXDRInputStream.getVariableOpaque();
    if (paramXDRInputStream.getPosition() < i)
      this.remoteVolWWN = paramXDRInputStream.getVariableOpaque();
    if (paramXDRInputStream.getPosition() < i)
      this.syncPriority.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.remotePassword.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.writeMode.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.autoResyncFlag = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.consistencyGroupRef.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}