package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class MirrorProxyStatus
  implements XDRType, SYMbolAPIConstants
{
  public static final int MIRROR_STATUS_OPTIMAL = 0;
  public static final int MIRROR_STATUS_UNSYNCHRONIZED = 1;
  public static final int MIRROR_STATUS_SYNCHRONIZING = 2;
  public static final int MIRROR_STATUS_NOTREADY = 3;
  public static final int MIRROR_STATUS_SUSPENDED = 4;
  public static final int MIRROR_STATUS_FAILED = 5;
  public static final int MIRROR_STATUS_FAILEDSUSPENDED = 6;
  public static final int MIRROR_STATUS_DEGRADED_SYNCHRONIZING = 7;
  public static final int MIRROR_STATUS_DEGRADED_UNSYNCHRONIZED = 8;
  private int value;

  public MirrorProxyStatus()
  {
  }

  public MirrorProxyStatus(MirrorProxyStatus paramMirrorProxyStatus)
  {
    this.value = paramMirrorProxyStatus.value;
  }

  public MirrorProxyStatus(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}