package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class MirrorProxyWriteMode
  implements XDRType, SYMbolAPIConstants
{
  public static final int MIRROR_SYNCHRONOUS_MODE = 0;
  public static final int MIRROR_ASYNCHRONOUS_MODE = 1;
  public static final int MIRROR_CONSISTENT_ASYNC_MODE = 2;
  private int value;

  public MirrorProxyWriteMode()
  {
  }

  public MirrorProxyWriteMode(MirrorProxyWriteMode paramMirrorProxyWriteMode)
  {
    this.value = paramMirrorProxyWriteMode.value;
  }

  public MirrorProxyWriteMode(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}