package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class MirrorRoleChangeDescriptor
  implements XDRType, SYMbolAPIConstants
{
  private MirrorProxyRef mirrorProxy = new MirrorProxyRef();
  private boolean forced;
  private MirrorProxyRole toRole = new MirrorProxyRole();

  public MirrorRoleChangeDescriptor()
  {
  }

  public MirrorRoleChangeDescriptor(MirrorRoleChangeDescriptor paramMirrorRoleChangeDescriptor)
  {
    this.mirrorProxy = paramMirrorRoleChangeDescriptor.mirrorProxy;
    this.forced = paramMirrorRoleChangeDescriptor.forced;
    this.toRole = paramMirrorRoleChangeDescriptor.toRole;
  }

  public MirrorProxyRef getMirrorProxy()
  {
    return this.mirrorProxy;
  }

  public void setMirrorProxy(MirrorProxyRef paramMirrorProxyRef)
  {
    this.mirrorProxy = paramMirrorProxyRef;
  }

  public boolean getForced()
  {
    return this.forced;
  }

  public void setForced(boolean paramBoolean)
  {
    this.forced = paramBoolean;
  }

  public MirrorProxyRole getToRole()
  {
    return this.toRole;
  }

  public void setToRole(MirrorProxyRole paramMirrorProxyRole)
  {
    this.toRole = paramMirrorProxyRole;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.mirrorProxy.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putBoolean(this.forced);
    this.toRole.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.mirrorProxy.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.forced = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.toRole.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}