package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class MirrorSyncPriority
  implements XDRType, SYMbolAPIConstants
{
  public static final int MIRROR_SYNC_PRIORITY_0 = 0;
  public static final int MIRROR_SYNC_PRIORITY_1 = 1;
  public static final int MIRROR_SYNC_PRIORITY_2 = 2;
  public static final int MIRROR_SYNC_PRIORITY_3 = 3;
  public static final int MIRROR_SYNC_PRIORITY_4 = 4;
  public static final int MIRROR_SYNC_UNKNOWN = 5;
  private int value;

  public MirrorSyncPriority()
  {
  }

  public MirrorSyncPriority(MirrorSyncPriority paramMirrorSyncPriority)
  {
    this.value = paramMirrorSyncPriority.value;
  }

  public MirrorSyncPriority(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}