package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class MirrorVolumeCandidateList
  implements XDRType, SYMbolAPIConstants
{
  private MirrorVolumeCandidate[] mirrorVolumeCandidate;
  private ReturnCode returnCode = new ReturnCode();
  private long remoteCfgGeneration;

  public MirrorVolumeCandidateList()
  {
  }

  public MirrorVolumeCandidateList(MirrorVolumeCandidateList paramMirrorVolumeCandidateList)
  {
    this.mirrorVolumeCandidate = paramMirrorVolumeCandidateList.mirrorVolumeCandidate;
    this.returnCode = paramMirrorVolumeCandidateList.returnCode;
    this.remoteCfgGeneration = paramMirrorVolumeCandidateList.remoteCfgGeneration;
  }

  public MirrorVolumeCandidate[] getMirrorVolumeCandidate()
  {
    return this.mirrorVolumeCandidate;
  }

  public void setMirrorVolumeCandidate(MirrorVolumeCandidate[] paramArrayOfMirrorVolumeCandidate)
  {
    this.mirrorVolumeCandidate = paramArrayOfMirrorVolumeCandidate;
  }

  public ReturnCode getReturnCode()
  {
    return this.returnCode;
  }

  public void setReturnCode(ReturnCode paramReturnCode)
  {
    this.returnCode = paramReturnCode;
  }

  public long getRemoteCfgGeneration()
  {
    return this.remoteCfgGeneration;
  }

  public void setRemoteCfgGeneration(long paramLong)
  {
    this.remoteCfgGeneration = paramLong;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    int j = this.mirrorVolumeCandidate == null ? 0 : this.mirrorVolumeCandidate.length;
    paramXDROutputStream.putInt(j);
    for (int k = 0; k < j; k++)
      this.mirrorVolumeCandidate[k].xdrEncode(paramXDROutputStream);
    this.returnCode.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putLong(this.remoteCfgGeneration);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
    {
      int j = paramXDRInputStream.getInt();
      this.mirrorVolumeCandidate = new MirrorVolumeCandidate[j];
      for (int k = 0; k < j; k++)
      {
        this.mirrorVolumeCandidate[k] = new MirrorVolumeCandidate();
        this.mirrorVolumeCandidate[k].xdrDecode(paramXDRInputStream);
      }
    }
    if (paramXDRInputStream.getPosition() < i)
      this.returnCode.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.remoteCfgGeneration = paramXDRInputStream.getLong();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}