package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class NVSRAMRegionIdAndHostIndex
  implements XDRType, SYMbolAPIConstants
{
  private NVSRAMRegionId regionId = new NVSRAMRegionId();
  private int hostIndex;

  public NVSRAMRegionIdAndHostIndex()
  {
  }

  public NVSRAMRegionIdAndHostIndex(NVSRAMRegionIdAndHostIndex paramNVSRAMRegionIdAndHostIndex)
  {
    this.regionId = paramNVSRAMRegionIdAndHostIndex.regionId;
    this.hostIndex = paramNVSRAMRegionIdAndHostIndex.hostIndex;
  }

  public NVSRAMRegionId getRegionId()
  {
    return this.regionId;
  }

  public void setRegionId(NVSRAMRegionId paramNVSRAMRegionId)
  {
    this.regionId = paramNVSRAMRegionId;
  }

  public int getHostIndex()
  {
    return this.hostIndex;
  }

  public void setHostIndex(int paramInt)
  {
    this.hostIndex = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.regionId.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putInt(this.hostIndex);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.regionId.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.hostIndex = paramXDRInputStream.getInt();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}