package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class PKCS5EncryptionData
  implements XDRType, SYMbolAPIConstants
{
  private int iterations;
  private byte[] salt;
  private byte[] cipherText;

  public PKCS5EncryptionData()
  {
  }

  public PKCS5EncryptionData(PKCS5EncryptionData paramPKCS5EncryptionData)
  {
    this.iterations = paramPKCS5EncryptionData.iterations;
    this.salt = paramPKCS5EncryptionData.salt;
    this.cipherText = paramPKCS5EncryptionData.cipherText;
  }

  public int getIterations()
  {
    return this.iterations;
  }

  public void setIterations(int paramInt)
  {
    this.iterations = paramInt;
  }

  public byte[] getSalt()
  {
    return this.salt;
  }

  public void setSalt(byte[] paramArrayOfByte)
  {
    this.salt = paramArrayOfByte;
  }

  public byte[] getCipherText()
  {
    return this.cipherText;
  }

  public void setCipherText(byte[] paramArrayOfByte)
  {
    this.cipherText = paramArrayOfByte;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    paramXDROutputStream.putInt(this.iterations);
    paramXDROutputStream.putFixedOpaque(this.salt, 8);
    paramXDROutputStream.putVariableOpaque(this.cipherText);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.iterations = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.salt = paramXDRInputStream.getFixedOpaque(8);
    if (paramXDRInputStream.getPosition() < i)
      this.cipherText = paramXDRInputStream.getVariableOpaque();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}