package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class ParityScanResponse
  implements XDRType, SYMbolAPIConstants
{
  private ReturnCode returnCode = new ReturnCode();
  private ParityStatus parityStatus = new ParityStatus();
  private long endingLBA;

  public ParityScanResponse()
  {
  }

  public ParityScanResponse(ParityScanResponse paramParityScanResponse)
  {
    this.returnCode = paramParityScanResponse.returnCode;
    this.parityStatus = paramParityScanResponse.parityStatus;
    this.endingLBA = paramParityScanResponse.endingLBA;
  }

  public ReturnCode getReturnCode()
  {
    return this.returnCode;
  }

  public void setReturnCode(ReturnCode paramReturnCode)
  {
    this.returnCode = paramReturnCode;
  }

  public ParityStatus getParityStatus()
  {
    return this.parityStatus;
  }

  public void setParityStatus(ParityStatus paramParityStatus)
  {
    this.parityStatus = paramParityStatus;
  }

  public long getEndingLBA()
  {
    return this.endingLBA;
  }

  public void setEndingLBA(long paramLong)
  {
    this.endingLBA = paramLong;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.returnCode.xdrEncode(paramXDROutputStream);
    this.parityStatus.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putLong(this.endingLBA);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.returnCode.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.parityStatus.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.endingLBA = paramXDRInputStream.getLong();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}