package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class ParityStatus
  implements XDRType, SYMbolAPIConstants
{
  public static final int PARITY_STATUS_OK = 0;
  public static final int PARITY_STATUS_TIMEOUT = 1;
  public static final int PARITY_STATUS_PARITY_ERROR = 2;
  public static final int PARITY_STATUS_MEDIA_ERROR = 3;
  public static final int PARITY_STATUS_EDC_ERROR = 4;
  private int value;

  public ParityStatus()
  {
  }

  public ParityStatus(ParityStatus paramParityStatus)
  {
    this.value = paramParityStatus.value;
  }

  public ParityStatus(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}