package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class PhysicalDriveType
  implements XDRType, SYMbolAPIConstants
{
  public static final int PHY_DRIVE_TYPE_ALL = 0;
  public static final int PHY_DRIVE_TYPE_SCSI = 1;
  public static final int PHY_DRIVE_TYPE_FIBRE = 2;
  public static final int PHY_DRIVE_TYPE_SATA = 3;
  public static final int PHY_DRIVE_TYPE_PATA = 4;
  public static final int PHY_DRIVE_TYPE_FIBRE520B = 5;
  public static final int PHY_DRIVE_TYPE_SAS = 6;
  private int value;

  public PhysicalDriveType()
  {
  }

  public PhysicalDriveType(PhysicalDriveType paramPhysicalDriveType)
  {
    this.value = paramPhysicalDriveType.value;
  }

  public PhysicalDriveType(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}