package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class PremiumFeature
  implements XDRType, SYMbolAPIConstants
{
  private Capability capability = new Capability();
  private boolean isEnabled;
  private boolean isCompliant;
  private boolean isWithinLimits;

  public PremiumFeature()
  {
  }

  public PremiumFeature(PremiumFeature paramPremiumFeature)
  {
    this.capability = paramPremiumFeature.capability;
    this.isEnabled = paramPremiumFeature.isEnabled;
    this.isCompliant = paramPremiumFeature.isCompliant;
    this.isWithinLimits = paramPremiumFeature.isWithinLimits;
  }

  public Capability getCapability()
  {
    return this.capability;
  }

  public void setCapability(Capability paramCapability)
  {
    this.capability = paramCapability;
  }

  public boolean getIsEnabled()
  {
    return this.isEnabled;
  }

  public void setIsEnabled(boolean paramBoolean)
  {
    this.isEnabled = paramBoolean;
  }

  public boolean getIsCompliant()
  {
    return this.isCompliant;
  }

  public void setIsCompliant(boolean paramBoolean)
  {
    this.isCompliant = paramBoolean;
  }

  public boolean getIsWithinLimits()
  {
    return this.isWithinLimits;
  }

  public void setIsWithinLimits(boolean paramBoolean)
  {
    this.isWithinLimits = paramBoolean;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.capability.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putBoolean(this.isEnabled);
    paramXDROutputStream.putBoolean(this.isCompliant);
    paramXDROutputStream.putBoolean(this.isWithinLimits);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.capability.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.isEnabled = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.isCompliant = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.isWithinLimits = paramXDRInputStream.getBoolean();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}