package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class RAIDLevel
  implements XDRType, SYMbolAPIConstants
{
  public static final int RAID_ALL = -1;
  public static final int RAID0 = 0;
  public static final int RAID1 = 1;
  public static final int RAID3 = 3;
  public static final int RAID5 = 5;
  private int value;

  public RAIDLevel()
  {
  }

  public RAIDLevel(RAIDLevel paramRAIDLevel)
  {
    this.value = paramRAIDLevel.value;
  }

  public RAIDLevel(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}