package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class RLSCount
  implements XDRType, SYMbolAPIConstants
{
  private int linkFailureCount;
  private int lossOfSyncCount;
  private int lossOfSignalCount;
  private int primSeqProtocolErr;
  private int invalidXmitWord;
  private int invalidCRCCount;

  public RLSCount()
  {
  }

  public RLSCount(RLSCount paramRLSCount)
  {
    this.linkFailureCount = paramRLSCount.linkFailureCount;
    this.lossOfSyncCount = paramRLSCount.lossOfSyncCount;
    this.lossOfSignalCount = paramRLSCount.lossOfSignalCount;
    this.primSeqProtocolErr = paramRLSCount.primSeqProtocolErr;
    this.invalidXmitWord = paramRLSCount.invalidXmitWord;
    this.invalidCRCCount = paramRLSCount.invalidCRCCount;
  }

  public int getLinkFailureCount()
  {
    return this.linkFailureCount;
  }

  public void setLinkFailureCount(int paramInt)
  {
    this.linkFailureCount = paramInt;
  }

  public int getLossOfSyncCount()
  {
    return this.lossOfSyncCount;
  }

  public void setLossOfSyncCount(int paramInt)
  {
    this.lossOfSyncCount = paramInt;
  }

  public int getLossOfSignalCount()
  {
    return this.lossOfSignalCount;
  }

  public void setLossOfSignalCount(int paramInt)
  {
    this.lossOfSignalCount = paramInt;
  }

  public int getPrimSeqProtocolErr()
  {
    return this.primSeqProtocolErr;
  }

  public void setPrimSeqProtocolErr(int paramInt)
  {
    this.primSeqProtocolErr = paramInt;
  }

  public int getInvalidXmitWord()
  {
    return this.invalidXmitWord;
  }

  public void setInvalidXmitWord(int paramInt)
  {
    this.invalidXmitWord = paramInt;
  }

  public int getInvalidCRCCount()
  {
    return this.invalidCRCCount;
  }

  public void setInvalidCRCCount(int paramInt)
  {
    this.invalidCRCCount = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    paramXDROutputStream.putInt(this.linkFailureCount);
    paramXDROutputStream.putInt(this.lossOfSyncCount);
    paramXDROutputStream.putInt(this.lossOfSignalCount);
    paramXDROutputStream.putInt(this.primSeqProtocolErr);
    paramXDROutputStream.putInt(this.invalidXmitWord);
    paramXDROutputStream.putInt(this.invalidCRCCount);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.linkFailureCount = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.lossOfSyncCount = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.lossOfSignalCount = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.primSeqProtocolErr = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.invalidXmitWord = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.invalidCRCCount = paramXDRInputStream.getInt();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}