package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class RTRType
  implements XDRType, SYMbolAPIConstants
{
  public static final int RTR_TYPE_UNKNOWN = 0;
  public static final int RTR_TYPE_INTERCONNECT = 1;
  public static final int RTR_TYPE_SUPPORT_CRU = 2;
  public static final int RTR_TYPE_CONTROLLER = 3;
  public static final int RTR_TYPE_BATTERY = 4;
  public static final int RTR_TYPE_DRIVE = 5;
  public static final int RTR_TYPE_ESM = 6;
  public static final int RTR_TYPE_FAN = 7;
  public static final int RTR_TYPE_POWER_SUPPLY = 8;
  public static final int RTR_TYPE_MINIHUB = 9;
  private int value;

  public RTRType()
  {
  }

  public RTRType(RTRType paramRTRType)
  {
    this.value = paramRTRType.value;
  }

  public RTRType(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}