package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class RegisteredPorts
  implements XDRType, SYMbolAPIConstants
{
  private boolean PortA0;
  private boolean PortA1;
  private boolean PortB0;
  private boolean PortB1;

  public RegisteredPorts()
  {
  }

  public RegisteredPorts(RegisteredPorts paramRegisteredPorts)
  {
    this.PortA0 = paramRegisteredPorts.PortA0;
    this.PortA1 = paramRegisteredPorts.PortA1;
    this.PortB0 = paramRegisteredPorts.PortB0;
    this.PortB1 = paramRegisteredPorts.PortB1;
  }

  public boolean getPortA0()
  {
    return this.PortA0;
  }

  public void setPortA0(boolean paramBoolean)
  {
    this.PortA0 = paramBoolean;
  }

  public boolean getPortA1()
  {
    return this.PortA1;
  }

  public void setPortA1(boolean paramBoolean)
  {
    this.PortA1 = paramBoolean;
  }

  public boolean getPortB0()
  {
    return this.PortB0;
  }

  public void setPortB0(boolean paramBoolean)
  {
    this.PortB0 = paramBoolean;
  }

  public boolean getPortB1()
  {
    return this.PortB1;
  }

  public void setPortB1(boolean paramBoolean)
  {
    this.PortB1 = paramBoolean;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    paramXDROutputStream.putBoolean(this.PortA0);
    paramXDROutputStream.putBoolean(this.PortA1);
    paramXDROutputStream.putBoolean(this.PortB0);
    paramXDROutputStream.putBoolean(this.PortB1);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.PortA0 = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.PortA1 = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.PortB0 = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.PortB1 = paramXDRInputStream.getBoolean();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}