package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class RemoteMirrorAuthenticator
  implements XDRType, SYMbolAPIConstants
{
  private long cfgGen;
  private byte[] digest;

  public RemoteMirrorAuthenticator()
  {
  }

  public RemoteMirrorAuthenticator(RemoteMirrorAuthenticator paramRemoteMirrorAuthenticator)
  {
    this.cfgGen = paramRemoteMirrorAuthenticator.cfgGen;
    this.digest = paramRemoteMirrorAuthenticator.digest;
  }

  public long getCfgGen()
  {
    return this.cfgGen;
  }

  public void setCfgGen(long paramLong)
  {
    this.cfgGen = paramLong;
  }

  public byte[] getDigest()
  {
    return this.digest;
  }

  public void setDigest(byte[] paramArrayOfByte)
  {
    this.digest = paramArrayOfByte;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putLong(this.cfgGen);
    paramXDROutputStream.putFixedOpaque(this.digest, 20);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.cfgGen = paramXDRInputStream.getLong();
    this.digest = paramXDRInputStream.getFixedOpaque(20);
  }
}