package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class RemoteVolumeState
  implements XDRType, SYMbolAPIConstants
{
  public static final int REMOTE_VOL_OPTIMAL = 0;
  public static final int REMOTE_VOL_NO_LUN = 1;
  public static final int REMOTE_VOL_NO_ARRAY = 2;
  public static final int REMOTE_VOL_NO_FABRIC = 3;
  public static final int REMOTE_VOL_INITIALIZING = 4;
  public static final int REMOTE_VOL_WWN_CHANGE_FAILED = 5;
  private int value;

  public RemoteVolumeState()
  {
  }

  public RemoteVolumeState(RemoteVolumeState paramRemoteVolumeState)
  {
    this.value = paramRemoteVolumeState.value;
  }

  public RemoteVolumeState(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}