package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class RepositoryUtilization
  implements XDRType, SYMbolAPIConstants
{
  private long repositoryUsage;
  private SnapshotRef snapRef = new SnapshotRef();

  public RepositoryUtilization()
  {
  }

  public RepositoryUtilization(RepositoryUtilization paramRepositoryUtilization)
  {
    this.repositoryUsage = paramRepositoryUtilization.repositoryUsage;
    this.snapRef = paramRepositoryUtilization.snapRef;
  }

  public long getRepositoryUsage()
  {
    return this.repositoryUsage;
  }

  public void setRepositoryUsage(long paramLong)
  {
    this.repositoryUsage = paramLong;
  }

  public SnapshotRef getSnapRef()
  {
    return this.snapRef;
  }

  public void setSnapRef(SnapshotRef paramSnapshotRef)
  {
    this.snapRef = paramSnapshotRef;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    paramXDROutputStream.putLong(this.repositoryUsage);
    this.snapRef.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.repositoryUsage = paramXDRInputStream.getLong();
    if (paramXDRInputStream.getPosition() < i)
      this.snapRef.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}