package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class ReservationTypeID
  implements XDRType, SYMbolAPIConstants
{
  public static final int RES_TYPE_NO_RESERVATION = 0;
  public static final int RES_TYPE_WRITE_EXCL = 1;
  public static final int RES_TYPE_EXCL_ACCESS = 2;
  public static final int RES_TYPE_WRITE_EXCL_REG_ONLY = 3;
  public static final int RES_TYPE_EXCL_ACCESS_REG_ONLY = 4;
  public static final int RES_TYPE_WRITE_EXCL_ALL_REG = 5;
  public static final int RES_TYPE_EXCL_ACCESS_ALL_REG = 6;
  private int value;

  public ReservationTypeID()
  {
  }

  public ReservationTypeID(ReservationTypeID paramReservationTypeID)
  {
    this.value = paramReservationTypeID.value;
  }

  public ReservationTypeID(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}