package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class ReservedPortID
  implements XDRType, SYMbolAPIConstants
{
  public static final int RES_PORT_NONE = -2;
  public static final int RES_PORT_ALL = -1;
  public static final int RES_PORT_A0 = 0;
  public static final int RES_PORT_A1 = 1;
  public static final int RES_PORT_B0 = 2;
  public static final int RES_PORT_B1 = 3;
  private int value;

  public ReservedPortID()
  {
  }

  public ReservedPortID(ReservedPortID paramReservedPortID)
  {
    this.value = paramReservedPortID.value;
  }

  public ReservedPortID(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}