package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class SCSIInterface
  implements XDRType, SYMbolAPIConstants
{
  private int channel;
  private int scsiID;
  private int speed;
  private SCSIDriverType scsiType = new SCSIDriverType();
  private int width;
  private String part;
  private int revision;
  private byte[] reserved1;
  private byte[] reserved2;

  public SCSIInterface()
  {
  }

  public SCSIInterface(SCSIInterface paramSCSIInterface)
  {
    this.channel = paramSCSIInterface.channel;
    this.scsiID = paramSCSIInterface.scsiID;
    this.speed = paramSCSIInterface.speed;
    this.scsiType = paramSCSIInterface.scsiType;
    this.width = paramSCSIInterface.width;
    this.part = paramSCSIInterface.part;
    this.revision = paramSCSIInterface.revision;
    this.reserved1 = paramSCSIInterface.reserved1;
    this.reserved2 = paramSCSIInterface.reserved2;
  }

  public int getChannel()
  {
    return this.channel;
  }

  public void setChannel(int paramInt)
  {
    this.channel = paramInt;
  }

  public int getScsiID()
  {
    return this.scsiID;
  }

  public void setScsiID(int paramInt)
  {
    this.scsiID = paramInt;
  }

  public int getSpeed()
  {
    return this.speed;
  }

  public void setSpeed(int paramInt)
  {
    this.speed = paramInt;
  }

  public SCSIDriverType getScsiType()
  {
    return this.scsiType;
  }

  public void setScsiType(SCSIDriverType paramSCSIDriverType)
  {
    this.scsiType = paramSCSIDriverType;
  }

  public int getWidth()
  {
    return this.width;
  }

  public void setWidth(int paramInt)
  {
    this.width = paramInt;
  }

  public String getPart()
  {
    return this.part;
  }

  public void setPart(String paramString)
  {
    this.part = paramString;
  }

  public int getRevision()
  {
    return this.revision;
  }

  public void setRevision(int paramInt)
  {
    this.revision = paramInt;
  }

  public byte[] getReserved1()
  {
    return this.reserved1;
  }

  public void setReserved1(byte[] paramArrayOfByte)
  {
    this.reserved1 = paramArrayOfByte;
  }

  public byte[] getReserved2()
  {
    return this.reserved2;
  }

  public void setReserved2(byte[] paramArrayOfByte)
  {
    this.reserved2 = paramArrayOfByte;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    paramXDROutputStream.putInt(this.channel);
    paramXDROutputStream.putInt(this.scsiID);
    paramXDROutputStream.putInt(this.speed);
    this.scsiType.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putInt(this.width);
    paramXDROutputStream.putString(this.part);
    paramXDROutputStream.putInt(this.revision);
    paramXDROutputStream.putFixedOpaque(this.reserved1, 12);
    paramXDROutputStream.putVariableOpaque(this.reserved2);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.channel = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.scsiID = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.speed = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.scsiType.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.width = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.part = paramXDRInputStream.getString();
    if (paramXDRInputStream.getPosition() < i)
      this.revision = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.reserved1 = paramXDRInputStream.getFixedOpaque(12);
    if (paramXDRInputStream.getPosition() < i)
      this.reserved2 = paramXDRInputStream.getVariableOpaque();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}