package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class SFPPort
  implements XDRType, SYMbolAPIConstants
{
  public static final int SFP_PORT_UNKNOWN = 0;
  public static final int SFP_PORT_1 = 1;
  public static final int SFP_PORT_2 = 2;
  public static final int SFP_PORT_3 = 3;
  public static final int SFP_PORT_4 = 4;
  private int value;

  public SFPPort()
  {
  }

  public SFPPort(SFPPort paramSFPPort)
  {
    this.value = paramSFPPort.value;
  }

  public SFPPort(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}