package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class SFPType
  implements XDRType, SYMbolAPIConstants
{
  private SFP_IDENT_TYPE sfpIdentType = new SFP_IDENT_TYPE();
  private SFP_CONNECT_TYPE sfpConnectType = new SFP_CONNECT_TYPE();
  private SFP_LINKL_TYPE sfpLinkLType = new SFP_LINKL_TYPE();
  private SFP_TRANSMITTER_TYPE sfpTransmitterType = new SFP_TRANSMITTER_TYPE();
  private SFP_SPEED sfpSpeed = new SFP_SPEED();
  private SFP_TRANSMISSION_MEDIA sfpTransmissionMedia = new SFP_TRANSMISSION_MEDIA();
  private long manufacturerDate;
  private String vendorName;
  private String vendorPN;
  private String vendorRev;
  private String vendorSN;
  private byte[] vendorOUI;
  private byte[] reserved1;
  private byte[] reserved2;

  public SFPType()
  {
  }

  public SFPType(SFPType paramSFPType)
  {
    this.sfpIdentType = paramSFPType.sfpIdentType;
    this.sfpConnectType = paramSFPType.sfpConnectType;
    this.sfpLinkLType = paramSFPType.sfpLinkLType;
    this.sfpTransmitterType = paramSFPType.sfpTransmitterType;
    this.sfpSpeed = paramSFPType.sfpSpeed;
    this.sfpTransmissionMedia = paramSFPType.sfpTransmissionMedia;
    this.manufacturerDate = paramSFPType.manufacturerDate;
    this.vendorName = paramSFPType.vendorName;
    this.vendorPN = paramSFPType.vendorPN;
    this.vendorRev = paramSFPType.vendorRev;
    this.vendorSN = paramSFPType.vendorSN;
    this.vendorOUI = paramSFPType.vendorOUI;
    this.reserved1 = paramSFPType.reserved1;
    this.reserved2 = paramSFPType.reserved2;
  }

  public SFP_IDENT_TYPE getSfpIdentType()
  {
    return this.sfpIdentType;
  }

  public void setSfpIdentType(SFP_IDENT_TYPE paramSFP_IDENT_TYPE)
  {
    this.sfpIdentType = paramSFP_IDENT_TYPE;
  }

  public SFP_CONNECT_TYPE getSfpConnectType()
  {
    return this.sfpConnectType;
  }

  public void setSfpConnectType(SFP_CONNECT_TYPE paramSFP_CONNECT_TYPE)
  {
    this.sfpConnectType = paramSFP_CONNECT_TYPE;
  }

  public SFP_LINKL_TYPE getSfpLinkLType()
  {
    return this.sfpLinkLType;
  }

  public void setSfpLinkLType(SFP_LINKL_TYPE paramSFP_LINKL_TYPE)
  {
    this.sfpLinkLType = paramSFP_LINKL_TYPE;
  }

  public SFP_TRANSMITTER_TYPE getSfpTransmitterType()
  {
    return this.sfpTransmitterType;
  }

  public void setSfpTransmitterType(SFP_TRANSMITTER_TYPE paramSFP_TRANSMITTER_TYPE)
  {
    this.sfpTransmitterType = paramSFP_TRANSMITTER_TYPE;
  }

  public SFP_SPEED getSfpSpeed()
  {
    return this.sfpSpeed;
  }

  public void setSfpSpeed(SFP_SPEED paramSFP_SPEED)
  {
    this.sfpSpeed = paramSFP_SPEED;
  }

  public SFP_TRANSMISSION_MEDIA getSfpTransmissionMedia()
  {
    return this.sfpTransmissionMedia;
  }

  public void setSfpTransmissionMedia(SFP_TRANSMISSION_MEDIA paramSFP_TRANSMISSION_MEDIA)
  {
    this.sfpTransmissionMedia = paramSFP_TRANSMISSION_MEDIA;
  }

  public long getManufacturerDate()
  {
    return this.manufacturerDate;
  }

  public void setManufacturerDate(long paramLong)
  {
    this.manufacturerDate = paramLong;
  }

  public String getVendorName()
  {
    return this.vendorName;
  }

  public void setVendorName(String paramString)
  {
    this.vendorName = paramString;
  }

  public String getVendorPN()
  {
    return this.vendorPN;
  }

  public void setVendorPN(String paramString)
  {
    this.vendorPN = paramString;
  }

  public String getVendorRev()
  {
    return this.vendorRev;
  }

  public void setVendorRev(String paramString)
  {
    this.vendorRev = paramString;
  }

  public String getVendorSN()
  {
    return this.vendorSN;
  }

  public void setVendorSN(String paramString)
  {
    this.vendorSN = paramString;
  }

  public byte[] getVendorOUI()
  {
    return this.vendorOUI;
  }

  public void setVendorOUI(byte[] paramArrayOfByte)
  {
    this.vendorOUI = paramArrayOfByte;
  }

  public byte[] getReserved1()
  {
    return this.reserved1;
  }

  public void setReserved1(byte[] paramArrayOfByte)
  {
    this.reserved1 = paramArrayOfByte;
  }

  public byte[] getReserved2()
  {
    return this.reserved2;
  }

  public void setReserved2(byte[] paramArrayOfByte)
  {
    this.reserved2 = paramArrayOfByte;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.sfpIdentType.xdrEncode(paramXDROutputStream);
    this.sfpConnectType.xdrEncode(paramXDROutputStream);
    this.sfpLinkLType.xdrEncode(paramXDROutputStream);
    this.sfpTransmitterType.xdrEncode(paramXDROutputStream);
    this.sfpSpeed.xdrEncode(paramXDROutputStream);
    this.sfpTransmissionMedia.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putLong(this.manufacturerDate);
    paramXDROutputStream.putString(this.vendorName);
    paramXDROutputStream.putString(this.vendorPN);
    paramXDROutputStream.putString(this.vendorRev);
    paramXDROutputStream.putString(this.vendorSN);
    paramXDROutputStream.putFixedOpaque(this.vendorOUI, 3);
    paramXDROutputStream.putFixedOpaque(this.reserved1, 12);
    paramXDROutputStream.putVariableOpaque(this.reserved2);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.sfpIdentType.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.sfpConnectType.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.sfpLinkLType.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.sfpTransmitterType.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.sfpSpeed.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.sfpTransmissionMedia.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.manufacturerDate = paramXDRInputStream.getLong();
    if (paramXDRInputStream.getPosition() < i)
      this.vendorName = paramXDRInputStream.getString();
    if (paramXDRInputStream.getPosition() < i)
      this.vendorPN = paramXDRInputStream.getString();
    if (paramXDRInputStream.getPosition() < i)
      this.vendorRev = paramXDRInputStream.getString();
    if (paramXDRInputStream.getPosition() < i)
      this.vendorSN = paramXDRInputStream.getString();
    if (paramXDRInputStream.getPosition() < i)
      this.vendorOUI = paramXDRInputStream.getFixedOpaque(3);
    if (paramXDRInputStream.getPosition() < i)
      this.reserved1 = paramXDRInputStream.getFixedOpaque(12);
    if (paramXDRInputStream.getPosition() < i)
      this.reserved2 = paramXDRInputStream.getVariableOpaque();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}