package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class SYMbolAuthentication
  implements XDRType, SYMbolAPIConstants
{
  private int clientIp;
  private SAIdentifier arrayId = new SAIdentifier();
  private long configGeneration;
  private byte[] digest;

  public SYMbolAuthentication()
  {
  }

  public SYMbolAuthentication(SYMbolAuthentication paramSYMbolAuthentication)
  {
    this.clientIp = paramSYMbolAuthentication.clientIp;
    this.arrayId = paramSYMbolAuthentication.arrayId;
    this.configGeneration = paramSYMbolAuthentication.configGeneration;
    this.digest = paramSYMbolAuthentication.digest;
  }

  public int getClientIp()
  {
    return this.clientIp;
  }

  public void setClientIp(int paramInt)
  {
    this.clientIp = paramInt;
  }

  public SAIdentifier getArrayId()
  {
    return this.arrayId;
  }

  public void setArrayId(SAIdentifier paramSAIdentifier)
  {
    this.arrayId = paramSAIdentifier;
  }

  public long getConfigGeneration()
  {
    return this.configGeneration;
  }

  public void setConfigGeneration(long paramLong)
  {
    this.configGeneration = paramLong;
  }

  public byte[] getDigest()
  {
    return this.digest;
  }

  public void setDigest(byte[] paramArrayOfByte)
  {
    this.digest = paramArrayOfByte;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.clientIp);
    this.arrayId.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putLong(this.configGeneration);
    paramXDROutputStream.putFixedOpaque(this.digest, 20);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.clientIp = paramXDRInputStream.getInt();
    this.arrayId.xdrDecode(paramXDRInputStream);
    this.configGeneration = paramXDRInputStream.getLong();
    this.digest = paramXDRInputStream.getFixedOpaque(20);
  }
}