package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class SnapshotAction
  implements XDRType, SYMbolAPIConstants
{
  public static final int SNAP_ACTION_NONE = 1;
  public static final int SNAP_ACTION_ROLLBACK = 2;
  private int value;

  public SnapshotAction()
  {
  }

  public SnapshotAction(SnapshotAction paramSnapshotAction)
  {
    this.value = paramSnapshotAction.value;
  }

  public SnapshotAction(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}