package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class SnapshotStatus
  implements XDRType, SYMbolAPIConstants
{
  public static final int SNAP_STATUS_ACTIVE = 1;
  public static final int SNAP_STATUS_FAILED = 2;
  public static final int SNAP_STATUS_DISABLED = 3;
  public static final int SNAP_STATUS_OFFLINE = 4;
  private int value;

  public SnapshotStatus()
  {
  }

  public SnapshotStatus(SnapshotStatus paramSnapshotStatus)
  {
    this.value = paramSnapshotStatus.value;
  }

  public SnapshotStatus(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}