package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class SocCommand
  implements XDRType, SYMbolAPIConstants
{
  public static final int SOC_GET_CONTROLLER_TRAY = 1;
  public static final int SOC_GET_EXPANSION_TRAYS = 2;
  private int value;

  public SocCommand()
  {
  }

  public SocCommand(SocCommand paramSocCommand)
  {
    this.value = paramSocCommand.value;
  }

  public SocCommand(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}