package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class SocLoopState
  implements XDRType, SYMbolAPIConstants
{
  public static final int SOC_LOOP_STATE_DOWN = 0;
  public static final int SOC_LOOP_STATE_INIT = 1;
  public static final int SOC_LOOP_STATE_OPEN_INIT = 2;
  public static final int SOC_LOOP_STATE_UP = 3;
  public static final int SOC_LOOP_STATE_ACTIVE = 4;
  private int value;

  public SocLoopState()
  {
  }

  public SocLoopState(SocLoopState paramSocLoopState)
  {
    this.value = paramSocLoopState.value;
  }

  public SocLoopState(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}