package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class SocPortState
  implements XDRType, SYMbolAPIConstants
{
  public static final int SOC_PORT_STATE_UNKNOWN = 0;
  public static final int SOC_PORT_STATE_INSERTED = 1;
  public static final int SOC_PORT_STATE_INSERTED_MANUAL = 2;
  public static final int SOC_PORT_STATE_LOOPBACK = 3;
  public static final int SOC_PORT_STATE_DIAG_XMIT = 4;
  public static final int SOC_PORT_STATE_BYPASSED = 5;
  public static final int SOC_PORT_STATE_BYP_NO_FRU = 6;
  public static final int SOC_PORT_STATE_BYP_TX_FAULT = 7;
  public static final int SOC_PORT_STATE_BYP_LIP_F8 = 8;
  public static final int SOC_PORT_STATE_BYP_DATA_TIMEOUT = 9;
  public static final int SOC_PORT_STATE_BYP_RX_LOS = 10;
  public static final int SOC_PORT_STATE_BYP_SYNC_LOSS = 11;
  public static final int SOC_PORT_STATE_BYP_LIP_ISOL = 12;
  public static final int SOC_PORT_STATE_BYP_PTBI = 13;
  public static final int SOC_PORT_STATE_BYP_MANUAL = 14;
  public static final int SOC_PORT_STATE_BYP_REDUNDANT = 15;
  public static final int SOC_PORT_STATE_BYP_SNOOP = 16;
  public static final int SOC_PORT_STATE_BYP_CRC_THRESH = 17;
  public static final int SOC_PORT_STATE_BYP_INVALID_OS_THRESH = 18;
  private int value;

  public SocPortState()
  {
  }

  public SocPortState(SocPortState paramSocPortState)
  {
    this.value = paramSocPortState.value;
  }

  public SocPortState(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}