package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class SpeedControl
  implements XDRType, SYMbolAPIConstants
{
  public static final int CONTROL_UNKNOWN = 1;
  public static final int CONTROL_FIXED = 2;
  public static final int CONTROL_SWITCHED = 3;
  public static final int CONTROL_AUTO = 4;
  private int value;

  public SpeedControl()
  {
  }

  public SpeedControl(SpeedControl paramSpeedControl)
  {
    this.value = paramSpeedControl.value;
  }

  public SpeedControl(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}