package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class SpeedNegError
  implements XDRType, SYMbolAPIConstants
{
  private ControllerRef parentRef = new ControllerRef();
  private int channel;

  public SpeedNegError()
  {
  }

  public SpeedNegError(SpeedNegError paramSpeedNegError)
  {
    this.parentRef = paramSpeedNegError.parentRef;
    this.channel = paramSpeedNegError.channel;
  }

  public ControllerRef getParentRef()
  {
    return this.parentRef;
  }

  public void setParentRef(ControllerRef paramControllerRef)
  {
    this.parentRef = paramControllerRef;
  }

  public int getChannel()
  {
    return this.channel;
  }

  public void setChannel(int paramInt)
  {
    this.channel = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.parentRef.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putInt(this.channel);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.parentRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.channel = paramXDRInputStream.getInt();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}