package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class UnreadableSectorTableEntry
  implements XDRType, SYMbolAPIConstants
{
  private AbstractVolRef volumeRef = new AbstractVolRef();
  private long volumeLBA;
  private int trayNo;
  private int slotNo;
  private long driveLBA;
  private long timeStamp;
  private UsmRecordType recordType = new UsmRecordType();

  public UnreadableSectorTableEntry()
  {
  }

  public UnreadableSectorTableEntry(UnreadableSectorTableEntry paramUnreadableSectorTableEntry)
  {
    this.volumeRef = paramUnreadableSectorTableEntry.volumeRef;
    this.volumeLBA = paramUnreadableSectorTableEntry.volumeLBA;
    this.trayNo = paramUnreadableSectorTableEntry.trayNo;
    this.slotNo = paramUnreadableSectorTableEntry.slotNo;
    this.driveLBA = paramUnreadableSectorTableEntry.driveLBA;
    this.timeStamp = paramUnreadableSectorTableEntry.timeStamp;
    this.recordType = paramUnreadableSectorTableEntry.recordType;
  }

  public AbstractVolRef getVolumeRef()
  {
    return this.volumeRef;
  }

  public void setVolumeRef(AbstractVolRef paramAbstractVolRef)
  {
    this.volumeRef = paramAbstractVolRef;
  }

  public long getVolumeLBA()
  {
    return this.volumeLBA;
  }

  public void setVolumeLBA(long paramLong)
  {
    this.volumeLBA = paramLong;
  }

  public int getTrayNo()
  {
    return this.trayNo;
  }

  public void setTrayNo(int paramInt)
  {
    this.trayNo = paramInt;
  }

  public int getSlotNo()
  {
    return this.slotNo;
  }

  public void setSlotNo(int paramInt)
  {
    this.slotNo = paramInt;
  }

  public long getDriveLBA()
  {
    return this.driveLBA;
  }

  public void setDriveLBA(long paramLong)
  {
    this.driveLBA = paramLong;
  }

  public long getTimeStamp()
  {
    return this.timeStamp;
  }

  public void setTimeStamp(long paramLong)
  {
    this.timeStamp = paramLong;
  }

  public UsmRecordType getRecordType()
  {
    return this.recordType;
  }

  public void setRecordType(UsmRecordType paramUsmRecordType)
  {
    this.recordType = paramUsmRecordType;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.volumeRef.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putLong(this.volumeLBA);
    paramXDROutputStream.putInt(this.trayNo);
    paramXDROutputStream.putInt(this.slotNo);
    paramXDROutputStream.putLong(this.driveLBA);
    paramXDROutputStream.putLong(this.timeStamp);
    this.recordType.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.volumeRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.volumeLBA = paramXDRInputStream.getLong();
    if (paramXDRInputStream.getPosition() < i)
      this.trayNo = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.slotNo = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.driveLBA = paramXDRInputStream.getLong();
    if (paramXDRInputStream.getPosition() < i)
      this.timeStamp = paramXDRInputStream.getLong();
    if (paramXDRInputStream.getPosition() < i)
      this.recordType.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}