package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class UnreadableSectorTableInfo
  implements XDRType, SYMbolAPIConstants
{
  private int maxLimit;
  private UnreadableSectorTableEntry[] database;

  public UnreadableSectorTableInfo()
  {
  }

  public UnreadableSectorTableInfo(UnreadableSectorTableInfo paramUnreadableSectorTableInfo)
  {
    this.maxLimit = paramUnreadableSectorTableInfo.maxLimit;
    this.database = paramUnreadableSectorTableInfo.database;
  }

  public int getMaxLimit()
  {
    return this.maxLimit;
  }

  public void setMaxLimit(int paramInt)
  {
    this.maxLimit = paramInt;
  }

  public UnreadableSectorTableEntry[] getDatabase()
  {
    return this.database;
  }

  public void setDatabase(UnreadableSectorTableEntry[] paramArrayOfUnreadableSectorTableEntry)
  {
    this.database = paramArrayOfUnreadableSectorTableEntry;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    paramXDROutputStream.putInt(this.maxLimit);
    int j = this.database == null ? 0 : this.database.length;
    paramXDROutputStream.putInt(j);
    for (int k = 0; k < j; k++)
      this.database[k].xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.maxLimit = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
    {
      int j = paramXDRInputStream.getInt();
      this.database = new UnreadableSectorTableEntry[j];
      for (int k = 0; k < j; k++)
      {
        this.database[k] = new UnreadableSectorTableEntry();
        this.database[k].xdrDecode(paramXDRInputStream);
      }
    }
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}