package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class UsmError
  implements XDRType, SYMbolAPIConstants
{
  private int databaseCount;

  public UsmError()
  {
  }

  public UsmError(UsmError paramUsmError)
  {
    this.databaseCount = paramUsmError.databaseCount;
  }

  public int getDatabaseCount()
  {
    return this.databaseCount;
  }

  public void setDatabaseCount(int paramInt)
  {
    this.databaseCount = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    paramXDROutputStream.putInt(this.databaseCount);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.databaseCount = paramXDRInputStream.getInt();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}