package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class VolumeAttributeUpdateDescriptor
  implements XDRType, SYMbolAPIConstants
{
  private AbstractVolRef volumeRef = new AbstractVolRef();
  private int mgmtClientAttribute;

  public VolumeAttributeUpdateDescriptor()
  {
  }

  public VolumeAttributeUpdateDescriptor(VolumeAttributeUpdateDescriptor paramVolumeAttributeUpdateDescriptor)
  {
    this.volumeRef = paramVolumeAttributeUpdateDescriptor.volumeRef;
    this.mgmtClientAttribute = paramVolumeAttributeUpdateDescriptor.mgmtClientAttribute;
  }

  public AbstractVolRef getVolumeRef()
  {
    return this.volumeRef;
  }

  public void setVolumeRef(AbstractVolRef paramAbstractVolRef)
  {
    this.volumeRef = paramAbstractVolRef;
  }

  public int getMgmtClientAttribute()
  {
    return this.mgmtClientAttribute;
  }

  public void setMgmtClientAttribute(int paramInt)
  {
    this.mgmtClientAttribute = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.volumeRef.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putInt(this.mgmtClientAttribute);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.volumeRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.mgmtClientAttribute = paramXDRInputStream.getInt();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}