package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class VolumeCache
  implements XDRType, SYMbolAPIConstants
{
  private boolean cwob;
  private boolean enterpriseCacheDump;
  private boolean mirrorActive;
  private boolean mirrorEnable;
  private boolean readCacheActive;
  private boolean readCacheEnable;
  private boolean writeCacheActive;
  private boolean writeCacheEnable;
  private CacheFlushModifier cacheFlushModifier = new CacheFlushModifier();
  private int readAheadMultiplier;

  public VolumeCache()
  {
  }

  public VolumeCache(VolumeCache paramVolumeCache)
  {
    this.cwob = paramVolumeCache.cwob;
    this.enterpriseCacheDump = paramVolumeCache.enterpriseCacheDump;
    this.mirrorActive = paramVolumeCache.mirrorActive;
    this.mirrorEnable = paramVolumeCache.mirrorEnable;
    this.readCacheActive = paramVolumeCache.readCacheActive;
    this.readCacheEnable = paramVolumeCache.readCacheEnable;
    this.writeCacheActive = paramVolumeCache.writeCacheActive;
    this.writeCacheEnable = paramVolumeCache.writeCacheEnable;
    this.cacheFlushModifier = paramVolumeCache.cacheFlushModifier;
    this.readAheadMultiplier = paramVolumeCache.readAheadMultiplier;
  }

  public boolean getCwob()
  {
    return this.cwob;
  }

  public void setCwob(boolean paramBoolean)
  {
    this.cwob = paramBoolean;
  }

  public boolean getEnterpriseCacheDump()
  {
    return this.enterpriseCacheDump;
  }

  public void setEnterpriseCacheDump(boolean paramBoolean)
  {
    this.enterpriseCacheDump = paramBoolean;
  }

  public boolean getMirrorActive()
  {
    return this.mirrorActive;
  }

  public void setMirrorActive(boolean paramBoolean)
  {
    this.mirrorActive = paramBoolean;
  }

  public boolean getMirrorEnable()
  {
    return this.mirrorEnable;
  }

  public void setMirrorEnable(boolean paramBoolean)
  {
    this.mirrorEnable = paramBoolean;
  }

  public boolean getReadCacheActive()
  {
    return this.readCacheActive;
  }

  public void setReadCacheActive(boolean paramBoolean)
  {
    this.readCacheActive = paramBoolean;
  }

  public boolean getReadCacheEnable()
  {
    return this.readCacheEnable;
  }

  public void setReadCacheEnable(boolean paramBoolean)
  {
    this.readCacheEnable = paramBoolean;
  }

  public boolean getWriteCacheActive()
  {
    return this.writeCacheActive;
  }

  public void setWriteCacheActive(boolean paramBoolean)
  {
    this.writeCacheActive = paramBoolean;
  }

  public boolean getWriteCacheEnable()
  {
    return this.writeCacheEnable;
  }

  public void setWriteCacheEnable(boolean paramBoolean)
  {
    this.writeCacheEnable = paramBoolean;
  }

  public CacheFlushModifier getCacheFlushModifier()
  {
    return this.cacheFlushModifier;
  }

  public void setCacheFlushModifier(CacheFlushModifier paramCacheFlushModifier)
  {
    this.cacheFlushModifier = paramCacheFlushModifier;
  }

  public int getReadAheadMultiplier()
  {
    return this.readAheadMultiplier;
  }

  public void setReadAheadMultiplier(int paramInt)
  {
    this.readAheadMultiplier = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    paramXDROutputStream.putBoolean(this.cwob);
    paramXDROutputStream.putBoolean(this.enterpriseCacheDump);
    paramXDROutputStream.putBoolean(this.mirrorActive);
    paramXDROutputStream.putBoolean(this.mirrorEnable);
    paramXDROutputStream.putBoolean(this.readCacheActive);
    paramXDROutputStream.putBoolean(this.readCacheEnable);
    paramXDROutputStream.putBoolean(this.writeCacheActive);
    paramXDROutputStream.putBoolean(this.writeCacheEnable);
    this.cacheFlushModifier.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putInt(this.readAheadMultiplier);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.cwob = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.enterpriseCacheDump = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.mirrorActive = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.mirrorEnable = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.readCacheActive = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.readCacheEnable = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.writeCacheActive = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.writeCacheEnable = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.cacheFlushModifier.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.readAheadMultiplier = paramXDRInputStream.getInt();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}