package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class VolumeCandidate
  implements XDRType, SYMbolAPIConstants
{
  private RAIDLevel raidLevel = new RAIDLevel();
  private boolean trayLossProtection;
  private long rawSize;
  private long usableSize;
  private int driveCount;
  private FreeExtentRef freeExtentRef = new FreeExtentRef();
  private DriveRefList driveRefList = new DriveRefList();
  private CandidateSelectionType candidateSelectionType = new CandidateSelectionType();
  private boolean spindleSpeedMatch;
  private int spindleSpeed;
  private PhysicalDriveType phyDriveType = new PhysicalDriveType();

  public VolumeCandidate()
  {
  }

  public VolumeCandidate(VolumeCandidate paramVolumeCandidate)
  {
    this.raidLevel = paramVolumeCandidate.raidLevel;
    this.trayLossProtection = paramVolumeCandidate.trayLossProtection;
    this.rawSize = paramVolumeCandidate.rawSize;
    this.usableSize = paramVolumeCandidate.usableSize;
    this.driveCount = paramVolumeCandidate.driveCount;
    this.freeExtentRef = paramVolumeCandidate.freeExtentRef;
    this.driveRefList = paramVolumeCandidate.driveRefList;
    this.candidateSelectionType = paramVolumeCandidate.candidateSelectionType;
    this.spindleSpeedMatch = paramVolumeCandidate.spindleSpeedMatch;
    this.spindleSpeed = paramVolumeCandidate.spindleSpeed;
    this.phyDriveType = paramVolumeCandidate.phyDriveType;
  }

  public RAIDLevel getRaidLevel()
  {
    return this.raidLevel;
  }

  public void setRaidLevel(RAIDLevel paramRAIDLevel)
  {
    this.raidLevel = paramRAIDLevel;
  }

  public boolean getTrayLossProtection()
  {
    return this.trayLossProtection;
  }

  public void setTrayLossProtection(boolean paramBoolean)
  {
    this.trayLossProtection = paramBoolean;
  }

  public long getRawSize()
  {
    return this.rawSize;
  }

  public void setRawSize(long paramLong)
  {
    this.rawSize = paramLong;
  }

  public long getUsableSize()
  {
    return this.usableSize;
  }

  public void setUsableSize(long paramLong)
  {
    this.usableSize = paramLong;
  }

  public int getDriveCount()
  {
    return this.driveCount;
  }

  public void setDriveCount(int paramInt)
  {
    this.driveCount = paramInt;
  }

  public FreeExtentRef getFreeExtentRef()
  {
    return this.freeExtentRef;
  }

  public void setFreeExtentRef(FreeExtentRef paramFreeExtentRef)
  {
    this.freeExtentRef = paramFreeExtentRef;
  }

  public DriveRefList getDriveRefList()
  {
    return this.driveRefList;
  }

  public void setDriveRefList(DriveRefList paramDriveRefList)
  {
    this.driveRefList = paramDriveRefList;
  }

  public CandidateSelectionType getCandidateSelectionType()
  {
    return this.candidateSelectionType;
  }

  public void setCandidateSelectionType(CandidateSelectionType paramCandidateSelectionType)
  {
    this.candidateSelectionType = paramCandidateSelectionType;
  }

  public boolean getSpindleSpeedMatch()
  {
    return this.spindleSpeedMatch;
  }

  public void setSpindleSpeedMatch(boolean paramBoolean)
  {
    this.spindleSpeedMatch = paramBoolean;
  }

  public int getSpindleSpeed()
  {
    return this.spindleSpeed;
  }

  public void setSpindleSpeed(int paramInt)
  {
    this.spindleSpeed = paramInt;
  }

  public PhysicalDriveType getPhyDriveType()
  {
    return this.phyDriveType;
  }

  public void setPhyDriveType(PhysicalDriveType paramPhysicalDriveType)
  {
    this.phyDriveType = paramPhysicalDriveType;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.raidLevel.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putBoolean(this.trayLossProtection);
    paramXDROutputStream.putLong(this.rawSize);
    paramXDROutputStream.putLong(this.usableSize);
    paramXDROutputStream.putInt(this.driveCount);
    this.freeExtentRef.xdrEncode(paramXDROutputStream);
    this.driveRefList.xdrEncode(paramXDROutputStream);
    this.candidateSelectionType.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putBoolean(this.spindleSpeedMatch);
    paramXDROutputStream.putInt(this.spindleSpeed);
    this.phyDriveType.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.raidLevel.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.trayLossProtection = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.rawSize = paramXDRInputStream.getLong();
    if (paramXDRInputStream.getPosition() < i)
      this.usableSize = paramXDRInputStream.getLong();
    if (paramXDRInputStream.getPosition() < i)
      this.driveCount = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.freeExtentRef.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.driveRefList.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.candidateSelectionType.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.spindleSpeedMatch = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.spindleSpeed = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.phyDriveType.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}