package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class VolumeCopyCreationDescriptor
  implements XDRType, SYMbolAPIConstants
{
  private AbstractVolRef sourceVolume = new AbstractVolRef();
  private LegacyVolRef targetVolume = new LegacyVolRef();
  private boolean idleTargetWriteProt;
  private VolumeCopyPriority copyPriority = new VolumeCopyPriority();

  public VolumeCopyCreationDescriptor()
  {
  }

  public VolumeCopyCreationDescriptor(VolumeCopyCreationDescriptor paramVolumeCopyCreationDescriptor)
  {
    this.sourceVolume = paramVolumeCopyCreationDescriptor.sourceVolume;
    this.targetVolume = paramVolumeCopyCreationDescriptor.targetVolume;
    this.idleTargetWriteProt = paramVolumeCopyCreationDescriptor.idleTargetWriteProt;
    this.copyPriority = paramVolumeCopyCreationDescriptor.copyPriority;
  }

  public AbstractVolRef getSourceVolume()
  {
    return this.sourceVolume;
  }

  public void setSourceVolume(AbstractVolRef paramAbstractVolRef)
  {
    this.sourceVolume = paramAbstractVolRef;
  }

  public LegacyVolRef getTargetVolume()
  {
    return this.targetVolume;
  }

  public void setTargetVolume(LegacyVolRef paramLegacyVolRef)
  {
    this.targetVolume = paramLegacyVolRef;
  }

  public boolean getIdleTargetWriteProt()
  {
    return this.idleTargetWriteProt;
  }

  public void setIdleTargetWriteProt(boolean paramBoolean)
  {
    this.idleTargetWriteProt = paramBoolean;
  }

  public VolumeCopyPriority getCopyPriority()
  {
    return this.copyPriority;
  }

  public void setCopyPriority(VolumeCopyPriority paramVolumeCopyPriority)
  {
    this.copyPriority = paramVolumeCopyPriority;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.sourceVolume.xdrEncode(paramXDROutputStream);
    this.targetVolume.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putBoolean(this.idleTargetWriteProt);
    this.copyPriority.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.sourceVolume.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.targetVolume.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.idleTargetWriteProt = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.copyPriority.xdrDecode(paramXDRInputStream);
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}