package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class VolumeCopyStatus
  implements XDRType, SYMbolAPIConstants
{
  public static final int COPY_IN_PROGRESS = 1;
  public static final int COPY_COMPLETE = 2;
  public static final int COPY_HALTED = 3;
  public static final int COPY_FAILED = 4;
  public static final int COPY_PENDING = 5;
  private int value;

  public VolumeCopyStatus()
  {
  }

  public VolumeCopyStatus(VolumeCopyStatus paramVolumeCopyStatus)
  {
    this.value = paramVolumeCopyStatus.value;
  }

  public VolumeCopyStatus(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}