package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class VolumeGroupSummary
  implements XDRType, SYMbolAPIConstants
{
  private long volumeGroupCapacity;
  private int volumeCount;
  private long volumeCapacity;
  private boolean trayLossProtection;
  private boolean spindleSpeedMatch;
  private int spindleSpeed;

  public VolumeGroupSummary()
  {
  }

  public VolumeGroupSummary(VolumeGroupSummary paramVolumeGroupSummary)
  {
    this.volumeGroupCapacity = paramVolumeGroupSummary.volumeGroupCapacity;
    this.volumeCount = paramVolumeGroupSummary.volumeCount;
    this.volumeCapacity = paramVolumeGroupSummary.volumeCapacity;
    this.trayLossProtection = paramVolumeGroupSummary.trayLossProtection;
    this.spindleSpeedMatch = paramVolumeGroupSummary.spindleSpeedMatch;
    this.spindleSpeed = paramVolumeGroupSummary.spindleSpeed;
  }

  public long getVolumeGroupCapacity()
  {
    return this.volumeGroupCapacity;
  }

  public void setVolumeGroupCapacity(long paramLong)
  {
    this.volumeGroupCapacity = paramLong;
  }

  public int getVolumeCount()
  {
    return this.volumeCount;
  }

  public void setVolumeCount(int paramInt)
  {
    this.volumeCount = paramInt;
  }

  public long getVolumeCapacity()
  {
    return this.volumeCapacity;
  }

  public void setVolumeCapacity(long paramLong)
  {
    this.volumeCapacity = paramLong;
  }

  public boolean getTrayLossProtection()
  {
    return this.trayLossProtection;
  }

  public void setTrayLossProtection(boolean paramBoolean)
  {
    this.trayLossProtection = paramBoolean;
  }

  public boolean getSpindleSpeedMatch()
  {
    return this.spindleSpeedMatch;
  }

  public void setSpindleSpeedMatch(boolean paramBoolean)
  {
    this.spindleSpeedMatch = paramBoolean;
  }

  public int getSpindleSpeed()
  {
    return this.spindleSpeed;
  }

  public void setSpindleSpeed(int paramInt)
  {
    this.spindleSpeed = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    paramXDROutputStream.putLong(this.volumeGroupCapacity);
    paramXDROutputStream.putInt(this.volumeCount);
    paramXDROutputStream.putLong(this.volumeCapacity);
    paramXDROutputStream.putBoolean(this.trayLossProtection);
    paramXDROutputStream.putBoolean(this.spindleSpeedMatch);
    paramXDROutputStream.putInt(this.spindleSpeed);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.volumeGroupCapacity = paramXDRInputStream.getLong();
    if (paramXDRInputStream.getPosition() < i)
      this.volumeCount = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.volumeCapacity = paramXDRInputStream.getLong();
    if (paramXDRInputStream.getPosition() < i)
      this.trayLossProtection = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.spindleSpeedMatch = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.spindleSpeed = paramXDRInputStream.getInt();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}