package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class VolumePerms
  implements XDRType, SYMbolAPIConstants
{
  private boolean mapToLUN;
  private boolean snapShot;
  private boolean format;
  private boolean reconfigure;
  private boolean mirrorPrimary;
  private boolean mirrorSecondary;
  private boolean copySource;
  private boolean copyTarget;
  private boolean readable;
  private boolean writable;

  public VolumePerms()
  {
  }

  public VolumePerms(VolumePerms paramVolumePerms)
  {
    this.mapToLUN = paramVolumePerms.mapToLUN;
    this.snapShot = paramVolumePerms.snapShot;
    this.format = paramVolumePerms.format;
    this.reconfigure = paramVolumePerms.reconfigure;
    this.mirrorPrimary = paramVolumePerms.mirrorPrimary;
    this.mirrorSecondary = paramVolumePerms.mirrorSecondary;
    this.copySource = paramVolumePerms.copySource;
    this.copyTarget = paramVolumePerms.copyTarget;
    this.readable = paramVolumePerms.readable;
    this.writable = paramVolumePerms.writable;
  }

  public boolean getMapToLUN()
  {
    return this.mapToLUN;
  }

  public void setMapToLUN(boolean paramBoolean)
  {
    this.mapToLUN = paramBoolean;
  }

  public boolean getSnapShot()
  {
    return this.snapShot;
  }

  public void setSnapShot(boolean paramBoolean)
  {
    this.snapShot = paramBoolean;
  }

  public boolean getFormat()
  {
    return this.format;
  }

  public void setFormat(boolean paramBoolean)
  {
    this.format = paramBoolean;
  }

  public boolean getReconfigure()
  {
    return this.reconfigure;
  }

  public void setReconfigure(boolean paramBoolean)
  {
    this.reconfigure = paramBoolean;
  }

  public boolean getMirrorPrimary()
  {
    return this.mirrorPrimary;
  }

  public void setMirrorPrimary(boolean paramBoolean)
  {
    this.mirrorPrimary = paramBoolean;
  }

  public boolean getMirrorSecondary()
  {
    return this.mirrorSecondary;
  }

  public void setMirrorSecondary(boolean paramBoolean)
  {
    this.mirrorSecondary = paramBoolean;
  }

  public boolean getCopySource()
  {
    return this.copySource;
  }

  public void setCopySource(boolean paramBoolean)
  {
    this.copySource = paramBoolean;
  }

  public boolean getCopyTarget()
  {
    return this.copyTarget;
  }

  public void setCopyTarget(boolean paramBoolean)
  {
    this.copyTarget = paramBoolean;
  }

  public boolean getReadable()
  {
    return this.readable;
  }

  public void setReadable(boolean paramBoolean)
  {
    this.readable = paramBoolean;
  }

  public boolean getWritable()
  {
    return this.writable;
  }

  public void setWritable(boolean paramBoolean)
  {
    this.writable = paramBoolean;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    paramXDROutputStream.putBoolean(this.mapToLUN);
    paramXDROutputStream.putBoolean(this.snapShot);
    paramXDROutputStream.putBoolean(this.format);
    paramXDROutputStream.putBoolean(this.reconfigure);
    paramXDROutputStream.putBoolean(this.mirrorPrimary);
    paramXDROutputStream.putBoolean(this.mirrorSecondary);
    paramXDROutputStream.putBoolean(this.copySource);
    paramXDROutputStream.putBoolean(this.copyTarget);
    paramXDROutputStream.putBoolean(this.readable);
    paramXDROutputStream.putBoolean(this.writable);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.mapToLUN = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.snapShot = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.format = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.reconfigure = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.mirrorPrimary = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.mirrorSecondary = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.copySource = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.copyTarget = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.readable = paramXDRInputStream.getBoolean();
    if (paramXDRInputStream.getPosition() < i)
      this.writable = paramXDRInputStream.getBoolean();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}