package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class VolumeUsage
  implements XDRType, SYMbolAPIConstants
{
  public static final int VOL_USAGE_MULTIMEDIA = 1;
  public static final int VOL_USAGE_TRANSACTIONAL = 2;
  public static final int VOL_USAGE_FILESYSTEM = 3;
  public static final int NUMBER_USAGE_HINTS = 3;
  private int value;

  public VolumeUsage()
  {
  }

  public VolumeUsage(VolumeUsage paramVolumeUsage)
  {
    this.value = paramVolumeUsage.value;
  }

  public VolumeUsage(int paramInt)
  {
    this.value = paramInt;
  }

  public int getValue()
  {
    return this.value;
  }

  public void setValue(int paramInt)
  {
    this.value = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    paramXDROutputStream.putInt(this.value);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    this.value = paramXDRInputStream.getInt();
  }
}