package devmgr.versioned.symbol;

import devmgr.versioned.jrpc.RPCError;
import devmgr.versioned.jrpc.XDRInputStream;
import devmgr.versioned.jrpc.XDROutputStream;
import devmgr.versioned.jrpc.XDRType;

public class VolumeUsageHint
  implements XDRType, SYMbolAPIConstants
{
  private VolumeUsage usageHint = new VolumeUsage();
  private int segmentSize;
  private int readAhead;

  public VolumeUsageHint()
  {
  }

  public VolumeUsageHint(VolumeUsageHint paramVolumeUsageHint)
  {
    this.usageHint = paramVolumeUsageHint.usageHint;
    this.segmentSize = paramVolumeUsageHint.segmentSize;
    this.readAhead = paramVolumeUsageHint.readAhead;
  }

  public VolumeUsage getUsageHint()
  {
    return this.usageHint;
  }

  public void setUsageHint(VolumeUsage paramVolumeUsage)
  {
    this.usageHint = paramVolumeUsage;
  }

  public int getSegmentSize()
  {
    return this.segmentSize;
  }

  public void setSegmentSize(int paramInt)
  {
    this.segmentSize = paramInt;
  }

  public int getReadAhead()
  {
    return this.readAhead;
  }

  public void setReadAhead(int paramInt)
  {
    this.readAhead = paramInt;
  }

  public void xdrEncode(XDROutputStream paramXDROutputStream)
    throws RPCError
  {
    int i = paramXDROutputStream.prepareLength();
    this.usageHint.xdrEncode(paramXDROutputStream);
    paramXDROutputStream.putInt(this.segmentSize);
    paramXDROutputStream.putInt(this.readAhead);
    paramXDROutputStream.setLength(i);
  }

  public void xdrDecode(XDRInputStream paramXDRInputStream)
    throws RPCError
  {
    int i = paramXDRInputStream.getInt() + paramXDRInputStream.getPosition();
    if (paramXDRInputStream.getPosition() < i)
      this.usageHint.xdrDecode(paramXDRInputStream);
    if (paramXDRInputStream.getPosition() < i)
      this.segmentSize = paramXDRInputStream.getInt();
    if (paramXDRInputStream.getPosition() < i)
      this.readAhead = paramXDRInputStream.getInt();
    paramXDRInputStream.skip(i - paramXDRInputStream.getPosition());
  }
}