/*     */ package org.codehaus.stax2.ri.evt;
/*     */ 
/*     */ import java.io.IOException;
/*     */ import java.io.Writer;
/*     */ import javax.xml.namespace.QName;
/*     */ import javax.xml.stream.Location;
/*     */ import javax.xml.stream.XMLStreamException;
/*     */ import javax.xml.stream.events.Attribute;
/*     */ import org.codehaus.stax2.XMLStreamWriter2;
/*     */ 
/*     */ public class AttributeEventImpl extends BaseEventImpl
/*     */   implements Attribute
/*     */ {
/*     */   final QName mName;
/*     */   final String mValue;
/*     */   final boolean mWasSpecified;
/*     */ 
/*     */   public AttributeEventImpl(Location paramLocation, String paramString1, String paramString2, String paramString3, String paramString4, boolean paramBoolean)
/*     */   {
/*  23 */     super(paramLocation);
/*  24 */     this.mValue = paramString4;
/*  25 */     if (paramString3 == null) {
/*  26 */       if (paramString2 == null)
/*  27 */         this.mName = new QName(paramString1);
/*     */       else
/*  29 */         this.mName = new QName(paramString2, paramString1);
/*     */     }
/*     */     else {
/*  32 */       if (paramString2 == null) {
/*  33 */         paramString2 = "";
/*     */       }
/*  35 */       this.mName = new QName(paramString2, paramString1, paramString3);
/*     */     }
/*  37 */     this.mWasSpecified = paramBoolean;
/*     */   }
/*     */ 
/*     */   public AttributeEventImpl(Location paramLocation, QName paramQName, String paramString, boolean paramBoolean)
/*     */   {
/*  42 */     super(paramLocation);
/*  43 */     this.mName = paramQName;
/*  44 */     this.mValue = paramString;
/*  45 */     this.mWasSpecified = paramBoolean;
/*     */   }
/*     */ 
/*     */   public int getEventType()
/*     */   {
/*  55 */     return 10;
/*     */   }
/*     */   public boolean isAttribute() {
/*  58 */     return true;
/*     */   }
/*     */ 
/*     */   public void writeAsEncodedUnicode(Writer paramWriter)
/*     */     throws XMLStreamException
/*     */   {
/*  66 */     String str = this.mName.getPrefix();
/*     */     try {
/*  68 */       if ((str != null) && (str.length() > 0)) {
/*  69 */         paramWriter.write(str);
/*  70 */         paramWriter.write(58);
/*     */       }
/*  72 */       paramWriter.write(this.mName.getLocalPart());
/*  73 */       paramWriter.write(61);
/*  74 */       paramWriter.write(34);
/*  75 */       writeEscapedAttrValue(paramWriter, this.mValue);
/*  76 */       paramWriter.write(34);
/*     */     } catch (IOException localIOException) {
/*  78 */       throwFromIOE(localIOException);
/*     */     }
/*     */   }
/*     */ 
/*     */   public void writeUsing(XMLStreamWriter2 paramXMLStreamWriter2) throws XMLStreamException
/*     */   {
/*  84 */     QName localQName = this.mName;
/*  85 */     paramXMLStreamWriter2.writeAttribute(localQName.getPrefix(), localQName.getLocalPart(), localQName.getNamespaceURI(), this.mValue);
/*     */   }
/*     */ 
/*     */   public String getDTDType()
/*     */   {
/*  99 */     return "CDATA";
/*     */   }
/*     */ 
/*     */   public QName getName()
/*     */   {
/* 104 */     return this.mName;
/*     */   }
/*     */ 
/*     */   public String getValue()
/*     */   {
/* 109 */     return this.mValue;
/*     */   }
/*     */ 
/*     */   public boolean isSpecified()
/*     */   {
/* 114 */     return this.mWasSpecified;
/*     */   }
/*     */ 
/*     */   public boolean equals(Object paramObject)
/*     */   {
/* 125 */     if (paramObject == this) return true;
/* 126 */     if (paramObject == null) return false;
/* 127 */     if (!(paramObject instanceof Attribute)) return false;
/*     */ 
/* 129 */     Attribute localAttribute = (Attribute)paramObject;
/* 130 */     if ((this.mName.equals(localAttribute.getName())) && (this.mValue.equals(localAttribute.getValue())))
/*     */     {
/* 137 */       if (isSpecified() == localAttribute.isSpecified()) {
/* 138 */         return stringsWithNullsEqual(getDTDType(), localAttribute.getDTDType());
/*     */       }
/*     */     }
/* 141 */     return false;
/*     */   }
/*     */ 
/*     */   public int hashCode()
/*     */   {
/* 151 */     return this.mName.hashCode() ^ this.mValue.hashCode();
/*     */   }
/*     */ 
/*     */   protected static void writeEscapedAttrValue(Writer paramWriter, String paramString)
/*     */     throws IOException
/*     */   {
/* 163 */     int i = 0;
/* 164 */     int j = paramString.length();
/*     */     do {
/* 166 */       int k = i;
/* 167 */       int m = 0;
/*     */ 
/* 169 */       for (; i < j; i++) {
/* 170 */         m = paramString.charAt(i);
/* 171 */         if ((m == 60) || (m == 38) || (m == 34)) {
/*     */           break;
/*     */         }
/*     */       }
/* 175 */       int n = i - k;
/* 176 */       if (n > 0) {
/* 177 */         paramWriter.write(paramString, k, n);
/*     */       }
/* 179 */       if (i < j) {
/* 180 */         if (m == 60)
/* 181 */           paramWriter.write("&lt;");
/* 182 */         else if (m == 38)
/* 183 */           paramWriter.write("&amp;");
/* 184 */         else if (m == 34) {
/* 185 */           paramWriter.write("&quot;");
/*     */         }
/*     */       }
/*     */ 
/* 189 */       i++; } while (i < j);
/*     */   }
/*     */ }

/* Location:           C:\Program Files\NetApp\Snap_Creator_Framework\scServer4.1.2\engine\work\jetty-0.0.0.0-8443-ui.war-_ui-any-\webapp\WEB-INF\lib\stax2-api-3.1.4.jar
 * Qualified Name:     org.codehaus.stax2.ri.evt.AttributeEventImpl
 * JD-Core Version:    0.6.2
 */