/*     */ package org.codehaus.stax2.ri.evt;
/*     */ 
/*     */ import java.io.IOException;
/*     */ import java.io.Writer;
/*     */ import javax.xml.stream.Location;
/*     */ import javax.xml.stream.XMLStreamException;
/*     */ import javax.xml.stream.XMLStreamReader;
/*     */ import javax.xml.stream.events.StartDocument;
/*     */ import org.codehaus.stax2.XMLStreamWriter2;
/*     */ 
/*     */ public class StartDocumentEventImpl extends BaseEventImpl
/*     */   implements StartDocument
/*     */ {
/*     */   private final boolean mStandaloneSet;
/*     */   private final boolean mIsStandalone;
/*     */   private final String mVersion;
/*     */   private final boolean mEncodingSet;
/*     */   private final String mEncodingScheme;
/*     */   private final String mSystemId;
/*     */ 
/*     */   public StartDocumentEventImpl(Location paramLocation, XMLStreamReader paramXMLStreamReader)
/*     */   {
/*  24 */     super(paramLocation);
/*  25 */     this.mStandaloneSet = paramXMLStreamReader.standaloneSet();
/*  26 */     this.mIsStandalone = paramXMLStreamReader.isStandalone();
/*     */ 
/*  33 */     String str = paramXMLStreamReader.getVersion();
/*  34 */     if ((str == null) || (str.length() == 0)) {
/*  35 */       str = "1.0";
/*     */     }
/*  37 */     this.mVersion = str;
/*     */ 
/*  39 */     this.mEncodingScheme = paramXMLStreamReader.getCharacterEncodingScheme();
/*  40 */     this.mEncodingSet = ((this.mEncodingScheme != null) && (this.mEncodingScheme.length() > 0));
/*  41 */     this.mSystemId = (paramLocation != null ? paramLocation.getSystemId() : "");
/*     */   }
/*     */ 
/*     */   public StartDocumentEventImpl(Location paramLocation)
/*     */   {
/*  50 */     this(paramLocation, (String)null);
/*     */   }
/*     */ 
/*     */   public StartDocumentEventImpl(Location paramLocation, String paramString)
/*     */   {
/*  55 */     this(paramLocation, paramString, null);
/*     */   }
/*     */ 
/*     */   public StartDocumentEventImpl(Location paramLocation, String paramString1, String paramString2)
/*     */   {
/*  60 */     this(paramLocation, paramString1, paramString2, false, false);
/*     */   }
/*     */ 
/*     */   public StartDocumentEventImpl(Location paramLocation, String paramString1, String paramString2, boolean paramBoolean1, boolean paramBoolean2)
/*     */   {
/*  66 */     super(paramLocation);
/*  67 */     this.mEncodingScheme = paramString1;
/*  68 */     this.mEncodingSet = ((paramString1 != null) && (paramString1.length() > 0));
/*  69 */     this.mVersion = paramString2;
/*  70 */     this.mStandaloneSet = paramBoolean1;
/*  71 */     this.mIsStandalone = paramBoolean2;
/*  72 */     this.mSystemId = "";
/*     */   }
/*     */ 
/*     */   public boolean encodingSet() {
/*  76 */     return this.mEncodingSet;
/*     */   }
/*     */ 
/*     */   public String getCharacterEncodingScheme() {
/*  80 */     return this.mEncodingScheme;
/*     */   }
/*     */ 
/*     */   public String getSystemId() {
/*  84 */     return this.mSystemId;
/*     */   }
/*     */ 
/*     */   public String getVersion() {
/*  88 */     return this.mVersion;
/*     */   }
/*     */ 
/*     */   public boolean isStandalone() {
/*  92 */     return this.mIsStandalone;
/*     */   }
/*     */ 
/*     */   public boolean standaloneSet() {
/*  96 */     return this.mStandaloneSet;
/*     */   }
/*     */ 
/*     */   public int getEventType()
/*     */   {
/* 106 */     return 7;
/*     */   }
/*     */ 
/*     */   public boolean isStartDocument() {
/* 110 */     return true;
/*     */   }
/*     */ 
/*     */   public void writeAsEncodedUnicode(Writer paramWriter)
/*     */     throws XMLStreamException
/*     */   {
/*     */     try
/*     */     {
/* 118 */       paramWriter.write("<?xml version=\"");
/* 119 */       if ((this.mVersion == null) || (this.mVersion.length() == 0))
/* 120 */         paramWriter.write("1.0");
/*     */       else {
/* 122 */         paramWriter.write(this.mVersion);
/*     */       }
/* 124 */       paramWriter.write(34);
/* 125 */       if (this.mEncodingSet) {
/* 126 */         paramWriter.write(" encoding=\"");
/* 127 */         paramWriter.write(this.mEncodingScheme);
/* 128 */         paramWriter.write(34);
/*     */       }
/* 130 */       if (this.mStandaloneSet) {
/* 131 */         if (this.mIsStandalone)
/* 132 */           paramWriter.write(" standalone=\"yes\"");
/*     */         else {
/* 134 */           paramWriter.write(" standalone=\"no\"");
/*     */         }
/*     */       }
/* 137 */       paramWriter.write(" ?>");
/*     */     } catch (IOException localIOException) {
/* 139 */       throwFromIOE(localIOException);
/*     */     }
/*     */   }
/*     */ 
/*     */   public void writeUsing(XMLStreamWriter2 paramXMLStreamWriter2) throws XMLStreamException
/*     */   {
/* 145 */     paramXMLStreamWriter2.writeStartDocument();
/*     */   }
/*     */ 
/*     */   public boolean equals(Object paramObject)
/*     */   {
/* 156 */     if (paramObject == this) return true;
/* 157 */     if (paramObject == null) return false;
/* 158 */     if (!(paramObject instanceof StartDocument)) return false;
/*     */ 
/* 160 */     StartDocument localStartDocument = (StartDocument)paramObject;
/*     */ 
/* 162 */     return (encodingSet() == localStartDocument.encodingSet()) && (isStandalone() == localStartDocument.isStandalone()) && (standaloneSet() == localStartDocument.standaloneSet()) && (stringsWithNullsEqual(getCharacterEncodingScheme(), localStartDocument.getCharacterEncodingScheme())) && (stringsWithNullsEqual(getSystemId(), localStartDocument.getSystemId())) && (stringsWithNullsEqual(getVersion(), localStartDocument.getVersion()));
/*     */   }
/*     */ 
/*     */   public int hashCode()
/*     */   {
/* 174 */     int i = 0;
/*     */ 
/* 176 */     if (encodingSet()) i++;
/* 177 */     if (isStandalone()) i--;
/* 178 */     if (standaloneSet()) i ^= 1;
/* 179 */     if (this.mVersion != null) i ^= this.mVersion.hashCode();
/* 180 */     if (this.mEncodingScheme != null) i ^= this.mEncodingScheme.hashCode();
/* 181 */     if (this.mSystemId != null) i ^= this.mSystemId.hashCode();
/* 182 */     return i;
/*     */   }
/*     */ }

/* Location:           C:\Program Files\NetApp\Snap_Creator_Framework\scServer4.1.2\engine\work\jetty-0.0.0.0-8443-ui.war-_ui-any-\webapp\WEB-INF\lib\stax2-api-3.1.4.jar
 * Qualified Name:     org.codehaus.stax2.ri.evt.StartDocumentEventImpl
 * JD-Core Version:    0.6.2
 */