/*     */ package org.codehaus.stax2.ri.typed;
/*     */ 
/*     */ import org.codehaus.stax2.ri.Stax2Util.ByteAggregator;
/*     */ import org.codehaus.stax2.typed.Base64Variant;
/*     */ 
/*     */ abstract class Base64DecoderBase
/*     */ {
/*     */   static final int STATE_INITIAL = 0;
/*     */   static final int STATE_VALID_1 = 1;
/*     */   static final int STATE_VALID_2 = 2;
/*     */   static final int STATE_VALID_3 = 3;
/*     */   static final int STATE_OUTPUT_3 = 4;
/*     */   static final int STATE_OUTPUT_2 = 5;
/*     */   static final int STATE_OUTPUT_1 = 6;
/*     */   static final int STATE_VALID_2_AND_PADDING = 7;
/*     */   static final int INT_SPACE = 32;
/*     */   Base64Variant _variant;
/* 101 */   int _state = 0;
/*     */   int _decodedData;
/* 113 */   Stax2Util.ByteAggregator _byteAggr = null;
/*     */ 
/*     */   public abstract int decode(byte[] paramArrayOfByte, int paramInt1, int paramInt2)
/*     */     throws IllegalArgumentException;
/*     */ 
/*     */   public final boolean hasData()
/*     */   {
/* 141 */     return (this._state >= 4) && (this._state <= 6);
/*     */   }
/*     */ 
/*     */   public final int endOfContent()
/*     */   {
/* 165 */     if ((this._state == 0) || (this._state == 4) || (this._state == 5) || (this._state == 6))
/*     */     {
/* 167 */       return 0;
/*     */     }
/*     */ 
/* 170 */     if (this._variant.usesPadding()) {
/* 171 */       return -1;
/*     */     }
/*     */ 
/* 175 */     if (this._state == 2)
/*     */     {
/* 177 */       this._state = 6;
/* 178 */       this._decodedData >>= 4;
/* 179 */       return 1;
/* 180 */     }if (this._state == 3)
/*     */     {
/* 182 */       this._decodedData >>= 2;
/* 183 */       this._state = 5;
/* 184 */       return 2;
/*     */     }
/* 186 */     return -1;
/*     */   }
/*     */ 
/*     */   public byte[] decodeCompletely()
/*     */   {
/* 202 */     Stax2Util.ByteAggregator localByteAggregator = getByteAggregator();
/* 203 */     byte[] arrayOfByte = localByteAggregator.startAggregation();
/*     */     while (true)
/*     */     {
/* 206 */       int i = 0;
/* 207 */       int j = arrayOfByte.length;
/*     */       do
/*     */       {
/* 210 */         int k = decode(arrayOfByte, i, j);
/*     */ 
/* 212 */         if (k < 1)
/*     */         {
/* 220 */           int m = endOfContent();
/* 221 */           if (m < 0)
/* 222 */             throw new IllegalArgumentException("Incomplete base64 triplet at the end of decoded content");
/* 223 */           if (m <= 0)
/*     */           {
/* 226 */             return localByteAggregator.aggregateAll(arrayOfByte, i);
/*     */           }
/*     */         } else { i += k;
/* 229 */           j -= k; } 
/* 230 */       }while (j > 0);
/*     */ 
/* 233 */       arrayOfByte = localByteAggregator.addFullBlock(arrayOfByte);
/*     */     }
/*     */   }
/*     */ 
/*     */   public Stax2Util.ByteAggregator getByteAggregator()
/*     */   {
/* 239 */     if (this._byteAggr == null) {
/* 240 */       this._byteAggr = new Stax2Util.ByteAggregator();
/*     */     }
/* 242 */     return this._byteAggr;
/*     */   }
/*     */ 
/*     */   protected IllegalArgumentException reportInvalidChar(char paramChar, int paramInt)
/*     */     throws IllegalArgumentException
/*     */   {
/* 254 */     return reportInvalidChar(paramChar, paramInt, null);
/*     */   }
/*     */ 
/*     */   protected IllegalArgumentException reportInvalidChar(char paramChar, int paramInt, String paramString)
/*     */     throws IllegalArgumentException
/*     */   {
/*     */     String str;
/* 265 */     if (paramChar <= ' ')
/* 266 */       str = "Illegal white space character (code 0x" + Integer.toHexString(paramChar) + ") as character #" + (paramInt + 1) + " of 4-char base64 unit: can only used between units";
/* 267 */     else if (this._variant.usesPaddingChar(paramChar))
/* 268 */       str = "Unexpected padding character ('" + this._variant.getPaddingChar() + "') as character #" + (paramInt + 1) + " of 4-char base64 unit: padding only legal as 3rd or 4th character";
/* 269 */     else if ((!Character.isDefined(paramChar)) || (Character.isISOControl(paramChar)))
/*     */     {
/* 271 */       str = "Illegal character (code 0x" + Integer.toHexString(paramChar) + ") in base64 content";
/*     */     }
/* 273 */     else str = "Illegal character '" + paramChar + "' (code 0x" + Integer.toHexString(paramChar) + ") in base64 content";
/*     */ 
/* 275 */     if (paramString != null) {
/* 276 */       str = str + ": " + paramString;
/*     */     }
/* 278 */     return new IllegalArgumentException(str);
/*     */   }
/*     */ }

/* Location:           C:\Program Files\NetApp\Snap_Creator_Framework\scServer4.1.2\engine\work\jetty-0.0.0.0-8443-ui.war-_ui-any-\webapp\WEB-INF\lib\stax2-api-3.1.4.jar
 * Qualified Name:     org.codehaus.stax2.ri.typed.Base64DecoderBase
 * JD-Core Version:    0.6.2
 */