/*     */ package org.codehaus.stax2.ri.typed;
/*     */ 
/*     */ import java.util.ArrayList;
/*     */ import java.util.Iterator;
/*     */ import java.util.List;
/*     */ import org.codehaus.stax2.typed.Base64Variant;
/*     */ 
/*     */ public final class CharArrayBase64Decoder extends Base64DecoderBase
/*     */ {
/*     */   char[] _currSegment;
/*     */   int _currSegmentPtr;
/*     */   int _currSegmentEnd;
/*  39 */   final ArrayList _nextSegments = new ArrayList();
/*     */   int _lastSegmentOffset;
/*     */   int _lastSegmentEnd;
/*     */   int _nextSegmentIndex;
/*     */ 
/*     */   public void init(Base64Variant paramBase64Variant, boolean paramBoolean, char[] paramArrayOfChar, int paramInt1, int paramInt2, List paramList)
/*     */   {
/*  56 */     this._variant = paramBase64Variant;
/*     */ 
/*  60 */     if (paramBoolean) {
/*  61 */       this._state = 0;
/*     */     }
/*  63 */     this._nextSegments.clear();
/*  64 */     if ((paramList == null) || (paramList.isEmpty())) {
/*  65 */       this._currSegment = paramArrayOfChar;
/*  66 */       this._currSegmentPtr = paramInt1;
/*  67 */       this._currSegmentEnd = (paramInt1 + paramInt2);
/*     */     } else {
/*  69 */       if (paramArrayOfChar == null) {
/*  70 */         throw new IllegalArgumentException();
/*     */       }
/*     */ 
/*  73 */       Iterator localIterator = paramList.iterator();
/*  74 */       this._currSegment = ((char[])localIterator.next());
/*  75 */       this._currSegmentPtr = 0;
/*  76 */       this._currSegmentEnd = this._currSegment.length;
/*     */ 
/*  78 */       while (localIterator.hasNext()) {
/*  79 */         this._nextSegments.add(localIterator.next());
/*     */       }
/*  81 */       this._nextSegmentIndex = 0;
/*     */ 
/*  84 */       this._nextSegments.add(paramArrayOfChar);
/*  85 */       this._lastSegmentOffset = paramInt1;
/*  86 */       this._lastSegmentEnd = (paramInt1 + paramInt2);
/*     */     }
/*     */   }
/*     */ 
/*     */   public int decode(byte[] paramArrayOfByte, int paramInt1, int paramInt2)
/*     */     throws IllegalArgumentException
/*     */   {
/* 101 */     int i = paramInt1;
/* 102 */     int j = paramInt1 + paramInt2;
/*     */     while (true)
/*     */     {
/*     */       char c;
/*     */       int k;
/* 106 */       switch (this._state)
/*     */       {
/*     */       case 0:
/*     */         do
/*     */         {
/* 112 */           if ((this._currSegmentPtr >= this._currSegmentEnd) && 
/* 113 */             (!nextSegment()))
/*     */           {
/*     */             break;
/*     */           }
/* 117 */           c = this._currSegment[(this._currSegmentPtr++)];
/* 118 */         }while (c <= ' ');
/* 119 */         k = this._variant.decodeBase64Char(c);
/* 120 */         if (k < 0) {
/* 121 */           throw reportInvalidChar(c, 0);
/*     */         }
/* 123 */         this._decodedData = k;
/*     */       case 1:
/* 130 */         if ((this._currSegmentPtr >= this._currSegmentEnd) && 
/* 131 */           (!nextSegment())) {
/* 132 */           this._state = 1;
/* 133 */           break label651;
/*     */         }
/*     */ 
/* 136 */         c = this._currSegment[(this._currSegmentPtr++)];
/* 137 */         k = this._variant.decodeBase64Char(c);
/* 138 */         if (k < 0) {
/* 139 */           throw reportInvalidChar(c, 1);
/*     */         }
/* 141 */         this._decodedData = (this._decodedData << 6 | k);
/*     */       case 2:
/* 148 */         if ((this._currSegmentPtr >= this._currSegmentEnd) && 
/* 149 */           (!nextSegment())) {
/* 150 */           this._state = 2;
/* 151 */           break label651;
/*     */         }
/*     */ 
/* 154 */         c = this._currSegment[(this._currSegmentPtr++)];
/* 155 */         k = this._variant.decodeBase64Char(c);
/* 156 */         if (k < 0) {
/* 157 */           if (k != -2) {
/* 158 */             throw reportInvalidChar(c, 2);
/*     */           }
/*     */ 
/* 161 */           this._state = 7;
/*     */         }
/*     */         else {
/* 164 */           this._decodedData = (this._decodedData << 6 | k);
/*     */         }
/*     */ 
/*     */         break;
/*     */       case 3:
/* 171 */         if ((this._currSegmentPtr >= this._currSegmentEnd) && 
/* 172 */           (!nextSegment())) {
/* 173 */           this._state = 3;
/* 174 */           break label651;
/*     */         }
/*     */ 
/* 177 */         c = this._currSegment[(this._currSegmentPtr++)];
/* 178 */         k = this._variant.decodeBase64Char(c);
/* 179 */         if (k < 0) {
/* 180 */           if (k != -2) {
/* 181 */             throw reportInvalidChar(c, 3);
/*     */           }
/*     */ 
/* 189 */           this._decodedData >>= 2;
/* 190 */           this._state = 5;
/*     */         }
/*     */         else
/*     */         {
/* 194 */           this._decodedData = (this._decodedData << 6 | k);
/*     */         }
/*     */ 
/*     */         break;
/*     */       case 4:
/* 199 */         if (paramInt1 >= j) {
/* 200 */           this._state = 4;
/* 201 */           break label651;
/*     */         }
/* 203 */         paramArrayOfByte[(paramInt1++)] = ((byte)(this._decodedData >> 16));
/*     */       case 5:
/* 207 */         if (paramInt1 >= j) {
/* 208 */           this._state = 5;
/* 209 */           break label651;
/*     */         }
/* 211 */         paramArrayOfByte[(paramInt1++)] = ((byte)(this._decodedData >> 8));
/*     */       case 6:
/* 215 */         if (paramInt1 >= j) {
/* 216 */           this._state = 6;
/* 217 */           break label651;
/*     */         }
/* 219 */         paramArrayOfByte[(paramInt1++)] = ((byte)this._decodedData);
/* 220 */         this._state = 0;
/* 221 */         break;
/*     */       case 7:
/* 225 */         if ((this._currSegmentPtr >= this._currSegmentEnd) && 
/* 226 */           (!nextSegment()))
/*     */         {
/*     */           break label651;
/*     */         }
/*     */ 
/* 231 */         c = this._currSegment[(this._currSegmentPtr++)];
/* 232 */         if (!this._variant.usesPaddingChar(c)) {
/* 233 */           throw reportInvalidChar(c, 3, "expected padding character '" + this._variant.getPaddingChar() + "'");
/*     */         }
/*     */ 
/* 236 */         this._state = 6;
/* 237 */         this._decodedData >>= 4;
/*     */       }
/*     */ 
/*     */     }
/*     */ 
/* 243 */     throw new IllegalStateException("Illegal internal state " + this._state);
/*     */ 
/* 246 */     label651: return paramInt1 - i;
/*     */   }
/*     */ 
/*     */   private boolean nextSegment()
/*     */   {
/* 257 */     if (this._nextSegmentIndex < this._nextSegments.size()) {
/* 258 */       this._currSegment = ((char[])this._nextSegments.get(this._nextSegmentIndex++));
/*     */ 
/* 260 */       if (this._nextSegmentIndex == this._nextSegments.size()) {
/* 261 */         this._currSegmentPtr = this._lastSegmentOffset;
/* 262 */         this._currSegmentEnd = this._lastSegmentEnd;
/*     */       } else {
/* 264 */         this._currSegmentPtr = 0;
/* 265 */         this._currSegmentEnd = this._currSegment.length;
/*     */       }
/* 267 */       return true;
/*     */     }
/* 269 */     return false;
/*     */   }
/*     */ }

/* Location:           C:\Program Files\NetApp\Snap_Creator_Framework\scServer4.1.2\engine\work\jetty-0.0.0.0-8443-ui.war-_ui-any-\webapp\WEB-INF\lib\stax2-api-3.1.4.jar
 * Qualified Name:     org.codehaus.stax2.ri.typed.CharArrayBase64Decoder
 * JD-Core Version:    0.6.2
 */