/*      */ package org.codehaus.stax2.ri.typed;
/*      */ 
/*      */ import java.math.BigDecimal;
/*      */ import java.math.BigInteger;
/*      */ import javax.xml.namespace.NamespaceContext;
/*      */ import javax.xml.namespace.QName;
/*      */ import org.codehaus.stax2.typed.TypedArrayDecoder;
/*      */ import org.codehaus.stax2.typed.TypedValueDecoder;
/*      */ 
/*      */ public final class ValueDecoderFactory
/*      */ {
/*   46 */   protected BooleanDecoder mBooleanDecoder = null;
/*   47 */   protected IntDecoder mIntDecoder = null;
/*   48 */   protected LongDecoder mLongDecoder = null;
/*   49 */   protected FloatDecoder mFloatDecoder = null;
/*   50 */   protected DoubleDecoder mDoubleDecoder = null;
/*      */ 
/*      */   public BooleanDecoder getBooleanDecoder()
/*      */   {
/*   62 */     if (this.mBooleanDecoder == null) {
/*   63 */       this.mBooleanDecoder = new BooleanDecoder();
/*      */     }
/*   65 */     return this.mBooleanDecoder;
/*      */   }
/*      */ 
/*      */   public IntDecoder getIntDecoder()
/*      */   {
/*   70 */     if (this.mIntDecoder == null) {
/*   71 */       this.mIntDecoder = new IntDecoder();
/*      */     }
/*   73 */     return this.mIntDecoder;
/*      */   }
/*      */ 
/*      */   public LongDecoder getLongDecoder()
/*      */   {
/*   78 */     if (this.mLongDecoder == null) {
/*   79 */       this.mLongDecoder = new LongDecoder();
/*      */     }
/*   81 */     return this.mLongDecoder;
/*      */   }
/*      */ 
/*      */   public FloatDecoder getFloatDecoder()
/*      */   {
/*   86 */     if (this.mFloatDecoder == null) {
/*   87 */       this.mFloatDecoder = new FloatDecoder();
/*      */     }
/*   89 */     return this.mFloatDecoder;
/*      */   }
/*      */ 
/*      */   public DoubleDecoder getDoubleDecoder()
/*      */   {
/*   94 */     if (this.mDoubleDecoder == null) {
/*   95 */       this.mDoubleDecoder = new DoubleDecoder();
/*      */     }
/*   97 */     return this.mDoubleDecoder;
/*      */   }
/*      */ 
/*      */   public IntegerDecoder getIntegerDecoder()
/*      */   {
/*  102 */     return new IntegerDecoder();
/*      */   }
/*  104 */   public DecimalDecoder getDecimalDecoder() { return new DecimalDecoder(); }
/*      */ 
/*      */   public QNameDecoder getQNameDecoder(NamespaceContext paramNamespaceContext) {
/*  107 */     return new QNameDecoder(paramNamespaceContext);
/*      */   }
/*      */ 
/*      */   public IntArrayDecoder getIntArrayDecoder(int[] paramArrayOfInt, int paramInt1, int paramInt2)
/*      */   {
/*  123 */     return new IntArrayDecoder(paramArrayOfInt, paramInt1, paramInt2, getIntDecoder());
/*      */   }
/*      */ 
/*      */   public IntArrayDecoder getIntArrayDecoder()
/*      */   {
/*  133 */     return new IntArrayDecoder(getIntDecoder());
/*      */   }
/*      */ 
/*      */   public LongArrayDecoder getLongArrayDecoder(long[] paramArrayOfLong, int paramInt1, int paramInt2)
/*      */   {
/*  138 */     return new LongArrayDecoder(paramArrayOfLong, paramInt1, paramInt2, getLongDecoder());
/*      */   }
/*      */ 
/*      */   public LongArrayDecoder getLongArrayDecoder()
/*      */   {
/*  144 */     return new LongArrayDecoder(getLongDecoder());
/*      */   }
/*      */ 
/*      */   public FloatArrayDecoder getFloatArrayDecoder(float[] paramArrayOfFloat, int paramInt1, int paramInt2)
/*      */   {
/*  149 */     return new FloatArrayDecoder(paramArrayOfFloat, paramInt1, paramInt2, getFloatDecoder());
/*      */   }
/*      */ 
/*      */   public FloatArrayDecoder getFloatArrayDecoder()
/*      */   {
/*  155 */     return new FloatArrayDecoder(getFloatDecoder());
/*      */   }
/*      */ 
/*      */   public DoubleArrayDecoder getDoubleArrayDecoder(double[] paramArrayOfDouble, int paramInt1, int paramInt2)
/*      */   {
/*  160 */     return new DoubleArrayDecoder(paramArrayOfDouble, paramInt1, paramInt2, getDoubleDecoder());
/*      */   }
/*      */ 
/*      */   public DoubleArrayDecoder getDoubleArrayDecoder()
/*      */   {
/*  165 */     return new DoubleArrayDecoder(getDoubleDecoder());
/*      */   }
/*      */ 
/*      */   public static final class DoubleArrayDecoder extends ValueDecoderFactory.BaseArrayDecoder
/*      */   {
/*      */     double[] mResult;
/*      */     final ValueDecoderFactory.DoubleDecoder mDecoder;
/*      */ 
/*      */     public DoubleArrayDecoder(double[] paramArrayOfDouble, int paramInt1, int paramInt2, ValueDecoderFactory.DoubleDecoder paramDoubleDecoder)
/*      */     {
/* 1385 */       super(paramInt2);
/* 1386 */       this.mResult = paramArrayOfDouble;
/* 1387 */       this.mDecoder = paramDoubleDecoder;
/*      */     }
/*      */ 
/*      */     public DoubleArrayDecoder(ValueDecoderFactory.DoubleDecoder paramDoubleDecoder)
/*      */     {
/* 1392 */       super(40);
/* 1393 */       this.mResult = new double[40];
/* 1394 */       this.mDecoder = paramDoubleDecoder;
/*      */     }
/*      */ 
/*      */     public void expand()
/*      */     {
/* 1399 */       double[] arrayOfDouble = this.mResult;
/* 1400 */       int i = arrayOfDouble.length;
/* 1401 */       int j = calcNewSize(i);
/* 1402 */       this.mResult = new double[j];
/* 1403 */       System.arraycopy(arrayOfDouble, this.mStart, this.mResult, 0, i);
/* 1404 */       this.mStart = 0;
/* 1405 */       this.mEnd = j;
/*      */     }
/*      */ 
/*      */     public double[] getValues()
/*      */     {
/* 1410 */       double[] arrayOfDouble = new double[this.mCount];
/* 1411 */       System.arraycopy(this.mResult, this.mStart, arrayOfDouble, 0, this.mCount);
/* 1412 */       return arrayOfDouble;
/*      */     }
/*      */ 
/*      */     public boolean decodeValue(String paramString) throws IllegalArgumentException
/*      */     {
/* 1417 */       this.mDecoder.decode(paramString);
/* 1418 */       this.mResult[(this.mStart + this.mCount)] = this.mDecoder.getValue();
/* 1419 */       return ++this.mCount >= this.mEnd;
/*      */     }
/*      */ 
/*      */     public boolean decodeValue(char[] paramArrayOfChar, int paramInt1, int paramInt2) throws IllegalArgumentException
/*      */     {
/* 1424 */       this.mDecoder.decode(paramArrayOfChar, paramInt1, paramInt2);
/* 1425 */       this.mResult[(this.mStart + this.mCount)] = this.mDecoder.getValue();
/* 1426 */       return ++this.mCount >= this.mEnd;
/*      */     }
/*      */   }
/*      */ 
/*      */   public static final class FloatArrayDecoder extends ValueDecoderFactory.BaseArrayDecoder
/*      */   {
/*      */     float[] mResult;
/*      */     final ValueDecoderFactory.FloatDecoder mDecoder;
/*      */ 
/*      */     public FloatArrayDecoder(float[] paramArrayOfFloat, int paramInt1, int paramInt2, ValueDecoderFactory.FloatDecoder paramFloatDecoder)
/*      */     {
/* 1330 */       super(paramInt2);
/* 1331 */       this.mResult = paramArrayOfFloat;
/* 1332 */       this.mDecoder = paramFloatDecoder;
/*      */     }
/*      */ 
/*      */     public FloatArrayDecoder(ValueDecoderFactory.FloatDecoder paramFloatDecoder)
/*      */     {
/* 1337 */       super(40);
/* 1338 */       this.mResult = new float[40];
/* 1339 */       this.mDecoder = paramFloatDecoder;
/*      */     }
/*      */ 
/*      */     public void expand()
/*      */     {
/* 1344 */       float[] arrayOfFloat = this.mResult;
/* 1345 */       int i = arrayOfFloat.length;
/* 1346 */       int j = calcNewSize(i);
/* 1347 */       this.mResult = new float[j];
/* 1348 */       System.arraycopy(arrayOfFloat, this.mStart, this.mResult, 0, i);
/* 1349 */       this.mStart = 0;
/* 1350 */       this.mEnd = j;
/*      */     }
/*      */ 
/*      */     public float[] getValues()
/*      */     {
/* 1355 */       float[] arrayOfFloat = new float[this.mCount];
/* 1356 */       System.arraycopy(this.mResult, this.mStart, arrayOfFloat, 0, this.mCount);
/* 1357 */       return arrayOfFloat;
/*      */     }
/*      */ 
/*      */     public boolean decodeValue(String paramString) throws IllegalArgumentException
/*      */     {
/* 1362 */       this.mDecoder.decode(paramString);
/* 1363 */       this.mResult[(this.mStart + this.mCount)] = this.mDecoder.getValue();
/* 1364 */       return ++this.mCount >= this.mEnd;
/*      */     }
/*      */ 
/*      */     public boolean decodeValue(char[] paramArrayOfChar, int paramInt1, int paramInt2) throws IllegalArgumentException
/*      */     {
/* 1369 */       this.mDecoder.decode(paramArrayOfChar, paramInt1, paramInt2);
/* 1370 */       this.mResult[(this.mStart + this.mCount)] = this.mDecoder.getValue();
/* 1371 */       return ++this.mCount >= this.mEnd;
/*      */     }
/*      */   }
/*      */ 
/*      */   public static final class LongArrayDecoder extends ValueDecoderFactory.BaseArrayDecoder
/*      */   {
/*      */     long[] mResult;
/*      */     final ValueDecoderFactory.LongDecoder mDecoder;
/*      */ 
/*      */     public LongArrayDecoder(long[] paramArrayOfLong, int paramInt1, int paramInt2, ValueDecoderFactory.LongDecoder paramLongDecoder)
/*      */     {
/* 1275 */       super(paramInt2);
/* 1276 */       this.mResult = paramArrayOfLong;
/* 1277 */       this.mDecoder = paramLongDecoder;
/*      */     }
/*      */ 
/*      */     public LongArrayDecoder(ValueDecoderFactory.LongDecoder paramLongDecoder)
/*      */     {
/* 1282 */       super(40);
/* 1283 */       this.mResult = new long[40];
/* 1284 */       this.mDecoder = paramLongDecoder;
/*      */     }
/*      */ 
/*      */     public void expand()
/*      */     {
/* 1289 */       long[] arrayOfLong = this.mResult;
/* 1290 */       int i = arrayOfLong.length;
/* 1291 */       int j = calcNewSize(i);
/* 1292 */       this.mResult = new long[j];
/* 1293 */       System.arraycopy(arrayOfLong, this.mStart, this.mResult, 0, i);
/* 1294 */       this.mStart = 0;
/* 1295 */       this.mEnd = j;
/*      */     }
/*      */ 
/*      */     public long[] getValues()
/*      */     {
/* 1300 */       long[] arrayOfLong = new long[this.mCount];
/* 1301 */       System.arraycopy(this.mResult, this.mStart, arrayOfLong, 0, this.mCount);
/* 1302 */       return arrayOfLong;
/*      */     }
/*      */ 
/*      */     public boolean decodeValue(String paramString) throws IllegalArgumentException
/*      */     {
/* 1307 */       this.mDecoder.decode(paramString);
/* 1308 */       this.mResult[(this.mStart + this.mCount)] = this.mDecoder.getValue();
/* 1309 */       return ++this.mCount >= this.mEnd;
/*      */     }
/*      */ 
/*      */     public boolean decodeValue(char[] paramArrayOfChar, int paramInt1, int paramInt2) throws IllegalArgumentException
/*      */     {
/* 1314 */       this.mDecoder.decode(paramArrayOfChar, paramInt1, paramInt2);
/* 1315 */       this.mResult[(this.mStart + this.mCount)] = this.mDecoder.getValue();
/* 1316 */       return ++this.mCount >= this.mEnd;
/*      */     }
/*      */   }
/*      */ 
/*      */   public static final class IntArrayDecoder extends ValueDecoderFactory.BaseArrayDecoder
/*      */   {
/*      */     int[] mResult;
/*      */     final ValueDecoderFactory.IntDecoder mDecoder;
/*      */ 
/*      */     public IntArrayDecoder(int[] paramArrayOfInt, int paramInt1, int paramInt2, ValueDecoderFactory.IntDecoder paramIntDecoder)
/*      */     {
/* 1214 */       super(paramInt2);
/* 1215 */       this.mResult = paramArrayOfInt;
/* 1216 */       this.mDecoder = paramIntDecoder;
/*      */     }
/*      */ 
/*      */     public IntArrayDecoder(ValueDecoderFactory.IntDecoder paramIntDecoder)
/*      */     {
/* 1225 */       super(40);
/* 1226 */       this.mResult = new int[40];
/* 1227 */       this.mDecoder = paramIntDecoder;
/*      */     }
/*      */ 
/*      */     public void expand()
/*      */     {
/* 1232 */       int[] arrayOfInt = this.mResult;
/* 1233 */       int i = arrayOfInt.length;
/* 1234 */       int j = calcNewSize(i);
/* 1235 */       this.mResult = new int[j];
/* 1236 */       System.arraycopy(arrayOfInt, this.mStart, this.mResult, 0, i);
/* 1237 */       this.mStart = 0;
/* 1238 */       this.mEnd = j;
/*      */     }
/*      */ 
/*      */     public int[] getValues()
/*      */     {
/* 1243 */       int[] arrayOfInt = new int[this.mCount];
/*      */ 
/* 1245 */       System.arraycopy(this.mResult, this.mStart, arrayOfInt, 0, this.mCount);
/* 1246 */       return arrayOfInt;
/*      */     }
/*      */ 
/*      */     public boolean decodeValue(String paramString) throws IllegalArgumentException
/*      */     {
/* 1251 */       this.mDecoder.decode(paramString);
/* 1252 */       this.mResult[(this.mStart + this.mCount)] = this.mDecoder.getValue();
/* 1253 */       return ++this.mCount >= this.mEnd;
/*      */     }
/*      */ 
/*      */     public boolean decodeValue(char[] paramArrayOfChar, int paramInt1, int paramInt2) throws IllegalArgumentException
/*      */     {
/* 1258 */       this.mDecoder.decode(paramArrayOfChar, paramInt1, paramInt2);
/* 1259 */       this.mResult[(this.mStart + this.mCount)] = this.mDecoder.getValue();
/* 1260 */       return ++this.mCount >= this.mEnd;
/*      */     }
/*      */   }
/*      */ 
/*      */   public static abstract class BaseArrayDecoder extends TypedArrayDecoder
/*      */   {
/*      */     protected static final int INITIAL_RESULT_BUFFER_SIZE = 40;
/*      */     protected static final int SMALL_RESULT_BUFFER_SIZE = 4000;
/*      */     protected int mStart;
/*      */     protected int mEnd;
/* 1169 */     protected int mCount = 0;
/*      */ 
/*      */     protected BaseArrayDecoder(int paramInt1, int paramInt2)
/*      */     {
/* 1173 */       this.mStart = paramInt1;
/*      */ 
/* 1175 */       if (paramInt2 < 1) {
/* 1176 */         throw new IllegalArgumentException("Number of elements to read can not be less than 1");
/*      */       }
/* 1178 */       this.mEnd = paramInt2;
/*      */     }
/*      */     public final int getCount() {
/* 1181 */       return this.mCount; } 
/* 1182 */     public final boolean hasRoom() { return this.mCount < this.mEnd; }
/*      */ 
/*      */ 
/*      */     public abstract void expand();
/*      */ 
/*      */     protected int calcNewSize(int paramInt)
/*      */     {
/* 1193 */       if (paramInt < 4000) {
/* 1194 */         return paramInt << 2;
/*      */       }
/* 1196 */       return paramInt + paramInt;
/*      */     }
/*      */   }
/*      */ 
/*      */   public static final class QNameDecoder extends ValueDecoderFactory.DecoderBase
/*      */   {
/*      */     final NamespaceContext mNsCtxt;
/*      */     protected QName mValue;
/*      */ 
/*      */     public QNameDecoder(NamespaceContext paramNamespaceContext)
/*      */     {
/* 1077 */       this.mNsCtxt = paramNamespaceContext;
/*      */     }
/*      */     public String getType() {
/* 1080 */       return "QName";
/*      */     }
/* 1082 */     public QName getValue() { return this.mValue; }
/*      */ 
/*      */     public void decode(String paramString) throws IllegalArgumentException
/*      */     {
/* 1086 */       int i = paramString.indexOf(':');
/* 1087 */       if (i >= 0) {
/* 1088 */         this.mValue = resolveQName(paramString.substring(0, i), paramString.substring(i + 1));
/*      */       }
/*      */       else
/* 1091 */         this.mValue = resolveQName(paramString);
/*      */     }
/*      */ 
/*      */     public void decode(char[] paramArrayOfChar, int paramInt1, int paramInt2)
/*      */       throws IllegalArgumentException
/*      */     {
/* 1097 */       for (int i = paramInt1; 
/* 1098 */         i < paramInt2; i++) {
/* 1099 */         if (paramArrayOfChar[i] == ':') {
/* 1100 */           this.mValue = resolveQName(new String(paramArrayOfChar, paramInt1, i - paramInt1), new String(paramArrayOfChar, i + 1, paramInt2 - i - 1));
/*      */ 
/* 1102 */           return;
/*      */         }
/*      */       }
/* 1105 */       this.mValue = resolveQName(new String(paramArrayOfChar, paramInt1, paramInt2 - paramInt1));
/*      */     }
/*      */ 
/*      */     protected QName resolveQName(String paramString)
/*      */       throws IllegalArgumentException
/*      */     {
/* 1111 */       String str = this.mNsCtxt.getNamespaceURI("");
/* 1112 */       if (str == null) {
/* 1113 */         str = "";
/*      */       }
/* 1115 */       return new QName(str, paramString);
/*      */     }
/*      */ 
/*      */     protected QName resolveQName(String paramString1, String paramString2)
/*      */       throws IllegalArgumentException
/*      */     {
/* 1121 */       if ((paramString1.length() == 0) || (paramString2.length() == 0))
/*      */       {
/* 1123 */         throw constructInvalidValue(paramString1 + ":" + paramString2);
/*      */       }
/*      */ 
/* 1129 */       String str = this.mNsCtxt.getNamespaceURI(paramString1);
/* 1130 */       if ((str == null) || (str.length() == 0)) {
/* 1131 */         throw new IllegalArgumentException("Value \"" + lexicalDesc(new StringBuilder().append(paramString1).append(":").append(paramString2).toString()) + "\" not a valid QName: prefix '" + paramString1 + "' not bound to a namespace");
/*      */       }
/* 1133 */       return new QName(str, paramString2, paramString1);
/*      */     }
/*      */   }
/*      */ 
/*      */   public static final class DecimalDecoder extends ValueDecoderFactory.DecoderBase
/*      */   {
/*      */     protected BigDecimal mValue;
/*      */ 
/*      */     public String getType()
/*      */     {
/* 1040 */       return "decimal";
/*      */     }
/* 1042 */     public BigDecimal getValue() { return this.mValue; }
/*      */ 
/*      */     public void decode(String paramString) throws IllegalArgumentException
/*      */     {
/*      */       try {
/* 1047 */         this.mValue = new BigDecimal(paramString);
/*      */       } catch (NumberFormatException localNumberFormatException) {
/* 1049 */         throw constructInvalidValue(paramString);
/*      */       }
/*      */     }
/*      */ 
/*      */     public void decode(char[] paramArrayOfChar, int paramInt1, int paramInt2) throws IllegalArgumentException
/*      */     {
/* 1055 */       int i = paramInt2 - paramInt1;
/*      */       try
/*      */       {
/* 1062 */         this.mValue = new BigDecimal(new String(paramArrayOfChar, paramInt1, i));
/*      */       } catch (NumberFormatException localNumberFormatException) {
/* 1064 */         throw constructInvalidValue(new String(paramArrayOfChar, paramInt1, i));
/*      */       }
/*      */     }
/*      */   }
/*      */ 
/*      */   public static final class IntegerDecoder extends ValueDecoderFactory.DecoderBase
/*      */   {
/*      */     protected BigInteger mValue;
/*      */ 
/*      */     public String getType()
/*      */     {
/* 1009 */       return "integer";
/*      */     }
/* 1011 */     public BigInteger getValue() { return this.mValue; }
/*      */ 
/*      */     public void decode(String paramString) throws IllegalArgumentException
/*      */     {
/*      */       try {
/* 1016 */         this.mValue = new BigInteger(paramString);
/*      */       } catch (NumberFormatException localNumberFormatException) {
/* 1018 */         throw constructInvalidValue(paramString);
/*      */       }
/*      */     }
/*      */ 
/*      */     public void decode(char[] paramArrayOfChar, int paramInt1, int paramInt2) throws IllegalArgumentException
/*      */     {
/* 1024 */       String str = new String(paramArrayOfChar, paramInt1, paramInt2 - paramInt1);
/*      */       try {
/* 1026 */         this.mValue = new BigInteger(str);
/*      */       } catch (NumberFormatException localNumberFormatException) {
/* 1028 */         throw constructInvalidValue(str);
/*      */       }
/*      */     }
/*      */   }
/*      */ 
/*      */   public static final class DoubleDecoder extends ValueDecoderFactory.DecoderBase
/*      */   {
/*      */     protected double mValue;
/*      */ 
/*      */     public String getType()
/*      */     {
/*  914 */       return "double";
/*      */     }
/*  916 */     public double getValue() { return this.mValue; }
/*      */ 
/*      */ 
/*      */     public void decode(String paramString)
/*      */       throws IllegalArgumentException
/*      */     {
/*  924 */       int i = paramString.length();
/*      */       int j;
/*  925 */       if (i == 3) {
/*  926 */         j = paramString.charAt(0);
/*  927 */         if (j == 73) {
/*  928 */           if ((paramString.charAt(1) == 'N') && (paramString.charAt(2) == 'F')) {
/*  929 */             this.mValue = (1.0D / 0.0D);
/*      */           }
/*      */         }
/*  932 */         else if ((j == 78) && 
/*  933 */           (paramString.charAt(1) == 'a') && (paramString.charAt(2) == 'N')) {
/*  934 */           this.mValue = (0.0D / 0.0D);
/*  935 */           return;
/*      */         }
/*      */       }
/*  938 */       else if (i == 4) {
/*  939 */         j = paramString.charAt(0);
/*  940 */         if ((j == 45) && 
/*  941 */           (paramString.charAt(1) == 'I') && (paramString.charAt(2) == 'N') && (paramString.charAt(3) == 'F'))
/*      */         {
/*  944 */           this.mValue = (-1.0D / 0.0D);
/*  945 */           return;
/*      */         }
/*      */       }
/*      */ 
/*      */       try
/*      */       {
/*  951 */         this.mValue = Double.parseDouble(paramString);
/*      */       } catch (NumberFormatException localNumberFormatException) {
/*  953 */         throw constructInvalidValue(paramString);
/*      */       }
/*      */     }
/*      */ 
/*      */     public void decode(char[] paramArrayOfChar, int paramInt1, int paramInt2)
/*      */       throws IllegalArgumentException
/*      */     {
/*  960 */       int i = paramInt2 - paramInt1;
/*      */       int j;
/*  962 */       if (i == 3) {
/*  963 */         j = paramArrayOfChar[paramInt1];
/*  964 */         if (j == 73) {
/*  965 */           if ((paramArrayOfChar[(paramInt1 + 1)] == 'N') && (paramArrayOfChar[(paramInt1 + 2)] == 'F')) {
/*  966 */             this.mValue = (1.0D / 0.0D);
/*      */           }
/*      */         }
/*  969 */         else if ((j == 78) && 
/*  970 */           (paramArrayOfChar[(paramInt1 + 1)] == 'a') && (paramArrayOfChar[(paramInt1 + 2)] == 'N')) {
/*  971 */           this.mValue = (0.0D / 0.0D);
/*  972 */           return;
/*      */         }
/*      */       }
/*  975 */       else if (i == 4) {
/*  976 */         j = paramArrayOfChar[paramInt1];
/*  977 */         if ((j == 45) && 
/*  978 */           (paramArrayOfChar[(paramInt1 + 1)] == 'I') && (paramArrayOfChar[(paramInt1 + 2)] == 'N') && (paramArrayOfChar[(paramInt1 + 3)] == 'F'))
/*      */         {
/*  981 */           this.mValue = (-1.0D / 0.0D);
/*  982 */           return;
/*      */         }
/*      */ 
/*      */       }
/*      */ 
/*  987 */       String str = new String(paramArrayOfChar, paramInt1, i);
/*      */       try {
/*  989 */         this.mValue = Double.parseDouble(str);
/*      */       } catch (NumberFormatException localNumberFormatException) {
/*  991 */         throw constructInvalidValue(str);
/*      */       }
/*      */     }
/*      */   }
/*      */ 
/*      */   public static final class FloatDecoder extends ValueDecoderFactory.DecoderBase
/*      */   {
/*      */     protected float mValue;
/*      */ 
/*      */     public String getType()
/*      */     {
/*  825 */       return "float";
/*      */     }
/*  827 */     public float getValue() { return this.mValue; }
/*      */ 
/*      */ 
/*      */     public void decode(String paramString)
/*      */       throws IllegalArgumentException
/*      */     {
/*  835 */       int i = paramString.length();
/*      */       int j;
/*  836 */       if (i == 3) {
/*  837 */         j = paramString.charAt(0);
/*  838 */         if (j == 73) {
/*  839 */           if ((paramString.charAt(1) == 'N') && (paramString.charAt(2) == 'F')) {
/*  840 */             this.mValue = (1.0F / 1.0F);
/*      */           }
/*      */         }
/*  843 */         else if ((j == 78) && 
/*  844 */           (paramString.charAt(1) == 'a') && (paramString.charAt(2) == 'N')) {
/*  845 */           this.mValue = (0.0F / 0.0F);
/*  846 */           return;
/*      */         }
/*      */       }
/*  849 */       else if (i == 4) {
/*  850 */         j = paramString.charAt(0);
/*  851 */         if ((j == 45) && 
/*  852 */           (paramString.charAt(1) == 'I') && (paramString.charAt(2) == 'N') && (paramString.charAt(3) == 'F'))
/*      */         {
/*  855 */           this.mValue = (1.0F / -1.0F);
/*  856 */           return;
/*      */         }
/*      */       }
/*      */ 
/*      */       try
/*      */       {
/*  862 */         this.mValue = Float.parseFloat(paramString);
/*      */       } catch (NumberFormatException localNumberFormatException) {
/*  864 */         throw constructInvalidValue(paramString);
/*      */       }
/*      */     }
/*      */ 
/*      */     public void decode(char[] paramArrayOfChar, int paramInt1, int paramInt2)
/*      */       throws IllegalArgumentException
/*      */     {
/*  871 */       int i = paramInt2 - paramInt1;
/*      */       int j;
/*  873 */       if (i == 3) {
/*  874 */         j = paramArrayOfChar[paramInt1];
/*  875 */         if (j == 73) {
/*  876 */           if ((paramArrayOfChar[(paramInt1 + 1)] == 'N') && (paramArrayOfChar[(paramInt1 + 2)] == 'F')) {
/*  877 */             this.mValue = (1.0F / 1.0F);
/*      */           }
/*      */         }
/*  880 */         else if ((j == 78) && 
/*  881 */           (paramArrayOfChar[(paramInt1 + 1)] == 'a') && (paramArrayOfChar[(paramInt1 + 2)] == 'N')) {
/*  882 */           this.mValue = (0.0F / 0.0F);
/*  883 */           return;
/*      */         }
/*      */       }
/*  886 */       else if (i == 4) {
/*  887 */         j = paramArrayOfChar[paramInt1];
/*  888 */         if ((j == 45) && 
/*  889 */           (paramArrayOfChar[(paramInt1 + 1)] == 'I') && (paramArrayOfChar[(paramInt1 + 2)] == 'N') && (paramArrayOfChar[(paramInt1 + 3)] == 'F'))
/*      */         {
/*  892 */           this.mValue = (1.0F / -1.0F);
/*  893 */           return;
/*      */         }
/*      */ 
/*      */       }
/*      */ 
/*  898 */       String str = new String(paramArrayOfChar, paramInt1, i);
/*      */       try {
/*  900 */         this.mValue = Float.parseFloat(str);
/*      */       } catch (NumberFormatException localNumberFormatException) {
/*  902 */         throw constructInvalidValue(str);
/*      */       }
/*      */     }
/*      */   }
/*      */ 
/*      */   public static final class LongDecoder extends ValueDecoderFactory.DecoderBase
/*      */   {
/*      */     protected long mValue;
/*      */ 
/*      */     public String getType()
/*      */     {
/*  705 */       return "long";
/*      */     }
/*  707 */     public long getValue() { return this.mValue; }
/*      */ 
/*      */     public void decode(String paramString)
/*      */       throws IllegalArgumentException
/*      */     {
/*  712 */       int i = paramString.length();
/*  713 */       char c = paramString.charAt(0);
/*  714 */       boolean bool = c == '-';
/*      */       int j;
/*  717 */       if ((bool) || (c == '+'))
/*  718 */         j = skipSignAndZeroes(paramString, c, true, i);
/*      */       else {
/*  720 */         j = skipSignAndZeroes(paramString, c, false, i);
/*      */       }
/*  722 */       int k = this.mNextPtr;
/*      */ 
/*  725 */       int m = i - k;
/*  726 */       if (m == 0) {
/*  727 */         this.mValue = (bool ? -j : j);
/*  728 */         return;
/*      */       }
/*  730 */       verifyDigits(paramString, k, i);
/*      */ 
/*  733 */       if (m <= 8) {
/*  734 */         int n = parseInt(j, paramString, k, k + m);
/*  735 */         this.mValue = (bool ? -n : n);
/*  736 */         return;
/*      */       }
/*      */ 
/*  739 */       k--;
/*  740 */       m++;
/*      */ 
/*  743 */       if (m <= 18) {
/*  744 */         long l = parseLong(paramString, k, k + m);
/*  745 */         this.mValue = (bool ? -l : l);
/*  746 */         return;
/*      */       }
/*      */ 
/*  752 */       this.mValue = parseUsingBD(paramString.substring(k, k + m), bool);
/*      */     }
/*      */ 
/*      */     public void decode(char[] paramArrayOfChar, int paramInt1, int paramInt2)
/*      */       throws IllegalArgumentException
/*      */     {
/*  758 */       char c = paramArrayOfChar[paramInt1];
/*  759 */       boolean bool = c == '-';
/*      */       int i;
/*  762 */       if ((bool) || (c == '+'))
/*  763 */         i = skipSignAndZeroes(paramArrayOfChar, c, true, paramInt1, paramInt2);
/*      */       else {
/*  765 */         i = skipSignAndZeroes(paramArrayOfChar, c, false, paramInt1, paramInt2);
/*      */       }
/*  767 */       int j = this.mNextPtr;
/*      */ 
/*  770 */       int k = paramInt2 - j;
/*  771 */       if (k == 0) {
/*  772 */         this.mValue = (bool ? -i : i);
/*  773 */         return;
/*      */       }
/*  775 */       verifyDigits(paramArrayOfChar, paramInt1, paramInt2, j);
/*      */ 
/*  778 */       if (k <= 8) {
/*  779 */         int m = parseInt(i, paramArrayOfChar, j, j + k);
/*  780 */         this.mValue = (bool ? -m : m);
/*  781 */         return;
/*      */       }
/*      */ 
/*  784 */       j--;
/*  785 */       k++;
/*      */ 
/*  788 */       if (k <= 18) {
/*  789 */         long l = parseLong(paramArrayOfChar, j, j + k);
/*  790 */         this.mValue = (bool ? -l : l);
/*  791 */         return;
/*      */       }
/*      */ 
/*  795 */       this.mValue = parseUsingBD(new String(paramArrayOfChar, j, k), bool);
/*      */     }
/*      */ 
/*      */     private long parseUsingBD(String paramString, boolean paramBoolean)
/*      */     {
/*  800 */       BigInteger localBigInteger = new BigInteger(paramString);
/*      */ 
/*  803 */       if (paramBoolean) {
/*  804 */         localBigInteger = localBigInteger.negate();
/*  805 */         if (localBigInteger.compareTo(BD_MIN_LONG) >= 0) {
/*  806 */           return localBigInteger.longValue();
/*      */         }
/*      */       }
/*  809 */       else if (localBigInteger.compareTo(BD_MAX_LONG) <= 0) {
/*  810 */         return localBigInteger.longValue();
/*      */       }
/*      */ 
/*  814 */       throw new IllegalArgumentException("value \"" + lexicalDesc(paramString) + "\" not a valid long: overflow.");
/*      */     }
/*      */   }
/*      */ 
/*      */   public static final class IntDecoder extends ValueDecoderFactory.DecoderBase
/*      */   {
/*      */     protected int mValue;
/*      */ 
/*      */     public String getType()
/*      */     {
/*  586 */       return "int";
/*      */     }
/*  588 */     public int getValue() { return this.mValue; }
/*      */ 
/*      */     public void decode(String paramString)
/*      */       throws IllegalArgumentException
/*      */     {
/*  593 */       int i = paramString.length();
/*  594 */       char c = paramString.charAt(0);
/*  595 */       int j = c == '-' ? 1 : 0;
/*      */       int k;
/*  598 */       if ((j != 0) || (c == '+'))
/*  599 */         k = skipSignAndZeroes(paramString, c, true, i);
/*      */       else {
/*  601 */         k = skipSignAndZeroes(paramString, c, false, i);
/*      */       }
/*  603 */       int m = this.mNextPtr;
/*      */ 
/*  606 */       int n = i - m;
/*  607 */       if (n == 0) {
/*  608 */         this.mValue = (j != 0 ? -k : k);
/*  609 */         return;
/*      */       }
/*  611 */       verifyDigits(paramString, m, i);
/*      */ 
/*  613 */       if (n <= 8) {
/*  614 */         int i1 = parseInt(k, paramString, m, m + n);
/*  615 */         this.mValue = (j != 0 ? -i1 : i1);
/*  616 */         return;
/*      */       }
/*      */ 
/*  620 */       if ((n == 9) && (k < 3)) {
/*  621 */         long l1 = 1000000000L;
/*  622 */         if (k == 2) {
/*  623 */           l1 += 1000000000L;
/*      */         }
/*  625 */         int i2 = parseInt(paramString, m, m + n);
/*  626 */         long l2 = l1 + i2;
/*  627 */         if (j != 0) {
/*  628 */           l2 = -l2;
/*  629 */           if (l2 >= -2147483648L) {
/*  630 */             this.mValue = ((int)l2);
/*      */           }
/*      */ 
/*      */         }
/*  634 */         else if (l2 <= 2147483647L) {
/*  635 */           this.mValue = ((int)l2);
/*  636 */           return;
/*      */         }
/*      */       }
/*      */ 
/*  640 */       throw new IllegalArgumentException("value \"" + lexicalDesc(paramString) + "\" not a valid 32-bit integer: overflow.");
/*      */     }
/*      */ 
/*      */     public void decode(char[] paramArrayOfChar, int paramInt1, int paramInt2)
/*      */       throws IllegalArgumentException
/*      */     {
/*  647 */       char c = paramArrayOfChar[paramInt1];
/*  648 */       int i = c == '-' ? 1 : 0;
/*      */       int j;
/*  651 */       if ((i != 0) || (c == '+'))
/*  652 */         j = skipSignAndZeroes(paramArrayOfChar, c, true, paramInt1, paramInt2);
/*      */       else {
/*  654 */         j = skipSignAndZeroes(paramArrayOfChar, c, false, paramInt1, paramInt2);
/*      */       }
/*  656 */       int k = this.mNextPtr;
/*      */ 
/*  659 */       int m = paramInt2 - k;
/*  660 */       if (m == 0) {
/*  661 */         this.mValue = (i != 0 ? -j : j);
/*  662 */         return;
/*      */       }
/*  664 */       verifyDigits(paramArrayOfChar, paramInt1, paramInt2, k);
/*      */ 
/*  667 */       if (m <= 8) {
/*  668 */         int n = parseInt(j, paramArrayOfChar, k, k + m);
/*  669 */         this.mValue = (i != 0 ? -n : n);
/*  670 */         return;
/*      */       }
/*      */ 
/*  674 */       if ((m == 9) && (j < 3)) {
/*  675 */         long l1 = 1000000000L;
/*  676 */         if (j == 2) {
/*  677 */           l1 += 1000000000L;
/*      */         }
/*  679 */         int i1 = parseInt(paramArrayOfChar, k, k + m);
/*  680 */         long l2 = l1 + i1;
/*  681 */         if (i != 0) {
/*  682 */           l2 = -l2;
/*  683 */           if (l2 >= -2147483648L) {
/*  684 */             this.mValue = ((int)l2);
/*      */           }
/*      */ 
/*      */         }
/*  688 */         else if (l2 <= 2147483647L) {
/*  689 */           this.mValue = ((int)l2);
/*  690 */           return;
/*      */         }
/*      */       }
/*      */ 
/*  694 */       throw new IllegalArgumentException("value \"" + lexicalDesc(paramArrayOfChar, paramInt1, paramInt2) + "\" not a valid 32-bit integer: overflow.");
/*      */     }
/*      */   }
/*      */ 
/*      */   public static final class BooleanDecoder extends ValueDecoderFactory.DecoderBase
/*      */   {
/*      */     protected boolean mValue;
/*      */ 
/*      */     public String getType()
/*      */     {
/*  501 */       return "boolean";
/*      */     }
/*  503 */     public boolean getValue() { return this.mValue; }
/*      */ 
/*      */     public void decode(String paramString)
/*      */       throws IllegalArgumentException
/*      */     {
/*  508 */       int i = paramString.length();
/*  509 */       int j = paramString.charAt(0);
/*  510 */       if (j == 116) {
/*  511 */         if ((i == 4) && (paramString.charAt(1) == 'r') && (paramString.charAt(2) == 'u') && (paramString.charAt(3) == 'e'))
/*      */         {
/*  515 */           this.mValue = true;
/*      */         }
/*      */       }
/*  518 */       else if (j == 102) {
/*  519 */         if ((i == 5) && (paramString.charAt(1) == 'a') && (paramString.charAt(2) == 'l') && (paramString.charAt(3) == 's') && (paramString.charAt(4) == 'e'))
/*      */         {
/*  524 */           this.mValue = false;
/*      */         }
/*      */       }
/*  527 */       else if (j == 48) {
/*  528 */         if (i == 1) {
/*  529 */           this.mValue = false;
/*      */         }
/*      */       }
/*  532 */       else if ((j == 49) && 
/*  533 */         (i == 1)) {
/*  534 */         this.mValue = true;
/*  535 */         return;
/*      */       }
/*      */ 
/*  538 */       throw constructInvalidValue(paramString);
/*      */     }
/*      */ 
/*      */     public void decode(char[] paramArrayOfChar, int paramInt1, int paramInt2)
/*      */       throws IllegalArgumentException
/*      */     {
/*  545 */       int i = paramInt2 - paramInt1;
/*  546 */       int j = paramArrayOfChar[paramInt1];
/*  547 */       if (j == 116) {
/*  548 */         if ((i == 4) && (paramArrayOfChar[(paramInt1 + 1)] == 'r') && (paramArrayOfChar[(paramInt1 + 2)] == 'u') && (paramArrayOfChar[(paramInt1 + 3)] == 'e'))
/*      */         {
/*  552 */           this.mValue = true;
/*      */         }
/*      */       }
/*  555 */       else if (j == 102) {
/*  556 */         if ((i == 5) && (paramArrayOfChar[(paramInt1 + 1)] == 'a') && (paramArrayOfChar[(paramInt1 + 2)] == 'l') && (paramArrayOfChar[(paramInt1 + 3)] == 's') && (paramArrayOfChar[(paramInt1 + 4)] == 'e'))
/*      */         {
/*  561 */           this.mValue = false;
/*      */         }
/*      */       }
/*  564 */       else if (j == 48) {
/*  565 */         if (i == 1) {
/*  566 */           this.mValue = false;
/*      */         }
/*      */       }
/*  569 */       else if ((j == 49) && 
/*  570 */         (i == 1)) {
/*  571 */         this.mValue = true;
/*  572 */         return;
/*      */       }
/*      */ 
/*  575 */       throw constructInvalidValue(paramArrayOfChar, paramInt1, paramInt2);
/*      */     }
/*      */   }
/*      */ 
/*      */   public static abstract class DecoderBase extends TypedValueDecoder
/*      */   {
/*      */     static final long L_BILLION = 1000000000L;
/*      */     static final long L_MAX_INT = 2147483647L;
/*      */     static final long L_MIN_INT = -2147483648L;
/*  187 */     static final BigInteger BD_MIN_LONG = BigInteger.valueOf(-9223372036854775808L);
/*  188 */     static final BigInteger BD_MAX_LONG = BigInteger.valueOf(9223372036854775807L);
/*      */     protected int mNextPtr;
/*      */ 
/*      */     public abstract String getType();
/*      */ 
/*      */     public void handleEmptyValue()
/*      */     {
/*  209 */       throw new IllegalArgumentException("Empty value (all white space) not a valid lexical representation of " + getType());
/*      */     }
/*      */ 
/*      */     protected void verifyDigits(String paramString, int paramInt1, int paramInt2)
/*      */     {
/*  224 */       for (; paramInt1 < paramInt2; paramInt1++) {
/*  225 */         int i = paramString.charAt(paramInt1);
/*  226 */         if ((i > 57) || (i < 48))
/*  227 */           throw constructInvalidValue(paramString);
/*      */       }
/*      */     }
/*      */ 
/*      */     protected void verifyDigits(char[] paramArrayOfChar, int paramInt1, int paramInt2, int paramInt3)
/*      */     {
/*  234 */       for (; paramInt3 < paramInt2; paramInt3++) {
/*  235 */         int i = paramArrayOfChar[paramInt3];
/*  236 */         if ((i > 57) || (i < 48))
/*  237 */           throw constructInvalidValue(paramArrayOfChar, paramInt1, paramInt2);
/*      */       }
/*      */     }
/*      */ 
/*      */     protected int skipSignAndZeroes(String paramString, char paramChar, boolean paramBoolean, int paramInt)
/*      */     {
/*      */       int i;
/*  250 */       if (paramBoolean) {
/*  251 */         i = 1;
/*  252 */         if (i >= paramInt) {
/*  253 */           throw constructInvalidValue(paramString);
/*      */         }
/*  255 */         paramChar = paramString.charAt(i++);
/*      */       } else {
/*  257 */         i = 1;
/*      */       }
/*      */ 
/*  261 */       int j = paramChar - '0';
/*  262 */       if ((j < 0) || (j > 9)) {
/*  263 */         throw constructInvalidValue(paramString);
/*      */       }
/*      */ 
/*  267 */       while ((j == 0) && (i < paramInt)) {
/*  268 */         int k = paramString.charAt(i) - '0';
/*  269 */         if ((k < 0) || (k > 9)) {
/*      */           break;
/*      */         }
/*  272 */         i++;
/*  273 */         j = k;
/*      */       }
/*  275 */       this.mNextPtr = i;
/*  276 */       return j;
/*      */     }
/*      */ 
/*      */     protected int skipSignAndZeroes(char[] paramArrayOfChar, char paramChar, boolean paramBoolean, int paramInt1, int paramInt2)
/*      */     {
/*  281 */       int i = paramInt1 + 1;
/*  282 */       if (paramBoolean) {
/*  283 */         if (i >= paramInt2) {
/*  284 */           throw constructInvalidValue(paramArrayOfChar, paramInt1, paramInt2);
/*      */         }
/*  286 */         paramChar = paramArrayOfChar[(i++)];
/*      */       }
/*      */ 
/*  290 */       int j = paramChar - '0';
/*  291 */       if ((j < 0) || (j > 9)) {
/*  292 */         throw constructInvalidValue(paramArrayOfChar, paramInt1, paramInt2);
/*      */       }
/*      */ 
/*  296 */       while ((j == 0) && (i < paramInt2)) {
/*  297 */         int k = paramArrayOfChar[i] - '0';
/*  298 */         if ((k < 0) || (k > 9)) {
/*      */           break;
/*      */         }
/*  301 */         i++;
/*  302 */         j = k;
/*      */       }
/*  304 */       this.mNextPtr = i;
/*  305 */       return j;
/*      */     }
/*      */ 
/*      */     protected static final int parseInt(char[] paramArrayOfChar, int paramInt1, int paramInt2)
/*      */     {
/*  326 */       int i = paramArrayOfChar[paramInt1] - '0';
/*  327 */       paramInt1++; if (paramInt1 < paramInt2) {
/*  328 */         i = i * 10 + (paramArrayOfChar[paramInt1] - '0');
/*  329 */         paramInt1++; if (paramInt1 < paramInt2) {
/*  330 */           i = i * 10 + (paramArrayOfChar[paramInt1] - '0');
/*  331 */           paramInt1++; if (paramInt1 < paramInt2) {
/*  332 */             i = i * 10 + (paramArrayOfChar[paramInt1] - '0');
/*  333 */             paramInt1++; if (paramInt1 < paramInt2) {
/*  334 */               i = i * 10 + (paramArrayOfChar[paramInt1] - '0');
/*  335 */               paramInt1++; if (paramInt1 < paramInt2) {
/*  336 */                 i = i * 10 + (paramArrayOfChar[paramInt1] - '0');
/*  337 */                 paramInt1++; if (paramInt1 < paramInt2) {
/*  338 */                   i = i * 10 + (paramArrayOfChar[paramInt1] - '0');
/*  339 */                   paramInt1++; if (paramInt1 < paramInt2) {
/*  340 */                     i = i * 10 + (paramArrayOfChar[paramInt1] - '0');
/*  341 */                     paramInt1++; if (paramInt1 < paramInt2) {
/*  342 */                       i = i * 10 + (paramArrayOfChar[paramInt1] - '0');
/*      */                     }
/*      */                   }
/*      */                 }
/*      */               }
/*      */             }
/*      */           }
/*      */         }
/*      */       }
/*  351 */       return i;
/*      */     }
/*      */ 
/*      */     protected static final int parseInt(int paramInt1, char[] paramArrayOfChar, int paramInt2, int paramInt3)
/*      */     {
/*  356 */       paramInt1 = paramInt1 * 10 + (paramArrayOfChar[paramInt2] - '0');
/*  357 */       paramInt2++; if (paramInt2 < paramInt3) {
/*  358 */         paramInt1 = paramInt1 * 10 + (paramArrayOfChar[paramInt2] - '0');
/*  359 */         paramInt2++; if (paramInt2 < paramInt3) {
/*  360 */           paramInt1 = paramInt1 * 10 + (paramArrayOfChar[paramInt2] - '0');
/*  361 */           paramInt2++; if (paramInt2 < paramInt3) {
/*  362 */             paramInt1 = paramInt1 * 10 + (paramArrayOfChar[paramInt2] - '0');
/*  363 */             paramInt2++; if (paramInt2 < paramInt3) {
/*  364 */               paramInt1 = paramInt1 * 10 + (paramArrayOfChar[paramInt2] - '0');
/*  365 */               paramInt2++; if (paramInt2 < paramInt3) {
/*  366 */                 paramInt1 = paramInt1 * 10 + (paramArrayOfChar[paramInt2] - '0');
/*  367 */                 paramInt2++; if (paramInt2 < paramInt3) {
/*  368 */                   paramInt1 = paramInt1 * 10 + (paramArrayOfChar[paramInt2] - '0');
/*  369 */                   paramInt2++; if (paramInt2 < paramInt3) {
/*  370 */                     paramInt1 = paramInt1 * 10 + (paramArrayOfChar[paramInt2] - '0');
/*      */                   }
/*      */                 }
/*      */               }
/*      */             }
/*      */           }
/*      */         }
/*      */       }
/*  378 */       return paramInt1;
/*      */     }
/*      */ 
/*      */     protected static final int parseInt(String paramString, int paramInt1, int paramInt2)
/*      */     {
/*  383 */       int i = paramString.charAt(paramInt1) - '0';
/*  384 */       paramInt1++; if (paramInt1 < paramInt2) {
/*  385 */         i = i * 10 + (paramString.charAt(paramInt1) - '0');
/*  386 */         paramInt1++; if (paramInt1 < paramInt2) {
/*  387 */           i = i * 10 + (paramString.charAt(paramInt1) - '0');
/*  388 */           paramInt1++; if (paramInt1 < paramInt2) {
/*  389 */             i = i * 10 + (paramString.charAt(paramInt1) - '0');
/*  390 */             paramInt1++; if (paramInt1 < paramInt2) {
/*  391 */               i = i * 10 + (paramString.charAt(paramInt1) - '0');
/*  392 */               paramInt1++; if (paramInt1 < paramInt2) {
/*  393 */                 i = i * 10 + (paramString.charAt(paramInt1) - '0');
/*  394 */                 paramInt1++; if (paramInt1 < paramInt2) {
/*  395 */                   i = i * 10 + (paramString.charAt(paramInt1) - '0');
/*  396 */                   paramInt1++; if (paramInt1 < paramInt2) {
/*  397 */                     i = i * 10 + (paramString.charAt(paramInt1) - '0');
/*  398 */                     paramInt1++; if (paramInt1 < paramInt2) {
/*  399 */                       i = i * 10 + (paramString.charAt(paramInt1) - '0');
/*      */                     }
/*      */                   }
/*      */                 }
/*      */               }
/*      */             }
/*      */           }
/*      */         }
/*      */       }
/*  408 */       return i;
/*      */     }
/*      */ 
/*      */     protected static final int parseInt(int paramInt1, String paramString, int paramInt2, int paramInt3)
/*      */     {
/*  413 */       paramInt1 = paramInt1 * 10 + (paramString.charAt(paramInt2) - '0');
/*  414 */       paramInt2++; if (paramInt2 < paramInt3) {
/*  415 */         paramInt1 = paramInt1 * 10 + (paramString.charAt(paramInt2) - '0');
/*  416 */         paramInt2++; if (paramInt2 < paramInt3) {
/*  417 */           paramInt1 = paramInt1 * 10 + (paramString.charAt(paramInt2) - '0');
/*  418 */           paramInt2++; if (paramInt2 < paramInt3) {
/*  419 */             paramInt1 = paramInt1 * 10 + (paramString.charAt(paramInt2) - '0');
/*  420 */             paramInt2++; if (paramInt2 < paramInt3) {
/*  421 */               paramInt1 = paramInt1 * 10 + (paramString.charAt(paramInt2) - '0');
/*  422 */               paramInt2++; if (paramInt2 < paramInt3) {
/*  423 */                 paramInt1 = paramInt1 * 10 + (paramString.charAt(paramInt2) - '0');
/*  424 */                 paramInt2++; if (paramInt2 < paramInt3) {
/*  425 */                   paramInt1 = paramInt1 * 10 + (paramString.charAt(paramInt2) - '0');
/*  426 */                   paramInt2++; if (paramInt2 < paramInt3) {
/*  427 */                     paramInt1 = paramInt1 * 10 + (paramString.charAt(paramInt2) - '0');
/*      */                   }
/*      */                 }
/*      */               }
/*      */             }
/*      */           }
/*      */         }
/*      */       }
/*  435 */       return paramInt1;
/*      */     }
/*      */ 
/*      */     protected static final long parseLong(char[] paramArrayOfChar, int paramInt1, int paramInt2)
/*      */     {
/*  441 */       int i = paramInt2 - 9;
/*  442 */       long l = parseInt(paramArrayOfChar, paramInt1, i) * 1000000000L;
/*  443 */       return l + parseInt(paramArrayOfChar, i, paramInt2);
/*      */     }
/*      */ 
/*      */     protected static final long parseLong(String paramString, int paramInt1, int paramInt2)
/*      */     {
/*  449 */       int i = paramInt2 - 9;
/*  450 */       long l = parseInt(paramString, paramInt1, i) * 1000000000L;
/*  451 */       return l + parseInt(paramString, i, paramInt2);
/*      */     }
/*      */ 
/*      */     protected IllegalArgumentException constructInvalidValue(String paramString)
/*      */     {
/*  463 */       return new IllegalArgumentException("Value \"" + paramString + "\" not a valid lexical representation of " + getType());
/*      */     }
/*      */ 
/*      */     protected IllegalArgumentException constructInvalidValue(char[] paramArrayOfChar, int paramInt1, int paramInt2)
/*      */     {
/*  468 */       return new IllegalArgumentException("Value \"" + lexicalDesc(paramArrayOfChar, paramInt1, paramInt2) + "\" not a valid lexical representation of " + getType());
/*      */     }
/*      */ 
/*      */     protected String lexicalDesc(char[] paramArrayOfChar, int paramInt1, int paramInt2)
/*      */     {
/*  473 */       return _clean(new String(paramArrayOfChar, paramInt1, paramInt2 - paramInt1));
/*      */     }
/*      */ 
/*      */     protected String lexicalDesc(String paramString)
/*      */     {
/*  478 */       return _clean(paramString);
/*      */     }
/*      */ 
/*      */     protected String _clean(String paramString)
/*      */     {
/*  484 */       return paramString.trim();
/*      */     }
/*      */   }
/*      */ }

/* Location:           C:\Program Files\NetApp\Snap_Creator_Framework\scServer4.1.2\engine\work\jetty-0.0.0.0-8443-ui.war-_ui-any-\webapp\WEB-INF\lib\stax2-api-3.1.4.jar
 * Qualified Name:     org.codehaus.stax2.ri.typed.ValueDecoderFactory
 * JD-Core Version:    0.6.2
 */