/*     */ package org.codehaus.stax2.typed;
/*     */ 
/*     */ import java.util.Arrays;
/*     */ 
/*     */ public final class Base64Variant
/*     */ {
/*     */   static final char PADDING_CHAR_NONE = '\000';
/*     */   public static final int BASE64_VALUE_INVALID = -1;
/*     */   public static final int BASE64_VALUE_PADDING = -2;
/*  69 */   private final int[] _asciiToBase64 = new int[''];
/*     */ 
/*  75 */   private final char[] _base64ToAsciiC = new char[64];
/*     */ 
/*  81 */   private final byte[] _base64ToAsciiB = new byte[64];
/*     */   final String _name;
/*     */   final boolean _usesPadding;
/*     */   final char _paddingChar;
/*     */   final int _maxLineLength;
/*     */ 
/*     */   public Base64Variant(String paramString1, String paramString2, boolean paramBoolean, char paramChar, int paramInt)
/*     */   {
/* 122 */     this._name = paramString1;
/* 123 */     this._usesPadding = paramBoolean;
/* 124 */     this._paddingChar = paramChar;
/* 125 */     this._maxLineLength = paramInt;
/*     */ 
/* 130 */     int i = paramString2.length();
/* 131 */     if (i != 64) {
/* 132 */       throw new IllegalArgumentException("Base64Alphabet length must be exactly 64 (was " + i + ")");
/*     */     }
/*     */ 
/* 136 */     paramString2.getChars(0, i, this._base64ToAsciiC, 0);
/* 137 */     Arrays.fill(this._asciiToBase64, -1);
/* 138 */     for (int j = 0; j < i; j++) {
/* 139 */       int k = this._base64ToAsciiC[j];
/* 140 */       this._base64ToAsciiB[j] = ((byte)k);
/* 141 */       this._asciiToBase64[k] = j;
/*     */     }
/*     */ 
/* 145 */     if (paramBoolean)
/* 146 */       this._asciiToBase64[paramChar] = -2;
/*     */   }
/*     */ 
/*     */   public Base64Variant(Base64Variant paramBase64Variant, String paramString, int paramInt)
/*     */   {
/* 157 */     this(paramBase64Variant, paramString, paramBase64Variant._usesPadding, paramBase64Variant._paddingChar, paramInt);
/*     */   }
/*     */ 
/*     */   public Base64Variant(Base64Variant paramBase64Variant, String paramString, boolean paramBoolean, char paramChar, int paramInt)
/*     */   {
/* 167 */     this._name = paramString;
/* 168 */     byte[] arrayOfByte = paramBase64Variant._base64ToAsciiB;
/* 169 */     System.arraycopy(arrayOfByte, 0, this._base64ToAsciiB, 0, arrayOfByte.length);
/* 170 */     char[] arrayOfChar = paramBase64Variant._base64ToAsciiC;
/* 171 */     System.arraycopy(arrayOfChar, 0, this._base64ToAsciiC, 0, arrayOfChar.length);
/* 172 */     int[] arrayOfInt = paramBase64Variant._asciiToBase64;
/* 173 */     System.arraycopy(arrayOfInt, 0, this._asciiToBase64, 0, arrayOfInt.length);
/*     */ 
/* 175 */     this._usesPadding = paramBoolean;
/* 176 */     this._paddingChar = paramChar;
/* 177 */     this._maxLineLength = paramInt;
/*     */   }
/*     */ 
/*     */   public String getName()
/*     */   {
/* 186 */     return this._name;
/*     */   }
/* 188 */   public boolean usesPadding() { return this._usesPadding; } 
/* 189 */   public boolean usesPaddingChar(char paramChar) { return paramChar == this._paddingChar; } 
/* 190 */   public char getPaddingChar() { return this._paddingChar; } 
/* 191 */   public byte getPaddingByte() { return (byte)this._paddingChar; } 
/*     */   public int getMaxLineLength() {
/* 193 */     return this._maxLineLength;
/*     */   }
/*     */ 
/*     */   public int decodeBase64Char(char paramChar)
/*     */   {
/* 206 */     int i = paramChar;
/* 207 */     return i <= 127 ? this._asciiToBase64[i] : -1;
/*     */   }
/*     */ 
/*     */   public int decodeBase64Byte(byte paramByte)
/*     */   {
/* 212 */     int i = paramByte;
/* 213 */     return i <= 127 ? this._asciiToBase64[i] : -1;
/*     */   }
/*     */ 
/*     */   public char encodeBase64BitsAsChar(int paramInt)
/*     */   {
/* 227 */     return this._base64ToAsciiC[paramInt];
/*     */   }
/*     */ 
/*     */   public int encodeBase64Chunk(int paramInt1, char[] paramArrayOfChar, int paramInt2)
/*     */   {
/* 236 */     paramArrayOfChar[(paramInt2++)] = this._base64ToAsciiC[(paramInt1 >> 18 & 0x3F)];
/* 237 */     paramArrayOfChar[(paramInt2++)] = this._base64ToAsciiC[(paramInt1 >> 12 & 0x3F)];
/* 238 */     paramArrayOfChar[(paramInt2++)] = this._base64ToAsciiC[(paramInt1 >> 6 & 0x3F)];
/* 239 */     paramArrayOfChar[(paramInt2++)] = this._base64ToAsciiC[(paramInt1 & 0x3F)];
/* 240 */     return paramInt2;
/*     */   }
/*     */ 
/*     */   public int encodeBase64Partial(int paramInt1, int paramInt2, char[] paramArrayOfChar, int paramInt3)
/*     */   {
/* 253 */     paramArrayOfChar[(paramInt3++)] = this._base64ToAsciiC[(paramInt1 >> 18 & 0x3F)];
/* 254 */     paramArrayOfChar[(paramInt3++)] = this._base64ToAsciiC[(paramInt1 >> 12 & 0x3F)];
/* 255 */     if (this._usesPadding) {
/* 256 */       paramArrayOfChar[(paramInt3++)] = (paramInt2 == 2 ? this._base64ToAsciiC[(paramInt1 >> 6 & 0x3F)] : this._paddingChar);
/*     */ 
/* 258 */       paramArrayOfChar[(paramInt3++)] = this._paddingChar;
/*     */     }
/* 260 */     else if (paramInt2 == 2) {
/* 261 */       paramArrayOfChar[(paramInt3++)] = this._base64ToAsciiC[(paramInt1 >> 6 & 0x3F)];
/*     */     }
/*     */ 
/* 264 */     return paramInt3;
/*     */   }
/*     */ 
/*     */   public byte encodeBase64BitsAsByte(int paramInt)
/*     */   {
/* 270 */     return this._base64ToAsciiB[paramInt];
/*     */   }
/*     */ 
/*     */   public int encodeBase64Chunk(int paramInt1, byte[] paramArrayOfByte, int paramInt2)
/*     */   {
/* 279 */     paramArrayOfByte[(paramInt2++)] = this._base64ToAsciiB[(paramInt1 >> 18 & 0x3F)];
/* 280 */     paramArrayOfByte[(paramInt2++)] = this._base64ToAsciiB[(paramInt1 >> 12 & 0x3F)];
/* 281 */     paramArrayOfByte[(paramInt2++)] = this._base64ToAsciiB[(paramInt1 >> 6 & 0x3F)];
/* 282 */     paramArrayOfByte[(paramInt2++)] = this._base64ToAsciiB[(paramInt1 & 0x3F)];
/* 283 */     return paramInt2;
/*     */   }
/*     */ 
/*     */   public int encodeBase64Partial(int paramInt1, int paramInt2, byte[] paramArrayOfByte, int paramInt3)
/*     */   {
/* 296 */     paramArrayOfByte[(paramInt3++)] = this._base64ToAsciiB[(paramInt1 >> 18 & 0x3F)];
/* 297 */     paramArrayOfByte[(paramInt3++)] = this._base64ToAsciiB[(paramInt1 >> 12 & 0x3F)];
/* 298 */     if (this._usesPadding) {
/* 299 */       int i = (byte)this._paddingChar;
/* 300 */       paramArrayOfByte[(paramInt3++)] = (paramInt2 == 2 ? this._base64ToAsciiB[(paramInt1 >> 6 & 0x3F)] : i);
/*     */ 
/* 302 */       paramArrayOfByte[(paramInt3++)] = i;
/*     */     }
/* 304 */     else if (paramInt2 == 2) {
/* 305 */       paramArrayOfByte[(paramInt3++)] = this._base64ToAsciiB[(paramInt1 >> 6 & 0x3F)];
/*     */     }
/*     */ 
/* 308 */     return paramInt3;
/*     */   }
/*     */ 
/*     */   public String toString()
/*     */   {
/* 318 */     return this._name;
/*     */   }
/*     */ }

/* Location:           C:\Program Files\NetApp\Snap_Creator_Framework\scServer4.1.2\engine\work\jetty-0.0.0.0-8443-ui.war-_ui-any-\webapp\WEB-INF\lib\stax2-api-3.1.4.jar
 * Qualified Name:     org.codehaus.stax2.typed.Base64Variant
 * JD-Core Version:    0.6.2
 */